/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsSiteSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include <stdint.h>
const PRTime gPreloadListExpirationTime = INT64_C(1591406347918000);

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "0--1.de", true },
  { "0-24.com", true },
  { "0-24.net", true },
  { "000321365.com", true },
  { "0007552.com", true },
  { "00100010.net", true },
  { "00130013.net", true },
  { "00150015.net", true },
  { "00160016.net", true },
  { "00168365.com", true },
  { "0017552.com", true },
  { "00180018.net", true },
  { "00190019.net", true },
  { "001yapan.com", false },
  { "00228.am", false },
  { "00228.org", false },
  { "00228ww.com", false },
  { "00228x.com", false },
  { "00228xx.com", false },
  { "00228yy.com", false },
  { "00228z.com", false },
  { "00228zz.com", false },
  { "0022bet.vip", false },
  { "002k8.com", true },
  { "00365t.com", true },
  { "0037552.com", true },
  { "003971.com", true },
  { "00440044.net", true },
  { "0047552.com", true },
  { "00550055.net", true },
  { "0057552.com", true },
  { "0064427.com", true },
  { "0067552.com", true },
  { "0077552.com", true },
  { "008207.com", true },
  { "008251.com", true },
  { "008253.com", true },
  { "008271.com", true },
  { "0086286.com", true },
  { "0087552.com", true },
  { "009597.com", true },
  { "0097552.com", true },
  { "00dani.me", true },
  { "00f.net", true },
  { "01.org", true },
  { "01011970.xyz", true },
  { "010203.ru", true },
  { "010kb.com", true },
  { "010ks.com", true },
  { "010ks.net", true },
  { "01110000011100110111001001100111.com", true },
  { "0117552.com", true },
  { "0123456789365.com", true },
  { "0127552.com", true },
  { "01365t.com", true },
  { "0137552.com", true },
  { "015kb.com", true },
  { "0166z6.com", true },
  { "016kb.com", true },
  { "0177z6.com", true },
  { "0188z6.com", true },
  { "01918.net", true },
  { "0199z6.com", true },
  { "020ks.com", true },
  { "021002.com", true },
  { "0222z6.com", true },
  { "022367.com", true },
  { "022379.com", true },
  { "022391.com", true },
  { "022501.com", true },
  { "022503.com", true },
  { "022507.com", true },
  { "022571.com", true },
  { "022601.com", true },
  { "022609.com", true },
  { "022610.com", true },
  { "022kb.com", true },
  { "022ks.net", true },
  { "02327.net", true },
  { "02365t.com", true },
  { "02375.net", true },
  { "025k8.com", true },
  { "026122.com", true },
  { "02638.net", true },
  { "026kb.com", true },
  { "0288z6.com", true },
  { "029kb.com", true },
  { "02am8.com", true },
  { "03012.net", true },
  { "03018.net", true },
  { "0312z6.com", true },
  { "0313z6.com", true },
  { "0315z6.com", true },
  { "0316z6.com", true },
  { "03170317.com", true },
  { "0317z6.com", true },
  { "0318z6.com", true },
  { "0319z6.com", true },
  { "0335z6.com", true },
  { "0351z6.com", true },
  { "0352z6.com", true },
  { "0353z6.com", true },
  { "0355z6.com", true },
  { "0356z6.com", true },
  { "0357z6.com", true },
  { "0358z6.com", true },
  { "0359z6.com", true },
  { "03637.com", true },
  { "0371z6.com", true },
  { "0372z6.com", true },
  { "0373z6.com", true },
  { "0375z6.com", true },
  { "0377z6.com", true },
  { "038456.com", false },
  { "038899.com", true },
  { "0393gg.com", true },
  { "0393hh.com", true },
  { "0393ii.com", true },
  { "0399z6.com", true },
  { "04365t.com", true },
  { "046569.com", true },
  { "04d.co", true },
  { "050869.com", true },
  { "050ks.com", true },
  { "050media.nl", true },
  { "0510ks.com", true },
  { "0511315.net", true },
  { "0511ks.com", true },
  { "0511z6.com", true },
  { "0512z6.com", true },
  { "0513z6.com", true },
  { "0515z6.com", true },
  { "0516z6.com", true },
  { "0518z6.com", true },
  { "0521z6.com", true },
  { "0523z6.com", true },
  { "0531z6.com", true },
  { "0532z6.com", true },
  { "0535z6.com", true },
  { "05365t.com", true },
  { "0536z6.com", true },
  { "0537z6.com", true },
  { "0539z6.com", true },
  { "0551z6.com", true },
  { "0552z6.com", true },
  { "0553z6.com", true },
  { "0555z6.com", true },
  { "0556z6.com", true },
  { "055kb.com", true },
  { "056675.com", true },
  { "056687.com", true },
  { "056690.com", true },
  { "056697.com", true },
  { "056867.com", true },
  { "056869.com", true },
  { "056875.com", true },
  { "056879.com", true },
  { "056950.com", true },
  { "056976.com", true },
  { "056985.com", true },
  { "056kb.com", true },
  { "0572z6.com", true },
  { "0573wk.com", true },
  { "0573z6.com", true },
  { "057587.com", true },
  { "057596.com", true },
  { "0575z6.com", true },
  { "0576z6.com", true },
  { "0577z6.com", true },
  { "0578z6.com", true },
  { "0579z6.com", true },
  { "058509.com", true },
  { "058596.com", true },
  { "058679.com", true },
  { "058kb.com", true },
  { "0591z6.com", true },
  { "0592z6.com", true },
  { "0593z6.com", true },
  { "0595z6.com", true },
  { "0596z6.com", true },
  { "0598z6.com", true },
  { "0599z6.com", true },
  { "05am8.net", true },
  { "060258.com", true },
  { "060795.com", true },
  { "0607p.com", true },
  { "060870.com", true },
  { "060875.com", true },
  { "06091994.xyz", true },
  { "060s.com", true },
  { "06365t.com", true },
  { "065679.com", true },
  { "065706.com", true },
  { "065790.com", true },
  { "065970.com", true },
  { "065976.com", true },
  { "065l.com", true },
  { "066570.com", true },
  { "066579.com", true },
  { "066590.com", true },
  { "0666z6.com", true },
  { "066705.com", true },
  { "066709.com", true },
  { "066790.com", true },
  { "066816.com", true },
  { "066kb.com", true },
  { "067310.com", true },
  { "067313.com", true },
  { "067360.com", true },
  { "067361.com", true },
  { "06804.com", true },
  { "068697.com", true },
  { "068756.com", true },
  { "068957.com", true },
  { "068kb.com", true },
  { "06918.net", true },
  { "0691ks.com", true },
  { "06lc.net", true },
  { "06se.com", true },
  { "070136.com", true },
  { "070167.com", true },
  { "070183.com", true },
  { "0708p.com", true },
  { "070968.com", true },
  { "070986.com", true },
  { "0711z6.com", true },
  { "0712z6.com", true },
  { "0713z6.com", true },
  { "0715z6.com", true },
  { "0716z6.com", true },
  { "0718z6.com", true },
  { "0719z6.com", true },
  { "071k8.com", true },
  { "0720p.com", true },
  { "0722z6.com", true },
  { "0724ks.com", true },
  { "0728z6.com", true },
  { "0732ks.com", true },
  { "07365t.com", true },
  { "075k8.com", true },
  { "0760ks.com", true },
  { "0763ks.com", true },
  { "0766ks.com", true },
  { "076k8.com", true },
  { "0772z6.com", true },
  { "0773z6.com", true },
  { "0775z6.com", true },
  { "0776z6.com", true },
  { "077768.net", true },
  { "0777z6.com", true },
  { "077810.com", true },
  { "077863.com", true },
  { "077969.com", true },
  { "0779z6.com", true },
  { "077k8.com", true },
  { "078kb.com", true },
  { "0792112.com", true },
  { "0798rcw.com", true },
  { "07am8.com", true },
  { "07d88.com", true },
  { "081115.com", true },
  { "081752.com", true },
  { "081763.com", true },
  { "081769.com", true },
  { "081783.com", true },
  { "081925.com", true },
  { "081927.com", true },
  { "081957.com", true },
  { "081967.com", true },
  { "082157.com", true },
  { "082159.com", true },
  { "082167.com", true },
  { "082173.com", true },
  { "082175.com", true },
  { "082179.com", true },
  { "082187.com", true },
  { "082192.com", true },
  { "082193.com", true },
  { "082195.com", true },
  { "082359.com", true },
  { "08365t.com", true },
  { "083832.com", true },
  { "083903.com", true },
  { "083905.com", true },
  { "083907.com", true },
  { "083912.com", true },
  { "083957.com", true },
  { "083960.com", true },
  { "083962.com", true },
  { "083965.com", true },
  { "083967.com", true },
  { "085851.com", true },
  { "085905.com", true },
  { "085950.com", true },
  { "087010.com", true },
  { "087065.com", true },
  { "0871z6.com", true },
  { "0872z6.com", true },
  { "0873z6.com", true },
  { "087540.com", true },
  { "087569.com", true },
  { "087580.com", true },
  { "0875z6.com", true },
  { "0876z6.com", true },
  { "0877z6.com", true },
  { "08845.cc", true },
  { "0888z6.com", true },
  { "08918.net", true },
  { "089k8.com", true },
  { "08lc.net", true },
  { "09000113.nl", true },
  { "091k8.com", true },
  { "092k8.com", true },
  { "09365t.com", true },
  { "093k8.com", true },
  { "095598.cc", true },
  { "09892.net", true },
  { "098k8.com", true },
  { "0996z6.com", true },
  { "0998z6.com", true },
  { "0999z6.com", true },
  { "09am8.com", true },
  { "09btt.com", true },
  { "09d88.com", true },
  { "0au.de", true },
  { "0c3.de", true },
  { "0chan.pl", true },
  { "0chanru.net", true },
  { "0cp8778.com", true },
  { "0day.agency", true },
  { "0des.com", true },
  { "0ii0.cf", true },
  { "0ik.de", true },
  { "0iz.net", true },
  { "0knowledge.de", false },
  { "0kun.net", true },
  { "0lc8.com", true },
  { "0lc8.net", true },
  { "0paste.com", true },
  { "0q0.eu", true },
  { "0verl0rd.ir", true },
  { "0vo.moe", true },
  { "0wx.cat", true },
  { "0wx.es", true },
  { "0wx.eu", true },
  { "0wx.org", true },
  { "0x.sk", true },
  { "0x0.li", true },
  { "0x00c.de", true },
  { "0x00ff00ff.com", true },
  { "0x15.ca", true },
  { "0x17.de", true },
  { "0x378.net", true },
  { "0x3bb.net", true },
  { "0x41.us", true },
  { "0x52.net", true },
  { "0x7.io", true },
  { "0x7d.com", true },
  { "0x7fffffff.net", true },
  { "0x90.io", true },
  { "0xabe.io", true },
  { "0xaf.tk", true },
  { "0xda.de", true },
  { "0xdc.io", false },
  { "0xdefaced.de", true },
  { "0xfc.de", true },
  { "0xff.se", true },
  { "0xn.de", true },
  { "1-2-3bounce.co.uk", true },
  { "100-downloads.com", true },
  { "10000v.ru", true },
  { "1000minds.com", true },
  { "1000wordsevents.com", true },
  { "1001kartini.com", true },
  { "1001kerstpakketten.com", false },
  { "1004233.com", true },
  { "1007337.com", true },
  { "10086.ru", true },
  { "100k.eu", true },
  { "100kredite.de", true },
  { "100lat.pl", true },
  { "100mani.it", true },
  { "100pounds.co.uk", true },
  { "100up.de", true },
  { "100up.org", true },
  { "100visits.tk", true },
  { "101.qa", true },
  { "101010.pl", true },
  { "1011100.com", true },
  { "10160365.com", true },
  { "101sauna.kz", true },
  { "101sauna.ru", true },
  { "1041263497.rsc.cdn77.org", true },
  { "10430.net", true },
  { "10435.net", true },
  { "10436.net", true },
  { "10438.net", true },
  { "10439.net", true },
  { "10453.net", true },
  { "10495.net", true },
  { "106jamz.com", true },
  { "10774.net", true },
  { "107996.com", false },
  { "10840.net", true },
  { "1088.fun", true },
  { "1091.jp", true },
  { "109k8.com", true },
  { "10hz.de", true },
  { "10k.ag", true },
  { "10milliondollarpage.com", true },
  { "10og.de", true },
  { "10ppm.com", true },
  { "10x.to", true },
  { "10xnation.com", true },
  { "110110110.net", true },
  { "110k8.com", true },
  { "1111365t.com", true },
  { "1112z6.com", true },
  { "111321365.com", true },
  { "111365t.com", true },
  { "1113z6.com", true },
  { "1115z6.com", true },
  { "11168365.com", true },
  { "1116z6.com", true },
  { "1117035.com", true },
  { "1117z6.com", true },
  { "1119z6.com", true },
  { "111ttt.com", true },
  { "111z6.com", true },
  { "111zlong.com", true },
  { "1120340.com", true },
  { "112112112.net", true },
  { "1122z6.com", true },
  { "112app.nl", true },
  { "112hz.com", true },
  { "112it.ro", true },
  { "112z6.com", true },
  { "113113113.net", true },
  { "11321365.com", true },
  { "1133z6.com", true },
  { "11365t.com", true },
  { "113k8.com", true },
  { "113ks.com", true },
  { "113z6.com", true },
  { "114514ss.com", true },
  { "115lc.com", true },
  { "115z6.com", true },
  { "1166z6.com", true },
  { "116ks.com", true },
  { "116lc.com", true },
  { "116z6.com", true },
  { "1177z6.com", true },
  { "117lc.com", true },
  { "117z6.com", true },
  { "118118118.net", true },
  { "1188bet.vip", false },
  { "1188z6.com", true },
  { "118btt.com", true },
  { "118z6.com", true },
  { "1190america.tk", true },
  { "1199bet.vip", false },
  { "1199z6.com", true },
  { "119lc.com", true },
  { "119z6.com", true },
  { "11ag8.com", true },
  { "11lc8.com", true },
  { "11lc8.net", true },
  { "11loc.de", true },
  { "11thstreetcoffee.com", true },
  { "11urss.com", true },
  { "1212873467.rsc.cdn77.org", true },
  { "1212z6.com", true },
  { "1218641649.rsc.cdn77.org", true },
  { "1221z6.com", true },
  { "1222z6.com", true },
  { "122kb.com", true },
  { "123365t.com", true },
  { "1234365.vip", true },
  { "1234365a.com", true },
  { "1234365b.com", true },
  { "1234365c.com", true },
  { "1234365d.com", true },
  { "1234365e.com", true },
  { "1234365f.com", true },
  { "1234365g.com", true },
  { "1234365h.com", true },
  { "1234365i.com", true },
  { "1234365j.com", true },
  { "1234365k.com", true },
  { "1234365l.com", true },
  { "1234365m.com", true },
  { "1234365n.com", true },
  { "1234365o.com", true },
  { "1234365p.com", true },
  { "1234365q.com", true },
  { "1234365s.com", true },
  { "1234365t.com", true },
  { "1234365u.com", true },
  { "1234365v.com", true },
  { "1234365vip.com", true },
  { "1234365w.com", true },
  { "1234365x.com", true },
  { "1234365y.com", true },
  { "1234365z.com", true },
  { "12345678365.com", true },
  { "123456789365.com", true },
  { "1234888.com", true },
  { "1236.be", true },
  { "12365t.com", true },
  { "123666365.com", true },
  { "123apps.net", true },
  { "123bearing.co.uk", true },
  { "123bearing.com", true },
  { "123bearing.eu", true },
  { "123birthdaygreetings.com", true },
  { "123djdrop.com", true },
  { "123midterm.com", true },
  { "123opstalverzekeringen.nl", true },
  { "123roulement.be", true },
  { "123roulement.com", true },
  { "123seo.ml", true },
  { "123termpapers.com", true },
  { "123viajando.com", true },
  { "123writings.com", true },
  { "123z6.com", true },
  { "124133.com", true },
  { "124633.com", true },
  { "1248.ink", true },
  { "125m125.de", true },
  { "12ag8.com", true },
  { "12autoankauf-berlin.de", true },
  { "12l.nl", true },
  { "12thmanrising.com", true },
  { "12train.com", true },
  { "12vpn.net", true },
  { "12zw.com", true },
  { "130.ua", true },
  { "130ks.com", true },
  { "130ks.net", true },
  { "1313z6.com", true },
  { "131934.com", true },
  { "131954.com", true },
  { "131k66.ag", true },
  { "131ks.com", true },
  { "131ks.net", true },
  { "131z6.com", true },
  { "13214.cc", true },
  { "132301.com", true },
  { "132k66.ag", true },
  { "132ks.com", true },
  { "132kv.ch", true },
  { "132z6.com", true },
  { "133294.com", true },
  { "1333z6.com", true },
  { "133492.com", true },
  { "133769.xyz", true },
  { "133846.xyz", true },
  { "133ks.com", true },
  { "133ks.net", true },
  { "133z6.com", true },
  { "134ks.com", true },
  { "134ks.net", true },
  { "135374.com", true },
  { "135416.com", true },
  { "1359826938.rsc.cdn77.org", true },
  { "135ks.com", true },
  { "135z6.com", true },
  { "136814.com", true },
  { "136824.com", true },
  { "136k66.ag", true },
  { "136k66.com", true },
  { "136ks.com", true },
  { "136z6.com", true },
  { "137724.com", true },
  { "137k66.ag", true },
  { "137k66.com", true },
  { "137kb.com", true },
  { "137z6.com", true },
  { "138k66.ag", true },
  { "138z6.com", true },
  { "1391kj.com", true },
  { "1395kj.com", true },
  { "139k66.ag", true },
  { "139z6.com", true },
  { "13ag8.com", true },
  { "141145.com", true },
  { "143533.com", true },
  { "143633.com", true },
  { "143733.com", true },
  { "143933.com", true },
  { "1453914078.rsc.cdn77.org", true },
  { "145433.com", true },
  { "145733.com", true },
  { "145ks.net", true },
  { "146233.com", true },
  { "146433.com", true },
  { "1464424382.rsc.cdn77.org", true },
  { "146533.com", true },
  { "146733.com", true },
  { "1481481.com", true },
  { "1481481.net", true },
  { "1481482.com", true },
  { "1481482.net", true },
  { "1481483.com", true },
  { "1481483.net", true },
  { "1481485.com", true },
  { "1481485.net", true },
  { "1481486.com", true },
  { "149433.com", true },
  { "149733.com", true },
  { "14erc.com", true },
  { "14ercooper.com", true },
  { "14it.de", true },
  { "14x3.de", true },
  { "15-10.com", true },
  { "1511774230.rsc.cdn77.org", true },
  { "151k66.ag", true },
  { "151k66.com", true },
  { "151ks.net", true },
  { "151z6.com", true },
  { "152433.com", true },
  { "152k66.ag", true },
  { "152k66.com", true },
  { "152z6.com", true },
  { "153ks.net", true },
  { "153z.com", false },
  { "153z6.com", true },
  { "154233.com", true },
  { "154633.com", true },
  { "154933.com", true },
  { "155175.com", true },
  { "155k66.ag", true },
  { "155k66.com", true },
  { "155ks.com", true },
  { "155ks.net", true },
  { "155z6.com", true },
  { "156433.com", true },
  { "156k66.com", true },
  { "156ks.net", true },
  { "156z6.com", true },
  { "157k66.com", true },
  { "157ks.com", true },
  { "157ks.net", true },
  { "157z6.com", true },
  { "158k66.ag", true },
  { "158k66.com", true },
  { "158ks.net", true },
  { "158z6.com", true },
  { "1590284872.rsc.cdn77.org", true },
  { "15918.net", true },
  { "159cp.com", true },
  { "159k66.ag", true },
  { "159k66.com", true },
  { "159ks.net", true },
  { "159z6.com", true },
  { "16-qw.tk", true },
  { "1600esplanade.com", true },
  { "16036510.com", true },
  { "16036520.com", true },
  { "16036530.com", true },
  { "16036540.com", true },
  { "16036550.com", true },
  { "16036560.com", true },
  { "16036570.com", true },
  { "16036580.com", true },
  { "16036590.com", true },
  { "160763.com", true },
  { "160887.com", true },
  { "161233.com", true },
  { "162223.com", true },
  { "162229.com", true },
  { "162231.com", true },
  { "162263.com", true },
  { "162jonesrd.ca", true },
  { "163132.com", true },
  { "1644091933.rsc.cdn77.org", true },
  { "1661237.com", true },
  { "1661618.com", true },
  { "1666ks.com", true },
  { "166jk.cc", true },
  { "166ks.net", true },
  { "16836500.com", true },
  { "1683651.com", true },
  { "16836511.com", true },
  { "1683652.com", true },
  { "16836522.com", true },
  { "1683653.com", true },
  { "16836533.com", true },
  { "1683654.com", true },
  { "16836544.com", true },
  { "1683655.com", true },
  { "16836555.com", true },
  { "16836577.com", true },
  { "16836588.com", true },
  { "1683659.com", true },
  { "16836599.com", true },
  { "168365t.com", true },
  { "168bo9.com", true },
  { "168bo9.net", true },
  { "168btt.com", true },
  { "168btt.net", true },
  { "168fff.cc", true },
  { "168z6.com", true },
  { "1698k.com", true },
  { "16ag6.com", true },
  { "16packets.com", true },
  { "16z6.com", true },
  { "16z66.com", true },
  { "170376.com", true },
  { "170386.com", true },
  { "170686.com", true },
  { "170ks.com", true },
  { "171083.com", true },
  { "171ks.com", true },
  { "1720302.com", true },
  { "1720312.com", true },
  { "173940.com", false },
  { "1750studios.com", false },
  { "175k8.com", true },
  { "175ks.com", true },
  { "1768calc.com.au", true },
  { "176f88.com", true },
  { "176ks.net", true },
  { "177603.com", true },
  { "177ks.net", true },
  { "178kb.com", true },
  { "178ks.net", true },
  { "17kpw.cc", true },
  { "17kpw.com", true },
  { "17xile.com", true },
  { "17xrk.com", true },
  { "180btt.com", true },
  { "180k8.com", true },
  { "180ks.net", true },
  { "1811559.com", true },
  { "181k8.com", true },
  { "181ks.net", true },
  { "181z6.com", true },
  { "182162.com", true },
  { "182k8.com", true },
  { "182ks.com", true },
  { "182ks.net", true },
  { "183k8.com", true },
  { "183z6.com", true },
  { "1844329061.rsc.cdn77.org", true },
  { "184kb.com", true },
  { "185k8.com", true },
  { "185ks.com", true },
  { "185z6.com", true },
  { "186ks.com", true },
  { "186z6.com", true },
  { "1876996.com", true },
  { "187z6.com", true },
  { "1888lc.com", true },
  { "188cn-sb.com", true },
  { "188kb.com", true },
  { "188z6.com", true },
  { "189z6.com", true },
  { "18f.gov", true },
  { "18f.gsa.gov", false },
  { "191090.com", true },
  { "1911trust.com", true },
  { "192433.com", true },
  { "192ks.com", true },
  { "1939365.com", true },
  { "1941-45.ru", true },
  { "1972969867.rsc.cdn77.org", true },
  { "197k8.com", true },
  { "1981612088.rsc.cdn77.org", true },
  { "1994.io", true },
  { "19990bb.com", true },
  { "19990cc.com", true },
  { "19990d.com", true },
  { "19990dd.com", true },
  { "19990ee.com", true },
  { "19990ff.com", true },
  { "19990gg.com", true },
  { "19990ii.com", true },
  { "19990jj.com", true },
  { "19990k.com", true },
  { "19990nn.com", true },
  { "19990q.com", true },
  { "19990r.com", true },
  { "19990tt.com", true },
  { "19990uu.com", true },
  { "19990xx.com", true },
  { "19990zz.com", true },
  { "199ks.com", true },
  { "199ks.net", true },
  { "19btt.com", true },
  { "19hundert84.de", false },
  { "19qq.vip", true },
  { "1a-diamantscheiben.de", true },
  { "1a-werkstattgeraete.de", true },
  { "1ab-machinery.com", true },
  { "1ag777.com", true },
  { "1ag88.com", true },
  { "1android.de", true },
  { "1baks.tk", true },
  { "1bet86.com", true },
  { "1blazing.cf", true },
  { "1c-power.ru", true },
  { "1cedibet.com", true },
  { "1chan.pl", true },
  { "1codex.online", true },
  { "1cool.vip", true },
  { "1cover.co.nz", true },
  { "1cover.com.au", true },
  { "1cprosto.tk", true },
  { "1cswd.com", true },
  { "1datatec.com", true },
  { "1e9.nl", true },
  { "1eanda.com", true },
  { "1europlan.nl", true },
  { "1f123.net", true },
  { "1fach-digital.de", true },
  { "1fc0.org", true },
  { "1gp.us", true },
  { "1hc.be", true },
  { "1hourproofreading.com", true },
  { "1in9.net", true },
  { "1it.click", true },
  { "1js.de", false },
  { "1kando.com", false },
  { "1ki174.com", true },
  { "1kmi.co", true },
  { "1lc1.com", true },
  { "1lc8.com", true },
  { "1lc8.net", true },
  { "1ll.uk", true },
  { "1lord1faith.com", true },
  { "1m.duckdns.org", true },
  { "1malaysian.tk", true },
  { "1me.cz", true },
  { "1minutoomenos.com", true },
  { "1montre.fr", true },
  { "1morebounce.co.uk", true },
  { "1net.uk", true },
  { "1oaklasvegas.com", true },
  { "1of16.de", true },
  { "1on1on1.de", true },
  { "1on1on1.tv", true },
  { "1panorama.ru", true },
  { "1password.ca", true },
  { "1password.com", true },
  { "1password.eu", true },
  { "1pw.ca", true },
  { "1px.tv", true },
  { "1r.is", true },
  { "1rs.nl", true },
  { "1sand0s.nl", true },
  { "1se.co", true },
  { "1se2or3.com", true },
  { "1simplesolution.com", true },
  { "1st-bounce.co.uk", true },
  { "1st-community.de", true },
  { "1st2bounce.com", true },
  { "1stcarpetcleaning.co.uk", true },
  { "1stchoicelandscapingwa.com", true },
  { "1stclassbouncycastles.co.uk", true },
  { "1stforfun.co.uk", true },
  { "1stpeninsulabouncers.co.uk", true },
  { "1ticks.com", true },
  { "1voz.org", true },
  { "1vpns.com", true },
  { "1way.faith", true },
  { "1whw.co.uk", true },
  { "1wirelog.de", true },
  { "1wl.uk", true },
  { "1zombie.team", true },
  { "2.wtf", true },
  { "200.network", true },
  { "2000.is", true },
  { "2000meter.no", true },
  { "2001y.me", true },
  { "2002138.com", true },
  { "2012.ovh", true },
  { "2012review.tk", true },
  { "2013review.tk", true },
  { "2015review.tk", true },
  { "20160365.com", true },
  { "2018fifaworldcup.tk", true },
  { "2022class1.ga", true },
  { "202jj.com", true },
  { "204504byse.info", true },
  { "2083236893.com", true },
  { "208garfield.com", true },
  { "20at.com", true },
  { "20denier.com", true },
  { "210k8.com", true },
  { "2132-app.com", true },
  { "2132-vip.com", true },
  { "2132app.com", true },
  { "2132hb.com", true },
  { "2132hd.com", true },
  { "2132kf.com", true },
  { "2132vip.com", true },
  { "2138-vip.com", true },
  { "2138kf.com", true },
  { "2138vip.com", true },
  { "213k8.com", true },
  { "215dy.net", true },
  { "217778.com", true },
  { "218btt.com", true },
  { "21stnc.us", true },
  { "21x9.org", true },
  { "2206p.com", true },
  { "22168365.com", true },
  { "222138vip.com", true },
  { "2222365t.com", true },
  { "2222k8.com", true },
  { "2222k8.net", true },
  { "22245j.com", true },
  { "22256j.com", true },
  { "2227035.com", true },
  { "2227552.com", true },
  { "222k8.com", true },
  { "222k8.net", true },
  { "222tips.com", true },
  { "224918.com", true },
  { "225485.com", true },
  { "2255motion.com", true },
  { "2277bet.com", true },
  { "228668.com", true },
  { "22884.org", false },
  { "22884a.com", false },
  { "22884b.com", false },
  { "22884e.com", false },
  { "22884g.com", false },
  { "22884h.com", false },
  { "2288bet.vip", false },
  { "22918.net", true },
  { "22ag6.com", true },
  { "22delta.com", true },
  { "22i.co.uk", true },
  { "22lc8.com", true },
  { "22lc8.net", true },
  { "22txc.com", true },
  { "230beats.com", true },
  { "233.be", true },
  { "23333.link", true },
  { "2333blog.com", true },
  { "2333z6.com", true },
  { "23365t.com", true },
  { "233blog.com", true },
  { "233boy.com", true },
  { "233hub.com", true },
  { "233hub.net", true },
  { "233hub.org", true },
  { "233ss.net", true },
  { "233try.com", true },
  { "233v2.com", true },
  { "233vps.com", true },
  { "23436565.com", true },
  { "234567365.com", true },
  { "2345678365.com", true },
  { "23456789365.com", true },
  { "234666365.com", true },
  { "234lc.com", true },
  { "235551.com", true },
  { "235u.net", true },
  { "2378.com", true },
  { "238212.com", true },
  { "23lhb.com", true },
  { "24-7.jp", true },
  { "24.ie", true },
  { "245meadowvistaway.com", false },
  { "246060.ru", true },
  { "247medplan.com", true },
  { "247naijabuzz.com", true },
  { "24848168.com", true },
  { "24848188.com", true },
  { "2484822.com", true },
  { "2484833.com", true },
  { "2484855.com", true },
  { "24848588.com", true },
  { "24848678.com", true },
  { "24848918.com", true },
  { "24848a.vip", true },
  { "24848b.vip", true },
  { "24848c.vip", true },
  { "24848d.vip", true },
  { "24848e.vip", true },
  { "24848jj.com", true },
  { "24848kk.com", true },
  { "24848ll.com", true },
  { "24848mm.com", true },
  { "24848nn.com", true },
  { "24848oo.com", true },
  { "24848pp.com", true },
  { "24848qq.com", true },
  { "24848rr.com", true },
  { "24848ss.com", true },
  { "24848tt.com", true },
  { "24848uu.com", true },
  { "24848v.vip", true },
  { "24848vv.com", true },
  { "24848w.vip", true },
  { "24848ww.com", true },
  { "24848x.vip", true },
  { "24848xx.com", true },
  { "24848y.vip", true },
  { "24848yy.com", true },
  { "24848z.vip", true },
  { "24848zz.com", true },
  { "249722.com", true },
  { "24dian30.com", true },
  { "24gazette.ga", true },
  { "24hour-locksmithsanantonio.com", true },
  { "24hourcyclist.co.uk", true },
  { "24hourelectricalservices.co.uk", true },
  { "24hourlocksmithbaltimore.com", true },
  { "24hourlocksmithdallastx.com", true },
  { "24hourlocksmithdetroit.com", true },
  { "24hourlocksmithhoustontx.com", true },
  { "24hourlocksmithshouston.com", true },
  { "24hourlocksmithspring.com", true },
  { "24hoursanantoniolocksmiths.com", true },
  { "24hourscienceprojects.com", true },
  { "24ip.com", true },
  { "24ip.de", true },
  { "24ip.fr", true },
  { "24onlinereview.com", true },
  { "24seven.pk", true },
  { "24timeravis.dk", true },
  { "24zpravy.cz", true },
  { "2502.net", true },
  { "250708.com", true },
  { "2525admin.nl", true },
  { "2555z6.com", true },
  { "255k8.com", true },
  { "256pages.com", false },
  { "2586p.com", true },
  { "258877.com", true },
  { "25may.tk", true },
  { "25north.nl", true },
  { "25percent.me", true },
  { "25reinyan25.net", true },
  { "2600edinburgh.org", true },
  { "2600hq.com", true },
  { "260887.com", true },
  { "263.info", true },
  { "2666z6.com", true },
  { "266k66.com", true },
  { "266z6.com", true },
  { "267221.com", true },
  { "267661.com", true },
  { "26z6.com", true },
  { "27000.best", true },
  { "2718282.net", true },
  { "276112.com", true },
  { "276117.com", true },
  { "2777z6.com", true },
  { "277z6.com", true },
  { "28-industries.com", true },
  { "281116.com", true },
  { "281180.de", true },
  { "281ks.com", true },
  { "282ks.com", true },
  { "28365cn-365.com", true },
  { "285551.com", true },
  { "2858958.com", true },
  { "2888z6.com", true },
  { "288cn-563.com", true },
  { "288game.net", true },
  { "288k8.com", true },
  { "288kb.com", true },
  { "288ks.com", true },
  { "288z6.com", true },
  { "28peaks.com", true },
  { "28spots.net", true },
  { "291.com", true },
  { "291167.xyz", true },
  { "2912.nl", true },
  { "293921.com", true },
  { "2948.ca", true },
  { "2991236.com", true },
  { "2999z6.com", true },
  { "299ks.net", true },
  { "2au.ru", true },
  { "2bas.nl", true },
  { "2bcompany.ch", false },
  { "2bet86.com", true },
  { "2bis10.de", true },
  { "2blazing.cf", true },
  { "2c-b.com", true },
  { "2c-d.com", true },
  { "2c-e.com", true },
  { "2c-t-2.com", true },
  { "2c-t-7.com", true },
  { "2c-t-8.com", true },
  { "2cash.ru", true },
  { "2chan.eu", true },
  { "2chan.jp", true },
  { "2cv-fahrer.de", true },
  { "2evip.com", false },
  { "2fm.ie", true },
  { "2fraud.pro", true },
  { "2gen.com", true },
  { "2gether.fr", true },
  { "2h-nagoya.org", true },
  { "2habc.com", true },
  { "2heartsbookings.co.uk", true },
  { "2hypeenterprises.com", true },
  { "2isk.in", true },
  { "2jhb.com", true },
  { "2kgwf.fi", true },
  { "2krueger.de", true },
  { "2lc8.com", true },
  { "2lc8.net", true },
  { "2li.ch", true },
  { "2lovebirdsblog.com", true },
  { "2manydots.nl", true },
  { "2mb.solutions", true },
  { "2melo.fr", true },
  { "2monkeysandme.com", true },
  { "2nains.ch", true },
  { "2nerds1bit.com", true },
  { "2nics.net", true },
  { "2pay.fr", true },
  { "2programmers.net", true },
  { "2rsc.com", true },
  { "2rsc.net", true },
  { "2stv.net", false },
  { "2th.me", true },
  { "2travel8.world", true },
  { "2ulcceria.nl", true },
  { "2wheel.com", false },
  { "2y.fi", true },
  { "2y3x.com", true },
  { "3-dot-careapp1-146314.appspot.com", true },
  { "30019.com", true },
  { "3006789.com", false },
  { "3007337.com", true },
  { "300m.com", false },
  { "301.technology", true },
  { "301355.com", true },
  { "30160365.com", true },
  { "301ks.com", true },
  { "302422.com", true },
  { "303312.com", true },
  { "303422.com", true },
  { "30365.vip", true },
  { "30375511.com", true },
  { "30375544.com", true },
  { "30375566.com", true },
  { "3040519.com", true },
  { "304122.com", true },
  { "304322.com", true },
  { "304622.com", true },
  { "3056999.com", true },
  { "309422.com", true },
  { "30bet365.com", true },
  { "30hzcollective.com", true },
  { "310422.com", true },
  { "311186.com", true },
  { "311191.com", true },
  { "313422.com", true },
  { "314022.com", true },
  { "314122.com", true },
  { "314322.com", true },
  { "314522.com", true },
  { "314622.com", true },
  { "314633.com", true },
  { "314922.com", true },
  { "316433.com", true },
  { "319422.com", true },
  { "319xpj.com", false },
  { "31du.cn", true },
  { "31klabs.com", true },
  { "320281.net", true },
  { "321132.com", true },
  { "321live.nl", true },
  { "3222z6.com", true },
  { "324022.com", true },
  { "324122.com", true },
  { "324133.com", true },
  { "324522.com", true },
  { "324533.com", true },
  { "324922.com", true },
  { "325422.com", true },
  { "325552.com", true },
  { "326422.com", true },
  { "326433.com", true },
  { "329422.com", true },
  { "32bet365.com", true },
  { "32h.de", true },
  { "33138app.com", true },
  { "33138vip.com", true },
  { "33168365.com", true },
  { "3322z6.com", true },
  { "333321365.com", true },
  { "3333365t.com", true },
  { "333365t.com", true },
  { "3333k8.com", true },
  { "3333k8.net", true },
  { "3333ylc.cc", true },
  { "3333z6.com", true },
  { "33365t.com", true },
  { "3337035.com", true },
  { "3344981.com", true },
  { "3344982.com", true },
  { "3344983.com", true },
  { "3344985.com", true },
  { "3344986.com", true },
  { "3345.com", true },
  { "3358m.com", true },
  { "335a.cc", true },
  { "3366z6.com", true },
  { "3369p.com", true },
  { "338393.com", true },
  { "3389p.com", true },
  { "338sa.com", true },
  { "33am8.com", true },
  { "33btt.net", true },
  { "33jiasu.com", true },
  { "33kb88.com", true },
  { "33lc8.com", true },
  { "33lc8.net", true },
  { "33weishang.com", true },
  { "34-restaurant.co.uk", true },
  { "340422.com", true },
  { "340622.com", true },
  { "340922.com", true },
  { "341422.com", true },
  { "341433.com", true },
  { "341533.com", true },
  { "341633.com", true },
  { "341733.com", true },
  { "341922.com", true },
  { "342022.com", true },
  { "342033.com", true },
  { "342133.com", true },
  { "342633.com", true },
  { "342733.com", true },
  { "342922.com", true },
  { "342933.com", true },
  { "343022.com", true },
  { "343622.com", true },
  { "34365t.com", true },
  { "343722.com", true },
  { "343922.com", true },
  { "34536565.com", true },
  { "345678365.com", true },
  { "345lc.com", true },
  { "346022.com", true },
  { "346033.com", true },
  { "346122.com", true },
  { "346233.com", true },
  { "346322.com", true },
  { "346422.com", true },
  { "346522.com", true },
  { "346533.com", true },
  { "346722.com", true },
  { "346922.com", true },
  { "3473-wiki.de", true },
  { "348233.com", true },
  { "348433.com", true },
  { "348533.com", true },
  { "349022.com", true },
  { "349033.com", true },
  { "349233.com", true },
  { "349433.com", true },
  { "349533.com", true },
  { "350422.com", true },
  { "350533.com", true },
  { "35089y.com", true },
  { "35089y1.com", true },
  { "35089y2.com", true },
  { "351113.com", true },
  { "351365.com", true },
  { "3518k.com", true },
  { "354022.com", true },
  { "354233.com", true },
  { "354622.com", true },
  { "354633.com", true },
  { "354922.com", true },
  { "354933.com", true },
  { "355ks.com", true },
  { "356433.com", true },
  { "357maelai.co", true },
  { "360-staffing.com", true },
  { "360hosting.com.au", true },
  { "360live.fr", true },
  { "360rail.nl", true },
  { "360vrs.com", true },
  { "361116.com", true },
  { "361171.com", true },
  { "361173.com", true },
  { "361183.com", true },
  { "363331.com", true },
  { "365.asia", true },
  { "365.systems", true },
  { "36525.hk", true },
  { "36533c.com", true },
  { "36533d.com", true },
  { "36533e.com", true },
  { "36533f.com", true },
  { "36533g.com", true },
  { "36533h.com", true },
  { "36533i.com", true },
  { "36533j.com", true },
  { "36533k.com", true },
  { "36533l.com", true },
  { "36533m.com", true },
  { "36533n.com", true },
  { "36533o.com", true },
  { "36533p.com", true },
  { "36533q.com", true },
  { "36533r.com", true },
  { "36533s.com", true },
  { "36533t.com", true },
  { "36533u.com", true },
  { "36533v.com", true },
  { "3655053.com", true },
  { "36554ll.com", true },
  { "36554mm.com", true },
  { "365600dl.com", true },
  { "365654321.com", true },
  { "36565f.com", true },
  { "3657654321.com", true },
  { "36594a.com", true },
  { "36594b.com", true },
  { "36594c.com", true },
  { "3659801.com", false },
  { "365cn-288.com", true },
  { "365daysreview.com", true },
  { "365electricalvn.com", true },
  { "365iosapp.com", true },
  { "365propertybuyer.co.uk", false },
  { "365sb-cn.com", true },
  { "365skulls.com", true },
  { "365y0.com", true },
  { "365y00.com", true },
  { "365y1.com", true },
  { "365y11.com", true },
  { "365y2.com", true },
  { "365y22.com", true },
  { "365y3.com", true },
  { "365y33.com", true },
  { "365y5.com", true },
  { "365y55.com", true },
  { "365y6.com", true },
  { "365y66.com", true },
  { "365y7.com", true },
  { "365y77.com", true },
  { "365y9.com", true },
  { "365y99.com", true },
  { "365yapan.com", false },
  { "365ypw.com", false },
  { "365yuwen.com", true },
  { "365zg.com", true },
  { "366k66.com", true },
  { "366z6.com", true },
  { "367553.com", true },
  { "367556.com", true },
  { "36ag8.com", true },
  { "36bobines.com", true },
  { "370422.com", true },
  { "371422.com", true },
  { "371687.com", true },
  { "371cloud.com", false },
  { "3733366.xyz", true },
  { "373422.com", true },
  { "373816.com", true },
  { "374933.com", true },
  { "375422.com", true },
  { "375ks.com", true },
  { "376557.com", true },
  { "377625.com", true },
  { "377632.com", true },
  { "377813.com", true },
  { "377ks.com", true },
  { "378553.com", true },
  { "378901.com", true },
  { "378902.com", true },
  { "378ks.com", true },
  { "37987.com", false },
  { "37987d.com", false },
  { "37987e.com", false },
  { "37987f.com", false },
  { "37987g.com", false },
  { "37zk.com", true },
  { "37zw.com", true },
  { "380111333.com", true },
  { "380111444.com", true },
  { "380111666.com", true },
  { "380222000.com", true },
  { "380222222.com", true },
  { "380222444.com", true },
  { "380222555.com", true },
  { "380222666.com", true },
  { "380222777.com", true },
  { "380222888.com", true },
  { "380222999.com", true },
  { "3803300.com", true },
  { "380422.com", true },
  { "3806600.com", true },
  { "3807722.com", true },
  { "380805.com", true },
  { "3808833.com", true },
  { "3809955.com", true },
  { "381115.com", true },
  { "382225.com", true },
  { "387763.com", true },
  { "3886aa.com", true },
  { "388z6.com", true },
  { "38irkutsk.tk", true },
  { "390422.com", true },
  { "390933.com", true },
  { "391119.com", true },
  { "392422.com", true },
  { "393422.com", true },
  { "394022.com", true },
  { "394122.com", true },
  { "394322.com", true },
  { "394522.com", true },
  { "394622.com", true },
  { "394922.com", true },
  { "3957e.com", true },
  { "3957h.com", true },
  { "3957i.com", true },
  { "3957j.com", true },
  { "3957k.com", true },
  { "3957l.com", true },
  { "3957m.com", true },
  { "3957n.com", true },
  { "3957o.com", true },
  { "3957p.com", true },
  { "3957q.com", true },
  { "3957r.com", true },
  { "3957s.com", true },
  { "3957t.com", true },
  { "3957u.com", true },
  { "3957v.com", true },
  { "3957w.com", true },
  { "3957x.com", true },
  { "3957y.com", true },
  { "3957z.com", true },
  { "396301.com", true },
  { "396302.com", true },
  { "396303.com", true },
  { "396304.com", true },
  { "396305.com", true },
  { "3963bb.com", true },
  { "3963cc.com", true },
  { "3963dd.com", true },
  { "3963ee.com", true },
  { "3963ff.com", true },
  { "396422.com", true },
  { "398.info", true },
  { "398kb.com", true },
  { "399ks.com", true },
  { "399z6.com", true },
  { "39w66.com", true },
  { "3aandl.com", true },
  { "3aexpert.com.ua", true },
  { "3ags.de", true },
  { "3b.pm", true },
  { "3bet86.com", true },
  { "3bigking.com", true },
  { "3blazing.cf", true },
  { "3c-d.de", true },
  { "3cbalance.pl", true },
  { "3countiescastlehire.co.uk", true },
  { "3d-animator.net", true },
  { "3d-fotoservice.de", true },
  { "3d1t0r4.com", false },
  { "3danimation.tk", true },
  { "3dcollective.es", true },
  { "3de5.nl", true },
  { "3deeplearner.com", true },
  { "3dgep.com", true },
  { "3djuegos.com", true },
  { "3dmedium.de", true },
  { "3dmusiclab.nl", true },
  { "3dnovedades.com", true },
  { "3do3dont.com", true },
  { "3dprinterwiki.org", true },
  { "3dprintinggear.net", true },
  { "3dreactions.com", true },
  { "3dsupplies.be", true },
  { "3elife.vn", true },
  { "3gdh.vip", true },
  { "3haeuserprojekt.org", true },
  { "3haueserprojekt.org", true },
  { "3james.com", true },
  { "3k188.com", true },
  { "3k288.com", true },
  { "3k788.com", true },
  { "3k878.com", true },
  { "3k988.com", true },
  { "3lc8.com", true },
  { "3logic.ru", true },
  { "3mbo.de", true },
  { "3n5b.com", true },
  { "3niu1.com", true },
  { "3niu6.com", true },
  { "3niusurl.com", true },
  { "3niuurl.com", true },
  { "3pestki.org", true },
  { "3plusdesign.gr", true },
  { "3pm.tw", true },
  { "3prn.com", true },
  { "3queens.cz", true },
  { "3queens.io", true },
  { "3r.org.uk", true },
  { "3rsee.com", true },
  { "3s-datasolution.de", true },
  { "3s-datasolutions.de", true },
  { "3s-ddns.de", true },
  { "3s-dns.de", true },
  { "3s-hosting.de", true },
  { "3s-mail.de", true },
  { "3sdatasolution.de", true },
  { "3sdatasolutions.de", true },
  { "3sddns.de", true },
  { "3sdns.de", true },
  { "3shosting.de", true },
  { "3smail.de", true },
  { "3tribes.co.uk", true },
  { "3typen.tv", true },
  { "3v4l.org", true },
  { "3w-solutions.fr", true },
  { "3xbit.com.br", true },
  { "4-it.de", true },
  { "4000milestare.com", true },
  { "4000sf.com", true },
  { "400k8.com", true },
  { "40160365.com", true },
  { "4025c.com", false },
  { "4025d.com", false },
  { "4025f.com", false },
  { "4025g.com", false },
  { "4025h.com", false },
  { "4025i.com", false },
  { "4025j.com", false },
  { "4025k.com", false },
  { "4025l.com", false },
  { "4025n.com", false },
  { "4025p.com", false },
  { "4025q.com", false },
  { "4025s.com", false },
  { "4025t.com", false },
  { "4025u.com", false },
  { "4025v.com", false },
  { "4025w.com", false },
  { "4025x.com", false },
  { "4025y.com", false },
  { "403.ch", true },
  { "404notfound.com.br", true },
  { "40666888.com", false },
  { "406811.com", true },
  { "406833.com", true },
  { "4096b.com", true },
  { "40acts.org.uk", true },
  { "40percentpapermache.com", true },
  { "41199.com", true },
  { "411film.com", true },
  { "411movie.com", true },
  { "411quest.com", true },
  { "41studio.com", true },
  { "41where.com", true },
  { "42.tools", true },
  { "420.nerdpol.ovh", true },
  { "420java.com", true },
  { "420screen.com", true },
  { "420weedcenter.com", true },
  { "4233065.com", true },
  { "4233068.com", true },
  { "4233069.com", true },
  { "4233070.com", true },
  { "4251365.com", true },
  { "427138.com", true },
  { "428northampton.com", true },
  { "42l.fr", true },
  { "432666365.com", true },
  { "432web.net", true },
  { "4351365.com", true },
  { "437138.com", true },
  { "437844.com", true },
  { "439050.com", true },
  { "43klive.com", true },
  { "44-k.com", true },
  { "440887.com", true },
  { "44168365.com", true },
  { "441jj.com", false },
  { "441jz.com", true },
  { "442887.com", true },
  { "442jz.com", true },
  { "44365t.com", true },
  { "443887.com", true },
  { "443jz.com", true },
  { "4447035.com", true },
  { "4447552.com", true },
  { "444887.com", true },
  { "4455bet.vip", false },
  { "445887.com", true },
  { "451365.com", true },
  { "45365t.com", true },
  { "4551365.com", true },
  { "4562030.com", true },
  { "4562040.com", true },
  { "456365t.com", true },
  { "456666365.com", true },
  { "459022.com", true },
  { "45b.org", true },
  { "463855.com", true },
  { "4661049.com", true },
  { "46d88.com", true },
  { "4706666.com", true },
  { "4716666.com", true },
  { "4726666.com", true },
  { "4756666.com", true },
  { "4761.cc", true },
  { "4762.cc", true },
  { "4776070.com", true },
  { "4786666.com", true },
  { "47d88.com", true },
  { "48365365cn.com", true },
  { "48365cn-365.com", true },
  { "486138.com", true },
  { "487511.com", true },
  { "487522.com", true },
  { "487866.com", true },
  { "48d88.com", true },
  { "491mhz.net", true },
  { "492977.com", true },
  { "492y.com", true },
  { "497773.com", true },
  { "499ks.com", true },
  { "499ks.net", true },
  { "49dollaridahoregisteredagent.com", true },
  { "4best.tk", true },
  { "4bet86.com", true },
  { "4c-haircare.com", true },
  { "4cavaleiros.com.br", true },
  { "4dillusion.tk", true },
  { "4dpredict.com", true },
  { "4dropping.com", true },
  { "4everproxy.com", true },
  { "4evip.com", false },
  { "4eyes.ch", true },
  { "4fit.ro", true },
  { "4g-server.eu", false },
  { "4garage.com.br", true },
  { "4gnews.pt", true },
  { "4hmediaproductions.com", true },
  { "4host.ch", true },
  { "4investors.de", true },
  { "4kpi.eu", true },
  { "4lock.com.br", true },
  { "4mm.org", true },
  { "4monar.com", true },
  { "4obgyne.com", true },
  { "4pillarsit.com", true },
  { "4played.de", true },
  { "4played.vip", true },
  { "4plebs.moe", true },
  { "4project.co.il", true },
  { "4smart.cz", true },
  { "4th-ave-studio.com", true },
  { "4thdc.com", true },
  { "4u.services", false },
  { "4u2ore.net", true },
  { "4vector.com", true },
  { "4vf.de", true },
  { "4vio.com", true },
  { "4wrd.cc", true },
  { "4x.fi", true },
  { "4x4-27mc.nl", true },
  { "4x4.lk", true },
  { "4x4coatingen.nl", true },
  { "4xlabs.co", true },
  { "50.pe", true },
  { "500k8.com", true },
  { "500promokodov.ru", true },
  { "501117.com", true },
  { "50160365.com", true },
  { "5017801.com", false },
  { "5017802.com", false },
  { "5017803.com", false },
  { "5017804.com", false },
  { "5017805.com", false },
  { "502312.com", true },
  { "504122.com", true },
  { "504322.com", true },
  { "504622.com", true },
  { "504922.com", true },
  { "505343.com", false },
  { "5055990.com", false },
  { "506422.com", true },
  { "508kb.com", true },
  { "50milli.com", true },
  { "50north.de", true },
  { "50plusnet.nl", true },
  { "50ten40.com", true },
  { "5132app.com", true },
  { "5132hb.com", true },
  { "5132hd.com", true },
  { "5132vip.com", true },
  { "51365a.com", true },
  { "51365aa.com", true },
  { "51365b.com", true },
  { "51365bb.com", true },
  { "51365c.com", true },
  { "51365cc.com", true },
  { "51365d.com", true },
  { "51365dd.com", true },
  { "51365ee.com", true },
  { "513maximus.site", true },
  { "513x.cc", true },
  { "514122.com", true },
  { "514522.com", true },
  { "514922.com", true },
  { "515422.com", true },
  { "516422.com", true },
  { "516btt.com", true },
  { "516btt.net", true },
  { "516ks.com", true },
  { "518.com.tw", true },
  { "51877.net", true },
  { "5188900.com", true },
  { "518k8.com", true },
  { "519422.com", true },
  { "5197.com", true },
  { "51acg.eu.org", true },
  { "51cls.tw", true },
  { "51guaq.com", true },
  { "51tiaojiu.com", true },
  { "52002a.com", true },
  { "52002b.com", true },
  { "52002d.com", true },
  { "52002e.com", true },
  { "52002f.com", true },
  { "52002g.com", true },
  { "52002h.com", true },
  { "52002i.com", true },
  { "52002j.com", true },
  { "52002k.com", true },
  { "52002l.com", true },
  { "52002m.com", true },
  { "52002n.com", true },
  { "52002o.com", true },
  { "52002p.com", true },
  { "52002q.com", true },
  { "52002r.com", true },
  { "52002s.com", true },
  { "52002t.com", true },
  { "52002u.com", true },
  { "52002v.com", true },
  { "52002w.com", true },
  { "52002x.com", true },
  { "52002y.com", true },
  { "52051.com", true },
  { "52062a.com", true },
  { "52062b.com", true },
  { "52062c.com", true },
  { "52062g.com", true },
  { "52062h.com", true },
  { "52062n.com", true },
  { "52062o.com", true },
  { "52062q.com", true },
  { "52062s.com", true },
  { "52062v.com", true },
  { "52062w.com", true },
  { "52062x.com", true },
  { "52062y.com", true },
  { "52062z.com", true },
  { "5214889.com", true },
  { "524022.com", true },
  { "524622.com", true },
  { "524922.com", true },
  { "525.info", true },
  { "5287.com", true },
  { "529kb.com", true },
  { "52dashboard.com", true },
  { "52kb365.com", true },
  { "52ncp.net", true },
  { "52sykb.com", true },
  { "5310899.com", true },
  { "5310899.net", true },
  { "531422.com", true },
  { "532441.com", true },
  { "532445.com", true },
  { "534122.com", true },
  { "534622.com", true },
  { "534922.com", true },
  { "535kb.com", true },
  { "536422.com", true },
  { "5364b.com", true },
  { "5364c.com", true },
  { "5364d.com", true },
  { "5364jc.com", true },
  { "536kb.com", true },
  { "53ningen.com", true },
  { "540922.com", true },
  { "541022.com", true },
  { "5414app.com", true },
  { "5414hd.com", true },
  { "5414vip.com", true },
  { "541622.com", true },
  { "541651.com", true },
  { "541722.com", true },
  { "541922.com", true },
  { "5424app.com", true },
  { "5424hd.com", true },
  { "5424vip.com", true },
  { "5454app.com", true },
  { "5454hd.com", true },
  { "5454pk.com", true },
  { "545922.com", true },
  { "546802.com", true },
  { "54below.com", true },
  { "54lsj.cc", true },
  { "552z6.com", true },
  { "55365t.com", true },
  { "5539z.com", true },
  { "553z6.com", true },
  { "5557035.com", true },
  { "5557552.com", true },
  { "555btt.com", true },
  { "555kb.com", true },
  { "555w.org", true },
  { "555wfcp.com", true },
  { "556021.com", true },
  { "556777.cc", true },
  { "556z6.com", true },
  { "557z6.com", true },
  { "558btt.net", true },
  { "558z6.com", true },
  { "559z6.com", true },
  { "55d88.com", true },
  { "55ks.app", true },
  { "55lc8.com", true },
  { "56365t.com", true },
  { "565kb.com", true },
  { "5663.cc", true },
  { "5663.co", true },
  { "56695.com", true },
  { "566k66.com", true },
  { "566ks.com", true },
  { "566z6.com", true },
  { "56736565.com", true },
  { "567667.cc", true },
  { "572kb.com", true },
  { "575kb.com", true },
  { "5763.org", true },
  { "576422.com", true },
  { "577z6.com", true },
  { "5781.org", true },
  { "578637.com", true },
  { "5792.org", true },
  { "579422.com", true },
  { "5795111.com", true },
  { "579533.com", true },
  { "5795444.com", true },
  { "5795885.com", true },
  { "5795886.com", true },
  { "5795887.com", true },
  { "5796.org", true },
  { "5797.org", true },
  { "581kb.com", true },
  { "583422.com", true },
  { "585422.com", true },
  { "585kb.com", true },
  { "586422.com", true },
  { "5889k.com", true },
  { "588k8.com", true },
  { "588z6.com", true },
  { "58d88.com", true },
  { "58w66.com", true },
  { "58xiangka.com", true },
  { "591422.com", true },
  { "592227.com", true },
  { "592422.com", true },
  { "5930593.com", true },
  { "594022.com", true },
  { "594622.com", true },
  { "595422.com", true },
  { "595ks.com", true },
  { "596422.com", true },
  { "59759vip.com", true },
  { "59759z.com", true },
  { "5981168.com", true },
  { "5981655.com", true },
  { "5981668.com", true },
  { "5981669.com", true },
  { "5981677.com", true },
  { "5981688.com", true },
  { "5981699.com", true },
  { "5981800.com", true },
  { "5981811.com", true },
  { "5981822.com", true },
  { "5981833.com", true },
  { "5981855.com", true },
  { "5981866.com", true },
  { "5981877.com", true },
  { "5981899.com", true },
  { "5981918.com", true },
  { "5981s.com", true },
  { "5981t.com", true },
  { "5981v.com", true },
  { "5981w.com", true },
  { "598598598.net", true },
  { "59859h.vip", true },
  { "59859j.vip", true },
  { "59859k.vip", true },
  { "59859l.vip", true },
  { "59859y.vip", true },
  { "59859z.vip", true },
  { "598877.com", true },
  { "59937.com", true },
  { "5997891.com", true },
  { "599980.com", true },
  { "599ks.com", true },
  { "59rus.tk", true },
  { "5agks.com", true },
  { "5apps.com", true },
  { "5bet86.com", true },
  { "5c1fd0f31022cbc40af9f785847baaf9.space", true },
  { "5ccapitalinvestments.com", true },
  { "5chat.it", true },
  { "5dm.tv", true },
  { "5eki.jp", true },
  { "5francs.com", true },
  { "5gb.space", true },
  { "5goglobal.com", true },
  { "5i.gs", true },
  { "5ilg.com", true },
  { "5k66.ag", true },
  { "5kraceforals.com", true },
  { "5lc8.com", true },
  { "5lc8.net", true },
  { "5percentperweek.com", true },
  { "5stars.tv", true },
  { "5thchichesterscouts.org.uk", true },
  { "5y.fi", true },
  { "5yeb.com", true },
  { "6004233.com", true },
  { "60062b.cc", true },
  { "60062h.cc", true },
  { "60062i.cc", true },
  { "600k8.com", true },
  { "60160365.com", true },
  { "602422.com", true },
  { "602yb.com", true },
  { "603yb.com", true },
  { "604122.com", true },
  { "604322.com", true },
  { "604522.com", true },
  { "604622.com", true },
  { "605422.com", true },
  { "606422.com", true },
  { "606722.com", true },
  { "608885.com", true },
  { "608vets.com", true },
  { "609422.com", true },
  { "611121.com", true },
  { "611125.com", true },
  { "611135.com", true },
  { "611165.com", true },
  { "611195.com", true },
  { "6132-app.com", true },
  { "6132-hd.com", true },
  { "6132-vip.com", true },
  { "6132app.com", true },
  { "6132hb.com", true },
  { "6132hd.com", true },
  { "6132kf.com", true },
  { "6132pk.com", true },
  { "6132vip.com", true },
  { "614022.com", true },
  { "614322.com", true },
  { "614922.com", true },
  { "616578.com", true },
  { "616728.com", true },
  { "616758.com", true },
  { "616798.com", true },
  { "616f88.com", true },
  { "616xin.com", true },
  { "61730123.com", true },
  { "618btt.com", true },
  { "619kb.com", true },
  { "61ag8.com", true },
  { "61z6.com", true },
  { "620207.com", true },
  { "621422.com", true },
  { "621kb.com", true },
  { "622283.com", true },
  { "622812.com", true },
  { "622z6.com", true },
  { "62314.cc", true },
  { "623kb.com", true },
  { "624022.com", true },
  { "624122.com", true },
  { "624322.com", true },
  { "624522.com", true },
  { "624922.com", true },
  { "625kb.com", true },
  { "626422.com", true },
  { "630422.com", true },
  { "631422.com", true },
  { "633362.com", true },
  { "633663.cc", true },
  { "633663.net", true },
  { "633kb.com", true },
  { "633z6.com", true },
  { "634022.com", true },
  { "634322.com", true },
  { "634622.com", true },
  { "634922.com", true },
  { "635422.com", true },
  { "636422.com", true },
  { "639422.com", true },
  { "6396000.com", true },
  { "63960000.com", true },
  { "63961111.com", true },
  { "639611111.com", true },
  { "6396222.com", true },
  { "63962222.com", true },
  { "639622222.com", true },
  { "6396333.com", true },
  { "63963333.com", true },
  { "639633333.com", true },
  { "6396444.com", true },
  { "63964444.com", true },
  { "639644444.com", true },
  { "63965555.com", true },
  { "639655555.com", true },
  { "639666666.com", true },
  { "63967777.com", true },
  { "639677777.com", true },
  { "63968888.com", true },
  { "639688888.com", true },
  { "63969999.com", true },
  { "639699999.com", true },
  { "6396aaa.com", true },
  { "6396bbb.com", true },
  { "6396eee.com", true },
  { "6396ggg.com", true },
  { "6396iii.com", true },
  { "6396jjj.com", true },
  { "6396ooo.com", true },
  { "6396qqq.com", true },
  { "6396rrr.com", true },
  { "6396sss.com", true },
  { "6396ttt.com", true },
  { "6396vvv.com", true },
  { "6396www.com", true },
  { "6396xxx.com", true },
  { "6396zzz.com", true },
  { "63gaming.com", true },
  { "640622.com", true },
  { "640722.com", true },
  { "640922.com", true },
  { "641022.com", true },
  { "641322.com", true },
  { "641422.com", true },
  { "641522.com", true },
  { "641622.com", true },
  { "641722.com", true },
  { "641822.com", true },
  { "641922.com", true },
  { "642022.com", true },
  { "642322.com", true },
  { "642422.com", true },
  { "642722.com", true },
  { "642822.com", true },
  { "642922.com", true },
  { "643022.com", true },
  { "643122.com", true },
  { "643722.com", true },
  { "643922.com", true },
  { "645022.com", true },
  { "645122.com", true },
  { "645322.com", true },
  { "645722.com", true },
  { "645822.com", true },
  { "645922.com", true },
  { "646022.com", true },
  { "646322.com", true },
  { "646722.com", true },
  { "647630.xyz", true },
  { "649022.com", true },
  { "649622.com", true },
  { "649722.com", true },
  { "649822.com", true },
  { "64d88.com", true },
  { "64stacks.com", true },
  { "65131a.com", false },
  { "65131b.com", false },
  { "65131c.com", false },
  { "65131d.com", false },
  { "65131e.com", false },
  { "65131f.com", false },
  { "65131g.com", false },
  { "65131h.com", false },
  { "65131i.com", false },
  { "65131j.com", false },
  { "65131k.com", false },
  { "65131l.com", false },
  { "65131m.com", false },
  { "65131n.com", false },
  { "65131o.com", false },
  { "65131p.com", false },
  { "65131q.com", false },
  { "65131r.com", false },
  { "65131s.com", false },
  { "65131t.com", false },
  { "65131u.com", false },
  { "65131v.com", false },
  { "65131w.com", false },
  { "65131x.com", false },
  { "65131y.com", false },
  { "65131z.com", false },
  { "651422.com", true },
  { "652422.com", true },
  { "652kb.com", true },
  { "655591.com", true },
  { "6556a.com", true },
  { "6556b.com", true },
  { "6556c.com", true },
  { "6556d.com", true },
  { "6556f.com", true },
  { "6556g.com", true },
  { "6556h.com", true },
  { "6556j.com", true },
  { "6556k.com", true },
  { "6556m.com", true },
  { "6556x.com", true },
  { "6556z.com", true },
  { "655ks.com", true },
  { "655z6.com", true },
  { "659422.com", true },
  { "659ks.com", true },
  { "65d88.com", true },
  { "66.tn", true },
  { "661326.com", true },
  { "6616.fun", true },
  { "66168365.com", true },
  { "6618.fun", true },
  { "6619k.com", true },
  { "661z6.com", true },
  { "662607.xyz", true },
  { "662k66.com", true },
  { "662z6.com", true },
  { "663365666.com", true },
  { "663365777.com", true },
  { "663365888.com", true },
  { "663365a.vip", true },
  { "663365b.vip", true },
  { "663365c.vip", true },
  { "663365d.vip", true },
  { "663365e.vip", true },
  { "663365f.vip", true },
  { "663365g.vip", true },
  { "663365h.vip", true },
  { "663365i.com", true },
  { "663365i.vip", true },
  { "663365j.com", true },
  { "663365k.com", true },
  { "663365l.com", true },
  { "663365m.com", true },
  { "663365n.com", true },
  { "663365o.com", true },
  { "663365p.com", true },
  { "663365q.com", true },
  { "663365r.com", true },
  { "663365s.com", true },
  { "663365t.com", true },
  { "663365u.com", true },
  { "663365v.com", true },
  { "663365w.com", true },
  { "663365x.com", true },
  { "663365y.com", true },
  { "663365z.com", true },
  { "663z6.com", true },
  { "6652566.com", true },
  { "6658.fun", true },
  { "665z6.com", true },
  { "666111bet.com", true },
  { "66619991.com", true },
  { "666222bet.com", true },
  { "666333bet.com", true },
  { "666365app.com", true },
  { "666365ios.com", true },
  { "666365iosapp.com", true },
  { "666365t.com", true },
  { "666555bet.com", true },
  { "666668722.com", true },
  { "6667035.com", true },
  { "666888bet.com", true },
  { "66689j.com", true },
  { "6669255.com", false },
  { "666999bet.com", true },
  { "666am8.com", true },
  { "666k66.com", true },
  { "666k8.com", true },
  { "666k8.net", true },
  { "666omg.com", true },
  { "6677bet.vip", false },
  { "667z6.com", true },
  { "6685m.com", true },
  { "668825.vip", true },
  { "6689m.com", true },
  { "668am8.com", true },
  { "668k8.com", true },
  { "668k8.net", true },
  { "668ks.com", true },
  { "668z6.com", true },
  { "669z6.com", true },
  { "66ag9.com", true },
  { "66agks.com", true },
  { "66b.com", true },
  { "66d88.net", true },
  { "66k66.ag", true },
  { "66lc8.com", true },
  { "66lc8.net", true },
  { "670102.com", true },
  { "670422.com", true },
  { "670633.com", true },
  { "671422.com", true },
  { "672422.com", true },
  { "6729dns.com", false },
  { "6729dz.com", false },
  { "673422.com", true },
  { "676422.com", true },
  { "676812.com", true },
  { "677z6.com", true },
  { "67836565.com", true },
  { "678365t.com", true },
  { "67877777.com", false },
  { "678z6.com", true },
  { "679422.com", true },
  { "67y7.com", true },
  { "680422.com", true },
  { "6810app.com", true },
  { "6830521.com", true },
  { "6848.com", true },
  { "6863070.com", false },
  { "688libo.com", true },
  { "688z6.com", true },
  { "68hvip.com", true },
  { "690422.com", true },
  { "691422.com", true },
  { "692422.com", true },
  { "693422.com", true },
  { "694322.com", true },
  { "694622.com", true },
  { "694922.com", true },
  { "698kb.com", true },
  { "6997896.com", true },
  { "699z6.com", true },
  { "69butterfly.com", true },
  { "69fps.gg", true },
  { "69games.xxx", true },
  { "69ks.com", true },
  { "69wasted.net", true },
  { "6bet86.com", true },
  { "6dec.gc.ca", true },
  { "6k66.ag", true },
  { "6k662.ag", true },
  { "6k663.ag", true },
  { "6k666.ag", true },
  { "6k666.cc", true },
  { "6k669.ag", true },
  { "6lc8.com", true },
  { "6lc8.net", true },
  { "6lo.zgora.pl", true },
  { "6upagent.com", true },
  { "7.plus", true },
  { "700.az", true },
  { "7007337.com", true },
  { "700k8.com", true },
  { "701135.com", true },
  { "70160365.com", true },
  { "70365365.com", false },
  { "704233.com", true },
  { "7045.com", true },
  { "704533.com", true },
  { "7045h.com", true },
  { "704633.com", true },
  { "705994.com", true },
  { "70872.com", false },
  { "709129.com", true },
  { "70d88.com", true },
  { "712433.com", true },
  { "712kb.com", true },
  { "713367.com", true },
  { "713387.com", true },
  { "713433.com", true },
  { "71365365.com", false },
  { "714133.com", true },
  { "714533.com", true },
  { "714633.com", true },
  { "715433.com", true },
  { "716176.com", true },
  { "716227.com", true },
  { "716331.com", true },
  { "718113.com", true },
  { "718227.com", true },
  { "718337.com", true },
  { "718433.com", true },
  { "718552.com", true },
  { "718772.com", true },
  { "719433.com", true },
  { "721167.com", true },
  { "721172.com", true },
  { "7214.cc", true },
  { "722201.com", true },
  { "722z6.com", true },
  { "724233.com", true },
  { "726127.com", true },
  { "726162.com", true },
  { "726176.com", true },
  { "726217.com", true },
  { "726221.com", true },
  { "726433.com", true },
  { "728433.com", true },
  { "729433.com", true },
  { "72hours2sold.com", true },
  { "730433.com", true },
  { "731433.com", true },
  { "731716.com", true },
  { "732433.com", true },
  { "73365365.com", false },
  { "7337006.com", true },
  { "7337007.com", true },
  { "7337app.com", true },
  { "7337dh.com", true },
  { "7337dz.com", true },
  { "733z6.com", true },
  { "735433.com", true },
  { "736371.com", true },
  { "736381.com", true },
  { "736433.com", true },
  { "738433.com", true },
  { "739433.com", true },
  { "740833.com", true },
  { "741833.com", true },
  { "742833.com", true },
  { "743833.com", true },
  { "74d88.com", true },
  { "7552001.com", true },
  { "7552002.com", true },
  { "7552005.com", true },
  { "7552006.com", true },
  { "7552008.com", true },
  { "7552009.com", true },
  { "7552010.com", true },
  { "7552011.com", true },
  { "7552012.com", true },
  { "7552013.com", true },
  { "755a.cc", true },
  { "755z6.com", true },
  { "756337.com", true },
  { "75d88.com", true },
  { "762.ch", false },
  { "762116.com", true },
  { "763137.com", true },
  { "76365365.com", false },
  { "7654321c.com", false },
  { "765666365.com", true },
  { "76668.com", true },
  { "7666898.com", true },
  { "76669.com", true },
  { "76678.com", true },
  { "766k66.com", true },
  { "767kb.com", true },
  { "76956.com", true },
  { "769k.com", true },
  { "76z66.com", true },
  { "77018aa.com", false },
  { "77018bb.com", false },
  { "77018cc.com", false },
  { "77018dd.com", false },
  { "77018vip.com", false },
  { "77168365.com", true },
  { "77177.de", true },
  { "772z6.com", true },
  { "773z6.com", true },
  { "7748229.xyz", true },
  { "775018.com", true },
  { "775z6.com", true },
  { "776z6.com", true },
  { "777234567.com", false },
  { "777365t.com", true },
  { "7776365.com", true },
  { "7777k8.com", true },
  { "777coin.com", true },
  { "778z6.com", true },
  { "779z6.com", true },
  { "77lc8.com", true },
  { "77zxdy.com", true },
  { "781671.com", true },
  { "781683.com", true },
  { "783631.com", true },
  { "78365app.com", false },
  { "78365b.com", false },
  { "78365bb.com", false },
  { "78365c.com", false },
  { "78365cc.com", false },
  { "78365dd.com", false },
  { "78365ee.com", false },
  { "783lab.com", true },
  { "787637.com", true },
  { "7878365.com", false },
  { "787kb.com", true },
  { "7885765.com", true },
  { "7888813.com", true },
  { "7888815.com", true },
  { "7888821.com", true },
  { "7891553.com", true },
  { "7891997.com", true },
  { "7893.net", true },
  { "78936565.com", true },
  { "789365t.com", true },
  { "7894.net", true },
  { "789451.com", false },
  { "790security.co.za", true },
  { "793ww.com", true },
  { "797715.com", true },
  { "799ks.com", true },
  { "799z6.com", true },
  { "7bet86.com", true },
  { "7careconnect.com", true },
  { "7delights.com", true },
  { "7delights.in", true },
  { "7g31.com", true },
  { "7geese.com", true },
  { "7graus.pt", true },
  { "7k66.ag", true },
  { "7k66.vip", true },
  { "7kicks.com", true },
  { "7l00p.com", true },
  { "7lb.de", true },
  { "7lc8.com", true },
  { "7milesglobal.com", true },
  { "7minutemiles.com", true },
  { "7pets.net", true },
  { "7plus.com.au", true },
  { "7proxies.com", true },
  { "7sdre.am", true },
  { "7th-heaven.me", true },
  { "7thcircledesigns.com", true },
  { "7win.am", true },
  { "8007337.com", true },
  { "8008d88.com", true },
  { "8012d88.com", true },
  { "8015d88.com", true },
  { "80160365.com", true },
  { "8028d.com", true },
  { "8029d.com", true },
  { "803001.com", true },
  { "80365365.com", false },
  { "804322.com", true },
  { "80630.com", true },
  { "80651a.com", true },
  { "80651c.com", true },
  { "8065d.com", true },
  { "806kb.com", true },
  { "8078d.com", true },
  { "8080883.com", true },
  { "80887.cc", true },
  { "809088.cc", true },
  { "809422.com", true },
  { "80993.net", true },
  { "809kb.com", true },
  { "80bin.com", true },
  { "8102d88.com", true },
  { "811121.com", true },
  { "811z6.com", true },
  { "812221.com", true },
  { "8128d.com", true },
  { "8129d.com", true },
  { "8130d88.com", true },
  { "81365365.com", false },
  { "814022.com", true },
  { "8153d.com", true },
  { "8156d.com", true },
  { "816jz.com", true },
  { "8170d.com", true },
  { "8173d.com", true },
  { "81818app.com", true },
  { "81818b.com", true },
  { "81818c.com", true },
  { "81818e.com", true },
  { "81818f.com", true },
  { "81818g.com", true },
  { "81818h.com", true },
  { "81818i.com", true },
  { "81818j.com", true },
  { "81818k.com", true },
  { "81818l.com", true },
  { "81818n.com", true },
  { "81818o.com", true },
  { "81818p.com", true },
  { "81818q.com", true },
  { "81818r.com", true },
  { "81818s.com", true },
  { "81818u.com", true },
  { "81818w.com", true },
  { "81818x.com", true },
  { "81818y.com", true },
  { "8186d.com", true },
  { "8187d.com", true },
  { "8189196.com", true },
  { "8189d.com", true },
  { "818z6.com", true },
  { "8190d.com", true },
  { "819kb.com", true },
  { "81d88.com", true },
  { "8202d.com", true },
  { "8206d.com", true },
  { "8207d88.com", true },
  { "8208d.com", true },
  { "8211p.com", true },
  { "8213p.com", true },
  { "8214p.com", true },
  { "8215p.com", true },
  { "8216p.com", true },
  { "8225.com", true },
  { "8226d.com", true },
  { "8227d88.com", true },
  { "8228d88.com", true },
  { "822z6.com", true },
  { "8230d88.com", true },
  { "8238d.com", true },
  { "8239d.com", true },
  { "827774.com", true },
  { "82781111.com", true },
  { "82783333.com", true },
  { "82784444.com", true },
  { "82785555.com", true },
  { "82786666.com", true },
  { "82789999.com", true },
  { "8278a.com", true },
  { "8278a.net", true },
  { "8278aaa.com", true },
  { "8278b.com", true },
  { "8278b.net", true },
  { "8278bb.com", true },
  { "8278bbb.com", true },
  { "8278c.net", true },
  { "8278ccc.com", true },
  { "8278d.com", true },
  { "8278d.net", true },
  { "8278ddd.com", true },
  { "8278e.net", true },
  { "8278ee.com", true },
  { "8278f.net", true },
  { "8278ff.com", true },
  { "8278fff.com", true },
  { "8278g.com", true },
  { "8278g.net", true },
  { "8278gg.com", true },
  { "8278ggg.com", true },
  { "8278h.net", true },
  { "8278hh.com", true },
  { "8278hhh.com", true },
  { "8278i.net", true },
  { "8278ii.com", true },
  { "8278iii.com", true },
  { "8278j.net", true },
  { "8278jj.com", true },
  { "8278k.com", true },
  { "8278kk.com", true },
  { "8278l.com", true },
  { "8278ll.com", true },
  { "8278m.com", true },
  { "8278mm.com", true },
  { "8278nn.com", true },
  { "8278oo.com", true },
  { "8278pp.com", true },
  { "8278qq.com", true },
  { "8278rr.com", true },
  { "8278ss.com", true },
  { "8278tt.com", true },
  { "8278w.com", true },
  { "8278ww.com", true },
  { "8278y.com", true },
  { "8278yy.com", true },
  { "82ag88.com", true },
  { "833792.com", true },
  { "833z6.com", true },
  { "8371p.com", true },
  { "8373p.com", true },
  { "8376p.com", true },
  { "8378p.com", true },
  { "8387p.com", true },
  { "8396p.com", true },
  { "842844.com", true },
  { "847773.com", true },
  { "8522club.com", true },
  { "8522ph.com", true },
  { "8522tw.com", true },
  { "8522usa.com", true },
  { "856kb.com", true },
  { "8602012.com", true },
  { "8602013.com", true },
  { "8602014.com", true },
  { "8602015.com", true },
  { "8602016.com", true },
  { "8602017.com", true },
  { "8602018.com", true },
  { "8602019.com", true },
  { "8602020.com", true },
  { "8602021.com", true },
  { "86086011.com", true },
  { "86086022.com", true },
  { "86086033.com", true },
  { "86086044.com", true },
  { "86086055.com", true },
  { "86086066.com", true },
  { "86086077.com", true },
  { "86086099.com", true },
  { "861365.com", true },
  { "861365.vip", true },
  { "861365a.com", true },
  { "861365b.com", true },
  { "861365c.com", true },
  { "861365d.com", true },
  { "861365e.com", true },
  { "861365f.com", true },
  { "861365g.com", true },
  { "861365h.com", true },
  { "861365i.com", true },
  { "861365j.com", true },
  { "861365k.com", true },
  { "861365l.com", true },
  { "861365m.com", true },
  { "861365n.com", true },
  { "861365o.com", true },
  { "861365q.com", true },
  { "861365r.com", true },
  { "861365s.com", true },
  { "861365t.com", true },
  { "861365u.com", true },
  { "861365v.com", true },
  { "861365vip.com", true },
  { "861365w.com", true },
  { "861365x.com", true },
  { "861365y.com", true },
  { "861365z.com", true },
  { "861kb.com", true },
  { "86286286.com", true },
  { "86499.com", true },
  { "866300.vip", true },
  { "866305.vip", true },
  { "866308.vip", true },
  { "866k66.com", true },
  { "866z6.com", true },
  { "868z6.com", true },
  { "869kb.com", true },
  { "86btt.com", true },
  { "86metro.ru", true },
  { "86z66.com", true },
  { "8722am.com", true },
  { "8722cn.com", true },
  { "8722hk.com", true },
  { "8722ph.com", true },
  { "8722tw.com", true },
  { "8722usa.com", true },
  { "87365365.com", false },
  { "877027.com", true },
  { "877791.com", true },
  { "877z6.com", true },
  { "878365aa.com", false },
  { "878365app.com", false },
  { "878365b.com", false },
  { "878365bb.com", false },
  { "878365c.com", false },
  { "878365cc.com", false },
  { "878365cn.com", true },
  { "878365d.com", false },
  { "878365dd.com", false },
  { "878365ee.com", false },
  { "878365ii.com", false },
  { "878365jj.com", false },
  { "878365ll.com", false },
  { "878365mm.com", false },
  { "878365nn.com", false },
  { "878989.com", true },
  { "87ag9.com", true },
  { "88-line.com", true },
  { "88-line.net", true },
  { "8800ks.com", true },
  { "8801ks.com", true },
  { "8802ks.com", true },
  { "8802p.com", true },
  { "8806d.com", true },
  { "8809ks.com", true },
  { "881-line.com", true },
  { "881-line.net", true },
  { "8812ks.com", true },
  { "8815d.com", true },
  { "88168365.com", true },
  { "8816d.com", true },
  { "8818ks.com", true },
  { "8819ks.com", true },
  { "881z6.com", true },
  { "8826d.com", true },
  { "8828ks.com", true },
  { "882kb.com", true },
  { "882z6.com", true },
  { "8830ks.com", true },
  { "88365.net", true },
  { "88365t.com", true },
  { "8839ks.com", true },
  { "883z6.com", true },
  { "8850d88.com", true },
  { "88522am.com", true },
  { "885287.com", true },
  { "8858ks.com", true },
  { "8859ks.com", true },
  { "885kb.com", true },
  { "885z6.com", true },
  { "8860d.com", true },
  { "8861ks.com", true },
  { "8862d.com", true },
  { "8868ks.com", true },
  { "8869ks.com", true },
  { "886k66.com", true },
  { "886k8.com", true },
  { "886k8.net", true },
  { "886z6.com", true },
  { "887.ag", true },
  { "8871d.com", true },
  { "8872d.com", true },
  { "88740a.com", true },
  { "88740b.com", true },
  { "88740g.com", true },
  { "8875d.com", true },
  { "8876d.com", true },
  { "8879d.com", true },
  { "887k66.com", true },
  { "887z6.com", true },
  { "8881234j.com", true },
  { "888234j.com", true },
  { "8882ks.com", true },
  { "8883456j.com", true },
  { "888345j.com", true },
  { "8884567j.com", true },
  { "888456j.com", true },
  { "88851333.com", true },
  { "888567j.com", true },
  { "8885ks.com", true },
  { "8886789j.com", true },
  { "8886ks.com", true },
  { "8888209.com", true },
  { "888888722.com", true },
  { "88889822.com", true },
  { "8888esb.com", true },
  { "8888yule8888.com", true },
  { "888am8.com", true },
  { "888am8.net", true },
  { "888funcity.com", true },
  { "888funcity.net", true },
  { "888k66.com", true },
  { "8890d.com", true },
  { "8890ks.com", true },
  { "8891d.com", true },
  { "8891ks.com", true },
  { "8892d.com", true },
  { "8892ks.com", true },
  { "8895d.com", true },
  { "8895ks.com", true },
  { "8897d.com", true },
  { "889vip2.com", true },
  { "889vip3.com", true },
  { "889vip4.com", true },
  { "889vip5.com", true },
  { "889w889.com", true },
  { "889w889.net", true },
  { "889z6.com", true },
  { "88btt.net", true },
  { "88djl.cc", true },
  { "88home9.com", true },
  { "88kash.com", true },
  { "88kb88.com", true },
  { "88lc8.net", true },
  { "88lc88.com", true },
  { "88lc88.net", true },
  { "88lecheng.com", true },
  { "88wewin.com", true },
  { "88yule11.com", true },
  { "88yule112.com", true },
  { "88yule113.com", true },
  { "88yule12.com", true },
  { "88yule13.com", true },
  { "88yule15.com", true },
  { "88yule16.com", true },
  { "88yule3.com", true },
  { "88yule5.com", true },
  { "88yule6.com", true },
  { "88yule7.com", true },
  { "88yule9.com", true },
  { "8900d.com", true },
  { "8901178.com", true },
  { "8901178.net", true },
  { "8906d.com", true },
  { "8907d.com", true },
  { "8908d.com", true },
  { "8910899.com", true },
  { "8910899.net", true },
  { "8914499.com", true },
  { "8917168.com", true },
  { "8917168.net", true },
  { "8917818.com", true },
  { "8917818.net", true },
  { "8919d.com", true },
  { "8920d.com", true },
  { "8921d.com", true },
  { "8925d.com", true },
  { "8926d.com", true },
  { "89365t.com", true },
  { "89386a.com", true },
  { "89386b.com", true },
  { "89386c.com", true },
  { "89386d.com", true },
  { "89386e.com", true },
  { "89386l.com", true },
  { "8938885.com", true },
  { "8951889.net", true },
  { "897774.com", true },
  { "898z6.com", true },
  { "8992088.com", true },
  { "8992088.net", true },
  { "899ks.com", true },
  { "899z6.com", true },
  { "89btt.com", true },
  { "8ag8.org", true },
  { "8ag88.com", true },
  { "8balls.nl", true },
  { "8bet86.com", true },
  { "8e8z.com", true },
  { "8k66.vip", true },
  { "8lc8.net", true },
  { "8maerz.at", true },
  { "8me.nl", true },
  { "8o8wave.com", true },
  { "8t8.eu", true },
  { "8tech.com.hk", true },
  { "8thportsmouth.org.uk", true },
  { "8tuffbeers.com", true },
  { "8win.am", true },
  { "8xx888.com", true },
  { "8xxbet.net", true },
  { "8yabo.com", true },
  { "8yun.ga", true },
  { "9-11commission.gov", true },
  { "9005424.com", true },
  { "9007337.com", true },
  { "900823.com", false },
  { "9009019.com", false },
  { "900k8.com", true },
  { "901543.com", true },
  { "903422.com", true },
  { "905422.com", true },
  { "9090819.com", true },
  { "90920.cn", true },
  { "90r.jp", true },
  { "9108.fun", true },
  { "911.gov", true },
  { "911216.xyz", true },
  { "9118.com", true },
  { "9118.hk", true },
  { "911commission.gov", true },
  { "912422.com", true },
  { "913422.com", true },
  { "914122.com", true },
  { "915kb.com", true },
  { "918.com", true },
  { "9180.fun", true },
  { "9180nn.com", true },
  { "9180tt.com", true },
  { "9180vv.com", true },
  { "9180xx.com", true },
  { "9180yy.com", true },
  { "9180zz.com", true },
  { "91816.net", true },
  { "9186.fun", true },
  { "9186119.com", true },
  { "9189.fun", true },
  { "91891849.com", true },
  { "91891854.com", true },
  { "91891856.com", true },
  { "91891878.com", true },
  { "918aac.com", true },
  { "918aait.co", true },
  { "918aak.com", true },
  { "918ac.com", true },
  { "918agr.co", true },
  { "918ajj.com", true },
  { "918akk.com", true },
  { "918amj.co", true },
  { "918att.com", true },
  { "918axx.com", true },
  { "918ayy.com", true },
  { "918bbm.co", true },
  { "918bbt.com", true },
  { "918bby.co", true },
  { "918bby.com", true },
  { "918bcf.co", true },
  { "918bcw.co", true },
  { "918bis.co", true },
  { "918bit.co", true },
  { "918btt.com", true },
  { "918btt.net", true },
  { "918btty.com", true },
  { "918bttz.com", true },
  { "918byy.com", true },
  { "918ca.com", true },
  { "918cca.com", true },
  { "918cce.com", true },
  { "918ccq.com", true },
  { "918ch.com", true },
  { "918cr.com", true },
  { "918ctt.com", true },
  { "918dc04.com", true },
  { "918dc16.com", true },
  { "918dc19.com", true },
  { "918dda.com", true },
  { "918ddj.com", true },
  { "918ddo.com", true },
  { "918ddx.com", true },
  { "918dxx.com", true },
  { "918ee.com", true },
  { "918eej.com", true },
  { "918ej.com", true },
  { "918ev.com", true },
  { "918ffa.com", true },
  { "918fq.com", true },
  { "918fr.com", true },
  { "918fv.com", true },
  { "918gd.com", true },
  { "918hr.com", true },
  { "918hu.com", true },
  { "918hw.com", true },
  { "918ia.com", true },
  { "918iz.com", true },
  { "918ji.com", true },
  { "918kissinw.com", true },
  { "918kx.com", true },
  { "918mc.com", true },
  { "918md10.com", true },
  { "918md16.com", true },
  { "918md25.com", true },
  { "918mf.com", true },
  { "918nc.com", true },
  { "918nd.com", true },
  { "918nn.com", true },
  { "918nu.com", true },
  { "918ny.com", true },
  { "918pt.com", true },
  { "918qa.com", true },
  { "918qg.com", true },
  { "918qs.com", true },
  { "918rw.com", true },
  { "918sn.com", true },
  { "918ta.com", true },
  { "918tj.com", true },
  { "918tr.com", true },
  { "918tw.com", true },
  { "918uh.com", true },
  { "918vb.com", true },
  { "918ve.com", true },
  { "918vi.com", true },
  { "918wa.com", true },
  { "918we.com", true },
  { "918wo.com", true },
  { "918wq.com", true },
  { "918ww.com", true },
  { "918xe.com", true },
  { "918xn.com", true },
  { "918yy.net", true },
  { "918zm.com", true },
  { "918zv.com", true },
  { "918zw.com", true },
  { "919422.com", true },
  { "91d27.com", true },
  { "91d52.com", true },
  { "91d57.com", true },
  { "91d58.com", true },
  { "91fldz.com", true },
  { "91travel.info", true },
  { "91z6.com", true },
  { "922z6.com", true },
  { "924122.com", true },
  { "924322.com", true },
  { "924622.com", true },
  { "926422.com", true },
  { "927774.com", true },
  { "929349.com", true },
  { "92url.com", true },
  { "931422.com", true },
  { "932422.com", true },
  { "933325.com", true },
  { "933z6.com", true },
  { "934122.com", true },
  { "937774.com", true },
  { "939394.org", true },
  { "9397.com", false },
  { "9397dh.com", false },
  { "9397hd.com", false },
  { "9397l.com", false },
  { "9397mm.com", false },
  { "93ag8.com", true },
  { "93jc.cn", true },
  { "941988.cn", true },
  { "943022.com", true },
  { "9449-27a1-22a1-e0d9-4237-dd99-e75e-ac85-2f47-9d34.de", true },
  { "946022.com", true },
  { "946422.com", true },
  { "949022.com", true },
  { "949122.com", true },
  { "949622.com", true },
  { "949722.com", true },
  { "9499459.com", false },
  { "9499aaaa.com", false },
  { "9499bbbb.com", false },
  { "9499cccc.com", false },
  { "9499dc.com", false },
  { "9499dddd.com", false },
  { "9499eeee.com", false },
  { "9499ffff.com", false },
  { "9499gggg.com", false },
  { "9499good.com", false },
  { "9499hhhh.com", false },
  { "9499iiii.com", false },
  { "9499jjj.com", false },
  { "9499jjjj.com", false },
  { "9499kkkk.com", false },
  { "9499l.com", false },
  { "9499llll.com", false },
  { "9499love.com", false },
  { "9499nnnn.com", false },
  { "9499oooo.com", false },
  { "9499pppp.com", false },
  { "9499qqqq.com", false },
  { "9499rrrr.com", false },
  { "9499ssss.com", false },
  { "9499ttt.com", false },
  { "9499tttt.com", false },
  { "9499uuuu.com", false },
  { "9499vvvv.com", false },
  { "9499wwww.com", false },
  { "9499xxx.com", false },
  { "9499xxxx.com", false },
  { "9499yyyy.com", false },
  { "9499zzzz.com", false },
  { "94imk.com", true },
  { "955z6.com", true },
  { "95am8.com", true },
  { "96002.com", false },
  { "962312.com", true },
  { "96678.com", false },
  { "966k66.com", true },
  { "966kb.com", true },
  { "966ks.com", true },
  { "966z6.com", true },
  { "9679693.com", true },
  { "967you.com", true },
  { "9681909.com", true },
  { "9696178.com", true },
  { "9696178.net", true },
  { "96z66.com", true },
  { "9721.com", false },
  { "9721dh.com", false },
  { "9721hd.com", false },
  { "9721mm.com", false },
  { "9721yy.com", false },
  { "972422.com", true },
  { "97735.com", true },
  { "97736.com", true },
  { "97737.com", true },
  { "97738.com", true },
  { "97739.com", true },
  { "977hghg.com", true },
  { "977kb.com", true },
  { "977z6.com", true },
  { "9788876.com", true },
  { "9800.cc", true },
  { "9822.am", true },
  { "9822am.com", true },
  { "9822cn.com", true },
  { "9822hk.com", true },
  { "9822ph.com", true },
  { "9822tw.com", true },
  { "9822usa.com", true },
  { "984.ch", true },
  { "985kb.com", true },
  { "988wh.com", true },
  { "988z6.com", true },
  { "989z6.com", true },
  { "98d88.com", true },
  { "98lc98.net", true },
  { "99123j.com", true },
  { "9918883.com", true },
  { "991z6.com", true },
  { "992z6.com", true },
  { "99365t.com", true },
  { "993z6.com", true },
  { "99456j.com", true },
  { "9950p.com", true },
  { "99599.fi", true },
  { "99599.net", true },
  { "995z6.com", true },
  { "9968909.com", false },
  { "99789j.com", true },
  { "997z6.com", true },
  { "998081.com", true },
  { "9988551.com", false },
  { "9988959.com", false },
  { "9988ty.com", true },
  { "998k66.com", true },
  { "998sa.com", true },
  { "998z6.com", true },
  { "999321365.com", true },
  { "999365t.com", true },
  { "9997035.com", true },
  { "99989796.net", true },
  { "9998k8.com", true },
  { "99999822.com", true },
  { "999998722.com", true },
  { "9999k8.net", true },
  { "999btt.net", true },
  { "999k66.com", true },
  { "999salon.co", true },
  { "999salon.com", true },
  { "99agks.com", true },
  { "99billionaire.com", true },
  { "99d88.com", true },
  { "99kb88.com", true },
  { "99naturalfoods.de", true },
  { "99qp.org", true },
  { "99rst.org", true },
  { "99spokes.com", true },
  { "9ag88.com", true },
  { "9bet86.com", true },
  { "9bingo.net", true },
  { "9box.jp", true },
  { "9elements.com", true },
  { "9farm.com", true },
  { "9fvip.net", true },
  { "9h.pl", true },
  { "9iwan.net", true },
  { "9jabase.com.ng", true },
  { "9jk7opa.com", true },
  { "9k223.com", true },
  { "9k226.com", true },
  { "9k227.com", true },
  { "9k228.com", true },
  { "9k229.com", true },
  { "9k233.com", true },
  { "9k235.com", true },
  { "9k236.com", true },
  { "9k237.com", true },
  { "9k238.com", true },
  { "9k239.com", true },
  { "9k252.com", true },
  { "9k253.com", true },
  { "9k255.com", true },
  { "9k256.com", true },
  { "9k257.com", true },
  { "9k258.com", true },
  { "9k259.com", true },
  { "9k265.com", true },
  { "9k266.com", true },
  { "9k267.com", true },
  { "9k268.com", true },
  { "9k269.com", true },
  { "9k272.com", true },
  { "9k273.com", true },
  { "9k275.com", true },
  { "9k276.com", true },
  { "9k277.com", true },
  { "9k278.com", true },
  { "9k279.com", true },
  { "9k283.com", true },
  { "9k285.com", true },
  { "9k287.com", true },
  { "9k289.com", true },
  { "9k292.com", true },
  { "9k295.com", true },
  { "9k296.com", true },
  { "9k297.com", true },
  { "9k298.com", true },
  { "9k299.com", true },
  { "9k322.com", true },
  { "9k325.com", true },
  { "9k328.com", true },
  { "9k332.com", true },
  { "9k335.com", true },
  { "9k336.com", true },
  { "9k338.com", true },
  { "9k362.com", true },
  { "9k363.com", true },
  { "9k366.com", true },
  { "9k368.com", true },
  { "9k372.com", true },
  { "9k373.com", true },
  { "9k375.com", true },
  { "9k376.com", true },
  { "9k378.com", true },
  { "9k383.com", true },
  { "9k385.com", true },
  { "9k386.com", true },
  { "9k388.com", true },
  { "9k398.com", true },
  { "9k566.com", true },
  { "9k573.com", true },
  { "9k577.com", true },
  { "9k589.com", true },
  { "9k625.com", true },
  { "9k627.com", true },
  { "9k629.com", true },
  { "9k632.com", true },
  { "9k637.com", true },
  { "9k657.com", true },
  { "9k659.com", true },
  { "9k672.com", true },
  { "9k677.com", true },
  { "9k679.com", true },
  { "9k683.com", true },
  { "9k687.com", true },
  { "9k693.com", true },
  { "9k696.com", true },
  { "9k822.com", true },
  { "9k825.com", true },
  { "9k828.com", true },
  { "9k829.com", true },
  { "9k832.com", true },
  { "9k837.com", true },
  { "9k838.com", true },
  { "9k852.com", true },
  { "9k857.com", true },
  { "9k858.com", true },
  { "9k862.com", true },
  { "9k866.com", true },
  { "9k867.com", true },
  { "9k868.com", true },
  { "9k869.com", true },
  { "9k873.com", true },
  { "9k882.com", true },
  { "9k886.com", true },
  { "9k895.com", true },
  { "9k897.com", true },
  { "9k898.com", true },
  { "9kb.xyz", true },
  { "9kopb.ru", true },
  { "9lc9.com", true },
  { "9pkfz.com", true },
  { "9point6.com", true },
  { "9riddles.com", true },
  { "9to5notes.in", true },
  { "9uelle.jp", true },
  { "9ungnir.xyz", true },
  { "9vx.org", true },
  { "9yw.me", true },
  { "a-1basements.com", true },
  { "a-1indianawaterproofing.com", true },
  { "a-allard.be", true },
  { "a-care.net", true },
  { "a-invest.de", true },
  { "a-msystems.com", true },
  { "a-oben.org", true },
  { "a-tes-cotes.com", true },
  { "a-wife.net", true },
  { "a-ztransmission.com", true },
  { "a00228.com", false },
  { "a0print.nl", true },
  { "a1bouncycastlehire.com", true },
  { "a1demolitionhauling.com", true },
  { "a1jumpandbounce.co.uk", true },
  { "a1post.bg", true },
  { "a1scuba.com", true },
  { "a1towgrant.com", true },
  { "a210.online", true },
  { "a22z.xyz", true },
  { "a291.cc", true },
  { "a2a.me", true },
  { "a2a.net", true },
  { "a2ch.ru", true },
  { "a2nutrition.com.au", true },
  { "a2os.club", true },
  { "a2os.xyz", true },
  { "a30.tokyo", false },
  { "a30365.com", true },
  { "a36533.com", true },
  { "a36594.com", true },
  { "a365vip1.com", true },
  { "a365vip2.com", true },
  { "a365vip3.com", true },
  { "a365vip5.com", true },
  { "a365vip9.com", true },
  { "a3m.gmbh", true },
  { "a3mobile.com", true },
  { "a4sound.com", true },
  { "a66.la", true },
  { "a6619.com", true },
  { "a6621.com", true },
  { "a6623.com", true },
  { "a6627.com", true },
  { "a6631.com", true },
  { "a6651.com", true },
  { "a6652.com", true },
  { "a6657.com", true },
  { "a6659.com", true },
  { "a6671.com", true },
  { "a6672.com", true },
  { "a6673.com", true },
  { "a6675.com", true },
  { "a6682.com", true },
  { "a6683.com", true },
  { "a6687.com", true },
  { "a6691.com", true },
  { "a6692.com", true },
  { "a6695.com", true },
  { "a7035.com", true },
  { "a77018.com", false },
  { "a7m2.me", true },
  { "a88fc.com", true },
  { "aa-tour.ru", true },
  { "aa00228.com", false },
  { "aa4888.com", true },
  { "aaa-racing.com", true },
  { "aaa-racing.net", true },
  { "aaa-racing.uk", true },
  { "aaainfosystems.com", true },
  { "aaapl.com", true },
  { "aaapo.com.br", true },
  { "aabanet.com.br", true },
  { "aaben-bank.dk", true },
  { "aabenbank.dk", true },
  { "aabenjaminjewelry.com", true },
  { "aacs-design.com", true },
  { "aadv.com.br", true },
  { "aalalbayt.com", true },
  { "aalalbayt.net", true },
  { "aalstmotors-usedcars.be", false },
  { "aaltocapital.com", true },
  { "aamwa.com", true },
  { "aandkevents.co.uk", true },
  { "aanmpc.com", true },
  { "aanwp.com", true },
  { "aaomidi.com", true },
  { "aapar.nl", true },
  { "aarailfan.com", true },
  { "aardvarksoep.nl", true },
  { "aarklendoia.com", true },
  { "aarkue.eu", true },
  { "aaron-russell.co.uk", true },
  { "aaron-schaal.de", true },
  { "aaronburt.co.uk", true },
  { "aaronhorler.com", true },
  { "aaronhorler.com.au", true },
  { "aaronkimmig.de", true },
  { "aaronroyle.com", true },
  { "aaronsilber.me", true },
  { "aarquiteta.com.br", true },
  { "aartsplastics.nl", true },
  { "aarwer.com", true },
  { "aarwer.jp", true },
  { "aasvets.co.uk", true },
  { "aatf.us", true },
  { "aati.be", true },
  { "aati.info", true },
  { "aattrans.com", true },
  { "aavienna.com", true },
  { "ab-photography.nl", true },
  { "ab288.com", true },
  { "ab2888.cn", true },
  { "ab28s.com", true },
  { "ab2web.com", true },
  { "ab91corp.com", true },
  { "abaapplianceservice.com", true },
  { "abaaustin.com", true },
  { "ababyco.com.hr", true },
  { "abacross.com", true },
  { "abacusbouncycastle.co.uk", true },
  { "abacusfi.com", true },
  { "abacustech.co.jp", true },
  { "abandonedmines.gov", true },
  { "abashevo.ml", true },
  { "abateroad66.it", true },
  { "abbadabbabouncycastles.co.uk", true },
  { "abbeyok.com", true },
  { "abbeyvetspets.co.uk", true },
  { "abbottscastles.co.uk", true },
  { "abbruch-star.de", true },
  { "abbtw.com", true },
  { "abc-rz.de", true },
  { "abc.li", true },
  { "abcbouncycastlessurrey.co.uk", true },
  { "abcbouncyfactory.co.uk", true },
  { "abcdreamusa.com", true },
  { "abcempreendimentos.com.br", true },
  { "abcheck.se", true },
  { "abckam.com", true },
  { "abcode.ml", true },
  { "abcorporate-aviation.com", true },
  { "abcorporate-aviation.fr", true },
  { "abcpartyhire.com", true },
  { "abcstudio.com.au", true },
  { "abctowinghelp.com", true },
  { "abdel.me", true },
  { "abdelaliezzyn.be", true },
  { "abdl.link", true },
  { "abdulawal.tk", true },
  { "abdullahavci.com", true },
  { "abdullahavci.com.tr", true },
  { "abdullahavci.net.tr", true },
  { "abdullahzubayerofficial.ml", true },
  { "abdulrahman.eu", true },
  { "abdulwahaab.ca", true },
  { "abdurrahmangazidis.tk", true },
  { "abdurrehman.tk", true },
  { "abe-elektro.de", true },
  { "abe-medical.jp", true },
  { "abeilles-idapi.fr", false },
  { "abelbarretto.tk", true },
  { "abellis-formation.com", true },
  { "abelrubio.me", true },
  { "abelsflooringandtile.com", true },
  { "abenteuer-ahnenforschung.de", true },
  { "abeontech.com", true },
  { "aberdeencastles.co.uk", true },
  { "aberdeenjudo.co.uk", true },
  { "aberon.pl", true },
  { "abetterdeath.com", true },
  { "abeus.com", true },
  { "abg.ninja", true },
  { "abhaldus.ee", true },
  { "abhisharma.me", true },
  { "abhishekkabdijain.tk", true },
  { "abi95oha.de", true },
  { "abiapp.net", true },
  { "abibruce.co.uk", true },
  { "abidinginhesed.com", true },
  { "abigisp.com", true },
  { "abilitycaresoftware.com", true },
  { "abilitymatters.co.uk", true },
  { "abilityone.gov", true },
  { "abilma.com", true },
  { "abilymp06.net", true },
  { "abinyah.com", true },
  { "abiscrane.com", true },
  { "abitech.tk", true },
  { "abitidalavoro.roma.it", true },
  { "abitidasposa.roma.it", true },
  { "abiturma.de", true },
  { "abjay.com", true },
  { "ableprop.net", true },
  { "abloomnova.net", true },
  { "abmackenzie.com", true },
  { "abmc.gov", true },
  { "abminiplex.in", true },
  { "abmledger.ca", true },
  { "abmtax.ca", true },
  { "abn-consultants.ie", true },
  { "abnehmen.com", true },
  { "aboces.org", true },
  { "abogadocriminalorlando.com", true },
  { "abogadoperu.com", true },
  { "abogadosescobarysanchez.es", true },
  { "abolicionistas.com", true },
  { "abolition.net", true },
  { "abolitionism.ca", true },
  { "abolitionism.co.uk", true },
  { "abolitionism.com", true },
  { "abolitionism.in", true },
  { "abolitionism.net", true },
  { "abolitionism.us", true },
  { "abolitionist-project.com", true },
  { "abolitionist-society.com", true },
  { "abolitionist.ca", true },
  { "abolitionist.co.uk", true },
  { "abolitionist.com", true },
  { "abolitionist.in", true },
  { "abolitionist.net", true },
  { "abolitionist.us", true },
  { "abolitionistparty.com", true },
  { "abolitionistproject.com", true },
  { "abolitionistsociety.com", true },
  { "abolitionniste.com", true },
  { "abolizionista.com", true },
  { "abona24.de", true },
  { "abonilla.com", true },
  { "aborla.net", true },
  { "abos.eu", false },
  { "abouncycastleman.co.uk", true },
  { "about-bangladesh.tk", true },
  { "about-ti.me", true },
  { "aboutasia.nl", true },
  { "abouthrm.nl", true },
  { "aboutict.nl", true },
  { "aboutlegal.nl", true },
  { "aboutmedia.nl", true },
  { "aboutmyproperty.ca", true },
  { "aboutpublishers.nl", true },
  { "aboutshakil.tk", true },
  { "aboutspice.com", true },
  { "aboutyou.at", true },
  { "aboutyou.be", true },
  { "aboutyou.ch", true },
  { "aboutyou.de", true },
  { "aboutyou.nl", true },
  { "aboveaverageplumbing.com", true },
  { "abox-kb.com", true },
  { "abpis.hr", true },
  { "abracadabra.co.jp", false },
  { "abrah.am", true },
  { "abrahametalero.tk", true },
  { "abrightspark.gq", true },
  { "abrikos.group", true },
  { "abristolgeek.co.uk", true },
  { "abrition.com", true },
  { "abseits.org", true },
  { "absolem.cc", false },
  { "absolutcruceros.com", true },
  { "absoluteautobody.com", true },
  { "absolutedouble.co.uk", true },
  { "absolutelyinflatables.co.uk", true },
  { "absoluterush.net", true },
  { "absolutewebdesigns.com", true },
  { "absolutviajes.com", true },
  { "abstechs.ae", true },
  { "abstimmen.online", true },
  { "abstractbarista.net", true },
  { "abstraction21.com", true },
  { "absturztau.be", true },
  { "absturztaube.ch", true },
  { "absynthe-inquisition.fr", true },
  { "abth.tk", true },
  { "abthorpe.org", true },
  { "abulanov.com", true },
  { "abundanteconomy.com", true },
  { "abundent.com", true },
  { "abuse.ch", true },
  { "abuse.fi", true },
  { "abuse.io", true },
  { "abusive-host.tk", true },
  { "abvent.net", true },
  { "abvlbasketviganello.ch", false },
  { "abyssproject.net", true },
  { "ac-admin.pl", true },
  { "ac-cosmetics.nl", true },
  { "ac-epmservices.com", true },
  { "ac.milan.it", true },
  { "ac0g.dyndns.org", true },
  { "aca-creative.co.uk", true },
  { "acacia-gardens.co.uk", true },
  { "academiadebomberosonline.com", true },
  { "academica.nl", true },
  { "academichealthscience.net", true },
  { "academie-de-police.ch", false },
  { "academie-essentiel.ch", true },
  { "academie-musique-nice.com", false },
  { "academkin.com", true },
  { "academus.io", true },
  { "academy-awards.ml", true },
  { "academytv.com.au", true },
  { "acampar.com.br", true },
  { "acaptureservices.com", true },
  { "acara-yoga.de", true },
  { "acareer.in", true },
  { "acat.io", true },
  { "acatec.de", true },
  { "acbrussels-used.be", false },
  { "accademia24.it", true },
  { "accademiaditruccoblog.it", true },
  { "accademiapugilistica.it", true },
  { "accelaway.com", true },
  { "acceleratenetworks.com", true },
  { "accelerateyourworld.org", true },
  { "accelsnow.com", true },
  { "accentthailand.com", true },
  { "acceptancerecoverycenter.com", true },
  { "acces-elevation.fr", true },
  { "accesloges.com", true },
  { "accesoriosviaje.com", true },
  { "accessacab.co.uk", true },
  { "accessauto-occasions.be", false },
  { "accessgaragedoors.com", true },
  { "accessibility.gov", true },
  { "accessibilityguidelines.com", true },
  { "accessibletravelclub.com", true },
  { "accesskeycloning.com", true },
  { "accessoirescheveuxchic.com", true },
  { "accessoripersmartphone.it", true },
  { "acchicocchi.com", true },
  { "accionistaprincipiante.com", true },
  { "accme.co", true },
  { "accoladescreens.com.au", true },
  { "accord-application.com", true },
  { "accordiondoor.com", true },
  { "account.bbc.com", true },
  { "account4u.nl", true },
  { "accounts.firefox.com", true },
  { "accounts.google.com", true },
  { "accpl.co", true },
  { "accpodcast.com", true },
  { "accreditamento.net", true },
  { "accrosoft.com", true },
  { "accs.org.au", true },
  { "accudraftpaintbooths.com", true },
  { "accurateautobodywa.com", true },
  { "accuritconsulting.com", true },
  { "accutint.com", true },
  { "acdcbrasil.net", true },
  { "ace.one", true },
  { "acealters.com", false },
  { "aceanswering.com", true },
  { "acecerts.co.uk", true },
  { "acecolleges.edu.au", true },
  { "acefreightco.com", true },
  { "acegroup.com.sg", true },
  { "aceinflatables.com", true },
  { "aceinstituteonline.com", true },
  { "aceitedelcampo.com", true },
  { "acelpb.com", true },
  { "acem.org.au", true },
  { "acemobileforce.com", true },
  { "acemypaper.com", true },
  { "acendealuz.com.br", true },
  { "acerentalandsales.com", true },
  { "acerislaw.com", true },
  { "acessoeducacao.com", true },
  { "acfun.eu.org", true },
  { "acg.social", true },
  { "acg.vc", true },
  { "acgtalktw.com", true },
  { "achalay.org", false },
  { "achat-volets-roulants.fr", true },
  { "achieveinternet.com", true },
  { "achiksongs.tk", true },
  { "achromatisch.de", true },
  { "achterblog.de", true },
  { "achterstieg.dedyn.io", true },
  { "achtzehn.de", true },
  { "achtzehn.eu", true },
  { "achtzig20.de", true },
  { "achwo.de", true },
  { "acihotel.vn", true },
  { "aciksite.com", true },
  { "acinq.co", true },
  { "ackermann.ch", true },
  { "ackis.duckdns.org", true },
  { "acl.gov", true },
  { "aclandia.fr", true },
  { "aclu.org", false },
  { "acmegamer.com", true },
  { "acmi.fr", true },
  { "acneintelligence.com", true },
  { "acodess.com", true },
  { "aconnor.xyz", true },
  { "acordes.online", true },
  { "acorncastles.co.uk", true },
  { "acorncredentialing.com", true },
  { "acourse.io", false },
  { "acousti-tech.com", true },
  { "acousticalsolutions.com", true },
  { "acoustics.network", true },
  { "acoustics.tech", true },
  { "acoustique-tardy.com", false },
  { "acperu.ch", false },
  { "acpica.org", true },
  { "acquaparrucchieri.it", true },
  { "acquire.media", true },
  { "acquisition.gov", true },
  { "acrepairgeorgetown.com", true },
  { "acrepairhutto.com", true },
  { "acrepairroundrocktx.com", true },
  { "acrevalue.com", true },
  { "acronis.com", true },
  { "acronis.org", true },
  { "acrosstheblvd.com", true },
  { "acroyoga-nuernberg.de", true },
  { "acrylbilder-acrylmalerei.de", true },
  { "acrylicwifi.com", true },
  { "acsbbs.org", true },
  { "acsc.gov.au", true },
  { "acscbasket.com", true },
  { "acsemb.org", true },
  { "acsports.ca", true },
  { "act-safety.nl", true },
  { "actc.org.uk", true },
  { "actgruppe.de", false },
  { "actheater.com", true },
  { "acticu.com", true },
  { "actiefgeld.nl", false },
  { "action-verite.fr", true },
  { "actioncleaningnd.com", true },
  { "actioncoachignite.co.za", true },
  { "actionfinancialservices.net", true },
  { "actionmadagascar.ch", false },
  { "actionsack.com", true },
  { "actionverb.com", true },
  { "activatemyiphone.com", true },
  { "activateudid.com", true },
  { "active.hu", false },
  { "active247.info", true },
  { "activeaerogels.com", true },
  { "activeexcavator.com", true },
  { "activefootandankle.com", true },
  { "activehire.co.uk", true },
  { "activeleisure.ie", true },
  { "activephoto.se", true },
  { "activespaceautomation.com", true },
  { "activespacetech.com", true },
  { "activityeventhire.co.uk", true },
  { "activityhub.cloud", true },
  { "activityhub.xyz", true },
  { "actom.cc", true },
  { "actonwoodworks.com", true },
  { "actors-cafe.net", true },
  { "actserv.co.ke", true },
  { "actualadmins.com", true },
  { "actualidadblog.com", true },
  { "actualidadecommerce.com", true },
  { "actualidadgadget.com", true },
  { "actualidadiphone.com", true },
  { "actualidadkd.com", true },
  { "actualidadliteratura.com", true },
  { "actualidadmotor.com", true },
  { "actualidadviajes.com", true },
  { "actualsolutions.am", true },
  { "acubens.org", true },
  { "acudire.es", true },
  { "acuica.co.uk", false },
  { "acul.me", true },
  { "aculocity.com", true },
  { "acumed-diagnostic.com", true },
  { "acunetix.com", true },
  { "acupuntura.coach", true },
  { "acupuntura.doctor", true },
  { "acupuntura.institute", true },
  { "acupunturavalencia.xyz", true },
  { "acus.gov", true },
  { "acutewealthadvisors.com", true },
  { "acwcerts.co.uk", true },
  { "acwi.gov", true },
  { "acy.com", true },
  { "acyfxasia.com", true },
  { "ad-notam.asia", true },
  { "ad-notam.ch", true },
  { "ad-notam.co.uk", true },
  { "ad-notam.com", true },
  { "ad-notam.de", true },
  { "ad-notam.fr", true },
  { "ad-notam.it", true },
  { "ad-notam.pt", true },
  { "ad-notam.us", true },
  { "ad4msan.com", true },
  { "ad4msan.win", true },
  { "ada.gov", true },
  { "adaera.com", true },
  { "adagia.eu", true },
  { "adalis.org", true },
  { "adam-ant.co.uk", true },
  { "adam-kostecki.de", true },
  { "adam.lgbt", true },
  { "adamas-magicus.ru", true },
  { "adamdixon.co.uk", true },
  { "adamdorman.com", true },
  { "adamfontenot.com", true },
  { "adamgibbins.com", true },
  { "adamh.us", true },
  { "adamkostecki.de", true },
  { "adamlee.com", true },
  { "adamoutler.com", true },
  { "adams.dk", true },
  { "adamsasphaltpaving.com", true },
  { "adamstas.com", true },
  { "adamyuan.xyz", true },
  { "adappt.co.uk", true },
  { "adapptlabs.com", true },
  { "adapt-elektronik.com", true },
  { "adapt.de", true },
  { "adaptablesecurity.org", true },
  { "adapti.de", true },
  { "adaptiv.ltd", true },
  { "adaptiveicons.com", true },
  { "adaptivemechanics.edu.au", true },
  { "adarixconsultores.com", true },
  { "adasbench.com", true },
  { "adativos.com.br", true },
  { "adawolfa.cz", true },
  { "adayinthelifeof.nl", true },
  { "adblockextreme.com", true },
  { "adblockextreme.net", true },
  { "adblockextreme.org", true },
  { "adc64.com", true },
  { "adceuta.tk", true },
  { "adcnvs.com", true },
  { "addcrazy.com", true },
  { "adderall.space", true },
  { "addictedtolength.co.uk", true },
  { "addictic.fr", true },
  { "addictionresource.com", true },
  { "addictively.com", true },
  { "addiko.net", true },
  { "addiko.rs", true },
  { "addisoncrump.info", true },
  { "addnewsite.tk", true },
  { "addnine.com", true },
  { "addo-addo.com", true },
  { "addon.watch", true },
  { "addtoany.com", true },
  { "adduono.com", true },
  { "addvalue-renovations.co.uk", true },
  { "adelaidecc.com.au", true },
  { "adelebeals.com", true },
  { "adelightfulglow.com", true },
  { "adelina.com.br", true },
  { "adeline.mobi", true },
  { "adentalsolution.com", true },
  { "adept-elearning.com", true },
  { "adept.org.pl", true },
  { "adevel.eu", true },
  { "adex.network", true },
  { "adf-safetytools.com", true },
  { "adf.rocks", true },
  { "adftrasporti.it", true },
  { "adhd-inattentive.com", true },
  { "adhesivelaundry.co.uk", true },
  { "adhgroup.ug", true },
  { "adhocracy.plus", true },
  { "adi.com.au", true },
  { "adi.net.au", true },
  { "adidasrunningpartners.com", true },
  { "adiehard.party", false },
  { "adimaja.com", true },
  { "adimplere.com.br", true },
  { "adinariversloveschool.com", true },
  { "adingenierie.fr", true },
  { "adinternational.com.au", true },
  { "adiprospero.it", true },
  { "aditibhatia.com", true },
  { "adjagu.org", true },
  { "adlerneves.com", true },
  { "adlerneves.com.br", true },
  { "adlerosn.com", true },
  { "adlerosn.com.br", true },
  { "adlershop.ch", true },
  { "adlignum.se", true },
  { "adme.co.il", true },
  { "admin-serv.net", true },
  { "admin.fedoraproject.org", true },
  { "admin.google.com", true },
  { "admin.stg.fedoraproject.org", true },
  { "admind.at", true },
  { "adminforge.de", true },
  { "administracionessaez.es", true },
  { "administratie-smits.nl", true },
  { "administratiekantoorblom.nl", true },
  { "administrator.de", true },
  { "administratorserwera.pl", true },
  { "adminless.ovh", true },
  { "adminlinux.pl", true },
  { "admino.cz", true },
  { "adminrezo.fr", true },
  { "admody.com", true },
  { "admongo.gov", true },
  { "adnexa.it", true },
  { "adnolesh.com", true },
  { "adoll.ml", true },
  { "adollarseo.com", true },
  { "adomani-italia.com", true },
  { "adonai.eti.br", true },
  { "adonis.hosting", true },
  { "adonis.media", true },
  { "adoniscabaret.co.uk", true },
  { "adonisgrup.ro", true },
  { "adontenchambers.com", true },
  { "adoptionlink.co.uk", true },
  { "adoptionpregnancycenter.com", true },
  { "adoptionpregnancycenter.net", true },
  { "adorade.ro", true },
  { "adorecricket.com", true },
  { "adorewe.com", true },
  { "adorno-gymnasium.de", true },
  { "adoucisseur.shop", true },
  { "adpkdsim.org", true },
  { "adr.gov", true },
  { "adra.com", true },
  { "adrafinil.wiki", true },
  { "adrans.com", true },
  { "adrenalin.od.ua", true },
  { "adrenalin.travel", true },
  { "adrian.web.id", true },
  { "adrianbechtold.de", true },
  { "adriancitu.com", true },
  { "adriancostin.ro", true },
  { "adrianmejias.com", true },
  { "adrianoansaldi.it", true },
  { "adrianobarbosa.xyz", true },
  { "adriatic.hr", true },
  { "adriatrans.ga", true },
  { "adrienjacquierbret.com", true },
  { "adrienkohlbecker.com", true },
  { "adriennesmiles.com", true },
  { "adrup.com", true },
  { "adsamcik.com", true },
  { "adsbouncycastles.co.uk", true },
  { "adsbtc.org", true },
  { "adsib.gob.bo", true },
  { "adsl2meg.fr", true },
  { "adsviews.gq", true },
  { "adswoo.com", true },
  { "adtelligent.com", true },
  { "adtgroup.com", true },
  { "adultforum.gr", true },
  { "adultwebcams1.com", true },
  { "adurra.com", true },
  { "aduvi.de", true },
  { "adv-f1.ru", true },
  { "adv.cr", true },
  { "advaith.fun", true },
  { "advance.hr", true },
  { "advanced-fleet-services.com", true },
  { "advanced-scribes.com", true },
  { "advanced.info", false },
  { "advanceddieselspokane.com", true },
  { "advancedelectricalservicesqld.com.au", true },
  { "advancedendoscopycenter.net", true },
  { "advancedoneroofing.com", true },
  { "advancedprotectionkey.com", true },
  { "advancedprotectionsecuritykey.com", true },
  { "advancedsurgicalconsultantsllc.com", true },
  { "advancedurologyswla.com", true },
  { "advancedwriters.com", true },
  { "advanceworx.com", true },
  { "advancis.net", true },
  { "advantagehomeexteriors.com", true },
  { "advantagemechanicalinc.com", true },
  { "advantis.tk", true },
  { "advara.com", true },
  { "advatech-solutions.com", true },
  { "advenacs.com", true },
  { "advenacs.com.au", true },
  { "advens.com", true },
  { "advens.fr", true },
  { "advento.bg", true },
  { "adventry.tk", true },
  { "adventure-inn.com", true },
  { "adventurealpinetreks.com", true },
  { "adventurecreators.com", true },
  { "adventuredrives.com", false },
  { "adventureforest.co.nz", true },
  { "adventureforest.nz", true },
  { "adventuregamers.com", true },
  { "adventurenow.nl", true },
  { "adventures.com", true },
  { "adventureswithlillie.ca", true },
  { "adventurousway.com", true },
  { "adventus.space", true },
  { "advertis.biz", true },
  { "adveszker.hu", true },
  { "advisercentre.com.au", true },
  { "advocate-europe.eu", true },
  { "advocoeurdehaan.nl", true },
  { "advogatech.com.br", true },
  { "advokat-malinovskii.ml", true },
  { "advokat-romanov.com", true },
  { "advokat-vvp.com.ua", true },
  { "advokaty-yuristy.tk", true },
  { "advtran.com", true },
  { "adware.pl", false },
  { "adwokatkosterka.pl", true },
  { "adwokatzdunek.pl", true },
  { "adxperience.com", true },
  { "adzuna.at", true },
  { "adzuna.ca", true },
  { "adzuna.co.nz", true },
  { "adzuna.co.za", true },
  { "adzuna.com", true },
  { "adzuna.com.au", true },
  { "adzuna.com.br", true },
  { "adzuna.de", true },
  { "adzuna.fr", true },
  { "adzuna.in", true },
  { "adzuna.it", true },
  { "adzuna.nl", true },
  { "adzuna.pl", true },
  { "adzuna.ru", true },
  { "adzuna.sg", true },
  { "ae-construction.co.uk", true },
  { "ae-dir.com", true },
  { "ae-dir.org", true },
  { "ae86.dog", true },
  { "ae86.plus", true },
  { "ae86b.com", true },
  { "ae86c.com", true },
  { "ae86dj.com", true },
  { "ae86dy.com", true },
  { "ae86zx.com", true },
  { "aeb.io", true },
  { "aebian.org", true },
  { "aecexpert.fr", true },
  { "aecis.org", true },
  { "aedollon.com", true },
  { "aefcleaning.com", true },
  { "aegee-utrecht.nl", true },
  { "aegisalarm.co.uk", true },
  { "aegisalarm.com", true },
  { "aegisalarms.co.uk", true },
  { "aegisalarms.com", true },
  { "aegisinsight.com", true },
  { "aegrel.ee", true },
  { "aeh5134.cc", true },
  { "aehe.us", true },
  { "aei.co.uk", true },
  { "aeksistem.com", true },
  { "aelurus.com", true },
  { "aenterprise.info", true },
  { "aeon.co", true },
  { "aeonct.org", true },
  { "aeradesign.com", true },
  { "aerandir.fr", true },
  { "aergia.eu", true },
  { "aerisnetwork.com", true },
  { "aerlux.md", true },
  { "aero-pioneer.com", true },
  { "aero.parts", true },
  { "aeroacademia.com.mx", true },
  { "aeroalbrook.com", true },
  { "aerobasegroup.com", true },
  { "aerobotz.com", true },
  { "aeronautix.com", true },
  { "aeronote.net", true },
  { "aeropole.de", true },
  { "aeropole.eu", true },
  { "aerosimexperience.com", true },
  { "aerospace-schools.com", true },
  { "aerotechcoatings.com", true },
  { "aertel.ie", true },
  { "aes-freundeskreis.de", true },
  { "aessencia.com.br", true },
  { "aesthetikpiercing.de", true },
  { "aesthetx.com", true },
  { "aesvalanalys.com", true },
  { "aeternus.tech", true },
  { "aetherc0r3.eu", true },
  { "aetherlink.de", true },
  { "aevar.io", true },
  { "aextron.com", true },
  { "aextron.de", true },
  { "aextron.org", true },
  { "af.link", true },
  { "afadvantage.gov", true },
  { "afashion.com.au", true },
  { "afavre.io", true },
  { "afbtoto.com", true },
  { "afcompany.it", true },
  { "afcurgentcarelyndhurst.com", true },
  { "affaire.com", true },
  { "affairefacile.net", true },
  { "affarsnatverk.nu", true },
  { "affektblog.de", true },
  { "affichagepub3.com", true },
  { "affiliates.trade", true },
  { "affiliatetest.azurewebsites.net", true },
  { "affilie.de", true },
  { "affinity.co", true },
  { "affinitysync.com", true },
  { "affissioni.roma.it", true },
  { "affittacamere.roma.it", true },
  { "affittialmare.it", true },
  { "affittisalento.it", true },
  { "affordableazdivorce.com", false },
  { "affordableenvironmental.net", true },
  { "affordablehealthquotesforyou.com", true },
  { "affordableinsurancenow.com", true },
  { "affordablemudjacking.com", true },
  { "affordablepapers.com", true },
  { "affordableracingparts.com.au", true },
  { "affpass.com", true },
  { "affping.com", true },
  { "affsquare.com", true },
  { "afgaim.com", true },
  { "afghan.dating", true },
  { "afgn.com.ua", true },
  { "afi-business-consulting.com", true },
  { "aficards.com", true },
  { "aficionados.com.br", true },
  { "afilio.de", true },
  { "afinadoronline.com.br", true },
  { "afinaudio.com", true },
  { "afinterio.com", true },
  { "aflebedevo.tk", true },
  { "afmtevents.com", true },
  { "afonso.io", true },
  { "afp548.com", true },
  { "afrakib.com", true },
  { "afri.cc", true },
  { "africa.dating", true },
  { "africalebanon.tk", true },
  { "african-bay.de", true },
  { "africanhosting.ml", true },
  { "africanimpact.com", true },
  { "africantourer.com", true },
  { "afrikmag.com", true },
  { "afrodigital.uk", true },
  { "afslankspecialist.nl", true },
  { "after.digital", true },
  { "afterdwi.info", true },
  { "afterhate.fr", true },
  { "afterpay.com", true },
  { "afterschoolprogramsoflancaster.org", true },
  { "aftonpravdan.nu", true },
  { "afva.net", true },
  { "afwd.international", true },
  { "ag-2.net", true },
  { "ag-3.net", true },
  { "ag-33.net", true },
  { "ag-777.com", true },
  { "ag0.app", true },
  { "ag000.com", true },
  { "ag01.la", true },
  { "ag0101g.com", true },
  { "ag011.net", true },
  { "ag018.cc", true },
  { "ag0202a.com", true },
  { "ag022.net", true },
  { "ag06.la", true },
  { "ag066.vip", true },
  { "ag0707a.com", true },
  { "ag08.la", true },
  { "ag09.la", true },
  { "ag11.net", true },
  { "ag123.la", true },
  { "ag130.net", true },
  { "ag138.com", true },
  { "ag13842.com", true },
  { "ag1386.com", true },
  { "ag1515a.com", true },
  { "ag155.net", true },
  { "ag158.cc", true },
  { "ag1588.com", true },
  { "ag1601.com", true },
  { "ag1603.com", true },
  { "ag1604.com", true },
  { "ag1607.com", true },
  { "ag166.com", true },
  { "ag173168.com", true },
  { "ag18ks.com", true },
  { "ag2017.cc", true },
  { "ag2020a.com", true },
  { "ag271.com", true },
  { "ag2786.com", true },
  { "ag285.com", true },
  { "ag2855.com", true },
  { "ag288.vip", true },
  { "ag2886.com", true },
  { "ag2897.com", true },
  { "ag2978.com", true },
  { "ag3.la", true },
  { "ag3115.com", true },
  { "ag3117.com", true },
  { "ag3119.com", true },
  { "ag3232g.com", true },
  { "ag33.la", true },
  { "ag388.vip", true },
  { "ag3916.com", true },
  { "ag3917.com", true },
  { "ag393.com", true },
  { "ag3953.com", true },
  { "ag4141a.com", true },
  { "ag4848g.com", true },
  { "ag4949g.com", true },
  { "ag5152.com", true },
  { "ag5159.com", true },
  { "ag5326.com", true },
  { "ag5358.com", true },
  { "ag5392.com", true },
  { "ag5519.com", true },
  { "ag556.com", true },
  { "ag5623.com", true },
  { "ag5657.com", true },
  { "ag5662.com", true },
  { "ag5688.com", true },
  { "ag5758.com", true },
  { "ag5761.com", true },
  { "ag5852.com", true },
  { "ag5856.com", true },
  { "ag5862.com", true },
  { "ag5876.com", true },
  { "ag58ks.com", true },
  { "ag5917.com", true },
  { "ag5933.com", true },
  { "ag5936.com", true },
  { "ag5939.com", true },
  { "ag5951.com", true },
  { "ag5952.com", true },
  { "ag5967.com", true },
  { "ag6.com", true },
  { "ag6.im", true },
  { "ag6.pub", true },
  { "ag6.pw", true },
  { "ag6.us", true },
  { "ag6.vip", true },
  { "ag600.la", true },
  { "ag6005.com", true },
  { "ag6016.com", true },
  { "ag6033.com", true },
  { "ag6037.com", true },
  { "ag6072.com", true },
  { "ag6086.com", true },
  { "ag618.la", true },
  { "ag6215.com", true },
  { "ag6225.com", true },
  { "ag6262g.com", true },
  { "ag6272.com", true },
  { "ag6283.com", true },
  { "ag6291.com", true },
  { "ag6298.com", true },
  { "ag6306.com", true },
  { "ag660.com", true },
  { "ag66321.com", true },
  { "ag66567.com", true },
  { "ag666.vip", true },
  { "ag66668.com", true },
  { "ag6675.com", true },
  { "ag6676.com", true },
  { "ag6819.com", true },
  { "ag6825.com", true },
  { "ag68ks.com", true },
  { "ag69000.com", true },
  { "ag698.com", true },
  { "ag6995.com", true },
  { "ag7.la", true },
  { "ag700.com", true },
  { "ag72.vip", true },
  { "ag7273.com", true },
  { "ag77.la", true },
  { "ag77.win", true },
  { "ag77655.com", true },
  { "ag7811.com", true },
  { "ag7822.com", true },
  { "ag8-game.com", true },
  { "ag8.email", true },
  { "ag8.im", true },
  { "ag8.live", true },
  { "ag8.us", true },
  { "ag8.vip", true },
  { "ag800.com", true },
  { "ag806.tv", true },
  { "ag80808.com", true },
  { "ag80880.com", true },
  { "ag81117.com", true },
  { "ag81119.com", true },
  { "ag81122.com", true },
  { "ag81125.com", true },
  { "ag81163.com", true },
  { "ag81191.com", true },
  { "ag812.com", true },
  { "ag812.tv", true },
  { "ag81211.com", true },
  { "ag81213.com", true },
  { "ag81215.com", true },
  { "ag81268.com", true },
  { "ag81275.com", true },
  { "ag81277.com", true },
  { "ag81279.com", true },
  { "ag81325.com", true },
  { "ag81362.com", true },
  { "ag81393.com", true },
  { "ag81399.com", true },
  { "ag81568.com", true },
  { "ag816.com", true },
  { "ag81611.com", true },
  { "ag81613.com", true },
  { "ag818.cc", true },
  { "ag818.net", true },
  { "ag8181g.com", true },
  { "ag81879.com", true },
  { "ag81881.com", true },
  { "ag819.tv", true },
  { "ag81912.com", true },
  { "ag81917.com", true },
  { "ag81933.com", true },
  { "ag81939.com", true },
  { "ag82001.com", true },
  { "ag82006.com", true },
  { "ag82007.com", true },
  { "ag82011.vip", true },
  { "ag82015.com", true },
  { "ag82018.cc", true },
  { "ag82018.com", true },
  { "ag82022.cc", true },
  { "ag821.com", true },
  { "ag82135.com", true },
  { "ag8218.com", true },
  { "ag822.com", true },
  { "ag82225.com", true },
  { "ag82226.com", true },
  { "ag82287.com", true },
  { "ag8400.com", true },
  { "ag8500.com", true },
  { "ag855.net", true },
  { "ag860.com", true },
  { "ag8600.com", true },
  { "ag865.com", true },
  { "ag87777.com", true },
  { "ag8778.net", true },
  { "ag878.com", true },
  { "ag88-guide.com", true },
  { "ag880.com", true },
  { "ag88001.com", true },
  { "ag88008.com", true },
  { "ag88018.com", true },
  { "ag88028.com", true },
  { "ag88056.com", true },
  { "ag88058.com", true },
  { "ag88068.com", true },
  { "ag8808.com", true },
  { "ag88080.com", true },
  { "ag88081.com", true },
  { "ag88086.com", true },
  { "ag88089.com", true },
  { "ag88090.com", true },
  { "ag88094.com", true },
  { "ag88098.com", true },
  { "ag88110.com", true },
  { "ag88158.com", true },
  { "ag88220.com", true },
  { "ag8829.com", true },
  { "ag88309.com", true },
  { "ag8850.com", true },
  { "ag88518.com", true },
  { "ag88550.com", true },
  { "ag8856.com", true },
  { "ag8859.com", true },
  { "ag88618.com", true },
  { "ag887.com", true },
  { "ag8876.com", true },
  { "ag88777.com", true },
  { "ag88777.net", true },
  { "ag8879.com", true },
  { "ag88798.com", true },
  { "ag88799.com", true },
  { "ag888.ag", true },
  { "ag88801.com", true },
  { "ag88818.com", true },
  { "ag888818.com", true },
  { "ag889.com", true },
  { "ag8890.com", true },
  { "ag88905.com", true },
  { "ag88906.com", true },
  { "ag88910.com", true },
  { "ag88988.com", true },
  { "ag88dc22.com", true },
  { "ag88ks.com", true },
  { "ag89000.com", true },
  { "ag891.com", true },
  { "ag898.cc", true },
  { "ag899.com", true },
  { "ag89951.com", true },
  { "ag89ks.com", true },
  { "ag8vip.com", true },
  { "ag9.com", true },
  { "ag9.im", true },
  { "ag9.vip", true },
  { "ag9005.com", true },
  { "ag905.com", true },
  { "ag908.com", true },
  { "ag9100.com", true },
  { "ag918.ag", true },
  { "ag918.cc", true },
  { "ag918.co", true },
  { "ag918.top", true },
  { "ag92018.com", true },
  { "ag9532.com", true },
  { "ag955.net", true },
  { "ag96.win", true },
  { "ag961.com", true },
  { "ag9621.com", true },
  { "ag9623.com", true },
  { "ag966.net", true },
  { "ag978.com", true },
  { "ag9792.com", true },
  { "ag9793.com", true },
  { "ag98.tv", true },
  { "ag9800.com", true },
  { "ag9815.com", true },
  { "ag983.com", true },
  { "ag98ks.com", true },
  { "ag992.com", true },
  { "ag9931.com", true },
  { "ag995.com", true },
  { "ag9973.com", true },
  { "ag998.com", true },
  { "ag9ks.com", true },
  { "ag9vip.com", true },
  { "agaa35.com", true },
  { "agaa41.com", true },
  { "agagent.vip", true },
  { "agahi90.ir", true },
  { "agalliasis.ch", false },
  { "agamsecurity.ch", false },
  { "agatajanik.de", true },
  { "agate.pw", true },
  { "agaveandpine.com", true },
  { "agds.pw", true },
  { "age-encryption.org", true },
  { "agechecker.net", true },
  { "agefriendlyri.org", true },
  { "agemfis.com", true },
  { "agence-wazacom.fr", true },
  { "agences-cegee.fr", true },
  { "agencesaintpierre.fr", true },
  { "agencia.barcelona", true },
  { "agencia.cat", true },
  { "agencia.pro", true },
  { "agenciacorujadesign.com.br", true },
  { "agenciafiscal.pe", true },
  { "agencyalacarte.com", true },
  { "agencyinmotion.com", true },
  { "agencytsunami.com", true },
  { "agenda-loto.net", false },
  { "agenda21senden.de", true },
  { "agendaspectacles.fr", true },
  { "agendatelefonica.com.br", false },
  { "agent-grow.com", true },
  { "agentprocessing.com", true },
  { "agentrisk.com", true },
  { "agentur-pottkinder.de", true },
  { "agenux.org", true },
  { "agenziaimmobiliarezeta.it", true },
  { "agfmedia.com", true },
  { "agg097.com", true },
  { "agg66.com", true },
  { "agg77.com", true },
  { "agg88.com", true },
  { "agh6p.com", true },
  { "aghayeva-edler.de", true },
  { "agiapelagia.com", true },
  { "agibank.com.br", true },
  { "agic-geneve.ch", true },
  { "agilebits.com", true },
  { "agilecraft.com", true },
  { "agileui.com", true },
  { "agiley.se", true },
  { "agilicus.ca", true },
  { "agilicus.com", true },
  { "agilizing.us", true },
  { "agilob.net", true },
  { "aging.gov", true },
  { "aginion.net", true },
  { "agk.co.com", true },
  { "agks0.com", true },
  { "agks006.com", true },
  { "agks008.com", true },
  { "agks02.com", true },
  { "agks06.com", true },
  { "agks08.com", true },
  { "agks1.com", true },
  { "agks11.com", true },
  { "agks111.com", true },
  { "agks113.com", true },
  { "agks12.com", true },
  { "agks13.com", true },
  { "agks131.com", true },
  { "agks133.com", true },
  { "agks138.com", true },
  { "agks150.com", true },
  { "agks168.com", true },
  { "agks18.com", true },
  { "agks188.com", true },
  { "agks19.com", true },
  { "agks2.com", true },
  { "agks3.com", true },
  { "agks4.com", true },
  { "agks666.com", true },
  { "agks68.com", true },
  { "agks8.com", true },
  { "agks88.com", true },
  { "agks89.com", true },
  { "agks9.com", true },
  { "agks96.com", true },
  { "agks98.com", true },
  { "agks988.com", true },
  { "agks99.com", true },
  { "agks998.com", true },
  { "agktest1.ga", true },
  { "aglc6.com", true },
  { "aglc88.com", true },
  { "aglh.com", true },
  { "agliamici.it", true },
  { "aglucky.com", true },
  { "agm2525.com", true },
  { "agm4545.com", true },
  { "agm8383.com", true },
  { "agnesk.blog", true },
  { "agonswim.com", true },
  { "agoodmind.com", true },
  { "agoravox.fr", true },
  { "agoravox.it", true },
  { "agoravox.tv", true },
  { "agouraelectrical.com", true },
  { "agouraelectrician.com", true },
  { "agouraexteriorlighting.com", true },
  { "agourahillselectric.com", true },
  { "agourahillselectrical.com", true },
  { "agourahillselectrician.com", true },
  { "agourahillsexteriorlighting.com", true },
  { "agourahillslandscapelighting.com", true },
  { "agourahillslighting.com", true },
  { "agourahillsoutdoorlighting.com", true },
  { "agouralandscapelighting.com", true },
  { "agouralighting.com", true },
  { "agouraoutdoorlighting.com", true },
  { "agowa338.de", true },
  { "agproducts.co.uk", true },
  { "agpsn.com", true },
  { "agr.asia", true },
  { "agrarking.com", true },
  { "agrarking.de", true },
  { "agrarshop4u.de", true },
  { "agrekov.ru", true },
  { "agremo.com", true },
  { "agreor.com", true },
  { "agrichamber.com.ua", true },
  { "agriculture-schools.com", true },
  { "agrios.de", true },
  { "agriquads.nl", true },
  { "agrobaza.com.ua", true },
  { "agroconsultoraplus.com", true },
  { "agroline.by", true },
  { "agroplas.cf", true },
  { "agropotter.com.ua", true },
  { "agroxxi.ru", false },
  { "agroyard.com.ua", true },
  { "agsb.ch", false },
  { "agscinemas.com", true },
  { "agslot777.com", true },
  { "agsogou.com", true },
  { "agsun6.com", true },
  { "aguarani.com.br", true },
  { "aguiascarecas.org", true },
  { "agung-furniture.com", true },
  { "agvip1000.com", true },
  { "agvip168.com", true },
  { "agvip1888.com", true },
  { "agvip2001.com", true },
  { "agvip2008.com", true },
  { "agvip2013.com", true },
  { "agvip88.com", true },
  { "agvip8800.com", true },
  { "agvip986.com", true },
  { "agwa.name", true },
  { "agwin2.com", true },
  { "agwin7.com", true },
  { "agwin777.com", true },
  { "agwin8.com", true },
  { "agwin9.com", true },
  { "agworkers.com", true },
  { "agy.cl", true },
  { "agyacht.club", true },
  { "ahawkesrealtors.com", true },
  { "ahd.com", false },
  { "ahegao.ca", true },
  { "ahfazahmed.net", true },
  { "ahj.no", true },
  { "ahkubiak.ovh", false },
  { "ahlaejaba.com", true },
  { "ahlstrom-filters.com", true },
  { "ahlz.sk", true },
  { "ahmad.works", true },
  { "ahmedcharles.com", true },
  { "ahmerjamilkhan.org", true },
  { "ahmetozer.org", true },
  { "ahollamby.com", true },
  { "ahosi.com", true },
  { "ahoy.travel", true },
  { "ahoyconference.com", true },
  { "ahtuxpk.ru", true },
  { "ahughes03.com", true },
  { "ahxxm.com", false },
  { "ai-cuisine.fr", true },
  { "ai-english.jp", true },
  { "ai-media.tv", true },
  { "ai-soft.co.jp", true },
  { "ai.gov", true },
  { "aianipid.ee", true },
  { "aiasesoriainmobiliaria.com", true },
  { "aiat.net", true },
  { "aibenzi.com", true },
  { "aid-web.ch", true },
  { "aidanapple.com", true },
  { "aidanmitchell.co.uk", true },
  { "aidanmitchell.uk", true },
  { "aidanmontare.net", true },
  { "aidanpr.com", true },
  { "aidanpr.net", true },
  { "aidarikako.com", true },
  { "aiden.cool", true },
  { "aiden.link", false },
  { "aidhan.net", true },
  { "aidi-ahmi.com", true },
  { "aidmycomputer.com", true },
  { "aids.gov", true },
  { "aie.de", true },
  { "aievaluare.ro", true },
  { "aifriccampbell.com", true },
  { "aigcev.org", true },
  { "aigenpul.se", true },
  { "aigner-club.com", true },
  { "aigner-club.de", true },
  { "aignerimage.de", true },
  { "aignermunich.com", true },
  { "aignermunich.de", true },
  { "aignermunich.jp", true },
  { "aiinsurance.io", true },
  { "aiinsurance.xyz", true },
  { "aijsk.com", true },
  { "aikenpromotions.com", true },
  { "aiki.de", true },
  { "aiki.do", true },
  { "aiki.tk", false },
  { "aikido-club-limburg.de", true },
  { "aikido-kiel.de", true },
  { "aikido-linz.at", true },
  { "aikido-wels.at", true },
  { "ailitonia.com", true },
  { "aimare-web.tk", true },
  { "aimax.com", true },
  { "aimd.tech", true },
  { "aimeeandalec.com", true },
  { "aimgroup.co.tz", true },
  { "aimi-salon.com", true },
  { "aimiastestseries.com", true },
  { "aimotive.com", true },
  { "aimstoreglobal.com", true },
  { "ainfographie.com", true },
  { "ainvest.de", true },
  { "ainzu.net", true },
  { "aiois.com", true },
  { "aipbarcelona.com", true },
  { "aipi.de", true },
  { "air-craftglass.com", true },
  { "air-shots.ch", false },
  { "air-techniques.fr", true },
  { "air-we-go.co.uk", true },
  { "airanyumi.net", true },
  { "airbnb.ae", true },
  { "airbnb.at", true },
  { "airbnb.be", true },
  { "airbnb.biz", true },
  { "airbnb.ca", true },
  { "airbnb.cat", true },
  { "airbnb.ch", true },
  { "airbnb.cl", true },
  { "airbnb.cn", true },
  { "airbnb.co.cr", true },
  { "airbnb.co.id", true },
  { "airbnb.co.il", true },
  { "airbnb.co.in", true },
  { "airbnb.co.kr", true },
  { "airbnb.co.nz", true },
  { "airbnb.co.uk", true },
  { "airbnb.co.ve", true },
  { "airbnb.com", true },
  { "airbnb.com.ar", true },
  { "airbnb.com.au", true },
  { "airbnb.com.bo", true },
  { "airbnb.com.br", true },
  { "airbnb.com.bz", true },
  { "airbnb.com.cn", true },
  { "airbnb.com.co", true },
  { "airbnb.com.ec", true },
  { "airbnb.com.gt", true },
  { "airbnb.com.hk", true },
  { "airbnb.com.hn", true },
  { "airbnb.com.hr", true },
  { "airbnb.com.kh", true },
  { "airbnb.com.mt", true },
  { "airbnb.com.my", true },
  { "airbnb.com.ni", true },
  { "airbnb.com.pa", true },
  { "airbnb.com.pe", true },
  { "airbnb.com.ph", true },
  { "airbnb.com.py", true },
  { "airbnb.com.sg", true },
  { "airbnb.com.sv", true },
  { "airbnb.com.tr", true },
  { "airbnb.com.tw", true },
  { "airbnb.com.ua", true },
  { "airbnb.com.vn", true },
  { "airbnb.cz", true },
  { "airbnb.de", true },
  { "airbnb.dk", true },
  { "airbnb.es", true },
  { "airbnb.fi", true },
  { "airbnb.fr", true },
  { "airbnb.gr", true },
  { "airbnb.gy", true },
  { "airbnb.hu", true },
  { "airbnb.ie", true },
  { "airbnb.is", true },
  { "airbnb.it", true },
  { "airbnb.jp", true },
  { "airbnb.la", true },
  { "airbnb.lu", true },
  { "airbnb.mx", true },
  { "airbnb.nl", true },
  { "airbnb.no", true },
  { "airbnb.pl", true },
  { "airbnb.pt", true },
  { "airbnb.ru", true },
  { "airbnb.se", true },
  { "airbnb.tools", true },
  { "airbnbchina.cn", true },
  { "airbnbopen.com", true },
  { "airborne-inflatables.co.uk", true },
  { "airbossofamerica.com", true },
  { "airbrake.io", true },
  { "aircomms.com", true },
  { "airconditioning-sandton.co.za", true },
  { "airconrandburg.co.za", true },
  { "airconsalberton.co.za", true },
  { "airconsfourways.co.za", true },
  { "airconsmidrand.co.za", true },
  { "airductclean.com", false },
  { "airductcleaninggrandprairie.com", true },
  { "airductcleaningirving.com", true },
  { "airdur.eu", true },
  { "aireaseleaks.org", true },
  { "airetvie.com", true },
  { "airfax.io", true },
  { "airfocused.com", true },
  { "airhart.me", true },
  { "airhelp.com", true },
  { "airhorn.de", true },
  { "airi-tabei.com", true },
  { "airicy.com", true },
  { "airikai.com", true },
  { "airlibre-parachutisme.com", true },
  { "airlinesreservation.org", true },
  { "airmail.cc", false },
  { "airmash.online", true },
  { "airmaxinflatables.com", true },
  { "airpbx.com", true },
  { "airplay-inflatable-hire.co.uk", true },
  { "airplayradio.nl", true },
  { "airport-charlotte.com", true },
  { "airportal.cn", false },
  { "airrestoration.ch", true },
  { "airship.com", true },
  { "airslate.com", true },
  { "airsnore.com", true },
  { "airsoft.ch", true },
  { "airswap.io", true },
  { "airtable.com", true },
  { "airtec-france.fr", true },
  { "airtimerewards.co.uk", false },
  { "airtoolaccessoryo.com", true },
  { "airventilation.ca", true },
  { "airvpn.org", true },
  { "airvuz.com", true },
  { "airwaystorage.net", true },
  { "airweb.top", true },
  { "airwolf.tk", true },
  { "airwolfthemes.com", true },
  { "airwrenchei.com", true },
  { "airy.host", true },
  { "ais.fashion", true },
  { "aisance-co.com", true },
  { "aisi316l.net", true },
  { "aistockcharts.com", true },
  { "aistrope.com", true },
  { "ait.com.ar", true },
  { "aiticon.com", true },
  { "aitosoftware.com", true },
  { "aitrust.ro", true },
  { "aiva.ai", true },
  { "aivan.ai", true },
  { "aivd.lol", true },
  { "aiwansky.com", true },
  { "aiwosq.cn", true },
  { "aizxxs.com", true },
  { "aizxxs.net", true },
  { "aj-foster.com", true },
  { "aja.de", true },
  { "ajarope.com", true },
  { "ajaxed.net", true },
  { "ajaxtime.tk", true },
  { "ajbenet.com", true },
  { "ajbouncycastles.co.uk", true },
  { "ajdiaz.me", true },
  { "ajeventhire.co.uk", true },
  { "ajfite.com", true },
  { "ajgroup-me.com", false },
  { "ajhstamps.co.uk", true },
  { "ajiaojr.info", true },
  { "ajiaojr.io", true },
  { "ajiaojr.me", true },
  { "ajiaojr.net", true },
  { "ajiboye.com", true },
  { "ajl.io", true },
  { "ajnah.net", true },
  { "ajnasz.hu", true },
  { "ajs5.com", true },
  { "ajsb85.com", true },
  { "ajt.io", true },
  { "ajtatum.com", true },
  { "ajwebsolutions.com", true },
  { "ak-varazdin.hr", true },
  { "ak-webit.de", true },
  { "ak47-miyamoto.spdns.org", true },
  { "aka.ms", true },
  { "akaal.pw", true },
  { "akachanikuji.com", true },
  { "akademeia.moe", true },
  { "akademie-frankfurt.de", true },
  { "akalashnikov.ru", true },
  { "akamon.ac.jp", true },
  { "akaoma.com", true },
  { "akasha.world", true },
  { "akashdsouza.now.sh", true },
  { "akay.me", true },
  { "akdusekbudil.cz", true },
  { "akeenext.com", true },
  { "akeenshort.com", true },
  { "akerboom.family", true },
  { "akerboom.org", true },
  { "akfoundationindia.com", true },
  { "akhabar.tk", true },
  { "akhealthconnection.com", false },
  { "akhomesforyou.com", true },
  { "akihito.com", true },
  { "akijo.de", true },
  { "akinix.com", true },
  { "akiym.com", true },
  { "akj.io", true },
  { "akkade.be", true },
  { "akkbouncycastles.co.uk", true },
  { "akostecki.de", true },
  { "akoww.de", false },
  { "akoya.fi", true },
  { "akplates.org", true },
  { "akr.io", true },
  { "akr.services", true },
  { "akrep.com", true },
  { "akropolis-ravensburg.de", true },
  { "aksehir.bel.tr", true },
  { "akselinurmio.fi", true },
  { "akshi.in", true },
  { "aktin.cz", true },
  { "aktin.sk", true },
  { "aktion-vielfalt.ch", true },
  { "aktiv-naturheilmittel.at", false },
  { "aktiv-naturheilmittel.ch", true },
  { "aktiv-naturheilmittel.de", true },
  { "aktivace.eu", true },
  { "aktive-arbeitslose.at", true },
  { "aktivierungscenter.de", true },
  { "akuislam.com", true },
  { "akukas.com", true },
  { "akuston.eu", true },
  { "akutun.cl", true },
  { "akvitens.com.ua", true },
  { "akvorrat.at", true },
  { "al-f.net", true },
  { "al3abmizo.com", true },
  { "alab.space", true },
  { "alabamaag.gov", true },
  { "alabamacoastalradiology.com", true },
  { "alabamadebtrelief.org", true },
  { "alaboard.com", true },
  { "alabordage.fr", true },
  { "alacriti.com", true },
  { "alacritylaw.com", true },
  { "aladdin.ie", true },
  { "aladdinschools.appspot.com", true },
  { "aladintechnologies.tk", true },
  { "alainbaechlerphotography.ch", false },
  { "alainfrancois.eu", true },
  { "alainfrancois.nl", true },
  { "alainmargot.ch", false },
  { "alainodea.com", true },
  { "alainwolf.ch", true },
  { "alainwolf.net", true },
  { "alair.cn", false },
  { "alalivre.cf", true },
  { "alamo-analytics.com", true },
  { "alamowellnessalliance.com", true },
  { "alana.com.ua", true },
  { "alanberger.me.uk", true },
  { "aland.co.uk", true },
  { "alandoyle.com", true },
  { "alanhua.ng", true },
  { "alaninkenya.org", true },
  { "alantica.ga", true },
  { "alarelleimpresiones.com", true },
  { "alargarlavida.com", true },
  { "alarmat.pl", true },
  { "alarmcomplete.co.uk", true },
  { "alarna.de", true },
  { "alasdelalma.com.co", true },
  { "alaskabuylocal.org", true },
  { "alaskafishinglodges.net", true },
  { "alaskajewelry.com", true },
  { "alastairs-place.net", true },
  { "alatkesehatan.tk", true },
  { "alaturkaonline.com", true },
  { "alaunus.com", true },
  { "alb-flirt.de", true },
  { "albagora.nl", true },
  { "albalatedelarzobispo.tk", true },
  { "albanesi.it", true },
  { "albanycountydems.com", true },
  { "albatrosswear.com", true },
  { "albbounce.co.uk", true },
  { "albergolafiorita.com", true },
  { "albersdruck.de", true },
  { "albert-yu.com", true },
  { "albertathome.org", true },
  { "albertcuyp-markt.amsterdam", true },
  { "albertforfuture.de", true },
  { "albertinum-goettingen.de", true },
  { "alberts-blatt.de", true },
  { "albilaga.id", true },
  { "albion2.org", true },
  { "albionfaeries.org.uk", true },
  { "alboweb.nl", true },
  { "albstaedter-kids-cup.de", true },
  { "alca31.com", false },
  { "alcamilo.cloudns.cc", true },
  { "alcatelonetouch.us", true },
  { "alchemy-media-marketing.com", true },
  { "alchemy.gr", true },
  { "alchemyvfx.com", true },
  { "alchimic.ch", false },
  { "alco-united.com", true },
  { "alcobendas.tk", true },
  { "alcoholapi.com", true },
  { "alcolecapital.com", true },
  { "alcouponest.com", true },
  { "alcubillas.tk", true },
  { "aldiabcs.com", true },
  { "aldien.com.br", true },
  { "aldomedia.com", true },
  { "aldorr.net", false },
  { "aldous-huxley.com", true },
  { "alea.xyz", true },
  { "alecpap.com", true },
  { "alecpapierniak.com", true },
  { "alecrust.com", true },
  { "aleftinka.tk", true },
  { "alejarod.com", true },
  { "alek.in", true },
  { "aleksib.fi", true },
  { "alela.fr", true },
  { "alentadoras.com", true },
  { "aleph.land", true },
  { "alertboxx.com", true },
  { "alertonline.nl", true },
  { "alerts.sg", true },
  { "alertwire.com", true },
  { "alesia-formation.fr", true },
  { "alessandrobasi.it", true },
  { "alessandroonline.com.br", true },
  { "alessandrotravel.com", true },
  { "alessandroz.ddns.net", true },
  { "aletm.it", true },
  { "alevi.tk", true },
  { "alex-n.net", true },
  { "alex-ross.co.uk", true },
  { "alex4386.us", true },
  { "alex97000.de", true },
  { "alexander-beck.eu", true },
  { "alexandercanton.com", true },
  { "alexanderneng.de", true },
  { "alexanderschimpf.de", true },
  { "alexandra-schulze.de", true },
  { "alexandrastorm.com", true },
  { "alexandreguarita.com.br", true },
  { "alexbaker.org", true },
  { "alexberts.ch", true },
  { "alexcoman.com", true },
  { "alexdaniel.org", true },
  { "alexey-shamara.ru", true },
  { "alexeykopytko.com", true },
  { "alexfabian.myftp.org", true },
  { "alexgaynor.net", true },
  { "alexgebhard.com", true },
  { "alexglover.co.uk", true },
  { "alexhalderman.com", true },
  { "alexhd.de", true },
  { "alexisabarca.com", true },
  { "alexiskoustoulidis.com", true },
  { "alexjett.com", true },
  { "alexlambertz.de", true },
  { "alexlouden.com", true },
  { "alexmerkel.com", true },
  { "alexmerkel.me", true },
  { "alexmerkel.xyz", true },
  { "alexmroberts.net", true },
  { "alexn.org", true },
  { "alexpnixon.com", true },
  { "alexpotter.net", true },
  { "alexs.de", true },
  { "alexsandrasverden.cf", true },
  { "alexschroeder.ch", true },
  { "alexsergeyev.com", true },
  { "alexsexton.com", true },
  { "alextaffe.com", true },
  { "alextjam.es", true },
  { "alextsang.net", true },
  { "alexvetter.de", true },
  { "alexwardweb.com", true },
  { "alexyang.me", true },
  { "alfa-host.ml", true },
  { "alfa-tech.su", true },
  { "alfacharlie.co", true },
  { "alfadlmedical.com", true },
  { "alfadlmedical.net", true },
  { "alfaperfumes.com.br", true },
  { "alfaproweb.fr", true },
  { "alfastone.com.ua", true },
  { "alfavit.cf", true },
  { "alforto.nl", true },
  { "alfratehotelcampiglio.it", true },
  { "alfred-figge.de", true },
  { "alfredapp.com", true },
  { "alftrain.com", true },
  { "algeriepart.com", true },
  { "alghanimcatering.com", true },
  { "algoentremanos.com", true },
  { "algolia.com", true },
  { "algoritmus-uspechu.cz", true },
  { "algoritmususpechu.cz", true },
  { "algustionesa.com", true },
  { "aliacraft.net", true },
  { "aliancapelobrasil.rio.br", true },
  { "aliantsoft.pl", true },
  { "aliaswp.com", true },
  { "alibamu.com", true },
  { "alibamu.org", true },
  { "alibangash.com", true },
  { "alice-memorial.de", true },
  { "alice-noutore.com", true },
  { "alice.tw", true },
  { "alicemaywebdesign.com.au", true },
  { "alicestudio.it", true },
  { "alicetone.net", true },
  { "aliefirfany.com", true },
  { "alieke.design", true },
  { "alien.bz", true },
  { "alien6.com", true },
  { "alienation.biz", false },
  { "alienstat.com", true },
  { "alighierirescaldina.it", true },
  { "alignrs.com", true },
  { "alikulov.me", true },
  { "alimentsduquebecaumenu.com", true },
  { "alinasmusicstudio.com", true },
  { "alinbu.net", true },
  { "alineonline.tk", true },
  { "aliorange.com", true },
  { "alisondavenport.ga", true },
  { "alisonisrealestate.com", true },
  { "alisonlitchfield.com", true },
  { "alistairstowing.com", true },
  { "alitec.it", true },
  { "aliv.biz", true },
  { "alix-board.de", true },
  { "alize-theatre.ch", false },
  { "aliziolaw.com", true },
  { "aljaspod.ch", true },
  { "aljaspod.com", true },
  { "aljaspod.hu", true },
  { "aljaspod.net", true },
  { "aljaspod.org", true },
  { "aljweb.com", true },
  { "alkacoin.net", true },
  { "alkami.com", true },
  { "alkamitech.com", true },
  { "alkemi-si.fr", true },
  { "alko-centr.ru", true },
  { "alko-stop.ml", true },
  { "alkopedia.tk", true },
  { "alkor.tk", true },
  { "alkusin.net", true },
  { "all-connect.net", false },
  { "all-fashion-schools.com", true },
  { "all-markup-news.com", true },
  { "all-things.tk", true },
  { "all4hardware4u.de", true },
  { "all878.com", true },
  { "allaboutfunuk.com", true },
  { "allaboutgreg.net", true },
  { "allaboutreligions.tk", true },
  { "allaboutswing.co.uk", true },
  { "allaboutswing.com", true },
  { "allactioneventhire.co.uk", true },
  { "allamericanmuslim.com", true },
  { "allamericatrans.com", true },
  { "allangirvan.net", true },
  { "allanta.be", true },
  { "allarmi.roma.it", true },
  { "allbenjoy.de", true },
  { "allbestcbdoil.com", true },
  { "allbetgame.cn", true },
  { "allbetgaming.com", true },
  { "allbigdicks.com", true },
  { "allbounceandplay.co.uk", true },
  { "allbouncesurrey.co.uk", true },
  { "allbrandbrand.com", true },
  { "allbursaries.co.za", true },
  { "allbusiness.com", true },
  { "allcapa.org", true },
  { "allcarecorrectionalpharmacy.com", true },
  { "allcarepharmacy.com", true },
  { "allcarespecialty.pharmacy", true },
  { "allcinema.net", true },
  { "allcleaningservice.org", true },
  { "allcleanservices.ca", true },
  { "allcloud.com", true },
  { "allcountyins.com", true },
  { "allcovered.nl", true },
  { "allcoveredbyac.com", true },
  { "alldewall.de", true },
  { "alle-zonvakanties.nl", true },
  { "alle.bg", true },
  { "allemoz.com", true },
  { "allemoz.fr", true },
  { "allenarchive.com", true },
  { "allenscaravans.co.uk", true },
  { "allensun.org", true },
  { "allentertainment.de", true },
  { "allenwillis.ga", true },
  { "allerstorfer.at", true },
  { "alles-nur-ge.cloud", true },
  { "alleskomtgoed.org", true },
  { "allfaucet.ml", true },
  { "allfoodrecipes.ga", true },
  { "allforyou.at", true },
  { "allfundsconnect.com", true },
  { "allgaragefloors.com", true },
  { "allgosts.ru", true },
  { "allgovernmentjobs.in", true },
  { "allgreenturf.com.au", true },
  { "allhard.org", true },
  { "allhomemueble.com", true },
  { "allhsa.com", true },
  { "alliance-psychiatry.com", true },
  { "allianceexpressmail.com", true },
  { "alliances-globalsolutions.com", false },
  { "allied.sh", true },
  { "alliedfrozenstorage.com", true },
  { "alliedpavers.com", true },
  { "allinagency.com", true },
  { "allincoin.shop", true },
  { "allinone-ranking150.com", true },
  { "allinsuranceinformation.com", true },
  { "allis.studio", true },
  { "allitcrm.sytes.net", true },
  { "alljamin.com", true },
  { "allladyboys.com", true },
  { "allmajestic.com", true },
  { "allmousepads.com", true },
  { "allnovosibirsk.tk", true },
  { "allns.fr", true },
  { "allo-credit.ch", false },
  { "allo-luxembourg.tk", true },
  { "allofthestops.com", true },
  { "allontanamentovolatili.it", true },
  { "allontanamentovolatili.milano.it", true },
  { "allopurinol300mg.ml", true },
  { "alloutsec.com", true },
  { "alloverthehill.com", true },
  { "allphaseclean.com", true },
  { "allplayer.tk", true },
  { "allpointsblog.com", true },
  { "allpointsheating.com", true },
  { "allproptonline.com", true },
  { "allpussynow.com", true },
  { "allrad-buck.de", true },
  { "allright.tk", true },
  { "allroundpvp.net", true },
  { "allroundtechnology.com", true },
  { "allroundtechnology.nl", true },
  { "allsaints.church", true },
  { "allsearch.io", true },
  { "allseasonswaterproofing.com", true },
  { "allsoulinc.com", true },
  { "allsoulmobile.com", true },
  { "allsoultech.com", true },
  { "allspinecare.com", true },
  { "allstakesupply.com.au", true },
  { "allstarautokiaparts.com", true },
  { "allstarcashforcars.com", true },
  { "allstarquilts.com", true },
  { "allsun.online", true },
  { "allsurpl.us", true },
  { "allsync.com", true },
  { "allsync.nl", false },
  { "allteach.co.uk", true },
  { "allterrainfence.com", true },
  { "allthecryptonews.com", true },
  { "alltherooms.com", true },
  { "alltherooms.es", true },
  { "allthethings.co.nz", true },
  { "allthings.me", true },
  { "allthingswild.co.uk", true },
  { "alltubedownload.net", true },
  { "allurebikerental.com", true },
  { "allurescarves.com", true },
  { "alluvion.studio", true },
  { "allweatherlandscaping.net", true },
  { "almaatlantica.com", true },
  { "almamet.com", true },
  { "almanssur.com", true },
  { "almatinki.com", true },
  { "almavios.com", false },
  { "almeeraloyalty.com", true },
  { "almenrausch-pirkhof.de", true },
  { "almisnedrm.com", true },
  { "almostobjective.com", true },
  { "almusbahperfume.com", true },
  { "almut-zielonka.de", true },
  { "alodocuratelemensagem.com.br", true },
  { "aloesoluciones.com.ar", true },
  { "alohapartyevents.co.uk", true },
  { "alonas.cf", true },
  { "alonas.ga", true },
  { "alonas.gq", true },
  { "alonas.ml", true },
  { "alonas.tk", true },
  { "alonetone.com", true },
  { "alov.blog", true },
  { "alp.od.ua", true },
  { "alpca.org", true },
  { "alpencam.com", true },
  { "alpencams.com", true },
  { "alpencams.net", true },
  { "alpengreis.ch", true },
  { "alpertron.com.ar", true },
  { "alpes-deis-tools.com", true },
  { "alpha-ag.ru", true },
  { "alpha-bet.com.ua", true },
  { "alpha-force.net", false },
  { "alpha-premium.com", true },
  { "alpha-shop.gr", true },
  { "alpha.ch", true },
  { "alpha88uat.com", true },
  { "alphaantileak.net", true },
  { "alphabetsigns.com", true },
  { "alphabouncycastles.co.uk", true },
  { "alphachat.net", true },
  { "alphadefense.co.za", true },
  { "alphaetomega3d.fr", true },
  { "alphafiduciaryservices.ch", false },
  { "alphainflatablehire.com", true },
  { "alphamedphysicians.com", true },
  { "alphanodes.com", true },
  { "alphapengu.in", true },
  { "alphaperfumes.com.br", true },
  { "alphapoker.ru", true },
  { "alpharail.se", true },
  { "alpharoofga.com", true },
  { "alpharotary.com", true },
  { "alphasall.com", true },
  { "alphasib.ru", true },
  { "alphassl.de", true },
  { "alphatrash.de", true },
  { "alphavote-avex.com", true },
  { "alphavote.com", true },
  { "alphera.nl", true },
  { "alphie.me", true },
  { "alphipneux.fr", true },
  { "alpine-holiday.de", true },
  { "alpinechaletrental.com", true },
  { "alpinehighlandrealty.com", true },
  { "alpineplumbingandrooter.com", true },
  { "alpinepubliclibrary.org", true },
  { "alpinestarmassage.com", true },
  { "alplogopedia.it", true },
  { "alquds.edu", true },
  { "alquiaga.com", true },
  { "alrait.com", true },
  { "alre-outillage.fr", true },
  { "als-japan.com", true },
  { "alsops.cf", true },
  { "alstertouch.com", true },
  { "alstertouch.de", true },
  { "alt-three.com", true },
  { "alt.org", true },
  { "altair.fi", true },
  { "altapina.com", false },
  { "altaplana.be", true },
  { "altaynews.kz", true },
  { "altco.group", true },
  { "altedirect.com", true },
  { "alteiria.fr", true },
  { "alter-news.fr", true },
  { "alteralife.eu", true },
  { "alteraro.org", true },
  { "alteria.xyz", true },
  { "alternador.com.br", true },
  { "alternative.bike", true },
  { "alternative.hosting", true },
  { "alternativebit.fr", true },
  { "alternativehosting.com", true },
  { "alternativeinternet.ca", true },
  { "alternativet.party", true },
  { "alternativetomeds.com", true },
  { "alternatiwa.tk", true },
  { "alternatyv.ch", true },
  { "alterspalter.de", true },
  { "altertek.org", true },
  { "altes-sportamt.de", true },
  { "altesses.eu", true },
  { "altestore.com", true },
  { "altijdleroy.nl", true },
  { "altijdleroy.online", true },
  { "altiup.com", true },
  { "altkremsmuensterer.at", true },
  { "altmaestrat.es", true },
  { "altmann-systems.de", true },
  { "altoa.cz", true },
  { "altonblom.com", true },
  { "altopartners.com", true },
  { "altopia.com", true },
  { "altorise.com", true },
  { "altospam.com", true },
  { "altphotos.com", true },
  { "altrui.st", true },
  { "altsdigital.com", true },
  { "altstipendiaten.de", true },
  { "altunbas.info", true },
  { "aluminium-express.ru", true },
  { "alumni-kusa.jp", true },
  { "alupferd.de", true },
  { "aluroof.eu", true },
  { "alushta-vostorg.tk", true },
  { "alvaiazere.net", true },
  { "alvcs.com", true },
  { "alvicom.hu", true },
  { "alvimedika.com.ua", true },
  { "alvosec.com", true },
  { "alwa.fi", true },
  { "alwayshowher.tk", true },
  { "alwayslookingyourbest.com", true },
  { "alwaysmine.fi", true },
  { "alwayswanderlust.com", true },
  { "alxlegal.com", true },
  { "alxu.ca", true },
  { "alxyjc.net", true },
  { "alyanak.ca", true },
  { "alyoung.com", true },
  { "alza.at", true },
  { "alza.co.uk", true },
  { "alza.cz", true },
  { "alza.de", true },
  { "alza.hu", true },
  { "alza.sk", true },
  { "alzashop.com", true },
  { "alziamoiltetto.it", true },
  { "am-dd.com", true },
  { "am-executive-consulting.com", true },
  { "am-globalgroup.com", true },
  { "am156.com", true },
  { "am22i6xaf1m2a5m9k.xyz", true },
  { "am2s.fr", true },
  { "am6118.com", true },
  { "am615.am", true },
  { "am8.ag", true },
  { "am8.com", true },
  { "am8009.com", true },
  { "am8028.com", true },
  { "am8136.com", true },
  { "am88.ag", true },
  { "am8866m.com", true },
  { "am8895.com", true },
  { "ama.ne.jp", true },
  { "amaderelectronics.com", true },
  { "amadoraslindas.com", true },
  { "amagdic.com", true },
  { "amagical.net", false },
  { "amaiz.com", true },
  { "amalficoastransfers.it", true },
  { "amalfilapiazzetta.it", true },
  { "amalfipositanoboatrental.com", true },
  { "amalfirock.it", true },
  { "amalfitabula.it", true },
  { "amanatrustbooks.org.uk", true },
  { "amandadamsphotography.com", true },
  { "amandahamilton.tk", true },
  { "amandasage.ca", true },
  { "amanduscommunication.com", true },
  { "amani-kinderdorf.de", true },
  { "amaranthinewanderlust.com", true },
  { "amardham.org", true },
  { "amaresq.com", true },
  { "amarreconbrujeria.com", true },
  { "amarresconvudu.com", true },
  { "amarresimposibles.com", true },
  { "amarresperuanos.com", true },
  { "amarresydominio.com", true },
  { "amartinz.at", true },
  { "amateri.com", true },
  { "amateurpornhours.com", true },
  { "amateurradionotes.com", true },
  { "amateurvoicetalent.com", true },
  { "amati.solutions", true },
  { "amato.tk", true },
  { "amatsuka.com", true },
  { "amauf.de", true },
  { "amautorepairwa.com", true },
  { "amazetimberfurniture.com.au", true },
  { "amazili-communication.com", true },
  { "amazing-castles.co.uk", true },
  { "amazingraymond.com", true },
  { "amazingraymond.com.au", true },
  { "amb.tf", true },
  { "amb8.net", true },
  { "ambacoin.io", true },
  { "ambassify.com", true },
  { "ambassify.eu", true },
  { "amberalert.gov", true },
  { "amberglowleisure.co.uk", true },
  { "amberlightleisure.com", true },
  { "amberoad.tk", true },
  { "amberwiz.com", true },
  { "ambholding-usedcars.be", false },
  { "ambiente.one", true },
  { "ambiq.nl", true },
  { "ambra.net.au", true },
  { "ambra.net.nz", true },
  { "ambulanza.roma.it", true },
  { "ambulari.cz", true },
  { "amcangroup.com", true },
  { "amcfirst.com", true },
  { "amchainitiative.org", true },
  { "amcs.website", true },
  { "amdm.ru", true },
  { "amdouglas.com", true },
  { "amechancez.work", true },
  { "ameego.com", true },
  { "ameego.it", true },
  { "ameego.net", true },
  { "ameego.nl", true },
  { "ameego.org", true },
  { "ameeradubai.com", true },
  { "amees.me", false },
  { "ameeventos.pt", true },
  { "ameliemarieintokyo.com", true },
  { "amello.de", true },
  { "amendine.fr", true },
  { "ameninalaceira.com.br", true },
  { "america.gov", true },
  { "americafamilylawcenter.org", true },
  { "americagambles.com", true },
  { "american-school-search.com", true },
  { "american.dating", true },
  { "americanartwarehouse.com", true },
  { "americandetour.com", true },
  { "americanflooring.co", true },
  { "americanfoundationbr.com", true },
  { "americanindiannursing.com", true },
  { "americanmediainstitute.com", true },
  { "americanreservations.us", true },
  { "americans.cam", true },
  { "americansforcommunitydevelopment.org", true },
  { "americanunicornparty.tk", true },
  { "americanwater.lk", true },
  { "americasbasementcontractor.com", true },
  { "americasdirector.com", true },
  { "americkykongres.cz", true },
  { "americoadvogados.com.br", true },
  { "americorps.gov", true },
  { "ameriikanpoijat.org", true },
  { "amerika-forum.de", true },
  { "amerimex.cc", true },
  { "amerion.nl", true },
  { "ameriondental.nl", true },
  { "amesgen.de", true },
  { "amethystdevelopment.co.uk", true },
  { "amf.to", true },
  { "amforst-ha.ddns.net", true },
  { "amforst.ddns.net", true },
  { "amg-microwave.com", true },
  { "amh-entertainments.co.uk", true },
  { "ami-de-bastanes.fr", true },
  { "amianto.roma.it", true },
  { "amica-travel.com", true },
  { "amica.it", true },
  { "amicalecanyon.ch", false },
  { "amiciperlatesta.it", true },
  { "amifoundation.net", true },
  { "amigosencanada.com", true },
  { "amigucrochet.com", true },
  { "amikootours.com", true },
  { "amineptine.com", true },
  { "amion.com.ua", true },
  { "amionvpn.com", true },
  { "amir-heinisch.de", true },
  { "amirasyraf.com", true },
  { "amirautos.com", false },
  { "amirmahdy.com", true },
  { "amitabhsirkiclasses.org.in", true },
  { "amitpatra.com", false },
  { "amj74-informatique.fr", true },
  { "amjinc.ca", true },
  { "amleather.pl", true },
  { "amm6e.com", true },
  { "ammanagingdirectors.com", true },
  { "amministratore.biz", true },
  { "amministratore.roma.it", true },
  { "amministratorecondominio.roma.it", true },
  { "ammobrand.com", true },
  { "amnesty-bf.org", true },
  { "amnesty.org.au", true },
  { "amnesy.fr", true },
  { "amobileway.co.uk", true },
  { "amoozesh98.com", true },
  { "amoozesh98.ir", true },
  { "amorgos-aegialis.com", true },
  { "amorgosrentandgo.gr", true },
  { "amorim.ca", true },
  { "amoryurgentcare.com", true },
  { "amosng.com", true },
  { "amoxil.cf", true },
  { "amper.kharkov.ua", true },
  { "amperaa.net", true },
  { "ampersandnbspsemicolon.com", true },
  { "ampgroep.nl", true },
  { "amphetamines.org", true },
  { "amphost.tk", true },
  { "amplead.com", true },
  { "ampleroads.com", true },
  { "ampproject.com", true },
  { "ampproject.org", true },
  { "amputated.tk", true },
  { "amrcaustin.com", true },
  { "amrcla.com", true },
  { "amrff.com", false },
  { "amruta.org", true },
  { "ams-web-qa.azurewebsites.net", true },
  { "ams.co.rs", true },
  { "amsel305nc.ddnss.de", true },
  { "amsfoodhk.com", true },
  { "amstelveentje.nl", true },
  { "amsterdamian.com", true },
  { "amt-taxfrance.com", true },
  { "amtsinfo.in", true },
  { "amuq.net", true },
  { "amuraimpianti.it", true },
  { "amusa.cl", true },
  { "amv.su", true },
  { "amvip9.com", true },
  { "amymabel.com", true },
  { "amyria.jp", true },
  { "amyyeung.com", true },
  { "amzmall.com", true },
  { "amzn.rocks", true },
  { "an7hrax.se", true },
  { "anabolickdieta.ga", true },
  { "anabolics.tk", true },
  { "anachristinarodriguez.com", true },
  { "anacreon.de", true },
  { "anadiyogacentre.com", true },
  { "anageorgia.com", true },
  { "anagramma.tk", true },
  { "anaiscoachpersonal.es", true },
  { "anaisfae.art", true },
  { "anakin.ca", true },
  { "analgesia.net", true },
  { "analisi-logica.it", true },
  { "analisilaica.it", true },
  { "analogist.net", true },
  { "analteengirls.net", true },
  { "analytics-shop.com", true },
  { "analyticsinmotion.com", true },
  { "analyticum.at", true },
  { "analyticum.com", true },
  { "analyticum.de", true },
  { "analyticum.eu", true },
  { "analyticum.net", true },
  { "anamelikian.com", true },
  { "anandchowdhary.com", true },
  { "anankecosmetics.com", true },
  { "ananswer.org", true },
  { "anantshri.info", true },
  { "ananyoo.com", true },
  { "anarchistischegroepnijmegen.nl", false },
  { "anarcho-copy.org", true },
  { "anarhija.tk", true },
  { "anarkhe.net", true },
  { "anasahr.be", true },
  { "anastasia-shamara.ru", true },
  { "anatoray.com", true },
  { "anayarealm.com", true },
  { "anblik.com", true },
  { "ance.lv", false },
  { "ancestramil.fr", true },
  { "anchev.net", true },
  { "anchorit.gov", true },
  { "anchovy.nz", false },
  { "anciennes-automobiles.fr", true },
  { "anciens.org", true },
  { "ancientnorth.com", true },
  { "ancientnorth.nl", true },
  { "ancolies-andre.com", false },
  { "anconaswine.com", true },
  { "and-stuff.nl", true },
  { "and.com", true },
  { "andalusierondreizen.nl", true },
  { "andariegocusco.com", true },
  { "andarpersassi.it", true },
  { "andel.info", false },
  { "anders.hamburg", true },
  { "andersonpowerservices.com", true },
  { "andersonshatch.com", true },
  { "andesnevadotours.com", true },
  { "andiplusben.com", true },
  { "anditi.com", true },
  { "andre-lategan.com", true },
  { "andre-otto.com", true },
  { "andrea-kiaora.de", true },
  { "andrea-m.me", true },
  { "andrea-wirthensohn.at", false },
  { "andreaassenti.it", true },
  { "andreaboero.it", true },
  { "andreadraghetti.it", true },
  { "andreagobetti.com", true },
  { "andreagourmet.it", true },
  { "andreamcnett.com", true },
  { "andreariccitraduzioni.it", true },
  { "andreas-kluge.eu", true },
  { "andreasfeusi.ch", true },
  { "andreasjanker.de", true },
  { "andreaskrasa.com", true },
  { "andreaslicht.nl", true },
  { "andreasolsson.se", true },
  { "andree.cloud", true },
  { "andrehansen.de", true },
  { "andrehazeswinactie.nl", true },
  { "andrei-nakov.org", true },
  { "andreina-atencio.com", true },
  { "andrelauzier.com", true },
  { "andreoliveira.io", true },
  { "andrespaz.com", true },
  { "andresrios.nl", true },
  { "andreundnina.de", true },
  { "andrew.fi", true },
  { "andrew.london", true },
  { "andrewbdesign.com", false },
  { "andrewbennett.ltd", true },
  { "andrewdaws.io", true },
  { "andrewensley.com", true },
  { "andrewimeson.com", true },
  { "andrewin.ru", true },
  { "andrewisidoro.co.uk", true },
  { "andrewjphotography.com", true },
  { "andrewlarson.org", true },
  { "andrewmichaud.com", true },
  { "andrewmichaud.me", true },
  { "andrewpeng.net", true },
  { "andrewprokos.com", true },
  { "andrewpucci.com", true },
  { "andrewrgoss.com", true },
  { "andrewryno.com", true },
  { "andrewsun.com", true },
  { "andrewtasso.com", true },
  { "andrewtchin.com", true },
  { "andrewwiggins.ca", true },
  { "andrey.red", true },
  { "andrey1p.ru", true },
  { "andreyjuravlev.ga", true },
  { "andreypopp.com", true },
  { "andreysmirnov.tk", true },
  { "andrianova.ml", true },
  { "andrisilberschmidt.ch", true },
  { "andro2id.com", true },
  { "andro4all.com", true },
  { "android.re", true },
  { "androide.com", true },
  { "androidhry.cz", true },
  { "androidkatalog.cz", true },
  { "androidnovinky.cz", true },
  { "androidservicetool.com", true },
  { "androidsis.com", true },
  { "androidtamer.com", true },
  { "androidtcpdump.com", true },
  { "androidtelefony.cz", true },
  { "androidzone.me", true },
  { "andromeda.se", true },
  { "andromedacenter.com", true },
  { "androticsdirect.com", true },
  { "androtix.com", true },
  { "andruvision.cz", true },
  { "andsat.org", true },
  { "andschwa.com", false },
  { "anduril.de", true },
  { "anduril.eu", true },
  { "andybrett.com", true },
  { "andyc.cc", true },
  { "andycrockett.io", true },
  { "andys-place.co.uk", true },
  { "andyson.at", true },
  { "andysroom.dynu.net", true },
  { "andyt.eu", true },
  { "andzia.art.pl", true },
  { "anedot-sandbox.com", true },
  { "anedot.com", true },
  { "anedot.space", true },
  { "anedot.xyz", true },
  { "aneebahmed.com", true },
  { "anekdot-pr.tk", true },
  { "anepsa.com.mx", true },
  { "aneslix.com", false },
  { "anetaben.nl", true },
  { "anewbite.com", true },
  { "anextraordinaryday.net", true },
  { "angehardy.com", true },
  { "angelcorpus.tk", true },
  { "angelesydemonios.es", true },
  { "angeletakis.net", true },
  { "angelicare.co.uk", true },
  { "angelikasolorzano.cloud", true },
  { "angelinahair.com", true },
  { "angeljmadrid.com", true },
  { "angeloanan.xyz", true },
  { "angelok.ru", true },
  { "angelremigene.com", false },
  { "angelspabeauty.co.uk", true },
  { "angepsychedelices.tk", true },
  { "angiejones.com", true },
  { "angiewickes.com", true },
  { "anginf.de", true },
  { "angkasa.net.id", true },
  { "anglersconservation.net", true },
  { "anglictina-sojcak.cz", true },
  { "anglictinasojcak.cz", true },
  { "anglingactive.co.uk", true },
  { "anglirl.eu.org", true },
  { "angora.me", true },
  { "angrido.com", true },
  { "angristan.fr", true },
  { "angristan.xyz", true },
  { "angrysnarl.com", true },
  { "angryteeth.net", true },
  { "angular-software.at", true },
  { "angularjs.org", false },
  { "angusmak.com", true },
  { "anhaffen.lu", true },
  { "anhqv.es", true },
  { "ani-man.de", true },
  { "anicam.fr", true },
  { "animaemundi.be", false },
  { "animal-liberation.com", true },
  { "animal-rights.com", true },
  { "animalconnect.org.za", true },
  { "animalistic.io", true },
  { "animalliberation.tk", true },
  { "animaltesting.fr", true },
  { "animalz.tk", true },
  { "anime-culture.com", true },
  { "anime-rg.com", true },
  { "anime-tip.com", true },
  { "anime.my", false },
  { "anime1.me", true },
  { "anime1.moe", true },
  { "anime1.pw", true },
  { "animeai.com", true },
  { "animebits.moe", true },
  { "animeclub.in.ua", true },
  { "animecracks.com", true },
  { "animedon.tk", true },
  { "animefire.net", true },
  { "animefluxxx.com", true },
  { "animehf.com", true },
  { "animeinsights.net", true },
  { "animem.es", true },
  { "animemotivation.com", true },
  { "animeone.me", true },
  { "animes-portal.info", true },
  { "animesharp.com", true },
  { "animetriad.com", true },
  { "animojis.es", true },
  { "animorphsfanforum.com", true },
  { "anipassion.com", false },
  { "anirvalle.com", true },
  { "anitaalbersen.nl", true },
  { "anitaxcph.dk", true },
  { "anivar.net", true },
  { "aniviasport.store", true },
  { "aniwhen.com", true },
  { "anjara.eu", true },
  { "anjocerdena.com", true },
  { "anjoola.com", true },
  { "ankane.org", true },
  { "ankaraevdenevenakliyat.name.tr", true },
  { "ankarakart.com.tr", true },
  { "ankaraotokiralama.tk", true },
  { "ankaraprofesyonelwebtasarim.com", true },
  { "ankaraseo.name.tr", true },
  { "ankarauzmanlarnakliyat.com", true },
  { "ankitha.in", true },
  { "ankitpati.in", true },
  { "ankiuser.net", true },
  { "ankiweb.net", true },
  { "ankya9.com", true },
  { "anleitung-deutsch-lernen.de", true },
  { "anleitung-zum-flechten.de", true },
  { "anleitung-zum-haekeln.de", true },
  { "anleitung-zum-schreiben.de", true },
  { "anleitung-zum-schweissen.de", true },
  { "anleitung-zum-toepfern.de", true },
  { "anna.info", true },
  { "annabelcinemas.com", true },
  { "annaenemma.nl", true },
  { "annafiore.com.br", true },
  { "annalitvinova.pro", true },
  { "annangela.moe", true },
  { "annarokina.com", true },
  { "annawagner.pl", true },
  { "annawang.com.au", true },
  { "annedaniels.co.uk", true },
  { "anneeden.de", true },
  { "annejan.com", true },
  { "anneliesonline.nl", true },
  { "annema.biz", true },
  { "annemakeslovelycandles.co.uk", true },
  { "annetta.com", true },
  { "annettewindlin.ch", true },
  { "annevankesteren.nl", true },
  { "annexorien.com", true },
  { "anney-life.com", true },
  { "anniversary-cruise.com", true },
  { "annmariewaltsphotography.com", true },
  { "annonasoftware.com", true },
  { "annoyingasfuk.com", true },
  { "anns.eu", true },
  { "annuaire-auto-ecole.com", true },
  { "annuaire-jcb.com", true },
  { "annuaire-photographe.fr", false },
  { "annunciationbvmchurch.org", true },
  { "anodas.lt", true },
  { "anohana.org", true },
  { "anojan.com", true },
  { "anon-next.de", true },
  { "anonaddy.com", true },
  { "anonaddy.me", true },
  { "anoncom.net", true },
  { "anoncrypto.org", true },
  { "anoneko.com", true },
  { "anongoth.pl", true },
  { "anons.fr", false },
  { "anonser.tk", true },
  { "anonym-surfen.de", true },
  { "anonym-surfen.online", true },
  { "anonyme-spieler.at", true },
  { "anonymster.com", true },
  { "anora.ai", true },
  { "anoracdn.net", true },
  { "anoretics.com", true },
  { "anotherfatgeek.net", true },
  { "anothervps.com", true },
  { "anouncer.ga", true },
  { "anowicki.pl", true },
  { "anquankongjian.com", true },
  { "ans-delft.nl", true },
  { "ans-ge.ch", false },
  { "ansas.eu", true },
  { "ansas.net", true },
  { "ansdell.net", true },
  { "ansermet.net", false },
  { "ansgar-sonntag.de", true },
  { "ansgarsonntag.de", true },
  { "anshar.eu", true },
  { "ansibeast.net", true },
  { "ansichtssache.at", true },
  { "ansogning-sg.dk", true },
  { "anstaskforce.gov", true },
  { "antabuse.ga", true },
  { "antalyaescortyaren.tk", true },
  { "antama.eu", true },
  { "antama.nl", true },
  { "antanavagefarbiarz.com", true },
  { "antani.cloud", true },
  { "antarcti.co", true },
  { "antarees.net", true },
  { "antaresmedia.com.py", true },
  { "antcas.com", false },
  { "antennajunkies.com", true },
  { "antennista.bari.it", true },
  { "antennista.catania.it", true },
  { "antennista.it", true },
  { "antennista.milano.it", true },
  { "antennista.pavia.it", true },
  { "antennista.roma.it", true },
  { "antennista.tv", true },
  { "antennistaroma.it", true },
  { "antennisti.milano.it", true },
  { "antennisti.roma.it", true },
  { "antfarm.cf", true },
  { "antfie.com", true },
  { "antha.com", true },
  { "anthisis.tv", true },
  { "anthony.codes", true },
  { "anthonychampagne.fr", true },
  { "anthonychampagne.me", true },
  { "anthonyellis.com", true },
  { "anthonyfontanez.com", true },
  { "anthonygaidot.fr", true },
  { "anthonyloop.com", true },
  { "anthonyvadala.me", true },
  { "anthropoid.ca", true },
  { "anti-bible.com", true },
  { "anti-nsa.tk", true },
  { "anti-radar.org", true },
  { "antiaz.com", true },
  { "anticopyright.com", true },
  { "antiekboerderijgraafland.nl", true },
  { "antifilter.network", true },
  { "antihistory.cf", true },
  { "antihype.space", true },
  { "antik-trodelmarkt.de", true },
  { "antikvariat.ru", true },
  { "antikvarius.ro", true },
  { "antilaserpriority.com", true },
  { "antimine.me", true },
  { "antincendio.it", true },
  { "antincendio.roma.it", true },
  { "antipolygraph.org", true },
  { "antique-pedalcars.ch", true },
  { "antirepressionbayarea.com", true },
  { "antispamcloud.dk", true },
  { "antispeciesism.com", true },
  { "antispeciesist.com", true },
  { "antivirusprotection.reviews", true },
  { "antizon.net", true },
  { "antocom.com", true },
  { "antoinedeschenes.com", true },
  { "antoineelizabe.com", true },
  { "antoinemary.com", true },
  { "antonchen.com", true },
  { "antonimos.com.br", true },
  { "antonin.one", true },
  { "antonio-gartenbau.de", true },
  { "antonjuulnaber.dk", true },
  { "antonoff.tk", true },
  { "antonok.com", true },
  { "antota.lt", true },
  { "antragsgruen.de", true },
  { "antroposboutique.it", true },
  { "antroposofica.com.br", true },
  { "antvklik.com", true },
  { "antyblokada.pl", true },
  { "antyfake.pl", true },
  { "anulowano.pl", true },
  { "anunturitv.ro", true },
  { "anvartay.com", false },
  { "anvorte.com", false },
  { "anwalt.us", true },
  { "anwaltsindex.com", true },
  { "anxietyspace.com", true },
  { "anxiolytics.com", true },
  { "any-download.cf", true },
  { "any-download.ga", true },
  { "any-download.gq", true },
  { "any-download.ml", true },
  { "anyad.at", true },
  { "anyi.in", true },
  { "anyilin.cn", true },
  { "anymetrix.io", true },
  { "anyon.com", true },
  { "anypeer.net", true },
  { "anyquestions.govt.nz", true },
  { "anystack.xyz", true },
  { "anyways.at", true },
  { "anzacparkeast.com", true },
  { "anzeiger.ag", true },
  { "ao-dev.com", true },
  { "ao2.it", true },
  { "aoa.gov", true },
  { "aoadatacommunity.us", true },
  { "aod-tech.com", true },
  { "aoe9.com", true },
  { "aoeuaoeu.com", true },
  { "aofusa.net", true },
  { "aoil.gr", true },
  { "aokae.com", true },
  { "aopedeure.nl", true },
  { "aopsy.de", true },
  { "aori.com", true },
  { "aorosora.com", true },
  { "aosc.io", false },
  { "aostacarnavals.it", true },
  { "aotearoa.maori.nz", true },
  { "aotearoafreepress.com", true },
  { "aotearoaleaks.org", true },
  { "aoyamacc.co.jp", true },
  { "ap-swiss.ch", false },
  { "apa-canal.ro", true },
  { "apache-portal.com", true },
  { "apachehaus.de", false },
  { "apachelounge.com", true },
  { "apachezone.com", true },
  { "apadmi.com", true },
  { "apadvantage.com", true },
  { "apalancamiento.trade", true },
  { "apart-hotel-weimar.de", true },
  { "apartmanicg.me", true },
  { "apartment-in-rijeka.com", true },
  { "apartmentregister.com.au", true },
  { "apasaja.tech", true },
  { "apbank.ch", true },
  { "apbox.de", true },
  { "apc.ec", true },
  { "apcemporium.co.uk", true },
  { "apdfawl.com", true },
  { "apdx.com", true },
  { "apef.ch", false },
  { "apercloud.es", true },
  { "apertis.org", false },
  { "aperture-science.net", true },
  { "apertureimaging.com", true },
  { "aperturelabs.tk", true },
  { "aperturesciencelabs.de", true },
  { "apervita.net", true },
  { "apex.to", true },
  { "apexfacades.com.au", true },
  { "apexitsolutions.ca", true },
  { "apgw.jp", true },
  { "aphelion-design.jp", true },
  { "aphelionentertainment.com", true },
  { "aphelis.net", true },
  { "api-connect.com", false },
  { "api.biz.tr", true },
  { "api.cloudflare.com", false },
  { "api.intercom.io", true },
  { "api.lookout.com", false },
  { "api.recurly.com", true },
  { "api.simple.com", false },
  { "api.xero.com", false },
  { "apicruz.com", true },
  { "apila.care", true },
  { "apimon.de", true },
  { "apination.com", true },
  { "apio.systems", true },
  { "apiplus.fr", true },
  { "apirest.top", true },
  { "apis.google.com", true },
  { "apisvida.com.br", true },
  { "apisyouwonthate.com", true },
  { "apitodemestre.com.br", true },
  { "apk.li", true },
  { "apk4fun.com", true },
  { "apkclash.com", true },
  { "apkpokemongo.gq", true },
  { "aplazame.com", true },
  { "aplikaceproandroid.cz", true },
  { "aplpackaging.co.uk", true },
  { "aplu.fr", true },
  { "aplus-usa.net", true },
  { "aplusdownload.com", true },
  { "apluswaterservices.com", true },
  { "apm.com.tw", true },
  { "apmg-certified.com", true },
  { "apn-dz.org", true },
  { "apn-einstellungen.de", true },
  { "apobot.de", true },
  { "apocalypseboard.tk", true },
  { "apocalypsemud.org", true },
  { "apod.com.au", true },
  { "apod.ml", true },
  { "apogeephoto.com", true },
  { "apollo-auto.com", true },
  { "apoly.de", true },
  { "apometria.site", true },
  { "aponkral.com", true },
  { "aponkral.com.tr", true },
  { "aponkral.net", true },
  { "aponkral.org", true },
  { "aporia.io", true },
  { "aposke.com", true },
  { "aposke.net", true },
  { "aposke.org", true },
  { "apostalegal.com", true },
  { "apostalegal.pt", true },
  { "apothecarydouglasville.com", true },
  { "apotheek-ict.nl", true },
  { "apotheke55.de", true },
  { "apothes.is", true },
  { "app-2132.com", true },
  { "app-2138.com", true },
  { "app-6132.com", true },
  { "app-at.work", true },
  { "app-scope.com", true },
  { "app.lookout.com", true },
  { "app.recurly.com", true },
  { "app.simpletax.ca", true },
  { "app.yinxiang.com", false },
  { "app2132.com", true },
  { "app2138.com", true },
  { "app2get.de", true },
  { "app33138.com", true },
  { "app5132.com", true },
  { "app5414.com", true },
  { "app5424.com", true },
  { "app5454.com", true },
  { "app6132.com", true },
  { "app666365.com", true },
  { "app6810.com", true },
  { "app7337.com", true },
  { "appagility.co.nz", true },
  { "appapi.link", true },
  { "apparelfashionwiki.com", true },
  { "appartement-andrea.at", true },
  { "appartement-evolene.net", false },
  { "appartementhaus-badria.de", true },
  { "appartementmarsum.nl", true },
  { "appassionata.ru", true },
  { "appbet43.com", true },
  { "appbydl.com", true },
  { "appcuarium.com", true },
  { "appelaprojets.fr", true },
  { "appelboomdefilm.nl", true },
  { "appengine.google.com", true },
  { "appers.co", true },
  { "appfarm.io", true },
  { "appgeek.com.br", true },
  { "appharbor.com", true },
  { "appify.org", true },
  { "appizia.com", true },
  { "applaudit.com", true },
  { "applegun.com", true },
  { "applemon.com", true },
  { "appleoosa.com", true },
  { "applesencia.com", true },
  { "appletree.is", true },
  { "applian.jp", true },
  { "appliancepronwi.com", true },
  { "application-travel.us.com", true },
  { "applicationmanager.gov", true },
  { "applied-privacy.net", true },
  { "apply-esta.us.com", true },
  { "apply-eta.org", true },
  { "apply-visa.us.com", true },
  { "apply.eu", true },
  { "appmeas.co.uk", true },
  { "appmobi.com", true },
  { "appmobile.io", true },
  { "appninjas.com", true },
  { "apponic.com", true },
  { "appraf.com", true },
  { "apprank.in", true },
  { "apprendre-le-russe-avec-ania.fr", true },
  { "apprenticeship.gov", true },
  { "apprenticeships.gov", true },
  { "approbo.com", true },
  { "approval-workflow.com", true },
  { "approvedtreecare.com", true },
  { "apps.co", true },
  { "apps.facebook.com", false },
  { "apps.fedoraproject.org", true },
  { "apps.stg.fedoraproject.org", true },
  { "apps4inter.net", false },
  { "appsaraby.com", true },
  { "appscloudplus.com", true },
  { "appsdisosa.com", true },
  { "appseccalifornia.org", false },
  { "appsforlondon.com", true },
  { "appt.ch", false },
  { "apptesters.com", true },
  { "appuals.com", true },
  { "appub.co.jp", true },
  { "appui-de-fenetre.fr", true },
  { "appveyor.com", true },
  { "appworld.ga", true },
  { "appzoojoo.be", true },
  { "apretatuercas.es", true },
  { "aprikaner.de", true },
  { "aprogend.com.br", true },
  { "aproposcomputing.com", true },
  { "aprovpn.com", true },
  { "aprr.org", true },
  { "aprsdroid.org", true },
  { "aprz.de", true },
  { "apsa.paris", true },
  { "apsscientific.com", true },
  { "apstudynotes.org", true },
  { "apswater.com", true },
  { "aptekakolska.pl", true },
  { "aptitude9.com", true },
  { "aptitudetests.org", true },
  { "aptumseguros.mx", true },
  { "apu-board.de", true },
  { "apunkt.dk", true },
  { "apustaja.org", true },
  { "apuyou.io", true },
  { "apv-ollon.ch", true },
  { "apviz.io", true },
  { "apwide.com", true },
  { "apyha.com", true },
  { "aqarategypt.com", true },
  { "aqsiq.net", true },
  { "aqua-bucht.de", true },
  { "aqua-ferra.co.uk", true },
  { "aqua-fitness-nacht.de", true },
  { "aqua-fotowelt.de", true },
  { "aquabio.ch", false },
  { "aquabyte.co.uk", true },
  { "aquadecor.cf", true },
  { "aquadonis.ch", false },
  { "aquagarden.com.pl", true },
  { "aquahomo.com", true },
  { "aquaist.com", true },
  { "aqualife.com.gr", true },
  { "aqualifeprojects.com", true },
  { "aqualysis.nl", true },
  { "aquamarin.icu", true },
  { "aquapoint.kiev.ua", true },
  { "aquarden.com", true },
  { "aquarden.dk", true },
  { "aquariu.ms", true },
  { "aquarium-supplement.net", true },
  { "aquaselect.eu", true },
  { "aquasun.pl", true },
  { "aquaterm72.ru", true },
  { "aquaundine.net", true },
  { "aquavitaedayspa.com.au", true },
  { "aquila.co.uk", true },
  { "aquitainebrasserie.com.au", true },
  { "ar-informatique.ch", false },
  { "arab.dating", true },
  { "arabic-shirts.com", true },
  { "arablovepet.com", true },
  { "arabsexi.info", true },
  { "arachina.com", true },
  { "arackiralama.name.tr", true },
  { "aracusbienestar.com", true },
  { "arados.de", true },
  { "aragon.fun", true },
  { "arai21.net", true },
  { "aral.ml", true },
  { "araleeniken.com", true },
  { "aramido.de", true },
  { "aramloebmd.com", true },
  { "aranchhomes.com", true },
  { "aranycsillag.net", true },
  { "araratour.com", true },
  { "araro.ch", false },
  { "ararrl.com", true },
  { "ararrl.net", true },
  { "araseifudousan.com", true },
  { "araxis.com", true },
  { "arbavere.ee", true },
  { "arbeitsch.eu", true },
  { "arbeitskreis-asyl-eningen.de", true },
  { "arbeitslosenverwaltung.de", true },
  { "arbejdsdag.dk", true },
  { "arbitrarion.com", true },
  { "arbitrary.ch", true },
  { "arboleda-hurtado.com", true },
  { "arcadeencasa.com", true },
  { "arcadio.fr", true },
  { "arcaik.net", true },
  { "arcanist.games", true },
  { "arcbouncycastles.co.uk", true },
  { "arcenergy.co.uk", true },
  { "archaeoadventures.com", true },
  { "archambault.paris", true },
  { "archauthority.com", true },
  { "archbishop.ga", true },
  { "archeologicatoscana.it", true },
  { "archeryaid.com", true },
  { "archframe.net", true },
  { "archimedicx.com", true },
  { "archina.ir", true },
  { "archined.nl", true },
  { "archit.in", true },
  { "architectryan.com", true },
  { "architecture-colleges.com", true },
  { "architectureandgovernance.com", true },
  { "architecturequote.com", true },
  { "architectus.ga", true },
  { "archival-services.gov.ge", true },
  { "archive.gov.ge", true },
  { "archivero.es", true },
  { "archivesdelavieordinaire.ch", true },
  { "archivium.biz", true },
  { "archivosmercury.com", true },
  { "archivosstl.com", true },
  { "archiweb.pl", false },
  { "archlinux.de", true },
  { "archlinux.org", true },
  { "arcinapoli.it", true },
  { "arcismant.com.br", true },
  { "arclandholdings.com.au", true },
  { "arco.lu", true },
  { "arcobalabs.ca", true },
  { "arcogb.co", true },
  { "arcovix.com", true },
  { "arcridge.ca", true },
  { "arctic.gov", true },
  { "arctica.io", true },
  { "arcticbit.net", true },
  { "arcticwolf.com", true },
  { "arctus-security.com", true },
  { "arcueil-cachan.fr", false },
  { "arcusnova.de", true },
  { "ardadanal.com", true },
  { "ardor.noip.me", true },
  { "ardtrade.ru", true },
  { "area.ge", true },
  { "area4pro.com", true },
  { "areacinquentaeum.tk", true },
  { "areaclienti.net", false },
  { "areafiftylan.nl", true },
  { "areatrend.com", true },
  { "areavipbrasil.com.br", true },
  { "areis.pt", true },
  { "arekatieandchrisgettingmarried.com", true },
  { "arekatieandchrisgettingmarried.today", true },
  { "arekatieandchrismarriedyet.com", true },
  { "arena-lemgo.de", true },
  { "arenda247.by", true },
  { "arendburgers.nl", true },
  { "arenlor.com", true },
  { "arenlor.info", true },
  { "arenns.com", true },
  { "areqgaming.com", true },
  { "ares-trading.de", true },
  { "aresanel.com", true },
  { "arethsu.se", true },
  { "arex-corp.com", true },
  { "arfad.ch", false },
  { "arganaderm.ch", false },
  { "argb.de", true },
  { "argecord.com", true },
  { "argekultur.at", true },
  { "argonium.com.au", true },
  { "argot.com", true },
  { "argovpay.com", true },
  { "argrafiche.it", true },
  { "argumentative-essay.gq", true },
  { "argyrakis.gr", true },
  { "arheh.com", true },
  { "arhitekti.hr", true },
  { "ariacreations.net", true },
  { "ariadermspa.com", true },
  { "arian.io", true },
  { "arias.re", true },
  { "ariba.info", true },
  { "aridhia.com", true },
  { "ariege-pyrenees.net", true },
  { "arielpereira.tk", true },
  { "arieswdd.com", true },
  { "arigato-java.download", true },
  { "arijitdg.net", true },
  { "arikar.eu", true },
  { "arilto.com", true },
  { "arima.co.ke", true },
  { "arinde.ee", true },
  { "arionta.com", true },
  { "arise19.com", true },
  { "arisechurch.com", true },
  { "ariseconference.org.nz", true },
  { "aristocrates.co", true },
  { "aritec-la.com", true },
  { "arithmetic.ga", true },
  { "arivo.com.br", true },
  { "ariyaoil.ir", true },
  { "arjan.nl", true },
  { "arjandejong.eu", true },
  { "arjanenthijs.nl", true },
  { "arjansteevels.nl", true },
  { "arjanvaartjes.net", true },
  { "arjunasdaughter.pub", true },
  { "arjweb.co.uk", true },
  { "arkacrao.org", true },
  { "arkadelphia.gov", false },
  { "arkadiyt.com", true },
  { "arkantos.agency", true },
  { "arkenco.cl", true },
  { "arkhvoid.xyz", true },
  { "arktalentsolutions.com.mx", true },
  { "arkulagunak.com", false },
  { "arlaperu.com", true },
  { "arlen.tv", true },
  { "arlenarmageddon.com", true },
  { "arletalibrary.com", true },
  { "arlingtonelectric.com", true },
  { "arlingtonwine.net", true },
  { "arm-host.com", true },
  { "arm.gov", true },
  { "armadale.wa.gov.au", true },
  { "armadaquadrat.com", true },
  { "armageddonstuff.com", true },
  { "armandsdiscount.com", true },
  { "armanozak.com", true },
  { "armansfinejewellery.com", true },
  { "armansfinejewellery.com.au", true },
  { "armarinhovirtual.com.br", true },
  { "armbrust.me", true },
  { "armcar.ga", true },
  { "armedpoet.com", true },
  { "armeniaweb.tk", true },
  { "armensc.com", true },
  { "armil.it", true },
  { "armin-cme.de", true },
  { "arminpech.de", true },
  { "arminsure.com", true },
  { "armor.ai", true },
  { "armpads.nl", true },
  { "armstrongsengineering.com", true },
  { "armtopnews.tk", true },
  { "army24.cz", true },
  { "armyprodej.cz", true },
  { "arnaudardans.com", true },
  { "arnaudb.net", true },
  { "arnaudfeld.de", true },
  { "arnaudlanna.com", true },
  { "arnesegers.be", true },
  { "arnevankauter.com", true },
  { "arniescastles.co.uk", true },
  { "arno-klein.com", true },
  { "arno-klein.de", true },
  { "arno-klein.eu", true },
  { "arno-klein.fr", true },
  { "arno-klein.it", true },
  { "arno-klein.net", true },
  { "arnoklein.eu", true },
  { "arnoklein.fr", true },
  { "arnoklein.it", true },
  { "arnoldkontz-occasions.lu", false },
  { "arnonerba.com", true },
  { "arnor.org", true },
  { "arnoudraeven.nl", true },
  { "arnoudvandalen.nl", true },
  { "arnove.fr", true },
  { "arnove.net", true },
  { "arnsmedia.nl", false },
  { "arod.tk", true },
  { "arogov.com", true },
  { "arokha.com", true },
  { "aromacos.ch", true },
  { "aron.host", true },
  { "aroonchande.com", false },
  { "arooshi.website", true },
  { "aros.pl", true },
  { "arose.io", true },
  { "around-cms.de", true },
  { "arox.eu", true },
  { "arpatutorial.com", true },
  { "arpnet.co.jp", true },
  { "arqueo-ecuatoriana.ec", true },
  { "arquitet.com.br", true },
  { "arquitetura.pt", true },
  { "arrakis.se", true },
  { "arraudi.eu", true },
  { "arrazane.com.br", true },
  { "arresttracker.com", true },
  { "arrive.by", true },
  { "arrmaforum.com", true },
  { "arroba.digital", true },
  { "arrow-analytics.nl", true },
  { "arrow-api.nl", true },
  { "arrowfastener.com", true },
  { "arrowheadaddict.com", true },
  { "arrowwebprojects.nl", true },
  { "ars-online.pl", true },
  { "arschkrebs.org", true },
  { "arsindecor.com", true },
  { "arslankaynakmetal.com", true },
  { "arsplus.ru", false },
  { "arswb.men", true },
  { "art-auction.jp", true },
  { "art-dolls.com.ua", true },
  { "art-et-culture.ch", false },
  { "art-et-tonneaux.fr", true },
  { "art-news.tk", true },
  { "art-pix.com", true },
  { "art-pix.de", true },
  { "art-pix.net", true },
  { "art-shinbi.com", true },
  { "artacadia.org", true },
  { "artboja.com", true },
  { "artc.at", true },
  { "artcar24.ru", true },
  { "arteaga.co.uk", true },
  { "arteaga.eu", true },
  { "arteaga.me", true },
  { "arteaga.tech", true },
  { "arteaga.uk", true },
  { "arteaga.xyz", true },
  { "artebel.com.br", true },
  { "artecat.ch", true },
  { "artedellavetrina.it", true },
  { "artedona.com", true },
  { "artefakt.es", true },
  { "artefeita.com.br", true },
  { "arteinstudio.it", true },
  { "artelt.com", true },
  { "artemis.re", true },
  { "artera.spb.ru", true },
  { "arterienundvenen.ch", true },
  { "arterydb.ru", true },
  { "artesacraloreto.it", true },
  { "arteseideias.com.pt", true },
  { "arteshow.ch", false },
  { "artfabrics.com", true },
  { "artforum.sk", true },
  { "artfullyelegant.com", true },
  { "arthan.me", true },
  { "arthermitage.org", true },
  { "arthritisrheumaticdiseases.com", true },
  { "arthurdejong.org", true },
  { "arthurlaw.ca", true },
  { "arthuryidi.com", true },
  { "arti-islam.tk", true },
  { "articu.no", true },
  { "artifact.spb.ru", true },
  { "artifexnet.com", true },
  { "artificialgrassandlandscaping.com", true },
  { "artificialplants.tk", true },
  { "artigianociao.jp", true },
  { "artigoos.com", true },
  { "artikel9.com", true },
  { "artimpact.ch", true },
  { "artioml.net", true },
  { "artionet.ch", true },
  { "artis-game.net", true },
  { "artisan-cheminees-poeles-design.fr", false },
  { "artisan-emmanuel.fr", true },
  { "artisansoftaste.com", true },
  { "artistagenda.com", true },
  { "artistcorporation.com", true },
  { "artistedeparis.fr", true },
  { "artistrunwebsite.com", true },
  { "artitbe.net", true },
  { "artiwear.com.tw", true },
  { "artj.jp", true },
  { "artlabdentistry.com", true },
  { "artlantis.nl", true },
  { "artleading.ru", true },
  { "artlifeisgood.com", true },
  { "artlogo.biz", true },
  { "artlogo.cz", true },
  { "artlogo.sk", true },
  { "artmarketingnews.com", true },
  { "artmoney.com", true },
  { "artofcode.co.uk", true },
  { "artofhappyliving.com", true },
  { "artofmonitoring.com", false },
  { "artofwhere.com", true },
  { "artozoul.fr", true },
  { "artplasticsurgeons.com", true },
  { "artrapid.com", true },
  { "artratio.net", true },
  { "artroot.jp", true },
  { "artroscopiaperlosport.it", true },
  { "arts.gov", true },
  { "artsacademics.org", true },
  { "artschmidtoptical.com", true },
  { "artsmarket.ca", true },
  { "artspac.es", true },
  { "arttel-media.ru", true },
  { "arturli.be", true },
  { "arturopinto.com.mx", true },
  { "arturszalak.com", true },
  { "artweby.cz", true },
  { "artworxbathrooms.com.au", true },
  { "arty.name", true },
  { "artycoz.fr", true },
  { "artyengine.com", true },
  { "arubasunsetbeach.com", true },
  { "arufu.dk", true },
  { "arunjoshua.com", true },
  { "arveron.ch", false },
  { "arvid.io", true },
  { "arvindhariharan.com", true },
  { "arvindhariharan.me", true },
  { "arvutiladu.ee", true },
  { "arweth.com", true },
  { "arx-libertatis.org", true },
  { "arx.vg", true },
  { "arx8x.net", true },
  { "arxell.com", true },
  { "aryalaroca.de", true },
  { "aryan-nation.com", true },
  { "aryasenna.net", true },
  { "arzid.com", true },
  { "arzinfo.pw", true },
  { "as200753.com", true },
  { "as200753.net", true },
  { "as44222.net", true },
  { "as5158.com", true },
  { "as8423.net", true },
  { "asaabforever.com", true },
  { "asabacortoscaseros.tk", true },
  { "asadatec.de", true },
  { "asafaweb.com", true },
  { "asafilm.co", true },
  { "asakoh.co.jp", true },
  { "asana.com", true },
  { "asananutrition.co.uk", true },
  { "asandu.eu", true },
  { "asanger.biz", true },
  { "asaphomeinspect.com", true },
  { "asart.bg", true },
  { "asato-jewelry.com", true },
  { "asbestosthedarkarts.com", true },
  { "asbito.de", true },
  { "ascension.run", true },
  { "ascent360.com", true },
  { "ascgathering.com", true },
  { "aschismatic.com", true },
  { "asciitable.tips", true },
  { "asciiwwdc.com", true },
  { "asdchieti.tk", true },
  { "asdwfwqd.com", true },
  { "asdyx.de", true },
  { "asegem.es", true },
  { "asenno.com", true },
  { "asesoriaglobalenseguros.com.mx", true },
  { "aseth.de", true },
  { "asexualitat.cat", true },
  { "asfaleianet.gr", true },
  { "asgapps.co.za", true },
  { "asgrd.org", true },
  { "ashenm.ml", true },
  { "ashessin.com", true },
  { "ashlarimoveis.com.br", true },
  { "ashley.net.in", true },
  { "ashleyedisonuk.com", true },
  { "ashleykaryl.com", true },
  { "ashleymadison.com", true },
  { "ashleythouret.com", true },
  { "ashlocklawgroup.com", true },
  { "ashmportfolio.com", true },
  { "ashmyra.com", true },
  { "ashridgetrees.co.uk", true },
  { "ashtonbromleyceramics.co.uk", true },
  { "ashtonc.ca", true },
  { "ashtonwealth.com", true },
  { "ashutoshmishra.org", true },
  { "asia-gazette.com", true },
  { "asia.dating", true },
  { "asiaflash.com", true },
  { "asiaheavens.com", true },
  { "asialeonding.at", true },
  { "asian-industry.eu", true },
  { "asianspa.co.uk", true },
  { "asianwebcams.webcam", true },
  { "asiasmi.tk", true },
  { "asiba.com.au", true },
  { "asiinc-tex.com", true },
  { "asile-colis.fr", true },
  { "asilo.roma.it", true },
  { "asinetasima.com", true },
  { "ask1.org", true },
  { "askcaisse.com", true },
  { "askcascade.com", true },
  { "asker-massasje.no", true },
  { "askeustache.com", true },
  { "askexpert.in", true },
  { "askizzy.org.au", true },
  { "askkaren.gov", true },
  { "askme-events.vip", false },
  { "askvg.com", true },
  { "askwhy.cz", true },
  { "askwhy.eu", true },
  { "asmanyasgiven.com", true },
  { "asmbsurvey.com", true },
  { "asmdz.com", true },
  { "asmeets.nl", true },
  { "asmood.net", true },
  { "asmrbuluo.com", true },
  { "asnhgh.biz", true },
  { "asokan.org", true },
  { "asp.net", true },
  { "aspargesgaarden.no", true },
  { "aspcl.ch", true },
  { "aspectuw.com.au", true },
  { "asperger-ag.ch", true },
  { "asperti.com", true },
  { "aspformacion.com", true },
  { "aspiescentral.com", true },
  { "aspiradorasbaratas.net", true },
  { "aspirantum.com", true },
  { "aspirateur-anti-pollution.fr", true },
  { "aspires.co.jp", true },
  { "aspireuniversal.com", true },
  { "aspirevc-prod.com", true },
  { "aspirevc.com", true },
  { "aspisdata.com", true },
  { "asprion.org", true },
  { "asproni.it", true },
  { "asps.biz", true },
  { "asr.cloud", true },
  { "asr.li", true },
  { "asr.rocks", true },
  { "asr.solar", true },
  { "asr9k.de", true },
  { "asra.gr", true },
  { "asryflorist.com", true },
  { "assaabloygaragedoors.ca", true },
  { "asseenfromthesidecar.org", true },
  { "assemblage.gq", true },
  { "assemble-together.org", true },
  { "assemblytechnicianjobs.com", true },
  { "assemblywithoutthewalls.org", true },
  { "assempsaibiza.com", true },
  { "assertion.de", true },
  { "assessoriati.com.br", true },
  { "assetsman-assetsvalue.com", true },
  { "assguidesporrentruy.ch", false },
  { "assign-it.co.uk", true },
  { "assignacii.ml", true },
  { "assis.partners", true },
  { "assistel.com", true },
  { "assistenciamultitec.com.br", true },
  { "associatedwomenshealthcare.com", true },
  { "associationhorizon.tk", true },
  { "associazionelbn.it", false },
  { "assodigitale.it", true },
  { "asspinter.me", true },
  { "assumptionpj.org", true },
  { "assuredspc.com", true },
  { "astal.rs", true },
  { "astaninki.com", true },
  { "astarbouncycastles.co.uk", true },
  { "astarmathsandphysics.com", true },
  { "astaxanthin-sport.de", true },
  { "astaxanthin.de", true },
  { "astec-informatica.com", true },
  { "astengox.com", true },
  { "astenotarili.online", false },
  { "asticon.de", true },
  { "astifan.online", true },
  { "astral-imperium.com", true },
  { "astroalloys.com.au", true },
  { "astrobriga.es", true },
  { "astrociencia.tk", true },
  { "astrojunkies.com", true },
  { "astroloeches.tk", true },
  { "astrologjia.com", true },
  { "astrology42.com", true },
  { "astrong.pl", true },
  { "astroscopy.ch", false },
  { "astrosnail.pt.eu.org", true },
  { "astrovandalistas.cc", true },
  { "astucewebmaster.com", true },
  { "astural.org", false },
  { "astutikhonda.com", true },
  { "asua.ca", true },
  { "asuclassfinder.com", true },
  { "asun.co", true },
  { "asurbernardo.com", true },
  { "asurepay.cc", false },
  { "asustreiber.de", true },
  { "asvsa.ch", false },
  { "asws.nl", true },
  { "asyikbelanja.com", true },
  { "asylbarn.no", true },
  { "asystent-dzierzawy.pl", true },
  { "at.search.yahoo.com", false },
  { "at5.nl", true },
  { "at7s.me", true },
  { "atab.se", true },
  { "atacadocervejeiro.com.br", true },
  { "atacadodesandalias.com.br", true },
  { "atahualpa.com", true },
  { "atallo.com", true },
  { "atallo.es", true },
  { "ataton.ch", false },
  { "atayia.com", true },
  { "atbwebservices.co.uk", true },
  { "atc.cuneo.it", true },
  { "atchleyjazz.com", true },
  { "atchleyjazz.org", true },
  { "atchleylab.org", true },
  { "atcom.cl", true },
  { "atds.ch", false },
  { "ateamsport.dk", true },
  { "atease-salon.jp", true },
  { "atedificacion.com", true },
  { "ateli.com", true },
  { "atelier-coiffure.ch", false },
  { "atelier-des-apprentissages.com", true },
  { "atelier-naruby.cz", true },
  { "atelieracbaby.com.br", true },
  { "atelieraphelion.com", true },
  { "atelierbw.com", true },
  { "ateliercoquelicot.fr", true },
  { "atelierdefrancais.ch", false },
  { "atelierdeloulou.fr", true },
  { "atelierdesflammesnoires.fr", true },
  { "atelierfantazie.sk", true },
  { "atelierhsn.com", true },
  { "ateliernaruby.cz", true },
  { "atelierssud.ch", false },
  { "atelierverbeelding.nl", true },
  { "atencionbimbo.com", false },
  { "aterlectric.com", true },
  { "aterskapa-data.se", true },
  { "atf.gov", true },
  { "atfstudios.tk", true },
  { "atgoetschel.ch", false },
  { "atgseed.co.uk", true },
  { "atgseed.uk", true },
  { "ath0.org", false },
  { "atheist-faq.com", true },
  { "atheist-refugees.com", true },
  { "atheistfrontier.com", true },
  { "atheit.com", true },
  { "athekiu.com", true },
  { "athemis.de", true },
  { "athenadynamics.com", true },
  { "athenaneuro.com", true },
  { "atheoryofchange.com", true },
  { "athlin.de", true },
  { "athomedeco.fr", true },
  { "atigerseye.com", true },
  { "atimbertownservices.com", true },
  { "atis-ars.ru", true },
  { "atishchenko.com", true },
  { "atisoft.biz", true },
  { "atisoft.com.tr", true },
  { "atisoft.net", true },
  { "atisoft.net.tr", true },
  { "atisoft.web.tr", true },
  { "atitude.com", true },
  { "ativapsicologia.com.br", true },
  { "atl-paas.net", true },
  { "atlantacompa-international.co.uk", true },
  { "atlantareroof.com", true },
  { "atlantaspringroll.com", true },
  { "atlantichomes.com.au", true },
  { "atlanticmarina.com", true },
  { "atlanticmenshealth.com", true },
  { "atlanticpediatricortho.com", true },
  { "atlanticyellowpages.com", true },
  { "atlantis-kh.noip.me", true },
  { "atlantischild.hu", true },
  { "atlantiswaterproofing.com", true },
  { "atlas-heritage.com", true },
  { "atlas-multimedia.de", true },
  { "atlasauthority.com", true },
  { "atlasbrown.com", true },
  { "atlascoffeeclub.com", true },
  { "atlascultural.com", true },
  { "atlasdev.nl", true },
  { "atlasone.us", true },
  { "atlassignsandplaques.com", true },
  { "atletika.hu", true },
  { "atlseccon.com", true },
  { "atmalta.com", true },
  { "atmind.nl", true },
  { "atmmantenimiento.co", true },
  { "atnis.com", true },
  { "ato4sound.com", true },
  { "atolm.net", true },
  { "atom-china.org", true },
  { "atom.solutions", true },
  { "atom86.net", true },
  { "atomism.com", true },
  { "atorcidabrasileira.com.br", true },
  { "atplonline.co", true },
  { "atpnutrition.com", true },
  { "atrafloor.com", true },
  { "atraining.ru", true },
  { "atraverscugy.ch", false },
  { "atrevillot.com", true },
  { "atrias.net", true },
  { "atrinik.org", true },
  { "atsoftware.de", true },
  { "attac.us", true },
  { "atte.fi", true },
  { "attendanceondemand.com", true },
  { "attendantdesign.com", false },
  { "attendu.cz", true },
  { "attengo.ga", true },
  { "attention.horse", true },
  { "attentionpleats.com.tw", true },
  { "attilavandervelde.nl", true },
  { "attinderdhillon.com", true },
  { "attitudes-bureaux.fr", true },
  { "attogtech.com", true },
  { "attorney.org.il", true },
  { "attractant.com", true },
  { "attuned.se", true },
  { "attwood.org", true },
  { "attwoodmarshall.com.au", true },
  { "atviras.lt", false },
  { "atvirtual.at", true },
  { "atvsafety.gov", true },
  { "atwonline.org", true },
  { "atxchirocoverage.com", true },
  { "atyourprice.net", true },
  { "atypicom.es", true },
  { "atypicom.fr", true },
  { "atypicom.it", true },
  { "atypicom.pt", true },
  { "atzenchefin.de", true },
  { "atzzz.com", true },
  { "au2pb.org", true },
  { "aubergegilly.ch", false },
  { "aubg.org", false },
  { "aubio.org", true },
  { "aubonheurdeshuiles.fr", true },
  { "aubonmanger.fr", false },
  { "aubreysnider.com", true },
  { "auburnmedicalservices.com", true },
  { "auburnperio.com", true },
  { "aucarresainteloi.com", true },
  { "aucielrose.com", true },
  { "aucklandcastles.co.uk", true },
  { "aucospa.com", true },
  { "aucubin.de", true },
  { "audiclubbahrain.com", true },
  { "audiencealchemy.co", true },
  { "audiencedefolie.com", true },
  { "audiense.com", false },
  { "audio-detector.com", true },
  { "audiobookboo.com", true },
  { "audiobookstudio.com", true },
  { "audioboom.com", true },
  { "audiohub.com", true },
  { "audiohub.de", true },
  { "audiohub.fr", true },
  { "audiolibri.org", true },
  { "audiolot.com", true },
  { "audiomaze.com", true },
  { "audiophile.ch", false },
  { "audiophix.com", true },
  { "audiorecording.me", true },
  { "audiorental.net", true },
  { "audioschoolonline.com", true },
  { "audiotechniker.de", true },
  { "audiovoodoo.pl", true },
  { "audirsq3.de", true },
  { "audisto.com", true },
  { "auditmatrix.com", true },
  { "auditos.com", true },
  { "audits.io", true },
  { "auditsquare.com", true },
  { "audreyhossepian.fr", true },
  { "audreyjudson.com", true },
  { "auenhof-agrar.de", true },
  { "auerbach-verlag.de", true },
  { "auf-feindgebiet.de", true },
  { "auf-nach-mallorca.info", true },
  { "aufwecken.dynu.net", true },
  { "augehost.com", true },
  { "augen-seite.de", true },
  { "augenlaser-chemnitz.de", true },
  { "augenlaser-dresden.de", true },
  { "augenlasercenter-dresden.de", true },
  { "augenlaserzentrum-dresden.com", true },
  { "augenlaserzentrum-dresden.eu", true },
  { "augesen.tk", true },
  { "augiero.it", true },
  { "augredutemps.ca", true },
  { "augur.us", true },
  { "august-don.site", true },
  { "augustian-life.cz", true },
  { "augustiner-kantorei-erfurt.de", true },
  { "augustiner-kantorei.de", true },
  { "aukaraoke.su", true },
  { "auksnest.ca", true },
  { "aulasvirtualesperu.com", true },
  { "aulica-conseil.com", true },
  { "aulo.in", false },
  { "aumentada.net", true },
  { "aumilieudumonde.gf", true },
  { "aunali1.com", true },
  { "auntie-eileens.com.au", true },
  { "auntiesnorkel.com", true },
  { "auntmia.com", true },
  { "aunto.xyz", true },
  { "aupaysdesanes.com", true },
  { "auplidespages.fr", true },
  { "aura7chakr.com", true },
  { "aurelieburn.fr", true },
  { "aurelienaltarriba.fr", true },
  { "auricblue.com", true },
  { "auriko-games.de", true },
  { "aurnik.com", true },
  { "auroraassociationofrealtors.com", true },
  { "auroraofficefurniture.com.au", true },
  { "auroware.com", true },
  { "aus-ryugaku.info", true },
  { "ausec.ch", false },
  { "auskunftsbegehren.at", true },
  { "auspicacious.org", true },
  { "ausschreibungen-suedtirol.it", true },
  { "aussiefunadvisor.com", true },
  { "aussiemilfs.com", true },
  { "aussieseoadelaide.com.au", true },
  { "aussieseobrisbane.com.au", true },
  { "aussieservicedown.com", true },
  { "aussiestoresonline.com", true },
  { "aussiestories.dk", true },
  { "austenplumbing.com", true },
  { "austin-pearce.com", true },
  { "austin-security-cameras.com", true },
  { "austincardiac.com", true },
  { "austinchase.com", true },
  { "austinheap.com", false },
  { "austinlockout.com", true },
  { "austintxacrepairtoday.com", true },
  { "austinuniversityhouse.com", true },
  { "australian.dating", true },
  { "australianairbrushedtattoos.com.au", true },
  { "australianattractions.com.au", true },
  { "australianimmigrationadvisors.com.au", true },
  { "australiantemporarytattoos.com", true },
  { "australiantemporarytattoos.com.au", true },
  { "australien-tipps.info", true },
  { "austromorph.space", true },
  { "auszeit-lanzarote.com", true },
  { "auszeit-walsrode.de", true },
  { "auszeit.bio", true },
  { "autenticoperfumes.com.br", true },
  { "auth.adult", true },
  { "auth.mail.ru", true },
  { "authcom.ca", true },
  { "authenticate.computer", true },
  { "authenticationhub.io", true },
  { "authenticwoodcraft.com", true },
  { "authinfo-bestellen.de", true },
  { "authinity.com", true },
  { "authland.com", false },
  { "author24.biz", true },
  { "author24.info", true },
  { "authoritysolutions.com", true },
  { "autismewoerden.nl", true },
  { "auto-anleitung.de", true },
  { "auto-dealership-news.com", true },
  { "auto-i-dat.ch", true },
  { "auto-motor-i-sport.pl", true },
  { "auto-none.com", true },
  { "auto-plus.tn", true },
  { "auto-res.ru", true },
  { "auto-skills.ru", true },
  { "auto.nl", true },
  { "auto1.fi", true },
  { "autoauctionsohio.com", true },
  { "autoauctionsvirginia.com", true },
  { "autobarn.co.nz", true },
  { "autobedrijfgarant.nl", true },
  { "autobella-hurtownia.pl", true },
  { "autobelle.it", true },
  { "autobourcier.com", true },
  { "autocadperfmon.azurewebsites.net", true },
  { "autocartruck.com", true },
  { "autoccaz.fr", true },
  { "autocontrol.online", true },
  { "autocorner.com", true },
  { "autocrypt.org", true },
  { "autodalmacija.com", true },
  { "autodidactic.ai", true },
  { "autodidacticstudios.com", true },
  { "autodidacticstudios.net", true },
  { "autodius.com", true },
  { "autoelettricaperbambini.com", true },
  { "autoentrepreneurinfo.com", true },
  { "autoeshop.eu", true },
  { "autofficina.roma.it", true },
  { "autoglass.com.my", true },
  { "autohomehub.com", true },
  { "autohut.ca", true },
  { "autoi.ch", true },
  { "autokeyinaustin.com", true },
  { "autokeyreplacementsanantonio.com", true },
  { "autoklub.cz", true },
  { "autokovrik-diskont.ru", true },
  { "autolawetawroclaw.pl", true },
  { "autoledky.sk", true },
  { "autolider.org", true },
  { "automagischeberegening.nl", true },
  { "automatethis.com.au", true },
  { "automatic.com", true },
  { "automationpro.me", true },
  { "automentesszolnok.hu", true },
  { "automotivegroup-usedcars.be", false },
  { "automotivemechanic.org", true },
  { "automy.de", true },
  { "autonewssite.com", true },
  { "autonoleggio.milano.it", true },
  { "autoosijek.com", true },
  { "autopapo.com.br", true },
  { "autopark-ost-fichtner.de", true },
  { "autoparts.im", true },
  { "autoparts.sh", true },
  { "autoparts.wf", true },
  { "autopaulito.pt", true },
  { "autopower.gr", true },
  { "autoprice.info", false },
  { "autoproshouston.com", true },
  { "autorama.cf", true },
  { "autorando.com", true },
  { "autoreinigung-noack.de", true },
  { "autorepairseattle.com", true },
  { "autorijschooljohanbos.nl", true },
  { "autorijschoolrichardschut.nl", true },
  { "autorijschoolstorm.nl", true },
  { "autosaan.ro", true },
  { "autosalesmachine.net", true },
  { "autoschadeschreuder.nl", true },
  { "autoschool.ga", true },
  { "autoscuola.roma.it", true },
  { "autoshinka72.ru", true },
  { "autoshopsolutions.com", true },
  { "autoshun.org", true },
  { "autoskola.hr", true },
  { "autoskolaplzen.cz", true },
  { "autoskole.hr", true },
  { "autospurghi.milano.it", true },
  { "autospurgo.com", true },
  { "autospurgo.it", true },
  { "autospurgo.milano.it", true },
  { "autostodulky.cz", true },
  { "autoteplo.org", true },
  { "autoterminus-used.be", false },
  { "autoto.hr", true },
  { "autotransportquoteservices.com", true },
  { "autotyreprest.ro", true },
  { "autouncle.at", true },
  { "autouncle.co.uk", true },
  { "autouncle.com", true },
  { "autouncle.de", true },
  { "autouncle.dk", true },
  { "autouncle.fi", true },
  { "autouncle.fr", true },
  { "autouncle.it", true },
  { "autouncle.pl", true },
  { "autouncle.pt", true },
  { "autouncle.ro", true },
  { "autouncle.se", true },
  { "autoverzekeringafsluiten.com", true },
  { "autovesti.cf", true },
  { "autowerkstatt-puchheim.de", true },
  { "autowise.dk", true },
  { "autres-talents.fr", true },
  { "autshir.com", true },
  { "auvidos.ru", true },
  { "aux-arts-de-la-table.com", true },
  { "auxiliame.com", true },
  { "auxille.com", true },
  { "av-yummy.com", true },
  { "av01.tv", true },
  { "ava-creative.de", false },
  { "ava-software.at", true },
  { "avaaz.org", true },
  { "avabouncehire.co.uk", true },
  { "avacariu.me", true },
  { "avaeon.com", true },
  { "available.direct", true },
  { "availablecastles.com", true },
  { "avalon-island.ru", true },
  { "avalon-rpg.com", true },
  { "avalonbelltown.com", true },
  { "avalyuan.com", true },
  { "avancen.com", true },
  { "avanet.com", true },
  { "avangvpn.ga", true },
  { "avanovum.de", true },
  { "avantitualatin.com", true },
  { "avarcom.tk", true },
  { "avarty.com", true },
  { "avatardiffusion.com", true },
  { "avcd.cz", true },
  { "ave.zone", true },
  { "aveapps.com", false },
  { "aveclunettesoleil.fr", true },
  { "avedesk.org", false },
  { "avelinodiaz.gal", true },
  { "avengersonlinemovie.ga", true },
  { "aventurische-allianz.de", true },
  { "avenuedesbebes.com", true },
  { "avepol.cz", true },
  { "avepol.eu", true },
  { "averageinspired.com", true },
  { "averam.net", true },
  { "averen.co.uk", true },
  { "avernis.de", true },
  { "avexon.com", true },
  { "avgindiantech.com", true },
  { "avhwelding.com", true },
  { "avi12.com", true },
  { "avia-krasnoyarsk.ru", true },
  { "avia-ufa.ru", true },
  { "aviasalon.spb.ru", true },
  { "aviationmilitaire.tk", true },
  { "aviationstrategies.aero", true },
  { "aviationstrategy.aero", true },
  { "aviationweather.gov", true },
  { "aviconverter.tk", true },
  { "avidmode-dev.com", true },
  { "avidmode-staging.com", true },
  { "avidmode.com", true },
  { "avinilo.com", true },
  { "avisofi-credit-immobilier.fr", true },
  { "aviteng.cloud", true },
  { "aviteng.com", true },
  { "avivamiento-radio.com", true },
  { "avivaplasticsurgery.com", true },
  { "avlhostel.com", true },
  { "avm-multimedia.com", true },
  { "avmoo.com", true },
  { "avmrc.nl", true },
  { "avmup.com", true },
  { "avnet.ws", true },
  { "avocad.studio", true },
  { "avocode.com", true },
  { "avonture.be", true },
  { "avonvets.co.uk", true },
  { "avova.de", true },
  { "avpres.net", false },
  { "avptp.org", true },
  { "avqueen.cn", true },
  { "avrora-nov.ru", true },
  { "avsox.com", true },
  { "avtecmedia.com", true },
  { "avticket.ru", false },
  { "avtobania.pro", true },
  { "avtoforex.ru", true },
  { "avtogara-isperih.com", true },
  { "avtomarket.ru", true },
  { "avtosept.by", true },
  { "avtovokzaly.ru", true },
  { "avv.li", true },
  { "avvaterra.ch", true },
  { "avvcorda.com", false },
  { "avvocato.bologna.it", true },
  { "aw.gov.pl", true },
  { "aw.net", true },
  { "await.one", true },
  { "awakengr.com", true },
  { "awangardaszkola.pl", true },
  { "awardplatform.com", true },
  { "awardsplatform.com", true },
  { "awaremi-tai.com", true },
  { "awaresec.com", true },
  { "awaresec.no", true },
  { "awarify.io", true },
  { "awarify.me", true },
  { "awaro.net", true },
  { "awaygroundguide.com", true },
  { "awbouncycastlehire.com", true },
  { "awesomebouncycastles.co.uk", true },
  { "awesomenamegenerator.com", true },
  { "awic.ca", true },
  { "awk.tw", true },
  { "awksolutions.com", true },
  { "awlgolf.com", true },
  { "awningcanopyus.com", true },
  { "awningsaboveus.com", true },
  { "awningsatlantaga.com", true },
  { "awningsydney.ga", true },
  { "awomansplacenj.com", true },
  { "awplasticsurgery.com", true },
  { "awsbs.de", true },
  { "awsmdev.de", true },
  { "awsnuke.com", true },
  { "awsome-books.co.uk", true },
  { "awsumchan.org", true },
  { "awxg.com", true },
  { "ax25.org", true },
  { "axa.de", true },
  { "axel-fischer.net", true },
  { "axel-voss.eu", false },
  { "axelname.ru", true },
  { "axelteichmann.net", true },
  { "axelvoss.eu", false },
  { "axiomeosteopathie.ca", true },
  { "axiomer.com", true },
  { "axishw.com", true },
  { "axispara-bg.com", true },
  { "axon-toumpa.gr", true },
  { "axone-computers.fr", false },
  { "axonholdingse.eu", true },
  { "axre.de", true },
  { "axrec.de", true },
  { "ay-net.jp", true },
  { "ayahya.me", false },
  { "ayanomimi.com", true },
  { "aycasac.com", true },
  { "aycomba.de", true },
  { "ayecode.ca", true },
  { "ayesh.me", true },
  { "aykutcevik.com", true },
  { "aylak.com", true },
  { "aylesburycastlehire.co.uk", true },
  { "aymerick-dupouey.fr", true },
  { "aymerick.fr", true },
  { "aymericlagier.com", true },
  { "ayothemes.com", true },
  { "ayporealestate.com", true },
  { "aypotech.com", true },
  { "ayrop.com", true },
  { "ayrshirebouncycastlehire.co.uk", true },
  { "ayselonia.onl", true },
  { "ayudacloud.com", true },
  { "ayudalabs.com", true },
  { "ayudapreview.com", true },
  { "ayudaprogramacion.net", true },
  { "ayumi.network", true },
  { "ayumindev.net", true },
  { "ayumix3.xyz", true },
  { "ayurveda-mantry.com", false },
  { "ayvalikgezgini.com", true },
  { "ayyz66.cc", true },
  { "az-moga.bg", true },
  { "az.net.au", true },
  { "az.search.yahoo.com", false },
  { "az1b2y3cx.com", true },
  { "azabani.com", true },
  { "azadliq.info", true },
  { "azadliq.online", true },
  { "azarus.ch", true },
  { "azazy.net", false },
  { "azerinews.tk", true },
  { "azertyjobs.com", true },
  { "azh-kunden.de", true },
  { "aziende.com.ar", true },
  { "azimut.fr", true },
  { "azithromycine.gq", true },
  { "azlk-team.ru", true },
  { "azlo.com", false },
  { "aznews.site", true },
  { "azora.cf", true },
  { "azort.com", true },
  { "azotobacter.nl", true },
  { "azpeach.com", true },
  { "azpogomap.com", true },
  { "azrazalea.net", true },
  { "azrhymes.com", true },
  { "azsgeniedev.azurewebsites.net", true },
  { "azso.pro", true },
  { "azsupport.com", true },
  { "aztraslochi.it", true },
  { "aztrix.me", true },
  { "aztummytuck.com", true },
  { "aztv.cc", true },
  { "azuki.cloud", true },
  { "azukie.com", true },
  { "azurecrimson.com", true },
  { "azuriasky.com", true },
  { "azuriasky.net", true },
  { "azzorti.com", true },
  { "azzurrapelletterie.it", true },
  { "b-b-law.com", true },
  { "b-cyclesshop.ch", false },
  { "b-honey.gr", true },
  { "b-landia.net", true },
  { "b-performance.de", true },
  { "b-root-force.de", true },
  { "b-services.net", false },
  { "b-tree.be", true },
  { "b0000.co", false },
  { "b00228.com", false },
  { "b00de.ga", true },
  { "b0305.com", true },
  { "b0306.com", true },
  { "b0307.com", true },
  { "b0309.com", true },
  { "b03aa.com", true },
  { "b03bb.com", true },
  { "b03cc.com", true },
  { "b0618.com", true },
  { "b0618.net", true },
  { "b0868.com", true },
  { "b0868.net", true },
  { "b0hr.ai", true },
  { "b0k.org", true },
  { "b0rk.com", true },
  { "b1111.co", false },
  { "b131000.com", true },
  { "b1758.net", true },
  { "b1768.com", true },
  { "b1768.net", true },
  { "b1788.com", true },
  { "b1788.net", true },
  { "b1c1l1.com", true },
  { "b2486.com", true },
  { "b2486.net", true },
  { "b2bmuzikbank.com", true },
  { "b303.me", true },
  { "b30365.com", true },
  { "b36594.com", true },
  { "b4bouncycastles.co.uk", true },
  { "b4ckbone.de", true },
  { "b4lint.hu", true },
  { "b4z.eu", true },
  { "b5189.com", true },
  { "b5189.net", true },
  { "b5289.com", true },
  { "b5902.com", true },
  { "b5903.com", true },
  { "b5904.com", true },
  { "b5905.com", true },
  { "b5906.com", true },
  { "b5907.com", true },
  { "b5908.com", true },
  { "b5910.com", true },
  { "b5989.net", true },
  { "b5dev.com", true },
  { "b62h.com", true },
  { "b64.club", true },
  { "b67701.com", true },
  { "b67702.com", true },
  { "b67703.com", true },
  { "b67704.com", true },
  { "b67705.com", true },
  { "b67772.com", true },
  { "b67773.com", true },
  { "b67774.com", true },
  { "b67775.com", true },
  { "b68.xyz", true },
  { "b70301.com", false },
  { "b70302.com", false },
  { "b70303.com", false },
  { "b70304.com", false },
  { "b70305.com", false },
  { "b7035.com", true },
  { "b70881.com", false },
  { "b70882.com", false },
  { "b70883.com", false },
  { "b70884.com", false },
  { "b70885.com", false },
  { "b70991.com", false },
  { "b70992.com", false },
  { "b70993.com", false },
  { "b70994.com", false },
  { "b70995.com", false },
  { "b72.com", true },
  { "b72.net", true },
  { "b7306.com", true },
  { "b73app.com", true },
  { "b73bb.com", true },
  { "b73dd.com", true },
  { "b73ee.com", true },
  { "b73ff.com", true },
  { "b767.net", true },
  { "b77018.com", false },
  { "b789.co", false },
  { "b83.tv", true },
  { "b83aa.com", true },
  { "b83bb.com", true },
  { "b83cc.com", true },
  { "b83dd.com", true },
  { "b83ee.com", true },
  { "b83ff.com", true },
  { "b83gg.com", true },
  { "b83hh.com", true },
  { "b83ii.com", true },
  { "b83jj.com", true },
  { "b83kk.com", true },
  { "b8591.com", true },
  { "b8591.net", true },
  { "b86255.com", false },
  { "b889b.com", true },
  { "b88vip2.com", true },
  { "b88vip3.com", true },
  { "b88vip4.com", true },
  { "b88vip5.com", true },
  { "b8979.com", true },
  { "b8979.net", true },
  { "b899365.com", true },
  { "b89aa.com", true },
  { "b89bb.com", true },
  { "b89cc.com", true },
  { "b89dd.com", true },
  { "b89ee.com", true },
  { "b89ff.com", false },
  { "b89gg.com", false },
  { "b89hh.com", false },
  { "b89ii.com", true },
  { "b89jj.com", true },
  { "b8a.me", true },
  { "b9018.com", true },
  { "b9018.net", true },
  { "b9108.com", true },
  { "b9108.net", true },
  { "b9110.com", true },
  { "b9110.net", true },
  { "b9112.com", true },
  { "b9112.net", true },
  { "b911gt.com", true },
  { "b911gt.net", true },
  { "b91688.info", true },
  { "b91688.net", true },
  { "b91688.org", true },
  { "b9175.com", true },
  { "b9175.net", true },
  { "b9258.com", true },
  { "b9258.net", true },
  { "b9318.com", true },
  { "b9318.net", true },
  { "b9418.com", true },
  { "b9418.net", true },
  { "b9428.com", true },
  { "b9428.net", true },
  { "b9453.net", true },
  { "b9468.com", true },
  { "b9468.net", true },
  { "b9488.com", true },
  { "b9488.net", true },
  { "b9498.net", true },
  { "b9518.com", true },
  { "b9518.info", true },
  { "b9518.net", true },
  { "b9518.org", true },
  { "b9528.com", true },
  { "b9538.com", true },
  { "b9538.net", true },
  { "b9598.net", true },
  { "b960.com", true },
  { "b9618.com", true },
  { "b9658.net", true },
  { "b9758.com", true },
  { "b9758.net", true },
  { "b979333.com", true },
  { "b979555.com", true },
  { "b979666.com", true },
  { "b979999.com", true },
  { "b9818.com", true },
  { "b9818.net", true },
  { "b9858.com", true },
  { "b9858.net", true },
  { "b9880.com", true },
  { "b99011.com", true },
  { "b99022.com", true },
  { "b99118.com", true },
  { "b9920.com", true },
  { "b99218.com", true },
  { "b99318.com", true },
  { "b99418.com", true },
  { "b9948.com", true },
  { "b9948.net", true },
  { "b99518.com", true },
  { "b9960.com", true },
  { "b99618.com", true },
  { "b99718.com", true },
  { "b99818.com", true },
  { "b99918.com", true },
  { "b9999ff.com", true },
  { "b9999hh.com", true },
  { "b9999ii.com", true },
  { "b9999jj.com", true },
  { "b9999ll.com", true },
  { "b9999mm.com", true },
  { "b9999nn.com", true },
  { "b9999pp.com", true },
  { "b9999qq.com", true },
  { "b9999ww.com", true },
  { "b9999zz.com", true },
  { "b99iosapp.com", true },
  { "b9best.cc", true },
  { "b9best.net", true },
  { "b9king.cc", true },
  { "b9king.com", true },
  { "b9king.net", true },
  { "b9winner.cc", true },
  { "ba47.net", true },
  { "baac-dewellmed.com", true },
  { "baalsworld.de", true },
  { "baanpingchan.com", true },
  { "baas-becking.biology.utah.edu", true },
  { "baazee.de", true },
  { "babacasino.net", true },
  { "babai.ru", true },
  { "babblenotes.com", true },
  { "babeleo.com", true },
  { "bablodel.biz", true },
  { "bablodel.com", true },
  { "babounet.com", true },
  { "babsbibs.com", true },
  { "baby-bath-tub.com", true },
  { "baby-care.ir", true },
  { "baby-digne.com", false },
  { "babybedding.com", true },
  { "babyboom.pl", true },
  { "babybuddah.ga", true },
  { "babycamapp.com", true },
  { "babyfotograf-schweiz.ch", true },
  { "babymasaze.cz", true },
  { "babyphototime.com", true },
  { "babypibu.com", true },
  { "bacaneriahlg.com", true },
  { "bacanora.tk", true },
  { "bachata.info", true },
  { "baches-piscines.com", true },
  { "bachmannyachts.com", true },
  { "bachmatt-baar.ch", true },
  { "bachweid-baar.ch", true },
  { "baciu.ch", false },
  { "backeby.eu", true },
  { "background-checks-systems.com", true },
  { "background-checks.asia", true },
  { "background-checks.biz", true },
  { "background-checks.mobi", true },
  { "backgroundchecks.online", true },
  { "backgroundscreenersofamerica.com", true },
  { "backlinkbase.com", true },
  { "backmitra.com", true },
  { "backmitra.mx", true },
  { "backmitra.nl", true },
  { "backmountaingas.com", true },
  { "backpacker.dating", true },
  { "backpackingtours.com", true },
  { "backpainandsciaticahouston.com", true },
  { "backscattering.de", false },
  { "backschues.com", true },
  { "backschues.de", true },
  { "backschues.net", true },
  { "backseatbandits.com", true },
  { "backsideverbier.ch", false },
  { "backtest.org", true },
  { "backtheeffup.com", true },
  { "backup-kurumsal.com", true },
  { "backupassist.de", true },
  { "backupcloud.ru", true },
  { "baconismagic.ca", true },
  { "bacontreeconsulting.com", true },
  { "bacsmegye.hu", true },
  { "bacterias.mx", false },
  { "bactrim-antibiotic.ml", true },
  { "bacula.jp", true },
  { "bad-wurzach.de", true },
  { "bad.pet", true },
  { "badam.co", true },
  { "badanka.com", true },
  { "badanteinfamiglia.it", true },
  { "badaparda.com", true },
  { "badblock.fr", true },
  { "badcreditcarsfinance.co.uk", true },
  { "badedesign.no", true },
  { "badf00d.de", true },
  { "badgersystems.de", true },
  { "badges.fedoraproject.org", true },
  { "badges.stg.fedoraproject.org", true },
  { "badgirlsbible.com", true },
  { "badgr.io", true },
  { "badhusky.com", false },
  { "badkamermarkt.nl", true },
  { "badmania.fr", true },
  { "badmintonadvisor.com", true },
  { "badmintonbible.com", true },
  { "badodds.ga", true },
  { "badoo.com", true },
  { "badoo.de", true },
  { "badoo.eu", true },
  { "badoo.us", true },
  { "badrequest.me", true },
  { "baeder-luboss.de", true },
  { "baer.im", true },
  { "baer.one", true },
  { "baer.space", true },
  { "bag.bg", true },
  { "bageez.us", true },
  { "bagelcraft.net", true },
  { "bageluncle.com", true },
  { "baggy.me.uk", true },
  { "bagheera.me.uk", true },
  { "baglu.com", false },
  { "bagnichimici.roma.it", true },
  { "bagsofbounce.co.uk", true },
  { "bagspecialist.nl", true },
  { "bagwrap.com", true },
  { "bah.im", false },
  { "bahaiprayers.io", true },
  { "bahana.net", true },
  { "bahnbonus-praemienwelt.de", true },
  { "bahnenimbild.de", true },
  { "bahnenimbild.eu", true },
  { "bahnhelden.de", true },
  { "bahninrotweissrot.at", true },
  { "bahnmagazine.de", true },
  { "bahrevaran.ir", true },
  { "baidu-s.com", true },
  { "baiduo.com", true },
  { "baifubao.com", true },
  { "baiker.info", true },
  { "baildonbouncycastles.co.uk", true },
  { "baileebee.com", true },
  { "baileybae.com", true },
  { "bailleux.be", true },
  { "bailonga.com", true },
  { "baitaplamvan.com", true },
  { "baitcon.com", true },
  { "baithe.co.za", true },
  { "baiyu.blog", true },
  { "bajic.ch", true },
  { "baka-gamer.net", true },
  { "baka.org.cn", true },
  { "bakermen.com", true },
  { "bakersafari.co", true },
  { "bakersfieldhomeoffer.com", true },
  { "bakerviewdentalcentre.com", true },
  { "bakeup.be", true },
  { "bakibal.com", true },
  { "bakingstone.com", true },
  { "bakkerij-janschrieks.nl", true },
  { "bakkerinjebuurt.be", true },
  { "bakongcondo.com", true },
  { "bakxnet.com", true },
  { "balade-commune.ch", false },
  { "baladecommune.ch", false },
  { "balafon.cloud", true },
  { "balaganlimited.cf", true },
  { "balancascia.com.br", true },
  { "balance7.jp", true },
  { "balanceado.com", true },
  { "balancedbrawl.net", true },
  { "balancenaturalhealthclinic.ca", true },
  { "balaskas.gr", true },
  { "balboa.io", true },
  { "balboa.org.uk", true },
  { "balcaonet.com.br", true },
  { "balcarek.pl", true },
  { "balconnr.com", true },
  { "balconsverdun.com", false },
  { "baleen.us", true },
  { "balia.de", true },
  { "balicekzdravi.cz", false },
  { "balikonos.cz", true },
  { "balinese.dating", true },
  { "balist.es", true },
  { "balivillassanur.com", true },
  { "balkancrystals.com", true },
  { "balkanpharmstore.com", true },
  { "balkonien.org", true },
  { "ball-bizarr.de", true },
  { "ballarin.cc", true },
  { "ballast.tk", true },
  { "ballejaune.com", true },
  { "balletcenterofhouston.com", true },
  { "ballettstudio-ost.de", true },
  { "ballinw.com", true },
  { "ballisticdetailing.com", true },
  { "ballmerpeak.org", true },
  { "ballonsportclub-erlangen.de", true },
  { "ballotapi.com", true },
  { "ballothero.com", true },
  { "ballparkbuns.com", false },
  { "ballroom.info", true },
  { "balmeo.co.uk", true },
  { "balmofgilead.org.uk", true },
  { "baloch-intelligence.tk", true },
  { "balsallcommonbouncycastles.co.uk", true },
  { "balsamaiso.es", true },
  { "balslev.io", true },
  { "balter.com", true },
  { "balthazarlondon.com", true },
  { "balticer.de", true },
  { "balticmed.pl", true },
  { "balticnetworks.com", true },
  { "bamaagahi.ir", true },
  { "bamanshop.com", false },
  { "bamboehof.nl", true },
  { "bamboorelay.com", true },
  { "bambumania.com.br", true },
  { "bamily.rocks", true },
  { "bananabandy.com", true },
  { "bananacloud.fr", false },
  { "banananet.work", true },
  { "bananice.moe", true },
  { "bancacrs.it", true },
  { "bancastato.ch", true },
  { "bancobai.ao", true },
  { "bancoctt.pt", true },
  { "bancodeloja.fin.ec", true },
  { "bancomap.ch", true },
  { "bancor.network", true },
  { "bancosdominicanos.net", true },
  { "bandagastrica.es", true },
  { "bandeira1.com.br", true },
  { "bandeiraimoveisitu.com.br", true },
  { "bandeirasnacionais.com", true },
  { "banderas-mundo.es", true },
  { "bandiere-mondo.it", true },
  { "bandiga.it", true },
  { "bandito.re", true },
  { "bandolino-bewind.nl", true },
  { "bandolino.nl", true },
  { "banes.ch", true },
  { "banfun.org", true },
  { "bangdream.ga", true },
  { "bangkok-dark-night.com", true },
  { "bangkok.dating", true },
  { "bangkokcity.de", true },
  { "bangkokcookingclass.com", true },
  { "banglarfont.com", true },
  { "banglets.com", true },
  { "bangorfederal.com", true },
  { "banguilacoquette.com", true },
  { "bangumi.co", true },
  { "bangzhu88.com", true },
  { "banham.co.uk", false },
  { "banham.com", true },
  { "banjostringiz.com", true },
  { "bank-yahav.co.il", true },
  { "bank.barclays.co.uk", true },
  { "bank.simple.com", false },
  { "banka.space", true },
  { "bankanswers.gov", true },
  { "bankapp.se", true },
  { "bankapply.eu", true },
  { "bankbranchlocator.com", true },
  { "bankee.us", true },
  { "banketbesteld.nl", true },
  { "bankheadvegetables.com", true },
  { "bankin.com", true },
  { "bankinter.pt", true },
  { "bankio.se", true },
  { "banknet.gov", true },
  { "bankofdenton.com", true },
  { "bankpolicies.com", true },
  { "bankruptcy.ky", true },
  { "banksaround.com", true },
  { "banksiaparkcottages.com.au", true },
  { "bankstownapartments.com.au", true },
  { "bankvanbreda.be", true },
  { "banlinhdanong.com", true },
  { "bannermarquees.ie", true },
  { "bannerworld.co.uk", true },
  { "bannsecurity.com", true },
  { "banquevanbreda.be", true },
  { "bantaihost.com", true },
  { "bao-in.com", true },
  { "bao-in.net", true },
  { "baofengtech.com", true },
  { "baogiathicongnoithat.com", true },
  { "baokhangfood.com", true },
  { "baopublishing.it", true },
  { "baoxue1.com", true },
  { "baoxue2.com", true },
  { "baoxue3.com", true },
  { "baoxue5.com", true },
  { "baoxue6.com", true },
  { "baoxue7.com", true },
  { "baoxue8.com", true },
  { "baoxue9.com", true },
  { "bapha.be", true },
  { "baptisteplanckaert.tk", true },
  { "bar-harcourt.com", true },
  { "bar.pl", true },
  { "barabrume.fr", true },
  { "barakayu.com", true },
  { "barans2239.com", true },
  { "baranyavar.hu", true },
  { "barao.tk", true },
  { "baravalle.com", true },
  { "baraxolka.ru", true },
  { "barbaderespeito.com.br", true },
  { "barbara-fuchs-gruene-fuerth.de", true },
  { "barbarabowersrealty.com", true },
  { "barbarafabbri.com", true },
  { "barbarafeldman.com", true },
  { "barbarians.com", false },
  { "barbate.fr", true },
  { "barbe-n-blues.fr", true },
  { "barbiere.it", true },
  { "barbu.family", true },
  { "barburas.com", true },
  { "barca-movie.jp", true },
  { "barcats.co.nz", true },
  { "barcats.com", true },
  { "barcats.com.au", true },
  { "barcel.com.mx", true },
  { "barcelonabagels.cat", true },
  { "barcelonapremium.es", true },
  { "barcelonapremiummini.es", true },
  { "barcelonawinewalk.com", true },
  { "barclays.net", true },
  { "bardes.org", true },
  { "bardiharborow.com", true },
  { "bardiharborow.tk", true },
  { "baresquare.com", true },
  { "barganhanaweb.ml", true },
  { "bariatrica.es", true },
  { "bariatricsurgerysmg.com", true },
  { "bariseau-mottrie.be", false },
  { "barisi.me", true },
  { "baristador.com", true },
  { "barkassen15.se", true },
  { "barkerjr.xyz", true },
  { "barkingaboutbusiness.com", true },
  { "barkstop.net", true },
  { "barlex.pl", true },
  { "barlotta.net", true },
  { "barnakstudio.com", true },
  { "barnakstudio.ir", true },
  { "barnettville.com", true },
  { "barneveldcentrum.nl", true },
  { "barneydavey.com", true },
  { "barnfotografistockholm.se", true },
  { "barnhardt4berks.com", true },
  { "barnstead-water.com", true },
  { "barnvets.co.uk", true },
  { "baroloboys.de", true },
  { "baron14.be", true },
  { "baronspices.com", true },
  { "barpodsosnami.pl", true },
  { "barracuda.com.tr", true },
  { "barrera.io", true },
  { "barriofut.com", true },
  { "barrydenicola.com", true },
  { "bars.kh.ua", true },
  { "barsashop.com.br", true },
  { "barsgroup.com", true },
  { "bart-f.com", true },
  { "barta.me", true },
  { "bartbania.com", true },
  { "bartel.ws", true },
  { "bartelt.name", true },
  { "barter.vg", true },
  { "barter4crypto.com", true },
  { "barth.services", true },
  { "bartkramer.nl", false },
  { "bartlamboo.nl", true },
  { "bartolomebellido.com", true },
  { "bartula.de", true },
  { "bartzutow.xyz", true },
  { "baruch.me", true },
  { "bas.co.jp", true },
  { "bascht.com", true },
  { "base-autonome-durable.com", false },
  { "base-n.ru", true },
  { "basebalance.net", true },
  { "baseballsavings.com", true },
  { "baseconvert.com", true },
  { "basedos.com", true },
  { "baseerapp.com", true },
  { "basel-gynaecology.com", true },
  { "basel-gynaekologie.ch", true },
  { "baselang.com", true },
  { "basementdoctor.com", false },
  { "basementdoctornorthwest.com", true },
  { "basementfinishingohio.com", true },
  { "basementwaterproofingdesmoines.com", true },
  { "basementwaterproofingwi.com", true },
  { "baseweb.design", true },
  { "bashing-battlecats.com", true },
  { "bashkirlife.tk", true },
  { "bashstreetband.co.uk", true },
  { "basicapparel.de", true },
  { "basicattentiontoken.org", true },
  { "basics.net", true },
  { "basilsys.com", true },
  { "basisbedarf.de", true },
  { "basketball-brannenburg.de", true },
  { "basketforex.com", true },
  { "baskibu.com", true },
  { "basnoslovno.ru", true },
  { "basonlinemarketing.nl", true },
  { "basradio.tk", true },
  { "bass-pro.ru", true },
  { "bassblog.net", true },
  { "bassment.ph", true },
  { "bassresource.com", true },
  { "bassrhymeposse.tk", true },
  { "bassrider.eu", true },
  { "bassys.com.co", true },
  { "bastardandpoors.com", true },
  { "bastelzauberwelt.de", true },
  { "bastide-viens.com", true },
  { "bastolino.de", true },
  { "bastter.com", true },
  { "basw.eu", true },
  { "baswag.de", true },
  { "baswetter.photography", true },
  { "basyspro.net", true },
  { "bat909.com", true },
  { "bat909.net", true },
  { "bat9vip.com", true },
  { "bat9vip.net", true },
  { "batcave.tech", true },
  { "batch.com", true },
  { "batch.engineering", true },
  { "baterioverolety.cz", true },
  { "bati-alu.fr", true },
  { "batiburrillo.net", true },
  { "batipresta.ch", false },
  { "batiskaf.ua", true },
  { "batistareisfloresonline.com.br", true },
  { "batitrakya.org", true },
  { "batolis.com", true },
  { "batook.org", true },
  { "batteryboys.ca", true },
  { "batteryboys.com", true },
  { "batterystaple.pw", true },
  { "battle-game.com", true },
  { "battleboxx.com", false },
  { "battleguard.net", true },
  { "battlerealms.cc", true },
  { "batuhanbensoy.com.tr", true },
  { "batvip9.net", true },
  { "bauer.network", true },
  { "bauernmarkt-fernitz.at", true },
  { "baufi24.de", true },
  { "baugeldspezi.de", true },
  { "baugelitt.eu", true },
  { "baugemeinschaftbernstein.de", true },
  { "bauingenieur24.de", true },
  { "baumannfabrice.com", true },
  { "baumkuchen-aus-dresden.de", true },
  { "baur.de", true },
  { "bausep.de", true },
  { "bauthier-occasions.be", false },
  { "bautied.de", true },
  { "bautizodelucia.com", true },
  { "bauunternehmen-herr.de", true },
  { "bavarianhiker.de", true },
  { "bavaroparadise.com", true },
  { "bavarovillage.com", true },
  { "bavartec.de", true },
  { "bawbby.com", true },
  { "bayareaenergyevents.com", true },
  { "baychimo.com", true },
  { "bayden.com", true },
  { "bayer-stefan.com", true },
  { "bayer-stefan.de", true },
  { "bayer.earth", true },
  { "bayerhazard.de", true },
  { "bayerstefan.com", true },
  { "bayerstefan.de", true },
  { "bayerstefan.eu", true },
  { "bayherbalist.com", true },
  { "bayilelakiku.com", true },
  { "bayltd.com", true },
  { "bayly.eu", true },
  { "baymard.com", true },
  { "bayportbotswana.com", true },
  { "bayportghana.com", true },
  { "bayporttanzania.com", true },
  { "bayportuganda.com", true },
  { "baypromoteam.co.uk", true },
  { "bayraklar.info", true },
  { "baystreet.com.mt", true },
  { "baytalebaa.com", true },
  { "baytownent.com", true },
  { "baytv.it", true },
  { "baywatch.io", true },
  { "bayz.de", true },
  { "baza-gai.com.ua", true },
  { "bazaarbhaav.com", true },
  { "bazaarcompass.com", true },
  { "bazaclub.ru", true },
  { "bazari.com.pl", true },
  { "bazos.at", true },
  { "bazos.cz", true },
  { "bazos.pl", true },
  { "bazos.sk", true },
  { "bazziergraphik.com", true },
  { "bb057.com", true },
  { "bb087.com", true },
  { "bb882.com", true },
  { "bbalposticino.it", true },
  { "bbbff.net", true },
  { "bbc67.fr", true },
  { "bbcastles.com", true },
  { "bbcomcdn.com", true },
  { "bbforums.com", true },
  { "bbgeschenke.ch", false },
  { "bbimarketing.com", true },
  { "bbinsure.com", true },
  { "bbka.org.uk", true },
  { "bbkworldwide.jp", true },
  { "bbld.de", true },
  { "bblove.me", true },
  { "bblsa.ch", false },
  { "bbmagnagrecia.it", true },
  { "bbnx.net", true },
  { "bbs8080.net", true },
  { "bbsec.xyz", true },
  { "bbswin9.cc", true },
  { "bbuio.com", false },
  { "bbw.dating", true },
  { "bbwcs.co.uk", true },
  { "bbwsexclips.com", true },
  { "bbxin9.com", true },
  { "bbxin9.net", true },
  { "bbyouthco.com", true },
  { "bc-bd.org", false },
  { "bc-diffusion.com", true },
  { "bcansw.com.au", true },
  { "bcbulle.ch", false },
  { "bcdiesel.ca", true },
  { "bcdonadio.com", true },
  { "bcdonadio.com.br", true },
  { "bcdonadio.org", true },
  { "bceventhire.co.uk", true },
  { "bch7al.ma", false },
  { "bchep.com", true },
  { "bck-koethen.de", true },
  { "bck-lelystad.nl", true },
  { "bckaccompressoroz.com", true },
  { "bclogandtimberbuilders.com", true },
  { "bclrk.us", true },
  { "bcmainland.ca", true },
  { "bcmhire.co.uk", true },
  { "bcoffices.com.mx", true },
  { "bcrook.com", true },
  { "bcswampcabins.com", true },
  { "bd-media.tk", true },
  { "bd2positivo.com", true },
  { "bda-boulevarddesairs.com", false },
  { "bdbxml.net", true },
  { "bdd.fi", true },
  { "bdikaros-network.net", true },
  { "bdpestsolutionsstlouis.com", true },
  { "bdsmwiki.hu", true },
  { "bdtopshop.com", true },
  { "be-a-password.ninja", true },
  { "be-ka-tec.de", true },
  { "be-real.life", false },
  { "be-up-developpement.com", true },
  { "be-webdesign.com", true },
  { "be.search.yahoo.com", false },
  { "be2cloud.de", true },
  { "be4lead.com", true },
  { "be9458.com", true },
  { "be958.com", true },
  { "be958.net", true },
  { "bea.gov", true },
  { "beacham.online", true },
  { "beachcitycastles.com", true },
  { "beachmarketing.co.uk", true },
  { "beachpoint.tk", true },
  { "beadare.com", true },
  { "beadare.nl", true },
  { "beaglesecurity.com", true },
  { "bealpha.pl", true },
  { "beam-to.me", true },
  { "beambdi.com", true },
  { "beanbagaa.com", true },
  { "beanilla.com", true },
  { "beansgalore.com.au", true },
  { "bearcms.com", true },
  { "bearded.sexy", true },
  { "bearden.io", true },
  { "beardic.cn", true },
  { "beardsome.me", true },
  { "beargoggleson.com", true },
  { "bearingworks.com", true },
  { "bearlakelife.com", true },
  { "beastiejob.com", true },
  { "beastowner.li", true },
  { "beatfeld.de", true },
  { "beatnikbreaks.com", true },
  { "beatrice-nightscout.herokuapp.com", true },
  { "beatrice-raws.org", true },
  { "beatrizaebischer.ch", false },
  { "beatuprobot.net", true },
  { "beaumelcosmetiques.fr", true },
  { "beaute-eternelle.ch", false },
  { "beauty-expert.co", true },
  { "beauty-form.ir", true },
  { "beauty-italy.ru", true },
  { "beauty24.de", true },
  { "beautyandfashionadvice.com", true },
  { "beautybh.com", true },
  { "beautycarepack.com.ng", true },
  { "beautycon.ir", true },
  { "beautyevent.fr", true },
  { "beautyinweb.net", true },
  { "beautykat.ru", true },
  { "beautyseasons.ru", true },
  { "beaver-creek.ga", true },
  { "beaverdamautos.com", true },
  { "beavertales.ca", true },
  { "bebe2luxe.es", true },
  { "bebe2luxe.fr", true },
  { "bebecar.com", true },
  { "bebef.de", true },
  { "bebefofuxo.com.br", true },
  { "bebemamae.com", true },
  { "bebes.uno", true },
  { "bebest.gov", false },
  { "beboldpr.com", true },
  { "beccaanne.photography", true },
  { "bech32.net", true },
  { "beckerantiques.com", true },
  { "beckijayes.family", true },
  { "becleverwithyourcash.com", true },
  { "become-lucky.com", true },
  { "becomeabricklayer.com.au", true },
  { "becquerelgroup.com", true },
  { "becs.ch", false },
  { "becydog.cz", true },
  { "bedacdn.com", true },
  { "bedamedia.com", true },
  { "bedandbreakfast.dk", true },
  { "bedandbreakfasteuropa.com", true },
  { "bedandbreakfasthoekvanholland.com", true },
  { "beddentotaal.nl", true },
  { "bedding.ro", true },
  { "bedels.nl", true },
  { "bednar.co", true },
  { "bedrijvencentrum-maartenslaan.nl", true },
  { "bedrijvencentrum-malberg.nl", true },
  { "bedrocklinux.org", true },
  { "bedste10.dk", true },
  { "bedtimeflirt.com", true },
  { "bee-creative.nl", true },
  { "bee-line.org.uk", true },
  { "bee-removal-dublin.com", true },
  { "beehive.govt.nz", true },
  { "beehive42.com", true },
  { "beehive42.eu", true },
  { "beehive42.net", true },
  { "beehive42.nl", true },
  { "beehive42.org", true },
  { "beehosting.pro", true },
  { "beelen.fr", true },
  { "beelit.com", true },
  { "beeming.net", true },
  { "beer9.com", true },
  { "beercast.co.uk", true },
  { "beeremovalspretoria.co.za", true },
  { "beergazetteer.com", true },
  { "beerians.com", true },
  { "beerians.info", true },
  { "beerjet.bg", true },
  { "beerjet.cz", true },
  { "beerjet.ro", true },
  { "beerjet.sk", true },
  { "beerjetcz.cz", true },
  { "beermedlar.com", true },
  { "beers.my", true },
  { "beersconf.com", true },
  { "beestation13.com", true },
  { "beeswarmrehoming.com.au", true },
  { "beeswax-orgone.com", true },
  { "beethoveninlove.com", true },
  { "beetman.net", true },
  { "beeutifulparties.co.uk", true },
  { "beexfit.com", false },
  { "beezkneezcastles.co.uk", true },
  { "beeznest.com", true },
  { "befoodsafe.gov", true },
  { "beforesunrise.de", true },
  { "beforeyoueatoc.com", true },
  { "beframed.ch", false },
  { "befreewifi.info", true },
  { "befundonline.de", true },
  { "begabungsfoerderung.info", true },
  { "begbie.com", true },
  { "beginner.nl", true },
  { "beginwp.top", true },
  { "behamepresrdce.sk", true },
  { "behamzdarma.cz", true },
  { "behar-selimi.tk", true },
  { "behead.de", true },
  { "beherit.pl", true },
  { "behindertenagentur.de", true },
  { "behna24hodin.cz", true },
  { "behoerden-online-dienste.de", true },
  { "behoreal.cz", true },
  { "bei18.com", true },
  { "beichtgenerator.de", true },
  { "beijesweb.nl", true },
  { "beijing.dating", true },
  { "beijinglug.club", true },
  { "beimchristoph.de", true },
  { "beinad.com", true },
  { "beinad.ru", true },
  { "beisance.com", true },
  { "beitmidrashrambam.com", true },
  { "bejarano.io", true },
  { "bekolite.com", true },
  { "bel-snegirek.ru", true },
  { "belacapa.com.br", true },
  { "belafonte.co", true },
  { "belanglos.de", true },
  { "belani.eu", true },
  { "belanja.express", true },
  { "belarto.be", true },
  { "belarto.de", true },
  { "belarto.fr", true },
  { "belarto.it", true },
  { "belarto.nl", true },
  { "belarto.pl", true },
  { "belastingmiddeling.nl", true },
  { "belavis.com", true },
  { "belebey.city", true },
  { "beleggingspanden-financiering.nl", true },
  { "belegit.org", true },
  { "belezashopping.com.br", true },
  { "belfastbounce.co.uk", true },
  { "belfastlocks.com", true },
  { "belfasttechservices.co.uk", true },
  { "belfastvibes.com", true },
  { "belfor-probleme.de", true },
  { "belfordroxo.net.br", true },
  { "belge.rs", true },
  { "belgers.com", true },
  { "belgicaservices.be", true },
  { "belgie-postcodes.be", true },
  { "belgraver.email", true },
  { "belgraver.eu", true },
  { "belgraver.xyz", true },
  { "belhopro.be", true },
  { "belics.com", true },
  { "belien-tweedehandswagens.be", false },
  { "believablebook.com", false },
  { "believersweb.org", true },
  { "belkamfish.com", true },
  { "bell.id.au", true },
  { "bella.network", true },
  { "bellaaroma.com.tw", true },
  { "bellabrowbydesign.com", true },
  { "bellaklein.de", true },
  { "bellamodeling.com", true },
  { "bellebakes.blog", true },
  { "bellevueowners.tk", true },
  { "bellezzasenzalimiti.it", true },
  { "bellinghamdetailandglass.com", true },
  { "belllegal.com.au", true },
  { "belloy.ch", false },
  { "belloy.net", false },
  { "bellware.io", false },
  { "belly-button-piercings.com", true },
  { "bellyandbrain.amsterdam", true },
  { "belmontgoessolar.org", true },
  { "belouga.org", true },
  { "belquant.cf", true },
  { "beltar.nl", true },
  { "belug.de", true },
  { "belvoirbouncycastles.co.uk", true },
  { "bembee.tk", true },
  { "bemcorp.de", true },
  { "bemindly.com", true },
  { "bemsoft.pl", true },
  { "ben-energy.com", false },
  { "ben2.co.il", true },
  { "benabrams.it", true },
  { "benary.org", true },
  { "benatherton.com", true },
  { "benazir-reaction.tk", true },
  { "benbalter.com", true },
  { "benbozsa.ca", true },
  { "benc.io", true },
  { "benceskorka.com", true },
  { "benchling.com", true },
  { "benchmarkmonument.com", true },
  { "benchstoolo.com", true },
  { "bencorby.com", true },
  { "bendemaree.com", true },
  { "bendingtheending.com", true },
  { "bendix.co", true },
  { "bendostore.com", true },
  { "bendyworks.com", true },
  { "beneathvt.com", true },
  { "benedict-balzer.de", true },
  { "benedictoaguilar.tech", true },
  { "benediktgeissler.de", true },
  { "benefits.gov", true },
  { "benefitshub.io", true },
  { "benefitshub.xyz", true },
  { "benepiscinas.com.br", true },
  { "benetcasablancas.tk", true },
  { "benewpro.com", true },
  { "bengalurugifts.com", true },
  { "bengisureklam.com", true },
  { "benhaney.com", true },
  { "benhartmann.de", true },
  { "benhavenarchives.org", true },
  { "benjamin-hering.com", true },
  { "benjamin-mary.herokuapp.com", true },
  { "benjamin.pe", true },
  { "benjaminblack.net", true },
  { "benjamindietrich.com", true },
  { "benjamindietrich.de", true },
  { "benjaminjurke.com", true },
  { "benjaminkopelke.com", true },
  { "benjamins.com", true },
  { "benjaminvasel.de", true },
  { "benjii.me", true },
  { "benjijaldoner.nl", true },
  { "benleemd.com", true },
  { "benmack.net", true },
  { "benmatthews.com.au", true },
  { "benmillett.us", false },
  { "bennet.org", true },
  { "bennettsbouncycastlehire.co.uk", true },
  { "bennettshire.co.uk", true },
  { "benni1.eu", true },
  { "bennierobinson.com", true },
  { "benno.frl", true },
  { "bennygommers.nl", true },
  { "benoniplumber24-7.co.za", true },
  { "benriya.shiga.jp", true },
  { "bensbouncycastles.co.uk", true },
  { "benschnarr.com", true },
  { "benscobie.com", true },
  { "benshoof.org", true },
  { "bensinflatables.co.uk", true },
  { "bensokol.com", true },
  { "bensoy.com", true },
  { "benstevinson.com", true },
  { "bentertain.de", true },
  { "bentinata.com", true },
  { "bentley.blog", true },
  { "bentley.link", true },
  { "bentongroup.co.uk", true },
  { "bentonweatherstone.co.uk", true },
  { "bentrask.com", true },
  { "benu.cz", true },
  { "benvds.com", true },
  { "benzi.io", true },
  { "benzina.cn", true },
  { "beoordelingen.be", true },
  { "bepayd.com", true },
  { "beplephan.com", true },
  { "bepsvpt.me", true },
  { "bequ1ck.com", true },
  { "bequiia.com", true },
  { "berakad.com", true },
  { "beranovi.com", true },
  { "beraten-entwickeln-steuern.de", true },
  { "berati.tv", true },
  { "beratungswelt.dvag", true },
  { "berdu.id", true },
  { "bereaplumber.co.za", true },
  { "bereginy.com.ua", true },
  { "berend.tk", true },
  { "berger-chiro.com", true },
  { "bergevoet-fa.nl", false },
  { "bergfex.at", true },
  { "bergfex.com", true },
  { "berghuus.ch", true },
  { "berglust-pur.de", true },
  { "bergman-gmbh.de", true },
  { "bergmanbeachproperties.com", true },
  { "bergstoneware.com", true },
  { "berichtsheft-vorlage.de", true },
  { "berikod.ru", true },
  { "beris.us", true },
  { "beritanow.tk", true },
  { "berkat-luqs.ddns.net", true },
  { "berksabstract.com", true },
  { "berksarl.org", true },
  { "berksnetworking.com", true },
  { "berlin-cuisine.com", true },
  { "berlin-flirt.de", true },
  { "berlin.dating", true },
  { "berluga.com", true },
  { "bermeitinger.eu", true },
  { "bermytraq.bm", true },
  { "bern.bz", true },
  { "berna.fr", true },
  { "bernar.do", true },
  { "bernardcontainers.be", false },
  { "bernardgo.com", true },
  { "bernat.ch", true },
  { "bernat.im", true },
  { "bernbrucher.com", true },
  { "bernbrucher.de", true },
  { "bernd-leitner-fotodesign.com", true },
  { "bernd-leitner-fotodesign.de", true },
  { "bernd-leitner.de", true },
  { "berndbousard.com", true },
  { "berndklaus.at", true },
  { "bernexskiclub.ch", true },
  { "bernhard-seidenspinner.de", true },
  { "bernhardkau.de", true },
  { "bernhardluginbuehl.ch", true },
  { "bernhardluginbuehl.com", true },
  { "bernieware.de", true },
  { "bernmail.ch", true },
  { "berra.se", true },
  { "berruezoabogados.com", true },
  { "berrus.com", true },
  { "berrypay.com", true },
  { "bersotavocats.fr", false },
  { "berst.cz", true },
  { "berthabailey.com", true },
  { "bertholdsson.com", true },
  { "bertold.org", true },
  { "bertoliniodontoiatria.it", true },
  { "bertrand.bio", true },
  { "bertrandkeller.info", true },
  { "bertsmithvwparts.com", true },
  { "beryl.net", true },
  { "bescoutednow.com", true },
  { "bescover.com", true },
  { "besensi.com", true },
  { "beserberg.tk", true },
  { "besole.ch", true },
  { "bespoiled.nl", true },
  { "bespokebathrooms.com.au", true },
  { "bespokemortgages.co.uk", true },
  { "bespokestraps.com", true },
  { "best-accounting-schools.com", true },
  { "best-art-colleges.com", true },
  { "best-baptist-colleges.com", true },
  { "best-beauty-schools.com", true },
  { "best-book.gq", true },
  { "best-business-colleges.com", true },
  { "best-catholic-colleges.com", true },
  { "best-community-colleges.com", true },
  { "best-culinary-colleges.com", true },
  { "best-education-schools.com", true },
  { "best-engineering-colleges.com", true },
  { "best-essay-service.com", true },
  { "best-graduate-programs.com", true },
  { "best-hvac-schools.com", true },
  { "best-lutheran-colleges.com", true },
  { "best-management-schools.com", true },
  { "best-marketing-schools.com", true },
  { "best-music-colleges.com", true },
  { "best-nursing-colleges.com", true },
  { "best-pharmacy-schools.com", true },
  { "best-tickets.co.uk", true },
  { "best-trucking-schools.com", true },
  { "best-wallpaper.net", true },
  { "best10websitebuilders.com", true },
  { "best2pay.net", true },
  { "best66.me", true },
  { "bestattungen-kammerer.de", true },
  { "bestattungshaus-kammerer.de", true },
  { "bestautoinsurance.com", true },
  { "bestbatteriesonline.com", true },
  { "bestboot.cf", true },
  { "bestbrokerindia.com", true },
  { "bestbuyzone.com", true },
  { "bestcarscyprus.com", true },
  { "bestcivilattorneys.com", true },
  { "bestcrossbowguide.com", true },
  { "bestdating.today", true },
  { "bestdownloadscenter.com", true },
  { "bestechgadgets.tk", true },
  { "bestedeal.nl", true },
  { "bestehostingproviders.nl", true },
  { "bestesb.com", true },
  { "bestessayhelp.com", true },
  { "bestfotostudio.com", true },
  { "bestfriendsequality.org", true },
  { "bestgiftever.ca", true },
  { "bestguessonline.com", true },
  { "besthemes.tk", true },
  { "besthost.cz", true },
  { "besti.it", true },
  { "bestinbarter.com", true },
  { "bestinshowing.com", true },
  { "bestinver.es", false },
  { "bestjumptrampolines.be", true },
  { "bestkenmoredentists.com", true },
  { "bestmedsmmj.com", true },
  { "bestmodels.ua", true },
  { "bestmotherfucking.website", true },
  { "bestofbooks.gq", true },
  { "bestoliveoils.com", true },
  { "bestpartyhire.com", true },
  { "bestpig.fr", true },
  { "bestplumbing.com", true },
  { "bestporngirls.com", true },
  { "bestpractice.domains", true },
  { "bestprint.vn", true },
  { "bestproductsaudit.com", true },
  { "bestshoesmix.com", true },
  { "bestsingingbowls.com", true },
  { "besttrade.tk", true },
  { "bestvideoeffects.net", true },
  { "bestwarezone.com", true },
  { "bestwebcams.ml", true },
  { "bestwebsite.gallery", true },
  { "bet-99.cc", true },
  { "bet-99.com", true },
  { "bet-99.net", true },
  { "bet01vip.com", false },
  { "bet02vip.com", false },
  { "bet03vip.com", false },
  { "bet04vip.com", false },
  { "bet05vip.com", false },
  { "bet064.com", true },
  { "bet074.com", true },
  { "bet10vip.com", false },
  { "bet166111.com", true },
  { "bet166222.com", true },
  { "bet166333.com", true },
  { "bet166444.com", true },
  { "bet166555.com", true },
  { "bet166777.com", true },
  { "bet166888.com", true },
  { "bet1668888.com", true },
  { "bet166b.com", true },
  { "bet166bbb.com", true },
  { "bet166c.com", true },
  { "bet166ddd.com", true },
  { "bet166eee.com", true },
  { "bet166fff.com", true },
  { "bet166hhh.com", true },
  { "bet166tt.com", true },
  { "bet166uu.com", true },
  { "bet166ww.com", true },
  { "bet166xx.com", true },
  { "bet166yy.com", true },
  { "bet168wy.com", true },
  { "bet168wy.net", true },
  { "bet261.com", true },
  { "bet333111.com", true },
  { "bet333123.com", true },
  { "bet333222.com", true },
  { "bet333345.com", true },
  { "bet333444.com", true },
  { "bet333456.com", true },
  { "bet333555.com", true },
  { "bet333567.com", true },
  { "bet333666.com", true },
  { "bet333678.com", true },
  { "bet333789.com", true },
  { "bet333999.com", true },
  { "bet333h.com", true },
  { "bet333i.com", true },
  { "bet333j.com", true },
  { "bet333k.com", true },
  { "bet333l.com", true },
  { "bet333m.com", true },
  { "bet333o.com", true },
  { "bet333p.com", true },
  { "bet333r.com", true },
  { "bet333s.com", true },
  { "bet333t.com", true },
  { "bet333u.com", true },
  { "bet333v.com", true },
  { "bet333w.com", true },
  { "bet333x.com", true },
  { "bet333y.com", true },
  { "bet33app.com", true },
  { "bet3602.com", true },
  { "bet3607.com", true },
  { "bet3639.com", true },
  { "bet365cn-casino.com", true },
  { "bet365cn-game.com", true },
  { "bet365cn-keno.com", true },
  { "bet365cn-livecasino.com", true },
  { "bet365cn-poker.com", true },
  { "bet365cn-sports.com", true },
  { "bet365cn-vegas.com", true },
  { "bet365cnq.com", true },
  { "bet365cnr.com", true },
  { "bet365cns.com", true },
  { "bet365cnt.com", true },
  { "bet365cnu.com", true },
  { "bet365cnv.com", true },
  { "bet365cnw.com", true },
  { "bet365cnx.com", true },
  { "bet365cny.com", true },
  { "bet365cnz.com", true },
  { "bet3app.com", true },
  { "bet43a.com", true },
  { "bet43app.com", true },
  { "bet43b.com", true },
  { "bet43c.com", true },
  { "bet43d.com", true },
  { "bet43e.com", true },
  { "bet43f.com", true },
  { "bet43g.com", true },
  { "bet43h.com", true },
  { "bet43i.com", true },
  { "bet43j.com", true },
  { "bet43k.com", true },
  { "bet43l.com", true },
  { "bet43m.com", true },
  { "bet43n.com", true },
  { "bet43o.com", true },
  { "bet43p.com", true },
  { "bet43q.com", true },
  { "bet43r.com", true },
  { "bet43s.com", true },
  { "bet43t.com", true },
  { "bet43u.com", true },
  { "bet43v.com", true },
  { "bet43w.com", true },
  { "bet43x.com", true },
  { "bet43y.com", true },
  { "bet43z.com", true },
  { "bet44401.com", true },
  { "bet44402.com", true },
  { "bet44403.com", true },
  { "bet44404.com", true },
  { "bet44405.com", true },
  { "bet44406.com", true },
  { "bet44407.com", true },
  { "bet44409.com", true },
  { "bet5119.com", true },
  { "bet5234.com", true },
  { "bet567111.com", true },
  { "bet567222.com", true },
  { "bet567333.com", true },
  { "bet567444.com", true },
  { "bet567555.com", true },
  { "bet5678.cc", true },
  { "bet5678.com", true },
  { "bet5678a.com", true },
  { "bet5678b.com", true },
  { "bet5678c.com", true },
  { "bet5678e.com", true },
  { "bet5678f.com", true },
  { "bet5678g.com", true },
  { "bet5757.com", true },
  { "bet5868.com", true },
  { "bet599.com", true },
  { "bet66669999.com", true },
  { "bet666888.vip", true },
  { "bet721.com", true },
  { "bet7234.com", true },
  { "bet819.com", true },
  { "bet820.com", true },
  { "bet86ah.com", true },
  { "bet86am.com", true },
  { "bet86bj.com", true },
  { "bet86cq.com", true },
  { "bet86fj.com", true },
  { "bet86gd.com", true },
  { "bet86gs.com", true },
  { "bet86gx.com", true },
  { "bet86gz.com", true },
  { "bet86hb.com", true },
  { "bet86hlj.com", true },
  { "bet86hn.com", true },
  { "bet86jl.com", true },
  { "bet86js.com", true },
  { "bet86jx.com", true },
  { "bet86ln.com", true },
  { "bet86nmg.com", true },
  { "bet86nx.com", true },
  { "bet86qh.com", true },
  { "bet86sc.com", true },
  { "bet86sd.com", true },
  { "bet86sh.com", true },
  { "bet86sx.com", true },
  { "bet86tj.com", true },
  { "bet86tw.com", true },
  { "bet86xg.com", true },
  { "bet86xj.com", true },
  { "bet86xz.com", true },
  { "bet86yn.com", true },
  { "bet86zj.com", true },
  { "bet916.com", true },
  { "bet9bet9.net", true },
  { "betaal.my", true },
  { "betaclouds.net", true },
  { "betaprofiles.com", true },
  { "betaworx.de", true },
  { "betaworx.eu", true },
  { "betb73.com", true },
  { "betcn-mart.com", true },
  { "betecnet.de", true },
  { "betgo9.cc", true },
  { "bethanypeds.com", true },
  { "betheredge.us", true },
  { "bethpage.net", true },
  { "beticalia.com", true },
  { "betimely.com", true },
  { "betmobilenigeria.com", true },
  { "betobaccofree.gov", true },
  { "betolerant.fr", true },
  { "betonbit.com", true },
  { "betonmarkets.info", true },
  { "betor.cz", true },
  { "betpamm.com", true },
  { "betrifft-mich-dsgvo.ch", true },
  { "bets.gg", true },
  { "betseybuckheit.com", true },
  { "betsharpangles.com", true },
  { "betshoot.com", true },
  { "betsyshilling.com", true },
  { "bett1.at", true },
  { "bett1.ch", true },
  { "bett1.de", true },
  { "bett1.fr", true },
  { "bett1.pl", true },
  { "bettaline.com.au", true },
  { "bettashoerepairs.com.au", true },
  { "better-bounce.co.uk", true },
  { "better.com", true },
  { "better.fyi", true },
  { "betterbabyshop.com.au", true },
  { "betterbladders.com", true },
  { "bettercareclinic.co.uk", true },
  { "bettercleaningcompany.co.uk", true },
  { "betterconsult.com", true },
  { "bettercrypto.org", true },
  { "betterna.me", true },
  { "betterscience.org", true },
  { "bettersecurity.co", true },
  { "bettersocialmedia.co.uk", true },
  { "bettertest.it", true },
  { "bettertime.de", true },
  { "bettertime.jetzt", true },
  { "betterweb.fr", true },
  { "betterworldinternational.org", true },
  { "bettflaschen.ch", true },
  { "bettingbusiness.ru", true },
  { "bettingsider.dk", true },
  { "bettmer.at", true },
  { "bettmer.de", true },
  { "bettolinokitchen.com", true },
  { "bettrlifeapp.com", true },
  { "betty-baloo.com", true },
  { "bettyweber.com", true },
  { "betulashop.ch", true },
  { "betwalker.com", true },
  { "betwin9.com", true },
  { "betwin9.net", true },
  { "betza.online", true },
  { "beulen.email", true },
  { "beulen.link", true },
  { "beulen.pro", true },
  { "beuteugeu.com", true },
  { "bevedo.cz", true },
  { "bevedo.sk", true },
  { "beveiligingscamerawestland.nl", true },
  { "beveiligingsupdate.nl", true },
  { "bevelbeer.com", true },
  { "bevelpix.com", true },
  { "beverhof.nl", true },
  { "beverlyinternational.com", true },
  { "bevhills.com", true },
  { "bevinco2020.com", true },
  { "bevnut.com", true },
  { "bewegigsruum.ch", true },
  { "bewegtes-lagern.at", true },
  { "bewegtes-lagern.ch", true },
  { "bewegtes-lagern.com", true },
  { "bewegtes-lagern.de", true },
  { "bewegteslagern.ch", true },
  { "bewegteslagern.com", true },
  { "bewegteslagern.de", true },
  { "bewegungsfluss.com", false },
  { "bewerbungsfibel.de", true },
  { "bewertet.de", true },
  { "bewonderen.com", true },
  { "bexleycastles.co.uk", true },
  { "beybiz.com", true },
  { "beyerautomation.com", true },
  { "beyerm.de", true },
  { "beyond-infinity.org", false },
  { "beyondalderaan.net", true },
  { "beyondbounce.co.uk", true },
  { "beyondboxgifts.com", true },
  { "beyondordinarylife.com", true },
  { "beyondpricing.com", true },
  { "beyondtodaymediagroup.com", true },
  { "beyondweb.net", true },
  { "beyours.be", true },
  { "bez-energie.de", true },
  { "bezahlbare-praemien.ch", true },
  { "bezlampowe.pl", true },
  { "bezlepkovamatka.cz", true },
  { "bezposrednio.net.pl", true },
  { "bezzia.com", true },
  { "bf5.ru", true },
  { "bfam.tv", true },
  { "bfanis.ir", true },
  { "bfdz.ink", true },
  { "bfem.gov", true },
  { "bfh.science", true },
  { "bfkcloud.ddns.net", true },
  { "bfob.gg", true },
  { "bforb.sk", true },
  { "bfp-mail.de", true },
  { "bfpg.org", true },
  { "bfw-online.de", true },
  { "bgbaby.net", true },
  { "bgemi.net", true },
  { "bgfashion.net", true },
  { "bghope.com", true },
  { "bghost.xyz", true },
  { "bgkoleda.bg", true },
  { "bglsingles.de", true },
  { "bgmn.me", true },
  { "bgp.space", true },
  { "bgr34.cz", true },
  { "bgs-game.com", true },
  { "bgtoyou.com", true },
  { "bguidinger.com", true },
  { "bh-oberland.de", true },
  { "bh.sb", true },
  { "bhat.vn", true },
  { "bhavansvidyamandir.tk", true },
  { "bhaweshkumar.com", true },
  { "bhglamour.com", true },
  { "bhi.consulting", true },
  { "bhimarmyofficial.com", true },
  { "bhodisoft.com", true },
  { "bhrenovations.com", true },
  { "bhserralheria.com.br", true },
  { "bhtelecom.ba", true },
  { "bhuntr.com", true },
  { "bhxch.moe", true },
  { "bhyn.ca", true },
  { "bi.search.yahoo.com", false },
  { "bi1gif.radio", true },
  { "bi8cku.club", true },
  { "bia2takhfif.com", true },
  { "biaggeo.com", true },
  { "biancapulizie.it", true },
  { "biancazapatka.com", true },
  { "biapinheiro.com.br", true },
  { "biasmath.es", true },
  { "biathloncup.ru", true },
  { "bibica.net", true },
  { "bible-maroc.com", true },
  { "biblesignposts.com", true },
  { "bibliaon.com", true },
  { "bibliatodo.com", true },
  { "biblioblog.fr", true },
  { "bibliobus.ch", true },
  { "bibliology.org", true },
  { "bibliomarkt.ch", true },
  { "biblionaut.net", true },
  { "biblionix.com", true },
  { "biblioporn.com", true },
  { "bibliotecadeseguranca.com.br", true },
  { "bibliotekasnow.org", true },
  { "bibliotherapie-existentiale.com", true },
  { "biboumail.fr", true },
  { "bibuch.com", true },
  { "bicecontracting.com", true },
  { "bicha.net", true },
  { "bicicletassym.com", true },
  { "bicifanaticos.com", true },
  { "bicycleframeiz.com", true },
  { "bicycleuniverse.com", true },
  { "bidadari.my", true },
  { "biddl.com", true },
  { "biddle.co", true },
  { "bidman.cz", true },
  { "bidman.eu", true },
  { "bidu.com.br", true },
  { "bie08.com", true },
  { "bie35.com", true },
  { "bie79.com", true },
  { "biec.moe", true },
  { "biegal.ski", true },
  { "biegner-technik.de", true },
  { "biehlsoft.info", true },
  { "bielefailed.de", true },
  { "bien-etre-sante.info", true },
  { "bienestarfacial.com", true },
  { "bienestarinmobiliarioyaliadas.com", true },
  { "bienhacerlimpiezas.es", true },
  { "bienici.com", true },
  { "bienoubien.org", true },
  { "bienvenidoamerica.com", true },
  { "biergaizi.info", true },
  { "bierochs.org", true },
  { "bierwebshop.be", true },
  { "bieser.ch", true },
  { "biester.pro", true },
  { "bifm.de", true },
  { "bifrost.cz", true },
  { "big-andy.co.uk", true },
  { "big-bounce.co.uk", true },
  { "big-office.lviv.ua", true },
  { "big-tits-video.ru", true },
  { "bigbank.ee", true },
  { "bigbendcoffeeroasters.com", true },
  { "bigbendguide.com", true },
  { "bigbluedoor.net", true },
  { "bigboris.tk", true },
  { "bigbouncebouncycastles.co.uk", true },
  { "bigbouncetheory.co.uk", true },
  { "bigbounceuk.com", true },
  { "bigcakes.dk", true },
  { "bigclassaction.com", true },
  { "bigdinosaur.org", true },
  { "bigdiscounts.tk", true },
  { "bigfatbetty.com", true },
  { "biggerpicture.agency", true },
  { "biggles.io", true },
  { "bighouse-events.co.uk", true },
  { "bigideasnetwork.com", true },
  { "bigio.com.br", true },
  { "biglou.com", false },
  { "biglu.eu.org", true },
  { "bigorbitgallery.org", true },
  { "bigpicture-learning.com", true },
  { "bigprintinglasvegas.com", true },
  { "bigsam.us", true },
  { "bigserp.com", true },
  { "bigshopper.com", true },
  { "bigshopper.nl", true },
  { "bigsisterchannel.com", true },
  { "bigskylifestylerealestate.com", true },
  { "bigskymontanalandforsale.com", true },
  { "bigudi.ee", true },
  { "bihub.io", true },
  { "biilo.com", true },
  { "bijancompany.com", true },
  { "bijouxcherie.com", true },
  { "bijuteriicualint.ro", true },
  { "bike-kurse.ch", true },
  { "bike-shack.com", true },
  { "bikebristol.com", true },
  { "bikehistory.org", true },
  { "biker.dating", true },
  { "bikhof.com", true },
  { "bikiniseli.com", true },
  { "bikkelbroeders.com", false },
  { "bikkelbroeders.nl", false },
  { "bilalic.com", true },
  { "bilalkilic.de", true },
  { "bilbayt.com", true },
  { "bilder-designs.de", true },
  { "bildiri.ci", true },
  { "bildkomponist.de", true },
  { "bildschirmflackern.de", true },
  { "bildungshaus-arnach.de", true },
  { "biletvkrym.ga", true },
  { "biletyplus.by", true },
  { "biletyplus.ua", true },
  { "bilgo.com", true },
  { "bilibili.link", true },
  { "bilibili.sh", true },
  { "bilimoe.com", true },
  { "bilke.org", true },
  { "billaud.eu.org", true },
  { "billcompare.ga", true },
  { "billfazz.com", true },
  { "billgradywebdesign.com", true },
  { "billhartzer.com", true },
  { "billiardmaster.com.ua", true },
  { "billigastehemsidan.se", true },
  { "billiger-mietwagen.de", true },
  { "billigerfinder.de", true },
  { "billigpoker.dk", true },
  { "billin.net", true },
  { "billionaire365.com", true },
  { "billionairemailinglist.com", true },
  { "billionbooksbaby.org", true },
  { "billkochman.com", true },
  { "billogr.am", true },
  { "billogram.be", true },
  { "billogram.ch", true },
  { "billogram.co", true },
  { "billogram.co.uk", true },
  { "billogram.com", true },
  { "billogram.de", true },
  { "billogram.es", true },
  { "billogram.eu", true },
  { "billogram.fi", true },
  { "billogram.fr", true },
  { "billogram.io", true },
  { "billogram.it", true },
  { "billogram.me", true },
  { "billogram.net", true },
  { "billogram.nl", true },
  { "billogram.nu", true },
  { "billogram.org", true },
  { "billogram.se", true },
  { "billogramcontent.com", true },
  { "billograminternal.com", true },
  { "billogramstatic.com", true },
  { "billogramtest.com", true },
  { "billopay.com", true },
  { "billopay.de", true },
  { "billopay.se", true },
  { "billpro.com", false },
  { "billy.pictures", true },
  { "billyoh.com", true },
  { "billywig.stream", true },
  { "biltullen.com", true },
  { "bim.physio", true },
  { "bimacitizen.com", true },
  { "bimbo.com", false },
  { "bimbo.com.ar", false },
  { "bimbobakeriesusa.com", false },
  { "bimbole.it", true },
  { "bimibroccoli.co.uk", true },
  { "bimibroccoli.com", true },
  { "bimibroccoli.dk", true },
  { "bimibroccoli.it", true },
  { "bimibroccoli.nl", true },
  { "bimibroccoli.se", true },
  { "bimibrocoli.es", true },
  { "bimibrocoli.fr", true },
  { "bimibrokkoli.de", true },
  { "bimmerlabs.com", true },
  { "bin92.com", true },
  { "bin95.com", true },
  { "bina.az", true },
  { "binans.com", true },
  { "binans.com.tr", true },
  { "binans.net", true },
  { "binaries.fr", true },
  { "binary.house", true },
  { "binaryappdev.com", true },
  { "binarycreations.scot", true },
  { "binarydream.fi", true },
  { "binaryrebel.net", true },
  { "binarystud.io", true },
  { "binbin9.com", true },
  { "binbin9.net", true },
  { "binding-problem.com", true },
  { "bing.com", true },
  { "bingobank.org", true },
  { "binhex.net", true },
  { "binhp.com", true },
  { "biniou.net", true },
  { "binkconsulting.be", true },
  { "binnenmeer.de", true },
  { "binoqlo.com", true },
  { "binsp.net", true },
  { "bintach.com", true },
  { "binti.com", true },
  { "bintooshoots.com", true },
  { "bio-disinfestazione.it", true },
  { "bio-feed.org", true },
  { "bio-place.com", true },
  { "bio24.si", true },
  { "bioamtw.com", true },
  { "bioastin.de", true },
  { "bioatelier.it", true },
  { "biobuttons.ch", true },
  { "biocal.eu", true },
  { "biocal.nl", true },
  { "biocheminee.com", true },
  { "biocrafting.net", true },
  { "biodiagnostiki.clinic", true },
  { "biodieseldata.com", true },
  { "biodots.at", true },
  { "biodots.eu", true },
  { "biodots.info", true },
  { "biodots.it", true },
  { "bioedilizia.roma.it", true },
  { "bioemprendiendo.com", true },
  { "bioemsan.cz", true },
  { "bioequivalence.design", true },
  { "bioetco.ch", true },
  { "bioexploratorium.pl", true },
  { "biofattorietoscane.it", true },
  { "biogaspuxin.es", true },
  { "biogecho.ch", false },
  { "biogecho.swiss", false },
  { "biogeist.de", true },
  { "biogiardinaggio.it", true },
  { "biographywiki.net", true },
  { "biohappiness.com", true },
  { "bioharmony.ca", true },
  { "biointelligence-explosion.com", true },
  { "biokal-labsystems.eu", true },
  { "biokal-labsystems.nl", true },
  { "biokal.com", true },
  { "biokal.eu", true },
  { "biokal.nl", true },
  { "bioknowme.com", true },
  { "biol.moscow", true },
  { "biol.spb.ru", true },
  { "biolack.cf", true },
  { "bioleev.sklep.pl", true },
  { "bioligo.ch", false },
  { "biolika.ua", true },
  { "biolmarket.ru", true },
  { "biologis.ch", true },
  { "biology-colleges.com", true },
  { "biomax-mep.com.br", true },
  { "biomed-hospital.ch", true },
  { "biomed.ch", true },
  { "biomin.co.uk", true },
  { "biomodra.cz", true },
  { "bionezis.com", true },
  { "bionicman.name", true },
  { "bionima.com", true },
  { "biopsychiatry.com", true },
  { "bioresonanz-ibiza.com", true },
  { "biosafe.ch", false },
  { "biosalts.it", true },
  { "biosbits.org", true },
  { "biosearch.tk", true },
  { "bioshine.com.sg", true },
  { "biosignalanalytics.com", true },
  { "biosphere.cc", true },
  { "biospw.com", true },
  { "biotechware.com", true },
  { "biotecommunity.com", true },
  { "biotera.cl", true },
  { "biotin.ch", true },
  { "biowtage.gq", true },
  { "birbaumer.li", true },
  { "birchbarkfurniture.com", true },
  { "birchbarkfurniture.fr", true },
  { "birdbrowser.com", true },
  { "birdie.pt", true },
  { "birdiehosting.nl", true },
  { "birdslabel.com", true },
  { "birdymanbestreviews.com", true },
  { "birgerschwarz.de", false },
  { "birgit-rydlewski.de", true },
  { "birkenstab.de", true },
  { "birkenwasser.de", true },
  { "birminghamsunset.com", true },
  { "birsinghdhami.com.np", true },
  { "birthday-to-you.com", true },
  { "birthdaytip.com", true },
  { "birzan.org", true },
  { "bisa-sis.net", true },
  { "biscuitcute.com.br", true },
  { "biser.online", true },
  { "bishopp.com.au", true },
  { "bishoptx.com", true },
  { "bismarck-tb.de", true },
  { "bison.co", true },
  { "bisq.community", true },
  { "bisq.network", true },
  { "bistrocean.com", true },
  { "bistroservice.de", true },
  { "bistrotdelagare.fr", true },
  { "bit-cloud.de", true },
  { "bit-rapid.com", true },
  { "bit-sentinel.com", true },
  { "bit-service-aalter.be", true },
  { "bit.biz.tr", true },
  { "bit8.com", true },
  { "bitaccelerate.com", true },
  { "bitbank.cc", true },
  { "bitbeans.de", true },
  { "bitbox.me", true },
  { "bitbucket.com", true },
  { "bitbucket.io", true },
  { "bitbucket.org", true },
  { "bitburner.de", true },
  { "bitchigo.com", true },
  { "bitclusive.de", true },
  { "bitcoin-fauset.cf", true },
  { "bitcoin-india.net", true },
  { "bitcoin.asia", true },
  { "bitcoin.ch", true },
  { "bitcoin.co.nz", true },
  { "bitcoin.de", true },
  { "bitcoin.im", true },
  { "bitcoin.info", true },
  { "bitcoin.ninja", true },
  { "bitcoin.org", true },
  { "bitcoin.us", true },
  { "bitcoinbitcoin.com", true },
  { "bitcoinbot.tk", true },
  { "bitcoincasinos.pro", true },
  { "bitcoincore.org", true },
  { "bitcoinemprendedor.com", true },
  { "bitcoinfees.net", true },
  { "bitcoingambling.pro", true },
  { "bitcoinindia.com", true },
  { "bitcoinrealestate.com.au", true },
  { "bitcointhefts.com", true },
  { "bitcoinx.ro", true },
  { "bitcork.io", true },
  { "bitcorner.de", true },
  { "bitcqr.io", true },
  { "bitech-ec.com", true },
  { "bitenose.com", true },
  { "bitex.la", true },
  { "bitfasching.de", false },
  { "bitfehler.net", true },
  { "bitfuse.net", true },
  { "bitgain-leverage.com", true },
  { "bitgild.com", true },
  { "bitgo.com", true },
  { "bitgrapes.com", true },
  { "bitguerrilla.com", true },
  { "bithausen.io", true },
  { "bither.net", true },
  { "bithir.co.uk", true },
  { "bititrain.com", true },
  { "bitjunkiehosting.com", true },
  { "bitking-trading.com", true },
  { "bitlo.com", true },
  { "bitlo.com.tr", true },
  { "bitlo.io", true },
  { "bitlo.org", true },
  { "bitmag.ml", true },
  { "bitmainwarranty.com", true },
  { "bitmart.com", true },
  { "bitmask.me", true },
  { "bitmidi.com", true },
  { "bitminter.com", true },
  { "bitok.com", true },
  { "bitpumpe.net", true },
  { "bitref.com", true },
  { "bitrefill.com", true },
  { "bitrefill.info", true },
  { "bitrush.nl", true },
  { "bits-hr.de", true },
  { "bitsafe.com.my", true },
  { "bitsalt.com", true },
  { "bitski.com", true },
  { "bitskins.co", true },
  { "bitskrieg.net", true },
  { "bitsler.ie", true },
  { "bitso.com", true },
  { "bitsoffreedom.nl", true },
  { "bitstage.uk", true },
  { "bitstep.ca", true },
  { "bitstorm.nl", true },
  { "bitstorm.org", true },
  { "bitsy.com", true },
  { "bitsync.nl", true },
  { "bitten.pw", true },
  { "bittersweetcandybowl.com", true },
  { "bittylicious.com", true },
  { "bitvest.io", true },
  { "bitvps.com", true },
  { "bitwarden.com", true },
  { "bitwolk.nl", true },
  { "bitxel.com.co", false },
  { "biurokarier.edu.pl", true },
  { "biuropulawy.pl", true },
  { "bixbydevelopers.com", true },
  { "bixservice.com", true },
  { "biyori.moe", true },
  { "biyou-homme.com", true },
  { "biz-architect.com", true },
  { "biz-secrety.gq", true },
  { "biz-secrety.ml", true },
  { "biz-seecrets.gq", true },
  { "biz4x.com", true },
  { "bizcash.co.za", true },
  { "bizeasesupport.com", true },
  { "bizeau.ch", true },
  { "bizedge.co.nz", true },
  { "bizgo.nl", true },
  { "bizlatinhub.com", true },
  { "biznes-sekrety.gq", true },
  { "biznes-sekrety.tk", true },
  { "biznesinfo.pl", true },
  { "biznesonline.info", true },
  { "biznet.tk", true },
  { "bizniskatalog.mk", true },
  { "biznpro.ru", true },
  { "bizpare.com", true },
  { "bizpay.su", true },
  { "bizstarter.cz", true },
  { "biztera.com", true },
  { "biztok.eu", true },
  { "biztouch.work", true },
  { "bizzdesign.cloud", true },
  { "bizzdesign.com", true },
  { "bizzit.se", true },
  { "bjarnerest.de", true },
  { "bjfuli.com", true },
  { "bjl5689.com", true },
  { "bjl5689.net", true },
  { "bjl688.cc", true },
  { "bjoe2k4.de", true },
  { "bjolanta.pl", true },
  { "bjornhelmersson.se", true },
  { "bjornjohansen.no", true },
  { "bjs.com.au", true },
  { "bjs.gov", true },
  { "bjsbouncycastles.com", true },
  { "bjut.photos", true },
  { "bk-wife.com", true },
  { "bkentertainments.co.uk", true },
  { "bkhpilates.co.uk", true },
  { "bkkf.at", true },
  { "bkositspartytime.co.uk", true },
  { "bkt.to", true },
  { "bkulup.com", true },
  { "bl00.se", true },
  { "bl4ckb0x.biz", true },
  { "bl4ckb0x.com", true },
  { "bl4ckb0x.de", true },
  { "bl4ckb0x.eu", true },
  { "bl4ckb0x.info", true },
  { "bl4ckb0x.net", true },
  { "bl4ckb0x.org", true },
  { "blaargh.com", true },
  { "blaauwgeers.pro", true },
  { "blaauwgeers.travel", true },
  { "blabber.im", true },
  { "blablacar.co.uk", true },
  { "blablacar.com.tr", true },
  { "blablacar.com.ua", true },
  { "blablacar.de", true },
  { "blablacar.es", true },
  { "blablacar.fr", true },
  { "blablacar.hr", true },
  { "blablacar.hu", true },
  { "blablacar.in", true },
  { "blablacar.it", true },
  { "blablacar.mx", true },
  { "blablacar.nl", true },
  { "blablacar.pl", true },
  { "blablacar.pt", true },
  { "blablacar.ro", true },
  { "blablacar.rs", true },
  { "blablacar.ru", true },
  { "black-holes.org", true },
  { "black-khat.com", true },
  { "black-magic-love-spells.com", true },
  { "black-mail.nl", true },
  { "black-raven.fr", true },
  { "black.dating", true },
  { "black.host", true },
  { "black1ce.com", true },
  { "blackandpony.de", true },
  { "blackbag.nl", true },
  { "blackbam.at", true },
  { "blackberryforums.be", true },
  { "blackbird-whitebird.com", true },
  { "blackboxconnections.com", true },
  { "blackcat.ca", true },
  { "blackcatinformatics.ca", true },
  { "blackcatinformatics.com", true },
  { "blackdown.de", true },
  { "blackdragoninc.org", true },
  { "blackedbyte.com", true },
  { "blackevent.be", true },
  { "blackfire.io", true },
  { "blackgamelp.de", true },
  { "blackgate.org", true },
  { "blackhat.dk", true },
  { "blackhawkup.com", true },
  { "blackhelicopters.net", true },
  { "blackhillsinfosec.com", true },
  { "blackhost.org", true },
  { "blackilli.de", true },
  { "blackjackballroomcasino.info", true },
  { "blackl.net", true },
  { "blacklightparty.be", true },
  { "blackmagickwitch.com", true },
  { "blackmagicshaman.com", true },
  { "blackminds.tk", true },
  { "blackmonday.gr", true },
  { "blacknetwork.eu", true },
  { "blacknova.io", true },
  { "blackoutzone.tk", true },
  { "blackpapermoon.de", true },
  { "blackphoenix.de", true },
  { "blackroadphotography.de", true },
  { "blackroot.eu", true },
  { "blackscytheconsulting.com", true },
  { "blackseals.net", true },
  { "blacksheepsw.com", true },
  { "blackspark.tk", true },
  { "blackstrapsecurity.com", true },
  { "blackstump.xyz", true },
  { "blackteam.org", true },
  { "blacktown.eu", true },
  { "blacktownbuildingsupplies.com.au", true },
  { "blacktubes.cf", true },
  { "blackyau.cc", true },
  { "blackys-chamber.de", false },
  { "blackzebra.audio", true },
  { "blaindalefarms.com", true },
  { "blaise.io", true },
  { "blakecoin.org", true },
  { "blakekhan.com", true },
  { "blakezone.com", true },
  { "blanboom.org", true },
  { "blancodent.com", true },
  { "blankersfamily.com", true },
  { "blanket.technology", true },
  { "blasorchester-runkel.de", true },
  { "blastentertainment.co.nz", true },
  { "blastentertainment.com.au", true },
  { "blastersklan.com", true },
  { "blaudev.es", true },
  { "blauerhunger.de", true },
  { "blaulicht-giessen.de", true },
  { "blaumedia.com", true },
  { "blautiefe.de", true },
  { "blauwwit.be", true },
  { "blayne.me", false },
  { "blayneallan.com", false },
  { "blazing.cz", true },
  { "blblblblbl.fr", true },
  { "bleaching-tipps.de", true },
  { "blechbuexn.de", true },
  { "bleche-onlineshop.at", true },
  { "bleche-onlineshop.de", true },
  { "blechinger.io", true },
  { "blechschmidt.saarland", true },
  { "blenderinsider.com", true },
  { "blenderrecipereviews.com", true },
  { "blending.kr", true },
  { "blendle.com", true },
  { "blendle.nl", true },
  { "blendr.com", true },
  { "blendstudios.com", true },
  { "blenheimears.com", true },
  { "blenneros.net", false },
  { "blessedgeeks.org", true },
  { "blessedgeeks.social", true },
  { "blessedguy.com", true },
  { "blewebprojects.com", true },
  { "blichmann.eu", true },
  { "blideobames.com", true },
  { "blidz.com", true },
  { "blieque.co.uk", true },
  { "bliesekow.net", true },
  { "blijfbij.com", true },
  { "blijfbij.eu", true },
  { "blikund.swedbank.se", true },
  { "blindpigandtheacorn.com", true },
  { "blinds.media", true },
  { "blindsjoburg.com", true },
  { "bling9.com", true },
  { "bling999.cc", true },
  { "bling999.com", true },
  { "bling999.net", true },
  { "blingsparkleshine.com", true },
  { "blingwang.cn", true },
  { "blinkdrivex.com", true },
  { "blinking.link", true },
  { "blio.tk", true },
  { "blip.website", true },
  { "blissdrive.com", true },
  { "blissjoe.com", true },
  { "blissplan.com", true },
  { "blivawesome.dk", true },
  { "blivvektor.dk", true },
  { "blixtv.com", true },
  { "blizhost.com", true },
  { "blizhost.com.br", true },
  { "blkbx.eu", true },
  { "blm.gov", true },
  { "blm69.cc", true },
  { "blo-melchiorshausen.de", true },
  { "blobemoji.com", true },
  { "blobfolio.com", true },
  { "blobs.gg", true },
  { "blocher.ch", true },
  { "blochoestergaard.com", true },
  { "block-this.com", true },
  { "block65.com", true },
  { "blockchain.com", true },
  { "blockchain.info", true },
  { "blockchain.poker", true },
  { "blockchainced.com", true },
  { "blockchaindaigakko.jp", true },
  { "blockchainmagazine.net", true },
  { "blockclique.io", true },
  { "blockedyourcar.com", true },
  { "blockedyourcar.net", true },
  { "blockedyourcar.org", true },
  { "blockmetry.com", true },
  { "blocktab.io", true },
  { "blockwatch.cc", true },
  { "blockxit.de", true },
  { "bloemenbesteld.nl", true },
  { "bloemendal.me", true },
  { "blog-garage.com", true },
  { "blog-grupom2.es", true },
  { "blog-investimenti.it", true },
  { "blog.linode.com", false },
  { "blog.lookout.com", false },
  { "blog.torproject.org", false },
  { "blogaid.net", true },
  { "bloganchoi.com", true },
  { "blogaram.tk", true },
  { "blogarts.net", true },
  { "blogauto.cz", true },
  { "blogbooker.com", true },
  { "blogcast.com", true },
  { "blogcosmeticsurgeon.ga", true },
  { "blogdefarmacia.com", true },
  { "blogdelosjuguetes.com", true },
  { "blogdieconomia.it", true },
  { "blogdimoda.com", true },
  { "blogdimotori.it", true },
  { "bloggermumofthreeboys.com", true },
  { "blogging-life.com", true },
  { "bloggingtipsfornewblogger.com", true },
  { "bloggytalky.com", true },
  { "bloginbeeld.nl", true },
  { "blogit.fi", true },
  { "blognews.cf", true },
  { "blognone.com", true },
  { "blogofapps.com", true },
  { "blogpress.co.il", true },
  { "blogredmachine.com", true },
  { "blogreen.org", true },
  { "blogsdna.com", true },
  { "blogsked.com", true },
  { "blogthedayaway.com", true },
  { "blogthetindung.com", true },
  { "blogtroterzy.pl", true },
  { "blok56.nl", true },
  { "blomberg.name", true },
  { "bloobet.com", true },
  { "bloodhunt.eu", true },
  { "bloodpop.tk", true },
  { "bloodsports.org", true },
  { "bloody.pw", true },
  { "bloom-avenue.com", true },
  { "bloomscape.com", true },
  { "bloondl.com", true },
  { "blopezabogado.es", true },
  { "blrjmt.com", true },
  { "bltc.co.uk", true },
  { "bltc.com", true },
  { "bltc.net", true },
  { "bltc.org", true },
  { "bltc.org.uk", true },
  { "bltdirect.com", true },
  { "blubbablasen.de", true },
  { "blubberladen.de", true },
  { "blubop.fr", true },
  { "blue-gmbh-erfahrungen.de", true },
  { "blue-gmbh.de", true },
  { "blue-leaf81.net", true },
  { "blue-nijmegen.nl", true },
  { "blue42.net", true },
  { "blueangel.org.tw", true },
  { "bluebie.com", true },
  { "blueblou.com", true },
  { "bluebnc.com", true },
  { "bluecanvas.io", true },
  { "bluecrazii.nl", true },
  { "blued.moe", true },
  { "bluedeck.org", true },
  { "blueeyedmaid.co.uk", true },
  { "bluefrag.com", true },
  { "bluefuzz.nl", true },
  { "bluegifts.ro", true },
  { "bluehelixmusic.com", true },
  { "bluehillhosting.com", true },
  { "blueimp.net", true },
  { "bluekrypt.com", true },
  { "blueliquiddesigns.com.au", true },
  { "bluemail24.com", true },
  { "bluemanhoop.com", true },
  { "bluemarmalade.co.uk", true },
  { "bluemeteor.co", true },
  { "bluemoonrescue.org", true },
  { "bluemoonroleplaying.com", true },
  { "bluemosh.com", true },
  { "bluemtnrentalmanagement.ca", true },
  { "bluenailsstudio.nl", true },
  { "bluenote9.com", true },
  { "blueoakart.com", true },
  { "blueperil.de", true },
  { "bluepoint.me", true },
  { "bluepostbox.de", true },
  { "blueprintrealtytn.com", true },
  { "bluepromocode.com", true },
  { "bluerootsmarketing.com", true },
  { "blueskycoverage.com", true },
  { "blueskydigitalstrategy.com", true },
  { "blueskyinsure.com", true },
  { "bluesoap.com.au", true },
  { "bluestardiabetes.com", true },
  { "bluestarroofing.com", true },
  { "bluestoneconstruction.com", true },
  { "bluesuncamping.com", true },
  { "bluesunhotels.com", true },
  { "blueswandaily.com", true },
  { "bluesync.co", true },
  { "bluetexservice.com", true },
  { "bluetomatographics.com", true },
  { "bluetoothspecialist.ga", true },
  { "bluewavewebdesign.com", true },
  { "bluex.im", true },
  { "bluex.info", true },
  { "bluex.net", true },
  { "bluex.org", true },
  { "bluffplumber.co.za", true },
  { "blui.xyz", true },
  { "bluiandaj.ml", true },
  { "bluimedia.com", true },
  { "bluinet.com", true },
  { "blumando.de", true },
  { "blumenfeldart.com", true },
  { "blumiges-fischbachtal.de", false },
  { "bluntandsnakes.com", true },
  { "blupig.net", true },
  { "blurringexistence.net", true },
  { "blusens.com", true },
  { "blusmurf.net", true },
  { "blutopia.xyz", false },
  { "blw.moe", true },
  { "blyat.science", true },
  { "blyth.me.uk", true },
  { "blythwood.com", true },
  { "blzrk.com", true },
  { "bmbfiltration.com", true },
  { "bmcorp.online", true },
  { "bmhglobal.com.au", true },
  { "bmk-kramsach.at", true },
  { "bmoattachments.org", true },
  { "bmone.net", true },
  { "bmros.com.ar", false },
  { "bmw-motorradclub-seefeld.de", true },
  { "bn4t.me", true },
  { "bnbsinflatablehire.co.uk", true },
  { "bnck.me", true },
  { "bngs.pl", true },
  { "bnin.org", true },
  { "bnjscastles.co.uk", true },
  { "bnty.net", true },
  { "bnzblowermotors.com", true },
  { "bo1689.net", true },
  { "bo4tracker.com", true },
  { "bo9club.cc", true },
  { "bo9club.com", true },
  { "bo9club.net", true },
  { "bo9fun.com", true },
  { "bo9fun.net", true },
  { "bo9game.com", true },
  { "bo9game.net", true },
  { "bo9king.net", true },
  { "boardgamegeeks.de", true },
  { "boards.ie", true },
  { "boardspot.com", true },
  { "boat-engines.eu", true },
  { "boats.com", true },
  { "boattrader.com", true },
  { "boattrader.com.au", true },
  { "bob-dylan.tk", true },
  { "bobaly.es", true },
  { "bobandducky.com", true },
  { "bobaobei.net", true },
  { "bobasy.pl", true },
  { "bobazar.com", false },
  { "bobbyblueplumbing.com", true },
  { "bobbyhensley.com", true },
  { "bobcoffee.com.br", true },
  { "bobcopeland.com", true },
  { "bobigames.com", true },
  { "bobkidbob.com", true },
  { "bobkoetsier.nl", true },
  { "bobnbounce.ie", true },
  { "bobnbouncedublin.ie", true },
  { "bobobox.net", true },
  { "bobstenancycleaning.co.uk", true },
  { "bobstronomie.fr", true },
  { "bocamo.it", true },
  { "bocawa.es", true },
  { "boccabell.com", true },
  { "bochantinobgyn.com", true },
  { "bochs.info", true },
  { "bockenauer.at", true },
  { "bocreation.fr", true },
  { "bodagratis.com", true },
  { "bodas.com.mx", true },
  { "bodasgratis.com", true },
  { "bodemplaten4x4.nl", true },
  { "bodhi.fedoraproject.org", true },
  { "bodin.cz", true },
  { "bodis.nl", true },
  { "bodsch.com", true },
  { "bodybuilding.com", true },
  { "bodybuildingworld.com", true },
  { "bodyconshop.com", true },
  { "bodygearguide.com", true },
  { "bodymusclejournal.com", true },
  { "bodypainter.pl", true },
  { "bodypainting.waw.pl", true },
  { "bodyshopnews.net", true },
  { "bodyweb.com.br", true },
  { "bodyworksautorebuild.com", true },
  { "boeddhashop.nl", true },
  { "boerdam.nl", true },
  { "boernecancerfonden.dk", true },
  { "boese.one", true },
  { "boevik.ml", true },
  { "bogdancornianu.com", true },
  { "bogdanepureanu.ro", true },
  { "bogena.com.ua", true },
  { "bogner.sh", true },
  { "bogs-consulting.de", true },
  { "bogurl.com", true },
  { "bohaishibei.com", true },
  { "bohan.co", true },
  { "bohramt.de", true },
  { "boimmobilier.ch", false },
  { "boiseonlinemall.com", true },
  { "boisewaldorf.org", true },
  { "bojiu99.cc", true },
  { "bokadoktorn-test.net", true },
  { "bokadoktorn.se", true },
  { "boke112.com", true },
  { "bokka.com", true },
  { "bokkeriders.com", true },
  { "boksburgplumber24-7.co.za", true },
  { "bokutake.com", true },
  { "bol.io", true },
  { "bolalocobrews.co.uk", true },
  { "bolamarela.com.br", true },
  { "bolamarela.pt", true },
  { "boldmediagroup.com", true },
  { "bolektro.de", true },
  { "boleyn.su", true },
  { "bolgarka.kz", true },
  { "bolgarnyelv.hu", true },
  { "bolgarus.ru", true },
  { "bolico.de", true },
  { "bolivar80.com", true },
  { "bologna-disinfestazioni.it", true },
  { "bolovegna.it", true },
  { "bolsashidrosolubles.com", true },
  { "bolt.cm", false },
  { "bolt.com", true },
  { "boltbeat.com", true },
  { "bolte.org", true },
  { "boltenergy.ca", true },
  { "boltmobile.ca", true },
  { "bomb.codes", true },
  { "bombe-lacrymogene.fr", true },
  { "bomboniere.roma.it", true },
  { "bomhard.de", true },
  { "bomhard.net", true },
  { "bomhard.org", true },
  { "bonaccorso.eu", true },
  { "bonaemi.ga", true },
  { "bonami.cz", true },
  { "bonami.hu", true },
  { "bonami.pl", true },
  { "bonami.ro", true },
  { "bonami.sk", true },
  { "bonawehouse.co.uk", true },
  { "bonbonmania.com", false },
  { "bonchaboncha.com.tw", true },
  { "bondagefetishstore.com", true },
  { "bondank.com", true },
  { "bondarenko.dn.ua", true },
  { "bondingwithbaby.ca", true },
  { "bondlink.com", true },
  { "bondskampeerder.nl", true },
  { "bonebunny.de", true },
  { "boneko.de", true },
  { "bonesserver.com", true },
  { "bonfi.net", true },
  { "bongbabyhouse.com", true },
  { "bongbabyhouse.vn", true },
  { "bongloy.com", true },
  { "bongo.cat", true },
  { "bongocams.webcam", true },
  { "bongoo.fr", true },
  { "bonifatius-friedrich.de", true },
  { "bonifatiusfriedrich.de", true },
  { "bonito.pl", true },
  { "bonn.digital", true },
  { "bonnant-associes.ch", false },
  { "bonnant-partners.ch", false },
  { "bonnieradvocaten.nl", true },
  { "bonnyprints.at", true },
  { "bonnyprints.ch", true },
  { "bonnyprints.es", true },
  { "bonnyprints.fr", true },
  { "bonprix.co.uk", true },
  { "bonsaimedia.nl", true },
  { "bonsi.net", true },
  { "bonsi.org", true },
  { "bonus.ca", true },
  { "bonus.net.nz", true },
  { "bonus.pl", true },
  { "bonusov.tk", true },
  { "bonussource.com", true },
  { "bonux.co", true },
  { "boodmo.com", true },
  { "book-in-hotel.com", true },
  { "bookameeting.se", true },
  { "booker.ly", true },
  { "bookingapp.be", true },
  { "bookingapp.nl", true },
  { "bookingslog.com", true },
  { "bookingtool.net", true },
  { "bookingworldspeakers.com", true },
  { "bookluk.com", true },
  { "bookmein.in", true },
  { "booknowmytrip.com", true },
  { "bookofdenim.com", true },
  { "books.co.ua", true },
  { "booksearch.jp", true },
  { "bookshopofindia.com", true },
  { "booksinthefridge.at", true },
  { "bookslibrarybooks.gq", true },
  { "booktoan.com", true },
  { "booktracker-org.appspot.com", true },
  { "bookwave.art", true },
  { "bookwormex.com", true },
  { "bookzaga.com", true },
  { "bool.be", true },
  { "boombv.com", false },
  { "boomfestival.org", true },
  { "boomkins.net", true },
  { "boomshelf.com", true },
  { "boomshelf.org", true },
  { "boonbox.com", true },
  { "booox.cc", true },
  { "booox.info", true },
  { "booox.net", true },
  { "booox.org", true },
  { "boop.pro", true },
  { "booplab.com", false },
  { "booquiz.com", true },
  { "boosinflatablegames.co.uk", true },
  { "boosman.nu", true },
  { "boosmanpoolservice.com", true },
  { "boost.ink", true },
  { "booter.pw", true },
  { "bootina.com", true },
  { "bootjp.me", false },
  { "bootsschule-weiss.de", true },
  { "bopiweb.com", true },
  { "bopp.org", true },
  { "borahan.net", true },
  { "borba-umov.tk", true },
  { "borchers.ninja", true },
  { "bordadoenpedreria.com", true },
  { "borderless360.com", true },
  { "bordes.me", true },
  { "bordo.com.au", true },
  { "boreacr.com", true },
  { "boredhousewifeconfessions.cf", true },
  { "borein.cf", true },
  { "boreo.si", true },
  { "boresmail.ru", true },
  { "borisenko.by", true },
  { "borja.io", true },
  { "born2bounce.co.uk", true },
  { "bornandgrazed.com", true },
  { "borneodictionary.com", true },
  { "bornfiber.dk", true },
  { "bornhack.dk", true },
  { "bornreality.tk", true },
  { "borowski.pw", true },
  { "borrelpartybus.nl", true },
  { "borriquillacuenca.tk", true },
  { "borysek.net", true },
  { "borysenko.se", true },
  { "bosattondskap.tk", true },
  { "boschsplit.co", true },
  { "boschveldtuin.nl", true },
  { "boscoyacht.ch", false },
  { "boscq.fr", true },
  { "bosekarmelitky.cz", true },
  { "boskeopolis-stories.com", true },
  { "boss.az", true },
  { "bossbabe.com", true },
  { "boston-sailing.com", true },
  { "bostonadvisors.com", true },
  { "bostonaoii.com", true },
  { "bosufitness.cz", true },
  { "bosun.io", true },
  { "bot-manager.pl", true },
  { "botcamp.org", true },
  { "botcore.ai", true },
  { "botezdepoveste.ro", true },
  { "botguard.net", true },
  { "bothellwaygarage.net", true },
  { "botmastery.com", true },
  { "botmedia.cf", true },
  { "botnam.com", true },
  { "botserver.de", true },
  { "bottineauneighborhood.org", true },
  { "bottinquebec.com", true },
  { "bottke.berlin", true },
  { "bottle.li", true },
  { "bottledstories.de", true },
  { "bou.cloud", true },
  { "bou.ke", false },
  { "bouah.net", true },
  { "bouchard-mathieux.com", true },
  { "bouchonville-knifemaker.com", true },
  { "boudah.pl", true },
  { "bougeret.fr", true },
  { "boughariosbros.com", true },
  { "boukoubengo.com", true },
  { "bouldercolorado.gov", true },
  { "boulderlibrary.org", true },
  { "boulderswap.com", true },
  { "boulzicourt.fr", true },
  { "bounce-a-mania.co.uk", true },
  { "bounce-a-roo.co.uk", true },
  { "bounce-abouts.com", true },
  { "bounce-n-go.co.uk", true },
  { "bounce-on.co.uk", true },
  { "bounce-r-us.co.uk", true },
  { "bounce-xtreme.co.uk", true },
  { "bounce4fun.co.uk", true },
  { "bounce4fun.ie", true },
  { "bounce4kidz.com", true },
  { "bounce4less.ie", true },
  { "bouncea-bout.com", true },
  { "bounceaboutandplay.co.uk", true },
  { "bounceaboutnewark.co.uk", true },
  { "bounceaboutsussex.co.uk", true },
  { "bouncealotcastlehire.co.uk", true },
  { "bouncealotnorthwest.co.uk", true },
  { "bounceandwobble.co.uk", true },
  { "bounceapp.com", true },
  { "bouncearoundevents.co.uk", true },
  { "bouncearoundsheffield.co.uk", true },
  { "bounceawaycastles.com", true },
  { "bouncebackcastles.co.uk", true },
  { "bouncebookings.com.au", true },
  { "bouncecrazy.ie", true },
  { "bouncejumpboston.co.uk", true },
  { "bouncekingdom.co.uk", true },
  { "bouncemaniaevents.co.uk", true },
  { "bouncemaniainflatables.co.uk", true },
  { "bouncemonkeys.co.uk", true },
  { "bouncenortheast.co.uk", true },
  { "bouncenpaint.co.uk", true },
  { "bouncepartycastles.com", true },
  { "bounceroosevents.co.uk", true },
  { "bouncers-bouncycastlehire.co.uk", true },
  { "bouncesouthwales.co.uk", true },
  { "bouncesquad.co.uk", true },
  { "bouncetasticuk.co.uk", true },
  { "bounceunlimited.co.uk", true },
  { "bouncewrightcastles.co.uk", true },
  { "bouncincastles.co.uk", true },
  { "bouncingbairnsinflatables.co.uk", true },
  { "bouncingbeansinflatables.co.uk", true },
  { "bouncingbobsinflatables.co.uk", true },
  { "bouncingbuddiesleicester.co.uk", true },
  { "bouncinghigher.co.uk", true },
  { "bouncingscotland.com", true },
  { "bouncy-castles-surrey.co.uk", true },
  { "bouncybaileys.co.uk", true },
  { "bouncyball.eu", true },
  { "bouncyballs.org", true },
  { "bouncybouncyboocastlehire.co.uk", true },
  { "bouncycastle.net.au", true },
  { "bouncycastlehire-norwich.com", true },
  { "bouncycastlehire-sheffield.co.uk", true },
  { "bouncycastlehire.co.uk", true },
  { "bouncycastlehireauckland.co.nz", true },
  { "bouncycastlehirebarnstaple.co.uk", true },
  { "bouncycastlehirebexley.co.uk", true },
  { "bouncycastlehirechelmsford.org.uk", true },
  { "bouncycastlehirehull.co.uk", true },
  { "bouncycastlehireinglasgow.co.uk", true },
  { "bouncycastlehirelouth.co.uk", true },
  { "bouncycastlehiremalvern.co.uk", true },
  { "bouncycastlehireoldham.co.uk", true },
  { "bouncycastlehirestroud.co.uk", true },
  { "bouncycastlehiresurrey.co.uk", true },
  { "bouncycastlehiretameside.co.uk", true },
  { "bouncycastlehirewinchester.co.uk", true },
  { "bouncycastleman.co.uk", true },
  { "bouncycastlemangloucestershire.co.uk", true },
  { "bouncycastleparade.com", true },
  { "bouncycastlesgalway.com", true },
  { "bouncycastleshire.co.uk", true },
  { "bouncycastleshireleeds.co.uk", true },
  { "bouncycastlesin.co.uk", true },
  { "bouncycastlesinderby.co.uk", true },
  { "bouncycastlesisleofwight.co.uk", true },
  { "bouncycastlessheerness.co.uk", true },
  { "bouncydays.co.uk", true },
  { "bouncygiggles.com.au", true },
  { "bouncyhigher.co.uk", true },
  { "bouncyhousecastlehire.co.uk", true },
  { "bouncykingdom.co.uk", true },
  { "bouncykings.co.uk", true },
  { "bouncykingsnortheast.co.uk", true },
  { "bouncymacs.co.uk", true },
  { "bouncyrainbows.co.uk", true },
  { "bouncytime.co.uk", true },
  { "bound2bounce.co.uk", true },
  { "boundarybrighton.com", true },
  { "boundaryford.com", true },
  { "boundaryvets.co.uk", true },
  { "bounouh.tk", true },
  { "bountyfactory.io", true },
  { "bourasse.fr", true },
  { "bourgeoisdoorco.com", true },
  { "bournefun.co.uk", true },
  { "bourseauxservices.com", true },
  { "boutiquedecanetas.com.br", true },
  { "boutiqueguenaelleverdin.com", true },
  { "boutoncoupdepoing.fr", true },
  { "bouw.live", true },
  { "bouwbedrijfvandortbv.nl", true },
  { "bouzouada.com", true },
  { "bouzouks.net", true },
  { "bovenwebdesign.nl", true },
  { "bowdens.me", true },
  { "bowedwallcrackrepair.com", true },
  { "boweryandvine.com", true },
  { "bowlcake.fr", true },
  { "bowling.com", true },
  { "bownty.co.uk", true },
  { "bownty.es", true },
  { "bownty.fr", true },
  { "bownty.it", true },
  { "bownty.nl", true },
  { "bowntycdn.net", true },
  { "bowtie.com.hk", true },
  { "boxcritters.wiki", true },
  { "boxcryptor.com", false },
  { "boxdropcc.com", true },
  { "boxintense.com", true },
  { "boxlink.de", true },
  { "boxpirates.to", true },
  { "boxspringbett-160x200.de", true },
  { "boxt.com.au", true },
  { "boxvergelijker.nl", true },
  { "boyfriendcookbook.com", true },
  { "boyhost.cn", true },
  { "boyinglanguage.com", true },
  { "boykovo.tk", true },
  { "boysontech.com", true },
  { "boz.nl", false },
  { "bozhok.tk", true },
  { "bozit.com.au", true },
  { "bpa.gov", true },
  { "bpaste.net", true },
  { "bpastudies.org", true },
  { "bphostels.com", true },
  { "bpo.ovh", true },
  { "bpol-forum.de", true },
  { "bpreguica.com.br", true },
  { "bps.vc", true },
  { "bpvboekje.nl", true },
  { "bqp.io", false },
  { "bqr.ch", false },
  { "br.search.yahoo.com", false },
  { "br3in.nl", false },
  { "br7.ru", true },
  { "braams.nl", true },
  { "braathe.no", true },
  { "brabank.no", true },
  { "brabank.se", true },
  { "bracho.xyz", true },
  { "brachotelborak.com", true },
  { "bracknellvets.co.uk", true },
  { "bradbrockmeyer.com", true },
  { "bradenanderin.com", true },
  { "bradfordhottubhire.co.uk", true },
  { "bradfordmascots.co.uk", true },
  { "bradkovach.com", true },
  { "bradler.net", false },
  { "bradlinder.org", true },
  { "bradypatterson.com", true },
  { "braeunlich-gmbh.com", true },
  { "brage.info", true },
  { "brahmins.com", true },
  { "braiampeguero.xyz", true },
  { "brailsford.xyz", true },
  { "brain-club.info", true },
  { "brain-force.ch", true },
  { "brainboxai.com", true },
  { "braineet.com", true },
  { "brainobeat.com", true },
  { "brainserve.ch", false },
  { "brainserve.com", false },
  { "brainserve.swiss", false },
  { "brainshare.tk", true },
  { "brainsik.net", true },
  { "brainstobrand.com", true },
  { "braintreegateway.com", true },
  { "brainvoyagermusic.com", true },
  { "brainwav.es", true },
  { "brainwork.space", true },
  { "brainyapp.net", true },
  { "braithwaites.ltd", true },
  { "brakemanpro.com", true },
  { "brakpanplumber24-7.co.za", true },
  { "bralnik.com", true },
  { "bramhallsamusements.com", true },
  { "bramois.tk", true },
  { "bramstaps.nl", true },
  { "bramvanaken.be", true },
  { "bramygrozy.pl", true },
  { "bran.land", true },
  { "branch-bookkeeper.com", true },
  { "branchenbuch-potsdam.com", true },
  { "branchtrack.com", true },
  { "brandand.co.uk", true },
  { "brandfolder.com", true },
  { "brandingclic.com", true },
  { "brandingclick.com", true },
  { "brandingcoapps.com", true },
  { "brandondivorcelawyer.com", true },
  { "brandonforce.com", true },
  { "brandonhubbard.com", true },
  { "brandonlin.me", true },
  { "brandonlui.com", true },
  { "brandonsample.com", true },
  { "brandonwalker.me", true },
  { "brandpit.nl", true },
  { "brandrocket.dk", true },
  { "brandstead.com", true },
  { "brandtrapselfie.nl", true },
  { "brandweerbarboek.nl", true },
  { "brandweerfraneker.nl", true },
  { "brandweertrainingen.nl", true },
  { "brandweeruitgeest.nl", true },
  { "brandwidth.com", true },
  { "branno.org", true },
  { "branode.com", false },
  { "bransive.com.au", true },
  { "branw.xyz", true },
  { "brasal.ma", true },
  { "brasalcosmetics.com", true },
  { "brashear.me", true },
  { "brasildxn.com.br", true },
  { "brasileiro.ca", false },
  { "brasserie-mino.fr", true },
  { "brasserie-twins.be", true },
  { "brasserie-twins.com", true },
  { "bratteng.me", true },
  { "bratteng.solutions", true },
  { "bratteng.xyz", true },
  { "bratunaconline.tk", true },
  { "bratvanov.com", true },
  { "brau-ingenieur.de", true },
  { "braudoktor.de", true },
  { "brauingenieur.de", true },
  { "braunsteinpc.com", true },
  { "braunwarth.info", true },
  { "brava.bg", true },
  { "brave-foods.ch", false },
  { "brave-foods.com", false },
  { "brave.com", true },
  { "bravebaby.com.au", true },
  { "bravebooks.berlin", true },
  { "bravica.tk", true },
  { "bravobet.et", true },
  { "bravor.pe", true },
  { "brazenfol.io", true },
  { "brazilian.dating", true },
  { "brazilianbikinishop.com", true },
  { "braziliex.com", true },
  { "brazillens.com", true },
  { "brazoriabar.org", true },
  { "brb.city", true },
  { "brck.nl", true },
  { "brd.ro", true },
  { "bread.fish", true },
  { "bread.red", true },
  { "breadandlife.org", true },
  { "breadofgod.org", true },
  { "breadpirates.chat", true },
  { "breakcraft.tk", true },
  { "breakerlink.com", true },
  { "breakingtech.fr", true },
  { "breakingtech.it", true },
  { "breakout.careers", true },
  { "breaky.de", true },
  { "breard.tf", true },
  { "breathedreamgo.com", true },
  { "breathingblanket.com", true },
  { "brecht.ch", true },
  { "breckle.com.ua", true },
  { "brecknell.biz", true },
  { "brecknell.com", true },
  { "brecknell.info", true },
  { "brecknell.name", true },
  { "brecknell.net", true },
  { "brecknell.org", true },
  { "breda.computer", true },
  { "breest.net", true },
  { "breeyn.com", true },
  { "brefy.com", true },
  { "brege.org", true },
  { "bregnedal.dk", true },
  { "bregnedalsystems.dk", true },
  { "breitband.bz.it", true },
  { "breizh.pm", true },
  { "brejoc.com", true },
  { "brelahotelberulia.com", true },
  { "bremen-restaurants.de", true },
  { "bremensaki.com", true },
  { "bremerfriedensforum.de", true },
  { "brenbarnes.com", true },
  { "brenbarnes.com.au", true },
  { "brendanbatliner.com", true },
  { "brendansbits.com", true },
  { "brentacampbell.com", true },
  { "brentnewbury.com", true },
  { "bressier.fr", true },
  { "brest-news.tk", true },
  { "bretcarmichael.com", true },
  { "bretech.net", true },
  { "brettabel.com", true },
  { "brettcornwall.com", true },
  { "brettlawyer.com", true },
  { "brettpostin.com", true },
  { "bretzner.fr", false },
  { "brevboxar.se", true },
  { "brewercollinsleadership.com", true },
  { "brewsouth.com", true },
  { "brewspark.co", true },
  { "brewvo.com", true },
  { "breyerslakeshoreresort.com", true },
  { "breyerslakesideresort.com", true },
  { "breyersresort.com", true },
  { "breznet.com", true },
  { "brgins.com", true },
  { "brguk.com", true },
  { "brian-gordon.name", true },
  { "brianalaway.com", true },
  { "brianalawayconsulting.com", true },
  { "briandwells.com", true },
  { "brianfoshee.com", true },
  { "briangosnell.com", true },
  { "brianjohnson.co.za", true },
  { "brianlehfeld.com", true },
  { "brianpagan.net", true },
  { "brianroadifer.com", true },
  { "briansemrau.com", true },
  { "briansmith.org", true },
  { "briantkatch.com", true },
  { "brianvalente.tk", true },
  { "brianwalther.com", true },
  { "brianwesaala.com", false },
  { "brianwilson.tk", true },
  { "brianwylie.com", true },
  { "briarproject.org", true },
  { "brickadia.com", true },
  { "brickftp.com", true },
  { "brickheroes.com", false },
  { "bricksmateriales.com.ar", true },
  { "brickstreettrio.com", true },
  { "brickvortex.com", false },
  { "brickweb.co.uk", true },
  { "bricolajeux.ch", false },
  { "brid.gy", false },
  { "bridalfabrics.co.uk", true },
  { "bridalfabrics.com", true },
  { "bridalfabrics.fr", true },
  { "bridalfabrics.ru", true },
  { "bridalshoes.com", true },
  { "bridalweddingshow.ga", true },
  { "bride-forever.com", true },
  { "bridgedigest.tk", true },
  { "bridgedirectoutreach.com", true },
  { "bridgeforcefinancial.com", true },
  { "bridgeglobalmarketing.com", true },
  { "bridgement.com", true },
  { "bridgercanyonfiremt.gov", false },
  { "bridgetroll.org", true },
  { "bridgevest.com", false },
  { "bridholm.se", true },
  { "bridltaceng.com", true },
  { "brie.tech", true },
  { "briefassistant.com", true },
  { "briefhansa.de", true },
  { "briefkasten-welt.com", true },
  { "briefvorlagen-papierformat.de", true },
  { "brier.me", true },
  { "brighouse-leisure.co.uk", true },
  { "brightday.bz", true },
  { "brightendofleasecleaning.com.au", true },
  { "brightonbank.com", false },
  { "brightonbouncycastles.net", true },
  { "brightonchilli.org.uk", true },
  { "brightpool-markets.com", true },
  { "brightside.com", true },
  { "brightworkcreative.com", true },
  { "brigidaarie.com", true },
  { "brigittaseasons.com", true },
  { "brigittefontaine.tk", true },
  { "brilalux.pe", true },
  { "brilliantbouncyfun.co.uk", true },
  { "brilliantproductions.co.nz", true },
  { "brillio.com", true },
  { "brimspark.systems", true },
  { "brindesgrafica.com.br", true },
  { "brindice.com.br", true },
  { "bring-heaven.com", true },
  { "bringingbackthesweatervest.com", true },
  { "brinkbem.com", true },
  { "brinksurl.com", true },
  { "brio-shop.ch", true },
  { "brioukraine.store", true },
  { "brisbanelogistics.com.au", true },
  { "brisignshop.com.au", true },
  { "brisq.design", true },
  { "bristebein.com", true },
  { "bristolandwestonsuperbounce.com", true },
  { "brit-thoracic.org.uk", true },
  { "britanniacateringyeovil.co.uk", true },
  { "britanniapandi.com", true },
  { "britelocate.com", true },
  { "britishbeef.com", true },
  { "britishbookmakers.co.uk", true },
  { "britishgroupsg.com", true },
  { "britishmeat.com", true },
  { "britishpearl.com", true },
  { "britishsciencefestival.org", true },
  { "britishscienceweek.org", true },
  { "britishsfaward.org", true },
  { "britishsnoring.co.uk", true },
  { "britneyclause.com", true },
  { "brittanyferriesnewsroom.com", true },
  { "britton-photography.com", true },
  { "brizawen.com", true },
  { "brk.dk", true },
  { "brk.st", true },
  { "brmsalescommunity.com", true },
  { "brnojebozi.cz", true },
  { "bro.hk", true },
  { "broadbandchoices.co.uk", true },
  { "broadbandnd.com", true },
  { "broadsheet.com.au", true },
  { "broadwayvets.co.uk", true },
  { "broadyexpress.com.au", true },
  { "brockmeyer.net", true },
  { "brockmeyer.org", true },
  { "brodowski.cc", true },
  { "brody.digital", true },
  { "brody.ninja", true },
  { "broe.ie", true },
  { "broersma.com", true },
  { "brojagraphics.de", true },
  { "brokenhands.io", true },
  { "brokernotes.co", true },
  { "brols.eu", true },
  { "brompton-cocktail.com", true },
  { "bronetb2b.com.br", true },
  { "bronevichok.ru", true },
  { "broodbesteld.nl", true },
  { "broodingblogger.com", true },
  { "brookes.xyz", true },
  { "brooklyncosmetics.net", true },
  { "brooklynentdoc.com", true },
  { "brooklynrealestateblog.com", true },
  { "brosay-legko.ml", true },
  { "brossmanit.com", true },
  { "brouillard.ch", false },
  { "brouskat.be", true },
  { "brouwerijdeblauweijsbeer.nl", true },
  { "brovelton.com", true },
  { "brownchair.org", true },
  { "brownesgas.com", true },
  { "brownfieldstsc.org", true },
  { "brownforces.desi", true },
  { "brownforces.org", true },
  { "brownihc.com", true },
  { "brownsgroup.com", true },
  { "browntowncountryclub.com", true },
  { "brownwolfstudio.com", true },
  { "browse-tutorials.com", true },
  { "browsemycity.com", true },
  { "browserleaks.com", true },
  { "brrr.fr", true },
  { "bru6.de", true },
  { "brubank.com", true },
  { "brubankv1-staging.azurewebsites.net", true },
  { "brucebenes.com", true },
  { "brucekovner.com", true },
  { "brucemartin.net", true },
  { "brucherlaw.lu", true },
  { "bruck.me", true },
  { "bruckmuehler-kanu-club.de", true },
  { "bruckner.li", true },
  { "brudkista.nu", true },
  { "brudkista.se", true },
  { "brudkistan.nu", true },
  { "brudkistan.se", true },
  { "brugerklub.info", true },
  { "bruijns.org", true },
  { "brujoincaperuano.com", true },
  { "brujonegroperuano.com", true },
  { "brunchandmatch.be", true },
  { "brunick.de", false },
  { "brunn.email", true },
  { "brunner.ninja", true },
  { "brunohenc.from.hr", true },
  { "brunolt.nl", true },
  { "brunoproduit.ch", false },
  { "brunoramos.com", true },
  { "brunoramos.org", true },
  { "brunoreno.be", true },
  { "brush.ninja", true },
  { "brushcreekyachts.com", true },
  { "brusselsexpoloft.ga", true },
  { "brusselsexpostudio.ga", true },
  { "brutecloud.com", true },
  { "bruun.co", true },
  { "bry.do", false },
  { "bryanarmijomd.com", true },
  { "bryandesrosiers.com", true },
  { "bryanfalchuk.com", true },
  { "bryankaplan.com", true },
  { "bryanphilton.com", true },
  { "bryanquigley.com", true },
  { "bryansmith.net", true },
  { "bryansmith.tech", true },
  { "brycecanyon.net", true },
  { "brycecanyonnationalpark.com", true },
  { "bryggebladet.dk", true },
  { "brzy-svoji.cz", true },
  { "bs-network.net", true },
  { "bs.to", true },
  { "bs12v.ru", true },
  { "bsa157.org", true },
  { "bsaft.ml", true },
  { "bsapack564.org", true },
  { "bsatroop794.org", true },
  { "bsc-rietz.at", true },
  { "bscc.support", true },
  { "bscquimicos.com.br", true },
  { "bsd-box.net", true },
  { "bsdes.net", true },
  { "bsdfreak.dk", true },
  { "bsdio.com", true },
  { "bsdlab.com", true },
  { "bsdracing.ca", true },
  { "bsdunix.xyz", true },
  { "bsee.gov", true },
  { "bserved.de", true },
  { "bsg.ro", false },
  { "bsgamanet.ro", false },
  { "bsgcredit.ro", true },
  { "bsidesf.com", true },
  { "bsidesf.org", true },
  { "bsidessf.com", true },
  { "bsimyanmar.com", true },
  { "bsmn.ga", true },
  { "bso-buitengewoon.nl", true },
  { "bsociabl.com", true },
  { "bsp-southpool.com", true },
  { "bsquared.org", true },
  { "bssolvfagen-pre-storeswa-wap.azurewebsites.net", true },
  { "bsstainless.com", true },
  { "bstoked.net", true },
  { "bsw-solution.de", true },
  { "bszoft.hu", true },
  { "bt123.xyz", true },
  { "bt3655.com", true },
  { "bt3657.com", true },
  { "bt3658.com", true },
  { "bta.lv", false },
  { "bta00.com", true },
  { "bta55.com", true },
  { "btc-alpha.com", true },
  { "btc-doge.ga", true },
  { "btcarmory.com", true },
  { "btcbenthuizen.nl", true },
  { "btcbolsa.com", true },
  { "btcpop.co", true },
  { "bte365app.com", true },
  { "bteapp.com", true },
  { "bthub.site", true },
  { "bthub.xyz", true },
  { "btio.pw", false },
  { "btmstore.com.br", true },
  { "btnissanparts.com", true },
  { "btopc.jp", true },
  { "btorrent.xyz", true },
  { "btsapem.com", true },
  { "btshe.net", true },
  { "btsmoments.com", true },
  { "btsoft.eu", true },
  { "btsou.org", true },
  { "btsow.com", false },
  { "btsybt.com", true },
  { "btt0101.com", true },
  { "btt0303.com", true },
  { "btt0505.com", true },
  { "btt0606.com", true },
  { "btt0707.com", true },
  { "btt0707a.com", true },
  { "btt1111.com", true },
  { "btt1212.com", true },
  { "btt1313.com", true },
  { "btt138g.com", true },
  { "btt2020.com", true },
  { "btt2121.com", true },
  { "btt213.com", true },
  { "btt216.com", true },
  { "btt219.com", true },
  { "btt221.com", true },
  { "btt225.com", true },
  { "btt2323a.com", true },
  { "btt2525.com", true },
  { "btt256.com", true },
  { "btt263.com", true },
  { "btt268.com", true },
  { "btt269g.com", true },
  { "btt2929a.com", true },
  { "btt301.com", true },
  { "btt302.com", true },
  { "btt303.com", true },
  { "btt305.com", true },
  { "btt306.com", true },
  { "btt307.com", true },
  { "btt308.com", true },
  { "btt309.com", true },
  { "btt312.com", true },
  { "btt317.com", true },
  { "btt319.com", true },
  { "btt3311.com", true },
  { "btt332.com", true },
  { "btt350.com", true },
  { "btt351.com", true },
  { "btt352.com", true },
  { "btt353.com", true },
  { "btt3535.com", true },
  { "btt355.com", true },
  { "btt358.com", true },
  { "btt359.com", true },
  { "btt361.com", true },
  { "btt362.com", true },
  { "btt368.com", true },
  { "btt371.com", true },
  { "btt372.com", true },
  { "btt373.com", true },
  { "btt375.com", true },
  { "btt376.com", true },
  { "btt378.com", true },
  { "btt379.com", true },
  { "btt381.com", true },
  { "btt381g.com", true },
  { "btt529g.com", true },
  { "btt583g.com", true },
  { "btt6262a.com", true },
  { "btt6363a.com", true },
  { "btt645g.com", true },
  { "btt686.com", true },
  { "btt6868.com", true },
  { "btt7272a.com", true },
  { "btt7676.com", true },
  { "btt775.com", true },
  { "btt7878.com", true },
  { "btt8.me", true },
  { "btt818g.com", true },
  { "btt829.com", true },
  { "btt830g.com", true },
  { "btt8787a.com", true },
  { "btt88818.com", true },
  { "btt889g.com", true },
  { "btt891.com", true },
  { "btt8989a.com", true },
  { "btt907.com", true },
  { "btt9090.com", true },
  { "btt918958.com", true },
  { "btt932g.com", true },
  { "btt945g.com", true },
  { "btt9898.com", true },
  { "btt996.com", true },
  { "btta15.com", true },
  { "btta16.com", true },
  { "btta26.com", true },
  { "btta30.com", true },
  { "bttc.co.uk", true },
  { "btth.pl", true },
  { "btth.tv", true },
  { "bttna.com", true },
  { "bttorj45.com", true },
  { "bttp7.com", true },
  { "bttt333.com", true },
  { "bttt999.com", true },
  { "bttyulecheng0.com", true },
  { "bttyulecheng7.com", true },
  { "bu-dun.com", true },
  { "buayacorp.com", true },
  { "bubblegumblog.com", true },
  { "bubblespetspa.com", true },
  { "bubblin.io", true },
  { "bubblinghottubs.co.uk", true },
  { "bubulazi.com", false },
  { "bubulazy.com", true },
  { "bucek.cz", true },
  { "buch-angucken.de", true },
  { "buchhaltung-muehelos.de", true },
  { "buchwegweiser.com", true },
  { "buck-hydro.de", true },
  { "buckelewrealtygroup.com", true },
  { "bucketlist.co.ke", true },
  { "buckscountyobgyn.com", true },
  { "buckypaper.com", true },
  { "buddhismedia.com", true },
  { "buddhismus.net", true },
  { "buddie5.com", true },
  { "buddlycrafts.com", true },
  { "buddycompany.net", true },
  { "buddyme.me", true },
  { "buddytop.com", true },
  { "buddyworks.net", true },
  { "budeanu.com", true },
  { "budget.gov", true },
  { "budgetalk.com", true },
  { "budgetboats.net", true },
  { "budgetcastlehire.co.uk", true },
  { "budgetlob.gov", true },
  { "budgetlovers.nl", true },
  { "budgiesballoons.com", true },
  { "budntod.com", true },
  { "budolangnau.ch", true },
  { "budolfs.de", true },
  { "budowle.pl", true },
  { "bueltge.de", true },
  { "buena-vista.cz", true },
  { "buena.me", true },
  { "bueny.com", true },
  { "bueny.net", true },
  { "buerger-lenke.de", true },
  { "bueromoebel-experte.de", true },
  { "bueroplus.de", true },
  { "bueroschwarz.design", true },
  { "bueroshop24.de", true },
  { "buettgens.net", true },
  { "buffaloautomation.com", true },
  { "buffaloturf.com.au", true },
  { "buffashe.com", false },
  { "buffup.media", true },
  { "buffus.cz", true },
  { "bug.blue", true },
  { "bug.ee", true },
  { "bugcrowd.com", true },
  { "bugs.chromium.org", true },
  { "bugsmashed.com", true },
  { "bugteam.cn", true },
  { "bugwie.com", true },
  { "bugzil.la", true },
  { "bugzilla.mozilla.org", true },
  { "buhayprincipal.com", true },
  { "build.chromium.org", true },
  { "buildbytes.com", true },
  { "buildhoscaletraingi.com", true },
  { "buildingbitcoin.org", true },
  { "buildingclouds.de", true },
  { "buildingpoint.pt", true },
  { "builditsolutions.net", true },
  { "buildkite.com", true },
  { "buildmorebuslanes.com", true },
  { "buildplease.com", true },
  { "builtory.my", true },
  { "builtvisible.com", true },
  { "builtwith.com", true },
  { "buissonchardin.fr", true },
  { "buitenposter.nl", true },
  { "bukalapak.com", true },
  { "bukiskola.hu", true },
  { "bukivallalkozasok.hu", true },
  { "bukkenfan.jp", true },
  { "bulario.com", true },
  { "bulario.net", true },
  { "bularmas.com", true },
  { "bulgarianwine.com", true },
  { "bulkcandystore.com", true },
  { "bulktshirtsjohannesburg.co.za", true },
  { "bulkwholesalesweets.co.uk", true },
  { "bulldog-hosting.de", false },
  { "bulledair-savons.ch", false },
  { "bullettags.com", true },
  { "bullseyemetrics.com", true },
  { "bullshitmail.nl", true },
  { "bullterrier.nu", true },
  { "bulvar.tk", true },
  { "bulwarkcrypto.com", true },
  { "bulwarkhost.com", true },
  { "bumble.com", true },
  { "bumilangkawi.com", true },
  { "bund-von-theramore.de", true },
  { "bundespolizei-forum.de", true },
  { "bundesverband-krisenintervention.de", true },
  { "bundesverbandkrisenintervention.de", true },
  { "bundito.com", true },
  { "bungabuket.com", true },
  { "bungaspa.com", true },
  { "bungee.pw", true },
  { "bunix.de", true },
  { "bunkyo-life.com", true },
  { "bunny-rabbits.com", true },
  { "bunny.parts", true },
  { "bunnydiamond.de", true },
  { "bunzy.ca", true },
  { "buongiornolatina.it", true },
  { "buonventosbt.eu", true },
  { "bupropion.com", true },
  { "burakogun.com", true },
  { "burakogun.com.tr", true },
  { "burakogun.net", true },
  { "burakogun.net.tr", true },
  { "burakogun.org", true },
  { "burbankdental.com", true },
  { "burcevo.info", true },
  { "burchfabrics.com", true },
  { "bureaugoodwork.nl", true },
  { "burg-hohnstein.com", true },
  { "burgernet.nl", true },
  { "burgers.io", true },
  { "burghardt.pl", true },
  { "buri.be", true },
  { "burialinsurancenetwork.com", true },
  { "burienergy.com", true },
  { "buriramradio.com", true },
  { "burke.services", true },
  { "burkhardt.at", true },
  { "burkow.ru", true },
  { "burlapsac.ca", true },
  { "burlingtonhs.com", true },
  { "burncorp.org", true },
  { "burnerfitness.com", true },
  { "burnhamonseabouncycastles.co.uk", true },
  { "burningbird.net", true },
  { "burningflipside.com", false },
  { "burningmarket.de", true },
  { "burntfish.com", true },
  { "burnworks.com", true },
  { "buronwater.com", true },
  { "burotec-sarl.com", true },
  { "burr.is", true },
  { "bursaries-southafrica.co.za", true },
  { "burtrum.family", true },
  { "burtrum.me", true },
  { "burtrum.name", true },
  { "burtrum.org", true },
  { "burzcast.ro", true },
  { "burzmali.com", true },
  { "burzum.ch", true },
  { "buscandolosmejores.com", true },
  { "buscasimple.com", true },
  { "buselefante.tk", true },
  { "bushbaby.com", true },
  { "bushfirerecovery.gov.au", true },
  { "busindre.com", true },
  { "business-garden.com", true },
  { "business-secreti.gq", true },
  { "business-secreti.tk", true },
  { "business.facebook.com", false },
  { "business.gov", true },
  { "businesscentermarin.ch", false },
  { "businessesdirectory.eu", true },
  { "businessfactors.de", true },
  { "businessloanconnection.org", false },
  { "businessmarketingblog.org", true },
  { "businesspartner.tk", true },
  { "businesswebadmin.com", true },
  { "busold.ws", true },
  { "busphotos.tk", true },
  { "bustabit.com", true },
  { "bustadice.com", true },
  { "bustany.org", true },
  { "buster.me.uk", true },
  { "busuttil.org.uk", true },
  { "buswiki.ml", true },
  { "butarque.es", true },
  { "butikvip.ru", true },
  { "butlerfm.dk", true },
  { "butter.horse", true },
  { "butteramotors.com", true },
  { "buttgun-tattoo.de", true },
  { "buttoned.io", true },
  { "buttonizer.pro", true },
  { "buttonline.ch", true },
  { "butts-are.cool", true },
  { "butz.cloud", true },
  { "butzies.ddnss.org", true },
  { "buurtpreventiefraneker.nl", true },
  { "buxum-communication.ch", false },
  { "buy-an-essay.gq", true },
  { "buy-essay-online.ga", true },
  { "buy-lasix-without-a-doctor-s-prescription.ga", true },
  { "buy-los-angeles-auto-insurance.com", true },
  { "buy-out.jp", true },
  { "buy-zofran.ga", true },
  { "buyaccessible.gov", true },
  { "buyamerican.gov", false },
  { "buybutton.store", true },
  { "buycccam.tv", true },
  { "buycoins.top", true },
  { "buycurious.co.uk", true },
  { "buydiflucan.ml", true },
  { "buydissertations.com", true },
  { "buyerdocs.com", true },
  { "buyessay.org", true },
  { "buyessays.net", true },
  { "buyinginvestmentproperty.com", true },
  { "buylasix.ml", true },
  { "buylevaquin.tk", true },
  { "buypapercheap.net", true },
  { "buyplore.com", true },
  { "buyrogaine.ga", true },
  { "buyseo.store", true },
  { "buysildenafil.ml", true },
  { "buysoft.co.uk", true },
  { "buytermpaper.com", true },
  { "buyusa.gov", true },
  { "buzz.tools", true },
  { "buzzcontent.com", true },
  { "buzzprint.it", true },
  { "bvalle.com", true },
  { "bvbmedia.nl", true },
  { "bvgt.org", true },
  { "bviphotovideo.com", true },
  { "bvl.aero", true },
  { "bvprecords.com", true },
  { "bvsa.co.za", true },
  { "bw.codes", true },
  { "bwanglab.com", true },
  { "bwasoimoveis.net", true },
  { "bwcscorecard.org", true },
  { "bwfc.nl", true },
  { "bwgjms.com", true },
  { "bwgjms.net", true },
  { "bwgjms.org", true },
  { "bwh1.net", false },
  { "bwhbwh.com", true },
  { "bwhbwh.net", true },
  { "bwilkinson.co.uk", true },
  { "bwin18.cc", true },
  { "bwin58.cc", true },
  { "bwl-earth.club", true },
  { "bws16.de", true },
  { "bwserhoscaletrainaz.com", true },
  { "bx-n.de", true },
  { "bxdj2.com", true },
  { "bxdj3.com", true },
  { "bxdj4.com", true },
  { "bxdj5.com", true },
  { "bxdj6.com", true },
  { "bxdj666.com", true },
  { "bxdj7.com", true },
  { "bxdj8.com", true },
  { "bxdj88.com", true },
  { "bxdj888.com", true },
  { "bxdj9.com", true },
  { "bxp40.at", true },
  { "bxzx1.com", true },
  { "bxzx2.com", true },
  { "bxzx3.com", true },
  { "bxzx4.com", true },
  { "bxzx5.com", true },
  { "bxzx6.com", true },
  { "bxzx7.com", true },
  { "bxzx9.com", true },
  { "by-robyn.nl", true },
  { "byange.pro", true },
  { "byanjushka.com", true },
  { "byatte.com", true },
  { "byaustere.com", true },
  { "bycrates.com", true },
  { "byeskille.no", true },
  { "byggonline.ga", true },
  { "bygningsregistrering.dk", true },
  { "byhenryvera.com", true },
  { "byjus.com", true },
  { "byjuschennai.com", true },
  { "byket.lviv.ua", true },
  { "byluthier.com", true },
  { "bymark.co", true },
  { "bymike.co", true },
  { "bynder.com", true },
  { "bynumlaw.net", true },
  { "bypass.sh", true },
  { "bypetula.cz", true },
  { "byrko.cz", true },
  { "byrnesagency.com", true },
  { "byronkg.us", true },
  { "byrtz.de", true },
  { "bytanchan.com", true },
  { "byte-time.com", true },
  { "byte.nl", true },
  { "byte128.com", true },
  { "bytearts.net", false },
  { "bytebucket.org", true },
  { "bytecode.no", true },
  { "bytedigital.es", true },
  { "byteflies.com", true },
  { "bytegoing.com", true },
  { "bytejail.com", true },
  { "bytelog.org", false },
  { "bytema.cz", true },
  { "bytema.eu", true },
  { "bytema.re", true },
  { "bytema.sk", true },
  { "bytemix.cloud", true },
  { "bytepen.com", true },
  { "bytes.co", true },
  { "bytes.fyi", true },
  { "bytesatwork.de", true },
  { "byteshark.org", true },
  { "bytesign.de", true },
  { "bytesizedalex.com", true },
  { "bytesund.biz", true },
  { "byteswave.cl", true },
  { "bytesystems.com", true },
  { "byteterrace.com", true },
  { "bytheglass.gr", true },
  { "bytheswordinc.com", true },
  { "bythisverse.com", true },
  { "bytrain.net", true },
  { "byuu.net", true },
  { "byuu.org", true },
  { "byvshie.com", true },
  { "bywin9.com", true },
  { "byxong.com", true },
  { "bzh.tf", true },
  { "bzsparks.com", false },
  { "bztech.com.br", true },
  { "bzv-fr.eu", true },
  { "c-3.moe", true },
  { "c-aeroconsult.com", true },
  { "c-ma-copro.com", true },
  { "c-rtx.com", true },
  { "c-shock.org", true },
  { "c-webdesign.net", true },
  { "c-world.co.uk", true },
  { "c.cc", true },
  { "c00ke.com", true },
  { "c0rporation.com", true },
  { "c2design.it", true },
  { "c2lab.net", true },
  { "c30365.com", true },
  { "c35.design", true },
  { "c36533.com", true },
  { "c36594.com", true },
  { "c3kidspace.de", true },
  { "c3sign.de", false },
  { "c3softworks.com", true },
  { "c3vo.de", true },
  { "c3w.at", true },
  { "c3wien.at", true },
  { "c3woc.de", false },
  { "c4539.com", true },
  { "c4k3.net", true },
  { "c5h8no4na.net", true },
  { "c678.top", true },
  { "c7dn.com", true },
  { "c86255.com", false },
  { "ca-key.de", true },
  { "ca.gparent.org", true },
  { "ca.search.yahoo.com", false },
  { "ca5.de", true },
  { "caai.cc", true },
  { "caaps.org.au", true },
  { "caarecord.org", true },
  { "caasd.org", true },
  { "cabaal.net", true },
  { "cabaladada.org", true },
  { "cabarave.com", true },
  { "cabecera-descendimiento.tk", true },
  { "cabelgrano.tk", true },
  { "cabezadelcaballo.tk", true },
  { "cabforum.org", true },
  { "cabineritten.nl", true },
  { "cabinet-life.fr", false },
  { "cabinetfurnituree.com", true },
  { "cablemod.com", true },
  { "cablesandkits.com", true },
  { "cabooneconstruction.com", true },
  { "cabotfinancial.co.uk", true },
  { "cabuna.hr", true },
  { "cacao-chocolate.com", true },
  { "cacao.supply", true },
  { "cacaolalina.com", true },
  { "cacaumidade.com.br", true },
  { "cachacacha.com", true },
  { "cachchoi138bet.com", true },
  { "cachedview.nl", true },
  { "cachetur.no", true },
  { "cackette.com", true },
  { "cacrm.com", true },
  { "cactuspedia.ga", true },
  { "cactusyaktopus.com", true },
  { "cad-noerdlingen.de", true },
  { "cadams.io", true },
  { "caddyfashionshop.com", true },
  { "cadenceconstruction.com", true },
  { "cadep2019.com", true },
  { "cadetsge.ch", false },
  { "cadifit.ga", true },
  { "cadmail.nl", true },
  { "cadman.pw", true },
  { "cadmanlaw.ca", true },
  { "cadmanlaw.com", true },
  { "cadmax.pro", true },
  { "cadmechanic.com", true },
  { "cadooz.com", true },
  { "cadorama.fr", true },
  { "cadoth.net", true },
  { "cadra.nl", true },
  { "cadre.com", true },
  { "cadsys.net", true },
  { "cadusilva.com", true },
  { "caesarkabalan.com", true },
  { "caetanobenet.es", true },
  { "caetanoflotas.es", true },
  { "caetanoformula.es", true },
  { "caetanoformulacadiz.es", true },
  { "caetanoformulagalicia.es", true },
  { "caetanomotorsmalaga.es", true },
  { "caetanoreicomsa.es", true },
  { "cafe-pauline.de", true },
  { "cafedelahalle.com", true },
  { "cafedupont.be", true },
  { "cafedupont.co.uk", true },
  { "cafedupont.de", true },
  { "cafedupont.nl", true },
  { "cafeimsueden.de", true },
  { "cafejulian.com", true },
  { "cafelandia.net", true },
  { "cafenix.tk", true },
  { "cafeobscura.nl", true },
  { "caferagazzi.de", true },
  { "cafericoy.com", true },
  { "cafermin.com", true },
  { "cafeterasbaratas.net", true },
  { "caffeinatedcode.com", true },
  { "caffeinefiend.org", true },
  { "cafled.org", true },
  { "cainhosting.com", false },
  { "cais.de", true },
  { "caizx.com", false },
  { "caja-pdf.es", true },
  { "cajalosandes.cl", true },
  { "cajio.ru", true },
  { "cake-n-go.com", true },
  { "cakearific.com", true },
  { "cakeoffencesact.uk", true },
  { "cakesbyzoey.com", true },
  { "cakestart.net", true },
  { "caketoindia.com", true },
  { "cakingandbaking.com", true },
  { "cakirlarshipyard.com", true },
  { "calaad.net", true },
  { "calabasaselectric.com", true },
  { "calabasaselectrical.com", true },
  { "calabasaselectrician.com", true },
  { "calabasasexteriorlighting.com", true },
  { "calabasaslandscapelighting.com", true },
  { "calabasaslighting.com", true },
  { "calabasasoutdoorlighting.com", true },
  { "calaborlawnews.com", true },
  { "calafont.cat", false },
  { "calandrahosting.tk", true },
  { "calaverasmedicalcannabis.com", true },
  { "calbertsen.dk", true },
  { "calcedge.com", true },
  { "calcinacci.com", true },
  { "calcioragusa.tk", true },
  { "calcoolator.pl", true },
  { "calculadoraconversor.com", true },
  { "calcularis.ch", true },
  { "calculateaspectratio.com", true },
  { "calculates.org", true },
  { "calculator-imt.com", true },
  { "calculator.tf", true },
  { "calcworkshop.com", true },
  { "caldersoldas.com.br", true },
  { "caldervets.co.uk", true },
  { "caldoletto.com", true },
  { "calebthompson.io", true },
  { "calehoo.com", true },
  { "calendar.cf", false },
  { "calendar.google.com", true },
  { "calendarr.com", true },
  { "calendarsnow.com", true },
  { "calendly.com", true },
  { "calendriergn.ch", true },
  { "calenfil.com", true },
  { "caletka.cz", true },
  { "calgoty.com", true },
  { "calibra.com", true },
  { "calibreapp.com", false },
  { "calibso.net", true },
  { "calichines.com", true },
  { "caliderumba.com", true },
  { "californiamusicacademy.com", true },
  { "californiawomensmedicalclinic.com", true },
  { "calitateavietii-ardeal.ro", true },
  { "calixte-concept.fr", true },
  { "call-centervko.kz", true },
  { "call.me", true },
  { "callanan.nl", true },
  { "callear.org", true },
  { "callerstrom.se", true },
  { "callhub.io", true },
  { "callmewhatever.com", true },
  { "callqa.center", true },
  { "calltoar.ms", true },
  { "calltothepen.com", true },
  { "callumsilcock.com", true },
  { "callumsilcock.me", true },
  { "calluro.hr", true },
  { "calmtech.com", true },
  { "calomel.org", true },
  { "calonmahasiswa.com", true },
  { "calotte-academy.com", true },
  { "calposa.ml", true },
  { "calprut.com", true },
  { "calrotaract.org", true },
  { "calucon.de", true },
  { "calverleyparish.church", true },
  { "calvin.my", true },
  { "calvinallen.net", false },
  { "calyxinstitute.org", true },
  { "calzadonline1-latam.com", true },
  { "calzadonline1.com", true },
  { "camago.dk", true },
  { "camara360grados.com", true },
  { "camaradivisas.com", true },
  { "camaras.uno", true },
  { "camarilloelectric.com", true },
  { "camarilloelectrical.com", true },
  { "camarilloexteriorlighting.com", true },
  { "camarillolandscapelighting.com", true },
  { "camarillolighting.com", true },
  { "camarillooutdoorlighting.com", true },
  { "camashop.de", true },
  { "camastowncar.com", true },
  { "camberford.com", true },
  { "cambier.org", true },
  { "cambodiainfo.tk", true },
  { "cambodian.dating", true },
  { "cambreaconsulting.com", true },
  { "cambridge-examen.nl", true },
  { "cambridge-security.com", true },
  { "cambridgeanalytica.cz", true },
  { "cambridgebouncers.co.uk", true },
  { "cambridgesecuritygroup.org", true },
  { "cambuslangharriers.org", true },
  { "camcapital.com", true },
  { "camclips.pro", true },
  { "camconn.cc", true },
  { "camdesign.pl", true },
  { "cameo-membership.uk", true },
  { "cameo.ee", true },
  { "cameramark.nl", true },
  { "cameraslyphotography.tk", true },
  { "cameraviva.com.br", true },
  { "camerweb.es", true },
  { "camilastore.com.br", true },
  { "camilomodzz.net", true },
  { "camisetasmalwee.com.br", true },
  { "camolist.com", true },
  { "camp-pleinsoleil.ch", true },
  { "campaign-ad.com", true },
  { "campaignhelpdesk.org", true },
  { "campaignlake.com", true },
  { "campaignwiki.org", true },
  { "campamentos.info", true },
  { "campbellapplianceheatingandair.com", true },
  { "campbellkennedy.co.uk", true },
  { "campcambodia.org", true },
  { "camperdays.de", true },
  { "camperlist.com", true },
  { "campermanaustralia.com", true },
  { "campertrailerfinance.com.au", true },
  { "camperverzekerd.nl", true },
  { "campfiretails.org", true },
  { "camping-aupigeonnier.fr", true },
  { "camping-le-pasquier.com", true },
  { "camping-seilershof.de", true },
  { "campinghuntingshooting.com", true },
  { "campingshop.pl", true },
  { "campingskyhooks.com", true },
  { "campistry.net", true },
  { "campmackinaw.com", true },
  { "campo-salado.com", true },
  { "campsoulfestival.com", true },
  { "camptuk.org", true },
  { "campula.cz", true },
  { "campus-discounts.com", true },
  { "campus-finance.com", true },
  { "campusdrugprevention.gov", false },
  { "campusfit.co", true },
  { "campuswire.com", true },
  { "campvana.com", true },
  { "campwabashi.org", true },
  { "camshowdir.com", true },
  { "camshowdir.to", true },
  { "camshowhive.to", true },
  { "camshowhub.com", true },
  { "camshowhub.to", true },
  { "camshowplace.to", true },
  { "camshowstorage.com", true },
  { "camshowstorage.to", true },
  { "camshowverse.com", true },
  { "camshowverse.to", true },
  { "camsky.de", false },
  { "canada.ind.br", true },
  { "canadaabroad.com", true },
  { "canadabread.com", false },
  { "canadaradon.com", true },
  { "canadasmotorcycle.ca", true },
  { "canadian.dating", true },
  { "canadianatheists.ca", true },
  { "canadianatheists.com", true },
  { "canadianoutdoorequipment.com", true },
  { "canadiantouristboard.com", true },
  { "canalecontracting.com", true },
  { "canariculturacolor.com", true },
  { "canarymod.net", true },
  { "canavilage.com", true },
  { "canavillage.net", true },
  { "canavillagepuntacana.com", true },
  { "canavillageresidences.com", true },
  { "canberraoutletcentre.com.au", true },
  { "cancerdata.nhs.uk", true },
  { "candaceplayforth.com", true },
  { "candelec.com", false },
  { "candeo-books.nl", true },
  { "candex.com", true },
  { "candguchocolat.com", true },
  { "candicecity.com", true },
  { "candidasa.com", true },
  { "candidateexperiencemarketing.nl", true },
  { "candidatlibre.net", true },
  { "candidaturedunprix.com", true },
  { "candinya.com", true },
  { "candinya.me", true },
  { "cando.eu", true },
  { "canfazz.com", true },
  { "cangku.in", true },
  { "canglong.net", true },
  { "canhas.report", true },
  { "canhazip.com", true },
  { "canhq.tk", true },
  { "cani-compostelle.fr", true },
  { "canihavesome.coffee", true },
  { "canine-mobility.com", true },
  { "caniuse.email", true },
  { "canker.org", true },
  { "cannabis-marijuana.com", true },
  { "cannabiscare.ca", true },
  { "cannabislegality.info", true },
  { "cannabismd.com", true },
  { "cannacards.ca", true },
  { "cannacun.com", true },
  { "cannaffiliate.com", true },
  { "cannagoals.com", true },
  { "cannahealth.com", true },
  { "cannoli.london", true },
  { "cannyfoxx.me", true },
  { "canobag.es", true },
  { "canopycleaningmelbourne.com.au", true },
  { "canopytax.com", true },
  { "cant.at", true },
  { "cantatio.ch", false },
  { "canterbury.ws", true },
  { "canterburybouncycastlehire.co.uk", true },
  { "cantik.co", true },
  { "cantonroadjewelry.com", true },
  { "cantosdisidentes.tk", true },
  { "canttboardpachmarhi.org", true },
  { "canva-dev.com", true },
  { "canva.cn", true },
  { "canva.com", true },
  { "canvas-gift.com", true },
  { "canx.org", true },
  { "canyonshoa.com", true },
  { "canyoupwn.me", true },
  { "cao.gov", true },
  { "cao.la", true },
  { "caodo.cf", true },
  { "caoliu.tech", true },
  { "caoshan60.com", true },
  { "capachitos.cl", true },
  { "capacityproject.org", true },
  { "capalsa.com", true },
  { "capbig.com", true },
  { "capeannpediatrics.com", true },
  { "capebretonpiper.com", true },
  { "caph.info", true },
  { "caphane.com", true },
  { "caphefin.com", true },
  { "capillary.io", true },
  { "capimlimaoflores.com.br", true },
  { "capitainebaggy.ch", false },
  { "capital-match.com", true },
  { "capitalcap.com", true },
  { "capitalcollections.org.uk", true },
  { "capitalibre.com", true },
  { "capitalism.party", true },
  { "capitalist.cf", true },
  { "capitalmediaventures.co.uk", true },
  { "capitalonecardservice.com", true },
  { "capitalp.jp", true },
  { "capitalquadatv.org.nz", true },
  { "capitolpathways.org", true },
  { "caplinbouncycastles.co.uk", true },
  { "capper.de", true },
  { "caprice-holdings.co.uk", true },
  { "caprichosdevicky.com", true },
  { "caps.is", true },
  { "capsogusto.com", true },
  { "capstansecurity.co.uk", true },
  { "capstansecurity.com", true },
  { "capstoneinsights.com", true },
  { "captain-dandelion.com", true },
  { "captainark.net", true },
  { "captainfit.in", true },
  { "captainsfarm.in", true },
  { "captivationtheory.com", true },
  { "capturapp.com", false },
  { "capture-app.com", true },
  { "captured-symphonies.com", true },
  { "capuchinox.com", true },
  { "caputodesign.com", true },
  { "car-forums.com", true },
  { "car-spaw-rac.fr", true },
  { "car.info", true },
  { "car24.de", true },
  { "car24portal.de", true },
  { "caraccio.li", true },
  { "carapax.net", true },
  { "carassure.de", true },
  { "carauctionnetwork.com", true },
  { "carauctionsalabama.com", true },
  { "carauctionscarolina.com", true },
  { "carauctionsgeorgia.com", true },
  { "carauctionsillinois.com", true },
  { "caravanserail.info", true },
  { "carbon-designz.com", true },
  { "carbon-project.org", true },
  { "carbon.coop", true },
  { "carbon12.org", true },
  { "carbon12.software", true },
  { "carboneselectricosnettosl.info", false },
  { "carbonnel.me", true },
  { "carbono.uy", true },
  { "carbontv.com", true },
  { "carburetorcycleoi.com", true },
  { "carbuyersbrisbane.com.au", true },
  { "carcani.com", true },
  { "carcloud.ch", true },
  { "card-cashing.com", true },
  { "cardano.eco", true },
  { "cardanoinvestment.com", true },
  { "cardcaptorsakura.jp", true },
  { "carddreams.be", true },
  { "carddreams.de", true },
  { "carddreams.es", true },
  { "carddreams.nl", true },
  { "cardexchangesolutions.com", true },
  { "cardiagnostics.tk", true },
  { "cardideas.xyz", true },
  { "cardingforum.co", true },
  { "cardioagainstcancer.nl", true },
  { "cardios.srv.br", true },
  { "cardjit.su", true },
  { "cardoni.net", true },
  { "cardozovargas.com", true },
  { "cardranking.jp", true },
  { "cardrecovery.fr", true },
  { "cardsolutionsbh.com.br", true },
  { "cardxl.be", true },
  { "cardxl.de", true },
  { "cardxl.fr", true },
  { "cardxl.nl", true },
  { "care4all.com", true },
  { "careeapp.com", true },
  { "career.support", true },
  { "careeroptionscoach.com", true },
  { "careertransformed.com", true },
  { "carefulcolor.com", true },
  { "caremad.io", true },
  { "carepan.ga", true },
  { "carepassport.com", true },
  { "carespan.clinic", true },
  { "caretta.co.uk", true },
  { "careyshop.cn", true },
  { "carezone.com", false },
  { "carezzaperu.com", true },
  { "carfinancehelp.com", true },
  { "carfinans.ru", true },
  { "carfraemill.co.uk", true },
  { "cargobas.com", true },
  { "cargoguard.com", true },
  { "cargomaps.com", true },
  { "cargorestraintsystems.com.au", true },
  { "cargosapiens.com.br", true },
  { "carhunters.cz", true },
  { "caribbean.dating", true },
  { "caribbeanexams.com", true },
  { "caribougrill.com", true },
  { "caribuku.tk", true },
  { "carigami.fr", true },
  { "caringladies.org", true },
  { "carinthia.eu", true },
  { "carisenda.com", true },
  { "carium.com", true },
  { "carkeysanantonio.com", true },
  { "carlavitalesteticista.com", true },
  { "carlgo11.com", true },
  { "carlife-at.jp", true },
  { "carlili.fr", true },
  { "carlingfordapartments.com.au", true },
  { "carlinmack.com", true },
  { "carlitoxxpro.com", true },
  { "carlmjohnson.net", false },
  { "carlobiagi.de", true },
  { "carlocksmith--dallas.com", true },
  { "carlocksmithbaltimore.com", true },
  { "carlocksmithcarrollton.com", true },
  { "carlocksmithellicottcity.com", true },
  { "carlocksmithfallbrook.com", true },
  { "carlocksmithkey.com", true },
  { "carlocksmithlewisville.com", true },
  { "carlocksmithmesquite.com", true },
  { "carlocksmithtucson.com", true },
  { "carlosabarbamd.com", true },
  { "carlosfelic.io", true },
  { "carlosjeurissen.com", true },
  { "carlosjeurissen.nl", true },
  { "carlosmfalves.eu", true },
  { "carlot-j.com", true },
  { "carls-fallout-4-guide.com", true },
  { "carltontownfc.tk", true },
  { "carmatworld.co.uk", true },
  { "carmelglenane.com", true },
  { "carmelrise.co.uk", true },
  { "carmeni.tk", true },
  { "carmenluz.fr", true },
  { "carmineforsheriff.com", true },
  { "carnaticalifornia.com", true },
  { "carnet-du-voyageur.com", true },
  { "carnildo.com", true },
  { "carnivorousplants.co.uk", true },
  { "caroes.be", true },
  { "caroffer.ch", true },
  { "carol-lambert.com", true },
  { "carolcappelletti.com", true },
  { "carolcestas.com", true },
  { "caroli.com", true },
  { "caroli.name", true },
  { "caroli.net", true },
  { "carolicious.tk", true },
  { "carolina.cz", true },
  { "carolinaallergyandasthma.com", true },
  { "carolinaclimatecontrolsc.com", true },
  { "carolinaoliveira.tk", true },
  { "carolinapainandspine.com", true },
  { "carolineball.com", true },
  { "carolineeball.com", true },
  { "carolinehanania.com", true },
  { "carontetourist.hr", true },
  { "carontetouristisoleminori.it", true },
  { "carousel.ga", true },
  { "carpet---cleaning.com", true },
  { "carpetandhardwoodflooringpros.com", true },
  { "carpetcleaning-cypress.com", true },
  { "carpetcleaningtomball.com", true },
  { "carplus.es", true },
  { "carplus.net", true },
  { "carpuya.ga", true },
  { "carrabiners.tk", true },
  { "carrando.com", true },
  { "carre-lutz.com", true },
  { "carriedin.com", true },
  { "carrierplatform.com", true },
  { "carringtonrealtygroup.com", true },
  { "carroattrezzimilanodaluiso.it", true },
  { "carroceriascarluis.com", true },
  { "cars4salecy.com", true },
  { "carshippingcarriers.com", true },
  { "carson-aviation-adventures.com", true },
  { "carson-matthews.co.uk", true },
  { "carsoug.com", true },
  { "carspneu.cz", true },
  { "cartegrise.xyz", true },
  { "carteirasedistintivos.com.br", true },
  { "carterdan.net", true },
  { "carterstad.se", true },
  { "cartertonscouts.org.nz", true },
  { "cartes-voyance.fr", true },
  { "cartesentreprises-unicef.fr", true },
  { "carthedral.com", true },
  { "cartierplan.ga", false },
  { "carto.la", true },
  { "cartongesso.roma.it", true },
  { "cartooncastles.ie", true },
  { "cartouche24.eu", true },
  { "cartucce24.it", true },
  { "cartwrightrealestate.com", true },
  { "carusorealestate.com", true },
  { "carwashdruten.nl", true },
  { "carwellness-hinkelmann.de", true },
  { "cas-chauxdefonds.ch", true },
  { "casa-app.de", true },
  { "casa-due-pur.com", true },
  { "casa-due-pur.de", true },
  { "casa-due.com", true },
  { "casa-laguna.net", true },
  { "casa-lunch-break.de", true },
  { "casa-lunchbreak.de", true },
  { "casa-mea-inteligenta.ro", true },
  { "casaasia.cat", true },
  { "casaasia.es", true },
  { "casaasia.eu", true },
  { "casabella.com.tw", true },
  { "casabouquet.com", true },
  { "casacazoleiro.com", true },
  { "casacochecurro.com", true },
  { "casadasportasejanelas.com", true },
  { "casadoarbitro.com.br", true },
  { "casadopulpo.com", true },
  { "casadowifi.com.br", true },
  { "casalindamex.com", true },
  { "casalribeiro.com", true },
  { "casalunchbreak.de", true },
  { "casamariposaspi.com", true },
  { "casamarrom.com.br", true },
  { "casamentos.com.br", true },
  { "casapalla.com.br", true },
  { "casasuara.com", true },
  { "casavacanze.estate", true },
  { "casbuijs.nl", true },
  { "casc.cz", true },
  { "cascadesjobcorpscca.com", true },
  { "cascavelle.fr", true },
  { "cascavelle.nl", true },
  { "case-vacanza-salento.com", true },
  { "casecoverkeygi.com", true },
  { "casecurity.org", true },
  { "caseificio.roma.it", true },
  { "caseof.fr", true },
  { "cases.lu", true },
  { "caseycapitalpartners.com", true },
  { "cash-4x4.com", true },
  { "cash.me", true },
  { "cash.nyc", true },
  { "cashati.com", true },
  { "cashbook.co.tz", true },
  { "cashbot.cz", true },
  { "cashbot.sk", true },
  { "cashenvoy.com", true },
  { "cashfazz.com", true },
  { "cashflowstrategist.com", true },
  { "cashforcarremovalsipswich.com.au", true },
  { "cashmaxtexas.com", true },
  { "cashontime.com", true },
  { "cashplk.com", true },
  { "casian.ir", true },
  { "casino-cash-flow.com", true },
  { "casino-cash-flow.com.ru", true },
  { "casino-cash-flow.info", true },
  { "casino-cash-flow.pro", true },
  { "casino-cash-flow.ru", true },
  { "casino-cash-flow.su", true },
  { "casino-cashflow.ru", true },
  { "casinocash-flow.ru", true },
  { "casinocashflow.pro", true },
  { "casinocashflow.ru", true },
  { "casinocashflow.su", true },
  { "casinocashflow.xyz", true },
  { "casinochecking.com", true },
  { "casinoguide.dk", true },
  { "casinolegal.pt", true },
  { "casinolistings.com", true },
  { "casinoluck.com", true },
  { "casinomucho.com", true },
  { "casinomucho.org", true },
  { "casinomucho.se", true },
  { "casinoportugal.pt", true },
  { "casinorewards.info", true },
  { "casinorobots.com", true },
  { "casinosblockchain.io", true },
  { "casinotokelau.tk", true },
  { "casio-caisses-enregistreuses.fr", true },
  { "casio.bg", true },
  { "casjenprome.cz", true },
  { "casperfirm.com", true },
  { "casperpanel.com", true },
  { "caspicards.com", true },
  { "cassimo.com", false },
  { "castbulletassoc.org", false },
  { "castelannenberg.com", true },
  { "castellet.tk", true },
  { "castelnuovo.xyz", true },
  { "castiana.xyz", true },
  { "castible.de", true },
  { "castle-engine.io", true },
  { "castlecapers.com.au", true },
  { "castleking.net", true },
  { "castlekingdomstockport.co.uk", true },
  { "castlekingkent.co.uk", true },
  { "castlepointanime.com", true },
  { "castles-in-the-sky.co.uk", true },
  { "castles4kidz.com", true },
  { "castlesrus-kent.com", true },
  { "castleswa.com.au", true },
  { "castrillodelavega.tk", true },
  { "cat.net", true },
  { "cat73.org", true },
  { "cat93.com", true },
  { "catalog-underwear.tk", true },
  { "catalog.beer", true },
  { "catalogobiblioteca.com", true },
  { "catalogobiblioteca.net", true },
  { "catalogosvirtualesonline.com", true },
  { "catalyconv.com", true },
  { "catalystapp.co", true },
  { "catbold.space", true },
  { "catbull.com", true },
  { "catchcrabs.com", true },
  { "catchers.cc", true },
  { "catchhimandkeephim.com", true },
  { "catchief.com", true },
  { "catchkol.com", true },
  { "catcoxx.de", true },
  { "catenacondos.com", true },
  { "caterbing.com", true },
  { "catering-xanadu.cz", true },
  { "cateringgoes.nl", true },
  { "cateringvanhetland.nl", true },
  { "catfooddispensersreviews.com", true },
  { "catgirl.science", true },
  { "catharinesomerville.com", true },
  { "catharisme.eu", false },
  { "cathcartandwinn.com", true },
  { "catherinejf.com", true },
  { "catherinejflee.com", true },
  { "catherinesarasin.com", true },
  { "catherinesofpartick.co.uk", false },
  { "catholic8964.org", true },
  { "catholics.dating", true },
  { "catholicteacherresources.com", true },
  { "cathosa.nl", true },
  { "cathouse.me", true },
  { "cathy.best", true },
  { "cathy.guru", true },
  { "cathy.legal", true },
  { "cathy.lgbt", true },
  { "cathy.link", true },
  { "cathy.website", true },
  { "cathyfitzpatrick.com", true },
  { "cathyjf.ca", true },
  { "cathyjf.com", true },
  { "cathyjf.net", true },
  { "cathyjf.org", true },
  { "cathyjfitzpatrick.com", true },
  { "catiadecastro.com", true },
  { "cativa.net", true },
  { "catl.st", true },
  { "catlovingcare.com", true },
  { "catmoose.ca", true },
  { "catmoz.fr", true },
  { "catprincess.com.tw", true },
  { "catram.org", true },
  { "catus.moe", true },
  { "catveteran.com", true },
  { "catvsmice.com", true },
  { "caudo.net", true },
  { "caudohay.com", true },
  { "caughtredhanded.co.nz", true },
  { "caulfieldeastapartments.com.au", true },
  { "caulfieldracecourseapartments.com.au", true },
  { "cav.ac", true },
  { "cavac.at", true },
  { "cavaleirocity.com.br", true },
  { "cave-vet-specialists.co.uk", true },
  { "cavenderhill.com", true },
  { "cavern.tv", true },
  { "cavzodiaco.com.br", true },
  { "caxalt.com", true },
  { "caycehouse.com", true },
  { "caylercapital.com", true },
  { "cazaviajes.es", true },
  { "cazes.info", true },
  { "cb-crochet.com", true },
  { "cb1388.com", true },
  { "cb1588.com", true },
  { "cbbank.com", true },
  { "cbc-hire.co.uk", true },
  { "cbcf.info", true },
  { "cbd-oil.shop", true },
  { "cbd.casa", true },
  { "cbd.supply", true },
  { "cbdmarket.space", true },
  { "cbecrft.net", true },
  { "cbin168.com", true },
  { "cbin9.com", true },
  { "cbintermountainrealty.com", true },
  { "cbnainital.org.in", true },
  { "cbr-rcb.ca", true },
  { "cbr-xml-daily.ru", true },
  { "cbsdeheidevlinder.nl", true },
  { "cbt.tj", true },
  { "cbw.sh", true },
  { "cc-customer.de", true },
  { "cc00228.com", false },
  { "cc8822.cc", true },
  { "cc98.eu.org", true },
  { "ccblicense.com", true },
  { "ccc-ch.ch", true },
  { "ccc-cloud.de", true },
  { "cccwien.at", true },
  { "ccelectricaldrafting.ca", true },
  { "cceputnam360.com", true },
  { "ccgx.de", true },
  { "cclasabana.com.co", true },
  { "ccli.com", true },
  { "ccoooss.com", true },
  { "ccparishwilmington.org", true },
  { "ccprwebsite.org", true },
  { "ccr.ovh", true },
  { "ccriderlosangeles.com", true },
  { "ccsae.org", true },
  { "ccsistema.com", true },
  { "cctv-supraveghere.ro", true },
  { "cctvsecurityjohannesburg.co.za", true },
  { "cctvview.info", true },
  { "ccu.plus", true },
  { "cd-shopware.de", true },
  { "cd-sport.com", true },
  { "cd.search.yahoo.com", false },
  { "cd5k.net", true },
  { "cda-aigle.ch", true },
  { "cdasenegal.com", true },
  { "cdasiaonline.com", false },
  { "cdbf.ch", false },
  { "cdbtech.com", true },
  { "cdburnerxp.se", true },
  { "cdda.ch", false },
  { "cdepot.eu", true },
  { "cdf.wiki", true },
  { "cdigitale.com", true },
  { "cdkeykopen.com", true },
  { "cdkeyprices.com", true },
  { "cdkeyworld.de", true },
  { "cdlinares.tk", true },
  { "cdmdisinfestazioni.it", true },
  { "cdn.ampproject.org", true },
  { "cdn6.de", true },
  { "cdncompanies.com", true },
  { "cdnjs.com", true },
  { "cdns.cloud", true },
  { "cdnsys.net", true },
  { "cdnya.com", true },
  { "cdom.de", true },
  { "cdsdigital.de", true },
  { "cdshining.com", true },
  { "cdt.org", false },
  { "cdu-gebhardshain.de", true },
  { "cdvl.org", true },
  { "ce-agentur.de", false },
  { "ce-pimkie.fr", true },
  { "ce-webdesign.de", true },
  { "ceanimalhealth.com", true },
  { "cebz.org", true },
  { "cecame.ch", true },
  { "ceciliacolombara.com", true },
  { "cecilwalker.com.au", false },
  { "cedarcitydining.com", true },
  { "cedarslodge.com", true },
  { "cedehb.be", true },
  { "cedricbonhomme.org", true },
  { "cedriccassimo.ch", false },
  { "cedriccassimo.com", false },
  { "cedricwalter.ch", true },
  { "ceebee.com", true },
  { "ceefaastresources.com", true },
  { "cefinco.org", true },
  { "cegss.org.gt", true },
  { "ceiba.com.co", true },
  { "ceiling.cloud", true },
  { "ceiphr.com", false },
  { "cejhon.cz", false },
  { "celadas.tk", true },
  { "celcomhomefibre.com.my", true },
  { "cele.bi", true },
  { "celebmasta.com", true },
  { "celebphotos.blog", true },
  { "celebrasianconference.com", true },
  { "celebrityhealthcritic.com", true },
  { "celebrityphotos.blog", true },
  { "celebritypics.club", true },
  { "celebritypics.co", true },
  { "celebrityscope.net", true },
  { "celebritytopnews.tk", true },
  { "celectro-pro.com", true },
  { "celestebonito.pt", true },
  { "celestialisms.com", true },
  { "celiac.com", true },
  { "celiendev.ch", false },
  { "celine-patisserie.fr", true },
  { "cell-lookup.com", true },
  { "cellartracker.com", true },
  { "cellebrite.com", true },
  { "celliberate.co.uk", true },
  { "celltek-server.de", false },
  { "celltesequ.com", true },
  { "celltick.com", true },
  { "celsoazevedo.com", true },
  { "celtadigital.com", true },
  { "celti.ie.eu.org", true },
  { "celti.name", true },
  { "cementscience.com", true },
  { "ceml.ch", true },
  { "cenatorium.pl", true },
  { "cendata.co.uk", true },
  { "cennelley.com", true },
  { "cennelly.com", true },
  { "censurfridns.dk", true },
  { "censurfridns.nu", true },
  { "censys.io", true },
  { "centaur.de", true },
  { "centella.tw", true },
  { "centennialradon.com", true },
  { "centennialrewards.com", true },
  { "centennialseptic.com", true },
  { "center-elite.ml", true },
  { "centermk.ru", true },
  { "centerpereezd.ru", false },
  { "centerperson.org", true },
  { "centerpoint.ovh", true },
  { "centio.bg", true },
  { "centos.cz", true },
  { "centos.tips", true },
  { "centralconvergence.com", true },
  { "centraldoencanador.com.br", true },
  { "centralebigmat.eu", true },
  { "centralegedimat.eu", true },
  { "centralheating.hu", true },
  { "centraljerseyrcca.com", true },
  { "centralmissourifoundationrepair.com", true },
  { "centralpaellera.com", true },
  { "centralpoint.be", false },
  { "centralpoint.nl", false },
  { "centralstatecu.org", true },
  { "centrationgame.com", true },
  { "centreagree.com", true },
  { "centredaccueil.fr", false },
  { "centrederessourcement.com", true },
  { "centreoeil.ch", false },
  { "centrepointorguk-dev.azurewebsites.net", true },
  { "centrobill.com", true },
  { "centrodeesteticarecife.com", true },
  { "centrojovencuenca.es", true },
  { "centrolavoro.org", true },
  { "centroperugia.gr", true },
  { "centrosocialferrel.pt", true },
  { "centrum-edukacji.tk", true },
  { "centrumhodinek.cz", true },
  { "centrumpieknairelaksu.pl", true },
  { "centruvechisv.ro", true },
  { "centsay.info", true },
  { "centsay.io", true },
  { "centsay.net", true },
  { "centsay.org", true },
  { "centsiwallet.com", true },
  { "centum.no", true },
  { "centumail.com", true },
  { "centura.de", true },
  { "centurialeonina.com", true },
  { "centurion-consulting.net", true },
  { "centurion-consulting.tech", true },
  { "centurioninfosec.com", true },
  { "centurioninfosec.com.sg", true },
  { "centurioninfosec.hk", true },
  { "centurioninfosec.sg", true },
  { "centurionunderground.com", true },
  { "centurykiaparts.com", true },
  { "centurystonedental.com", true },
  { "ceopedia.org", true },
  { "cepek4d.com", true },
  { "ceramixcoating.nl", true },
  { "ceramiya.com", true },
  { "cerastar.com", true },
  { "cerber.us", true },
  { "cerberis.com", true },
  { "cerberusinformatica.it", true },
  { "cerena-silver.ru", true },
  { "ceres-corp.org", true },
  { "cerivo.co.uk", true },
  { "cermak.photos", true },
  { "cernac.cz", true },
  { "cerpus-course.com", true },
  { "cert.ee", true },
  { "cert.govt.nz", true },
  { "certaintelligence.com", true },
  { "certbus.com", true },
  { "certcenter.com", true },
  { "certchannel.com", true },
  { "certevia.com", true },
  { "certfa.com", true },
  { "certible.com", true },
  { "certificatedetails.com", true },
  { "certificatetools.com", false },
  { "certificato-prevenzione-incendi.it", true },
  { "certificazione.it", true },
  { "certificazioni-energetiche.it", true },
  { "certifiednurses.org", true },
  { "certifix.eu", true },
  { "certisoncologysolutions.com", true },
  { "certnazionale.it", true },
  { "certspotter.com", true },
  { "certspotter.org", true },
  { "cervejista.com", true },
  { "ces-ltd.co.uk", true },
  { "cesarparedespacora.com", true },
  { "cesdb.com", true },
  { "cesipagano.com", true },
  { "ceska-polygraficka.cz", true },
  { "ceskaexpedice.org", true },
  { "ceskepivnesety.sk", true },
  { "ceskepivnisety.cz", true },
  { "ceso-saco.com", true },
  { "cesobaly.cz", true },
  { "cestasedelicias.com.br", true },
  { "cetamol.com", true },
  { "ceu.edu", false },
  { "ceverett.io", true },
  { "cevin.at", true },
  { "cevo.com.hr", true },
  { "cezdent.com", true },
  { "cf-ide.de", true },
  { "cfan.space", true },
  { "cfc-swc.gc.ca", true },
  { "cfda.gov", true },
  { "cfdcre5.org", true },
  { "cfh.com", true },
  { "cfigura.com", true },
  { "cflsystems.com", false },
  { "cfno.org", true },
  { "cfo.gov", true },
  { "cfotech.asia", true },
  { "cfotech.co.nz", true },
  { "cfotech.com.au", true },
  { "cfpa-formation.fr", true },
  { "cfrq.ca", true },
  { "cfsh.tk", true },
  { "cftc.gov", true },
  { "cftcarouge.com", false },
  { "cfxdesign.com", true },
  { "cg-goerlitz.de", true },
  { "cg-systems.hu", true },
  { "cg.al", true },
  { "cg.search.yahoo.com", false },
  { "cga.best", true },
  { "cgal.org", true },
  { "cgan.de", true },
  { "cgbassurances.ch", false },
  { "cgcookiemarkets.com", true },
  { "cgeceia.cf", true },
  { "cgf-charcuterie.com", true },
  { "cgknieuwpoort.nl", true },
  { "cgnparts.com", true },
  { "cgp.moe", true },
  { "cgpe.com", false },
  { "cgsmart.com", true },
  { "cgurtner.ch", true },
  { "ch-laborit.fr", true },
  { "ch.bzh", true },
  { "ch.search.yahoo.com", false },
  { "ch47f.com", true },
  { "chabad360.me", true },
  { "chabaudparfum.com", true },
  { "chabert-provence.fr", true },
  { "chabik.com", true },
  { "chaboisseau.net", true },
  { "chad.ch", true },
  { "chadlenz.ca", true },
  { "chadpugsley.com", true },
  { "chadstoneapartments.com.au", true },
  { "chaffeyconstruction.com", true },
  { "chaifeng.com", true },
  { "chainels.com", true },
  { "chainge-re.com", true },
  { "chaip.org", true },
  { "chairsgb.com", true },
  { "chaisystems.net", true },
  { "chaletdemontagne.org", true },
  { "chaletmanager.com", true },
  { "chaletpierrot.ch", false },
  { "chaleur.com", true },
  { "challengerinvestors.tk", true },
  { "chalupalokovka.cz", true },
  { "chambion.ch", false },
  { "champagneandcoconuts.com", true },
  { "champdogs.co.uk", true },
  { "champdogs.com", true },
  { "champicreuse.fr", true },
  { "championcastles.ie", true },
  { "champions.co", true },
  { "championsofpowerfulliving.com", true },
  { "championweb.co.nz", false },
  { "championweb.com", false },
  { "championweb.com.au", false },
  { "championweb.com.sg", false },
  { "championweb.nz", false },
  { "championweb.sg", false },
  { "champonthis.de", true },
  { "chamsochoa.com", true },
  { "chancekorte.com", true },
  { "chancekorte.net", true },
  { "change-coaching-gmbh.ch", true },
  { "changeanalytics.io", true },
  { "changeanalytics.us", true },
  { "changemywifipassword.com", true },
  { "changes.jp", true },
  { "changesfor.life", true },
  { "changinglivestoday.org", true },
  { "channellife.co.nz", true },
  { "channellife.com.au", true },
  { "channelsurf.tv", false },
  { "channydraws.com", true },
  { "chantalguggenbuhl.ch", false },
  { "chanz.com", true },
  { "chaos-games.org", true },
  { "chaos.run", true },
  { "chaoscastles.co.uk", true },
  { "chaoschemnitz.de", true },
  { "chaosdorf.de", true },
  { "chaosfield.at", true },
  { "chaosorchestra.com", true },
  { "chaospott.de", true },
  { "chaoswars.ddns.net", true },
  { "chaoswebs.net", true },
  { "chaoxi.in", true },
  { "chaoxi.org", true },
  { "chaoxi.tech", true },
  { "chapek9.com", true },
  { "chapelfordbouncers.co.uk", true },
  { "chapelhousevet.co.uk", true },
  { "chapelle.co.uk", true },
  { "chapiteauxduleman.fr", true },
  { "chaplain.co", true },
  { "charbonnel.eu", true },
  { "charcoal-se.org", true },
  { "charcoalvenice.com", true },
  { "charge.co", false },
  { "chargify.com", true },
  { "charisma.ai", true },
  { "charitylog.co.uk", true },
  { "charlenew.xyz", true },
  { "charles-darwin.com", true },
  { "charlesbwise.com", true },
  { "charlespitonltd.com", true },
  { "charlesrogers.co.uk", true },
  { "charlestonfacialplastic.com", true },
  { "charlie.im", true },
  { "charlie4change.com", true },
  { "charliedillon.com", true },
  { "charliegarrod.com", true },
  { "charliehr.com", true },
  { "charlierogers.co.uk", true },
  { "charlierogers.com", true },
  { "charlotteomnes.com", true },
  { "charlottesvillegolfcommunities.com", true },
  { "charlottesvillehorsefarms.com", true },
  { "charlotteswimmingpoolbuilder.com", true },
  { "charlylou.de", true },
  { "charmander.me", true },
  { "charmanterelefant.at", true },
  { "charmingsaul.com", true },
  { "charmyadesara.com", true },
  { "charset.org", true },
  { "charta-digitale-vernetzung.de", true },
  { "charteroak.org", true },
  { "chartkick.com", true },
  { "chartpen.com", true },
  { "chartsy.de", true },
  { "chasafilli.ch", true },
  { "chascrazycreations.com", true },
  { "chasetrails.co.uk", true },
  { "chat-house-adell.com", true },
  { "chat-porc.eu", true },
  { "chat.cz", true },
  { "chataberan.cz", true },
  { "chatbelgie.eu", true },
  { "chateau-de-lisle.fr", true },
  { "chateaudestrainchamps.com", false },
  { "chatforskning.no", true },
  { "chatgrape.com", true },
  { "chathund.de", true },
  { "chatnederland.eu", true },
  { "chatromania.ro", true },
  { "chatswoodprestige.com.au", true },
  { "chatsworthelectrical.com", true },
  { "chattanoogaface.com", true },
  { "chattergalerie.eu", true },
  { "chattergallery.com", true },
  { "chattersworld.nl", true },
  { "chattingorcheating.com", true },
  { "chatu.io", true },
  { "chatu.me", true },
  { "chatucomputers.com", true },
  { "chaturbate.com", true },
  { "chaturbate.com.tw", true },
  { "chaturbates.org", true },
  { "chatxp.com", true },
  { "chatzimanolis.com", true },
  { "chatzimanolis.gr", true },
  { "chauffage-budget.fr", true },
  { "chaurocks.com", true },
  { "chaussenot.net", true },
  { "chaussurerunning.fr", true },
  { "chaussuresmarche.fr", true },
  { "chavetaro.com", true },
  { "chawa.jp", true },
  { "chazalet.fr", false },
  { "chbs.me", true },
  { "chch.it", true },
  { "chcheaptech.nz", true },
  { "chcoc.gov", true },
  { "chcsct.com", true },
  { "chcuscojungle.com", true },
  { "chd-expert.fr", true },
  { "cheap-colleges.com", true },
  { "cheap-life-insurance-quote.com", true },
  { "cheapcaribbean.com", true },
  { "cheapessay.net", true },
  { "cheapestgamecards.at", true },
  { "cheapestgamecards.co.uk", true },
  { "cheapestgamecards.com", true },
  { "cheapgeekts.com", false },
  { "cheapgoa.com", true },
  { "cheapiesystems.com", true },
  { "cheapsmall.tk", true },
  { "cheapsslrenewal.com", true },
  { "cheapsslsecurity.com.au", true },
  { "cheapsslsecurity.com.ph", true },
  { "cheapticket.in", true },
  { "cheapwritinghelp.com", true },
  { "cheapwritingservice.com", true },
  { "cheatengine.pro", true },
  { "cheater.best", true },
  { "cheatsupreme.com", true },
  { "cheazey.net", true },
  { "cheazey.org", true },
  { "check.torproject.org", false },
  { "checkandreportlive.com", true },
  { "checkblau.de", true },
  { "checkmatewebsolutions.com", true },
  { "checkmin.cf", true },
  { "checkmyessay.com", true },
  { "checkmyhttps.net", true },
  { "checkout.google.com", true },
  { "checkpoint-tshirt.com", true },
  { "checkra.in", true },
  { "checkrent.ir", true },
  { "checkspf.net", true },
  { "checktech.group", true },
  { "checktype.com", true },
  { "checkui.com", true },
  { "checkwebsiteonline.com", true },
  { "checkyourmath.com", true },
  { "checkyourprivilege.org", true },
  { "checkyourreps.org", true },
  { "checos.co.uk", true },
  { "cheddarpayments.com", true },
  { "cheekycharliessoftplay.co.uk", true },
  { "cheekymonkeysinflatables.co.uk", true },
  { "cheela.org", true },
  { "cheem.co.uk", true },
  { "cheeseemergency.co.uk", true },
  { "cheetahwerx.com", true },
  { "cheezflix.uk", true },
  { "chefcuisto.com", true },
  { "chefkoch.de", true },
  { "chefpablito.tk", true },
  { "chefz.co", true },
  { "chehalemgroup.com", true },
  { "cheladmin.ru", true },
  { "chelpogoda.tk", true },
  { "chelseafs.co.uk", true },
  { "cheltenhambouncycastles.co.uk", true },
  { "cheltik.ru", true },
  { "chelyaba.tk", true },
  { "chemco.mu", true },
  { "chemicalpharm.com", true },
  { "chemiphys.com", false },
  { "chemistry-schools.com", true },
  { "chemolak.pl", true },
  { "chenapartment.com", true },
  { "cheneypartners.com", true },
  { "chengbet.net", true },
  { "chengfayun.com", true },
  { "chengxindong.com", true },
  { "chenky.com", true },
  { "chenna.me", true },
  { "chennien.com", true },
  { "chenqinghua.com", true },
  { "chentianyi.cn", true },
  { "chenx2210.xyz", true },
  { "chenzhekl.me", true },
  { "chenzhipeng.com.cn", true },
  { "cheque-transitionactive.fr", true },
  { "cheraghestan.com", true },
  { "cherhenri.com", true },
  { "cherie-belle.com", true },
  { "chernyak.id.au", true },
  { "cherry-green.ch", true },
  { "cherrybread.net", true },
  { "cherryonit.com", false },
  { "cherrywoodtech.com", true },
  { "chertseybouncycastles.co.uk", true },
  { "chesapeakebaychristmas.com", true },
  { "chess.com", true },
  { "chessboardao.com", true },
  { "chesskid.com", true },
  { "chesspoint.ch", true },
  { "chestercountypediatrics.com", true },
  { "chestercountyroboticsurgery.com", true },
  { "chesterfieldplaceapartmentsstl.com", true },
  { "chetanrana.me", true },
  { "chetwood.se", true },
  { "chevy37.com", true },
  { "chevymotor-occasions.be", false },
  { "chewey.de", true },
  { "chewey.org", true },
  { "chewingucand.com", true },
  { "chez-oim.org", true },
  { "chezbernard.tk", true },
  { "chfr.search.yahoo.com", false },
  { "chhlin.com", true },
  { "chhory.com", true },
  { "chhy.at", true },
  { "chiangmaimontessori.com", true },
  { "chianti2002.jp", true },
  { "chiaseeds24.com", true },
  { "chiavistello.it", true },
  { "chiboard.co", true },
  { "chiboost.net", true },
  { "chibr.eu", true },
  { "chic-leather.com", true },
  { "chicagobreastaugdrs.com", true },
  { "chicagoemergencyclosings.com", true },
  { "chicagofinancesupperclub.com", true },
  { "chicagolug.org", false },
  { "chicback.com", true },
  { "chicisimo.com", true },
  { "chicjrajeevalochana.com", true },
  { "chicofc.tk", true },
  { "chicolawfirm.com", true },
  { "chicourologist.com", true },
  { "chicurrichi.com", true },
  { "chiemgauflirt.de", true },
  { "chif16.at", true },
  { "chifumi.net", true },
  { "chika.kr", false },
  { "chikazawa.info", true },
  { "chilbert.co", true },
  { "childcare.gov", true },
  { "childcounseling.org", true },
  { "childcustodylegalaid.org", true },
  { "childhr.org.au", true },
  { "childno.de", true },
  { "childrenandmedia.org.au", true },
  { "childrenfirstalways.org", true },
  { "childreninadversity.gov", true },
  { "childrens-room.com", true },
  { "childrenschoicepearland.com", true },
  { "childrensentertainmentleicester.co.uk", true },
  { "childrensfurniture.co.uk", true },
  { "childstats.gov", true },
  { "childvisitationassistance.org", true },
  { "chiledogphoto.com", true },
  { "chilihosting.eu", true },
  { "chilikin.pro", true },
  { "chilimath.com", false },
  { "chilio.net", true },
  { "chilliwackchurchofgod.com", true },
  { "chima.net", true },
  { "chima.us", true },
  { "chimeratool.com", true },
  { "chimerity.com", true },
  { "chimm.cc", true },
  { "chimpanzee.net", true },
  { "chimpmatic.com", true },
  { "china-online-news.tk", true },
  { "chinahighlights.ru", true },
  { "chinasa.net", true },
  { "chinaspaceflight.com", true },
  { "chinefrancophonie.fr", true },
  { "chinesemedicine.be", true },
  { "chineserecipes.xyz", true },
  { "ching.tv", true },
  { "chinookdigital.ca", true },
  { "chinwag.im", true },
  { "chinwag.org", true },
  { "chip.pl", true },
  { "chipcore.com", false },
  { "chipdig.com", true },
  { "chipollinko.com.ua", true },
  { "chippy.ch", false },
  { "chipset.no", true },
  { "chiralsoftware.com", true },
  { "chireiden.net", true },
  { "chiro-neuchatel.ch", false },
  { "chiropractic.gr", true },
  { "chiropraktik-riemann.de", true },
  { "chiropraticien-neuchatel.ch", false },
  { "chiropratique-neuchatel.ch", false },
  { "chirosphere.ch", false },
  { "chirpstory.com", true },
  { "chirr.space", true },
  { "chiru.no", true },
  { "chirurgoplastico.roma.it", true },
  { "chisago-isantidfl.com", true },
  { "chit.search.yahoo.com", false },
  { "chita.com.br", true },
  { "chitoku.jp", false },
  { "chizipoms.com", true },
  { "chk-ccs.com", true },
  { "chksite.com", true },
  { "chl.la", true },
  { "chliine.ch", true },
  { "chlo-products.biz", true },
  { "chlo-products.net", true },
  { "chloes.gr", true },
  { "chloescastles.co.uk", true },
  { "chlth.com", true },
  { "chmielarz.it", true },
  { "chmsoft.com.ua", true },
  { "chmsoft.ru", true },
  { "chocgu.com", true },
  { "chocodecor.com.br", true },
  { "chocolah.com.au", false },
  { "chocolat.work", true },
  { "chocolatesandhealth.com", true },
  { "chocolatier-tristan.ch", false },
  { "chocolytech.info", true },
  { "chocope-peru.tk", true },
  { "chodaczek.pl", true },
  { "chomp.life", true },
  { "chook.as", true },
  { "choootto.net", true },
  { "choosemypc.net", true },
  { "chopchat.com", true },
  { "chopperdesign.com", true },
  { "chordify.net", true },
  { "chorpinkpoemps.de", true },
  { "chosenplaintext.org", true },
  { "choservices.com", true },
  { "chourishi-shigoto.com", true },
  { "chovancova.sk", true },
  { "choyri.com", true },
  { "chpwmedicare.org", true },
  { "chr1sbin.works", true },
  { "chris-siedler.at", true },
  { "chrisahrweileryoga.com", true },
  { "chrisaitch.com", true },
  { "chrisbryant.me.uk", true },
  { "chrisburnell.com", true },
  { "chriscampdesigns.com", true },
  { "chriscarey.com", true },
  { "chriscutts.uk", true },
  { "chrisdecairos.ca", true },
  { "chrisgieger.com", true },
  { "chrisirwin.ca", true },
  { "chrislane.com", true },
  { "chrismarker.org", true },
  { "chrismathys.com", true },
  { "chrismcclendon.com", true },
  { "chrismckee.co.uk", true },
  { "chrismorgan.info", true },
  { "chrismurrayfilm.com", true },
  { "chrisnekarda.com", true },
  { "chrisplankhomes.com", true },
  { "chrispstreet.com", true },
  { "chrisseoguy.com", true },
  { "chrisshort.net", true },
  { "chrissmiley.co.uk", true },
  { "chrisspencercreative.com", true },
  { "chrisspencermusic.com", true },
  { "christadelphians.eu", true },
  { "christec.net", true },
  { "christensenplace.us", true },
  { "christiaanconover.com", true },
  { "christian-fischer.pictures", true },
  { "christian-folini.ch", true },
  { "christian-gredig.de", true },
  { "christian-host.com", true },
  { "christian-liebel.com", true },
  { "christian-oette.de", true },
  { "christian-stadelmann.de", true },
  { "christianadventurecamps.org", true },
  { "christianblog.ml", true },
  { "christianbsl.com", true },
  { "christiancleva.com", true },
  { "christiancoleman.info", true },
  { "christiandiscourse.net", true },
  { "christianfaq.org", true },
  { "christianforums.com", true },
  { "christiangehring.org", true },
  { "christianhamacher.de", true },
  { "christianillies.de", true },
  { "christianliebel.com", true },
  { "christianlis.org.uk", true },
  { "christianlis.uk", true },
  { "christianmoore.me", true },
  { "christianoliff.com", true },
  { "christianr.me", true },
  { "christianrasch.de", true },
  { "christians.dating", true },
  { "christianscholz.de", false },
  { "christianwitts.tech", true },
  { "christiehawkes.com", true },
  { "christiesantiques.com", true },
  { "christineandcie.fr", true },
  { "christineblachford.com", true },
  { "christineprayon.de", true },
  { "christmascard.be", true },
  { "christmaspartyhire.co.uk", true },
  { "christoph-conrads.name", true },
  { "christopher-simon.de", true },
  { "christopher.sh", false },
  { "christopherandcharlotte.uk", true },
  { "christopherburg.com", true },
  { "christopherd.me", true },
  { "christopherkennelly.com", true },
  { "christopherstocks.online", true },
  { "christophertruncer.com", true },
  { "christophsackl.de", true },
  { "christthekingparish.net", true },
  { "christtheredeemer.us", true },
  { "chriswald.com", true },
  { "chriswarrick.com", true },
  { "chriswells.io", true },
  { "chriswilding.co.uk", true },
  { "chrisx.xyz", true },
  { "chromaitaly.com", true },
  { "chromcraft-revington.com", true },
  { "chrome-devtools-frontend.appspot.com", true },
  { "chrome.com", false },
  { "chrome.google.com", true },
  { "chromebookchart.com", true },
  { "chromebooksforwork.com", true },
  { "chromereporting-pa.googleapis.com", true },
  { "chromiumbugs.appspot.com", true },
  { "chromiumcodereview.appspot.com", false },
  { "chromopho.be", true },
  { "chroniclesofgeorge.com", true },
  { "chronograph.pe", true },
  { "chronology.no", true },
  { "chronosgroup.eu", true },
  { "chronoshop.cz", true },
  { "chrpaul.de", true },
  { "chrstn.eu", true },
  { "chrxw.com", true },
  { "chrysanthos.net", true },
  { "chrystajewelry.com", true },
  { "chrystus.pl", true },
  { "chshealthcare.co.uk", true },
  { "chshouyu.com", true },
  { "chsterz.de", true },
  { "chtsi.uk", true },
  { "chuchote-moi.fr", true },
  { "chuck.ovh", false },
  { "chuill.com", true },
  { "chukwunyere-chambers.org", true },
  { "chun.pro", true },
  { "chun.si", true },
  { "chunche.net", true },
  { "chungsir.com.pa", true },
  { "chunk.science", true },
  { "chupadelfrasco.com", true },
  { "chupanhcotrang.com", true },
  { "chuppa.com.au", true },
  { "churchofsaintbenedict.com", true },
  { "churchofsaintrocco.org", true },
  { "churchofscb.org", true },
  { "churchthemes.com", true },
  { "churchwebcanada.ca", true },
  { "churchwebsupport.com", true },
  { "churningtracker.com", true },
  { "chus-plongee.fr", true },
  { "chwilrank.pl", true },
  { "chyen.cc", true },
  { "chytraauta.cz", true },
  { "chziyue.com", true },
  { "ci-fo.org", true },
  { "ci-suite.com", true },
  { "ciagutek.pl", true },
  { "cialde.it", true },
  { "cialisonlinee.com", true },
  { "ciancode.com", true },
  { "cianmawhinney.me", true },
  { "ciat.no", false },
  { "cibdol.com", true },
  { "cibercactus.com", true },
  { "cichlid-world.com", true },
  { "cichol.com", true },
  { "ciclimattio.com", true },
  { "cidadedossonhos.org", true },
  { "cidbot.com", true },
  { "ciderclub.com", true },
  { "cidersus.com.ec", true },
  { "cie-theatre-montfaucon.ch", false },
  { "cielly.com", true },
  { "cierreperimetral.com", true },
  { "cifapme.net", true },
  { "cifop-numerique.fr", true },
  { "cig-dem.com", false },
  { "cigar-cartel.com", true },
  { "cigarterminal.com", false },
  { "cihar.com", true },
  { "ciicutini.ro", true },
  { "cikeblog.com", true },
  { "cilacapnews.ml", true },
  { "cilloc.be", true },
  { "cima-idf.fr", true },
  { "cimbalino.org", true },
  { "cimballa.com", true },
  { "cimfax.com", true },
  { "cimtools.net", true },
  { "cinafilm.com", true },
  { "cine-music.de", true },
  { "cine.to", true },
  { "cinefilzonen.se", true },
  { "cinema.paris", true },
  { "cinemarxism.com", true },
  { "cinemasetfree.com", true },
  { "cinematherapy.org", true },
  { "cinemixer.club", true },
  { "cinemysticism.com", true },
  { "cinenote.link", true },
  { "cineplex.my", true },
  { "cineworld.co.in", true },
  { "cinexmachina.com", true },
  { "ciniticket.com", true },
  { "cinkciarz.pl", true },
  { "cinq-elements.com", false },
  { "cinsects.de", true },
  { "cintactimber.com", true },
  { "cio-ciso-interchange.org", true },
  { "cio-cisointerchange.org", true },
  { "cio.go.jp", false },
  { "cio.gov", false },
  { "cioscloud.com", true },
  { "cipartyhire.co.uk", true },
  { "cipher.team", true },
  { "cipherboy.com", true },
  { "cipherli.st", false },
  { "ciphersuite.info", true },
  { "ciphrex.com", true },
  { "cipri.com", true },
  { "cipri.net", true },
  { "cipri.nl", true },
  { "cipri.org", true },
  { "cipria.no", true },
  { "cipy.com", true },
  { "cir.is", true },
  { "circady.com", true },
  { "circara.com", true },
  { "circle-people.com", true },
  { "circu.ml", true },
  { "circulatedigital.com", true },
  { "circulosocial77.com", true },
  { "circumstances.ir", true },
  { "circus-maximus.de", true },
  { "ciri.com.co", true },
  { "cirrus0.de", true },
  { "cirruslab.ch", true },
  { "cirurgicagervasio.com.br", true },
  { "cirurgicalucena.com.br", true },
  { "cirurgicavirtual.com.br", true },
  { "cirvapp.com", true },
  { "cisa.gov", true },
  { "ciscodude.net", true },
  { "cisoaid.com", true },
  { "cisofy.com", true },
  { "cispeo.org", true },
  { "ciss.ltd", true },
  { "cissa.org.au", true },
  { "cissofitness.com", true },
  { "cisum-cycling.com", true },
  { "cisy.me", true },
  { "citace.com", true },
  { "citacepro.com", true },
  { "citas-adultas.com", true },
  { "citationranker.com", true },
  { "citcuit.in", true },
  { "citfin.cz", true },
  { "cities.cl", true },
  { "citimarinestore.com", true },
  { "citizenkevin.com", true },
  { "citizensbankal.com", true },
  { "citizenscience.gov", false },
  { "citizenscience.org", true },
  { "citizensgbr.org", true },
  { "citizensleague.org", true },
  { "citizing.org", true },
  { "citrusui.me", true },
  { "citsc.de", true },
  { "cittadesign.com", false },
  { "citton.com.br", true },
  { "city-walks.info", true },
  { "citybeat.de", true },
  { "citycreek.studio", true },
  { "citydance.ee", true },
  { "cityfloorsupply.com", true },
  { "citykohviteek.ee", true },
  { "citylift.com.ua", true },
  { "citylights.eu", true },
  { "citymoobel.ee", true },
  { "cityoftitans.com", true },
  { "cityoftitansmmo.com", true },
  { "citypro.tk", true },
  { "cityradiusmaps.com", true },
  { "citysportapp.com", false },
  { "citywidealarms.com", true },
  { "citywisdom.tk", true },
  { "cityworksonline.com", true },
  { "civey.com", true },
  { "civicamente.cl", true },
  { "civicforum.pl", true },
  { "civics.us", true },
  { "civilbikes.com", true },
  { "civilg20.org", true },
  { "civillines.nl", true },
  { "civiltoday.com", true },
  { "civmob.com", true },
  { "cj-espace-vert.fr", true },
  { "cj-jackson.com", true },
  { "cjbeckert.com", false },
  { "cjdby.net", true },
  { "cjdpenterprises.com", true },
  { "cjdpenterprises.com.au", true },
  { "cjean.fr", true },
  { "cjenni.ch", true },
  { "cjey.me", true },
  { "cjhzp.net", true },
  { "cjpsrilanka.lk", true },
  { "cjr.host", true },
  { "cjsounds.com", true },
  { "ck.cx", true },
  { "ckenel.com", true },
  { "ckenell.com", true },
  { "ckenelley.com", true },
  { "ckenelly.com", true },
  { "ckenely.com", true },
  { "ckennel.com", true },
  { "ckenneley.com", true },
  { "ckennell.com", true },
  { "ckennelley.com", true },
  { "ckennelly.com", true },
  { "ckennely.com", true },
  { "ckleemann.de", true },
  { "cklie.de", true },
  { "ckliemann.com", true },
  { "ckliemann.net", true },
  { "ckna.ca", true },
  { "ckostecki.de", true },
  { "ckp.ie", true },
  { "ckp.io", true },
  { "ckpl.us", true },
  { "cktennis.com", true },
  { "ckventura.sk", true },
  { "cl.search.yahoo.com", false },
  { "claimconnect.com", true },
  { "claimconnect.us", true },
  { "claimflights.at", true },
  { "claimflights.co.uk", false },
  { "claimflights.com", false },
  { "claimflights.de", false },
  { "claimflights.it", false },
  { "claimflights.pl", false },
  { "claimflights.ro", false },
  { "claimjeidee.be", true },
  { "claimnote.com", true },
  { "claimspharmacy.services", true },
  { "clairegold.com", true },
  { "clairelefort-architectes.com", true },
  { "clairescastles.co.uk", true },
  { "clairette-de-die-lantheaume.fr", true },
  { "claitec.com", true },
  { "clan-hosting.tk", true },
  { "clan-wars.ml", true },
  { "clan-zone.dk", true },
  { "clanebouncycastles.com", true },
  { "clanrose.org.uk", true },
  { "clanwarz.com", true },
  { "clare3dx.com", true },
  { "claretvillans.com", true },
  { "clarkelectricalservices.com.au", true },
  { "clarkwinkelmann.com", true },
  { "clase3.tk", true },
  { "clash.lol", true },
  { "class.com.au", true },
  { "classdojo.com", true },
  { "classic-yacht-charters.com", true },
  { "classicalpilates.ca", true },
  { "classicfg.com.au", true },
  { "classics.io", true },
  { "classictheatrecumbria.co.uk", true },
  { "classpoint.cz", true },
  { "classroom.google.com", true },
  { "classroomconductor.com", true },
  { "classroomcountdown.co.nz", true },
  { "classteaching.com.au", true },
  { "claster.it", true },
  { "claude.me", true },
  { "claude.photo", true },
  { "claudeleveille.com", true },
  { "claudia-makeup.com", true },
  { "claudia-urio.com", false },
  { "claudiney.eti.br", true },
  { "claudiney.id", true },
  { "claudiney.info", true },
  { "claudiolemos.com", true },
  { "claumarservice.com", true },
  { "claus-bahr.de", true },
  { "clauseriksen.net", true },
  { "clausewitz-gesellschaft.de", true },
  { "clav1d.com", true },
  { "clawe.de", true },
  { "clawhammer.dk", true },
  { "clayandcottonkirkwood.com", true },
  { "claygregory.com", true },
  { "clayprints.com", true },
  { "clazzrooms.com", true },
  { "cldejessey.com", true },
  { "cldinc.com", true },
  { "cldly.com", true },
  { "clean-mailbox.com", true },
  { "cleanapproachnw.com", true },
  { "cleanbrowsing.org", true },
  { "cleandetroit.org", true },
  { "cleandogsnederland.nl", true },
  { "cleango.pl", true },
  { "cleanhouse2000.us", true },
  { "cleaningservicejulai.com", true },
  { "cleaningsolutionn.com", true },
  { "cleanplanet.co.jp", true },
  { "clearance365.co.uk", true },
  { "clearblueday.co.uk", true },
  { "clearbooks.co.uk", true },
  { "clearbookscdn.uk", true },
  { "clearbreezesecuritydoors.com.au", true },
  { "clearip.com", true },
  { "clearlinux.org", true },
  { "clearpay.co.uk", true },
  { "clearsense.com", true },
  { "clearspringinsurance.com", true },
  { "clearview-creative.com", true },
  { "clearvoice.com", true },
  { "clearvoice1.com", true },
  { "clearwaterbidets.com", false },
  { "cleary.xyz", true },
  { "clemency.com", true },
  { "clemens-bartz.de", true },
  { "clemensbartz.de", true },
  { "clemenscompanies.com", true },
  { "clement-beaufils.fr", true },
  { "cles-asso.fr", true },
  { "cles.jp", true },
  { "cleveille.com", true },
  { "clevermatch.com", true },
  { "cleveroad.com", true },
  { "clevertarget.ru", true },
  { "clevisto.com", true },
  { "clevvi.com.au", true },
  { "cleysense.com", true },
  { "clica.net", true },
  { "clicandfioul.com", true },
  { "clicheshishalounge.co.uk", true },
  { "click-licht.de", true },
  { "click2order.co.uk", true },
  { "clickalphaville.com.br", true },
  { "clickbasin.co.uk", true },
  { "clickclickphish.com", true },
  { "clickempresarialgroup.com", true },
  { "clickenergy.com.au", true },
  { "clickingmad.com", true },
  { "clien.net", true },
  { "client.coach", false },
  { "clientboss.com", true },
  { "clientcms.co.uk", true },
  { "clientesendemanda.com", true },
  { "clientportal.com", true },
  { "clientsecure.me", true },
  { "cliffbreak.de", true },
  { "cliffburton.tk", true },
  { "clifflu.net", true },
  { "cliffyb.com", true },
  { "climaprecio.es", true },
  { "climateinteractive.org", true },
  { "climatestew.com", true },
  { "climatgate.tk", true },
  { "climatizzatore.roma.it", true },
  { "clindoeilmontagne.com", false },
  { "clinicaarques.es", true },
  { "clinicadentalados.com", true },
  { "clinicadentalvinateros.es", true },
  { "clinicainfinitydental.com", true },
  { "clinicalrehabilitation.info", true },
  { "clinicaltrialpodcast.com", true },
  { "clinicaltrials.gov", true },
  { "clinicamiracueto.com", true },
  { "clinicasmedicas.com.br", true },
  { "clinicminds.com", true },
  { "clinicos.cl", true },
  { "cliniko.com", true },
  { "clinique-ser.ca", true },
  { "cliniquevethuy.be", true },
  { "clintonlibrary.gov", true },
  { "clio.health", true },
  { "clip.ovh", true },
  { "clipchamp.com", true },
  { "clipclip.com", true },
  { "clippingpathsupport.com", true },
  { "clippings.com", true },
  { "cliqz.com", true },
  { "clive.io", true },
  { "clmde.de", true },
  { "clnc.to", true },
  { "clnlboard.co.uk", true },
  { "clnnet.ch", true },
  { "clo.me", true },
  { "clockcaster.com", true },
  { "clocklab.design", true },
  { "clockworksms.com", true },
  { "clomid100mg.ga", true },
  { "cloneuniverse.com", true },
  { "clorophilla.net", true },
  { "closecross.com", true },
  { "closeli.cn", true },
  { "closelinksecurity.co.uk", true },
  { "closelinksecurity.com", true },
  { "closetemail.com", true },
  { "closoltech.com", true },
  { "cloud-screen.com", true },
  { "cloud-surfer.net", false },
  { "cloud.bugatti", true },
  { "cloud.fail", true },
  { "cloud.google.com", true },
  { "cloud.gov", true },
  { "cloud10.io", true },
  { "cloud255.com", true },
  { "cloud42.ch", false },
  { "cloud9bouncycastlehire.com", true },
  { "cloud9vets.co.uk", true },
  { "cloudapps.digital", true },
  { "cloudboard.fr", true },
  { "cloudbolin.es", true },
  { "cloudbrothers.info", true },
  { "cloudcaprice.net", true },
  { "cloudcert.org", true },
  { "cloudcite.net", true },
  { "cloudcloudcloud.cloud", true },
  { "cloudclouds.com", true },
  { "cloudcrux.net", true },
  { "clouddesk.co.uk", true },
  { "clouddog.com.br", true },
  { "cloudeezy.com", true },
  { "cloudey.net", true },
  { "cloudfiles.at", true },
  { "cloudflare-dns.com", true },
  { "cloudflare.com", true },
  { "cloudflareonazure.com", true },
  { "cloudhoreca.com", true },
  { "cloudia.org", true },
  { "cloudily.com", true },
  { "cloudindex.io", true },
  { "cloudix.cf", true },
  { "cloudkeep.nl", true },
  { "cloudlessdreams.com", false },
  { "cloudlight.biz", false },
  { "cloudninelandscapedesign.com", true },
  { "cloudnote.cc", true },
  { "cloudns.net", true },
  { "cloudofertas.com.br", true },
  { "cloudoptimizedsmb.com", true },
  { "cloudoptimus.com", true },
  { "cloudpengu.in", true },
  { "cloudpipes.com", true },
  { "cloudpole.de", true },
  { "cloudsavvyit.com", true },
  { "cloudse.co.uk", true },
  { "cloudsecurityalliance-europe.org", true },
  { "cloudsecurityalliance.org", true },
  { "cloudsecurityalliancelabs.com", true },
  { "cloudsecuritycongress.org", true },
  { "cloudservice.io", true },
  { "cloudservices.nz", false },
  { "cloudsign.jp", true },
  { "cloudspace-analytics.com", true },
  { "cloudspire.net", true },
  { "cloudsters.nl", false },
  { "cloudtocloud.tk", true },
  { "cloudtropia.de", true },
  { "cloudturing.chat", true },
  { "cloudup.com", true },
  { "cloudzentechnologies.com", true },
  { "clouz.de", true },
  { "cloveros.ga", true },
  { "clovertwo.com", true },
  { "clownday.co.uk", true },
  { "clownindeklas.nl", true },
  { "cloxy.com", true },
  { "cloze.com", true },
  { "clsfoundationrepairandwaterproofing.com", true },
  { "clsimage.com", true },
  { "clsoft.ch", true },
  { "clu-in.org", true },
  { "club-adulti.ro", true },
  { "club-climate.com", true },
  { "club-creole.com", true },
  { "club-dieta.ru", true },
  { "club-duomo.com", true },
  { "club-eclipse.tk", true },
  { "club-jose.com", true },
  { "club-leondehuanuco.tk", true },
  { "club-premiere.com", true },
  { "club-slow.jp", true },
  { "club-yy.com", true },
  { "club.zj.cn", true },
  { "club103.ch", false },
  { "club10x.com", true },
  { "clubapk.com", true },
  { "clubatleticonacionalpotosi.tk", true },
  { "clubcorsavenezuela.com", false },
  { "clubdelzapato.com", true },
  { "clubdeportivocieza.tk", true },
  { "clubefiel.com.br", true },
  { "clubegolfpt.com", true },
  { "clubempleos.com", true },
  { "clubeohara.com", true },
  { "cluberiks.ga", true },
  { "clubfamily.de", true },
  { "clubmarina.store", true },
  { "clubmini.jp", true },
  { "clubnoetig-ink2g.de", true },
  { "clubon.com.tw", true },
  { "clubon.space", true },
  { "clubportside.nl", true },
  { "clubtamarugal.tk", true },
  { "cluster.biz.tr", true },
  { "cluster446.fr", true },
  { "clusterfuck.nz", true },
  { "clutch.ua", true },
  { "clwrota.com", true },
  { "cm-loures.pt", true },
  { "cmacacias.ch", true },
  { "cmadeangelis.it", true },
  { "cmavs.com", true },
  { "cmc.pt", true },
  { "cmcressy.ch", true },
  { "cmdline.org", true },
  { "cme-colleg.de", true },
  { "cmfaccounting.com", false },
  { "cmgacheatcontrol.com", true },
  { "cmillrehab.com", true },
  { "cmlachapelle.ch", true },
  { "cmlancy.ch", true },
  { "cmlignon.ch", true },
  { "cmn-group.com", true },
  { "cmn-groupe.com", true },
  { "cmngroup.com", true },
  { "cmngroupe.com", true },
  { "cmplainpalais.ch", true },
  { "cmpsc.uk", true },
  { "cmshangu.com", true },
  { "cmskakuyasu.info", true },
  { "cmskeyholding.co.uk", true },
  { "cmskeyholding.com", true },
  { "cmsua.ca", true },
  { "cmv.gr", true },
  { "cmylife.nl", true },
  { "cn.search.yahoo.com", false },
  { "cn8522.com", true },
  { "cna5.cc", true },
  { "cna5.net", true },
  { "cna5.org", true },
  { "cnam-idf.fr", true },
  { "cnbibo.com", true },
  { "cnbs.ch", true },
  { "cnc-lehrgang.de", true },
  { "cncado.net", true },
  { "cncbazar365.com", true },
  { "cncrans.ch", false },
  { "cncs.gov.pt", true },
  { "cni-certing.it", true },
  { "cnitdog.com", true },
  { "cnre.eu", true },
  { "cnss.io", true },
  { "cnvt.fr", true },
  { "cnymenshealth.com", true },
  { "co-founder-stuttgart.de", true },
  { "co.search.yahoo.com", false },
  { "co50.com", true },
  { "coa.one", true },
  { "coachbakery.com", true },
  { "coachezmoi.ch", false },
  { "coachfederation.ro", true },
  { "coaching-harmonique.fr", true },
  { "coaching-impulse.ch", false },
  { "coaching-park.fr", true },
  { "coachsystem.ru", true },
  { "coalitionministries.org", true },
  { "coalpointcottage.com", true },
  { "coastalurgentcarebatonrouge.com", true },
  { "coastalurgentcarebossier.com", true },
  { "coastalurgentcaregonzales.com", true },
  { "coastalurgentcarehouma.com", true },
  { "coastalurgentcareruston.com", true },
  { "coastalurgentcarethibodaux.com", true },
  { "coastline.net.au", true },
  { "coastmedicalservice.com", true },
  { "coathangastrangla.com", true },
  { "coathangastrangler.com", true },
  { "coathangerstrangla.com", true },
  { "coathangerstrangler.com", true },
  { "coatsandcocktails.org", true },
  { "cobalt.io", true },
  { "cobaltgp.com", true },
  { "cobaltis.co.uk", true },
  { "cobracastles.co.uk", true },
  { "cocaine.ninja", true },
  { "cocalc.com", true },
  { "cocareonline.com", true },
  { "coccolebenessere.it", true },
  { "cocinoyo.com", true },
  { "cock.li", false },
  { "cockfile.com", true },
  { "cockybot.com", true },
  { "coco-line.ch", true },
  { "cocoa-job.jp", true },
  { "cocoamexico.com", true },
  { "cocodroid.com", true },
  { "coconutoil24.com", true },
  { "cocoscastles.co.uk", true },
  { "cocounty.org", true },
  { "cocquyt-usedcars.be", false },
  { "coda.io", true },
  { "coda.moe", true },
  { "coda.today", true },
  { "coda.world", true },
  { "codabix.com", true },
  { "codabix.de", true },
  { "code-maze.com", true },
  { "code-poets.co.uk", true },
  { "code-vikings.de", true },
  { "code-well.com", true },
  { "code.facebook.com", false },
  { "code.fm", true },
  { "code.google.com", true },
  { "code.taxi", true },
  { "code123.eu", true },
  { "code4.hk", true },
  { "code67.com", true },
  { "codeandpeace.com", true },
  { "codeandsupply.co", true },
  { "codebitel.com", true },
  { "codebrahma.com", false },
  { "codebrew.com.au", true },
  { "codedelarouteenligne.fr", true },
  { "codedo.info", true },
  { "codedump.net", true },
  { "codedynasty.com", true },
  { "codeeclipse.com", true },
  { "codeferm.com", true },
  { "codefordus.nrw", true },
  { "codeguard.xyz", true },
  { "codehz.one", true },
  { "codeidea.ga", true },
  { "codein.ca", false },
  { "codeine.co.uk", true },
  { "codeit.guru", true },
  { "codeit.us", true },
  { "codejots.com", true },
  { "codelei.fr", true },
  { "codelyoko.club", true },
  { "codemill.se", true },
  { "codemonster.eu", true },
  { "codenode.io", true },
  { "codeofthenorth.com", true },
  { "codepoints.net", true },
  { "codepref.com", true },
  { "codereview.appspot.com", false },
  { "codereview.chromium.org", false },
  { "coderscripts.com", true },
  { "coderware.co.uk", true },
  { "codes.pk", true },
  { "codesgroup.tk", true },
  { "codesport.io", true },
  { "codespromo.be", true },
  { "codestudies.net", true },
  { "codetheworld.com", true },
  { "codetipi.com", true },
  { "codetripping.net", true },
  { "codeux.com", true },
  { "codeux.info", true },
  { "codeux.net", true },
  { "codevat.com", true },
  { "codeventure.de", true },
  { "codeversetech.com", true },
  { "codexpert.my", true },
  { "codexpo.net", true },
  { "codeyellow.nl", true },
  { "codific.com", true },
  { "codigodelbonusbet365.com", true },
  { "codigomillonario.com", true },
  { "coding-minds.com", true },
  { "coding.lv", true },
  { "codingblog.org", true },
  { "codingforspeed.com", true },
  { "codinginfinity.me", true },
  { "codingrobots.com", true },
  { "codista.com", true },
  { "cododigital.co.uk", true },
  { "codxg.org", true },
  { "codyevanscomputer.com", true },
  { "codymoniz.com", true },
  { "codyqx4.com", true },
  { "coecho.net", true },
  { "coeus.cloud", true },
  { "cofbev.com", true },
  { "coffee-machine.reviews", true },
  { "coffee-mamenoki.jp", true },
  { "coffee-up.it", true },
  { "coffeeandteabrothers.com", true },
  { "coffeestain.ltd", true },
  { "cogala.eu", true },
  { "cogeneration-energy.com", true },
  { "cogent.cc", true },
  { "cogitoltd.com", true },
  { "cognicom-gaming.com", true },
  { "cognitip.com", true },
  { "cognitivecomputingconsortium.com", true },
  { "cognitohq.com", true },
  { "coiffeurschnittstelle.ch", true },
  { "coiffeurty.com", true },
  { "coigach-assynt.org", true },
  { "coignieresentransition.fr", true },
  { "coimmvest.com", true },
  { "coin-quest.net", true },
  { "coin.dance", true },
  { "coin.space", true },
  { "coinapult.com", true },
  { "coinbase.com", true },
  { "coincealed.com", true },
  { "coinchat.im", true },
  { "coincircle.com", true },
  { "coincoin.eu.org", true },
  { "coincolors.co", true },
  { "coinf.it", true },
  { "coinflux.com", true },
  { "coingate.com", true },
  { "coinlist.co", false },
  { "coinloan.io", true },
  { "coinmewallet.com", true },
  { "coinroom.com", true },
  { "coinsmat.com", true },
  { "coinsuggest.com", true },
  { "coinsz.co", true },
  { "cointosh.jp", true },
  { "coinvex.org", true },
  { "coinx.pro", true },
  { "coisasdemulher.org", true },
  { "cojam.ru", true },
  { "cojo.eu", true },
  { "cokebar.info", true },
  { "coker.com.au", true },
  { "cokomi.com", true },
  { "col-head.com", true },
  { "col.la", true },
  { "cola-host.tk", true },
  { "colaborativa.tv", true },
  { "colabug.com", true },
  { "coladv.com", true },
  { "colantonio.homelinux.net", true },
  { "colchonesmoon.com", true },
  { "colcomm.com", true },
  { "coldawn.com", false },
  { "coldcardwallet.com", true },
  { "coldfff.com", true },
  { "coldiario.com", true },
  { "coldlasers.org", true },
  { "coldren.org", true },
  { "coldstreamcreekfarm.com", true },
  { "colectivointerconductual.com", true },
  { "colemak.com", true },
  { "colengo.com", true },
  { "colf.online", true },
  { "colibris.xyz", true },
  { "colinchartier.com", true },
  { "colincogle.name", true },
  { "colinespinas.com", true },
  { "colinsnaith.co.uk", true },
  { "colinstark.ca", true },
  { "collab.ddnss.org", true },
  { "collabora-office.com", true },
  { "collabora.ca", true },
  { "collabora.co.kr", true },
  { "collabora.co.uk", true },
  { "collabora.com", true },
  { "collabora.kr", true },
  { "collabora.ninja", true },
  { "collabora.social", true },
  { "collabora.uk", true },
  { "collaboracloudsuite.com", true },
  { "collaboraoffice.co.uk", true },
  { "collaboraoffice.com", true },
  { "collaborativehealthpsychology.com", true },
  { "collabornation.net", true },
  { "collaction.hk", true },
  { "collada.org", true },
  { "collectdocs.com", true },
  { "collectiblebeans.com", true },
  { "collectorknives.net", true },
  { "collectorsystems.com", true },
  { "collegegirlhd.com", true },
  { "collegenavigator.gov", true },
  { "collegephysicsanswers.com", true },
  { "collegeprospectsofcentralindiana.com", true },
  { "collegereligionandphilosophy.com", true },
  { "collegesexvid.com", true },
  { "collegestationhomes.com", true },
  { "collinel-hossari.com", true },
  { "collinelhossari.com", true },
  { "collinklippel.com", true },
  { "collinmbarrett.com", true },
  { "colloquy.mobi", true },
  { "cololi.moe", true },
  { "colombiajeans.co", true },
  { "colombian.dating", true },
  { "colombianas.webcam", true },
  { "colonize.africa", true },
  { "color01.net", true },
  { "colorblindprogramming.com", true },
  { "colorcodedlyrics.com", true },
  { "colorectalcompounding.com", true },
  { "colorfuldots.com", true },
  { "colorhexa.com", true },
  { "coloristcafe.com", true },
  { "colorlib.com", false },
  { "colorpicker.fr", true },
  { "colors3d.com", true },
  { "colorsbycarin.com", true },
  { "colossal-events.co.uk", true },
  { "colourfulcastles.co.uk", true },
  { "colourmanagementpro.com", true },
  { "colpacpackaging.com", true },
  { "colson-occasions.be", false },
  { "coltellisurvival.com", true },
  { "columbushydroxide.com", true },
  { "columbushydroxide.net", true },
  { "columbushydroxide.org", true },
  { "columbuswines.com", true },
  { "com-in.de", true },
  { "com.cc", true },
  { "comalia.com", true },
  { "comarkinstruments.net", true },
  { "combigo.com", true },
  { "combineconquer.com", true },
  { "combron.be", true },
  { "combron.co.uk", true },
  { "combron.com", true },
  { "combron.nl", true },
  { "combustibilaspen.ro", true },
  { "comcenter.com", true },
  { "comcol.nl", true },
  { "comdotgame.com", true },
  { "comdurav.com", true },
  { "come2cook.com", true },
  { "comeals.com", true },
  { "comedimagrire.it", true },
  { "comedyhuis.nl", true },
  { "comeoishii.com", true },
  { "comercialbelzunces.com", true },
  { "comercialroxana.com", true },
  { "comercialtpv.com", true },
  { "comercialtrading.eu", true },
  { "comerford.net", true },
  { "comestoarra.com", true },
  { "cometcache.com", true },
  { "cometonovascotia.ca", true },
  { "comff.net", true },
  { "comfintouch.com", true },
  { "comflores.com.br", true },
  { "comfortmastersinsulation.com", true },
  { "comfortsolutionsair.com", true },
  { "comhack.com", true },
  { "comicbank.org", true },
  { "comicsans.tk", true },
  { "comicspornos.com", true },
  { "comicspornow.com", true },
  { "comicspornoxxx.com", true },
  { "comicwiki.dk", true },
  { "comiteaintriathlon.fr", true },
  { "comiteexpertes.gc.ca", true },
  { "comlipa.gq", true },
  { "comm.cx", true },
  { "commania.co.kr", true },
  { "commco.nl", true },
  { "commechezvous.ch", false },
  { "commercesend.com", true },
  { "commercezen.com", true },
  { "commercial-academy.fr", true },
  { "commercialcleaningbrisbane.com.au", true },
  { "commeunamour.com", true },
  { "commissaris-vraagbaak.nl", true },
  { "commissionagenda.com", true },
  { "commitsandrebases.com", true },
  { "commlabindia.com", true },
  { "common.io", true },
  { "commoncode.com.au", true },
  { "commoncode.io", false },
  { "commoncore4kids.com", true },
  { "commons-mayflower.tk", true },
  { "commonsenseamericanpolitics.com", true },
  { "communalconsulting.org", true },
  { "communiques.info", true },
  { "communiquons.org", true },
  { "communist-party.tk", true },
  { "communitychurchafrica.co.za", true },
  { "communitycodeofconduct.com", true },
  { "communityhealthservices.co.uk", true },
  { "communitymanagertorrejon.com", true },
  { "communote.net", true },
  { "commure.com", true },
  { "como-se-escribe.com", true },
  { "comoculosdesol.pt", true },
  { "comocurarlagastritis24.online", true },
  { "comocurarlagastritistratamientonatural.com", true },
  { "comodo.nl", true },
  { "comodormirmasrapido.com", true },
  { "comodosslstore.com", true },
  { "comogene.com", true },
  { "comohacerblog.net", true },
  { "comohacerpara.com", true },
  { "comoimportar.net", true },
  { "comopuededejardefumar.net", true },
  { "comoquitarlacaspa24.com", true },
  { "comosecarabarriga.net", true },
  { "comoseduzir.net", true },
  { "comosefazisto.com.br", true },
  { "comoviajarcontumascota.com", true },
  { "comp2go.com.au", true },
  { "compactchess.cc", true },
  { "compagnia-buffo.de", false },
  { "compalliance.com", true },
  { "companion-web.net", true },
  { "comparatif-moto.fr", true },
  { "compareinsurance.com.au", true },
  { "comparelegalforms.com", true },
  { "comparemymobile.com", true },
  { "comparesoft.com", true },
  { "comparetheproject.com", true },
  { "comparewatch.com", true },
  { "comparexcloudcenter.com", true },
  { "compartirtrenmesaave.com", true },
  { "compassdirectportal.com", true },
  { "compassfinance.com", true },
  { "compassintladv.com", true },
  { "compassionaterelease.com", true },
  { "compassleaf.com", true },
  { "compasslos.com", true },
  { "compdermcenter.com", true },
  { "compeat.com", true },
  { "competencyassessment.ca", true },
  { "competitor.com", true },
  { "comphare.nl", true },
  { "compilenix.org", true },
  { "completesecurityessex.co.uk", true },
  { "completesecurityessex.com", true },
  { "completionist.me", true },
  { "complexart.ro", true },
  { "complexcoral.ro", true },
  { "complexorganization.com", true },
  { "complexorganizations.com", true },
  { "compliance-management.ch", false },
  { "compliance-systeme.de", true },
  { "compliancedictionary.com", true },
  { "compliancerisksoftware.co.uk", true },
  { "compliantbusinessprocessing.com", true },
  { "componentshop.co.uk", true },
  { "compositedevtec.tk", true },
  { "compostatebien.com.ar", true },
  { "compoundingrxusa.com", true },
  { "comprarcarteras.online", true },
  { "comprarimpresoras-3d.com", true },
  { "comprarparaguas.online", true },
  { "comprauncelular.com", true },
  { "compreair.com", true },
  { "compreautomacao.com.br", true },
  { "compree.com", true },
  { "comptablevilledequebec.com", true },
  { "comptrollerofthecurrency.gov", true },
  { "comptu.com", true },
  { "compubench.com", true },
  { "compucorner.mx", true },
  { "compunetwor.com", true },
  { "compuplast.cz", true },
  { "computec.ch", true },
  { "computehealth.com", true },
  { "computer-acquisti.com", true },
  { "computer-science-schools.com", true },
  { "computerassistance.co.uk", true },
  { "computerbase.de", true },
  { "computercamaccgi.com", true },
  { "computercraft.net", true },
  { "computeremergency.com.au", false },
  { "computerhilfe-feucht.de", true },
  { "computerinfobits.com", true },
  { "computernetwerkwestland.nl", true },
  { "computersystems.guru", false },
  { "computingsociety.co.uk", true },
  { "computop.com", true },
  { "computron.ga", true },
  { "comschool.com.br", true },
  { "comumlab.org", true },
  { "comunal.co", true },
  { "comunic.io", true },
  { "comunidadmontepinar.es", true },
  { "comuniondelucia.com", true },
  { "comvos.de", true },
  { "comw.cc", true },
  { "con-con.nl", true },
  { "conalcorp.com", true },
  { "conalpedis.tk", true },
  { "conatus.ai", true },
  { "conaudisa.com", false },
  { "concept-web.ch", false },
  { "concerto.amsterdam", true },
  { "concerts-metal.ch", false },
  { "concertsenboite.fr", true },
  { "concertsto.com", true },
  { "concetrabajos.cl", true },
  { "conciencia.fit", true },
  { "concilio.com", true },
  { "conciliumnotaire.ca", true },
  { "concordiagaming.com", true },
  { "concordsoftwareleasing.com", true },
  { "concretelevelingsystems.com", true },
  { "concreterepairatlanta.com", true },
  { "concreterepairconcreteraising.com", true },
  { "concursos.com.br", true },
  { "concursosabertos.com.br", true },
  { "concursuri.biz", true },
  { "condecom.com.br", true },
  { "condepenalba.com", false },
  { "condesaelectronics.com", true },
  { "condolencemessages.net", true },
  { "condominiosi.it", true },
  { "condominioweb.com", true },
  { "condosforcash.com", true },
  { "condroz-motors.be", false },
  { "conectadev.com", true },
  { "conectumfinanse.pl", true },
  { "conejovalleyelectrical.com", true },
  { "conejovalleyelectrician.com", true },
  { "conejovalleyexteriorlighting.com", true },
  { "conejovalleylandscapelighting.com", true },
  { "conejovalleylighting.com", true },
  { "conejovalleyoutdoorlighting.com", true },
  { "conexiontransporte.com", true },
  { "conference-expert.eu", true },
  { "confiancefoundation.org", true },
  { "config.schokokeks.org", false },
  { "confiscate.ga", true },
  { "confiwall.de", true },
  { "conforama.es", true },
  { "conforama.pt", true },
  { "conformax.com.br", true },
  { "confrerie-rp.fr", true },
  { "conftree.com", true },
  { "confusion-band.ch", true },
  { "confygo.com", true },
  { "congafasdesol.com", true },
  { "congineer.com", true },
  { "congobunkering.com", false },
  { "conju.cat", true },
  { "conjugacao.com.br", true },
  { "conkret.mobi", true },
  { "conmedapps.com", true },
  { "conn.cx", true },
  { "connect-ed.network", true },
  { "connect-me.com", true },
  { "connect.dating", true },
  { "connect.facebook.net", true },
  { "connecta.store", true },
  { "connectedcare.md", true },
  { "connectfss.com", true },
  { "connectingrentals.com", true },
  { "connectingrentalsofbethel.com", true },
  { "connectionplanet.nl", true },
  { "connectionstrings.com", true },
  { "connectivia.it", true },
  { "connectmath.com", true },
  { "connectme.com.mx", true },
  { "connectmy.car", true },
  { "connectnet247.com", true },
  { "connecto-data.com", true },
  { "connectum.eu", true },
  { "conner.work", true },
  { "connexas.eu", true },
  { "connexfilter.com", true },
  { "connexion.health", true },
  { "connexionht.com", true },
  { "connext.de", true },
  { "connictro.de", true },
  { "connorcordell.co.uk", true },
  { "connorhatch.com", true },
  { "connyduck.at", true },
  { "conocchialidasole.it", true },
  { "conociendosalama.com", true },
  { "conorboyd.info", true },
  { "conory.com", true },
  { "conotoxia.com", true },
  { "conquer-addiction.org", true },
  { "conrad-kostecki.de", true },
  { "conradboraboranuiresort.com", true },
  { "conradcartagena.com", true },
  { "conradkostecki.de", true },
  { "conradsautotransmissionrepair.com", true },
  { "consagracionamariasantisima.org", true },
  { "consciente.ch", true },
  { "consciente.ngo", true },
  { "consciente.ong", true },
  { "consciouschoices.net", true },
  { "consegnafioridomicilio.net", true },
  { "consegne.it", true },
  { "consejosdenutricion.com", true },
  { "consensoprivacy.it", true },
  { "consertodecelulares.com.br", true },
  { "conservativenewsandviews.com", true },
  { "consideredgifts.com", true },
  { "consilium-vitae.ch", true },
  { "consiliumvitae.ch", true },
  { "console-tribe.com", true },
  { "console.rest", true },
  { "consoleuniverse.tk", true },
  { "consommateuraverti.com", true },
  { "consonare.de", true },
  { "constant-rough.de", true },
  { "consteval.org", true },
  { "constexpr.org", true },
  { "constinit.org", true },
  { "construct.net", true },
  { "constructieve.nl", true },
  { "construction-colleges.com", true },
  { "construction-student.co.uk", true },
  { "construred.tk", true },
  { "consul.io", true },
  { "consulenza.pro", true },
  { "consulenzanobiliare.com", true },
  { "consultation.biz.tr", true },
  { "consultimator.com", true },
  { "consultimedia.de", true },
  { "consulting-cloud.com", true },
  { "consultingconnection.co", true },
  { "consultinghero.es", true },
  { "consultoresrey.cl", true },
  { "consultoriadeseguranca.com.br", true },
  { "consultoriosodontologicos.com.br", true },
  { "consultpetkov.com", true },
  { "consulvation.com", true },
  { "consumeractionlawgroup.com", true },
  { "consumerfiles.com", true },
  { "consumersentinel.gov", true },
  { "consuwijzer.nl", true },
  { "contabilidadebrooklin.com.br", true },
  { "contact.inc", true },
  { "contactaffix.com", true },
  { "contaquanto.com.br", true },
  { "contemplativeeducation.org", true },
  { "content-api-dev.azurewebsites.net", false },
  { "contentcoms.co.uk", true },
  { "contenthosting.com.br", true },
  { "contentmarathon.com", true },
  { "contentpass.net", true },
  { "contentq.nl", true },
  { "contessa32experience.com", true },
  { "conti-profitlink.co.uk", true },
  { "continuum.memorial", true },
  { "continuumrecoverycenter.com", true },
  { "contouring.fr", true },
  { "contrabass.net", true },
  { "contractormountain.com", true },
  { "contractorswestga.com", true },
  { "contractwriters.com", true },
  { "contrasentido.net", true },
  { "contraspin.co.nz", true },
  { "contrastecolombia.com", true },
  { "contratatupoliza.com", true },
  { "contratti.it", true },
  { "contributor.google.com", false },
  { "controlambientalbogota.com", true },
  { "controlautocom.com.br", true },
  { "controlbooth.com", true },
  { "controle.net", true },
  { "controleer-maar-een-ander.nl", true },
  { "controlewiki.be", true },
  { "controllertech.com", true },
  { "controlvoltage.cc", true },
  { "contunda.de", true },
  { "conungranodesal.com", true },
  { "conv2pdf.com", true },
  { "convergencela.com", true },
  { "convergnce.com", true },
  { "conversationsri.ga", true },
  { "conversiepartners.nl", true },
  { "conversiones.com", true },
  { "convert.im", true },
  { "convertimg.com", true },
  { "convexset.org", true },
  { "coochiehacks.io", true },
  { "cookescastles.co.uk", true },
  { "cookicons.co", true },
  { "cookie4.com", true },
  { "cookieandkate.com", true },
  { "cookiecrook.com", true },
  { "cooking-sun.com", true },
  { "cookingcrusade.com", true },
  { "cookinglife.nl", false },
  { "cookingperfected.com", true },
  { "cookmedical.com", false },
  { "cookwithmanali.com", true },
  { "cool-parties.co.uk", true },
  { "cool-wallpapers.jp", true },
  { "cool.haus", true },
  { "cool110.tk", true },
  { "cool110.xyz", true },
  { "coolattractions.co.uk", true },
  { "coolbitx.com", true },
  { "coolcamping.com", true },
  { "coolcomputers.info", true },
  { "cooldan.com", true },
  { "coole-fete.de", true },
  { "coolgifs.de", true },
  { "cooljv.com", true },
  { "coolmoda.com.ua", true },
  { "coolprylar.se", true },
  { "coolshirt.tk", true },
  { "coomonte.tk", true },
  { "coon.fr", true },
  { "coonawarrawines.com.au", true },
  { "coondesign.ch", true },
  { "coonelnel.net", true },
  { "coore.jp", true },
  { "coorpacademy.com", true },
  { "copan.com.br", true },
  { "copdfoundation.org", true },
  { "copenhagenoptimization.com", true },
  { "copleylawfirm.com", true },
  { "copperandtileroofing.com", true },
  { "copperheados.com", true },
  { "coppidesentupidora.com.br", true },
  { "copplaw.com", true },
  { "coptel.cz", true },
  { "coptkm.cz", true },
  { "copycaught.com", true },
  { "copycaught.net", true },
  { "copycaught.org", true },
  { "copycenter.cf", true },
  { "copycrafter.net", true },
  { "copydz.com", true },
  { "copyengine.co", true },
  { "copypoison.com", true },
  { "copyright-watch.org", true },
  { "copyrightcoins.com", true },
  { "copyrightcoins.help", true },
  { "copyrightcoinsnews.com", true },
  { "copyshrug.ca", true },
  { "copywriting-on-demand.tk", true },
  { "coralreef.blue", true },
  { "corbi.net.au", true },
  { "cordejong.nl", true },
  { "corder.tech", true },
  { "cordeydesign.ch", false },
  { "cordis.io", true },
  { "cordlessdog.com", true },
  { "cordobaaldia.com.mx", true },
  { "core-collective.co.uk", true },
  { "core-concepts.de", false },
  { "core-networks.de", true },
  { "core.mx", true },
  { "core.org.pt", true },
  { "corecodec.com", true },
  { "corehealthberks.com", true },
  { "coreless-stretchfilm.com", true },
  { "corelia.net", true },
  { "corepartners.com.ua", true },
  { "coresolutions.ca", true },
  { "coreum.ca", true },
  { "corevetconnect.co.uk", true },
  { "coreyjmahler.com", true },
  { "corgi.party", true },
  { "coribi.com", true },
  { "corinastefan.ro", true },
  { "corintech.net", true },
  { "coriolis.ch", true },
  { "corisu.co", true },
  { "corkedwinebar.com", true },
  { "corkerscrisps.co.uk", true },
  { "corksoncolumbus.com", true },
  { "corl3ss.com", true },
  { "corleoncatering.com", true },
  { "corlija.com", true },
  { "cornelia-schiemann.de", true },
  { "cornercircle.co.uk", true },
  { "cornergarage.coop", true },
  { "cornerstone.network", true },
  { "cornerstonecmc.org", true },
  { "cornfestgiethoorn.nl", true },
  { "corniche.com", true },
  { "corningcu.org", true },
  { "cornitek.tk", true },
  { "cornmachine.com", true },
  { "cornodo.com", true },
  { "cornsoyexpo.org", true },
  { "corona-academy.com", true },
  { "corona-renderer.cloud", true },
  { "corona-renderer.com", true },
  { "coronersconnect.co.uk", true },
  { "coropiacere.org", true },
  { "corp.goog", true },
  { "corpfin.net", true },
  { "corpio.nl", true },
  { "corpkitnw.com", true },
  { "corpoflow.nl", true },
  { "corporateclash.net", true },
  { "corporatecomputingsolutions.com", true },
  { "corporateinfluencers.com", true },
  { "corpulant.coffee", true },
  { "corpulantcoffee.com", true },
  { "corpulent.coffee", true },
  { "corpulentcoffee.com", true },
  { "corpuschristisouthriver.org", true },
  { "corpusslayer.com", true },
  { "corrbee.com", true },
  { "correctiv.org", true },
  { "correctlydesign.com", true },
  { "correctpaardbatterijnietje.nl", true },
  { "correotemporal.org", true },
  { "corrick.io", true },
  { "corriel.com", true },
  { "corrupted.io", true },
  { "corruptos.tk", true },
  { "corsa-b.uk", true },
  { "corscanplus.com", true },
  { "corsicalaw.com", true },
  { "corsihaccpsicurezzalavoro.it", true },
  { "corsisicurezza.it", true },
  { "corso-antincendio.org", true },
  { "corsomassaggi.it", true },
  { "corsorspp.roma.it", true },
  { "cortealcastello.it", true },
  { "cortexitrecruitment.com", true },
  { "cortexx.nl", true },
  { "cortis-consulting.ch", true },
  { "corvax.kiev.ua", true },
  { "corvee.com", true },
  { "coryadum.com", true },
  { "corytyburski.com", false },
  { "cosasque.com", true },
  { "cosciamoos.com", true },
  { "cosec.cn", true },
  { "cosirex.com", true },
  { "cosmechic.fr", true },
  { "cosmekaitori.jp", true },
  { "cosmeticappraisal.com", true },
  { "cosmeticasimple.com", true },
  { "cosmetify.com", true },
  { "cosmetique-totale.nl", true },
  { "cosmic-os.org", true },
  { "cosmicnavigator.com", true },
  { "cosmicworlds.com", true },
  { "cosmicworlds.mobi", true },
  { "cosmodacollection.com", true },
  { "cosmofunnel.com", true },
  { "cosmohit.ua", true },
  { "cosmos-software.tk", true },
  { "cosmundi.de", true },
  { "cosplayer.com", true },
  { "cospol.ch", false },
  { "costablancavoorjou.com", true },
  { "costarellos.com", true },
  { "costco.co.jp", true },
  { "costco.co.kr", true },
  { "costco.co.uk", true },
  { "costco.com.au", true },
  { "costco.com.mx", true },
  { "costco.com.tw", true },
  { "costco.is", true },
  { "costcoinsider.com", true },
  { "costinstefan.eu", true },
  { "costreportdata.com", false },
  { "costulessdirect.com", true },
  { "coteax.com", true },
  { "coteibem.com.br", true },
  { "coteries.com", false },
  { "cotoacc.com", true },
  { "cotonmusic.ch", false },
  { "cotswoldflatroofing.com", true },
  { "cotwe-ge.ch", false },
  { "cou.re", true },
  { "cougar.dating", true },
  { "coughlan.de", true },
  { "counselingfw.com", true },
  { "counsellingtime.com", true },
  { "counstellor.com", false },
  { "countdowntrader.com", true },
  { "counter-team.ch", false },
  { "counterenlol.com", true },
  { "countermail.com", false },
  { "countermats.net", true },
  { "countersolutions.co.uk", true },
  { "countetime.com", true },
  { "country-creativ.de", true },
  { "countrybrewer.com.au", true },
  { "countryfrog.uk", true },
  { "countryhouseresort.com", true },
  { "countrylife.cz", true },
  { "countryoutlaws.ca", true },
  { "countrysidemarquees.co.uk", true },
  { "countrysmile.org", true },
  { "countybankdel.com", true },
  { "countyjailinmatesearch.com", true },
  { "coupestanley.com", true },
  { "couponbates.com", true },
  { "couponcodesme.com", true },
  { "couponlo.net", true },
  { "cour4g3.me", true },
  { "couragefound.org", true },
  { "couriergrey.com", true },
  { "couriersrs.com", true },
  { "coursables.com", true },
  { "courseconfidence.com", true },
  { "coursera.org", true },
  { "courseworkbank.info", true },
  { "couvreur-hinault.fr", true },
  { "covbounce.co.uk", true },
  { "coveredinspiders.com", true },
  { "covershousing.nl", true },
  { "covert.sh", true },
  { "covoiturage.fr", true },
  { "covuro.com", true },
  { "covve.com", false },
  { "covybrat.cz", true },
  { "cowbird.org", true },
  { "coweo.cz", true },
  { "coworking-luzern.ch", true },
  { "cowsay.blog", true },
  { "coxcapitalmanagement.com", true },
  { "coxxs.me", true },
  { "coya.tw", true },
  { "cozmoyachts.com", true },
  { "cozo.me", true },
  { "cozumel-activities.com", true },
  { "cozyeggdesigns.com", true },
  { "cp-st-martin.be", true },
  { "cpaexamguy.com", true },
  { "cpars.gov", true },
  { "cpasperdu.com", true },
  { "cpbanq.com", true },
  { "cpcheats.co", true },
  { "cpchur.ch", true },
  { "cpd-education.co.uk", true },
  { "cpdhealthcare.com", true },
  { "cpe-colleg.de", true },
  { "cpegypt.tk", true },
  { "cphpvb.net", true },
  { "cpilot.cz", true },
  { "cplus.me", true },
  { "cplusplus.se", true },
  { "cppan.org", true },
  { "cppaste.org", true },
  { "cpqcol.gov.co", true },
  { "cpsa.co.uk", true },
  { "cpsc.gov", true },
  { "cpsecureapp.com", true },
  { "cpsq.fr", true },
  { "cpsurvey.com", true },
  { "cptoon.com", true },
  { "cpu.biz.tr", true },
  { "cpvmatch.eu", true },
  { "cpy.pt", true },
  { "cqn.ch", false },
  { "cqvradio.ddns.net", true },
  { "cr.search.yahoo.com", false },
  { "cr8haven.com", true },
  { "cra-bank.com", true },
  { "cra-search.net", true },
  { "craazzyman21.at", true },
  { "crabrave.space", true },
  { "crackcat.de", true },
  { "cracker.in.th", true },
  { "crackheros.site", true },
  { "crackle.io", true },
  { "crackload.net", true },
  { "crackorsquad.in", true },
  { "crackslut.eu", true },
  { "cracksnet.tk", true },
  { "crackstation.net", true },
  { "cradlepointecm.com", true },
  { "craft-beer.life", true },
  { "craft-me-in.com", true },
  { "craftandbuild.de", true },
  { "craftcms.com", true },
  { "crafted.cat", true },
  { "crafters.co.jp", true },
  { "craftinghand.com", true },
  { "craftinginredlipstick.com", true },
  { "craftist.de", true },
  { "craftshiponline.tk", true },
  { "craftsmandruggets.com", true },
  { "craftsmany.net", true },
  { "crafttalk.tk", true },
  { "craftyguy.net", true },
  { "craftyphotons.net", true },
  { "crag.com.tw", true },
  { "craig-mullins.com", true },
  { "craigbates.co.uk", false },
  { "craigdavis.ga", true },
  { "craigfrancis.co.uk", true },
  { "craigleclaireteam.com", true },
  { "craigrouse.com", true },
  { "craigwfox.com", true },
  { "cralarm.de", true },
  { "cramersoft.com", true },
  { "cranberry-tee.de", true },
  { "crandall.io", true },
  { "cranenburgh.nl", true },
  { "cranforddental.com", true },
  { "cranioo.nl", true },
  { "cranshafengin.com", true },
  { "crapmail.tk", true },
  { "crapouill.es", true },
  { "crashboy.ws", true },
  { "cratss.co.uk", true },
  { "crawfordcountytcc.org", true },
  { "crawler.ninja", true },
  { "crawleybouncycastles.co.uk", true },
  { "crawlspaceandbasementsolutions.com", true },
  { "crazy-bulks.com", true },
  { "crazy-cat.net", true },
  { "crazy-coders.com", true },
  { "crazybulk.co.uk", true },
  { "crazybulk.com", true },
  { "crazybulk.de", true },
  { "crazybulk.fr", true },
  { "crazycastles.ie", true },
  { "crazycraftland.net", true },
  { "crazycube.fr", true },
  { "crazydomains.ae", true },
  { "crazydomains.co.nz", true },
  { "crazydomains.co.uk", true },
  { "crazydomains.com.au", true },
  { "crazydomains.in", true },
  { "crazygifts.cf", true },
  { "crazymarvin.com", true },
  { "crazymeeshu.com", true },
  { "crazynoisybizarre.town", true },
  { "crazypaul.com", true },
  { "crazypowered.com", true },
  { "crazyvisitors.com", true },
  { "crbug.com", true },
  { "crc-bank.com", true },
  { "crc-search.com", true },
  { "crcd.com.ua", true },
  { "crdmendoza.net", true },
  { "crea-etc.net", false },
  { "crea-th.at", true },
  { "crea-that.fr", true },
  { "crea.bg", true },
  { "creamcastles.co.uk", true },
  { "creampiepornvids.com", true },
  { "creamsoft.com", true },
  { "creamyfox.com", true },
  { "creared.edu.co", true },
  { "creareup.com", true },
  { "createbeing.com", true },
  { "createcos.com", true },
  { "creategyx.ga", true },
  { "creatic.co", true },
  { "creatieven.com", true },
  { "creationsgate.com", true },
  { "creative-thinking.ro", true },
  { "creative-wave.fr", true },
  { "creativeangles.in", true },
  { "creativecaptiv.es", true },
  { "creativecenter.pro", true },
  { "creativecommons.gr", true },
  { "creativecommons.org", true },
  { "creativeconceptsvernon.com", true },
  { "creativedigital.co.nz", true },
  { "creativeglassgifts.com.au", true },
  { "creativeground.com.au", true },
  { "creativeideasagency.com", true },
  { "creativeimagery.com.au", true },
  { "creativeink.de", true },
  { "creativekkids.com", true },
  { "creativelaw.eu", true },
  { "creativeliquid.com", true },
  { "creativesectors.tk", true },
  { "creativesurvey.com", true },
  { "creativeweb.biz", true },
  { "creativewolf.net", true },
  { "creativosonline.org", true },
  { "creatixx-network.de", false },
  { "creatleencoaching.com", true },
  { "creators-design.com", true },
  { "creators.direct", true },
  { "creatorswave.com", true },
  { "creatujoya.com", true },
  { "crebita.de", true },
  { "crecman.fr", true },
  { "credex.bg", true },
  { "credigo.se", true },
  { "credit-10.com", true },
  { "credit-default-swaps.tk", true },
  { "creditdigital.uk", true },
  { "creditif.tk", true },
  { "creditkarma.com", true },
  { "credito360.pt", true },
  { "creditor.tk", true },
  { "creditorapido.pt", true },
  { "creditos-rapidos.com", true },
  { "creditozen.es", true },
  { "creditozen.mx", true },
  { "creditproautos.com", false },
  { "creditscoretalk.com", true },
  { "creeks-coworking.com", true },
  { "creep.im", true },
  { "creepypastas.com", true },
  { "creer-une-boutique-en-ligne.com", true },
  { "creermonsite-wp.com", true },
  { "crefelder.com", true },
  { "crem.in", false },
  { "cremepassion.de", true },
  { "crena.ch", true },
  { "crepa.ch", false },
  { "cretdupuy.com", false },
  { "creteangle.com", true },
  { "cretica.no", true },
  { "creusalp.ch", false },
  { "crewplanner.eu", true },
  { "crgalvin.com", true },
  { "crgm.net", true },
  { "cribcore.com", true },
  { "cricklewood.condos", true },
  { "criena.com", true },
  { "criena.net", true },
  { "crime-lawyers.com", true },
  { "crimebarta.com", true },
  { "crimefreeliving.com", true },
  { "crimesolutions.gov", true },
  { "crimevictims.gov", true },
  { "criminal-attorney.ru", true },
  { "criminal.enterprises", true },
  { "crimsonconnect.co.uk", true },
  { "crinesdanzantes.be", true },
  { "criptocert.com", true },
  { "criptoinvest.pt", true },
  { "criptolog.com", true },
  { "criptomonedas365.com", true },
  { "criptomoneylite.tk", true },
  { "criscitos.it", true },
  { "crisisactual.com", true },
  { "crisisnextdoor.gov", true },
  { "crismatthews.com", true },
  { "crisp.chat", true },
  { "crisp.email", true },
  { "crisp.help", true },
  { "crisp.im", true },
  { "crisp.watch", true },
  { "crispinusphotography.com", true },
  { "criss.com.ua", true },
  { "cristalstandards.com", false },
  { "cristarta.com", true },
  { "cristau.org", true },
  { "cristianonascimento.ml", true },
  { "critical.today", false },
  { "criticalgenesis.tk", true },
  { "criticalsurveys.co.uk", true },
  { "critterguard.org", true },
  { "crizin.io", true },
  { "crizk.com", true },
  { "crlna.com", true },
  { "crm.onlime.ch", false },
  { "crm114d.com", true },
  { "croceverdevb.it", true },
  { "crochetnerd.com", true },
  { "croco.vision", true },
  { "crocuscoaching.co.uk", true },
  { "croisedanslemetro.com", true },
  { "croixblanche-haguenau.fr", false },
  { "cromefire.myds.me", true },
  { "cromosomax.com", true },
  { "cromwellvets.co.uk", true },
  { "cronberg.ch", true },
  { "cronenberg.cc", true },
  { "cronix.cc", true },
  { "cronologie.de", true },
  { "cronometer.com", true },
  { "cronoscentral.be", true },
  { "cropdiagnosis.com", true },
  { "crosbug.com", true },
  { "cross-culture.tk", true },
  { "cross-led-sign.com", true },
  { "cross-view.com", true },
  { "cross.lol", true },
  { "crossborderreturns.com", true },
  { "crossedwires.net", true },
  { "crossfiremovies.tk", true },
  { "crossfitblackwater.com", true },
  { "crossformer.com", true },
  { "crosslifenutrition.co.uk", false },
  { "crossnet.io", true },
  { "crossorig.in", true },
  { "crossoverit.com", true },
  { "crosspeakoms.com", true },
  { "crossroads-gmbh.ch", true },
  { "crossway.nl", true },
  { "crosswords123.com", true },
  { "crowcloud.com", true },
  { "crowd.supply", true },
  { "crowdbox.net", true },
  { "crowdcloud.be", true },
  { "crowds.ro", true },
  { "crowdsim3d.com", true },
  { "crowdstack.com", true },
  { "crowdsupply.com", true },
  { "crowleymarine.com", true },
  { "crownaffairs.ch", true },
  { "crownbouncycastlehire.co.uk", true },
  { "crowncastles.co.uk", true },
  { "crownmarqueehire.co.uk", true },
  { "crownpoint.com", true },
  { "crownsterling.io", true },
  { "crows.io", true },
  { "crowter.li", true },
  { "croydonapartments.com.au", true },
  { "croydonbouncycastles.co.uk", true },
  { "crrev.com", true },
  { "crsmsodry.cz", true },
  { "crsoresina.it", true },
  { "crstat.ru", true },
  { "crt.sh", true },
  { "crtalleres.com", true },
  { "crucibleofworlds.com", true },
  { "cruicky.uk", true },
  { "cruisemoab.com", true },
  { "crumbcontrol.com", true },
  { "crunchrapps.com", true },
  { "crunchy.rocks", true },
  { "crustytoothpaste.net", true },
  { "crute.me", true },
  { "cruzitoproducciones.gq", true },
  { "crvegas.com", true },
  { "crvv.me", true },
  { "cry-sys.de", true },
  { "cry.nu", false },
  { "cryoblaster.com", true },
  { "cryothanasia.com", true },
  { "crypt.is-by.us", true },
  { "cryptearth.de", true },
  { "crypted.chat", true },
  { "crypteianetworks.com", true },
  { "cryptex.net", true },
  { "cryptex.pw", true },
  { "cryptizy.com", true },
  { "crypto.cat", false },
  { "crypto.graphics", true },
  { "crypto.is", false },
  { "cryptobin.co", true },
  { "cryptocon.org", true },
  { "cryptodigitalgroup.com", true },
  { "cryptoegg.ca", true },
  { "cryptofan.org", true },
  { "cryptofox.nl", true },
  { "cryptofrog.co", true },
  { "cryptography.ch", true },
  { "cryptoguidemap.com", true },
  { "cryptoholic.co", true },
  { "cryptoisnotacrime.org", true },
  { "cryptojacks.io", true },
  { "cryptojourney.com", true },
  { "cryptology.ch", true },
  { "cryptomail.nl", true },
  { "cryptomkt.com", true },
  { "cryptonom.org", true },
  { "cryptonym.com", true },
  { "cryptool.org", true },
  { "cryptoparty.at", true },
  { "cryptoparty.tv", true },
  { "cryptopartyutah.org", true },
  { "cryptopaste.org", true },
  { "cryptophobia.nl", true },
  { "cryptorival.com", true },
  { "cryptoseb.pw", true },
  { "cryptoshot.pw", true },
  { "cryptract.co", true },
  { "crys.cloud", true },
  { "crys.email", true },
  { "crys.hu", true },
  { "crys.me", true },
  { "crys.ovh", true },
  { "crys.pw", true },
  { "crys.tv", true },
  { "crystal-zone.com", true },
  { "crystalchandelierservices.com", true },
  { "crystalgrid.net", true },
  { "crystaloscillat.com", true },
  { "crystalroad.net", true },
  { "crystalzoneshop.com", true },
  { "crystone.me", true },
  { "cs-algeria.tk", true },
  { "cs.money", true },
  { "csaapac.org", true },
  { "csabg.org", true },
  { "csacongress.com", true },
  { "csacongress.org", true },
  { "csacongress.us", true },
  { "csca.me", true },
  { "cscau.com", true },
  { "cscdn.net", true },
  { "csci571.com", true },
  { "csd-slovenije.si", true },
  { "cselzer.com", true },
  { "csfcloud.com", true },
  { "csfd.cz", true },
  { "csgf.fun", true },
  { "csgf.ru", true },
  { "csgo.su", true },
  { "csgomtr.com", true },
  { "csgoswap.com", true },
  { "csharpmarc.net", true },
  { "cshub.nl", true },
  { "csi.lk", true },
  { "csinterstargeneve.ch", false },
  { "csirt.ee", true },
  { "csjministriesfoundation.org", true },
  { "cskentertainment.co.uk", true },
  { "cslaboralistas.pe", true },
  { "cslbuild.com", true },
  { "csmainframe.com", true },
  { "csodaorszagovoda.hu", true },
  { "csosa.gov", true },
  { "csp.ch", false },
  { "cspeti.hu", true },
  { "cspvalidator.org", true },
  { "csrichter.com", true },
  { "css-tricks.tk", true },
  { "css.direct", false },
  { "cssai.eu", true },
  { "cssaunion.com", true },
  { "cstanley.net", true },
  { "cstb.ch", false },
  { "cstp-marketing.com", true },
  { "cstrong.nl", true },
  { "csu.st", true },
  { "csust.net", true },
  { "csuw.net", true },
  { "csvalpha.nl", true },
  { "csvplot.com", true },
  { "cswarzone.com", true },
  { "cswebi.net", true },
  { "cswgmbh.de", true },
  { "csy.hu", true },
  { "ct.search.yahoo.com", false },
  { "ctc-transportation.com", true },
  { "ctcom-peru.com", true },
  { "ctcue.com", true },
  { "ctes.cz", true },
  { "ctf-albstadt.de", true },
  { "ctf.link", true },
  { "ctir.gov.br", true },
  { "ctkwwri.org", true },
  { "ctliu.com", true },
  { "ctmrepository.com", true },
  { "ctnguyen.de", true },
  { "ctnguyen.net", true },
  { "ctns.de", false },
  { "ctoin.tw", true },
  { "ctomp.io", false },
  { "ctor.ch", true },
  { "ctpe.net", true },
  { "ctrl.blog", true },
  { "ctrl.gr", true },
  { "cttso.gov", true },
  { "cu247secure.ie", true },
  { "cuacamaungon.com", true },
  { "cuatroymedia.com", true },
  { "cub-bouncingcastles.co.uk", true },
  { "cubaal.com", true },
  { "cubanchino.tk", true },
  { "cube.builders", true },
  { "cubebot.io", true },
  { "cubebuilders.net", true },
  { "cubecart-demo.co.uk", true },
  { "cubecart-hosting.co.uk", true },
  { "cubecraft.net", true },
  { "cubecraftcdn.com", true },
  { "cubekrowd.net", true },
  { "cubeo.xyz", true },
  { "cubeperformancecentre.com.au", true },
  { "cubesugar.info", true },
  { "cubetech.co.jp", true },
  { "cubia.de", true },
  { "cubia3.com", true },
  { "cubia4.com", true },
  { "cubiest.com", true },
  { "cubigames.tk", true },
  { "cubile.xyz", true },
  { "cubing.net", true },
  { "cublick.com", true },
  { "cubos.io", true },
  { "cubsbestteaminbaseball.com", true },
  { "cubua.com", true },
  { "cubyhome.com", true },
  { "cuchichi.es", true },
  { "cuckoo.ee", true },
  { "cuckoopalace.cn", true },
  { "cuddlecomfort.com", true },
  { "cuddlingyaks.com", true },
  { "cudoo.de", true },
  { "cueca.com.br", true },
  { "cuecasonline.com.br", true },
  { "cuegee.com", true },
  { "cuentamecomopaso.es", true },
  { "cuentasmutualamr.org.ar", true },
  { "cuetoems.com", true },
  { "cuff-links.nl", true },
  { "cuibonobo.com", true },
  { "cuio.net", true },
  { "cuir-lipari.fr", true },
  { "cuitandokter.com", true },
  { "culan.dk", true },
  { "cultiv.nl", true },
  { "cultofd50.org", true },
  { "cultofperf.org.uk", true },
  { "cultura10.com", true },
  { "culturabrasilia.tk", true },
  { "culturalparadiso.tk", true },
  { "culturedcode.com", true },
  { "culturelivresque.fr", true },
  { "cultureshift.co", true },
  { "culturesouthwest.org.uk", true },
  { "culturess.com", true },
  { "culturoquiz.com", true },
  { "cumberlandrivertales.com", true },
  { "cuminas.com", true },
  { "cuminas.jp", true },
  { "cumnock.name", true },
  { "cumnock.org", true },
  { "cumplegenial.com", true },
  { "cumseface.eu", true },
  { "cumshots-video.ru", true },
  { "cuoc.org.uk", true },
  { "cup.al", true },
  { "cupcake.pt", true },
  { "cupclub.com", true },
  { "cupdunarea.ro", true },
  { "cupoane-reducere.net", true },
  { "cupom.net", true },
  { "cur.by", true },
  { "curacao-firma.com", true },
  { "curacaodiveguide.com", true },
  { "curamail.co.uk", true },
  { "curbside.com", true },
  { "cureatr.com", true },
  { "curieux.digital", false },
  { "curio-shiki.com", true },
  { "curiosity-driven.org", true },
  { "curlify.com", true },
  { "curlybracket.co.uk", true },
  { "curontwerptoolgroenbeton.nl", true },
  { "currency-strength.com", true },
  { "current-usa.com", true },
  { "currentlystreaming.com", true },
  { "currynissanmaparts.com", true },
  { "cursocatolico.com", true },
  { "cursomente.online", true },
  { "cursos-trabajadores.net", true },
  { "cursos.com", true },
  { "cursosemmaus.es", true },
  { "cursosforex.com", true },
  { "cursosgratuitos.pe", true },
  { "cursosingles.com", true },
  { "cursossena.co", true },
  { "cursosypostgrados.com", true },
  { "cursuri-de-actorie.ro", true },
  { "curtacircuitos.com.br", false },
  { "curtis-smith.me.uk", true },
  { "curtislinville.net", true },
  { "curtissmith.me.uk", true },
  { "curva.co", false },
  { "curvemedia.co", true },
  { "curveprotect.com", true },
  { "curveprotect.cz", true },
  { "curveprotect.net", true },
  { "curveprotect.org", true },
  { "curvissa.co.uk", true },
  { "custer.tk", true },
  { "custodian.nl", true },
  { "custodyxchange.com", true },
  { "customdissertation.com", true },
  { "customessaystation.gq", true },
  { "customfitbymj.net", true },
  { "customizeyoursink.com", true },
  { "custompapers.com", true },
  { "customradio.tk", true },
  { "customsportsocks.com", true },
  { "customwebsitesplus.com", true },
  { "customwritings.com", true },
  { "customwritten.com", true },
  { "cutieland.to", true },
  { "cutlinks.ml", true },
  { "cutmylink.gq", true },
  { "cutner.co", true },
  { "cuvva.co", true },
  { "cuvva.co.uk", true },
  { "cuvva.com", true },
  { "cuvva.eu", true },
  { "cuvva.io", true },
  { "cuvva.it", true },
  { "cuvva.me", true },
  { "cuvva.net", true },
  { "cuvva.org", true },
  { "cuvva.uk", true },
  { "cuvva.us", true },
  { "cuxpool.net", true },
  { "cvazquez.es", true },
  { "cvc.digital", true },
  { "cvchomes.com", true },
  { "cvcoders.com", true },
  { "cve-le-carrousel.ch", false },
  { "cviip.ca", true },
  { "cviip.com", true },
  { "cvj.me", true },
  { "cvl.ch", false },
  { "cvlibrary.co.uk", true },
  { "cvmatch.me", true },
  { "cvmu.jp", true },
  { "cvo-group.com", true },
  { "cvr.dk", true },
  { "cvtemplatemaster.com", true },
  { "cvtshop.com.br", true },
  { "cvutdecin.cz", true },
  { "cvv.cn", true },
  { "cw.center", true },
  { "cwaclub.tk", true },
  { "cwbrtrust.ca", true },
  { "cwc.gov", true },
  { "cwgaming.co.uk", true },
  { "cwmart.in", true },
  { "cwrau.com", true },
  { "cwrau.de", true },
  { "cwrau.info", true },
  { "cwrau.io", true },
  { "cwrau.me", true },
  { "cwrau.name", true },
  { "cwrau.rocks", true },
  { "cwrau.tech", true },
  { "cwrcoding.com", true },
  { "cwwise.com", true },
  { "cx100.io", true },
  { "cxadd.com", true },
  { "cyanghost.com", true },
  { "cyanhexagon.com", true },
  { "cyber-core.co.uk", true },
  { "cyber-travel.com", true },
  { "cyber-yaroslavl.tk", true },
  { "cyber.je", true },
  { "cyberatlantis.com", true },
  { "cybercareers.gov", true },
  { "cybercat-tver.tk", true },
  { "cybercrew.cc", true },
  { "cybercrew.rocks", true },
  { "cybercrime-forschung.de", true },
  { "cybercrime.gov", true },
  { "cybercustodian.com", true },
  { "cyberdean.fr", true },
  { "cyberdev.cf", true },
  { "cyberdiscoverycommunity.uk", true },
  { "cyberduck.io", true },
  { "cyberfamily.network", true },
  { "cyberforensics.com", true },
  { "cyberfrancais.ro", true },
  { "cybergame-host.tk", true },
  { "cybergroup.cf", true },
  { "cyberhazard.eu", true },
  { "cyberhipsters.nl", true },
  { "cyberianhusky.com", false },
  { "cyberium-planet.cf", true },
  { "cyberlab.team", true },
  { "cyberlegal.co", true },
  { "cybermaniac.tk", true },
  { "cyberme.sh", true },
  { "cybermotives.com", true },
  { "cybernetivdigital.com", true },
  { "cyberogism.com", true },
  { "cyberonesol.com", true },
  { "cyberoptic.de", true },
  { "cyberpathogen.me", true },
  { "cyberpcforum.com", true },
  { "cyberphaze.com", true },
  { "cyberphoenix.tk", true },
  { "cyberpubonline.com", true },
  { "cybersafesolutions.com", true },
  { "cyberscan.io", true },
  { "cybersecurite-info.fr", true },
  { "cybersecurity.gr", true },
  { "cybersecurity.run", true },
  { "cybersecuritychallenge.be", false },
  { "cyberseguranca.com.br", true },
  { "cybershark.space", true },
  { "cybersins.com", true },
  { "cybersmart.co.uk", true },
  { "cybersmartdefence.com", true },
  { "cybersound.tk", true },
  { "cyberspect.com", true },
  { "cyberspect.io", true },
  { "cyberstatus.de", true },
  { "cybertrash.xyz", true },
  { "cybertu.be", true },
  { "cyberwars.dk", true },
  { "cyberwire.nl", true },
  { "cyberxpert.nl", true },
  { "cybozu.cn", true },
  { "cybozu.com", true },
  { "cycledownunder.com", true },
  { "cycleluxembourg.lu", true },
  { "cyclinggoodso.com", true },
  { "cyclonebikes.com.ua", true },
  { "cyclonedesign.ca", true },
  { "cyclowiz.com", true },
  { "cydetec.com", true },
  { "cyfly.org", true },
  { "cygnan.com", true },
  { "cygnatus.com", true },
  { "cygnius.net", true },
  { "cykelbanor.se", true },
  { "cyl6.com", true },
  { "cylindehea.com", true },
  { "cylindricity.com", true },
  { "cyllos.me", true },
  { "cynicaloptimist.me", true },
  { "cyon.ch", true },
  { "cyph.audio", true },
  { "cyph.com", true },
  { "cyph.healthcare", true },
  { "cyph.im", true },
  { "cyph.io", true },
  { "cyph.me", true },
  { "cyph.video", true },
  { "cyph.ws", true },
  { "cyphar.com", true },
  { "cypherpunk.at", true },
  { "cypherpunk.observer", true },
  { "cypressinheritancesaga.com", true },
  { "cypresslegacy.com", true },
  { "cyprus-company-service.com", true },
  { "cyrano-books.com", true },
  { "cysec.biz", true },
  { "cysmo.de", true },
  { "cytat.tk", true },
  { "cytech.com.tr", true },
  { "cythereaxxx.com", true },
  { "cyumus.com", true },
  { "cz.ma", true },
  { "czakey.net", true },
  { "czaw.org", true },
  { "czbix.com", true },
  { "czbtm.com", true },
  { "czc.cz", true },
  { "czech.is", true },
  { "czechvirus.cz", true },
  { "czerno.com", true },
  { "czk.mk", true },
  { "czprothz.tk", true },
  { "czwartybrat.pl", true },
  { "czzs.org", true },
  { "d-20.fr", true },
  { "d-consultant.ru", true },
  { "d-designerin.de", true },
  { "d-eisenbahn.com", true },
  { "d-macindustries.com", true },
  { "d-parts.de", true },
  { "d-parts24.de", true },
  { "d-training.de", true },
  { "d-vision-web.com", true },
  { "d.nr", true },
  { "d00228.com", false },
  { "d00d.de", true },
  { "d0g.cc", true },
  { "d0m41n.name", true },
  { "d0xq.com", true },
  { "d2.gg", true },
  { "d2ph.com", true },
  { "d30365.com", true },
  { "d36533.com", true },
  { "d3a.xyz", true },
  { "d3lab.net", true },
  { "d3xt3r01.tk", true },
  { "d42.no", true },
  { "d4b.in.ua", true },
  { "d4done.com", true },
  { "d4fx.de", true },
  { "d4rkdeagle.tk", true },
  { "d4x.de", true },
  { "d64.nl", true },
  { "d66.ag", true },
  { "d66.nl", true },
  { "d6c5yfulmsbv6.cloudfront.net", true },
  { "d7035.com", true },
  { "d7215.com", true },
  { "d8.ag", true },
  { "d8.io", true },
  { "d8118.com", true },
  { "d8228.com", true },
  { "d8778.com", true },
  { "d8787.net", true },
  { "d88.ag", true },
  { "d88.cc", false },
  { "d88.cn.com", true },
  { "d88.com", true },
  { "d881.net", true },
  { "d8811.net", true },
  { "d88111.com", true },
  { "d8812.com", true },
  { "d8813.com", true },
  { "d8814.com", true },
  { "d8816.net", true },
  { "d8817.com", true },
  { "d8819.com", true },
  { "d8824.com", true },
  { "d88322.com", true },
  { "d88333.com", true },
  { "d8834.com", true },
  { "d8842.com", true },
  { "d8843.com", true },
  { "d8845.com", true },
  { "d8847.com", true },
  { "d8850.net", true },
  { "d88522.com", true },
  { "d8853.com", true },
  { "d8854.com", true },
  { "d8859.com", true },
  { "d886.net", true },
  { "d8860.net", true },
  { "d8861.com", true },
  { "d8864.com", true },
  { "d8870.net", true },
  { "d8872.net", true },
  { "d8874.com", true },
  { "d8878.com", true },
  { "d888.ag", true },
  { "d888.co", true },
  { "d888.me", true },
  { "d88818.com", true },
  { "d88870.com", true },
  { "d88877.com", true },
  { "d88882.com", true },
  { "d8890.net", true },
  { "d8897.com", true },
  { "d8898.com", true },
  { "d88988.com", true },
  { "d88998.com", true },
  { "d88agent.com", true },
  { "d88dc05.com", true },
  { "d88md03.com", true },
  { "d88md24.com", true },
  { "d88md29.com", true },
  { "d8998.com", true },
  { "d9c.eu", true },
  { "daaje-und-andre.de", true },
  { "daallexx.eu", true },
  { "dabasstacija.lv", true },
  { "dabuttonfactory.com", true },
  { "daceurope.co.uk", true },
  { "dachb0den.net", true },
  { "dachbleche24-shop.de", true },
  { "dachdecker-ranzenberger.de", true },
  { "dachdeckermeister-egon-weiss.de", true },
  { "dachtechnik-windschuettl.de", true },
  { "daciaforum.nl", true },
  { "daciamodellen.nl", true },
  { "dadadani.xyz", true },
  { "dadafterforty.be", true },
  { "daddybio.com", true },
  { "dado.fr", true },
  { "dado.me", true },
  { "dado.virtual.museum", true },
  { "dadosch.de", true },
  { "dadrian.io", true },
  { "dadstersgroup.com", true },
  { "daduke.org", true },
  { "daemen.org", true },
  { "daemon-hentai.tk", true },
  { "daemwool.ch", true },
  { "daevel.com", true },
  { "daevel.fr", true },
  { "daevel.net", true },
  { "dafe2021.ee", true },
  { "dafont.com", true },
  { "dafricapress.com", true },
  { "daftarhajiumroh.com", true },
  { "dafyddcrosby.com", true },
  { "dag-hebergement.fr", true },
  { "dag-konsult.com", true },
  { "dagensannonser.se", true },
  { "dagmarhamalova.cz", true },
  { "dagrs.se", true },
  { "dahlberg.cologne", true },
  { "dahobo.tk", true },
  { "dai94.com", true },
  { "daibetter.com", true },
  { "daidr.me", true },
  { "daie-inc.com", true },
  { "daigakujuken-plus.com", true },
  { "daikoz.com", true },
  { "dailybits.be", true },
  { "dailyblogged.com", true },
  { "dailychristianpodcast.com", true },
  { "dailydote.com", true },
  { "dailyemailinboxing.com", true },
  { "dailyenglishchallenge.com", true },
  { "dailyhealthguard.com", true },
  { "dailykos.com", true },
  { "dailynewsclubs.ga", true },
  { "dailyrenewblog.com", true },
  { "dailyrover.com", true },
  { "dailyroverr.com", true },
  { "dailysuperheroes.com", true },
  { "dailyxenang.com", true },
  { "daimafengzi.com", true },
  { "dairyshrine.org", true },
  { "daisakuikeda.org", true },
  { "daisidaniels.co.uk", true },
  { "daisy-peanut.com", true },
  { "daisypeanut.com", true },
  { "daiwan.cool", true },
  { "dajiadu.net", true },
  { "dajiadu8.com", true },
  { "dajiale.org", true },
  { "dak.org", true },
  { "dakin.nyc", true },
  { "dakindesign.com", true },
  { "dakinnyc.com", true },
  { "daknob.net", true },
  { "dakota-spain.tk", true },
  { "dakotasjoint.com", true },
  { "dakshm.in", true },
  { "daktarisys.com", true },
  { "dal.net.sa", true },
  { "daladubbeln.se", true },
  { "dalaran.city", true },
  { "dalb.in", true },
  { "dalcomseo.com", true },
  { "dale-west.com", true },
  { "dalek.co.nz", true },
  { "dalfsennet.nl", true },
  { "dalianbbq.com", true },
  { "dalingk.com", true },
  { "dallaslu.com", true },
  { "dallasmenshealth.com", true },
  { "dalliard.ch", false },
  { "dallmeier.net", true },
  { "dalmatiersheusden.be", true },
  { "damaged.org", true },
  { "damasexpress.com", true },
  { "damedrogy.cz", true },
  { "damejidlo.cz", true },
  { "dameocio.com", true },
  { "damghaem.ir", true },
  { "damianus.hr", true },
  { "damianuv-blog.cz", true },
  { "damicris.ro", true },
  { "damienoreilly.org", true },
  { "daminiphysio.ca", true },
  { "damip.net", true },
  { "damirsystems.com", true },
  { "damjanovic.it", true },
  { "dammekens.be", true },
  { "damngoodpepper.com", false },
  { "damonline.dk", true },
  { "dampedia.com", true },
  { "dampt.tk", true },
  { "dan-bureau.com", true },
  { "dan-bureau.dk", true },
  { "dan.me.uk", true },
  { "danads.com", true },
  { "danajamin.com", true },
  { "danalytics.com.pe", true },
  { "danamica.dk", true },
  { "danandrum.com", true },
  { "danarozmarin.com", true },
  { "danbaldwinart.com", true },
  { "danbergen.com", true },
  { "danburycampervans.co.uk", true },
  { "danca.com", true },
  { "dance-colleges.com", true },
  { "danceylove.net", true },
  { "danchen.org", true },
  { "dancingcubs.co.uk", true },
  { "danclassroom.com", true },
  { "dandenongroadapartments.com.au", true },
  { "dandia.ro", true },
  { "danel.ski", true },
  { "danelska.pl", true },
  { "danelski.pl", true },
  { "danfromit.co.uk", true },
  { "danfromit.com", true },
  { "dangr.zone", true },
  { "danhalliday.com", true },
  { "danholloway.online", true },
  { "danhotels.co.il", true },
  { "danhotels.com", true },
  { "daniel-baumann.ch", true },
  { "daniel-cholewa.de", true },
  { "daniel-kulbe.de", true },
  { "daniel-leblanc.tk", true },
  { "daniel-milnes.co.uk", true },
  { "daniel-milnes.uk", true },
  { "daniel-ruf.de", true },
  { "daniel-wildhaber.ch", true },
  { "danielalvarez.net", true },
  { "danielas.boutique", true },
  { "daniele.tech", true },
  { "danielehniss.de", true },
  { "danielepestilli.com", true },
  { "danielgorr.de", true },
  { "danielgray.email", true },
  { "danielgray.me", true },
  { "danielguttfreundphd.net", true },
  { "danielhinterlechner.eu", true },
  { "danielhochleitner.de", true },
  { "danieliancu.com", true },
  { "danieljamesscott.org", true },
  { "danieljball.co.uk", true },
  { "danieljstevens.com", true },
  { "danielkanchev.com", true },
  { "danielkoster.nl", true },
  { "danielluisrodriguezs.com", true },
  { "danielmartin.de", true },
  { "danielmiessler.com", true },
  { "danielmoch.com", true },
  { "danielmorell.com", true },
  { "danielmostertman.com", true },
  { "danielnaaman.com", true },
  { "danielparker.com.au", true },
  { "danielpenno.com", true },
  { "danielpeukert.cz", true },
  { "danielran.com", true },
  { "danielrozenberg.com", true },
  { "danielsblog.org", true },
  { "danielsfirm.com", true },
  { "danielstach.cz", true },
  { "danielsteiner.net", true },
  { "danielstiner.me", true },
  { "danielthompson.info", true },
  { "danieltollot.de", true },
  { "danielvanassen.nl", true },
  { "danielvoogsgerd.nl", true },
  { "danielwildhaber.ch", true },
  { "danifabi.eu", true },
  { "danilapisarev.com", true },
  { "danilov-abrosimov.org.ua", true },
  { "danjesensky.com", true },
  { "dank.ninja", true },
  { "dankim.de", false },
  { "danla.nl", true },
  { "danmaby.com", true },
  { "danmarksbedstefredagsbar.dk", true },
  { "danmarksflyttemand.dk", true },
  { "danmassarano.com", true },
  { "danminkevitch.com", false },
  { "danna-salary.com", true },
  { "danndorf.com", false },
  { "dannhanks.com", true },
  { "dannicholas.net", true },
  { "danny-tittel.de", true },
  { "dannycairns.com", true },
  { "dannygaidateraelgar.com", true },
  { "dannyjota.tk", true },
  { "dannystevens.co.uk", true },
  { "danonsecurity.com", true },
  { "danotage.tv", true },
  { "danoz.net", true },
  { "danpiel.net", true },
  { "dansage.co", true },
  { "dansaunders.me", true },
  { "dansdiscounttools.com", true },
  { "dansedesalonsaintave.fr", true },
  { "danselibre.net", true },
  { "danselibre.org", true },
  { "danseressen.nl", true },
  { "dansk8bit.dk", true },
  { "danskefilm.dk", true },
  { "danskoferie.dk", true },
  { "danskoya.com", true },
  { "danslan.org", true },
  { "danstillman.com", true },
  { "dante.com", true },
  { "dantransports.fr", true },
  { "danw.io", true },
  { "danwin1210.me", true },
  { "danwise.online", true },
  { "danwolff.se", true },
  { "danyabanya.com", true },
  { "danzac.com", true },
  { "danzka.tk", true },
  { "dao.spb.su", true },
  { "daop.co.uk", true },
  { "daoro.net", false },
  { "daphne.informatik.uni-freiburg.de", true },
  { "daphnes-restaurant.co.uk", true },
  { "dapianw.com", true },
  { "dapim.co.il", true },
  { "dapoxetinagenerico.cf", true },
  { "dapperdom.net", true },
  { "daracokorilo.com", true },
  { "darani.ch", true },
  { "daravk.ch", true },
  { "darc-mak.de", true },
  { "darchoods.net", false },
  { "darcymarshall.com", true },
  { "dare.deals", true },
  { "dareyou.be", true },
  { "darf.nl", true },
  { "darfurwall.org", true },
  { "dariaburger.de", true },
  { "daridarkom.fr", true },
  { "darinkotter.com", true },
  { "darioclip.com", true },
  { "darioturchetti.me", true },
  { "dark-archive.com", true },
  { "dark-crystal.tk", true },
  { "dark-infection.de", true },
  { "dark-nova.me", true },
  { "dark-nova.tk", true },
  { "dark-vision.cz", true },
  { "dark.fail", true },
  { "dark.ninja", true },
  { "darkag.ovh", true },
  { "darkcards.xyz", true },
  { "darkcores.net", true },
  { "darkengine.io", true },
  { "darkengine.net", true },
  { "darkenluster.space", true },
  { "darkeststar.org", true },
  { "darkfire.ch", true },
  { "darklang.com", true },
  { "darklaunch.com", true },
  { "darkleia.com", true },
  { "darknessflickers.com", false },
  { "darknetlive.com", true },
  { "darknight.blog", true },
  { "darkrisks.com", true },
  { "darkserver.fedoraproject.org", true },
  { "darkserver.stg.fedoraproject.org", true },
  { "darkshop.nl", true },
  { "darkskymap.com", true },
  { "darktime.ru", true },
  { "darkwater.info", true },
  { "darkx.me", true },
  { "darlenejacques.com", true },
  { "darmgesundheit.ch", true },
  { "darom.jp", true },
  { "darshnam.com", true },
  { "dartcode.org", true },
  { "dartetdemetiers.fr", true },
  { "darth-sonic.de", true },
  { "darwinkel.net", true },
  { "darwinsearch.org", true },
  { "darylcrouse.com", true },
  { "darylcumbo.net", true },
  { "das-forum24.de", true },
  { "das-mediale-haus.de", true },
  { "das-sommercamp.de", true },
  { "dasgeestig.nl", true },
  { "dashadmit123.com", true },
  { "dashdrive.net", true },
  { "dashlane.com", true },
  { "dashnearby.com", true },
  { "dasignsource.com", true },
  { "dasinternetluegt.at", true },
  { "dassolutions.eu", true },
  { "dasteichwerk.at", true },
  { "dasug.de", true },
  { "dat4u.de", true },
  { "data-captive.com", true },
  { "data-detox.de", true },
  { "data-jt.de", true },
  { "data-wing.ga", false },
  { "data.bayern", true },
  { "data.gov", true },
  { "data.govt.nz", true },
  { "data.haus", true },
  { "data.world", true },
  { "data3w.nl", true },
  { "databionix.com", true },
  { "databutlr.com", true },
  { "databutlr.net", true },
  { "datacalle.com", true },
  { "datacaptive.com", true },
  { "datacenternews.asia", true },
  { "datacenternews.us", true },
  { "datacentrenews.eu", true },
  { "datacommissioner.gov.au", true },
  { "datadit.hu", true },
  { "datadraugen.no", true },
  { "datadyne.technology", true },
  { "dataformers.at", true },
  { "datagrail.io", true },
  { "dataharvest.at", true },
  { "datahive360.com", true },
  { "datahjalp.nu", true },
  { "datajobs.ai", true },
  { "datakick.org", true },
  { "datakl.com", true },
  { "datalife.gr", true },
  { "datalysis.ch", false },
  { "dataman.ml", true },
  { "dataprivacysolution.com", true },
  { "datapun.ch", true },
  { "dataregister.info", true },
  { "datart.fr", true },
  { "datasafeassurance.co.uk", true },
  { "datascience.cafe", true },
  { "datascience.ch", false },
  { "dataskydd.net", false },
  { "dataspace.pl", true },
  { "datasubject.com", true },
  { "datasubjects.com", true },
  { "datasupport-stockholm.se", true },
  { "datasupport.one", true },
  { "dataswamp.org", true },
  { "datatekniikka.fi", false },
  { "datatekniker.nu", true },
  { "datateknologsektionen.se", false },
  { "datatree.nl", true },
  { "datatruckers.com", true },
  { "datatruckers.email", true },
  { "datatruckers.eu", true },
  { "datatruckers.net", true },
  { "datatruckers.nl", true },
  { "datatruckers.org", true },
  { "datatypes.net", true },
  { "datax-cloud.de", true },
  { "datecougarslocal.com", true },
  { "datelah.com", true },
  { "datememe.com", true },
  { "datenendlager.org", true },
  { "datengrab.xyz", true },
  { "datenkeks.de", true },
  { "dateno1.com", true },
  { "datenreiter.org", true },
  { "datensalat.info", true },
  { "datenschutz-consult.de", true },
  { "datenschutz-gruenwald.de", true },
  { "datenschutz-individuell.de", true },
  { "datenschutz-isny.de", true },
  { "datenschutz-leutkirch.de", true },
  { "datenschutz-oberschwaben.de", true },
  { "datenschutz-ravensburg.de", true },
  { "datenschutz-wangen.de", true },
  { "datenschutz-weingarten.de", true },
  { "datenschutzgrundverordnung.de", true },
  { "datenschutztag.org", true },
  { "datenschutzzentrum.de", true },
  { "datenwerkstatt.net", true },
  { "datewon.net", true },
  { "dating.wedding", true },
  { "datingsrit.tk", true },
  { "datisstom.nl", true },
  { "datmancrm.com", true },
  { "datometry.com", true },
  { "dator-test.se", true },
  { "datorhjalp-stockholm.se", true },
  { "datorhjalptaby.se", true },
  { "datorservice-stockholm.se", true },
  { "datumou-osusume.com", true },
  { "datumplus.co.uk", true },
  { "datumstudio.jp", true },
  { "daubecity.de", true },
  { "daubehosting.de", true },
  { "daunatotala.ro", true },
  { "dautuvang.net", true },
  { "dave-pearce.com", true },
  { "daveaglick.com", true },
  { "davecardwell.com", true },
  { "davedevries.nl", true },
  { "davelage.com", true },
  { "davelynes.com", true },
  { "daveoc64.co.uk", true },
  { "daveops.net", true },
  { "davepage.me.uk", true },
  { "davepearce.com", true },
  { "davepermen.net", true },
  { "davescomputertips.com", true },
  { "davesharpe.com", true },
  { "davesinclair.com.au", true },
  { "davetempleton.com", true },
  { "davethom.net", true },
  { "davevelopment.net", true },
  { "davewardle.com", true },
  { "davewood.com.au", true },
  { "david-corry.com", true },
  { "david-edu.com", true },
  { "david-hinschberger.me", true },
  { "david-jeffery.co.uk", true },
  { "david-merkel.de", true },
  { "david-pearce.com", true },
  { "david-reess.de", true },
  { "david-schiffmann.de", true },
  { "david.kitchen", true },
  { "davidadrian.org", true },
  { "davidandersson.se", true },
  { "davidandrewcoaching.com", true },
  { "davidbranco.me", true },
  { "davidbrookes.me", true },
  { "davidbuckell.com", true },
  { "daviddejori.com", true },
  { "davidelstob.com", true },
  { "davidfetveit.com", true },
  { "davidfindlay.org", true },
  { "davidfrancoeur.com", true },
  { "davidgouveia.net", true },
  { "davidgow.net", true },
  { "davidgreig.uk", true },
  { "davidgroup.co.id", true },
  { "davidgrudl.com", true },
  { "davidhanle.com", true },
  { "davidje13.com", true },
  { "davidkeane.com", true },
  { "davidkennardphotography.com", true },
  { "davidking.xyz", true },
  { "davidlamprea.com", true },
  { "davidlamprea.eu", true },
  { "davidlane.io", false },
  { "davidlindekilde.dk", true },
  { "davidlyness.com", true },
  { "davidmcevoy.org.uk", true },
  { "davidmessenger.co.uk", true },
  { "davidmn.org", true },
  { "davidpearce.com", true },
  { "davidpearce.org", true },
  { "davidpescarolo.it", true },
  { "davidschadlich.com", true },
  { "davidschlachter.com", true },
  { "davidschubert.com", true },
  { "davidsimner.me.uk", true },
  { "davidsopas.com", true },
  { "davidtiffany.com", true },
  { "davidundetiwan.com", true },
  { "davidzeegers.nl", true },
  { "davidzimmerman3.com", true },
  { "davie3.com", true },
  { "davisdieselandautorepair.com", true },
  { "davo-usedcars.be", false },
  { "davy-server.com", true },
  { "daw.nz", true },
  { "dawgs.ga", true },
  { "dawnbringer.eu", true },
  { "dawnbringer.net", true },
  { "dawnofeden.net", true },
  { "dawoud.org", true },
  { "dawson-floridavilla.co.uk", true },
  { "dax.guide", true },
  { "daxpatterns.com", true },
  { "daxterfellowesservers.com", true },
  { "daycontactlens.com", true },
  { "daygametraining.com", true },
  { "daylightpirates.org", true },
  { "daymprove.life", true },
  { "dayofdays.be", true },
  { "dayofthegirl.gc.ca", true },
  { "daysgolfclub.net", true },
  { "daysinnaustin.com", true },
  { "daysoftheyear.com", true },
  { "dayswithnostabbings.ca", true },
  { "dayuse-hotels.it", true },
  { "dayuse.co.uk", true },
  { "dayuse.com", true },
  { "dayuse.cz", true },
  { "dayuse.es", true },
  { "dayuse.fr", true },
  { "dayuse.pt", true },
  { "dayuse.se", true },
  { "dazz.it", true },
  { "dazzit.ca", true },
  { "dazzit.com", true },
  { "dazzit.io", true },
  { "dazzit.net", true },
  { "dazzit.org", true },
  { "dazzit.xyz", true },
  { "db-works.nl", true },
  { "db.ci", true },
  { "dbaron.org", true },
  { "dbas.cz", true },
  { "dbcartography.com", true },
  { "dbentertainment.co.uk", true },
  { "dbgamestudio.com", true },
  { "dblcastles.co.uk", true },
  { "dbldub.net", true },
  { "dbmiller.org", true },
  { "dbmteam.com", true },
  { "dborcard.com", false },
  { "dbpkg.com", true },
  { "dbplanview.com", true },
  { "dbq.com", true },
  { "dbrand.com", true },
  { "dbrgn.ch", true },
  { "dbtsai.com", false },
  { "dc-acupuncture.com", true },
  { "dc-elektro.com", true },
  { "dc-elektro.de", true },
  { "dc-elektro.eu", true },
  { "dc-occasies.be", false },
  { "dc-solution.de", false },
  { "dc1.com.br", true },
  { "dc562.org", true },
  { "dcain.me", true },
  { "dcave.net", true },
  { "dcbouncycastles.co.uk", true },
  { "dcc.cat", true },
  { "dcc.moe", true },
  { "dccwiki.com", true },
  { "dcdestetica.it", true },
  { "dcdn.lt", true },
  { "dcepler.net", true },
  { "dchatelain.ch", false },
  { "dchest.org", true },
  { "dckd.nl", true },
  { "dclaisse.fr", true },
  { "dcmapping.net", true },
  { "dcmarvelunited.com", true },
  { "dcmediahosting.com", true },
  { "dcmt.co", true },
  { "dcpower.eu", true },
  { "dcrdev.com", true },
  { "dcw.io", true },
  { "dcyph.de", true },
  { "dd.art.pl", true },
  { "dd.center", true },
  { "dd00228.com", false },
  { "dd118d.com", true },
  { "dd11d.net", true },
  { "dd202d.com", true },
  { "dd207d.com", true },
  { "dd209d.com", true },
  { "dd211d.com", true },
  { "dd215d.com", true },
  { "dd44d.net", true },
  { "ddatsh.com", true },
  { "ddays2008.org", true },
  { "dddmelbourne.com", true },
  { "ddel.de", true },
  { "dden.ca", true },
  { "ddepot.us", true },
  { "ddhosted.com", true },
  { "ddjlawtampa.com", true },
  { "ddkkitchens.com", true },
  { "ddns-test.de", true },
  { "ddnsweb.com", false },
  { "ddoser.cn", false },
  { "ddosguard.cf", true },
  { "ddosolitary.org", true },
  { "ddracepro.net", true },
  { "dds.mil", true },
  { "dds.pe", true },
  { "ddsmatchsouthwest.com", true },
  { "de-gucci.com", true },
  { "de-kramers.nl", true },
  { "de-mail.info", true },
  { "de-medici.nl", true },
  { "de-mossadeq.tk", true },
  { "de-rwa.de", true },
  { "de.search.yahoo.com", false },
  { "de8468.com", true },
  { "dead-letter.email", true },
  { "deadbeef.ninja", true },
  { "deadc0de.re", true },
  { "deadmorose.ru", true },
  { "deadpulse.com", true },
  { "deadroot.tk", true },
  { "deaf.dating", true },
  { "deaf.eu.org", true },
  { "deal-runners.cf", true },
  { "deal30.fr", true },
  { "dealapp.nl", true },
  { "dealbanana.at", true },
  { "dealbanana.be", true },
  { "dealbanana.ch", true },
  { "dealbanana.co.uk", true },
  { "dealbanana.com", true },
  { "dealbanana.de", true },
  { "dealbanana.fi", true },
  { "dealbanana.fr", true },
  { "dealbanana.it", true },
  { "dealbanana.se", true },
  { "dealbx.com", true },
  { "dealcruiser.nl", true },
  { "dealdump.nl", true },
  { "dealerbrindes.com.br", true },
  { "dealerselectric.com", true },
  { "dealerwriter.com", true },
  { "dealinflatables.co.uk", true },
  { "dealosa.com", true },
  { "dealsale.com", true },
  { "dealspotr.com", true },
  { "dealszone.net", true },
  { "deamuseum.org", true },
  { "deanandnatalia.co.za", true },
  { "deanbank.com", true },
  { "deanjerkovich.com", true },
  { "deanmorgan.org", true },
  { "deano-s.co.uk", true },
  { "deanosplace.net", true },
  { "deanpearce.net", true },
  { "deantiguos.es", true },
  { "dearfcc.com", true },
  { "dearfcc.net", true },
  { "dearfcc.org", true },
  { "dearktiel.nl", true },
  { "dearnevalleybouncycastles.co.uk", true },
  { "death.social", true },
  { "deathofspring.com", false },
  { "deathorglory.cc", true },
  { "deathsdomain.com", true },
  { "deathy.ro", true },
  { "deautomaat.nl", true },
  { "deavel.com", true },
  { "deavel.fr", true },
  { "deavel.net", true },
  { "debatereport.com", true },
  { "debbyefurd.com", true },
  { "debie-usedcars.be", false },
  { "debierhandel.nl", true },
  { "debigare.com", true },
  { "debitterballetjes.tk", true },
  { "debron-ot.nl", true },
  { "debrusoft.ch", true },
  { "debtrecycling.com.au", true },
  { "debuemon.com", true },
  { "debuis.nl", true },
  { "debzsh.tk", true },
  { "dec6.gc.ca", true },
  { "decal-times.com", true },
  { "decalquai.ch", false },
  { "decarrouseloss.nl", true },
  { "decaturwomensports.com", true },
  { "dechat.nl", true },
  { "dechetor.fr", true },
  { "decidio.cc", true },
  { "decimatechnologies.eu", true },
  { "decipe.com", true },
  { "decis.fr", true },
  { "decisivetactics.com", true },
  { "deck.academy", true },
  { "deckenplatten.org", true },
  { "declarationlocationmeublee.com", true },
  { "deco-parisienne.fr", true },
  { "decock-usedcars.be", false },
  { "decode.ga", true },
  { "decofiori.com", true },
  { "decologisticsgh.com", true },
  { "decompiled.de", true },
  { "deconsolas.tk", true },
  { "deconstructind.ro", true },
  { "decoora.com", true },
  { "decor-d.com", true },
  { "decor-live.ru", true },
  { "decor-prazdnik.ru", true },
  { "decorarmicasa.com", true },
  { "decoratingadvice.co.uk", true },
  { "decorativeconcretewa.com.au", true },
  { "decorativeflooring.com", true },
  { "decoratore.roma.it", true },
  { "decoratrix.com", true },
  { "decorestilo.com.br", true },
  { "decorotti.com.tr", true },
  { "decosoftware.com", true },
  { "decrousaz-ceramique.ch", false },
  { "decrypto.net", true },
  { "decs.es", true },
  { "dede.ml", true },
  { "dedelta.net", true },
  { "dedg3.com", true },
  { "dedge.org", true },
  { "dedicatedtowomenobgyn.com", true },
  { "dedmoroz.ga", true },
  { "dedmorozrzn.ru", false },
  { "dedoho.pw", false },
  { "dedoles.at", true },
  { "dedoles.com", true },
  { "dedoles.cz", true },
  { "dedoles.de", true },
  { "dedoles.hu", true },
  { "dedoles.pl", true },
  { "dedoles.ro", true },
  { "dedoles.sk", true },
  { "deduijventil.nl", true },
  { "dee.pe", true },
  { "dee.su", true },
  { "deechtebakkers.nl", true },
  { "deegeeinflatables.co.uk", true },
  { "deejayladen.de", true },
  { "deelmijnreis.nl", true },
  { "deelodge.art", true },
  { "deemlove.com", true },
  { "deep-chess.com", true },
  { "deep-labs.com", true },
  { "deep.club", true },
  { "deepbluecrafting.co.uk", true },
  { "deepblueemail.com", true },
  { "deepcode.io", true },
  { "deephill.com", true },
  { "deepinnov.com", true },
  { "deepinsight.io", true },
  { "deeplink-medical.com", true },
  { "deepserve.info", true },
  { "deepsouthsounds.com", true },
  { "deepspace.dedyn.io", true },
  { "deepspace4.com", true },
  { "deerfieldapartmentsstl.com", true },
  { "deerwoodrvpark.com", true },
  { "def-pos.ru", true },
  { "defamiliehagen.com", true },
  { "defantasia.cl", true },
  { "defcon.org", true },
  { "defcongroups.org", true },
  { "defeestboek.nl", true },
  { "defendas.com", true },
  { "defendbearbutte.org", true },
  { "defender-pro.com", true },
  { "defendersz.com", true },
  { "defendinnovation.org", true },
  { "defendtheweb.net", true },
  { "defensivefirearmsinstruction.org", true },
  { "defero.io", true },
  { "defesa.gov.br", true },
  { "defesaaereanaval.com.br", true },
  { "deffo.com.au", true },
  { "defiant.com", true },
  { "defiantrust.com", true },
  { "defibrillateur.co", true },
  { "define-atheism.com", true },
  { "define-atheist.com", true },
  { "defineatheism.com", true },
  { "defineatheist.com", true },
  { "definingterms.com", true },
  { "definitely.cn", true },
  { "definitions360.com", true },
  { "defis-franciliens.fr", true },
  { "deflect.ca", true },
  { "deflumeri.com", true },
  { "deflumeriker.com", true },
  { "defont.nl", true },
  { "defreitas.no", true },
  { "deftek.com", true },
  { "defterikebir.tk", true },
  { "deftig-und-fein.de", true },
  { "deftnerd.com", true },
  { "defunct-engineers.ml", true },
  { "defuse.ca", true },
  { "defxing.net", true },
  { "degata.com", true },
  { "degeberg.com", true },
  { "degeberg.dk", true },
  { "degeeks.xyz", true },
  { "degen-elektrotechnik.de", true },
  { "degeneracy.xyz", true },
  { "degestamptepot.nl", true },
  { "degit.de", true },
  { "degoeiewebsite.cf", true },
  { "degoticapunk.xyz", true },
  { "degoulet.net", true },
  { "degracetechnologie.com", true },
  { "degradarium.com", true },
  { "degressif.com", true },
  { "degroupage.info", true },
  { "dehopre.com", true },
  { "deidee.nl", true },
  { "deimos.gq", true },
  { "dein-baumdienst.de", true },
  { "dein-trueffel.de", true },
  { "deinballon.de", true },
  { "deine-gitarre.com", true },
  { "deinelakaien.tk", true },
  { "deinfoto.ch", true },
  { "deitti.net", true },
  { "dejandayoff.com", true },
  { "dejongonline.eu", true },
  { "dejting-sidor.com", true },
  { "dejure.org", false },
  { "dejw.cz", true },
  { "dekasegi-kansai.com", true },
  { "dekasegi-supportcenter.com", true },
  { "dekasiba.com", true },
  { "dekel.co.il", true },
  { "dekeurslagers.nl", true },
  { "dekko.io", true },
  { "dekonix.ru", true },
  { "dekruifschalkwijk.nl", true },
  { "dekulk.nl", true },
  { "del-ex.de", true },
  { "delahrzolder.nl", true },
  { "delam.site", true },
  { "delbecqvo.be", false },
  { "deleenheir.be", true },
  { "deleidscheflesch.nl", true },
  { "delfi.lt", true },
  { "delfic.org", true },
  { "delhionlinegifts.com", true },
  { "deliacreates.com", true },
  { "deliandiver.org", true },
  { "deliberatedigital.com", true },
  { "deliciisanatoase.ro", true },
  { "deliciousmedia.co.uk", true },
  { "deliciousmedia.net", true },
  { "delicioustable.com", true },
  { "delicon.jp", true },
  { "delid.cz", true },
  { "delijan24.ir", true },
  { "delio.tk", true },
  { "dellacasapizzasemassas.com.br", true },
  { "delogo.nl", true },
  { "delopt.co.in", true },
  { "delorenzi.dk", true },
  { "deloretta.com", true },
  { "delosgaia.nl", true },
  { "delpark.de", true },
  { "delphia.ai", true },
  { "delphia.com", true },
  { "delphine.dance", true },
  { "delta-data.ch", true },
  { "delta-host.ml", true },
  { "delta-smart.ch", true },
  { "delta.ru", true },
  { "delta23.de", false },
  { "deltaacademy.org", true },
  { "deltadata.ch", true },
  { "deltafinanceiro.com", true },
  { "deltafinanceiro.com.br", true },
  { "deltaloja.com.br", true },
  { "deltanio.nl", true },
  { "deltaonlineguards.com", true },
  { "deltaservers.blog.br", true },
  { "deltaservers.com.br", true },
  { "deltasigmachi.org", true },
  { "deltatutoriais.com.br", true },
  { "deltav.ml", false },
  { "deltava.org", true },
  { "deltawolf.tk", true },
  { "deltna.com", true },
  { "deluxe-dubai.com", true },
  { "demadryn.com", true },
  { "demarle.ch", false },
  { "demastglazenwasserij.nl", true },
  { "demedx.at", true },
  { "dementiacaring.com.au", true },
  { "dementiapraecox.de", true },
  { "dementieva-pennetta.tk", true },
  { "demeyere-usedcars.be", false },
  { "demfloro.ru", true },
  { "demibaguette.com", true },
  { "demicrofonos.com", true },
  { "demijn.nl", true },
  { "demilletech.net", true },
  { "demiranda.com", true },
  { "demirdokum.tk", true },
  { "demmer.one", true },
  { "demo.swedbank.se", true },
  { "demo9.ovh", true },
  { "democracy-news.tk", true },
  { "democracychronicles.com", true },
  { "democracydirect.com", true },
  { "democracyineurope.eu", true },
  { "democraziaineuropa.eu", true },
  { "demolandia.net", true },
  { "demomanca.com", true },
  { "demonbuster.tk", true },
  { "demongey.com", true },
  { "demoniak.ch", false },
  { "demonwav.com", true },
  { "demonwolfdev.com", true },
  { "demopanel.tk", true },
  { "demotivatorbi.ru", true },
  { "dempsters.ca", false },
  { "demuzere.be", true },
  { "denabot.pw", true },
  { "denaehula.com", true },
  { "denali.net", false },
  { "denardbrewing.com", true },
  { "denariu.net", true },
  { "denatured.tk", true },
  { "denbkh.ru", false },
  { "dencel.lv", true },
  { "dendelft.nl", true },
  { "denegmnogo.tk", true },
  { "denejki.tk", true },
  { "dengivdom.tk", true },
  { "dengode.eu", true },
  { "denhotels.com", true },
  { "denimtoday.com", true },
  { "denince.net", true },
  { "denis-martinez.photos", true },
  { "denisadinu.com", true },
  { "denisewakeman.com", true },
  { "denistruffaut.fr", false },
  { "deniszczuk.pl", true },
  { "deniz.uk", true },
  { "denizdesign.co.uk", true },
  { "denkeandersblog.de", true },
  { "denkmalagentur.ch", true },
  { "denkmalsetzung.at", true },
  { "denkubator.de", true },
  { "denninger.jp", true },
  { "dennisang.com", true },
  { "dennisdoes.net", false },
  { "dennisforbes.ca", true },
  { "dennishzg.com", true },
  { "denniskoot.nl", true },
  { "dennismurphy.biz", true },
  { "dennisvandenbos.nl", true },
  { "dennogumi.org", true },
  { "denous.nl", true },
  { "denta-ua.com", true },
  { "dental-cloud.eu", true },
  { "dental-colleges.com", true },
  { "dentallaborgeraeteservice.de", true },
  { "dentechnica.co.uk", true },
  { "dentistesdarveauetrioux.com", true },
  { "dentistglasgow.com", true },
  { "dentistryateastpiedmont.com", true },
  { "dentrassi.de", true },
  { "dentystabirmingham.co.uk", true },
  { "denuevestore.com", true },
  { "denverbph.com", true },
  { "denvergospelhall.org", true },
  { "denvernews.ml", true },
  { "denwauranailab.com", true },
  { "denydarko.tk", true },
  { "deontology.com", true },
  { "depaco.com", true },
  { "depannage-traceur.fr", true },
  { "deparis.me", true },
  { "departmentofdefense.tk", true },
  { "departmentofoncology.com", true },
  { "departureboard.io", true },
  { "depeces.com", true },
  { "depechemode-live.com", true },
  { "depedclub.net", true },
  { "depedclub.ph", true },
  { "depedresources.ph", true },
  { "depedsurigaodelnorte.com", true },
  { "depedtambayan.net", true },
  { "depedtayo.ph", true },
  { "depelos.co", true },
  { "depelteau.com", true },
  { "dependablehvacrefrigeration.com", true },
  { "depicus.com", true },
  { "depleteduranium.tk", true },
  { "depone.net", true },
  { "depop.com", true },
  { "depositart.com", true },
  { "depositomerci.it", true },
  { "depositomobili.it", true },
  { "depot24.nl", true },
  { "depotsquarekerrville.com", true },
  { "depotter-usedcars.be", false },
  { "deprecate.de", true },
  { "deprobe.pro", true },
  { "depthe.gr", true },
  { "der-bank-blog.de", true },
  { "der-fliesenzauberer.de", true },
  { "der-gardinenmann.de", true },
  { "der-lan.de", true },
  { "der-rohrstock.club", true },
  { "der-rudi.eu", true },
  { "der-windows-papst.de", true },
  { "derattizzazione.name", true },
  { "derattizzazioni.biz", true },
  { "derattizzazioni.milano.it", true },
  { "derattizzazioni.org", true },
  { "derbuntering.de", true },
  { "derbybouncycastles.com", true },
  { "derco.com.co", true },
  { "derdewereldrommelmarkt.nl", true },
  { "dereddingsklos.nl", true },
  { "dereferenced.net", true },
  { "derehamcastles.co.uk", true },
  { "derekbooth.co.uk", true },
  { "derekheld.com", true },
  { "derekkent.com", true },
  { "derekseaman.com", false },
  { "derekseaman.studio", false },
  { "derenderkeks.me", true },
  { "derf.fr", true },
  { "derf.red", true },
  { "derf.us", true },
  { "dergeilstestammderwelt.de", true },
  { "derhil.de", true },
  { "derival.co.za", true },
  { "derivedata.com", true },
  { "derkuki.de", true },
  { "dermaldistinction.com", true },
  { "dermapuur.nl", true },
  { "dermato.floripa.br", true },
  { "dermatologie-morges.ch", false },
  { "dermediq.nl", true },
  { "dermopigmentista.it", true },
  { "dermot.org.uk", true },
  { "dermscc.com", true },
  { "dermsf.com", true },
  { "deroo.org", true },
  { "derp.army", true },
  { "derp.chat", true },
  { "derpibooru.org", true },
  { "derpy.pp.ua", true },
  { "derre.fr", true },
  { "derreichesack.com", true },
  { "derw.pw", true },
  { "des-hommes-et-des-clous.com", true },
  { "desafiomovilidadsustentable.com", true },
  { "desagaz.com", true },
  { "desanta.top", true },
  { "desarrollando.web.ve", true },
  { "descargar-apk.org", true },
  { "desec.io", true },
  { "desentupidorademais.com.br", true },
  { "desentupidorapernambucana.com.br", true },
  { "deseosvip.tk", true },
  { "desertbloomplasticsurgery.com", true },
  { "desertmedaesthetics.com", true },
  { "desertsounds.org", true },
  { "desheng28.com", true },
  { "deshevle-net.com", true },
  { "deshobi.cloud", true },
  { "design-in-bad.eu", true },
  { "design-tooning.de", true },
  { "design-your-life.info", true },
  { "designed-cybersecurity.com", true },
  { "designedcybersecurity.com", true },
  { "designer-drug.com", true },
  { "designera.se", true },
  { "designerchad.com", true },
  { "designgears.com", true },
  { "designgraphic.fr", true },
  { "designhuddle.com", true },
  { "designrhome.com", true },
  { "designs.codes", true },
  { "designsbyjanith.com", true },
  { "designskin.ch", false },
  { "designville.cz", true },
  { "designville.sk", true },
  { "desila.jp", true },
  { "desish.cf", true },
  { "deskaservices.com", true },
  { "deskdesign.nl", true },
  { "deskeen.fr", true },
  { "desklite.gr", true },
  { "desktopd.eu.org", false },
  { "desktopfx.net", false },
  { "deskture.com", true },
  { "desmaakvanplanten.be", true },
  { "desormiers.com", true },
  { "despachomariscal.com", true },
  { "desperate.solutions", true },
  { "despertadoronline.com.es", true },
  { "despinavandi.gr", true },
  { "desplats.com.ar", true },
  { "despora.de", true },
  { "dessinemoilademocratie.ch", false },
  { "destakbrasilbrindes.com.br", true },
  { "destech.nl", true },
  { "destroymc.net", true },
  { "destyntek.com", true },
  { "desu.ne.jp", true },
  { "desuchan.eu", true },
  { "desuchan.org", true },
  { "desynced.rocks", true },
  { "det-te.ch", true },
  { "detalhecomercio.com.br", true },
  { "detalika.ru", true },
  { "detalyedesigngroup.com", true },
  { "detao.org", true },
  { "detecmon.com", true },
  { "detecte-fuite.ch", false },
  { "detecte.ch", false },
  { "detectefuite.ch", false },
  { "detectify.com", true },
  { "detectivedesk.com.au", true },
  { "deteken.be", true },
  { "detekenmuze.nl", true },
  { "determapp.de", true },
  { "dethemium.com", true },
  { "deti-online.com", true },
  { "detki.cf", true },
  { "detki24.ru", true },
  { "detodojuegos.com", true },
  { "detoxetmoi.com", true },
  { "detreannamaria.tk", true },
  { "detroit-english.de", true },
  { "detroitzoo.org", true },
  { "detuinmuze.nl", true },
  { "detyobuv.tk", true },
  { "detype.nl", true },
  { "deu.sh", true },
  { "deude.de", true },
  { "deukie.nl", true },
  { "deumavan.ch", true },
  { "deurenfabriek.nl", true },
  { "deutsch-vietnamesisch-dolmetscher.com", true },
  { "deutsche-tageszeitungen.de", true },
  { "deutschebusiness.com", true },
  { "deutscher-bericht.de", true },
  { "deutscher-rollenspielpreis.de", true },
  { "deutscheshoponline.com", true },
  { "deutschland-dsl.de", true },
  { "dev-aries.com", true },
  { "dev-brandywineglobal.com", true },
  { "dev-greavesindia.pantheonsite.io", true },
  { "dev-gutools.co.uk", true },
  { "dev-pmcc.net", true },
  { "dev-tek.de", true },
  { "dev.moe", true },
  { "devagency.fr", true },
  { "devalps.eu", true },
  { "devbean.net", true },
  { "devcf.com", true },
  { "devcoins.org", true },
  { "devconf.nl", true },
  { "devcore.pl", true },
  { "devdeb.com", true },
  { "devel.cz", true },
  { "develop.cool", true },
  { "developer.android.com", true },
  { "developer.moe", true },
  { "developerdan.com", true },
  { "developermail.io", false },
  { "developers.facebook.com", false },
  { "developfx.com", false },
  { "developmentaid.org", true },
  { "developmentsites.melbourne", true },
  { "develops.co.il", true },
  { "develux.net", true },
  { "deviant.email", true },
  { "devicom.mx", true },
  { "devildog.tk", true },
  { "devillers-occasions.be", false },
  { "devils-co.tk", true },
  { "devils-point.de", true },
  { "devilshakerz.com", true },
  { "deviltraxxx.de", true },
  { "devinfo.net", false },
  { "devinite.com", true },
  { "devirc.net", true },
  { "devlamvzw.org", false },
  { "devlatron.net", true },
  { "devlinjurister.se", true },
  { "devlogr.com", true },
  { "devmode.fm", true },
  { "devnull.zone", true },
  { "devolution.ws", true },
  { "devops-survey.com", true },
  { "devops.pf", true },
  { "devopsish.com", true },
  { "devpp.com.br", true },
  { "devragu.com", true },
  { "devries.one", true },
  { "devsjournal.com", true },
  { "devsrvr.ru", true },
  { "devstaff.gr", true },
  { "devstores.io", false },
  { "devswag.io", true },
  { "devtea.cz", true },
  { "devtoys.ru", true },
  { "devtty.org", true },
  { "devzero.io", true },
  { "dewaard.de", true },
  { "dewalch.net", true },
  { "dewapress.com", true },
  { "dewinter.com", true },
  { "dewitteprins.nl", true },
  { "dewolden.nl", false },
  { "dex.top", true },
  { "dexalo.de", true },
  { "dexigner.com", true },
  { "dexonservicedeskws.azurewebsites.net", true },
  { "deyanadeco.com", true },
  { "deyute.com", true },
  { "dez-online.de", true },
  { "dezeregio.nl", true },
  { "dezet-ev.de", true },
  { "dezmembrariromania.ro", true },
  { "dezzoroofing.co.za", true },
  { "df1nif.de", true },
  { "df1paw.de", true },
  { "df5105.com", true },
  { "dfafacts.gov", true },
  { "dfagent.com", true },
  { "dfc52.com", true },
  { "dfctaiwan.org", true },
  { "dfektlan.no", true },
  { "dfl.mn", false },
  { "dflcares.com", true },
  { "dfmn.berlin", true },
  { "dfranke.com", true },
  { "dgangsta.net", true },
  { "dgbouncycastlehire.com", true },
  { "dgeex.eu", true },
  { "dgitup.com", true },
  { "dgportals.co.uk", true },
  { "dgpot.com", true },
  { "dgt-portal.de", true },
  { "dgtakano.co.jp", true },
  { "dgx.io", true },
  { "dh7337.com", true },
  { "dhakawebhost.com", true },
  { "dharveydev.com", true },
  { "dhautefeuille.eu", true },
  { "dhauwer.nl", true },
  { "dhaynes.xyz", true },
  { "dhconcept.ch", false },
  { "dheart.net", true },
  { "dhedegaard.dk", true },
  { "dhelixnet.de", true },
  { "dhemant.de", true },
  { "dhhs.gov", true },
  { "dhinflatables.co.uk", true },
  { "dhirendrayadav.com", true },
  { "dhit.pl", true },
  { "dhlinux.org", true },
  { "dhome.at", true },
  { "dia-de.com", true },
  { "dia.com.br", true },
  { "diabetessucks.net", true },
  { "diabhal-staff.com", true },
  { "diabhal-staff.it", true },
  { "diablocarpet.com", true },
  { "diablovalleytech.com", true },
  { "diaconat.ch", false },
  { "diadiemdangsong.com", true },
  { "diadorafitness.it", true },
  { "diagnoseo.com", true },
  { "diagnoseo.pl", true },
  { "diagnoseo.se", true },
  { "dialapicnic.co.za", true },
  { "dialoegue.com", true },
  { "diamant.family", true },
  { "diamant.nyc", true },
  { "diamante.ro", true },
  { "diamantovaburza.cz", true },
  { "diamgroup.pl", true },
  { "diamond-hairstyle.dk", true },
  { "diamondrose.co.za", false },
  { "diamondsleepsolutions.com", true },
  { "diamondyacca.co.uk", true },
  { "diamondyze.nl", true },
  { "diamorphine.com", true },
  { "dianadrive.com", true },
  { "dianefriedli.ch", false },
  { "diario-egipto.com", true },
  { "diariocibao.com", true },
  { "diariodearaxa.com.br", true },
  { "diarionoticia.pe", true },
  { "diariorealidad.com", true },
  { "diariosurnoticias.com", true },
  { "diaroma.it", true },
  { "diarynote.jp", true },
  { "diasdasemana.com", true },
  { "diasp.org", true },
  { "diatrofi-ygeia.gr", true },
  { "diba.org.cn", true },
  { "dibal.ua", true },
  { "dibiphp.com", true },
  { "dibrunolab.com", true },
  { "diccionariodedudas.com", true },
  { "diccionarqui.com", true },
  { "dice.tokyo", true },
  { "dicelab-rhul.org", true },
  { "dicelab.co.uk", true },
  { "dicesites.com", true },
  { "dicio.com.br", true },
  { "dicionario.org", true },
  { "dicionariodegirias.com.br", true },
  { "dicionariodelatim.com.br", true },
  { "dicionariodenomesproprios.com.br", true },
  { "dicionariodesimbolos.com.br", true },
  { "dicionarioetimologico.com.br", true },
  { "dicionariofinanceiro.com", true },
  { "dicionariopopular.com", true },
  { "dicionarios.cc", true },
  { "dick.red", true },
  { "dickord.cloud", true },
  { "dickpics.ru", true },
  { "dicksakowicz.com", true },
  { "dicoding.com", true },
  { "dicoeste.com", true },
  { "dictionaryofnumbers.com", true },
  { "dictionarypro.net", true },
  { "dictzone.com", true },
  { "didacte.com", true },
  { "didaktik4you.de", true },
  { "didche.net", false },
  { "diddens.de", true },
  { "dideeducacion.com", true },
  { "didefamilia.com", true },
  { "didesalud.com", true },
  { "didierghez.com", true },
  { "didierlaumen.be", true },
  { "die-bergfuehrer.de", true },
  { "die-blahuts.de", true },
  { "die-borts.ch", true },
  { "die-gruenen-teufel.de", true },
  { "die-machons.de", true },
  { "die-partei-reutlingen.de", true },
  { "die-pizzabaeckerei.de", true },
  { "die-pleners.de", true },
  { "die-seide.de", true },
  { "die-seiler.de", true },
  { "die-sinlosen.de", true },
  { "diebestengutscheine.de", true },
  { "diebestenvpn.de", true },
  { "diebetriebsraete.de", true },
  { "diedrich.co", true },
  { "dieecpd.org", true },
  { "diegelernten.de", true },
  { "diegerbers.de", true },
  { "diegocoy.com", true },
  { "diegogelin.com", false },
  { "diegorbaquero.com", true },
  { "diehl.io", true },
  { "diekperaiwseis.gr", true },
  { "diem-project.org", true },
  { "diemattels.at", true },
  { "dienchaninstitute.com", true },
  { "diendorfer.space", true },
  { "dienmayplus.vn", true },
  { "dienstplan.cc", true },
  { "dienstplan.one", true },
  { "dierabenmutti.de", true },
  { "dieradvies.nl", true },
  { "dierenartsdeconinck.be", true },
  { "dierencompleet.nl", true },
  { "dieselanimals.lt", true },
  { "dieselgalleri.com", true },
  { "diesicheremail.de", true },
  { "diesteppenreiter.de", true },
  { "dietbrand.eu", true },
  { "dieterglas.de", true },
  { "dietergreven.de", false },
  { "dieterstinglhamber.me", false },
  { "diethood.com", true },
  { "dieti-natura.com", true },
  { "dieti.net", true },
  { "dietlein.tech", true },
  { "dietlin.com", true },
  { "dietrich.cx", true },
  { "dieumfrage.com", true },
  { "diferenca.com", true },
  { "different.cz", true },
  { "differenta.ro", true },
  { "differentgirleveryday.ml", true },
  { "diffnow.com", true },
  { "diffuzehr.com.au", true },
  { "difoosion.com", true },
  { "difusordeambientes.com.br", true },
  { "digchip.info", true },
  { "digchips.com", true },
  { "digcit.org", true },
  { "digdata.de", true },
  { "dighans.com", true },
  { "digiarc.net", true },
  { "digibull.email", true },
  { "digibull.link", true },
  { "digicasso.nl", true },
  { "digicode.hu", true },
  { "digicy.cloud", true },
  { "digideli.ee", true },
  { "digidroom.be", true },
  { "digilicious.com", true },
  { "digimaat.agency", true },
  { "digimagical.com", true },
  { "digimedia.cd", false },
  { "digioccumss.ddns.net", true },
  { "digipolis.gent", true },
  { "digipost.no", true },
  { "digirechnung.de", true },
  { "digired.ro", true },
  { "digit.ec", true },
  { "digitai.net", true },
  { "digital-compounds.com", true },
  { "digital-eastside.de", true },
  { "digital-insurance-engine.com", true },
  { "digital-insurance-engine.de", true },
  { "digital-insurance-platform.com", true },
  { "digital-insurance-platform.de", true },
  { "digital-liberal.ch", true },
  { "digital-sculpture.org", true },
  { "digital-sign.com.cn", true },
  { "digital.gov", false },
  { "digital.govt.nz", true },
  { "digital1st.co.uk", true },
  { "digitalagencynetwork.com", true },
  { "digitalakatsuki.com", true },
  { "digitalallies.co.uk", true },
  { "digitalarchitecture.com", true },
  { "digitalarchives.tw", true },
  { "digitalbitbox.com", true },
  { "digitalblood.eu", true },
  { "digitalch.ng", true },
  { "digitalchurch.ng", true },
  { "digitalcitizen.life", true },
  { "digitalcitizen.ro", true },
  { "digitalcraftmarketing.co.uk", true },
  { "digitalcronies.com", true },
  { "digitaldeli.com", true },
  { "digitaldeli.org", true },
  { "digitaldeli.tv", true },
  { "digitaldeli.us", true },
  { "digitaldeliarchive.com", true },
  { "digitaldem.it", true },
  { "digitalehandtekeningen.nl", true },
  { "digitaleoverheid.nl", false },
  { "digitaleplus.fr", true },
  { "digitaletanker.com", true },
  { "digitalfoster.org", true },
  { "digitalframe.nl", true },
  { "digitalfury.co.uk", true },
  { "digitalfuturenow.com", true },
  { "digitalgeckos.com", true },
  { "digitalgov.gov", true },
  { "digitalhabit.at", true },
  { "digitalhabitat.io", true },
  { "digitalhealth.gov.au", true },
  { "digitalid-sandbox.com", true },
  { "digitalid.com", true },
  { "digitalid.com.au", true },
  { "digitalliteracy.gov", true },
  { "digitalpiloten.org", true },
  { "digitalposition.com", true },
  { "digitalprimate.my", true },
  { "digitalpuppy.co.uk", true },
  { "digitalradio.ie", true },
  { "digitalredshirts.com", true },
  { "digitalrights.center", true },
  { "digitalrights.fund", true },
  { "digitalskillswap.com", true },
  { "digitalsurge.io", true },
  { "digitaltcertifikat.dk", true },
  { "digitaltrust.ae", true },
  { "digitalunite.de", true },
  { "digitec.ch", true },
  { "digitecgalaxus.ch", true },
  { "digitkon.com", true },
  { "digitreads.com", true },
  { "digminecraft.com", true },
  { "digpath.co.uk", true },
  { "digwp.com", true },
  { "dihesan.com", true },
  { "dijitaller.com", true },
  { "dijkmanmuziek.nl", false },
  { "dikiaap.id", true },
  { "dilberkebab.co.uk", true },
  { "dildoexperten.se", true },
  { "diletec.com.br", true },
  { "dilibel.be", true },
  { "dilichen.fr", true },
  { "diligo.ch", false },
  { "dillewijnzwapak.nl", true },
  { "dillonkorman.com", true },
  { "dimagrimentoincorso.it", true },
  { "dimanet.fr", true },
  { "dimanss47.net", true },
  { "dime-staging.com", true },
  { "dime.io", true },
  { "dimeponline.com.br", true },
  { "dimez.ru", true },
  { "dimiskovska.de", true },
  { "dimitrihomes.com", true },
  { "dimitrovi.tk", true },
  { "dimmersagourahills.com", true },
  { "dimmerscalabasas.com", true },
  { "dimmersdosvientos.com", true },
  { "dimmershiddenhills.com", true },
  { "dimmerslakesherwood.com", true },
  { "dimmersnewburypark.com", true },
  { "dimmersoakpark.com", true },
  { "dimmersthousandoaks.com", true },
  { "dimmerswestlakevillage.com", true },
  { "dimo-analytics.fr", true },
  { "dimo-crm.fr", true },
  { "dimo-dematerialisation.com", true },
  { "dimo-tresorerie.fr", true },
  { "dimomaint-sav.fr", true },
  { "dimomaint.com", true },
  { "dimomaint.de", true },
  { "dimomaint.es", true },
  { "dimomaint.it", true },
  { "dimomaint.nl", true },
  { "dimomaint.pt", true },
  { "dimonb.com", true },
  { "dimosoftware.fr", true },
  { "din-hkd.jp", true },
  { "dinepont.fr", true },
  { "dinerroboticurology.com", true },
  { "dingsbums.shop", true },
  { "dinheirolucrar.com", true },
  { "dinkommunikasjon.no", true },
  { "dinmtb.dk", true },
  { "dinocarrozzeria.com", true },
  { "dinstec.cl", true },
  { "dintrafic.net", true },
  { "diodeled.com", true },
  { "diodo.me", true },
  { "dionysos-ios.gr", true },
  { "dipalma.me", true },
  { "dipdaq.com", true },
  { "dipling.de", true },
  { "diplomatiq.org", true },
  { "diplona.de", true },
  { "dipro.id", true },
  { "dipulse.it", true },
  { "dir2epub.com", true },
  { "dir2epub.org", true },
  { "dirba.io", true },
  { "direct-sel.com", true },
  { "direct.cz", true },
  { "directed.ir", true },
  { "directelectricalltd.co.uk", true },
  { "directfinance.cz", true },
  { "directhomeremodelinginc.com", true },
  { "directlendingsolutions.com", true },
  { "directlinkfunding.co.uk", true },
  { "directnews.be", true },
  { "directorioz.com", true },
  { "directorydashboard.ga", true },
  { "directorydisc.ga", true },
  { "directoryhub.io", true },
  { "directreal.sk", true },
  { "directspa.fr", true },
  { "directvacations.com", true },
  { "directveilig.nl", true },
  { "direktvermarktung-schmitzberger.at", true },
  { "diriya.lk", true },
  { "dirk-dogs.tk", true },
  { "dirk-weise.de", true },
  { "dirkdoering.de", true },
  { "dirkjonker.nl", true },
  { "dirko.net", true },
  { "dirkwolf.de", true },
  { "dirtinmyshoes.com", true },
  { "dirtygeek.ovh", true },
  { "dirtyherri.de", true },
  { "dirtyincest.com", true },
  { "dirtyprettyartwear.com", true },
  { "dirtytiles.xyz", true },
  { "disa.uk", true },
  { "disability.gov", true },
  { "disabilitydischarge.com", true },
  { "disabled-world.com", true },
  { "disabled.dating", true },
  { "disabuse.cf", true },
  { "disadattamentolavorativo.it", true },
  { "disanteimpianti.com", false },
  { "disboard.org", true },
  { "disc.uz", true },
  { "discarica.bari.it", true },
  { "discarica.bologna.it", true },
  { "discarica.firenze.it", true },
  { "discarica.it", true },
  { "discarica.milano.it", true },
  { "discarica.napoli.it", true },
  { "discarica.roma.it", true },
  { "disch.com.de", true },
  { "dischempharmacie.com", true },
  { "disciples.io", true },
  { "discodery.com", true },
  { "discofitta.com", true },
  { "disconformity.net", true },
  { "disconnect.tk", true },
  { "discord.gg", true },
  { "discord.gift", true },
  { "discord4j.com", true },
  { "discordapp.com", true },
  { "discordbee.com", true },
  { "discordia.me", true },
  { "discordservers.com", true },
  { "discount24.de", true },
  { "discountlumberspokane.com", true },
  { "discounto.de", true },
  { "discountpokale.at", false },
  { "discountpokale.de", true },
  { "discover-shaken.com", true },
  { "discoverelement.com", true },
  { "discoverthreejs.com", true },
  { "discoverucluelet.com", true },
  { "discoveryaima.com", true },
  { "discoveryballoon.org", true },
  { "discrypt.ca", true },
  { "discus-communications.dk", true },
  { "dise-online.de", true },
  { "disinclined.org", true },
  { "disinfesta.it", true },
  { "disinfestando.info", true },
  { "disinfestatore.roma.it", true },
  { "disinfestatori.com", true },
  { "disinfestazione.brescia.it", true },
  { "disinfestazione.torino.it", true },
  { "disinfestazione.venezia.it", true },
  { "disinfestazione.verona.it", true },
  { "disinfestazione24.it", true },
  { "disinfestazioneblatte.it", true },
  { "disinfestazionecimici.napoli.it", true },
  { "disinfestazionecimici.roma.it", true },
  { "disinfestazioni-sardegna.org", true },
  { "disinfestazioni-umbria.it", true },
  { "disinfestazioni.bari.it", true },
  { "disinfestazioni.bergamo.it", true },
  { "disinfestazioni.cagliari.it", true },
  { "disinfestazioni.caserta.it", true },
  { "disinfestazioni.catania.it", true },
  { "disinfestazioni.co", true },
  { "disinfestazioni.firenze.it", true },
  { "disinfestazioni.genova.it", true },
  { "disinfestazioni.gorizia.it", true },
  { "disinfestazioni.info", true },
  { "disinfestazioni.milano.it", true },
  { "disinfestazioni.napoli.it", true },
  { "disinfestazioni.net", true },
  { "disinfestazioni.padova.it", true },
  { "disinfestazioni.rimini.it", true },
  { "disinfestazioni.torino.it", true },
  { "disinfestazioni.treviso.it", true },
  { "disinfestazioni.udine.it", true },
  { "disinfestazioni.venezia.it", true },
  { "disinfestazioni.verona.it", true },
  { "disinfestazioni24.it", true },
  { "disinfestazionivespe.milano.it", true },
  { "disinisharing.com", true },
  { "disk.do", true },
  { "diskbit.com", true },
  { "diskbit.nl", true },
  { "disking.co.uk", true },
  { "dismail.de", true },
  { "displayenergycertificate.co.uk", true },
  { "displaysfas.com", true },
  { "disposable.link", true },
  { "disproweb.com", true },
  { "disroot.org", true },
  { "disrupters.ch", false },
  { "disruptiveadvertising.com", true },
  { "dissertationhelp.com", true },
  { "dissidence.ovh", true },
  { "dissieux.com", true },
  { "dist-it.com", true },
  { "dist.torproject.org", false },
  { "distancelove.ml", true },
  { "disti.com", true },
  { "distillery.com", true },
  { "distinguishedprisoner.com", true },
  { "distortmotion.com", true },
  { "distracteddriving.gov", true },
  { "distratus.com", true },
  { "distribuidoracristal.com.br", true },
  { "distribuidoraplus.com", true },
  { "distribuidorveterinario.es", true },
  { "distributore.it", true },
  { "distributori.roma.it", true },
  { "district.sg", true },
  { "districtcapital.com", true },
  { "distro.fr", true },
  { "ditec.sk", true },
  { "diti.me", true },
  { "dities.tk", true },
  { "div.im", true },
  { "diva.nl", true },
  { "divari.nl", true },
  { "divcoder.com", true },
  { "dive-japan.com", true },
  { "divegearexpress.com", true },
  { "diveidc.com", true },
  { "divelement.ro", true },
  { "diveplan.org", true },
  { "diversifiedproduct.com", true },
  { "diversityflags.com", true },
  { "diversityflags.com.au", true },
  { "diversityflags.nz", true },
  { "diversitywatch.asia", true },
  { "diversitywatch.co.nz", true },
  { "diversitywatch.com.au", true },
  { "divewithfrank.com", true },
  { "divi-experte.de", true },
  { "divinasaiamodas.com.br", true },
  { "divinegames.studio", true },
  { "divineglowinghealth.com", false },
  { "divinemercyparishvld.com", true },
  { "diving.photo", true },
  { "divingforlife.org", true },
  { "divisuite.com", true },
  { "divjak.at", true },
  { "divorciosmurcia.com", true },
  { "divup.com", true },
  { "diwei.vip", true },
  { "dixibox.com", true },
  { "diyanet.nl", true },
  { "diybook.at", true },
  { "diycc.org", true },
  { "diygeek.com", true },
  { "diyibo.com", true },
  { "diymediahome.org", true },
  { "diyosun.com", false },
  { "diytechguides.com", true },
  { "diyvideoeditor.com", true },
  { "dizayner.tk", true },
  { "dizzythewizard.co.uk", true },
  { "dj-leszwolle.nl", true },
  { "dj-x.info", true },
  { "dj3dub.com", true },
  { "djangobirthday.com", true },
  { "djangoproject.com", true },
  { "djangosnippets.org", true },
  { "djanpana.com", true },
  { "djbbouncycastles.co.uk", true },
  { "djbobbytables.com", true },
  { "djboekingskantoor.nl", true },
  { "djc.me", true },
  { "djcursuszwolle.nl", true },
  { "djdavid98.art", true },
  { "djdeepstate.com", true },
  { "djfantum.com", true },
  { "djfrenchy.com", true },
  { "dji-ars.pl", true },
  { "djipanov.com", true },
  { "djitsolutions.com", true },
  { "djl188.cc", true },
  { "djleon.net", true },
  { "djlinux.cz", true },
  { "djlnetworks.co.uk", true },
  { "djlove.tk", true },
  { "djmarian.com", true },
  { "djmox.in", true },
  { "djsbouncycastlehire.com", true },
  { "djslash.tk", true },
  { "djurklinikenangelholm.se", true },
  { "djvintagevinyl.com", true },
  { "djvintagevinyl.nl", true },
  { "djwaynepryke.com", true },
  { "dk-kromeriz.cz", true },
  { "dk.com", true },
  { "dk.search.yahoo.com", false },
  { "dkcomputers.com.au", true },
  { "dkds.us", true },
  { "dkstage.com", true },
  { "dkwedding.gr", true },
  { "dl.google.com", true },
  { "dlaspania.pl", true },
  { "dlde.ru", true },
  { "dldl.fr", true },
  { "dleet.com", true },
  { "dlfsymposium.nl", true },
  { "dlitz.net", true },
  { "dll4free.com", true },
  { "dlld.com", true },
  { "dlld.org", true },
  { "dlld.us", true },
  { "dlscomputers.com.au", true },
  { "dlui.xyz", true },
  { "dlunch.net", true },
  { "dlyatepla.ml", true },
  { "dlz149.me", true },
  { "dlzz.net", true },
  { "dm.lookout.com", false },
  { "dm.mylookout.com", false },
  { "dm4productions.com", true },
  { "dm7ds.de", true },
  { "dmaglobal.com", true },
  { "dmailshop.ro", true },
  { "dmarc.dk", true },
  { "dmarc.tech", true },
  { "dmarcian.com", true },
  { "dmatrix.xyz", true },
  { "dmcw.de", true },
  { "dmd.lv", true },
  { "dmdd.org.uk", true },
  { "dmfj.io", true },
  { "dmhtwebordering.com", true },
  { "dmi.es", true },
  { "dmilb.org", true },
  { "dmitriid.com", true },
  { "dmitry.sh", true },
  { "dmmedya.com", true },
  { "dmmkenya.co.ke", false },
  { "dmmultionderhoud.nl", true },
  { "dmn.sh", true },
  { "dmoj.ca", true },
  { "dmparish.com", true },
  { "dmxledlights.com", true },
  { "dn3s.me", true },
  { "dn42.us", true },
  { "dna.li", true },
  { "dnacloud.pl", true },
  { "dnakids.co.uk", true },
  { "dnalounge.com", true },
  { "dnapizza.com", true },
  { "dnc.org.nz", true },
  { "dndtools.net", true },
  { "dnlr.tech", true },
  { "dnmlab.it", true },
  { "dnns.no", true },
  { "dnoid.to", true },
  { "dnplegal.com", true },
  { "dns-check.nl", true },
  { "dns-control.eu", true },
  { "dns-swiss.ch", true },
  { "dns.google.com", true },
  { "dns.sb", true },
  { "dns8.online", true },
  { "dnsaio.com", true },
  { "dnscrawler.com", true },
  { "dnscrypt-blacklist.tk", true },
  { "dnscrypt.info", true },
  { "dnscrypt.nl", true },
  { "dnscurve.io", true },
  { "dnshallinta.fi", true },
  { "dnsipv6.srv.br", true },
  { "dnskeep.com", true },
  { "dnskeeper.com", true },
  { "dnsman.se", true },
  { "dnsmate.net", true },
  { "dnsrate.com", true },
  { "dnssecandipv6.se", true },
  { "dnstwister.report", true },
  { "do-pro.net", true },
  { "do-prod.com", false },
  { "do.gd", true },
  { "do.search.yahoo.com", false },
  { "do13.net", true },
  { "do67.de", true },
  { "do67.net", true },
  { "dobbshvac.com", true },
  { "dobraprace.cz", false },
  { "dobre-programy.xyz", true },
  { "dobreoknaszczecin.pl", true },
  { "dobreprogramy.pro", true },
  { "dobrisan.ro", true },
  { "doc-baza.ru", true },
  { "doc.ai", true },
  { "doc.python.org", true },
  { "doc.to", false },
  { "doc8643.com", true },
  { "docabo.ch", true },
  { "docassure.de", true },
  { "docbox.ch", true },
  { "docdoc.ru", true },
  { "docemeldoces.com", true },
  { "doceo.com", true },
  { "dockerbook.com", false },
  { "dockerup.net", true },
  { "dockflow.com", true },
  { "dockstarter.com", true },
  { "dockysearch.com", true },
  { "docline.gov", true },
  { "docloh.de", true },
  { "docloudu.info", true },
  { "docmed360.com", true },
  { "docplexus.com", true },
  { "docs.google.com", false },
  { "docs.python.org", true },
  { "docs.tw", true },
  { "doctafit.com", true },
  { "docteurcardin.com", false },
  { "doctor-locks.co.uk", true },
  { "doctor.dating", true },
  { "doctor360.com.au", true },
  { "doctorcalefon.com", true },
  { "doctorfox.co.uk", true },
  { "doctornaima.ml", true },
  { "doctorperu.com", true },
  { "doctorwho.cz", true },
  { "doctorxdentist.com", true },
  { "docu.io", true },
  { "docubox.info", true },
  { "docucopies.com", true },
  { "docudanang.com.vn", false },
  { "documaniatv.com", true },
  { "docupaymentuat.xyz", true },
  { "docusearch.com", true },
  { "dodikod.tk", true },
  { "dodopri.com", true },
  { "doenjoylife.com", false },
  { "doeren.com", true },
  { "doerz.com", true },
  { "does.one", true },
  { "doesburg-comp.nl", true },
  { "doesinfotech.com", true },
  { "dofux.org", true },
  { "dogadayiz.net", true },
  { "dogan.ch", false },
  { "dogandoganay.com", true },
  { "dogcat.vn", true },
  { "dogcontrol.ca", true },
  { "dogear.ch", true },
  { "dogforum.de", true },
  { "dogfriendly.co.uk", true },
  { "doggedbyirs.com", true },
  { "doggo.cloud", true },
  { "doggo.dance", true },
  { "doggo.email", true },
  { "doggroomingcourse.com", true },
  { "dogmap.jp", true },
  { "dogodki.today", true },
  { "dogoo.com", true },
  { "dogpawstudio.com", true },
  { "dogrescuegreece.nl", true },
  { "dogsdailylife.com", true },
  { "dogurai.com", true },
  { "dogvolution.com", true },
  { "dogwalkeru.com", true },
  { "dogworld.com.br", true },
  { "dohanews.co", true },
  { "doi.org", true },
  { "doihavetoputonpants.com", true },
  { "doinaruscior.eu", true },
  { "doitauto.de", true },
  { "doitexperience.com", true },
  { "dojozendebourges.fr", true },
  { "dokee.cn", true },
  { "dokelio-idf.fr", true },
  { "dokhuyenmaigiatot.com", true },
  { "doki.space", false },
  { "dokipy.no", true },
  { "dokkanashop.com", true },
  { "doko.pl", true },
  { "dokuboard.com", true },
  { "dolcesalatoweb.it", true },
  { "dolci-delizie.de", true },
  { "dolciariasimonini.com", true },
  { "dolciterapie.com", true },
  { "doli.se", true },
  { "dolice.net", true },
  { "dolinathome.com", true },
  { "doll.ml", true },
  { "dollchan.org", true },
  { "dollemore.com", true },
  { "dollhousetoyo.com", true },
  { "dolorism.com", true },
  { "dolph.de", true },
  { "doma.in", true },
  { "domacikavarna.cz", true },
  { "domadillo.com", true },
  { "domain-ermittlung.de", true },
  { "domain-skachat.cf", true },
  { "domain-speicher.com", true },
  { "domain-speicher.de", true },
  { "domain001.info", true },
  { "domainedemiolan.ch", false },
  { "domainevanina.fr", true },
  { "domainexpress.de", false },
  { "domainforfree.gq", true },
  { "domainkauf.de", true },
  { "domainoo.com", true },
  { "domains.google.com", true },
  { "domainsilk.com", true },
  { "domainspeicher.com", true },
  { "domainspeicher.one", true },
  { "domainstaff.com", true },
  { "domakidis.com", true },
  { "domarkperu.com", true },
  { "domaxpoker.com", true },
  { "domein-direct.com", true },
  { "domein-direct.nl", true },
  { "domeindns.nl", true },
  { "domenaru.ga", true },
  { "domenic.me", true },
  { "domenicam.com", true },
  { "domesticcleaners.co.uk", true },
  { "domfee.com", true },
  { "domhaase.me", true },
  { "domhos.tk", true },
  { "domian.cz", true },
  { "domicile-clean.fr", true },
  { "dominationgame.co.uk", true },
  { "dominctheroofguy.com", true },
  { "dominicandfelixroco.tk", true },
  { "dominicself.co.uk", true },
  { "dominictaylor.co.uk", true },
  { "dominik-bergmann.de", true },
  { "dominik.st", true },
  { "dominikaner-vechta.de", true },
  { "dominionedge.com", true },
  { "dominionregistries.domains", true },
  { "dominique-haas.fr", false },
  { "dominoknihy.cz", true },
  { "dominomatrix.com", true },
  { "domjh.com", true },
  { "dommascate.com.br", true },
  { "domob.eu", true },
  { "domodeco.fr", true },
  { "domodedovo.travel", true },
  { "domop.cc", true },
  { "domop.net", true },
  { "domop.org", true },
  { "domowe-potrawy.pl", true },
  { "domprojects.com", true },
  { "domscripting.com", true },
  { "domster.com", true },
  { "domus-global.com", true },
  { "domus-global.cz", true },
  { "domwkwiatach.pl", true },
  { "domyassignments.com", true },
  { "domycasestudy.com", true },
  { "domycoursework.com", true },
  { "domycreativewritings.com", true },
  { "domydissertations.com", true },
  { "domyessay.net", true },
  { "domyessays.com", true },
  { "domyhomework123.com", true },
  { "domyhomeworks.net", true },
  { "domyiadaptacje.pl", true },
  { "domynetwork.com", true },
  { "domypapers.com", true },
  { "domyresearchpaper.com", true },
  { "domyreview.net", true },
  { "domyspeech.com", true },
  { "domytermpaper.com", true },
  { "domythesis.net", true },
  { "domyzitrka.cz", true },
  { "domznak.ru", true },
  { "donabeneko.jp", true },
  { "donaldjenkins.com", true },
  { "donaldm.co.uk", true },
  { "donaldtrump.ga", true },
  { "donateabox.org", true },
  { "donateaday.net", true },
  { "donatus.nl", true },
  { "donboscogroep.nl", true },
  { "dondiabolo.com", true },
  { "donfelino.tk", false },
  { "dongxuwang.com", true },
  { "donia-almla3b.com", true },
  { "donjusto.nl", true },
  { "donkennedyandsons.com", true },
  { "donkeytrekkingkefalonia.com", true },
  { "donnaandscottmcelweerealestate.com", true },
  { "donnabrothers.com", true },
  { "donnachie.net", true },
  { "donnajeanbooks.com", true },
  { "donner-reuschel.de", true },
  { "donnons.org", false },
  { "donnoval.ru", false },
  { "donotcallgov.com", true },
  { "donotlink.it", true },
  { "donovankraag.nl", true },
  { "donpanda.cz", true },
  { "donpomodoro.com.co", true },
  { "donsremovals.com.au", true },
  { "dont.re", true },
  { "dont.watch", true },
  { "dontbeevil.com", true },
  { "dontbubble.me", true },
  { "dontcageus.org", true },
  { "donthedragonwilson.com", true },
  { "dontpayfull.com", true },
  { "dontstopcoffee.com", true },
  { "donttrust.me", true },
  { "donutcompany.co.jp", true },
  { "dooby.fr", true },
  { "dooleylabs.com", true },
  { "dooleytackaberry.com", true },
  { "doomoo.com", true },
  { "doomsworld.com", true },
  { "doomtech.net", true },
  { "doomus.me", true },
  { "doooooops.com", true },
  { "doop.im", true },
  { "doordecor.bg", true },
  { "doorflow.com", true },
  { "doorgate.pt", true },
  { "doorhandlese.com", true },
  { "doorshingekit.com", true },
  { "doorswest.net", true },
  { "doortim.nl", true },
  { "dopesoft.de", true },
  { "dophys.top", true },
  { "doppeleinhorn.de", true },
  { "doppler.com", true },
  { "dopsi.ch", true },
  { "dor-tak.com", true },
  { "dor-tak.ru", true },
  { "dora.moe", true },
  { "doradocomputer.com", true },
  { "doradoscampeon.tk", true },
  { "doramamusic.gq", true },
  { "dordtpas.nl", true },
  { "dorfbaeck.at", true },
  { "dorfbrunnen.eu", false },
  { "dorfpark-falkenburg.de", true },
  { "dorfzittig.de", true },
  { "doriangirod.ch", false },
  { "dorianharmans.nl", true },
  { "dorianmuthig.com", true },
  { "doridian.com", true },
  { "doridian.de", true },
  { "doridian.org", true },
  { "dormirmucho.com", true },
  { "dormitengernyikaland.hu", true },
  { "dormiu.com", true },
  { "dormiu.com.br", true },
  { "dornhecker.me", true },
  { "dorogaminina.tk", true },
  { "dorpshuis-dwarsgracht.nl", true },
  { "dorpshuiskesteren.nl", true },
  { "dorsetentertainments.co.uk", true },
  { "dorth.nl", true },
  { "dos.cafe", true },
  { "dosenbierrepublik.com", true },
  { "dosenkiwi.at", true },
  { "dosje.org", true },
  { "doska.by", true },
  { "doska.ru", true },
  { "dossplumbing.co.za", false },
  { "dostalsecurity.com", true },
  { "dostav.tk", true },
  { "dostlar.fr", true },
  { "dosug.so", true },
  { "dosvientoselectric.com", true },
  { "dosvientoselectrical.com", true },
  { "dosvientoselectrician.com", true },
  { "dosvientosexteriorlighting.com", true },
  { "dosvientoslandscapelighting.com", true },
  { "dosvientoslighting.com", true },
  { "dosvientosoutdoorlighting.com", true },
  { "doswap.com", true },
  { "dosyauzantisi.com", true },
  { "dot42.no", true },
  { "dotacni-parazit.cz", true },
  { "dotbigbang.com", true },
  { "dotbox.org", true },
  { "dotcircle.co", true },
  { "dotcomtest02-single.azurewebsites.net", true },
  { "dotesports.com", true },
  { "dotgov.gov", true },
  { "dothebangthingsalon.com", true },
  { "dothydesign.com", true },
  { "dotjesper.com", true },
  { "dotjesper.dk", true },
  { "dotjesper.net", true },
  { "dotjs.party", true },
  { "dotkniseandroida.cz", true },
  { "dotkod.pl", true },
  { "dotneko.net", true },
  { "dotnetdocs.ir", true },
  { "dotphoto.com", true },
  { "dotplex.com", true },
  { "dotplex.de", true },
  { "dotrox.net", true },
  { "dotshule.ug", true },
  { "dotsiam.co.th", true },
  { "dotsiam.com", true },
  { "dotsiam.in.th", true },
  { "dottore.roma.it", true },
  { "dottormarc.it", true },
  { "douai.me", true },
  { "doubleaste.com", true },
  { "doubleavineyards.com", true },
  { "doubleglazingmasters.com.au", true },
  { "doubleglazingmelbourne.com", true },
  { "doubleup.com.au", true },
  { "doubtaboutwill.org", true },
  { "douceurcarlet.com", true },
  { "doucheba.gs", false },
  { "doughseeker.com", true },
  { "douglascountybar.com", true },
  { "douglascountyfilmtrail.com", true },
  { "dougley.com", true },
  { "dougsautobody.com", true },
  { "doujinshi.info", true },
  { "doujinspot.com", true },
  { "douzer.de", true },
  { "douzer.earth", true },
  { "douzer.industries", true },
  { "dovenzorgmalawi.nl", true },
  { "dovermotion.com", true },
  { "dovizborsa.com", true },
  { "dowell.media", true },
  { "dowellconsulting.com", true },
  { "dowhatmakegood.de", true },
  { "dowling.nz", true },
  { "download-knigi.gq", true },
  { "download.dk", true },
  { "downloadaja.com", true },
  { "downloadfiles.cf", true },
  { "downloadgamemods.com", true },
  { "downloadgram.com", true },
  { "downloadhindimovie.com", true },
  { "downloads.zdnet.com", true },
  { "downloadsoftwaregratisan.com", true },
  { "downrightcute.com", true },
  { "downtimerobot.nl", true },
  { "downtownautospecialists.com", true },
  { "downtownsuiteliving.com", true },
  { "downunderporn.com", true },
  { "dox-box.eu", true },
  { "doxal.ro", true },
  { "doxepin1.gq", true },
  { "doxycyclineprices.cf", true },
  { "doyleshamrock.com", true },
  { "doyoucheck.com", false },
  { "doyouedc.com", true },
  { "doyoutax.com", false },
  { "doypacky.cz", false },
  { "doze-cloud.tech", true },
  { "dozecloud.com", true },
  { "dp.cx", true },
  { "dpd.com.pl", true },
  { "dpecuador.com", true },
  { "dpellegrini.com", true },
  { "dperson.net", true },
  { "dpfsolutionsfl.com", true },
  { "dpg.no", true },
  { "dphipartner.com", true },
  { "dpi-design.de", true },
  { "dpim.org.my", true },
  { "dpisecuretests.com", true },
  { "dpm-ident.de", false },
  { "dponetwork.nl", true },
  { "dposit.com", true },
  { "dposit.email", true },
  { "dposit.eu", true },
  { "dposit.net", true },
  { "dposit.org", true },
  { "dprb.biz", true },
  { "dps.srl", true },
  { "dpsg-hohenlinden.de", true },
  { "dpsg-roden.de", false },
  { "dpwsweeps.co.uk", true },
  { "dr-becarelli-philippe.chirurgiens-dentistes.fr", true },
  { "dr-klotz.info", true },
  { "dr-knirr.de", true },
  { "dr-marlen-nystroem.de", true },
  { "dr-moldovan.de", true },
  { "dr-nystroem.de", true },
  { "dr-peter-jahn.de", true },
  { "dr-schlamminger.de", true },
  { "dr-schmutzer.de", true },
  { "dr-schuessler.de", true },
  { "dr-stoetter.de", true },
  { "dr-www.de", true },
  { "dr.mg", true },
  { "dr2dr.ca", true },
  { "draadloos-besturen.nl", true },
  { "draadloze-noodstop.nl", true },
  { "drabadir.com", true },
  { "drabim.org", true },
  { "drach.xyz", true },
  { "drachenleder.de", true },
  { "dracisvet.cz", true },
  { "dracoon.com", true },
  { "dracoon.de", true },
  { "dracoon.team", true },
  { "dracox.com", true },
  { "dracula.city", true },
  { "draemar.com", true },
  { "draftguru.com.au", true },
  { "dragcave.net", true },
  { "dragfiles.com", true },
  { "draghetti.it", true },
  { "draghive.com", true },
  { "dragon-chem.eu", true },
  { "dragon-hearts.co.uk", true },
  { "dragon.nu", true },
  { "dragoncave.me", true },
  { "dragonclean.gr", true },
  { "dragonheartsrpg.com", true },
  { "dragonkin.net", true },
  { "dragonprogrammer.com", true },
  { "dragonreal.estate", true },
  { "dragonschool.org", true },
  { "dragonsunited.at", true },
  { "dragonsunited.ch", true },
  { "dragonsunited.de", true },
  { "dragonsunited.eu", true },
  { "dragonsunited.info", true },
  { "dragonsunited.net", true },
  { "dragonsunited.org", true },
  { "dragontours.net", true },
  { "dragonwolfpackaquaria.com", true },
  { "dragowebdesign.com", true },
  { "draintechnorthwest.net", true },
  { "drainwllc.com", true },
  { "drake.partners", true },
  { "drakecommercial.com", true },
  { "drakeluce.com", true },
  { "drakenson.de", true },
  { "drakfot.se", true },
  { "drakoacademy.org", true },
  { "draliabadi.com", true },
  { "dramaticpeople.com", true },
  { "dramyalderman.com", true },
  { "dranderle.com", true },
  { "drandrewarnold.com", true },
  { "dranik.ga", true },
  { "dranous.com", true },
  { "drapeauxdespays.fr", true },
  { "dras.hu", true },
  { "drastik.cz", true },
  { "dratini0.hu", true },
  { "draugr.de", true },
  { "draw.uy", true },
  { "drawesome.uy", true },
  { "drawtwo.gg", true },
  { "drawvesly.ovh", true },
  { "drawxp.com", true },
  { "draycotthotel.com", true },
  { "drbresnick.com", true },
  { "drbriones.com", true },
  { "drcarolynquist.com", true },
  { "drchrislivingston.com", true },
  { "drchristophepanthier.com", true },
  { "drcourtney.com", true },
  { "drcp.tokyo", true },
  { "drdegenhart.de", true },
  { "drdenisvincenzi.com.br", true },
  { "drdipilla.com", true },
  { "dream-pools.cf", true },
  { "dreamboxpro.com", true },
  { "dreamcrack.tk", true },
  { "dreamcraft.su", true },
  { "dreamday-with-dreamcar.de", true },
  { "dreamdestine.com", true },
  { "dreamdivers.com", true },
  { "dreamhack.com", true },
  { "dreamhostremixer.com", true },
  { "dreamhouses.com", true },
  { "dreamingwolf.sk", true },
  { "dreamlandmagic.com", true },
  { "dreamlordpress.it", true },
  { "dreamlux.cz", true },
  { "dreamlux.sk", true },
  { "dreammaker-nw.com", true },
  { "dreammakerutah.com", true },
  { "dreamof.net", false },
  { "dreamrae.net", true },
  { "dreamsforabetterworld.com.au", true },
  { "dreamstream.nl", true },
  { "dreamstream.tv", true },
  { "dreamstream.video", true },
  { "dreamstudio.com", true },
  { "dreamswelcome.com", true },
  { "dreamsxxl.com", true },
  { "dreamwork.financial", true },
  { "dreamz-staging.zone", true },
  { "dreamz.com", true },
  { "dreatho.com", true },
  { "dreemurr.com", true },
  { "drei01.com", true },
  { "drei01.de", true },
  { "drei01.technology", true },
  { "dreid.org", true },
  { "drendermobilyaservisi.com", true },
  { "dresden-kaffee-24.de", true },
  { "dresden-kaffeeroesterei.de", true },
  { "dresdener-mandelstollen.de", true },
  { "dresdens-pfefferkuchenprinzessin.de", true },
  { "dresdner-kaffeeroesterei.de", true },
  { "dresdner-mandelstollen.de", true },
  { "dresdner-stollen-von-reimann.de", false },
  { "dresdner-stollen.shop", true },
  { "dress-cons.com", true },
  { "dressify.in", true },
  { "dressingmaternity.fr", true },
  { "drevo-door.cz", false },
  { "drevoline.com.ua", true },
  { "drew.beer", true },
  { "drew.life", true },
  { "drew.red", true },
  { "drewapianostudio.com", true },
  { "drewlearns.com", true },
  { "drewsilcock.co.uk", true },
  { "drewzar.com", true },
  { "drexelwood.com", true },
  { "dreyfussplasticsurgery.com", true },
  { "drezzy.it", true },
  { "drgeadsdavinci.com", true },
  { "drgerthplasticsurgery.com", true },
  { "drghomi.com", true },
  { "drglassgyn.com", true },
  { "drgn.li", true },
  { "drgn.no", true },
  { "drgrace.ca", true },
  { "drhathazi.hu", true },
  { "drheibel.com", true },
  { "drherndonent.com", true },
  { "drhildebrand.net", true },
  { "drhoseyni.com", true },
  { "drhyler.com", true },
  { "drianpublishing.tk", true },
  { "driesjtuver.nl", true },
  { "driestwegkerk.nl", true },
  { "driftdude.nl", true },
  { "driftingruby.com", true },
  { "drighes.com", true },
  { "drikuansvarligt.dk", true },
  { "drillingsupply.info", true },
  { "drillingsupplystore.com", true },
  { "drillion.net", true },
  { "drillshackresort.com", true },
  { "drilon.be", true },
  { "drinkcontrolapp.com", true },
  { "drinkgas-jihlava.cz", true },
  { "drinkgo.vn", true },
  { "drinkrebellious.com", true },
  { "driv.io", true },
  { "drive.google.com", false },
  { "drivedavis.com", true },
  { "driveexport.com", true },
  { "driven2shine.eu", true },
  { "drivenbyperspective.com", true },
  { "drivenes.net", true },
  { "driver.ru", true },
  { "driverless.id", true },
  { "driverprofiler.co.uk", true },
  { "driverscollection.com", true },
  { "drivetonortheast.com", true },
  { "drivinghorror.com", true },
  { "drivinhors.com", true },
  { "drivya.com", true },
  { "drizz.com.br", false },
  { "drjacquesmalan.com", true },
  { "drjoe.ca", true },
  { "drjosebarrera.com", true },
  { "drjuanitacollier.com", false },
  { "drjulianneil.com", true },
  { "drkhsh.at", false },
  { "drkmtrx.xyz", true },
  { "drlandis.com", true },
  { "drlangsdon.com", true },
  { "drlinkcheck.com", true },
  { "drmayakato.com", true },
  { "drmcdaniel.com", true },
  { "drms.us", true },
  { "drmtransit.com", true },
  { "drogariasantoantonio.pt", true },
  { "drogavista.com.br", true },
  { "droid101.com", true },
  { "droidandy.com", true },
  { "droidapp.nl", true },
  { "droidchart.com", true },
  { "droidee.com", true },
  { "droidgyan.com", true },
  { "droidhere.com", true },
  { "dromax.hu", true },
  { "dromotique.com", true },
  { "drone-it.net", false },
  { "dronebl.org", true },
  { "droneland.nl", true },
  { "dronepilotgeorgia.com", true },
  { "dronepit.dk", true },
  { "dronesz.co", true },
  { "droni.cz", true },
  { "dronografia.es", true },
  { "dronova-art.ru", true },
  { "drop.com", true },
  { "dropbox.com", true },
  { "dropboxer.net", true },
  { "droperplus.com", true },
  { "dropistic.com", true },
  { "droplen.com", true },
  { "droppia.io", true },
  { "dropq.nl", true },
  { "dropscloud.spdns.de", true },
  { "dropshare.cloud", true },
  { "dropshell.net", true },
  { "droso.dk", true },
  { "drown.photography", true },
  { "drpetersenobgynal.com", true },
  { "drpetervoigt.ddns.net", true },
  { "drpetervoigt.de", true },
  { "drphillipsmwc.com", true },
  { "drpico.com.au", true },
  { "drpil.nl", true },
  { "drrachellemeaux.com", true },
  { "drradin.com", true },
  { "drrhonda.com", true },
  { "drrr.chat", true },
  { "drrr.com", true },
  { "drrr.wiki", true },
  { "drsajjadian.com", true },
  { "drsamuelkoo.com", true },
  { "drschlarb.eu", true },
  { "drsheri.com", true },
  { "drsturgeonfreitas.com", true },
  { "drsubbio.com", true },
  { "drthalhammer.at", true },
  { "drtimmarch.com", true },
  { "drtimothybradley.com", true },
  { "drtimothysteel.com.au", true },
  { "drtimothysteeljournal.com", true },
  { "drtimothysteelnetwork.com", true },
  { "drtimothysteelresults.com", true },
  { "drtimothysteelscholarship.com.au", true },
  { "drtimothysteelvideos.com", true },
  { "drtristanberry.com", true },
  { "druckerei-huesgen.de", true },
  { "drugs.com", true },
  { "drumbe.at", true },
  { "drumlines.org", true },
  { "drummondframing.com", true },
  { "drunkendropkes.tk", true },
  { "drunkscifi.com", true },
  { "drupal-expert.it", true },
  { "drupal.org", true },
  { "drupalspb.org", false },
  { "drusantia.net", true },
  { "drusillas.co.uk", true },
  { "druwe.net", false },
  { "drvaidyas.com", true },
  { "drwang.group", true },
  { "drweissbrot.net", true },
  { "drybjed.net", true },
  { "drycleancoalition.org", true },
  { "drycreekphoto.com", true },
  { "drydrydry.com", true },
  { "dryerventcleaningarlington.com", true },
  { "dryerventcleaningcarrollton.com", true },
  { "dryjersey.com", true },
  { "dryudha.site", true },
  { "drywallresponse.gov", true },
  { "ds.lol", true },
  { "ds138.cc", true },
  { "ds28s.com", true },
  { "ds67.de", true },
  { "dsaengineering.com", true },
  { "dsancomics.com", true },
  { "dsanraffleshangbai.xyz", true },
  { "dsayce.com", true },
  { "dsble.de", true },
  { "dsbutler.de", true },
  { "dscharrer.com", true },
  { "dschwarzachtaler.de", true },
  { "dsebastien.net", true },
  { "dsektionen.se", false },
  { "dsgarms.com", true },
  { "dsgholsters.com", true },
  { "dsgnet.hu", true },
  { "dsgvo-addon.eu", true },
  { "dsgvo-analyse.de", true },
  { "dsgvo.name", true },
  { "dsh.io", true },
  { "dshield.org", true },
  { "dsimons.tk", true },
  { "dsm5.com", true },
  { "dsmjs.com", true },
  { "dsmnet.org", true },
  { "dso-izlake.si", true },
  { "dsol.hu", true },
  { "dspace.pl", true },
  { "dspropertyservicesltd.co.uk", true },
  { "dsreal.de", true },
  { "dstamou.de", true },
  { "dsteiner.at", true },
  { "dstvinstallkemptonpark.co.za", true },
  { "dstvsandton.co.za", true },
  { "dstvsouthafrica.com", true },
  { "dsuinnovation.com", true },
  { "dt688.net", true },
  { "dtbouncycastles.co.uk", true },
  { "dtbw.eu", true },
  { "dtbw.net", true },
  { "dtbw.org", true },
  { "dtdsh.com", true },
  { "dtg-fonds.com", true },
  { "dtg-fonds.de", true },
  { "dtg-fonds.net", true },
  { "dtgmns.com", true },
  { "dtinel.org", true },
  { "dtivandortbv.nl", true },
  { "dtleague.eu", true },
  { "dtmbnl.com", true },
  { "dtmbx.com", true },
  { "dtmbx.email", true },
  { "dtmbx.eu", true },
  { "dtmbx.net", true },
  { "dtmbx.nl", true },
  { "dtmbx.org", true },
  { "dtmf.io", true },
  { "dtmlnp.com", true },
  { "dtngny.com", true },
  { "dtnx.email", true },
  { "dtnx.eu", true },
  { "dtnx.net", true },
  { "dtnx.org", true },
  { "dtnxny.com", true },
  { "dtoweb.be", true },
  { "dtp-mstdn.jp", false },
  { "dtuaarsfest.dk", true },
  { "dtx.sk", true },
  { "du-alex.ru", true },
  { "dualascent.com", true },
  { "duarteeleiteconsultoria.com.br", true },
  { "dub.cz", true },
  { "dubaizone.cf", true },
  { "dubbingkursus.dk", true },
  { "dubbningshemsidan.se", true },
  { "dubious-website.com", true },
  { "dublin-traceroute.net", true },
  { "duboisinternational.com", true },
  { "duboisinvestissements.com", true },
  { "dubrava.tk", true },
  { "dubrovskiy.net", true },
  { "dubrovskiy.pro", true },
  { "dubstep.fr", true },
  { "dubtrack.fm", true },
  { "dubyou.tw", true },
  { "ducadu.com", true },
  { "duch.cloud", true },
  { "duckbase.com", true },
  { "duckblade.com", true },
  { "duckcorp.org", true },
  { "duckduck.horse", true },
  { "duckduckstart.com", true },
  { "duckfam.us", true },
  { "duckinc.net", true },
  { "ducksify.com", true },
  { "ducksoft.fi", true },
  { "duct.me", true },
  { "due-diligence-security.com", true },
  { "duelingaces.com", true },
  { "duernberg.at", true },
  { "duesee.org", true },
  { "duesterhus.eu", true },
  { "dufrei.com", true },
  { "dug.net.pl", true },
  { "duggtec.com", true },
  { "dugunedavet.com", true },
  { "duh.se", true },
  { "duijf.info", true },
  { "duijf.io", true },
  { "duijfathome.nl", true },
  { "duitang.com", true },
  { "dukan-recepty.ru", true },
  { "dukatek.cz", true },
  { "dukeandduchessdrivingschool.co.uk", true },
  { "dukegat.de", false },
  { "dukers-baelemans.nl", true },
  { "dukun.de", true },
  { "dulcinela.es", true },
  { "dulei.si", true },
  { "dullapp.com", true },
  { "dum.moe", true },
  { "dumax.xyz", true },
  { "dumb-laws.net.ru", true },
  { "dumbeartech.com", true },
  { "dumberger-bau.de", true },
  { "dumboverflow.com", true },
  { "dumino.bg", true },
  { "duncancmt.com", true },
  { "duncanfamilytrust.org", true },
  { "duncanmoffat.com", true },
  { "duncanwinfrey.com", true },
  { "duncm.com", true },
  { "dungdev.net", true },
  { "dungeon-bbs.de", true },
  { "dungeoncity.com", true },
  { "dunklau.fr", true },
  { "dunkle-seite.org", true },
  { "dunmanelectric.com", true },
  { "dunyahalleri.com", true },
  { "duobus.nl", true },
  { "duoquadragintien.fr", true },
  { "duoyin.com", true },
  { "dupisces.com.tw", true },
  { "duplicazionechiavi.it", true },
  { "duploclique.pt", false },
  { "dupree.co", true },
  { "durand.tf", true },
  { "duranthon.eu", true },
  { "durastill-distiller.com", true },
  { "durbanlocksmiths.co.za", true },
  { "durcal.tk", true },
  { "durdle.com", true },
  { "dureuil.info", true },
  { "durfteparticiperen.nl", true },
  { "durgatopos.it", true },
  { "duria.de", true },
  { "duriaux-dentiste.ch", false },
  { "duriemas.com", true },
  { "durin-art.com", true },
  { "durys.be", true },
  { "dusmomente.com", true },
  { "dustandsand.com", false },
  { "dustpla.net", true },
  { "dustplanet.de", true },
  { "dustri.org", true },
  { "dusty.gr", true },
  { "dustygroove.com", true },
  { "dustyspokesbnb.ca", true },
  { "dustywilson.com", true },
  { "dutch.desi", true },
  { "dutchassistancedogs.nl", true },
  { "dutchessuganda.com", true },
  { "dutchfoodie.nl", true },
  { "dutchforkrunners.com", true },
  { "dutchrank.nl", true },
  { "dutchsailors.com", true },
  { "dutchwanderers.nl", true },
  { "dutchweballiance.nl", true },
  { "dutkoteam.com", true },
  { "dutrac.co.id", true },
  { "dutyfreeinformation.com", true },
  { "duval.paris", true },
  { "duvalo.eu", true },
  { "duvalo.info", true },
  { "duvalo.net", true },
  { "duvalo.org", true },
  { "duvalo.sk", true },
  { "duxi-s-feromonami.ga", true },
  { "dv189.com", true },
  { "dvbris.co.uk", true },
  { "dvbris.com", true },
  { "dvdinmotion.com", true },
  { "dvdland.com.au", true },
  { "dvhosting.be", true },
  { "dvipadmin.com", true },
  { "dvlot.ru", true },
  { "dvnatura.ch", false },
  { "dvorupotocnych.sk", true },
  { "dvwc.org", true },
  { "dvx.cloud", true },
  { "dwarf.com.tw", true },
  { "dwgf.xyz", true },
  { "dwi-sued.de", true },
  { "dwood.store", true },
  { "dworzak.ch", true },
  { "dwscdv3.com", true },
  { "dwtm.ch", true },
  { "dwworld.co.uk", true },
  { "dwz-solutions.com", true },
  { "dx-revision.com", true },
  { "dxgl.info", true },
  { "dxgl.org", true },
  { "dxm.no-ip.biz", true },
  { "dxmpay.com", true },
  { "dxzsj.cn", true },
  { "dybuster.at", true },
  { "dybuster.ch", true },
  { "dybuster.com", true },
  { "dybuster.de", true },
  { "dybuster.es", true },
  { "dybuster.it", true },
  { "dybuster.se", true },
  { "dycoa.com", true },
  { "dyeager.org", true },
  { "dyktig.as", true },
  { "dyktig.no", true },
  { "dylangattey.com", true },
  { "dylankatz.com", true },
  { "dylanknoll.ca", true },
  { "dylanscott.com.au", true },
  { "dylanspcrepairs.com", true },
  { "dylmye.me", false },
  { "dylnuge.com", true },
  { "dym.asia", true },
  { "dym.bz", true },
  { "dym2012.com", true },
  { "dym2013.com", true },
  { "dym2014.com", true },
  { "dym2017.com", true },
  { "dymdajce.ovh", true },
  { "dymersion.com", true },
  { "dymfbbs.com", true },
  { "dymmovie.com", true },
  { "dymowski.de", false },
  { "dyn.im", true },
  { "dynaloop.net", false },
  { "dynamicdesignuk.com", true },
  { "dynamicnet.net", false },
  { "dynamics-365.no", true },
  { "dynamics365.no", true },
  { "dynamicsnetwork.net", true },
  { "dynamicsretailnotes.com", true },
  { "dynamofanforum.de", true },
  { "dynapptic.com", true },
  { "dynastic.co", true },
  { "dynastyarena.com", true },
  { "dynastybullpen.com", true },
  { "dynastycalculator.com", true },
  { "dynastycentral.com", true },
  { "dynastychalkboard.com", true },
  { "dynastyclubhouse.com", true },
  { "dynastycrate.com", true },
  { "dynastyduel.com", true },
  { "dynastyfan.com", true },
  { "dynastygoal.com", true },
  { "dynastylocker.com", true },
  { "dynastyredline.com", true },
  { "dyncdn.me", true },
  { "dyneco.io", true },
  { "dynn.be", false },
  { "dynocc.xyz", true },
  { "dynorphin.com", true },
  { "dynorphins.com", true },
  { "dynts.pro", true },
  { "dynx.pl", true },
  { "dyremyhr.no", true },
  { "dyrenesverden.no", true },
  { "dyrkar.com", true },
  { "dyrstad.net", true },
  { "dys-coaching.com", true },
  { "dyscalculia-blog.com", true },
  { "dysthymia.com", true },
  { "dyyn.de", true },
  { "dz7337.com", true },
  { "dzar.nsupdate.info", true },
  { "dzeina.ch", false },
  { "dzet.de", true },
  { "dziaduch.pl", true },
  { "dziary.com", true },
  { "dziekonski.com", true },
  { "dziscover.com", true },
  { "dziura.me", true },
  { "dziurdzia.pl", true },
  { "dzivniekubriviba.lv", true },
  { "dzndk.com", true },
  { "dznn.nl", true },
  { "dzomo.org", true },
  { "dzsi.bi", false },
  { "dzsibi.com", true },
  { "dzsula.hu", true },
  { "dzu.fund", true },
  { "dzu.me", true },
  { "dzu.works", true },
  { "dzus.tk", true },
  { "dzworld.com", true },
  { "dzyszla.pl", true },
  { "dzytdl.com", true },
  { "e-account.by", true },
  { "e-bap.net", true },
  { "e-beyond.de", true },
  { "e-bikesdirect.co.uk", true },
  { "e-biografias.net", true },
  { "e-bookshelf.de", true },
  { "e-borneoshop.com", true },
  { "e-briancon.com", true },
  { "e-coexist.com", true },
  { "e-colle.info", true },
  { "e-cottage.com.br", true },
  { "e-diabolo.tk", true },
  { "e-emploi.be", true },
  { "e-enterprise.gov", false },
  { "e-id.ee", true },
  { "e-klempir.cz", true },
  { "e-lambre.com", true },
  { "e-learningbs.com", true },
  { "e-m1.com", true },
  { "e-mandataires.fr", true },
  { "e-michiganinsurance.com", true },
  { "e-node.net", true },
  { "e-privat.info", true },
  { "e-ptn.com", true },
  { "e-referendum.cz", true },
  { "e-speak24.pl", true },
  { "e-standardstore.org", true },
  { "e-sushi.net", true },
  { "e-teachers.me", true },
  { "e-tech-solution.com", true },
  { "e-tech-solution.net", true },
  { "e-techsolution.com", true },
  { "e-techsolutions.net", true },
  { "e-tonery.cz", true },
  { "e-traceur-france.fr", true },
  { "e-tresor.at", true },
  { "e-tune-mt.net", true },
  { "e-typ.eu", true },
  { "e-verify.gov", true },
  { "e-webos.com", true },
  { "e-worksmedia.com", false },
  { "e.mail.ru", true },
  { "e1488.com", true },
  { "e15r.co", true },
  { "e2a.cn", true },
  { "e2feed.com", true },
  { "e30.ee", true },
  { "e30365.com", true },
  { "e36533.com", true },
  { "e4.chat", true },
  { "e52888.com", true },
  { "e52888.net", true },
  { "e59888.com", true },
  { "e59888.net", true },
  { "e5tv.hu", true },
  { "e6e.io", true },
  { "e7035.com", true },
  { "e7d.io", true },
  { "e7fun.net", true },
  { "e901.com", false },
  { "e9582.com", true },
  { "e965.ru", true },
  { "e9721.com", false },
  { "ea-lateleassistance.com", true },
  { "ea2drocks.com", true },
  { "eacero.com", true },
  { "ead-italia.it", true },
  { "eagar.com.au", true },
  { "eagle.net", true },
  { "eagleindustriesltd.com", true },
  { "eaglemessaging.com", true },
  { "eaglemoe.com", true },
  { "eaglenation.net", true },
  { "eaglewreck.info", true },
  { "eaglexiang.org", true },
  { "eagleyecs.com", true },
  { "eaimty.com", true },
  { "ealadel.com", true },
  { "ealev.de", true },
  { "eallion.com", false },
  { "eapestudioweb.com", true },
  { "earfolds.com", true },
  { "earl.org.uk", true },
  { "earlybetter.com", true },
  { "earlyyearshub.com", true },
  { "earmarks.gov", true },
  { "earn.com", true },
  { "earn99.co", true },
  { "earningthatis.tk", true },
  { "earthava.com", true },
  { "earthcorporation.cf", true },
  { "earthsolidarity.org", true },
  { "earthspundesigns.com", true },
  { "earthsystemprediction.gov", true },
  { "earticleblog.com", true },
  { "easew.com", true },
  { "easez.net", true },
  { "eashwar.com", true },
  { "eason-yang.com", true },
  { "eastarm.net", true },
  { "eastbaycontractor.com", true },
  { "eastblue.org", true },
  { "easterncapebirding.co.za", true },
  { "eastlothianbouncycastles.co.uk", true },
  { "eastmaintech.com", true },
  { "eastmanbusinessinstitute.com", true },
  { "eastmidlandsstargazers.org.uk", true },
  { "eastnorschool.co.uk", true },
  { "eastping.com", true },
  { "eastplan.co.kr", true },
  { "eastsidecottages.co.uk", true },
  { "eastsideroofingcontractor.com", true },
  { "eaststudios.net", true },
  { "eastwesttmc.com.au", true },
  { "eastwind.cloud", true },
  { "eastyorkshirebuses.co.uk", true },
  { "easy-rpg.org", false },
  { "easy-vn.com", true },
  { "easy2bathe.co.uk", true },
  { "easyadsnbanners.tk", false },
  { "easycoding.org", true },
  { "easyconstat.com", true },
  { "easycontentplan.com", true },
  { "easycosmetic.ch", true },
  { "easycredit.se", true },
  { "easydumpsterrental.com", true },
  { "easyeditcms.com", true },
  { "easyeigo.com", true },
  { "easyfiles.ch", true },
  { "easyfiles.gq", true },
  { "easyhaul.com", true },
  { "easylogics.tk", true },
  { "easymotionskin-japan.jp", true },
  { "easynm.cn", true },
  { "easyocm.hu", true },
  { "easypay.bg", true },
  { "easypayments.pro", true },
  { "easypets.fr", false },
  { "easypv.ch", true },
  { "easyroad.fr", true },
  { "easyshare.gq", true },
  { "easyslide.be", true },
  { "easystore.co", true },
  { "easytechguides.com", true },
  { "easytube.ga", true },
  { "easyweenies.com", true },
  { "easywin.ml", true },
  { "easywio.com", true },
  { "eat-sleep-code.com", true },
  { "eatery.co.il", true },
  { "eatmebudapest.hu", true },
  { "eaton-works.com", true },
  { "eatry.io", true },
  { "eatsleeprepeat.net", true },
  { "eatson.com", true },
  { "eatz-and-treatz.com", true },
  { "eaucube.com", true },
  { "eaugenethomas.cf", true },
  { "eauxdespleiades.ch", false },
  { "eazyproject.net", true },
  { "eb-net.de", true },
  { "eb7.jp", true },
  { "ebaby.bg", true },
  { "ebankcbt.com", true },
  { "ebanking.indovinabank.com.vn", true },
  { "ebankingabersicher.ch", true },
  { "ebankingbutsecure.ch", true },
  { "ebankingentoutesecurite.ch", true },
  { "ebankingmasicuro.ch", true },
  { "ebas.ch", true },
  { "ebashim.tk", true },
  { "ebataw.com", true },
  { "ebaymotorssucks.com", true },
  { "ebenda.org", true },
  { "ebenezersbarnandgrill.com", true },
  { "ebermannstadt.de", false },
  { "ebertlang.com", true },
  { "eberwe.in", true },
  { "ebest.co.jp", true },
  { "ebill.pl", true },
  { "ebiografia.com", true },
  { "ebiografias.com.br", true },
  { "ebisi.be", true },
  { "ebizarts.com", true },
  { "eblog.cf", true },
  { "eblog.ink", true },
  { "eboardsolutions.com", true },
  { "eboek.info", true },
  { "ebola-hosting.cz", true },
  { "ebonyriddle.com", true },
  { "eboocker.de", true },
  { "ebookabc.tk", true },
  { "ebooki.eu.org", true },
  { "ebooklib.club", true },
  { "ebooknetworking.net", true },
  { "ebooks-pdf.cf", true },
  { "ebooksgratuits.org", true },
  { "eboutic.ch", true },
  { "eboyer.com", true },
  { "ebpglobal.com", false },
  { "ebrnd.de", true },
  { "ebteam.ir", true },
  { "eburg.ml", true },
  { "ebuyclub.com", true },
  { "ec-current.com", true },
  { "ec.mine.nu", true },
  { "ecardoo.com", true },
  { "ecardoo.de", true },
  { "ecardoo.net", true },
  { "ecardoo.org", true },
  { "ecbt.co.il", true },
  { "ecchidreams.com", true },
  { "eccma.org", true },
  { "ecco-verde.com", false },
  { "ecdn.cz", true },
  { "ecfnorte.com.br", true },
  { "echarity.ae", true },
  { "echarlascartas.es", true },
  { "echidna-rocktools.eu", true },
  { "echinus.solutions", true },
  { "echo-in.info", true },
  { "echo-n.nz", true },
  { "echo-security.co", true },
  { "echo.co.uk", true },
  { "echoanalytics.com", true },
  { "echobridgepartners.com", true },
  { "echodio.com", true },
  { "echoesfromantiquity.com", true },
  { "echofoxtrot.co", true },
  { "echoit.net", true },
  { "echoit.net.au", true },
  { "echoit.services", true },
  { "echopaper.com", true },
  { "echorecovery.org", true },
  { "echosim.io", true },
  { "echosixmonkey.com", true },
  { "echosnature.fr", true },
  { "echosystem.fr", true },
  { "echoworld.ch", false },
  { "echternach-immobilien.de", true },
  { "ecigfind.com", true },
  { "ecir.pro", true },
  { "ecir.ru", true },
  { "ecirtam.net", true },
  { "eciso.io", true },
  { "eckel.co", true },
  { "eckstein.tech", true },
  { "eclectiv.com", true },
  { "eclipse.ws", true },
  { "eclipseforum.tk", true },
  { "eclypsium.io", false },
  { "ecmatching.com", true },
  { "ecnetworker.com", true },
  { "eco-derattizzazione.it", true },
  { "eco-flowplumbing.com", true },
  { "eco-repair.be", true },
  { "eco-solu.co.jp", true },
  { "eco-work.it", true },
  { "eco2u.ru", true },
  { "ecobagsmauritius.com", true },
  { "ecobee.com", false },
  { "ecobergerie.fr", true },
  { "ecobin.nl", true },
  { "ecoccinelles.ch", false },
  { "ecoccinelles.com", false },
  { "ecococon.fr", true },
  { "ecocreativity.org", true },
  { "ecocuisinedesign.com", true },
  { "ecodedi.com", true },
  { "ecodesign-labo.jp", true },
  { "ecodesigns.nl", true },
  { "ecodigital.social", true },
  { "ecofabrica.com.br", true },
  { "ecofac-bs.com", true },
  { "ecoformeurope.com", true },
  { "ecogen.com.au", true },
  { "ecogen.net.au", true },
  { "ecoheatcool.co.uk", true },
  { "ecohostingservices.uk", true },
  { "ecole-attalens.ch", false },
  { "ecoledusabbat.org", false },
  { "ecolemathurincordier.com", false },
  { "ecologica.it", true },
  { "ecombustibil.ro", true },
  { "ecomia.dk", true },
  { "ecomonline.ru", true },
  { "ecomycie.com", true },
  { "economiafinanzas.com", true },
  { "economias.pt", true },
  { "economic-sanctions.com", true },
  { "economics-colleges.com", true },
  { "economie2.alsace", true },
  { "economiefidu.ch", false },
  { "economies.ch", false },
  { "econsorzio.com", true },
  { "econsumer.gov", true },
  { "ecorp.cc", true },
  { "ecos-ev.de", true },
  { "ecos.srl", true },
  { "ecoshare.info", true },
  { "ecosm.com.au", true },
  { "ecosound.ch", false },
  { "ecostruxureit.com", true },
  { "ecosystem.atlassian.net", true },
  { "ecosystemmanager-uat1.azurewebsites.net", true },
  { "ecotransfer.bio", true },
  { "ecotur.org", true },
  { "ecovision.com.br", true },
  { "ecpannualmeeting.com", true },
  { "ecpic.gov", true },
  { "ecr-test-backoffice-app.azurewebsites.net", true },
  { "ecr-test-partnapp.azurewebsites.net", true },
  { "ecrandouble.ch", false },
  { "ecriminalrecords.com", true },
  { "ecrownoffire.com", true },
  { "ecsupplyinc.com", true },
  { "ecuadorbienesraices.com", true },
  { "ecuatask.com", true },
  { "ecxforum.com", true },
  { "ed-studios.tk", true },
  { "ed.gs", true },
  { "edailystar.com", true },
  { "edanni.io", true },
  { "edapt.org.uk", true },
  { "edas.info", false },
  { "edcaptain.com", true },
  { "edd-miles.com", true },
  { "eddesign.ch", true },
  { "eddmil.es", true },
  { "eddokloosterman.com", true },
  { "eddyn.net", true },
  { "edeals.co", true },
  { "edeals.co.com", true },
  { "edeals.com.co", true },
  { "edeca.net", true },
  { "edefrutos.me", true },
  { "edehsa.com", true },
  { "edelweiss-pinzolo.com", true },
  { "eden-eu.com", true },
  { "eden-project-insight.tk", true },
  { "eden.co.uk", true },
  { "edenmal.net", true },
  { "edenming.info", true },
  { "edesseglabor.hu", true },
  { "edfinancial.com", true },
  { "edgarz.tk", true },
  { "edgeservices.co.uk", true },
  { "edgetalk.net", true },
  { "edh.email", true },
  { "edhesive.com", true },
  { "edholm.pub", true },
  { "edi-gate.com", true },
  { "edi-gate.de", true },
  { "edibarcode.com", true },
  { "edicct.com", true },
  { "edify.space", false },
  { "edilservizi.it", true },
  { "edilservizivco.it", true },
  { "edinburghsportsandoutdoorlearning.com", true },
  { "edincmovie.com", true },
  { "edisa.xyz", true },
  { "ediscomp.sk", true },
  { "edisongroup.ru", true },
  { "edisonlee55.com", true },
  { "edisonluiz.com", true },
  { "edisonnissanparts.com", true },
  { "edisonprint.ru", true },
  { "edisontent.ru", true },
  { "edit.co.uk", true },
  { "edit.yahoo.com", false },
  { "edited.de", true },
  { "edition-bambou.com", false },
  { "edition-sonblom.de", true },
  { "editionsnoiretrouge.com", true },
  { "editorakanope.com.br", true },
  { "edlinger.at", true },
  { "edlinger.mobi", true },
  { "edlinus.cn", true },
  { "edmm.jp", true },
  { "edmodo.com", true },
  { "edmoncu.com", true },
  { "edmundcelis.com", true },
  { "edp-collaborative.com", true },
  { "edplan.io", true },
  { "edragneainpuscarie.ro", true },
  { "edrosd.cf", true },
  { "edsby.com", true },
  { "edservicing.com", true },
  { "edshogg.co.uk", true },
  { "edsm.net", true },
  { "edstem.org", true },
  { "edstep.com", true },
  { "edtech-hub.com", true },
  { "edtech.ee", true },
  { "edtechwebb.com", true },
  { "edu-kingdom.com", true },
  { "edu6.cloud", true },
  { "eduart.tk", true },
  { "edubase.net", true },
  { "educa2.es", true },
  { "educacionvirtual.com.ar", true },
  { "educaestado.com", true },
  { "educatek.es", true },
  { "educateyourskin.com", true },
  { "educationevolving.org", true },
  { "educationfutures.com", true },
  { "educationmalaysia.co.uk", true },
  { "educative.io", true },
  { "educativetech.com", true },
  { "eductf.org", true },
  { "edugundavetiyesi.com", true },
  { "eduid.se", false },
  { "edukador.com", true },
  { "edumaster.pro", true },
  { "edunet.gq", true },
  { "eduroam.no", true },
  { "eduroam.uy", true },
  { "edusanjal.com", true },
  { "edusercontent.com", true },
  { "eduvpn.no", true },
  { "edv-kohls.de", true },
  { "edv-lehrgang.de", true },
  { "edv-ringhofer.de", true },
  { "edv-schmittner.de", true },
  { "edvgarbe.de", true },
  { "edvmesstec.de", true },
  { "edwardsgrounds.co.uk", true },
  { "edwardsnowden.com", true },
  { "edwardspeyer.com", true },
  { "edwellbrook.com", true },
  { "edwinmattiacci.com", true },
  { "edwinyrkuniversity.de", true },
  { "edxg.de", false },
  { "edxn.de", true },
  { "edyhenry.tk", true },
  { "edyou.eu", true },
  { "edyou.org", true },
  { "edzilla.info", true },
  { "ee00228.com", false },
  { "ee362.com", true },
  { "ee367.com", true },
  { "ee371.com", true },
  { "ee372.com", true },
  { "ee373.com", true },
  { "ee396.com", true },
  { "ee397.com", true },
  { "ee575.com", true },
  { "ee735.com", true },
  { "ee736.com", true },
  { "ee951.com", true },
  { "ee973.com", true },
  { "eebt.hu", true },
  { "eeeeeeeeee.de", true },
  { "eelcapone.nl", true },
  { "eellak.gr", true },
  { "eelsden.net", true },
  { "eelzak.nl", true },
  { "eemcevn.com", true },
  { "eentertain.com.my", true },
  { "eentweevijf.be", true },
  { "eenvren.com", true },
  { "eenvxing.com", true },
  { "eer.io", true },
  { "eerstejaarsweekend.nl", true },
  { "eery.de", true },
  { "eesti.xyz", true },
  { "eet.nu", true },
  { "eewna.org", true },
  { "ef-georgia.org", true },
  { "ef.gy", true },
  { "efaas.nl", true },
  { "efag.com", true },
  { "efcross.com", true },
  { "eff.org", true },
  { "effdocs.com", true },
  { "effe.ch", false },
  { "effective-altruist.com", true },
  { "effectivecoffee.com", true },
  { "effectivepapers.com", true },
  { "effex.ru", true },
  { "effinfun.com", true },
  { "efflam.net", true },
  { "effortlesshr.com", true },
  { "eficsolar.com", true },
  { "efinity.io", true },
  { "efipsactiva.com", true },
  { "eflorashop.be", true },
  { "eflorashop.ch", true },
  { "eflorashop.co.uk", true },
  { "eflorashop.com", true },
  { "eflorashop.de", true },
  { "eflorashop.es", true },
  { "eflorashop.fr", true },
  { "eflorashop.it", true },
  { "eflorashop.mx", true },
  { "eflorashop.net", true },
  { "eflorashop.us", true },
  { "efmcredentialing.org", true },
  { "efoood.org", true },
  { "eft.boutique", true },
  { "egablo.black", true },
  { "egarden.it", true },
  { "egb.at", false },
  { "egbc.ca", true },
  { "egeozcan.com", true },
  { "eges.eu", true },
  { "egg-ortho.ch", true },
  { "eggblast.com", true },
  { "eggendorfer.at", true },
  { "eggendorfer.be", true },
  { "eggendorfer.biz", true },
  { "eggendorfer.ch", true },
  { "eggendorfer.co.uk", true },
  { "eggendorfer.de", true },
  { "eggendorfer.info", true },
  { "eggendorfer.it", true },
  { "eggendorfer.li", true },
  { "eggendorfer.name", true },
  { "eggendorfer.net", true },
  { "eggendorfer.online", true },
  { "eggendorfer.org", true },
  { "eggendorfer.pro", true },
  { "eggendorfer.rocks", true },
  { "eggendorfer.tv", true },
  { "eggendorfer.uk", true },
  { "eggendorfer.us", true },
  { "eggendorfer.wine", true },
  { "eggert.org", false },
  { "egglestonyouthcenter.org", true },
  { "egiftcards.be", true },
  { "egles.eu", true },
  { "eglisedenantes.fr", true },
  { "ego4u.com", true },
  { "ego4u.de", true },
  { "egold-keeper.com", true },
  { "egomaniaque.tk", true },
  { "egonix.de", true },
  { "egov4.ch", true },
  { "egovernment-podcast.com", true },
  { "egres.xyz", true },
  { "egrojsoft.info", true },
  { "egrp365.ru", true },
  { "egsl.pro", true },
  { "egw-ceramica.de", true },
  { "egweb.tv", true },
  { "ehaccp.it", true },
  { "ehazi.hu", true },
  { "ehbsecuritydavy.be", true },
  { "ehbssl.com", true },
  { "ehcommerce.com", true },
  { "ehcommerce.org", true },
  { "ehealth.gov.au", true },
  { "eheliche-disziplin.schule", true },
  { "ehipaa.com", true },
  { "ehlacademy.org", true },
  { "ehmsen.nu", true },
  { "ehmtheblueline.com", true },
  { "ehne.de", true },
  { "ehomusicgear.com", true },
  { "ehorizon.jp", true },
  { "ehrenburg.info", true },
  { "ehub.cz", true },
  { "ehub.hu", true },
  { "ehub.pl", true },
  { "ehub.sk", true },
  { "ei-bo.org", true },
  { "eichel.eu", true },
  { "eichinger-stelzl.de", true },
  { "eichler.work", true },
  { "eickemeyer.nl", true },
  { "eickhof.co", true },
  { "eickhof.us", true },
  { "eickhofcolumbaria.com", true },
  { "eidelpes.info", true },
  { "eigenpul.se", true },
  { "eigenpulse.com", true },
  { "eighty-aid.com", true },
  { "eightysoft.de", true },
  { "eigpropertyauctions.co.uk", true },
  { "eihaikyo.com", true },
  { "eikentafels.nl", true },
  { "eikerposten.no", true },
  { "eikounoayumi.jp", true },
  { "eilhan.com", true },
  { "eimacs.com", true },
  { "eimmigration.com", true },
  { "eine-andere-welt.org", true },
  { "einfachbahn.de", true },
  { "einheft.info", true },
  { "einheizpreis.de", true },
  { "einkaufi.de", true },
  { "einrichtwerk.de", true },
  { "einrichtwerk.shop", true },
  { "einsatzstellenverwaltung.de", true },
  { "einser.com", true },
  { "einsteinathome.org", true },
  { "einsurancetraining.com", true },
  { "eintageinzug.de", true },
  { "eintragsservice24.de", true },
  { "eion.io", true },
  { "eioperator.com", false },
  { "eirastudios.co.uk", false },
  { "eirb.fr", true },
  { "eirik.eu", true },
  { "eisaev.ru", true },
  { "eisblau.org", true },
  { "eisen-biomed.ch", true },
  { "eisenbahnfreunde-lengerich.de", true },
  { "eisenhowerlibrary.gov", true },
  { "eiskratzer-bedrucken.de", true },
  { "eiti.online", true },
  { "eiyoushi-shigoto.com", true },
  { "ej.uz", true },
  { "ejdv-anmeldung.de", true },
  { "ejelectrical-qld.com.au", true },
  { "ejkhosting.nl", true },
  { "ejkmedia.nl", true },
  { "ejkmuseum.nl", true },
  { "ejknet.nl", true },
  { "ejkwebdesign.nl", true },
  { "ek-networks.de", false },
  { "ekaigotenshoku.com", true },
  { "ekalisch.de", true },
  { "ekaplast.com.pl", true },
  { "ekati.ru", true },
  { "ekb-avia.ru", true },
  { "ekd.de", true },
  { "ekedc.com", true },
  { "ekedp.com", true },
  { "ekimaeseitai.com", true },
  { "ekimma.com", true },
  { "eklepka.com", true },
  { "eklitzke.org", true },
  { "ekogroszekpieklo.pl", true },
  { "ekokontakt.cz", true },
  { "ekonbenefits.com", true },
  { "ekostecki.de", true },
  { "ekouniejow.pl", true },
  { "ekranos.me", true },
  { "ekre.club", true },
  { "eksisozluk.com", true },
  { "ekspoint-mods.ru", true },
  { "ekvastra.in", true },
  { "ekyu.moe", true },
  { "ekz-crosstour.ch", true },
  { "ekzarta.ru", true },
  { "ekzcrosstour.ch", true },
  { "el-cell.com", true },
  { "el-hossari.com", true },
  { "el-news.de", true },
  { "elaboratefiction.com", true },
  { "eladgames.com", true },
  { "eladlak-ingatlan.com", true },
  { "eladvardi.co.il", true },
  { "elagplus.com", true },
  { "elaheze.com", false },
  { "elainerock.com", true },
  { "elainesearer.com", true },
  { "elaon.de", true },
  { "elarmariodelucia.com", true },
  { "elars.de", true },
  { "elb500ttl.nl", true },
  { "elbetech.net", true },
  { "elblogdegoyo.mx", true },
  { "elbohlyart.com", true },
  { "elburgozagalicos.com", true },
  { "elcambiador.es", true },
  { "elcin.tk", true },
  { "eldapoint.co.uk", true },
  { "eldercare.gov", true },
  { "elderjustice.gov", true },
  { "eldertons.co.uk", true },
  { "eldevo.com", true },
  { "eldoradocylinders.com", true },
  { "eldrid.ge", true },
  { "eldritchfiction.net", true },
  { "electerious.com", true },
  { "electionsbycounty.com", true },
  { "electionsdatabase.com", true },
  { "electr0sheep.com", true },
  { "electragirl.com", true },
  { "electras.cf", true },
  { "electric-vault.co.uk", true },
  { "electricagoura.com", true },
  { "electricagourahills.com", true },
  { "electrical-schools.com", true },
  { "electricalagoura.com", true },
  { "electricalagourahills.com", true },
  { "electricalcalabasas.com", true },
  { "electricalcamarillo.com", true },
  { "electricalconejovalley.com", true },
  { "electricaldosvientos.com", true },
  { "electricalfencingbedfordview.co.za", true },
  { "electricalfencingedenvale.co.za", true },
  { "electricalhiddenhills.com", true },
  { "electricallakesherwood.com", true },
  { "electricalmalibu.com", true },
  { "electricalmoorpark.com", true },
  { "electricalnewburypark.com", true },
  { "electricaloakpark.com", true },
  { "electricalsimivalley.com", true },
  { "electricalthousandoaks.com", true },
  { "electricalwestlakevillage.com", true },
  { "electriccalabasas.com", true },
  { "electriccamarillo.com", true },
  { "electriccitysf.com", true },
  { "electricconejovalley.com", true },
  { "electricdosvientos.com", true },
  { "electricfencealberton.co.za", true },
  { "electricfencebenoni.co.za", true },
  { "electricfenceboksburg.co.za", true },
  { "electricfencemidrand.co.za", true },
  { "electricfenceroodepoort.co.za", true },
  { "electricfencesandton.co.za", true },
  { "electricfencingballito.co.za", true },
  { "electricfencinggillitts.co.za", true },
  { "electricfencinghillcrest.co.za", true },
  { "electricfencingkloof.co.za", true },
  { "electricfencingpinetown.co.za", true },
  { "electricgatemotorgermiston.co.za", true },
  { "electricgatemotorglenvista.co.za", true },
  { "electricgatemotorrandburg.co.za", true },
  { "electricgatemotorsalberton.co.za", true },
  { "electricgatemotorsballito.co.za", true },
  { "electricgatemotorskemptonpark.co.za", true },
  { "electricgatemotorsroodepoort.co.za", true },
  { "electricgatemotorsumhlanga.co.za", true },
  { "electrichiddenhills.com", true },
  { "electrichome.fr", false },
  { "electrician-umhlangaridge.co.za", true },
  { "electricianagoura.com", true },
  { "electricianagourahills.com", true },
  { "electriciancalabasas.com", true },
  { "electriciancamarillo.com", true },
  { "electricianconejovalley.com", true },
  { "electriciandosvientos.com", true },
  { "electricianhiddenhills.com", true },
  { "electriciankemptonpark24-7.co.za", true },
  { "electricianlakesherwood.com", true },
  { "electricianlalucia.co.za", true },
  { "electricianmalibu.com", true },
  { "electricianmoorpark.com", true },
  { "electriciannewburypark.com", true },
  { "electricianoakpark.com", true },
  { "electriciansimivalley.com", true },
  { "electricianthousandoaks.com", true },
  { "electricianwestlakevillage.com", true },
  { "electricimagination.co.uk", true },
  { "electriclakesherwood.com", true },
  { "electricmalibu.com", true },
  { "electricmoorpark.com", true },
  { "electricnewburypark.com", true },
  { "electricoakpark.com", true },
  { "electricsimivalley.com", true },
  { "electricthousandoaks.com", true },
  { "electricwestlakevillage.com", true },
  { "electro-pak.com.pk", true },
  { "electrocardiographe.net", true },
  { "electrocomplect.com.ua", true },
  { "electroforum.tk", true },
  { "electrolivefest.spb.ru", true },
  { "electromagnetism.gq", true },
  { "electronic-ignition-system.com", true },
  { "electronicafacil.net", true },
  { "electronicayseguridadmonserrate.com", true },
  { "electronicfasteners.com", false },
  { "electronicssrit.tk", true },
  { "electroniko.cf", true },
  { "electrostatics.com", true },
  { "electrotainment.com", true },
  { "electroworld.cz", true },
  { "electrum.org", true },
  { "elefantebrasil.com.br", true },
  { "elegance-sm.com", true },
  { "eleganceperfumes.com.br", true },
  { "elegantlatex.tk", true },
  { "eleicoes2014.com.br", true },
  { "eleicoes2016.com.br", true },
  { "eleicoes2018.com", true },
  { "elekharris.com", true },
  { "elektrische-zahnbuerste24.de", true },
  { "elektro-adam.de", true },
  { "elektro-diehm.de", true },
  { "elektro-doerr.com", true },
  { "elektro-hammes.net", true },
  { "elektro-hofmann-gmbh.de", true },
  { "elektro-hornetz.de", true },
  { "elektro-kahlen.de", true },
  { "elektro-koehl.de", true },
  { "elektro-liebeskind.de", true },
  { "elektro-metz.de", true },
  { "elektro-pfeiffer.de", true },
  { "elektro-praha10.cz", true },
  { "elektro-rossbach.de", true },
  { "elektro-roth.de", true },
  { "elektro-stock.de", true },
  { "elektro-woerdehoff.de", true },
  { "elektrobusch.com", true },
  { "elektrofinke.de", true },
  { "elektrokarges.de", true },
  { "elektrometz.de", true },
  { "elektronickakancelar.cz", true },
  { "elektropartner.nu", true },
  { "elektropost.org", true },
  { "elektrotango.tk", true },
  { "elektrotechnik-heisel.de", true },
  { "elektrotechnik-kaetzel.de", true },
  { "elektrownie-tanio.net", true },
  { "elemental.software", true },
  { "elementalsoftware.net", true },
  { "elementalsoftware.org", true },
  { "elementarewatson.it", true },
  { "elementarty.com", true },
  { "elementarywave.com", true },
  { "elementblend.com", true },
  { "elements.guide", true },
  { "elementshop.co.uk", true },
  { "elena-baykova.ru", true },
  { "elenapulizieroma.it", true },
  { "elenatranslations.nl", true },
  { "elenta.lt", true },
  { "elephantia.cf", true },
  { "elephants.net", true },
  { "elepover.com", true },
  { "eletesstilus.hu", true },
  { "eletminosegert.ro", true },
  { "eletor.com", true },
  { "eletor.pl", true },
  { "eletrochape.com.br", true },
  { "elettricista-roma.it", true },
  { "elettricista-roma.org", true },
  { "elettricista.roma.it", true },
  { "eleusis-zur-verschwiegenheit.de", true },
  { "elevationcreative.net", true },
  { "elevationtech.co.za", true },
  { "elevatoraptitudetest.com", true },
  { "elexprimidor.com", true },
  { "elexwong.com", true },
  { "elfe.de", true },
  { "elfnon.com", true },
  { "elforno.gr", true },
  { "elfring.eu", true },
  { "elfuerteclamor.org", true },
  { "elfussports.com", true },
  { "elgalponazo.com.ar", true },
  { "elgenero.com", true },
  { "elglobo.com.mx", false },
  { "elgosblanc.com", true },
  { "elgrecohotel.gr", true },
  { "elgringosrentals.com", true },
  { "elguadia.faith", true },
  { "elguillatun.cl", true },
  { "elhamadimi.com", true },
  { "elherraderoloscabos.com", true },
  { "elhorizontal.com", true },
  { "elhossari.com", true },
  { "elian-art.de", true },
  { "eliaskordelakos.com", true },
  { "eliasong.com", true },
  { "elibom.com", true },
  { "elicite.com", true },
  { "elie.net", true },
  { "eliezermarcano.com", true },
  { "elifesciences.org", true },
  { "eligibilis.com", true },
  { "eligible.com", true },
  { "eligibleapi.com", true },
  { "eligrey.com", true },
  { "elijahgrey.com", true },
  { "elikers.ml", true },
  { "elimer.com.ve", true },
  { "eline168.com", true },
  { "elinevanhaaften.nl", true },
  { "elinvention.ovh", true },
  { "eliott.be", true },
  { "elipsyum.com", true },
  { "elisa.ee", false },
  { "elisabeth-kostecki.de", true },
  { "elisabeth-strunz.de", true },
  { "elisabethbegle.at", true },
  { "elisabethcasanova.ch", true },
  { "elisabethkostecki.de", true },
  { "elisabethrene.com", true },
  { "elite-design.tk", true },
  { "elite-nakhodka.tk", true },
  { "elite-porno.ru", true },
  { "elite-tools.tk", true },
  { "elite12.de", true },
  { "elitebasementsohio.com", true },
  { "elitedns.info", true },
  { "elitegameservers.net", true },
  { "elitel.nl", true },
  { "elitelatinas.com", true },
  { "elitepainmanagement.com", true },
  { "elitsa.gr", true },
  { "elixi.re", true },
  { "elixir.bzh", true },
  { "elizabethbuitrago.com", true },
  { "elizabethrominski.com", true },
  { "elizeugomes.com.br", true },
  { "eljef.me", true },
  { "elkim.cz", true },
  { "elkoy.org", true },
  { "ell888.com", true },
  { "ella-kwikmed.com", false },
  { "ellak.gr", true },
  { "ellatotal.com", true },
  { "elldus.de", true },
  { "elle-weine.de", true },
  { "ellegaard.dk", true },
  { "ellemental.me", true },
  { "ellencorddry.com", true },
  { "ellevit.ch", false },
  { "ellhofen-peccioli.de", true },
  { "elliot.cat", true },
  { "elliquiy.com", true },
  { "ellisamusements.co.uk", true },
  { "ellisleisure.co.uk", true },
  { "ellsinger.me", true },
  { "elmarchive.ir", true },
  { "elmermx.ch", true },
  { "elmot24.pl", true },
  { "elmresan.ir", true },
  { "elo-forum.org", true },
  { "elobservadordiario.com", true },
  { "elodrias.de", true },
  { "elon-musk.ml", true },
  { "elonaspitze.de", true },
  { "elosuite.com", true },
  { "elpo.net", true },
  { "elpoderdelespiritu.org", true },
  { "elprint.com", true },
  { "elradix.eu", true },
  { "elranchofeliz.org", true },
  { "elriacdn.com", true },
  { "elrinconderovica.com", true },
  { "elshou.com", true },
  { "elsignificadodesonar.com", true },
  { "elskling.no", true },
  { "elstopstelten.nl", false },
  { "elsuccionador.com", true },
  { "elsvanderlugt.nl", true },
  { "eltern-verein.ch", true },
  { "elternbeiratswahl.online", true },
  { "elternforum-birmensdorf.ch", true },
  { "elternverein-utzenstorf.ch", true },
  { "eltip.click", true },
  { "eltlaw.com", true },
  { "eltonpastilha.me", true },
  { "eluhome.de", true },
  { "elvendrim.xyz", true },
  { "elviraszabo.com", true },
  { "elvispresley.net", true },
  { "elvn.tokyo", false },
  { "elwave.org", true },
  { "elwebkala.com", true },
  { "elwix.com", true },
  { "elyasweb.com", true },
  { "elycoin.io", true },
  { "elysiandigital.co", true },
  { "elysiria.fr", true },
  { "elysiumware.com", true },
  { "em-biotek.cz", true },
  { "emaging-productions.fr", true },
  { "emaging.fr", true },
  { "email.repair", true },
  { "emailconfiguration.com", true },
  { "emailhunter.co", true },
  { "emailmeform.com", true },
  { "emailprivacytester.com", true },
  { "emaily.eu", true },
  { "emalm.ml", true },
  { "emanuel.photography", true },
  { "emanuelduss.ch", true },
  { "emanueleanastasio.com", true },
  { "emanuelemazzotta.com", true },
  { "emarketingmatters.com", true },
  { "emasex.es", true },
  { "embassycargo.eu", true },
  { "embebelo.com", true },
  { "emberlife.com", true },
  { "embodiaacademy.com", true },
  { "embodiaapp.com", true },
  { "embonus.dk", true },
  { "embox.net", true },
  { "embracecontext.com", true },
  { "embraceni.org", true },
  { "embroideryexpress.co.uk", true },
  { "embsaypreschool.co.uk", true },
  { "emby.cloud", true },
  { "emby.live", true },
  { "emcspotlight.com", true },
  { "emdrupholm.dk", true },
  { "emecew.com", true },
  { "emeliefalk.se", true },
  { "emeliemai.com", true },
  { "ememsei.com", true },
  { "emeraldcityswagger.com", true },
  { "emeraldcoasturgentcare.com", true },
  { "emeraldislerealty.com", true },
  { "emergency-federal-register.gov", true },
  { "emergencycommand.us", true },
  { "emergesydney.com.au", true },
  { "emero.de", true },
  { "emersoncanada.ca", true },
  { "emex.ro", true },
  { "emi.im", true },
  { "emielraaijmakers.nl", true },
  { "emigratieplanner.com", true },
  { "emil-dein-baecker.de", true },
  { "emil-reimann.com", true },
  { "emil.click", true },
  { "emil.one", true },
  { "emiliendevos.be", true },
  { "emilio.media", true },
  { "emiliops.com", true },
  { "emils-1910.de", true },
  { "emilstahl.com", true },
  { "emilstahl.dk", true },
  { "emilvarga.com", true },
  { "emily.moe", true },
  { "emilybellydance.com.au", true },
  { "emilyjohnson.ga", true },
  { "emilypennock.com", true },
  { "emirabiz.com", false },
  { "emirefek.net", true },
  { "emirichardson.com", true },
  { "emisia.com", true },
  { "emkode.pl", true },
  { "emkrivoy.com", true },
  { "emmagarland.com", true },
  { "emmagraystore.com", true },
  { "emmaliddell.com", true },
  { "emmamillernovels.com", true },
  { "emmastree.com", true },
  { "emme3abbigliamento.it", true },
  { "emmiwelentain.com", true },
  { "emmynet.de", true },
  { "emobilityforum.org", true },
  { "emoforum.tk", true },
  { "emoji.bzh", false },
  { "emolafarm.com", true },
  { "emond-usedcars.net", false },
  { "emote.bot", true },
  { "emotebot.com", true },
  { "emotionalmente.com", true },
  { "emotive.productions", true },
  { "emoxie.com", false },
  { "empathogen.com", true },
  { "empathogens.com", true },
  { "empathy.ca", true },
  { "empatico.org", true },
  { "empatico.xyz", true },
  { "emperola.com", true },
  { "emperor-penguin.com", true },
  { "emperor-penguins.com", true },
  { "empherino.net", true },
  { "empire-univ.com", true },
  { "emploi-collectivites.fr", false },
  { "employeeexpress.gov", true },
  { "employeemanual.com.au", true },
  { "employer.gov", true },
  { "employer411.com", true },
  { "employment-applicant.com", true },
  { "emporikonathenshotel.com", true },
  { "emporiodascalcinhas.com.br", true },
  { "emporiodosperfumes.com.br", true },
  { "emporioonline.com.br", true },
  { "emporiopatanegra.com.br", true },
  { "empower.net", true },
  { "empoweraces.com", true },
  { "empowerdb.com", true },
  { "empoweren.com", false },
  { "empowersimcoe.ca", true },
  { "emprechtinger.com", true },
  { "emprego.pt", true },
  { "empregosrj.com", true },
  { "empreinte.ca", true },
  { "empresasguia.es", true },
  { "emptybox.org", true },
  { "empyrean-advisors.com", true },
  { "emrah.io", true },
  { "emreaydinfan.tk", true },
  { "emresaglam.com", true },
  { "emrullahsahin.com", true },
  { "ems.gov", true },
  { "emsa-casm.ca", true },
  { "emsliespharmacy.com.au", true },
  { "emulator.ml", true },
  { "emultiagent.pl", true },
  { "emvoice.net", true },
  { "emvoiceapp.com", true },
  { "emw3.com", true },
  { "emyr.net", true },
  { "emzi0767.com", true },
  { "en-booster.jp", true },
  { "en-crypt.me", true },
  { "en-este.link", true },
  { "en-maktoob.search.yahoo.com", false },
  { "en0.io", true },
  { "en4rab.co.uk", true },
  { "enaah.de", true },
  { "enalean.com", true },
  { "enamae.net", true },
  { "enanto.com", true },
  { "enbecom.net", true },
  { "enbulleiugnen.com", true },
  { "encanttemais.com.br", true },
  { "encfs.win", true },
  { "encircleapp.com", true },
  { "encnet.de", true },
  { "encode.host", true },
  { "encodecloud.net", true },
  { "encontra-me.org", true },
  { "encontroespiritadeinverno.com.br", true },
  { "encoro.org", true },
  { "encountercss.com", true },
  { "encouragemarketing.com", true },
  { "encredible.de", false },
  { "encredible.org", false },
  { "encretplomb.ch", false },
  { "encrypted.google.com", true },
  { "encryptmy.site", true },
  { "encryptmysite.net", true },
  { "encuentraprecios.es", true },
  { "encycarpedia.com", true },
  { "endbox.email", true },
  { "endeal.nl", true },
  { "ender.co.at", true },
  { "ender.fr", true },
  { "ender.moe", true },
  { "enderbycamping.com", true },
  { "enderle.cloud", true },
  { "endingthedocumentgame.gov", true },
  { "endlessdiy.ca", true },
  { "endlessvideo.com", true },
  { "endlesswebsite.tk", true },
  { "endoftenancycleaninglondon.co.uk", true },
  { "endoftennancycleaning.co.uk", true },
  { "endpointsystems.com", true },
  { "enduranceday.be", true },
  { "endurogp.org", true },
  { "endustriyelfirinlar.com", true },
  { "endviolence.gc.ca", true },
  { "endzeit-architekten.com", false },
  { "eneamarcantoni.com", true },
  { "eneko.com", true },
  { "enekogarrido.com", true },
  { "energie-sante.ch", false },
  { "energiekeurplus.nl", true },
  { "energija-visiems.lt", true },
  { "energy-drink-magazin.de", true },
  { "energy-healings.com", true },
  { "energy-in-balance.eu", true },
  { "energy-infra.nl", true },
  { "energy-initiative.com", true },
  { "energy-robotics.com", true },
  { "energy.gov", true },
  { "energyaupair.se", true },
  { "energybank.com.br", true },
  { "energycodes.gov", true },
  { "energydrinkblog.de", true },
  { "energyefficientservices.com", true },
  { "energyelephant.com", true },
  { "energygenie.com.au", true },
  { "energyled.com.br", true },
  { "energysolutionstech.com", true },
  { "energystar.gov", true },
  { "enersolelectrical.com.au", true },
  { "enerypa.tk", true },
  { "enet-navigator.de", true },
  { "enfantsdelarue.ch", true },
  { "enflow.nl", true },
  { "enforcement-trends-dev.azurewebsites.net", true },
  { "enforcement-trends-test.azurewebsites.net", true },
  { "enforcement-trends.azurewebsites.net", true },
  { "eng-erlangen.de", true },
  { "engagelogic.com", true },
  { "enganches.es", true },
  { "engarde.net", true },
  { "engaugetools.com", true },
  { "engelke-optik.de", false },
  { "engelsholm.dk", true },
  { "engelwerbung.com", true },
  { "engg.ca", true },
  { "engie-laadpalen.nl", true },
  { "engiedev.net", true },
  { "engima.nl", true },
  { "engineeringbigdata.com", true },
  { "enginepit.com", true },
  { "enginsight.com", true },
  { "engione.com", true },
  { "engl-server.de", true },
  { "engl-systems.de", true },
  { "englishbulgaria.net", true },
  { "englishcast.com.br", true },
  { "englishforums.com", true },
  { "englishlol.com", true },
  { "englishphonopass.com", true },
  { "englishstudio.com", true },
  { "englishtofrench.eu", true },
  { "englishtype.com", false },
  { "engvid.com", true },
  { "engweld.co.uk", true },
  { "enigma.swiss", false },
  { "enitso.de", true },
  { "enity.tk", true },
  { "enixgaming.com", true },
  { "eniziolab.com", true },
  { "enjin.io", true },
  { "enjin.zone", true },
  { "enjincoin.io", true },
  { "enjinwallet.io", true },
  { "enjinx.cn", true },
  { "enjinx.io", true },
  { "enjoy-drive.com", true },
  { "enjoymondayofficial.com", true },
  { "enjoytech.fr", true },
  { "enlight.no", true },
  { "enlightenedhr.com", true },
  { "enlilrosse.com", true },
  { "ennea-mediation.fr", true },
  { "enness.co.uk", true },
  { "ennori.jp", true },
  { "enodais.gr", true },
  { "enoisdaturma.tk", true },
  { "enorekcah.com", true },
  { "enot32.ru", true },
  { "enotecastore.it", true },
  { "enotefile.com", true },
  { "enpasenerji.com.tr", true },
  { "enquos.com", true },
  { "enrack.tk", true },
  { "enrich.email", true },
  { "enrico-caruso.it", true },
  { "enrique-monroy.tk", true },
  { "enrique.wtf", true },
  { "enriquepiraces.com", true },
  { "enrollapp.com", true },
  { "ensage.io", true },
  { "ensemble-rubato.de", true },
  { "ensembling.com", true },
  { "ensley.tech", true },
  { "ensons.de", true },
  { "ensured.com", true },
  { "ensured.nl", true },
  { "ensurtec.com", true },
  { "ent-london.com", true },
  { "entabe.jp", true },
  { "entactogen.com", true },
  { "entactogens.com", true },
  { "enter.eco", true },
  { "entercenter.ru", true },
  { "entersoftsecurity.com", true },
  { "entertainmentblog.tk", true },
  { "entertainmentformitzvahs.com", true },
  { "enthasso.gr", true },
  { "entheogens.com", true },
  { "enthusiaformazione.com", true },
  { "entorangecounty.com", true },
  { "entradaweb.cl", true },
  { "entrainr.com", true },
  { "entrecieletpierres.com", false },
  { "entrezdansladanse.fr", true },
  { "entropia.de", false },
  { "entropy.su", true },
  { "entrup.io", true },
  { "entryboss.cc", true },
  { "entrypoint.sh", true },
  { "entwickler.land", true },
  { "enuchi.jp", true },
  { "enuygun.com", true },
  { "envant.co.uk", true },
  { "envescent.com", true },
  { "enviaya.com.mx", true },
  { "envide.no", true },
  { "enviro-umweltservice.de", true },
  { "enviroli.co.uk", true },
  { "enviroli.com", true },
  { "enviroli.org.uk", true },
  { "enviroli.uk", true },
  { "environmental-colleges.com", true },
  { "enviroprobasements.com", true },
  { "envman.io", true },
  { "envoie.moi", true },
  { "envoker.nl", true },
  { "envoyez.moi", true },
  { "envoypresents.com", true },
  { "envygeeks.io", true },
  { "enwikipedia.tk", true },
  { "enxadahost.com", true },
  { "enzoic.com", true },
  { "eocservices.co.uk", true },
  { "eoitek.com", true },
  { "eola.co", true },
  { "eon.tech", true },
  { "eonhive.com", true },
  { "eons.io", true },
  { "eonwavesstudio.com", true },
  { "eooe.me", true },
  { "eoonglobalresources.jp", true },
  { "eopugetsound.org", false },
  { "eos-utvalget.no", true },
  { "eosol.de", true },
  { "eosol.net", true },
  { "eosolutions.co", true },
  { "eoy.cz", true },
  { "ep-cortex.com", true },
  { "ep-plus.jp", true },
  { "epa.com.es", true },
  { "epagos.com.ar", true },
  { "epal.pt", true },
  { "epassafe.com", true },
  { "epawnatl.com", true },
  { "epay.bg", true },
  { "epcreport.net", true },
  { "epdeveloperchallenge.com", true },
  { "eperniagaan.com", true },
  { "ephesusbreeze.com", true },
  { "epi-lichtblick.de", true },
  { "epi.one", false },
  { "epic-vistas.com", true },
  { "epic-vistas.de", true },
  { "epicbouncycastles.co.uk", true },
  { "epiccdn.net", true },
  { "epicdowney.com", true },
  { "epicentar.mk", true },
  { "epicenter.ga", true },
  { "epicenter.work", true },
  { "epicenter.works", true },
  { "epicentre.works", true },
  { "epicfail.be", true },
  { "epichouse.net", false },
  { "epicinflatables.co.uk", true },
  { "epickitty.co.uk", true },
  { "epiclub.com.au", true },
  { "epicsoft.de", true },
  { "epicvistas.com", true },
  { "epicvistas.de", true },
  { "epicwalnutcreek.com", true },
  { "epidastudio.com", true },
  { "epidauros.be", true },
  { "epigrafes-led-farmakeia.gr", true },
  { "epikomagazine.com", false },
  { "epilepsiyle.com", true },
  { "epilis.gr", true },
  { "epinesdeparadis.com", true },
  { "epiphanyofourlordchurch.com", true },
  { "epiphyte.network", true },
  { "episkevh-plaketas.gr", true },
  { "epistas.com", true },
  { "epistas.de", true },
  { "epiteugma.com", true },
  { "epitome.cc", true },
  { "epitome.games", true },
  { "epizentrum.work", true },
  { "epizentrum.works", true },
  { "epmcentroitalia.it", true },
  { "epoker6.com", true },
  { "epolitiker.com", true },
  { "epos-distributor.co.uk", true },
  { "epos.az", true },
  { "eposbirmingham.co.uk", true },
  { "eposbrighton.co.uk", true },
  { "eposbristol.co.uk", true },
  { "eposcardiff.co.uk", true },
  { "eposig.net", true },
  { "eposkent.co.uk", true },
  { "eposleeds.co.uk", true },
  { "eposleicester.co.uk", true },
  { "eposliverpool.co.uk", true },
  { "eposlondon.co.uk", true },
  { "epossheffield.co.uk", true },
  { "eposswansea.co.uk", true },
  { "epost.pub", true },
  { "epostplus.li", true },
  { "eposyork.co.uk", true },
  { "eppelblei.lu", true },
  { "eppelduerferjugend.lu", true },
  { "eppelpress.lu", true },
  { "eppione.com", true },
  { "epreskripce.cz", true },
  { "eprezto.com", true },
  { "eprojectfreetv.com", true },
  { "epsi.io", true },
  { "epsmil.it", true },
  { "epspolymer.com", true },
  { "epublibre.org", true },
  { "epvin.com", true },
  { "epyonsuniverse.net", true },
  { "eq-serve.com", true },
  { "eqassociates.com", true },
  { "eqibank.com", true },
  { "eqiware.com", true },
  { "equabanking.cz", true },
  { "equalcloud.com", true },
  { "equidam.com", true },
  { "equifaxobjection.com", true },
  { "equinecoaching.ca", true },
  { "equinetherapy.ca", true },
  { "equinox.io", true },
  { "equip-test.com", true },
  { "equipandoloja.net.br", true },
  { "equipedefrance.tv", false },
  { "equipoweb.info", true },
  { "equippers.de", true },
  { "equisecu.com", true },
  { "equk.co.uk", true },
  { "er-mgmt.com", true },
  { "er.tl", true },
  { "er1s.xyz", true },
  { "era.fi", true },
  { "eradigital.net", true },
  { "eradoom.net", true },
  { "erasmo.info", true },
  { "erasmusplusrooms.com", true },
  { "erasure.tk", true },
  { "erate.fi", true },
  { "erath.fr", false },
  { "erdethamburgeronsdag.no", true },
  { "erektion1.gq", true },
  { "erethon.com", true },
  { "erf-neuilly.com", true },
  { "erfolgsmaschine.ch", true },
  { "ergaomnes.cz", true },
  { "ergo-open.de", true },
  { "ergobyte.eu", true },
  { "ergobyte.gr", true },
  { "ergodark.com", true },
  { "ergonova.fr", true },
  { "ergovita.com.br", true },
  { "ergowish.com", true },
  { "ericabrahamsen.net", true },
  { "ericairwin.com", true },
  { "ericdiao.com", true },
  { "erichoekstra.com", true },
  { "erichoekstra.nl", true },
  { "erichogue.ca", true },
  { "erichorstmanshof.nl", true },
  { "erick.blog", true },
  { "ericksonvasquez.com", true },
  { "ericleuthardt.com", true },
  { "ericoc.com", true },
  { "erics.site", true },
  { "ericsilva.org", true },
  { "ericspeidel.de", true },
  { "erictgilmour.ca", true },
  { "ericvaughn-flam.com", true },
  { "eridanus.uk", true },
  { "eridas.ml", true },
  { "erigrid.eu", true },
  { "eriix.org", true },
  { "erik-stomp.de", true },
  { "erikapsicologia.com", true },
  { "erikatanithphotography.co.uk", true },
  { "erikheemskerk.nl", true },
  { "erikhubers.nl", true },
  { "erikkruithof.nl", true },
  { "eriksen.im", true },
  { "erikseth.de", true },
  { "erikw.me", true },
  { "erikwalther.eu", true },
  { "erinaceinae.com", true },
  { "eringmaguire.com", true },
  { "erinn.io", true },
  { "erisrenee.com", true },
  { "eristajanmutka.com", true },
  { "erisys.net", true },
  { "erkaelderbarenaaben.dk", true },
  { "erkenntniswen.de", true },
  { "erkiss.live", true },
  { "erlebnisarchaeologie-bayern.de", true },
  { "ernal.net", true },
  { "ernearmetx.com", true },
  { "ernest.ly", true },
  { "ernsteisprung.ch", true },
  { "ero-video.net", true },
  { "ero.ink", false },
  { "erodvd.com", false },
  { "eromon.net", true },
  { "eron.info", true },
  { "eropics.org", true },
  { "eroticlist.com", true },
  { "erp-band.ru", true },
  { "erp.band", true },
  { "erpax.com", true },
  { "erpband.ru", true },
  { "erpcargo.com", false },
  { "erpelstolz.at", true },
  { "erperium.nl", true },
  { "erpiv.com", true },
  { "errietta.me", true },
  { "errolstambler.com", true },
  { "error.fail", true },
  { "error418.nl", true },
  { "errortools.com", true },
  { "ers35.com", true },
  { "ersa-shop.com", true },
  { "ershiwo.com", true },
  { "ersinbiltekin.tk", true },
  { "ersinerce.com", true },
  { "erstehilfeprodukte.at", true },
  { "ert.ovh", true },
  { "erty.stream", true },
  { "eru.im", false },
  { "eru.moe", true },
  { "erudicia.com", true },
  { "erudicia.de", true },
  { "erudicia.es", true },
  { "erudicia.fr", true },
  { "erudicia.it", true },
  { "erudicia.nl", true },
  { "erudicia.se", true },
  { "erudicia.uk", true },
  { "erudikum.cz", true },
  { "eruga.es", true },
  { "ervaarjapan.nl", true },
  { "ervinthagod.xyz", true },
  { "erwanlepape.com", true },
  { "erwin.saarland", true },
  { "erwinpaal.nl", true },
  { "erwinschmaeh.ch", true },
  { "erwinwensveen.nl", true },
  { "erythroxylum-coca.com", true },
  { "es-geenen.de", true },
  { "es-tools.at", true },
  { "es-tools.com", true },
  { "es-tools.de", true },
  { "es-trade.biz", true },
  { "es.search.yahoo.com", false },
  { "es888.net", true },
  { "es9999.net", true },
  { "esagente.com", true },
  { "esailinggear.com", true },
  { "esalesclub.com", true },
  { "esalesdata.com", true },
  { "esamievalori.com", true },
  { "esample.info", true },
  { "esb-in.net", true },
  { "esb-top.com", true },
  { "esb-top.net", true },
  { "esb168168.com", true },
  { "esb168168.info", true },
  { "esb168168.net", true },
  { "esb168168.org", true },
  { "esb1688.biz", true },
  { "esb1688.com", true },
  { "esb1688.info", true },
  { "esb1688.net", true },
  { "esb1688.org", true },
  { "esb1711.com", true },
  { "esb1711.net", true },
  { "esb1788.com", true },
  { "esb1788.net", true },
  { "esb1788.org", true },
  { "esb2013.com", true },
  { "esb2013.net", true },
  { "esb2099.com", true },
  { "esb2099.net", true },
  { "esb258.net", true },
  { "esb325.com", true },
  { "esb325.net", true },
  { "esb333.net", true },
  { "esb336.com", true },
  { "esb433.com", true },
  { "esb518.com", true },
  { "esb553.com", true },
  { "esb555.biz", true },
  { "esb555.cc", true },
  { "esb5889.com", true },
  { "esb6.net", true },
  { "esb677.net", true },
  { "esb777.biz", true },
  { "esb777.org", true },
  { "esb886.com", true },
  { "esb888.net", true },
  { "esb9527.com", true },
  { "esb9588.com", true },
  { "esb9588.info", true },
  { "esb9588.net", true },
  { "esb9588.org", true },
  { "esb999.org", true },
  { "esba11.com", true },
  { "esball-in.com", true },
  { "esball-in.net", true },
  { "esball.bz", true },
  { "esball.cc", true },
  { "esball.mx", true },
  { "esball.online", true },
  { "esball.org", true },
  { "esball.win", true },
  { "esball.ws", true },
  { "esball518.com", true },
  { "esball518.info", true },
  { "esball518.net", true },
  { "esball518.org", true },
  { "esballs.com", true },
  { "esbbon.com", true },
  { "esbbon.net", true },
  { "esbfun.com", true },
  { "esbfun.net", true },
  { "esbgood.com", true },
  { "esbin.net", true },
  { "esbjon.com", true },
  { "esbjon.net", true },
  { "esbm4.net", true },
  { "esbm5.net", true },
  { "esc.chat", true },
  { "esc.gov", true },
  { "escael.org", true },
  { "escalesensorielle.com", true },
  { "escandille.com", false },
  { "escapeforyou.com", true },
  { "escapeplaza.de", true },
  { "escaperoomdoctor.com", true },
  { "escaperoompsl.com", true },
  { "escaperoomsolutions.com", true },
  { "escapetalk.nl", true },
  { "escavador.com", true },
  { "esclear.de", true },
  { "escobarservice7000.com", true },
  { "escontact.ch", false },
  { "escortbee.com", true },
  { "escortbruxelles.be", true },
  { "escortgigolo.com", true },
  { "escortlareryaman.com", true },
  { "escortlistings.ca", true },
  { "escortlistings.ph", true },
  { "escortsforu.com", true },
  { "escortslittleblackbook.com", true },
  { "escovator-records.tk", true },
  { "escritoriodearte.com", false },
  { "escuelabiblica.com", true },
  { "escyr.top", true },
  { "esdacademy.eu", false },
  { "esdenera.com", true },
  { "esdiscuss.org", true },
  { "eseances.ch", true },
  { "esehospitalsabanagrande.com", true },
  { "eservices-greece.com", true },
  { "eseth.de", true },
  { "esfiledecrypter.com", true },
  { "esg-abi2001.de", true },
  { "esgen.org", true },
  { "esgr.in", true },
  { "esher.ac.uk", true },
  { "eshigami.com", true },
  { "eshop-prices.com", true },
  { "eshspotatoes.com", true },
  { "esigmbh.de", true },
  { "esigtorg.ru", true },
  { "esim.cz", true },
  { "esite.ch", true },
  { "eskapi.fr", true },
  { "eskdale.net", true },
  { "eskriett.com", false },
  { "eslint.org", false },
  { "esmart.ru", true },
  { "esmejor.tk", true },
  { "esmoney.cc", true },
  { "esmoney.me", true },
  { "esoa.net", true },
  { "esoko.eu", true },
  { "esolcourses.com", true },
  { "esolitos.com", true },
  { "eson.eu", true },
  { "esono.de", true },
  { "esoteric.website", true },
  { "esoterikerforum.de", true },
  { "esovita.de", true },
  { "espace-caen.fr", false },
  { "espace-habitat-francais.fr", true },
  { "espace.network", true },
  { "espacelanguetokyo.fr", true },
  { "espacetemps.ch", true },
  { "espacetheosophie.fr", true },
  { "espacio-cultural.com", true },
  { "espaciosdelalma.com", true },
  { "espanol.search.yahoo.com", false },
  { "espci.fr", true },
  { "especialistagoogleadwords.com.br", true },
  { "especificosba.com.ar", true },
  { "espehus.dk", true },
  { "esperantio.tk", true },
  { "espgg.org", true },
  { "espherapromocional.com.br", true },
  { "espigol.org", true },
  { "espiragen.com", true },
  { "espiritugay.com", true },
  { "espirituracer.com", true },
  { "esport-agency.fr", true },
  { "espritrait.com", false },
  { "espyder.net", true },
  { "esquirou-trieves.fr", false },
  { "esrhd.com", true },
  { "esrinfo.com", true },
  { "esroradio.com", true },
  { "essay-writing-topics-fce.tk", true },
  { "essayace.co.uk", true },
  { "essaybrand.com", true },
  { "essaychecker.com", true },
  { "essaydirectory.com", false },
  { "essayforsale.net", true },
  { "essayforum.com", false },
  { "essayhave.com", true },
  { "essayjob.com", true },
  { "essaylib.com", true },
  { "essaymaker.gq", true },
  { "essaynews.com", true },
  { "essaypro.net", true },
  { "essays.me", true },
  { "essayscam.org", false },
  { "essayshark.com", true },
  { "essaytalk.com", true },
  { "essaywriting.biz", true },
  { "essenalablog.de", true },
  { "essencespresso.es", true },
  { "essenerbaeder.de", true },
  { "essentta.com", true },
  { "essex.cc", true },
  { "essextimbercraft.co.uk", true },
  { "essite.net", true },
  { "esslm.sk", true },
  { "essoduke.org", true },
  { "essteebee.ch", false },
  { "est-it.de", true },
  { "est-keyman.de", true },
  { "estada.ch", true },
  { "estadoreclamos.com", true },
  { "estafallando.es", true },
  { "estafallando.mx", true },
  { "estahl.dk", true },
  { "estaleiro.org", true },
  { "estalinas.com", true },
  { "estallidodigital.cl", true },
  { "estaryshop.com.br", true },
  { "estcequejailaflemme.fr", false },
  { "estcequonmetenprodaujourdhui.info", true },
  { "esteam.se", true },
  { "estedafah.com", true },
  { "estefan.dyndns.org", true },
  { "estela-artes.com", true },
  { "esteladigital.com", true },
  { "esteriliza-me.org", true },
  { "esterilizacion-perros.es", true },
  { "esteticanorte.com.br", true },
  { "estetici.com", true },
  { "estetista.net", true },
  { "esthe-zukan.com", true },
  { "estherlew.is", true },
  { "estilopack-loja.com.br", true },
  { "estimulantesbrasil.com", true },
  { "estintori.roma.it", true },
  { "estoic.net", true },
  { "estonoentraenelexamen.com", true },
  { "estoppels.com", true },
  { "estudiaenrusia.com", true },
  { "estudiarparaser.com", true },
  { "estudiaryaprenderingles.com", true },
  { "estudioaguiar.com.br", true },
  { "estufitas.com", true },
  { "esuretynew.azurewebsites.net", true },
  { "esyoil.com", true },
  { "et-inf.de", true },
  { "eta.cz", true },
  { "etaes.eu", true },
  { "etajerka-spb.ru", true },
  { "etajerka.spb.ru", true },
  { "etalktome.com", true },
  { "etaoinwu.com", true },
  { "etaoinwu.win", true },
  { "etasigmaphi.org", true },
  { "etath.com", true },
  { "etax.com.au", true },
  { "etaxigraz.com", true },
  { "etaxintuit.com", true },
  { "etccooperative.org", true },
  { "etch.co", true },
  { "etda.or.th", true },
  { "etduvindemoselle.fr", true },
  { "etech-solution.com", true },
  { "etech-solution.net", true },
  { "etech-solutions.com", true },
  { "etechsolution.net", true },
  { "eteesheet.com", true },
  { "eternal-warriors.de", true },
  { "eternalabyss.int.eu.org", true },
  { "eternalparking.com", true },
  { "eternalparking.eu", true },
  { "eternalparking.net", true },
  { "eternalparking.org", true },
  { "eternalsymbols.com", true },
  { "eternit.roma.it", true },
  { "eth0.nl", true },
  { "eth1.fi", true },
  { "etha.nz", true },
  { "ethack.org", true },
  { "ethanchin.com", false },
  { "ethanjones.me", true },
  { "ethanlew.is", true },
  { "ethelbrooks.com", true },
  { "ethelbrooks.es", true },
  { "ethercalc.org", true },
  { "etherpad.nl", true },
  { "ethers.news", true },
  { "ethicalconsumer.org", true },
  { "ethicaldata.co.uk", true },
  { "ethicalescorts.com", true },
  { "ethicallogistics.com", true },
  { "ethicalpolitics.org", true },
  { "ethicsburg.gov", true },
  { "ethika.com", true },
  { "ethil-faer.fr", true },
  { "ethiopian.dating", true },
  { "ethitter.com", true },
  { "etienne.cc", true },
  { "etiennes.work", true },
  { "etiquetaunica.com.br", true },
  { "etkarle.de", true },
  { "etna.com.br", true },
  { "etnis.id", true },
  { "etnoria.com", true },
  { "etoile-usedcars.com", false },
  { "etre-soi.ch", false },
  { "etre-vivant.fr", false },
  { "etrecosmeticderm.com", true },
  { "etresmant.es", true },
  { "etrker.com", true },
  { "ets2mp.de", true },
  { "etskinner.com", true },
  { "etskinner.net", true },
  { "etudesbibliques.fr", false },
  { "etudesbibliques.net", false },
  { "etudesbibliques.org", false },
  { "eturist.si", true },
  { "etutsplus.com", true },
  { "etv.cx", true },
  { "etwalldentalpractice.co.uk", true },
  { "etyd.org", true },
  { "eu-darlehen-finanzierung.de", true },
  { "eu-datenbank.de", true },
  { "eu-gamers.com", true },
  { "eu-stellenangebot.de", true },
  { "euaggelion.blog.br", true },
  { "euanbarrett.com", true },
  { "euc.world", true },
  { "euchre.us", true },
  { "eugenekay.com", true },
  { "eugenetech.org", true },
  { "eugeniocorso.com", true },
  { "eujuicers.bg", true },
  { "eujuicers.com", true },
  { "eujuicers.com.hr", true },
  { "eujuicers.com.ua", true },
  { "eujuicers.cz", true },
  { "eujuicers.de", true },
  { "eujuicers.es", true },
  { "eujuicers.fr", true },
  { "eujuicers.hu", true },
  { "eujuicers.it", true },
  { "eujuicers.pl", true },
  { "eujuicers.pt", true },
  { "eujuicers.ro", true },
  { "eujuicers.rs", true },
  { "eujuicers.ru", true },
  { "eujuicers.si", true },
  { "eujuicers.sk", true },
  { "eulenschmiede.de", true },
  { "eulessplumbers.com", true },
  { "euman.ml", true },
  { "eumananc.ro", true },
  { "eumr.org", true },
  { "euporos.ch", true },
  { "eureka.archi", true },
  { "eurmarketing.com", true },
  { "euro-construction.co.uk", true },
  { "euroalter.com", true },
  { "eurocars2000.es", true },
  { "eurocenterobuda.hu", true },
  { "eurocertificazione.it", true },
  { "eurocomcompany.cz", true },
  { "eurocons.ro", true },
  { "euroconthr.ro", true },
  { "eurodentaire.com", true },
  { "euroexpres.info", true },
  { "euroflora.com", true },
  { "euroflora.mobi", true },
  { "eurofrank.eu", true },
  { "eurogarden-parts.de", true },
  { "eurogarden.be", true },
  { "eurogarden.nl", true },
  { "euroherp.com", true },
  { "eurolocarno.es", true },
  { "euronic.fi", true },
  { "europa.jobs", true },
  { "europainchemnitz.de", true },
  { "europalettenkaufen.de", true },
  { "europareise2010.de", true },
  { "europarts-sd.com", true },
  { "europastudien-chemnitz.de", true },
  { "european-agency.org", true },
  { "european-hospital.ga", true },
  { "european-hospital.ml", true },
  { "european-hospital.tk", true },
  { "europeancupinline.eu", true },
  { "europeanstudies-chemnitz.de", true },
  { "europeantimberconnectors.ca", true },
  { "europeantransportmanagement.com", true },
  { "europeanwineresource.com", true },
  { "europeos.es", true },
  { "europetravelservice.co.uk", true },
  { "europop.com", true },
  { "eurora.de", true },
  { "eurorecambios24.com", true },
  { "euroroad17.dk", true },
  { "euroscot.de", true },
  { "euroshop.or.at", true },
  { "euroshop.tk", true },
  { "euroskano.nl", true },
  { "eurotop.net.pl", true },
  { "eurotramp.com", true },
  { "eurousa.us", true },
  { "eurovision.ie", true },
  { "eurowaage.de", true },
  { "eurseo.com", true },
  { "eusarse.tk", true },
  { "eusolar.cloud", true },
  { "euterpiaradio.ch", true },
  { "eutiximo.com", true },
  { "eutotal.com", true },
  { "euwid-energie.de", true },
  { "euwid.de", true },
  { "ev-menden.de", true },
  { "ev-zertifikate.de", true },
  { "eva-briegel-fanpage.tk", true },
  { "eva-select.com", true },
  { "eva.cz", true },
  { "eva42.com", true },
  { "evaalordiah.tk", true },
  { "evadental.institute", true },
  { "evafojtova.cz", true },
  { "evailoil.ee", true },
  { "evailoil.eu", true },
  { "evalesc.com", true },
  { "evamachkova.cz", true },
  { "evamathil.de", true },
  { "evamira.com", true },
  { "evanfiddes.com", true },
  { "evangelicalmagazine.com", true },
  { "evangelosm.com", true },
  { "evansdesignstudio.com", false },
  { "evanwang0.com", true },
  { "evapp.org", true },
  { "evaria-network.fr", true },
  { "evasioncreole.com", true },
  { "evasovova.cz", true },
  { "evavolfova.cz", true },
  { "evdenevenakliyatankara.name.tr", true },
  { "eve-online-com.ru", true },
  { "eve-raynon.fr", true },
  { "eve-ua.com", true },
  { "eveadmin.azurewebsites.net", false },
  { "eveil-et-savoirs.com", true },
  { "evelienzorgt.nl", true },
  { "evelyndayman.com", true },
  { "evenementenhoekvanholland.nl", true },
  { "event-blick.de", true },
  { "event-fullyyours.com", true },
  { "event4fun.no", true },
  { "eventaro.com", true },
  { "eventblog2017.tk", true },
  { "eventerlebnis.ch", true },
  { "eventide.space", true },
  { "eventim-business.com", true },
  { "eventim-business.de", true },
  { "eventive.org", true },
  { "eventnexus.co.uk", true },
  { "eventosbgp.com", true },
  { "eventosenmendoza.com.ar", true },
  { "eventosformativos.tk", true },
  { "eventprazdnik.ru", true },
  { "events-hire.co.uk", true },
  { "eventservicestockholm.se", true },
  { "eventsframe.com", true },
  { "eventtech.com", false },
  { "evenwallet.com", true },
  { "eveonline.com", true },
  { "ever.sale", true },
  { "everain.me", true },
  { "everberg.tk", true },
  { "everettsautorepair.com", true },
  { "everfine.com.tw", true },
  { "evergarden.cn", true },
  { "evergladesrestoration.gov", true },
  { "everglow.co.jp", true },
  { "everglowtrading.com", true },
  { "evergreenmichigan.com", true },
  { "everhome.de", true },
  { "everify.gov", true },
  { "everitoken.io", true },
  { "everling.lu", true },
  { "everlong.org", true },
  { "evermarkstudios.com", true },
  { "evernaut.com", true },
  { "everpcpc.com", true },
  { "evertonarentwe.com", true },
  { "everwaking.com", false },
  { "every-day-life.com", false },
  { "everyday.eu.org", true },
  { "everydaylatestnews.com", true },
  { "everydayrituals.ca", true },
  { "everydaytherich.com", true },
  { "everyfad.com", true },
  { "everykidoutdoors.gov", false },
  { "everything-everywhere.com", true },
  { "everythingaccess.com", true },
  { "everythingstech.com", true },
  { "everytrycounts.gov", false },
  { "eveshamglass.co.uk", true },
  { "eveswell.com", true },
  { "evexia.xyz", true },
  { "eviction.cf", true },
  { "evidence-based.review", true },
  { "evidencebased.net", true },
  { "evidenceusa.com.br", true },
  { "evidencija.ba", true },
  { "evileden.com", true },
  { "evilla.ru", false },
  { "evilmartians.com", true },
  { "evilnerd.de", true },
  { "evion.nl", true },
  { "evisa.us.com", true },
  { "evlear.com", true },
  { "evlorin.com", true },
  { "evnt.team", true },
  { "evntage.com", true },
  { "evobox.store", true },
  { "evoco.vc", true },
  { "evodation.com", true },
  { "evodation.org", true },
  { "evodia-spirits.de", true },
  { "evohomecare.com", true },
  { "evok.com.co", false },
  { "evokewonder.com", true },
  { "evolutionbiote.com", true },
  { "evolutioninflatables.co.uk", true },
  { "evolutionlending.co.uk", true },
  { "evolutionpets.com", true },
  { "evolvetechnologies.co.uk", true },
  { "evolvingsouls.com", true },
  { "evolvingthoughts.net", true },
  { "evomada.com", true },
  { "evomon.com", true },
  { "evony.eu", true },
  { "evosyn.com", true },
  { "evotec.pl", true },
  { "evotec.xyz", true },
  { "evoting-test.ch", false },
  { "evoting.ch", true },
  { "evowrap.co.uk", true },
  { "evpro.lt", true },
  { "evrial.com", true },
  { "evrica.me", true },
  { "evrodim.company", true },
  { "evromandie.ch", true },
  { "evrotrust.com", true },
  { "evsinemasistemleri.tk", true },
  { "evtasima.name.tr", true },
  { "evthing.se", true },
  { "evtripping.com", true },
  { "evtscan.io", true },
  { "evyn.eu", true },
  { "ewa-hayward.co.uk", true },
  { "ewaf.club", true },
  { "ewaipiotr.pl", true },
  { "ewanm89.co.uk", true },
  { "ewanm89.com", true },
  { "ewanm89.uk", true },
  { "ewar.lt", false },
  { "ewc.co.jp", true },
  { "ewcd.co.jp", true },
  { "ewe2.ninja", true },
  { "ewesparky.com", true },
  { "ewhitehat.com", true },
  { "ewie.name", true },
  { "ewinstore.com", true },
  { "ewritingservice.com", true },
  { "ewsfeed.com", true },
  { "ewtl.es", true },
  { "ewus.de", true },
  { "ex-deli.jp", true },
  { "exablue.de", true },
  { "exactlyinfinite.com", true },
  { "exactphilosophy.net", true },
  { "exadime.net", true },
  { "exagoni.com.au", true },
  { "exagoni.com.my", true },
  { "examedge.com", true },
  { "examika.ru", true },
  { "example.eu.org", true },
  { "exampleessays.com", true },
  { "exams9.com", true },
  { "examsite.tk", true },
  { "examticket.tk", true },
  { "exaplac.com", true },
  { "exarpy.com", true },
  { "exatmiseis.net", false },
  { "exbolivo.com", true },
  { "excaliburtitle.com", false },
  { "exceed.global", true },
  { "exceedagency.com", true },
  { "excel-mechanical.com", true },
  { "excel-utbildning.nu", true },
  { "excelkurs.one", true },
  { "excelkursdirekt.eu", true },
  { "excellence-eventos.com", true },
  { "excelsiorcomics.com.br", true },
  { "exceltechdubai.com", true },
  { "exceltechoman.com", true },
  { "excentos.com", true },
  { "excerp.tech", true },
  { "excess-baggage.com", true },
  { "excessamerica.com", true },
  { "excesssecurity.com", false },
  { "exchangers.top", true },
  { "exchaser.com", true },
  { "excitoninteractive.com", true },
  { "exclusivebeautystudio.com.au", true },
  { "exclusivebouncycastles.co.uk", true },
  { "excursionescaribe.com", true },
  { "exdamo.de", true },
  { "exe-boss.tech", true },
  { "execbar.com", true },
  { "exechip.com", true },
  { "execution.biz.tr", true },
  { "exegese.ch", true },
  { "exegol.co.uk", true },
  { "exeintel.com", true },
  { "exekutori.com", true },
  { "exerforge.com", true },
  { "exeria.de", true },
  { "exexcarriers.com", true },
  { "exgaywatch.com", true },
  { "exgen.io", true },
  { "exiahost.com", true },
  { "existest.com", true },
  { "exit9wineandliquor.com", true },
  { "exitooutdoor.com", true },
  { "exl-english.com", true },
  { "exmart.ng", true },
  { "exmoe.com", true },
  { "exnce.com", true },
  { "exocen.com", true },
  { "exon.io", true },
  { "exordiumconcepts.com", true },
  { "exoscale.ch", true },
  { "exoscale.com", true },
  { "exoten-spezialist.de", true },
  { "exoticads.com", true },
  { "exoticaz.to", true },
  { "exozwiki.com", false },
  { "exp.de", true },
  { "expancio.com", false },
  { "expanda.org", false },
  { "expanddigital.media", true },
  { "expandeco.com", true },
  { "expansion-lidl.es", true },
  { "expatfinancial.com.hk", true },
  { "expatfire.com", true },
  { "expatmortgage.uk", true },
  { "expe.voyage", true },
  { "expeditiegrensland.nl", true },
  { "experens.com", true },
  { "experienceoutdoors.org.uk", true },
  { "experienceoz.com.au", true },
  { "experimentator.cz", true },
  { "experise.fr", true },
  { "expert-korovin.ru", true },
  { "expert-voronezh.tk", true },
  { "expert.cz", true },
  { "experteasy.com.au", true },
  { "expertisematrix.com", true },
  { "expertofficefitouts.com.au", true },
  { "expertpaintersvt.com", true },
  { "expertpakistani.com", true },
  { "expertpanel.gc.ca", true },
  { "expertsluzby.cz", true },
  { "expertsverts.com", true },
  { "expertvagabond.com", true },
  { "expertviolinteacher.com", true },
  { "expicore.com", true },
  { "expii.com", true },
  { "expiscor.solutions", true },
  { "explicate.org", true },
  { "explodie.org", true },
  { "explodingcamera.com", true },
  { "exploflex.com.br", true },
  { "exploit-db.com", true },
  { "exploit.cz", true },
  { "exploit.party", true },
  { "exploit.ph", true },
  { "exploited.cz", true },
  { "exploithe.net", true },
  { "exploitit.com.au", true },
  { "exploodo.rocks", true },
  { "explorebigideas.com", true },
  { "exploredouglascountyga.com", true },
  { "exploremonero.com", true },
  { "exploretsp.gov", true },
  { "exploringmorocco.tours", true },
  { "expo-larionov.org", true },
  { "expoort.com", true },
  { "expoort.es", true },
  { "expoort.fr", true },
  { "expoort.it", true },
  { "expopro24.ru", true },
  { "exporta.cz", true },
  { "expouniverse.tk", true },
  { "express-hosting.org", true },
  { "express-shina.ru", true },
  { "express-vpn.com", true },
  { "express-vyvoz.ru", true },
  { "express1040.com", true },
  { "expressemotion.net", true },
  { "expresshosting.org", true },
  { "expressioncoffins.com.au", true },
  { "expressmarket.ru", true },
  { "expresstinte.de", true },
  { "expromo.eu", true },
  { "expxkcd.com", true },
  { "exs.lv", true },
  { "exsanio.de", true },
  { "exside.com", true },
  { "exsora.com", true },
  { "extensia.it", true },
  { "extensibility.biz.tr", true },
  { "extensiblewebmanifesto.org", true },
  { "extensiblewebsummit.org", true },
  { "extensionciglia.roma.it", true },
  { "extensionschallenge.com", true },
  { "extensiontree.com", true },
  { "exteriorlightingagoura.com", true },
  { "exteriorlightingagourahills.com", true },
  { "exteriorlightingcalabasas.com", true },
  { "exteriorlightingcamarillo.com", true },
  { "exteriorlightingconejovalley.com", true },
  { "exteriorlightingdosvientos.com", true },
  { "exteriorlightinghiddenhills.com", true },
  { "exteriorlightinglakesherwood.com", true },
  { "exteriorlightingmalibu.com", true },
  { "exteriorlightingmoorpark.com", true },
  { "exteriorlightingnewburypark.com", true },
  { "exteriorlightingoakpark.com", true },
  { "exteriorlightingsimivalley.com", true },
  { "exteriorlightingthousandoaks.com", true },
  { "exteriorlightingwestlakevillage.com", true },
  { "exteriorroofwindowguttercleaning.com", true },
  { "extinctionrebellion.de", true },
  { "extintormadrid.com", true },
  { "extmatrix.com", false },
  { "extradesktops.com", false },
  { "extradiely.sk", true },
  { "extradivers-worldwide.com", true },
  { "extratorrent.cool", true },
  { "extrawdw.net", true },
  { "extreemhost.nl", true },
  { "extreme-gaming.de", true },
  { "extreme-gaming.us", true },
  { "extreme-players.com", true },
  { "extreme-players.de", true },
  { "extreme-stock.com", true },
  { "extreme.co.th", true },
  { "extremebros.com", true },
  { "exvs.org", true },
  { "exxelmedia.de", true },
  { "exxoncannabis.com", true },
  { "exxpozed-image.de", true },
  { "exxpozed.ch", true },
  { "exxpozed.co.uk", true },
  { "exxpozed.com", true },
  { "exxpozed.de", true },
  { "exxpozed.eu", true },
  { "exxvip.com", true },
  { "exyplis.com", true },
  { "eye-encounters.com", true },
  { "eyebrowsmicroblading.co.uk", true },
  { "eyecandy.gr", true },
  { "eyedesignuniversity.com", true },
  { "eyeglasses.com", false },
  { "eyelashconcept.com", true },
  { "eyeonid.com", true },
  { "eyep.me", true },
  { "eyes-berg.com", false },
  { "eyesandearsrescue.org", true },
  { "eyetooth.ga", true },
  { "eynio.com", true },
  { "eyona.com", true },
  { "eyps.net", true },
  { "eyrelles-tissus.com", true },
  { "eythorsson.com", true },
  { "eyy.co", true },
  { "ezakazivanje.rs", true },
  { "ezdog.press", true },
  { "ezequiel-garzon.net", false },
  { "ezesec.com", true },
  { "ezftrs.com", true },
  { "ezgif.com", true },
  { "ezhik-din.ru", true },
  { "ezik-ido.tk", true },
  { "eziwine.com", true },
  { "eznetworks.com.br", true },
  { "ezrohi.ru", true },
  { "eztvtorrent.com", true },
  { "f-droid.org", true },
  { "f-hd.net", true },
  { "f-thie.de", true },
  { "f-u-c-k.wien", true },
  { "f00.fr", true },
  { "f00f.org", true },
  { "f0x.es", true },
  { "f1318.com", true },
  { "f1318.net", true },
  { "f13cybertech.cz", true },
  { "f1classement.com", false },
  { "f1distribution.com", true },
  { "f1fever.co.uk", true },
  { "f1fever.net", true },
  { "f1minute.com", true },
  { "f1nal-lap.be", true },
  { "f2h.io", true },
  { "f30365.com", true },
  { "f36533.com", true },
  { "f36594.com", true },
  { "f3nws.com", true },
  { "f43.me", true },
  { "f51365.com", true },
  { "f5nu.com", true },
  { "f7035.com", true },
  { "f8003.com", true },
  { "f8007.com", true },
  { "f8036.com", true },
  { "f88-line.com", true },
  { "f88-line.net", true },
  { "f88288.com", true },
  { "f88da.com", true },
  { "f88fine.com", true },
  { "f88good.com", true },
  { "f88line.com", true },
  { "f88line.net", true },
  { "f88ll.com", true },
  { "f88qin.com", true },
  { "f88vip102.com", true },
  { "f88vip103.com", true },
  { "f88vip104.com", true },
  { "f88vip105.com", true },
  { "f88vip106.com", true },
  { "f88vip19.com", true },
  { "f88vip2.com", true },
  { "f88vip20.com", true },
  { "f88vip21.com", true },
  { "f88vip22.com", true },
  { "f88vip23.com", true },
  { "f88vip3.com", true },
  { "f88vip4.com", true },
  { "f88vip5.com", true },
  { "f88vip6.com", true },
  { "f88yule1.com", true },
  { "f88yule111.com", true },
  { "f88yule122.com", true },
  { "f88yule3.com", true },
  { "f88yule5.com", true },
  { "f88yule6.com", true },
  { "f88yule7.com", true },
  { "f88yule8.com", true },
  { "f88yule9.com", true },
  { "f8906.com", true },
  { "f8908.com", true },
  { "f8921.com", true },
  { "f8cp0.com", true },
  { "f8cp1.com", true },
  { "f8cp2.com", true },
  { "f8cp3.com", true },
  { "f8cp4.com", true },
  { "f8cp5.com", true },
  { "f8cp6.com", true },
  { "f8cp7.com", true },
  { "f8cp8.com", true },
  { "f8cp9.com", true },
  { "f8s.co", true },
  { "f9marketing.com", true },
  { "fa-works.com", true },
  { "fa158k.com", true },
  { "fabbro.roma.it", true },
  { "faber.org.ru", true },
  { "fabian-fingerle.de", true },
  { "fabian-klose.com", true },
  { "fabian-klose.de", true },
  { "fabian-klose.net", true },
  { "fabianackle.ch", true },
  { "fabianbeiner.com", true },
  { "fabianbeiner.de", false },
  { "fabianegli.ch", true },
  { "fabiankaindl.de", false },
  { "fabiankoeppen.com", true },
  { "fabien-hebuterne.fr", true },
  { "fabienne-roux.org", true },
  { "fabiobier.com", true },
  { "fabiocicerchia.it", true },
  { "fabjansisters.eu", true },
  { "fabled.com", true },
  { "fableforge.nl", true },
  { "fableheartmedia.com", true },
  { "fabriceleroux.com", false },
  { "fabrika.com.br", true },
  { "fabriziocavaliere.it", true },
  { "fabriziorocca.it", true },
  { "fabse.net", true },
  { "fabservicos.com.br", true },
  { "fabslabour.uk", true },
  { "fabulosa.com.br", true },
  { "fac.fi", true },
  { "faca.gov", true },
  { "facai666.cc", true },
  { "facai888.cc", true },
  { "facanabota.com", true },
  { "facanabota.com.br", true },
  { "facarospauls.com", true },
  { "facchinaggio.milano.it", true },
  { "facchinaggio.roma.it", true },
  { "facciadastile.it", true },
  { "face-fashion.de", true },
  { "face-mania.com", true },
  { "facealacrise.fr", true },
  { "facebook-atom.appspot.com", true },
  { "facebook.com", false },
  { "facebydrh.com", true },
  { "facebylouise.co.uk", true },
  { "facedack.com", true },
  { "facekungfu.com", true },
  { "facemaze.io", true },
  { "facemd.net", true },
  { "facepainting.gr", true },
  { "faceresources.org", true },
  { "facesdr.com", true },
  { "fach-journalist.de", true },
  { "fachmann-umzuege.de", true },
  { "fachschaftslisten.at", true },
  { "fachschaftslisten.org", true },
  { "fachversand-hennes.de", true },
  { "facialexercising.com", true },
  { "facil.services", false },
  { "faciledireto.com.br", true },
  { "facilities.fr", true },
  { "facility-service-muenchen.de", true },
  { "facingbipolar.com", false },
  { "fackovec.cz", true },
  { "factbytefactbox.com", true },
  { "factor.cc", false },
  { "factorio.tools", true },
  { "factoriotools.com", true },
  { "factoriotools.net", true },
  { "factoriotools.org", true },
  { "factorit.fr", true },
  { "factslider.tk", true },
  { "facturama.pt", true },
  { "factuur.pro", true },
  { "factuursturen.be", true },
  { "factuursturen.nl", true },
  { "factys.es", true },
  { "facua.org", true },
  { "facucosta.com.ar", true },
  { "faderweb.de", true },
  { "fadilus.com", true },
  { "fady.vn", true },
  { "faehler.de", true },
  { "faelix.net", true },
  { "faeservice.eu", true },
  { "fafa018.com", true },
  { "fafa066.com", true },
  { "fafa106.com", true },
  { "fafro.eu", true },
  { "faggut.gg", true },
  { "fahmed.de", true },
  { "fahrenwal.de", false },
  { "fahrenwalde.de", false },
  { "fahrschule-laux.de", true },
  { "fahrwerk.io", true },
  { "fai.gov", true },
  { "faidanoi.it", true },
  { "faidatefacile.it", true },
  { "failforward.tech", true },
  { "failover.de", true },
  { "failover.eu", true },
  { "failoverplan.it", true },
  { "fairbairnrealty.com", true },
  { "fairedeseconomies.info", true },
  { "fairgolfteams.com", true },
  { "fairgreenlimited.com", true },
  { "fairleighcrafty.com", true },
  { "fairmarketing.com", true },
  { "fairplay.im", true },
  { "fairr.de", true },
  { "fairr.online", true },
  { "fairssl.dk", true },
  { "fairssl.se", true },
  { "fairviewmotel-simcoe.com", true },
  { "fairwayhomeloans.mortgage", true },
  { "fairyth.tk", true },
  { "faithcentercogop.net", true },
  { "faithfuladvisor.com", true },
  { "faithgrowth.com", true },
  { "faithindemocracy.eu", true },
  { "faithleaks.org", true },
  { "faithwatch.org", true },
  { "faixaazul.com", true },
  { "faizan.net", true },
  { "faizan.xyz", true },
  { "faizanullah.com", true },
  { "fajode.net", true },
  { "fake-show.ga", true },
  { "faked.org", true },
  { "fakeduckpond.com", true },
  { "fakeemergency.com", true },
  { "fakerli.com", true },
  { "fakes-ru.tk", true },
  { "fakt.tk", true },
  { "fakti.bg", true },
  { "faktotum.tech", false },
  { "fakturi.com", true },
  { "fakturoid.cz", true },
  { "falaeapp.org", true },
  { "falaowang.com", true },
  { "falasteenjobs.com", true },
  { "falbros.com", true },
  { "falcema.com", true },
  { "falconvintners.com", true },
  { "falcoz.co", true },
  { "faldoria.de", true },
  { "falegname-roma.it", true },
  { "falegname.roma.it", true },
  { "falegnameria.milano.it", true },
  { "fall.es", true },
  { "fall.ga", true },
  { "fallenangeldrinks.co.uk", true },
  { "fallenangeldrinks.com", true },
  { "fallenangelspirits.co.uk", true },
  { "fallenangelspirits.com", true },
  { "fallenmoons.nl", true },
  { "fallenmystic.com", true },
  { "fallin.space", true },
  { "falling.se", true },
  { "fallofthecitadel.com", true },
  { "falsterhus.de", true },
  { "falsterhus.dk", true },
  { "falsum.net", true },
  { "fam-borsch.de", true },
  { "fam-kreibich.de", true },
  { "fam-stemmer.de", false },
  { "fam-weyer.de", true },
  { "famcloud.de", true },
  { "fameng.nl", true },
  { "familiaperez.net", false },
  { "familie-keil.de", true },
  { "familie-kruithof.nl", true },
  { "familie-kupschke.de", true },
  { "familie-leu.ch", true },
  { "familie-monka.de", true },
  { "familie-mueller.com.de", true },
  { "familie-poeppinghaus.de", true },
  { "familie-remke.de", true },
  { "familie-sprink.de", false },
  { "familiearchivaris.nl", true },
  { "familieholme.de", true },
  { "familienportal.de", true },
  { "familiereimann.com", true },
  { "familjenfrodlund.se", true },
  { "familjenm.se", true },
  { "familleseux.net", true },
  { "familleshilton.com", true },
  { "familylawhotline.org", true },
  { "familyparties.co.uk", true },
  { "familyreal.ru", true },
  { "familyrecipe.co.uk", true },
  { "familytreehq.com", true },
  { "familyworld.gr", true },
  { "famion.eu", false },
  { "famousbirthdays.com", true },
  { "famoushostels.com", true },
  { "famvangelder.nl", true },
  { "famvsomeren.nl", true },
  { "fan.gov", true },
  { "fan4all.de", true },
  { "fan8hd.com", true },
  { "fanactu.com", true },
  { "fanatical.com", true },
  { "fanatik.io", true },
  { "fanboi.ch", true },
  { "fanbot.co", true },
  { "fancy.org.uk", true },
  { "fancygaming.dk", true },
  { "fancypantsfit.com", true },
  { "fandler.cz", true },
  { "fandomservices.com", true },
  { "fanfareunion.ch", false },
  { "fangs.ink", true },
  { "fanjingbo.com", true },
  { "fanjingbo.me", true },
  { "fanjoe.be", true },
  { "fanohus.de", true },
  { "fanohus.dk", true },
  { "fansale.de", true },
  { "fansided.com", true },
  { "fantasiapainter.com", true },
  { "fantasiatravel.hr", true },
  { "fantasmesexuel.info", true },
  { "fantasticcleaners.com.au", true },
  { "fantasticcleanersbristol.co.uk", true },
  { "fantastichandymanmelbourne.com.au", true },
  { "fantastici.de", true },
  { "fantasticservices.com", true },
  { "fantasticservicesgroup.com", true },
  { "fantasticservicesgroup.com.au", true },
  { "fantasy-judo.com", true },
  { "fantasybet.co", true },
  { "fantasycastles.co.uk", true },
  { "fantasydrop.com", true },
  { "fantasyescortsbirmingham.co.uk", true },
  { "fantasymina.de", true },
  { "fantasypartyhire.com.au", true },
  { "fantasyspectrum.com", true },
  { "fantgames.com", true },
  { "fantraxhq.com", true },
  { "fanyina.cn", true },
  { "fanyina.com", true },
  { "fanysehy-prof.com", true },
  { "fanz.pro", true },
  { "fapcoholic.com", true },
  { "fapiis.gov", true },
  { "fapp.tube", true },
  { "fapplepie.com", true },
  { "faq.ie", true },
  { "fara.gov", true },
  { "faradome.ws", true },
  { "faradrive.ir", true },
  { "farallonesrentacar.com", true },
  { "farberplasticsurgery.com", true },
  { "farcecrew.de", true },
  { "farces.com", false },
  { "faretrotter.com", true },
  { "farfallapets.com.br", true },
  { "farfetchos.com", true },
  { "fargtorget.se", true },
  { "farhadexchange.com", true },
  { "farhood.org", true },
  { "farid.is", true },
  { "farizhan.com", true },
  { "farleybrass.com.au", true },
  { "farleysworlds.com", true },
  { "farmacia-lloret.com", true },
  { "farmaciacorvi.it", true },
  { "farmaciadejaime.es", true },
  { "farmaspeed.it", true },
  { "farmer.dating", true },
  { "farmers.gov", false },
  { "farmkazuto.com", true },
  { "farmmaximizer.com", true },
  { "farodeluz.ca", true },
  { "faroebusinessreport.com", true },
  { "faroes.net", true },
  { "faroes.org", true },
  { "farsil.eu", true },
  { "fart.wtf", true },
  { "farzli.com", false },
  { "fascat.com", true },
  { "faschingmd.com", true },
  { "fascia.fit", true },
  { "fashion-stoff.de", true },
  { "fashion.bg", true },
  { "fashion.net", true },
  { "fashion24.de", true },
  { "fashiondays.bg", true },
  { "fashiondays.hu", true },
  { "fashiondays.ro", true },
  { "fashioneditor.gr", true },
  { "fashionlistify.tk", true },
  { "fashiontrendsetter.com", true },
  { "fashionunited.be", true },
  { "fashionunited.cl", true },
  { "fashionunited.com", true },
  { "fashionunited.com.ar", true },
  { "fashionunited.de", true },
  { "fashionunited.fi", true },
  { "fashionunited.hk", true },
  { "fashionunited.hu", true },
  { "fashionunited.ie", true },
  { "fashionunited.lu", true },
  { "fashionunited.mx", true },
  { "fashionunited.nl", true },
  { "fashionunited.no", true },
  { "fashionunited.nz", true },
  { "fashionunited.pl", true },
  { "fashionunited.se", true },
  { "fashionusa.gq", true },
  { "fashionweekweb.com", true },
  { "fashionxmas.gq", true },
  { "faspirits.co.uk", true },
  { "faspirits.com", true },
  { "fassaden-selleng.de", true },
  { "fassadenverkleidung24.de", true },
  { "fassi-sport.it", true },
  { "fast-cargo.ml", true },
  { "fast-events.eu", true },
  { "fast-pro.co.jp", true },
  { "fastblit.com", true },
  { "fastcash.com.br", true },
  { "fastcomcorp.com", true },
  { "fastcommerce.org", true },
  { "fastconfirm.com", true },
  { "fastconv.com", true },
  { "fastforwardsociety.nl", true },
  { "fasthost.com.br", true },
  { "fastighetsekonomi.com", true },
  { "fastinviter.com", true },
  { "fastknigi.ml", true },
  { "fastlike.co", true },
  { "fastmail.com", false },
  { "fastonline.ro", true },
  { "fastos.com", true },
  { "fastos.de", true },
  { "fastpeoplesearch.com", true },
  { "fastpresence.com", true },
  { "fastserv.pl", true },
  { "faststage.ch", true },
  { "fasturl.ml", true },
  { "fastvistorias.com.br", true },
  { "fastworx.com", true },
  { "fatecdevday.com.br", true },
  { "fateitalia.it", true },
  { "fatherhood.gov", true },
  { "fathers4equalrights.org", true },
  { "fatidique.com", true },
  { "fatiguesyndrome.com", true },
  { "fatihingemisi.com", true },
  { "fatimamoldes.com.br", true },
  { "fatmixx.com", true },
  { "fatowltees.com", true },
  { "fatpeople.lol", true },
  { "fattailcall.com", false },
  { "fatturegeko.eu", true },
  { "fattyink.com", true },
  { "faucetbox.com", false },
  { "faultlines.org", true },
  { "faunahotel.cl", true },
  { "fauvettes.be", true },
  { "fauwater.com", true },
  { "fauxcams.com", true },
  { "favalart.com", true },
  { "favedog.com", true },
  { "favorai.com", true },
  { "fawong.com", true },
  { "faxvorlagen-druckvorlagen.de", true },
  { "faydali.org", true },
  { "fayntic.com", true },
  { "fazzfinancial.com", true },
  { "fb-feed.net", true },
  { "fb-lab.de", true },
  { "fb.gg", true },
  { "fb.me", true },
  { "fbcdn.net", true },
  { "fbi.gov", true },
  { "fbigame.com", true },
  { "fbiic.gov", true },
  { "fbijobs.gov", true },
  { "fbo.gov", false },
  { "fboerman.nl", true },
  { "fbrief.org", true },
  { "fbsbx.com", true },
  { "fbtholdings.com", true },
  { "fburl.com", true },
  { "fbvstore.com", true },
  { "fbwgynplus.com", true },
  { "fbwgynplus.com.au", true },
  { "fc.media", true },
  { "fc8882.com", true },
  { "fc8882.net", true },
  { "fca-tools.com", true },
  { "fcapollo.tk", true },
  { "fcbarcelona.cz", true },
  { "fcburk.de", true },
  { "fcdn.nl", true },
  { "fcforum.net", true },
  { "fcic.gov", true },
  { "fcingolstadt.de", true },
  { "fcosinus.com", true },
  { "fcprovadia.com", true },
  { "fcsic.gov", true },
  { "fdalawboston.com", true },
  { "fdaregs.com", true },
  { "fdevs.ch", true },
  { "fdicig.gov", true },
  { "fdicoig.gov", true },
  { "fdis.net.cn", true },
  { "fdlibre.eu", true },
  { "fdlpl.org", true },
  { "fdm.ro", true },
  { "fdms.gov", true },
  { "fdp-brig-glis.ch", true },
  { "fdpbrig.ch", true },
  { "fdremodelingatlanta.com", true },
  { "fdresearch.ca", true },
  { "fdworlds.com", true },
  { "fe-data.nl", true },
  { "feandc.com", true },
  { "feastr-dev.de", true },
  { "feastr.de", true },
  { "feastr.io", true },
  { "feat.agency", true },
  { "featherweightlabs.com", true },
  { "feb.gov", true },
  { "febeditora.com.br", true },
  { "fed-shashek.spb.ru", true },
  { "fedcenter.gov", true },
  { "fedemo.top", true },
  { "federaljobs.gov", true },
  { "federalreserve.gov", true },
  { "federalreserveconsumerhelp.gov", true },
  { "federatedbank.com", true },
  { "fedjobs.gov", true },
  { "fedorahosted.org", true },
  { "fedorapeople.org", true },
  { "fedoraproject.org", true },
  { "fedpartnership.gov", true },
  { "fedramp.gov", false },
  { "fedshirevets.gov", true },
  { "fedux.com.ar", true },
  { "fedvan.com", true },
  { "feedbin.com", false },
  { "feedfall.com", true },
  { "feedhq.org", true },
  { "feedkovacs.hu", true },
  { "feedough.com", true },
  { "feeeei.com", true },
  { "feel-events.com", true },
  { "feel.aero", true },
  { "feelgood-workouts.de", true },
  { "feelgood.com.tw", true },
  { "feelingmassage.nl", true },
  { "feelmom.com", true },
  { "feelnet.top", true },
  { "feeltennis.net", true },
  { "feen.us", true },
  { "feepod.com", true },
  { "feetpa.ws", true },
  { "fefelovalex.ru", true },
  { "fegame.eu", true },
  { "fegame.mobi", true },
  { "fegame.net", true },
  { "fegame.nl", true },
  { "fegc-wgec.gc.ca", true },
  { "fegli.gov", true },
  { "fehngarten.de", true },
  { "feigling.net", false },
  { "feildel.fr", true },
  { "feilen.de", true },
  { "feilestrokestown.com", true },
  { "feisim.com", true },
  { "feisim.org", true },
  { "feistore.com.tw", true },
  { "feistyduck.com", true },
  { "feixiang.eu.org", true },
  { "feiya.ng", true },
  { "fejervar.hu", true },
  { "fejes.house", true },
  { "fekir.info", true },
  { "feld.design", true },
  { "feld.saarland", true },
  { "feldbogenclub-hamburg.de", true },
  { "feldhousen.com", true },
  { "felett.es", true },
  { "feli.games", true },
  { "felicifia.org", true },
  { "feline.ro", true },
  { "felinepc.com", true },
  { "felistirnavia.sk", true },
  { "felix-hirner.de", true },
  { "felixaufreisen.de", true },
  { "felixbarta.de", true },
  { "felixbrand.de", true },
  { "felixcrux.com", true },
  { "felixkaaman.com", true },
  { "felixklenner.de", true },
  { "felixqu.com", true },
  { "felixsanz.com", true },
  { "felixseele.de", true },
  { "felsing.net", true },
  { "feltons.me", true },
  { "femastudios.com", true },
  { "feminina.pt", true },
  { "feministreview.cf", true },
  { "feministspectrum.org", true },
  { "feministwiki.org", true },
  { "femmes-women.gc.ca", true },
  { "femmes.gc.ca", true },
  { "femmesaupluriel.com", true },
  { "femtomind.com", true },
  { "feng-hhcm.com", true },
  { "feng-in.com", true },
  { "feng-in.net", true },
  { "feng.si", true },
  { "fengchuiyudaqu.ml", true },
  { "fengyi.tel", true },
  { "fenhl.net", true },
  { "fenichelar.com", true },
  { "fenom.com", true },
  { "fenster-bank.at", true },
  { "fenster-bank.de", true },
  { "feragon.net", true },
  { "ferc.gov", true },
  { "ferestre-bucuresti.ro", true },
  { "ferfer.ga", true },
  { "fergtm.com", true },
  { "feriehus-danmark.no", true },
  { "ferien-netzwerk.de", true },
  { "ferienchalet-wallis.ch", true },
  { "ferienhaeuser-krummin.de", true },
  { "ferienhaus-danemark-hund.de", true },
  { "ferienhaus-danemark-privat.de", true },
  { "ferienhaus-laesoe.de", true },
  { "ferienhaus-polchow-ruegen.de", false },
  { "ferienhaus-urlaub-danemark.de", true },
  { "ferienhausprovence.ch", true },
  { "ferienstpeter.de", true },
  { "ferienwohnung-hafeninsel-stralsund.de", true },
  { "ferienwohnung-wiesengrund.eu", true },
  { "ferieservice.dk", true },
  { "feriespotter.dk", true },
  { "ferlc.org", true },
  { "ferm-rotterdam.nl", true },
  { "fermabel.com.br", true },
  { "fernandes.org", true },
  { "fernandob.com", true },
  { "fernandobarata.pt", true },
  { "fernandobarillas.com", true },
  { "fernandomiguel.net", true },
  { "fernland.com.au", true },
  { "feross.net", true },
  { "feross.org", true },
  { "ferprobolivia.com", true },
  { "ferrada.org", false },
  { "ferrariadvisor.it", true },
  { "ferret.zone", true },
  { "ferreteriaxerez.com", true },
  { "ferriswheelofficial.us", true },
  { "ferrolatino.ch", true },
  { "ferrone.ru", true },
  { "ferrousmoon.com", true },
  { "ferry.tw", true },
  { "ferticare.pt", true },
  { "fertigasi.com", true },
  { "fertila.de", true },
  { "festaprylar.se", true },
  { "festesuniversitaries.tk", true },
  { "festival-tipps.com", true },
  { "festival-transform.com", true },
  { "festivaldimouamaroussiou.gr", true },
  { "festivaljapon.com", true },
  { "festivalpopayan.tk", true },
  { "festx.co.za", true },
  { "fetch.co.uk", true },
  { "fetchease.com", true },
  { "fetishbazar.cz", true },
  { "fetishblend.com", true },
  { "fetlife.com", true },
  { "feudalisten.de", true },
  { "feuerfestival.org", true },
  { "feuerhaken.org", true },
  { "feuerloescher-arten.de", true },
  { "feuerloescher-test.de", true },
  { "feuerwehr-coesfeld.de", true },
  { "feuerwehr-gebirge.de", true },
  { "feuerwehr-heiligenberg.de", true },
  { "feuerwehr-illmensee.de", true },
  { "feuerwehr-mehring.de", true },
  { "feuerwehr-offenbach-bieber.de", false },
  { "feuerwehr-vechta.de", true },
  { "feuerwerksmanufaktur.de", true },
  { "feuetgloire.com", false },
  { "fever.ch", true },
  { "fewo-hafeninsel-stralsund.de", true },
  { "fewo-thueringer-wald.de", true },
  { "fewo32.de", true },
  { "feybiblia.com", true },
  { "ff-bad-hoehenstadt.de", true },
  { "ff-koenigstein-opf.de", true },
  { "ff-obersunzing-niedersunzing.de", true },
  { "ff14-mstdn.xyz", false },
  { "ff326.com", true },
  { "ff396.com", true },
  { "ff612.com", true },
  { "ff675.com", true },
  { "ff769.com", true },
  { "ff861.com", true },
  { "ff916.com", true },
  { "ff956.com", true },
  { "ff965.com", true },
  { "ff967.com", true },
  { "ff976.com", true },
  { "ffb.gov", false },
  { "ffbans.org", true },
  { "ffbsee.de", true },
  { "fff-du.de", true },
  { "fffinfo.de", true },
  { "ffg.berlin", true },
  { "ffiec.gov", true },
  { "ffis.me", true },
  { "ffkoenigsberg.de", true },
  { "ffmradio.de", true },
  { "ffmv.de", true },
  { "ffp-survey.com", true },
  { "ffprofile.com", true },
  { "ffrev.de", true },
  { "ffsociety.nl", true },
  { "ffta.eu", true },
  { "ffvideo.xyz", true },
  { "ffw-zeven.de", true },
  { "ffzeven.de", true },
  { "fgsv-heureka.de", true },
  { "fgsv-kongress.de", true },
  { "fh-x.de", true },
  { "fh14.com", true },
  { "fh70.com", true },
  { "fhar.be", true },
  { "fhba.com.au", true },
  { "fhconseil.fr", false },
  { "fhdhelp.de", false },
  { "fhdhilft.de", false },
  { "fheuschen.de", true },
  { "fhfaoig.gov", true },
  { "fhinds.co.uk", true },
  { "fhservices.com.au", true },
  { "fi.google.com", true },
  { "fi.search.yahoo.com", false },
  { "fiam.me", true },
  { "fiareapp.red", false },
  { "fiasgo.dk", true },
  { "fiasgo.i.ng", true },
  { "fibo-forex.org", true },
  { "fibra.click", true },
  { "fibretv.co.nz", true },
  { "fibretv.tv", true },
  { "fibroarrendacaseton.mx", true },
  { "fibromuebles.com", true },
  { "fichier-pdf.fr", true },
  { "fickweiler.nl", true },
  { "fidanza.eu", true },
  { "fidelis-it.ch", true },
  { "fidelis-it.net", true },
  { "fidhouriet.ch", true },
  { "fidias.com.br", true },
  { "fidoo.com", true },
  { "fiduciaire-azur.com", false },
  { "fiduciaire-ratio.ch", false },
  { "fidz.com.sg", true },
  { "fieggen.eu", true },
  { "fieggen.net", true },
  { "fieldelite.com", true },
  { "fieldexpert.eu", true },
  { "fieldwork-paysage.com", false },
  { "fierscleaning.nl", true },
  { "fiery.me", true },
  { "fierykitchen.pl", true },
  { "fietsvierdaagsen.nl", true },
  { "fifacup.ga", true },
  { "fifautstore.com", true },
  { "fifei.de", true },
  { "fifichachnil.paris", true },
  { "fifr.nl", true },
  { "fiftynorth.eu", true },
  { "fiftyonetielt.be", true },
  { "fight215.com", true },
  { "fight215.org", true },
  { "figinstitute.org", true },
  { "figliasons.com", true },
  { "figshare.com", true },
  { "figura.cz", true },
  { "figurasdelinguagem.com.br", true },
  { "figure.nz", true },
  { "fiix.io", true },
  { "fijnewoensdag.nl", true },
  { "fikriwildannugraha.com", true },
  { "fikst.com", true },
  { "fil-tec-rixen.com", true },
  { "filanthropystar.org", true },
  { "filaretihairlove.gr", true },
  { "file-cloud.eu", true },
  { "file-pdf.it", true },
  { "filebox.one", true },
  { "filecloud.fun", true },
  { "filecopa.com", true },
  { "filedesc.com", true },
  { "filehash.de", true },
  { "filehippo.com", true },
  { "filejet.io", true },
  { "files.com", true },
  { "files.from-me.org", true },
  { "fileservicios.com.ar", true },
  { "filestar.io", true },
  { "filestartest.io", true },
  { "filesuffix.com", true },
  { "filetransfer.one", true },
  { "filezilla-project.org", true },
  { "filhin.es", true },
  { "filhodohomem.com", true },
  { "fili.com", true },
  { "filidorwiese.nl", true },
  { "filiio.com", true },
  { "filingsmadeeasy.com", true },
  { "filip-prochazka.com", false },
  { "filippo.io", true },
  { "filli-it.ch", true },
  { "fillmysuitca.se", true },
  { "fillo.sk", true },
  { "film-colleges.com", true },
  { "film-op-tv.nl", true },
  { "film-storyboards.fr", true },
  { "film-tutorial.com", true },
  { "filmarchiv-sachsen.de", true },
  { "filmatiporno.xxx", true },
  { "filmcrewdb.com", true },
  { "filme-onlines.com", true },
  { "filmers.net", true },
  { "filmpronet.in", true },
  { "filmreviewonline.com", true },
  { "filmserver.de", true },
  { "filmsite-studio.com", true },
  { "filmwallpapers.ml", true },
  { "filoo.de", true },
  { "filstop.com", true },
  { "filterlists.com", true },
  { "filtershekanha.com", true },
  { "filtr.me", true },
  { "fimfiction.net", true },
  { "fimozin.ga", true },
  { "fimp.pt", true },
  { "fimsquad.com", true },
  { "finagosolo.com", true },
  { "final-expense-quotes.com", true },
  { "finalrewind.org", true },
  { "finalx.nl", true },
  { "finance-colleges.com", true },
  { "finance-news.ga", true },
  { "financejobs.ch", true },
  { "financialfreedomaus.com", true },
  { "finansa.no", true },
  { "finanskredirehberi.com", true },
  { "finanstilsynet.dk", true },
  { "finanziero.de", true },
  { "finch.am", true },
  { "find-job-in.com", true },
  { "find-mba.com", true },
  { "finda.ae", true },
  { "findaffordablehousing.ca", true },
  { "findapinball.com", true },
  { "findautoloan.ml", true },
  { "findelahistoria.com", true },
  { "findheim.at", true },
  { "findingkorea.com", false },
  { "findingtheuniverse.com", true },
  { "finditez.com", true },
  { "findlocalproduce.co.uk", true },
  { "findrejsepartner.dk", true },
  { "findsingledating.ml", true },
  { "findstorenearme.ca", true },
  { "findstorenearme.co.uk", true },
  { "findstorenearme.us", true },
  { "findtreatment.gov", false },
  { "findyourtrainer.com", true },
  { "findyourvoice.ca", true },
  { "finefriends.nl", true },
  { "finefriends.social", true },
  { "finefriendsapp.com", true },
  { "finehealth.ru", false },
  { "finenet.com.tw", true },
  { "finestrabatalera.tk", true },
  { "finestreview.cf", true },
  { "finestrina.net", true },
  { "finewineonline.com", true },
  { "finexo.ch", true },
  { "finext.cz", true },
  { "finflix.net", true },
  { "finform.ch", true },
  { "fini-de-jouer.ch", false },
  { "finilaviolence.gc.ca", true },
  { "finisron.in", true },
  { "finkelstein.fr", true },
  { "finkmartin.com", true },
  { "finlito.tk", true },
  { "finn-thorben.me", true },
  { "finn.io", true },
  { "finnclass.cz", true },
  { "finnwea.com", true },
  { "finotax.com", true },
  { "finprison.net", true },
  { "fins.money", true },
  { "finsecurity.eu", true },
  { "finsprings.org", true },
  { "fintandunleavy.com", false },
  { "fintexaddis.com", true },
  { "fintry.ca", true },
  { "finvantage.com", true },
  { "finwe.info", true },
  { "finzy.com", true },
  { "fionafuchs.de", true },
  { "fionamcbride.com", true },
  { "fioristionline.it", true },
  { "fioristionline.net", true },
  { "fioritic.com", true },
  { "fioulmarket.fr", true },
  { "fir3net.com", true },
  { "firc.de", true },
  { "fire-schools.com", true },
  { "firebaseio.com", true },
  { "firebirdrangecookers.com", true },
  { "firebounty.com", true },
  { "fireboxfood.com", true },
  { "firebrandchurch.com", true },
  { "firecareandsecurity.co.uk", true },
  { "firecore.com", true },
  { "firecry.org", true },
  { "firefense.com", true },
  { "firefighters.dating", true },
  { "firefly-iii.org", true },
  { "fireflyiii.spdns.org", true },
  { "fireglow.de", true },
  { "firegoby.jp", true },
  { "fireleadership.gov", true },
  { "firemist.com", true },
  { "firemudfm.com", true },
  { "firenews.cf", true },
  { "firenza.org", true },
  { "fireorbit.de", false },
  { "fireportal.cz", true },
  { "fireportal.sk", true },
  { "firerain.me", true },
  { "fireshellsecurity.team", true },
  { "firesofheaven.org", true },
  { "firestuff.org", true },
  { "firetotheprisons.org", true },
  { "fireworksshowvr.com", true },
  { "firexfly.com", true },
  { "firma-cerny.cz", true },
  { "firma-offshore.com", true },
  { "firmajulegaver.dk", true },
  { "firmament.space", true },
  { "firmapi.com", true },
  { "firmen-assekuranz.de", true },
  { "firmenwerbung-vermarktung.de", true },
  { "firmware.science", true },
  { "first-house.no", true },
  { "first.org", true },
  { "first4it.com", true },
  { "firstbooks.ml", true },
  { "firstchoicebouncycastlehire.co.uk", true },
  { "firstchoicecandy.com", true },
  { "firstchoicefriseur.at", true },
  { "firstclasscastles.com", true },
  { "firstclassleisure.co.uk", true },
  { "firstcoastteaco.com", true },
  { "firstcolonyengraving.com", true },
  { "firstderm.com", true },
  { "firstdorsal.eu", true },
  { "firstdry.com.br", true },
  { "firstfinca.de", true },
  { "firstmall.de", true },
  { "firstnet.gov", true },
  { "firstnetworksouth.com", true },
  { "firstq.xyz", true },
  { "firstrays.com", true },
  { "firstversionist.com", true },
  { "firstwebring.tk", true },
  { "firtreetechnology.co.uk", true },
  { "fischer-immoteam.de", true },
  { "fischer-kundendienst.de", true },
  { "fischers.cc", true },
  { "fiscoeconti.it", true },
  { "fish-hook.ru", true },
  { "fish-n-chips.uk", true },
  { "fish4dogs.com", true },
  { "fishbattle.io", true },
  { "fishbattle.net", true },
  { "fishermailbox.net", true },
  { "fishermansbendcorporation.com.au", true },
  { "fishermansbendtownhouses.com.au", true },
  { "fishexport.eu", true },
  { "fishgen.no", true },
  { "fishlanestudios.com", true },
  { "fishoilsafety.com", true },
  { "fishserver.net", true },
  { "fishtacos.blog", true },
  { "fishycam.com", true },
  { "fisinfomanagerdr.com", true },
  { "fisiobox.eu", true },
  { "fisioterapista.roma.it", true },
  { "fiskalnepretor.pl", true },
  { "fit-4u.ch", false },
  { "fit-mit-nina.com", true },
  { "fit365.jp", false },
  { "fitchconnect.com", true },
  { "fite.family", true },
  { "fitequilibrio.com.br", true },
  { "fitkram.cz", true },
  { "fitness-challenge.co.uk", true },
  { "fitness.gov", true },
  { "fitnessunder50.com", true },
  { "fito.tk", true },
  { "fitrecepty.info", true },
  { "fittelo.cz", true },
  { "fittingperfetto.it", true },
  { "fitzsim.org", true },
  { "fivestartrader.com", true },
  { "fivethirtyeight.com", true },
  { "fiveyearsahead.com", true },
  { "fix.mk", true },
  { "fixatom.com", true },
  { "fixed.supply", true },
  { "fixed.tech", true },
  { "fixedtodayplumbing.com.au", true },
  { "fixel.express", true },
  { "fixfm.tk", true },
  { "fixforce.nl", true },
  { "fixlasvegas.com", true },
  { "fixmyalarmpanel.co.uk", true },
  { "fixmycomputerdude.com", true },
  { "fiyatgrafik.com", true },
  { "fizadvocaten.nl", true },
  { "fiziktedavi.name.tr", true },
  { "fizjoterapia.uk", true },
  { "fizyoterapi.name.tr", true },
  { "fizz.buzz", false },
  { "fizzgi.gs", true },
  { "fj.search.yahoo.com", false },
  { "fj.simple.com", false },
  { "fjordboge.dk", true },
  { "fkfev.de", true },
  { "fkosquad.moe", true },
  { "fkraiem.org", true },
  { "fktpm.ru", false },
  { "flaemig42.de", false },
  { "flagburningworld.com", true },
  { "flagfox.net", true },
  { "flaggorvarlden.se", true },
  { "flagi-panstw.pl", true },
  { "flagistrany.ru", true },
  { "flagpedia.asia", true },
  { "flagpedia.net", true },
  { "flagshop.jp", true },
  { "flagspot.net", false },
  { "flairfindr.com", true },
  { "flam3d.be", true },
  { "flam3d.nl", true },
  { "flam3d.org", true },
  { "flamero.fi", true },
  { "flamet.eu", true },
  { "flameworked.com", true },
  { "flamingkeys.com", true },
  { "flamingowomenspavilion.com", true },
  { "flamme-von-anor.de", true },
  { "flana.com", true },
  { "flanga.io", true },
  { "flangaapis.com", true },
  { "flapoverspeed.com", true },
  { "flare.cloud", true },
  { "flashback.org", true },
  { "flashbeing.com", true },
  { "flashcomp.cz", true },
  { "flashgamedev.tk", true },
  { "flashgot.net", true },
  { "flass.lu", true },
  { "flassetlocators.com", true },
  { "flat.io", true },
  { "flatbellyreview.com", true },
  { "flatbook.one", true },
  { "flatmail.pl", true },
  { "flatmatehub.com.au", true },
  { "flatpackmates.co.uk", true },
  { "flauschig.net", true },
  { "flavinus.fr", true },
  { "flaviu.co.uk", true },
  { "flavo.io", true },
  { "flawlesscowboy.xyz", true },
  { "flealab.it", true },
  { "fleep.io", true },
  { "fleesty.dynv6.net", true },
  { "fleet-group.com", true },
  { "fleet-search.com", true },
  { "fleetcomplete.com", true },
  { "fleetcor.at", true },
  { "fleetcor.ch", true },
  { "fleetcor.cz", true },
  { "fleetcor.de", true },
  { "fleetcor.fr", true },
  { "fleetcor.hu", true },
  { "fleetcor.lu", true },
  { "fleetcor.nl", true },
  { "fleetcor.pl", true },
  { "fleetcor.sk", true },
  { "fleetcorcards.be", true },
  { "fleetsmith.com", true },
  { "fleetssl.com", true },
  { "fleetyards.net", true },
  { "flehm.de", true },
  { "fleisch.club", true },
  { "flers-agglo.fr", true },
  { "flerstourisme.fr", true },
  { "fletcherdigital.com", true },
  { "fletchto99.com", true },
  { "fletemaritimo.online", true },
  { "flets-ms.com", true },
  { "fleurenplume.fr", true },
  { "fleursdujour.ph", true },
  { "fleuryfleury.com", true },
  { "flexfunding.com", true },
  { "fleximaal.com", true },
  { "fleximal.com", true },
  { "fleximus.org", false },
  { "flexport.com", true },
  { "flexstart.me", true },
  { "flfl.de", true },
  { "fliacuello.com.ar", true },
  { "flibusta.appspot.com", true },
  { "flieger-funk-runde.de", true },
  { "fliesen-waldschmidt.de", true },
  { "flight.school", true },
  { "flightdeckfriend.com", true },
  { "flightmedx.com", true },
  { "flightschoolbooking.com", true },
  { "flightschoolcandidates.gov", true },
  { "flightschoolusa.com", true },
  { "fliino.com", true },
  { "fliino.eu", true },
  { "fliino.info", true },
  { "fliino.net", true },
  { "fliino.org", true },
  { "flinch.io", true },
  { "flip.kim", true },
  { "flip.lease", true },
  { "flipmusic.tk", true },
  { "flipneus.net", true },
  { "flipphotography.ga", true },
  { "flipsidevr.com", true },
  { "fliptable.org", true },
  { "flirt-norden.de", true },
  { "flirtee.net", true },
  { "flirtfaces.de", true },
  { "flixcheck.de", true },
  { "flmortgagebank.com", true },
  { "floaternet.com", true },
  { "floating-holidays.co.uk", true },
  { "flockbox.club", true },
  { "flocktofedora.org", true },
  { "floersheimer-openair.de", true },
  { "floffi.media", true },
  { "floify.com", true },
  { "flokinet.is", true },
  { "flokkr.com", true },
  { "flonharmonymassage.space", true },
  { "floobits.com", true },
  { "floodsmart.gov", true },
  { "floogulinc.com", true },
  { "floorballphilippines.tk", true },
  { "flooringnightmares.com", true },
  { "flooringsourcetx.com", true },
  { "floort.net", false },
  { "floqast.com", true },
  { "floraclick.net", true },
  { "floraexpress.it", true },
  { "florafiora.com.br", false },
  { "florausa.net", true },
  { "floravan.com", true },
  { "floravino.de", true },
  { "florence.uk.net", true },
  { "florenceapp.co.uk", true },
  { "florenciasabio.com", true },
  { "florent-tatard.fr", true },
  { "florian-bachelet.fr", true },
  { "florian-knorn.com", true },
  { "florian-lefevre.fr", true },
  { "florian-thie.de", true },
  { "florian2833z.de", true },
  { "floriankarmen.com", true },
  { "floriankeller.de", true },
  { "florianmitrea.uk", true },
  { "florianschmitt.ca", true },
  { "floriantanner.ch", true },
  { "florida-immigration.com", true },
  { "floridafabrication.net", true },
  { "floridahomesinvest.com", true },
  { "floridamainmovers.com", true },
  { "floridasexhealth.com", true },
  { "floridawaterapparel.net", true },
  { "floridaweightlossdoctors.com", true },
  { "florinlungu.it", true },
  { "florismouwen.com", false },
  { "floristik-online.com", true },
  { "floristmou.com", true },
  { "florisvdk.net", true },
  { "floriswesterman.nl", true },
  { "flosch.at", false },
  { "floskelwolke.de", true },
  { "flossexanten.de", true },
  { "flourishtogether.com", true },
  { "flow.su", true },
  { "flowcom.de", true },
  { "flowersquito.com", true },
  { "flowinity.com", true },
  { "flowinvoice.com", true },
  { "flowreader.com", true },
  { "flra.gov", true },
  { "fluffy.moe", true },
  { "fluffycloud.de", true },
  { "fluggesellschaft.de", true },
  { "fluglektuere.com", true },
  { "flugrecht.de", true },
  { "flugschule-usa.de", true },
  { "fluidmeterusa.com", true },
  { "fluidpicturesinc.com", true },
  { "fluids.ac.uk", true },
  { "fluitbeurt.nl", true },
  { "flukethoughts.com", true },
  { "flumble.nl", true },
  { "flunschi.goip.de", true },
  { "fluoxetine.net", true },
  { "flushlife.com", true },
  { "fluteandpianoteaching.co.uk", true },
  { "flux.healthcare", true },
  { "fluxfingers.net", true },
  { "fluxforge.com", true },
  { "fluxi.fi", true },
  { "fluxoid.com", true },
  { "flw365365.com", true },
  { "fly-en-drive.nl", true },
  { "fly.moe", true },
  { "flyadrenaline.com", true },
  { "flyavantar.com", true },
  { "flyawaybirds.ga", true },
  { "flyboyfpv.com", true },
  { "flydrivesicilie.nl", true },
  { "flyer.tools", true },
  { "flygon.pink", true },
  { "flying-dudes.de", true },
  { "flyinghigh.co.jp", true },
  { "flyinglocksmiths.com", true },
  { "flyingpackets.net", true },
  { "flyingrub.me", true },
  { "flymns.fr", true },
  { "flynn.io", true },
  { "flyp.me", true },
  { "flypenge.dk", true },
  { "flyserver.co.il", false },
  { "flyswoop.com", true },
  { "flyt.online", true },
  { "flytoadventures.com", true },
  { "flywus.com", true },
  { "fm.ie", true },
  { "fmbilder.se", true },
  { "fmcs.gov", true },
  { "fmdance.cl", true },
  { "fmeventcentre.com", true },
  { "fminsight.net", true },
  { "fmodoux.biz", false },
  { "fmussatmd.com", true },
  { "fnanen.net", true },
  { "fnbnokomis.com", true },
  { "fnbot.shop", true },
  { "fneon.eu", true },
  { "fnh-expert.net", true },
  { "fnof.ch", true },
  { "fnordserver.eu", true },
  { "fnpro.eu", true },
  { "foair.me", true },
  { "foairbus.fr", false },
  { "foairbussas.fr", false },
  { "focanamoda.com.br", true },
  { "focanocliente.com.br", true },
  { "focusmark.jp", false },
  { "focusministries1.org", true },
  { "focuspointtechnologies.com", true },
  { "foej-aktiv.de", true },
  { "foej.net", true },
  { "foerster.gmbh", true },
  { "fogway.net", true },
  { "foia.gov", true },
  { "foiaonline.gov", true },
  { "foixet.com", true },
  { "fojing.com", true },
  { "fojt.cz", true },
  { "fojtova.cz", true },
  { "fojtovi.cz", true },
  { "fokan.be", true },
  { "fokan.ch", true },
  { "fokep.no", true },
  { "fokus.ag", true },
  { "fol.tf", true },
  { "folar.ga", true },
  { "folio.no", true },
  { "foliumbiosciences.com", true },
  { "foliumfinance.com", true },
  { "foljeton.dk", true },
  { "folk.as", true },
  { "folkofolk.se", true },
  { "follandviolins.com", true },
  { "follower98.ir", true },
  { "followmystaff.com", true },
  { "followthatpage.com", true },
  { "followthedog.co.uk", true },
  { "foluomeng.net", true },
  { "folv.es", true },
  { "folwark.krakow.pl", true },
  { "fomopop.com", true },
  { "fonamperu.org.pe", true },
  { "fondationwiggli.ch", true },
  { "fondy.ru", true },
  { "fondy.ua", true },
  { "fonga.ch", true },
  { "fonline.tk", true },
  { "fono.jp", true },
  { "fonolo.com", true },
  { "fonseguin.ca", true },
  { "font-converter.net", true },
  { "fonte-trading.com", true },
  { "fontedoprazer.com", true },
  { "fontein.de", true },
  { "fontela.es", true },
  { "fontlibrary.org", true },
  { "fonts4free.net", true },
  { "fonzone.it", true },
  { "foo.fo", true },
  { "foo.hamburg", true },
  { "food4healthybones.com", true },
  { "foodboy.com", true },
  { "foodev.de", true },
  { "foodlist.net", true },
  { "foodloader.net", true },
  { "foodsafety.gov", true },
  { "foodsafetyjobs.gov", true },
  { "foodsoul.pro", true },
  { "foodwise.marketing", true },
  { "foolip.org", true },
  { "foolwealth.com", true },
  { "foonly.fi", true },
  { "foorack.com", true },
  { "fooster.io", true },
  { "foot.fr", true },
  { "footagecrate.com", true },
  { "footballforum.de", true },
  { "footballsrit.tk", true },
  { "for.care", false },
  { "foray-jero.me", true },
  { "forbidden-mods.de", true },
  { "force4racing.co.uk", true },
  { "force4racing.com", true },
  { "forcelink.eu", true },
  { "forcelink.nl", true },
  { "forcelinkamerica.com", true },
  { "forcelinkamerica.nl", true },
  { "forcerakodo.hu", true },
  { "forcewave.com", true },
  { "ford-mustang.tk", true },
  { "ford-shop.by", true },
  { "ford.com.au", true },
  { "ford.com.br", true },
  { "ford.com.cn", true },
  { "ford.mx", true },
  { "fordlibrarymuseum.gov", true },
  { "fordsync.com", true },
  { "foreachcode.com", true },
  { "forecastcity.com", true },
  { "foreclosureattorneyhouston.com", true },
  { "forefrontcloud.com", true },
  { "foregroundweb.com", true },
  { "foreign-language-colleges.com", true },
  { "foreignxchange.com.au", true },
  { "forellenpark.com", true },
  { "forensicsoftware.biz", true },
  { "forento.be", true },
  { "foresightbusinessservices.co.uk", true },
  { "forestraven.net", true },
  { "forevergreens.us", true },
  { "foreverssl.com", true },
  { "foreversummertime.com", true },
  { "foreverydream.com", true },
  { "forewordreviews.com", true },
  { "forex-giants.com", true },
  { "forex.ee", true },
  { "forex7.co", true },
  { "forexarby.com", true },
  { "forexchef.de", true },
  { "forexcity.cf", true },
  { "forexee.com", true },
  { "forfeit.ga", true },
  { "forfeiture.gov", true },
  { "forfunssake.co.uk", true },
  { "forge-goerger.eu", false },
  { "forgotten-legends.org", true },
  { "form3w.nl", true },
  { "formacionyestudios.com", true },
  { "formalgrammar.tk", true },
  { "formality.one", true },
  { "forman.store", true },
  { "formapi.io", true },
  { "format-paysage.ch", false },
  { "formation-assureur.com", true },
  { "formation-mac.ch", false },
  { "formationseeker.com", true },
  { "formi9.com", true },
  { "formio.nl", true },
  { "formsbyair.com", true },
  { "formsmarts.com", true },
  { "formula-ot.ru", true },
  { "formulacionquimica.com", true },
  { "formulastudent.de", true },
  { "fornoreason.net.au", true },
  { "fornwall.net", true },
  { "foroaranda.com", true },
  { "forokd.com", true },
  { "forrestheller.com", true },
  { "forro.info", true },
  { "forsaleinedmonton.ca", true },
  { "forself.me", true },
  { "forsi.xyz", true },
  { "forstbetrieb-hennecke.de", true },
  { "forstprodukte.de", true },
  { "fortdodgeradio.com", true },
  { "forteggz.nl", true },
  { "forthetoys.com", true },
  { "forthewin.rocks", true },
  { "forthvalleykeswick.co.uk", true },
  { "fortnine.ca", true },
  { "fortress.no", true },
  { "fortress.sk", true },
  { "fortuna-apotheke-lahnstein.de", true },
  { "fortuna.co.ua", true },
  { "forty-two.nl", true },
  { "forty8creates.com", true },
  { "fortygordy.com", true },
  { "fortytwo.cloud", true },
  { "forum-4.com", true },
  { "forum-batteries.com", true },
  { "forum-bonn.de", true },
  { "forum-egypte.tk", true },
  { "forum-noginska.tk", true },
  { "forum-tutorapide.ml", true },
  { "forum.quantifiedself.com", false },
  { "forumcarriocity.tk", true },
  { "forumdimo.fr", true },
  { "forumirc.net", true },
  { "forumpakistan.tk", true },
  { "forumstandaardisatie.nl", true },
  { "forvisualdesign.com", false },
  { "forward-fly-fishing.ch", false },
  { "foryourhealthybody.com", true },
  { "fos-apps.org", true },
  { "fos-games.org", true },
  { "fosaudit.com", true },
  { "foscamcanada.com", true },
  { "fosdem.org", true },
  { "fosgreece.com", true },
  { "fossboxen.com", true },
  { "fossboxen.net", true },
  { "fossboxen.org", true },
  { "fossdaily.xyz", true },
  { "fossforward.com", true },
  { "fossilfreeyale.org", true },
  { "fosterpark.ca", true },
  { "fotella.com", true },
  { "fotl.ua", true },
  { "foto-janvanaefst.nl", true },
  { "foto-leistenschneider.de", true },
  { "foto-leitner.com", true },
  { "foto-leitner.de", true },
  { "foto-robitsch.at", true },
  { "foto-roma.ru", true },
  { "foto.by", true },
  { "fotoblog.nrw", true },
  { "fotobodyart.nl", true },
  { "fotoboxvysocina.cz", true },
  { "fotofaerie.net", true },
  { "fotoflits.net", true },
  { "fotofon.tk", true },
  { "fotografechristha.nl", true },
  { "fotografiadellalucerossa.com", true },
  { "fotografiamakro.pl", true },
  { "fotohome.dk", true },
  { "fotokomorkomania.pl", true },
  { "fotoleitner.com", true },
  { "fotoleitner.de", true },
  { "fotonjan.com", true },
  { "fotopalacedigitalstudio.tk", true },
  { "fotostravestisbr.com", true },
  { "fotostudio-leitner.com", true },
  { "fotostudio-leitner.de", true },
  { "fotostudio-schweiz.ch", true },
  { "fotowolfy.com", true },
  { "fougner.co", true },
  { "found.website", true },
  { "foundationrepairnebraska.com", true },
  { "foundationspecialistmi.com", true },
  { "foundchurch.co.uk", true },
  { "founded.ml", true },
  { "founderio.net", true },
  { "foundsounds.me", true },
  { "fourashesgolfcentre.co.uk", true },
  { "fourashesgolfcentre.com", true },
  { "fourdesignstudio.com", true },
  { "fourfourcrew.com", true },
  { "fourmies.fr", true },
  { "fournarisopenday.com", true },
  { "fournisseur-des-collectivites.com", true },
  { "fourscore.ga", true },
  { "foursight.io", true },
  { "fourwaysplumber24-7.co.za", true },
  { "fourxone.com", true },
  { "fowlsmurf.net", true },
  { "fox.my", false },
  { "foxeffect.com", true },
  { "foxesare.sexy", true },
  { "foxghoul.com", true },
  { "foxhillshotel.com", true },
  { "foxo.blue", true },
  { "foxontheinter.net", true },
  { "foxphotography.ch", false },
  { "foxquill.com", false },
  { "foxroy.com", true },
  { "foxscribbler.com", true },
  { "foxstreetcomms.co.za", false },
  { "foxtrotfm.tk", true },
  { "foxycredit.com", true },
  { "fozzie.co.uk", true },
  { "fozzie.space", true },
  { "fpasca.com", true },
  { "fpc.gov", false },
  { "fpersona.com", true },
  { "fpgamania.com", true },
  { "fps73.ru", true },
  { "fpsclasico.de", true },
  { "fpsv.de", true },
  { "fpy.cz", true },
  { "fr.search.yahoo.com", false },
  { "fr33tux.org", true },
  { "frack.nl", false },
  { "fracreazioni.it", true },
  { "fracturedperspective.com", true },
  { "fraesentest.de", true },
  { "frag.works", true },
  { "fragdenstaat.de", true },
  { "fragmentspuren.de", true },
  { "fragstore.net", true },
  { "fraho.eu", true },
  { "frail.gq", true },
  { "framapiaf.org", false },
  { "framboise314.fr", true },
  { "framer.com", true },
  { "framezdakkapellen.nl", true },
  { "fran.cr", true },
  { "france-hotellerie-restauration.com", true },
  { "france-news.cf", true },
  { "francepandi.fr", true },
  { "francesca-and-lucas.com", true },
  { "francescopalazzo.com", true },
  { "francescopandolfibalbi.it", true },
  { "francescoyatesfansite.com", true },
  { "francetraceur.fr", true },
  { "franchini.email", true },
  { "franchini.engineer", true },
  { "franchisehive.com", true },
  { "francinebelanger.network", true },
  { "francisli.net", false },
  { "francisplaza.com", true },
  { "franckgirard.net", true },
  { "francois-occasions.be", false },
  { "francoisbelangerboisclair.com", true },
  { "francoise-paviot.com", true },
  { "francoisharvey.ca", true },
  { "francoislepage.com", false },
  { "francoz.me", true },
  { "frandor.co.uk", true },
  { "frank.fyi", true },
  { "frankbellamy.co.uk", true },
  { "frankellawfirm.com", true },
  { "franken-lehrmittel.de", true },
  { "frankenhost.de", true },
  { "frankenlehrmittel.de", true },
  { "frankieburkeactor.tk", true },
  { "frankieistanbul.com", true },
  { "frankierfachmann.de", true },
  { "frankierstar.de", true },
  { "frankinteriordesign.co.uk", true },
  { "frankl.in", true },
  { "franklinmagic.com", true },
  { "frankopol-sklep.pl", true },
  { "frankslaughterinsurance.com", true },
  { "frankyan.com", true },
  { "frantic1048.com", true },
  { "frantorregrosa.me", true },
  { "franz-vatter.de", true },
  { "franz.beer", true },
  { "franziska-pascal.de", true },
  { "franziskaherbert.de", true },
  { "franzknoll.de", true },
  { "fraplaster.com", true },
  { "frappant.cc", true },
  { "frappant.net", true },
  { "frasch-umzuege.de", true },
  { "fraselab.ru", true },
  { "frasesconemocion.com", true },
  { "frasesdodia.com", true },
  { "frasesdodia.net", true },
  { "frasesparaface.com.br", true },
  { "frasesytarjetas.com", true },
  { "fratelliscarrone.com", true },
  { "frattaroli.org", true },
  { "frau-inge.de", true },
  { "frau-pusteblu.me", true },
  { "frau-sucht-bauer.de", true },
  { "fraudmarc.com", true },
  { "frauen-etappenrennen.de", true },
  { "frauenarzt-niendorf.de", false },
  { "frauenarzt-zinke.de", true },
  { "frauenlob.rocks", true },
  { "fraufries.de", true },
  { "fraurichter.net", true },
  { "fraye.net", true },
  { "frazell.net", true },
  { "frbracch.it", true },
  { "frc.gov", true },
  { "frdl.ch", false },
  { "freaksites.dk", true },
  { "freaksports.com.au", true },
  { "frebib.co.uk", true },
  { "frebib.com", true },
  { "frebib.net", true },
  { "freddieleeman.nl", true },
  { "fredericcote.com", true },
  { "frederik-braun.com", false },
  { "frederikshavn.net", true },
  { "frederikvig.com", true },
  { "fredhook.tk", true },
  { "fredloya.com", true },
  { "fredriksslaktforskning.se", true },
  { "fredriksslekt.se", true },
  { "freds4buildings.com", true },
  { "fredsmith.net", true },
  { "fredsmith.org", true },
  { "fredsmith.us", true },
  { "fredvoyage.fr", true },
  { "free-bitco.ml", true },
  { "free-generate.tk", true },
  { "free-sex-sites.com", true },
  { "free-ss.site", true },
  { "free.com.tw", true },
  { "free8hd.com", true },
  { "freeaf.gq", true },
  { "freebarrettbrown.org", true },
  { "freebcard.com", true },
  { "freebegames.tk", true },
  { "freebetoffers.co.uk", true },
  { "freebies.id", true },
  { "freebookmakersbetsandbonuses.com.au", true },
  { "freeboson.org", true },
  { "freebsdbrasil.com.br", true },
  { "freebus.org", true },
  { "freecloud.at", true },
  { "freecodezilla.com", true },
  { "freedev.cz", true },
  { "freedom.nl", false },
  { "freedom.press", true },
  { "freedom35.org", true },
  { "freedomdujour.com", true },
  { "freedomfinance.se", true },
  { "freedomflotilla.org", true },
  { "freedomhk.info", true },
  { "freedomhkg.info", true },
  { "freedomhkg.net", true },
  { "freedomhkg.org", true },
  { "freedomonline.bg", true },
  { "freedomrahoitus.fi", true },
  { "freedomtoolkit.com", true },
  { "freeenglishhelp.com", true },
  { "freeexampapers.com", true },
  { "freefilesync.org", true },
  { "freefinancialhelp.net", true },
  { "freeform4u.de", true },
  { "freegame-mugen.jp", true },
  { "freegovernmentcellphoneguide.com", true },
  { "freegutters.com", true },
  { "freeiconspng.com", true },
  { "freeinfos.fr", true },
  { "freeinoutboard.com", true },
  { "freejeremy.net", true },
  { "freekdevries.nl", true },
  { "freeks.com.br", true },
  { "freelance-webdesigner.jp", true },
  { "freelance.boutique", true },
  { "freelance.nl", true },
  { "freelancecollab.com", true },
  { "freelanceessaywriters.com", true },
  { "freelancehunt.com", true },
  { "freelancejobs.org.uk", true },
  { "freelauri.com", true },
  { "freelifer.jp", true },
  { "freemanlogistics.com", true },
  { "freemans.com", true },
  { "freeministryresources.org", true },
  { "freemomhugs.org", true },
  { "freemotion.tk", true },
  { "freemyipod.org", true },
  { "freenetproject.org", true },
  { "freeonplate.com", true },
  { "freepastlife.com", true },
  { "freepnglogos.com", true },
  { "freepublicprofile.com", true },
  { "freertomorrow.com", true },
  { "freeshell.de", true },
  { "freeshkre.li", true },
  { "freesitemapgenerator.com", true },
  { "freesms-online.de", true },
  { "freesnowden.is", true },
  { "freesoft-board.to", true },
  { "freesoftlab.com", true },
  { "freesolitaire.win", true },
  { "freesourcestl.org", true },
  { "freespot.mobi", true },
  { "freessl.tech", true },
  { "freesslcertificate.me", true },
  { "freestylesolutions.com", true },
  { "freetaxusa.com", true },
  { "freetext.org", true },
  { "freethetv.ie", true },
  { "freetrung.tk", true },
  { "freetsa.org", true },
  { "freevision.co", true },
  { "freevst.ir", true },
  { "freeweibo.com", true },
  { "freewerkt.nl", true },
  { "freewillfilm.com", true },
  { "freewoodfactory.com", true },
  { "freeyourmusic.com", true },
  { "freezemea.com", true },
  { "freezion.com", true },
  { "freie-software.net", true },
  { "freiewaehler-verden.de", true },
  { "freifahrt.de", true },
  { "freifall.tk", true },
  { "freifunk-burgaltendorf.de", true },
  { "freifunk-essen.de", true },
  { "freifunk-luenen.de", true },
  { "freimeldungen.de", true },
  { "freims.cc", true },
  { "freitasul.com.br", true },
  { "freitasul.io", true },
  { "freiwuppertal.de", true },
  { "freiwurst.net", true },
  { "freizeitbad-riff.de", true },
  { "freizeitplaza.de", true },
  { "frenchcreekcog.org", true },
  { "frenchmac.com", true },
  { "frenchmusic.fr", true },
  { "frequencebanane.ch", false },
  { "frequentflyerapp.com", true },
  { "fresh-hotel.org", true },
  { "fresh-networks.net", true },
  { "fresh.co.il", true },
  { "fresh4.co.uk", true },
  { "freshair.com.br", true },
  { "freshbean.club", true },
  { "freshbooks.com", true },
  { "freshdns.nl", true },
  { "freshempire.gov", true },
  { "freshers9.com", true },
  { "fretscha.com", true },
  { "frettirnar.is", true },
  { "fretworksec.com", true },
  { "freundinnen-ausflug.de", true },
  { "freundinnen-kurzurlaub.de", true },
  { "freundinnen-urlaub.de", true },
  { "freundinnenausflug.de", true },
  { "frforms.com", true },
  { "friarsonbase.com", true },
  { "fricassea.com", true },
  { "frickelboxx.de", true },
  { "frickelmeister.de", true },
  { "fridarestaurantemexicano.com", true },
  { "fridaysforfuture-bremen.de", true },
  { "fridolinka.cz", true },
  { "friedberg2020.de", true },
  { "friederes.lu", true },
  { "friederloch.de", true },
  { "friedrich-foto-art.de", true },
  { "friedsamphotography.com", true },
  { "friedstechnology.com", true },
  { "friedstechnology.nl", true },
  { "friedstechnology.online", true },
  { "friedzombie.com", true },
  { "friedzombie.nl", true },
  { "friedzombie.online", true },
  { "friendlycleaners.co.uk", true },
  { "friendlysiberia.com", true },
  { "friendowment.us", true },
  { "friends24.cz", true },
  { "friendshipismagicsquad.com", true },
  { "friendsofgfwpc.org", true },
  { "friendsofparks.org", true },
  { "friet.org", true },
  { "frietbesteld.nl", true },
  { "frietzombie.nl", true },
  { "friezy.ru", true },
  { "frigi.ch", false },
  { "frign.de", true },
  { "frigolit.net", true },
  { "friller.com.au", true },
  { "frillip.com", true },
  { "fringeintravel.com", true },
  { "frinkiac.com", true },
  { "frino.de", true },
  { "frippz.se", true },
  { "friseur-foerder.de", true },
  { "friss.com", true },
  { "fritz-koehne-schule.de", true },
  { "fritzrepair.com", true },
  { "frizo.com", true },
  { "frizzless.com", true },
  { "fro.se", true },
  { "frob.nl", true },
  { "frode.win", true },
  { "froehliche-hessen.de", true },
  { "frogatto.com", true },
  { "frogeye.fr", true },
  { "froggitt.com", true },
  { "frogical.nl", true },
  { "froh.co.jp", true },
  { "frolova.org", true },
  { "fromager.net", true },
  { "fromscratch.rocks", true },
  { "fromtheboxoffice.com", true },
  { "fromtinythings.com", true },
  { "fronteers.nl", false },
  { "frontier-ad.co.jp", true },
  { "frontiers.nl", true },
  { "frontline.cloud", true },
  { "frontlinemessenger.com", true },
  { "froogo.co.uk", true },
  { "fropky.com", true },
  { "frosoku.com", true },
  { "frostprotection.co.uk", true },
  { "frostwarning.com", true },
  { "frosty.sk", true },
  { "frothy.coffee", true },
  { "frovi.co.uk", true },
  { "frownonline.co.uk", true },
  { "frozen-geek.net", true },
  { "frozen-solid.net", true },
  { "frozenfutures.com", true },
  { "frozenjam.com", true },
  { "frozensector.com", true },
  { "frpg.gov", true },
  { "frprn.com", true },
  { "frprn.es", true },
  { "frprn.xxx", true },
  { "frsra.ml", true },
  { "frtib.gov", true },
  { "frtn.com", true },
  { "frtrains.com", false },
  { "fruchthof24.de", true },
  { "fruchtikus.net", true },
  { "fruend-hausgeraeteshop.de", true },
  { "frugalfamilyhome.com", true },
  { "frugro.be", true },
  { "fruit-farm.tk", true },
  { "fruition.co.jp", true },
  { "fruitscale.com", true },
  { "fruityten.co.uk", true },
  { "frusky.de", true },
  { "frutasyvejetales.com", true },
  { "fruxprivatebank.net", true },
  { "fryergroup.com", true },
  { "fs-g.org", true },
  { "fs-maistadt.de", true },
  { "fs257.com", true },
  { "fsavc.org.uk", true },
  { "fsbn.eu", true },
  { "fsbnh.bank", true },
  { "fsbpaintrock.com", true },
  { "fsbturton.com", true },
  { "fsch2009.com", true },
  { "fsck.jp", false },
  { "fsckd.com", true },
  { "fscott.de", true },
  { "fsd.gov", true },
  { "fsfxpackages.com", true },
  { "fsg.one", true },
  { "fsgeek.ca", true },
  { "fsk.fo", true },
  { "fskounoike.com", true },
  { "fsky.info", true },
  { "fsm2016.org", true },
  { "fsps.ch", true },
  { "fsty.uk", true },
  { "fsvoboda.cz", true },
  { "fsvt.ch", false },
  { "ft.com", false },
  { "ftang.de", true },
  { "ftc.gov", false },
  { "ftccomplaintassistant.gov", true },
  { "ftcefile.gov", true },
  { "ftdev.in", true },
  { "ftexchange.com", true },
  { "fthat.link", true },
  { "ftl13.com", true },
  { "ftmc.tk", true },
  { "ftnpower.com", true },
  { "ftptest.net", true },
  { "ftrsecure.com", true },
  { "ftrucks.com.au", true },
  { "ftv.re", true },
  { "ftx.com", true },
  { "ftx.io", true },
  { "fu-li88.com", true },
  { "fu-li88.net", true },
  { "fuantaishenhaimuli.net", true },
  { "fuckav.ru", true },
  { "fuckcie.com", true },
  { "fucklife.ch", true },
  { "fucknazis.tk", true },
  { "fuckup.dk", true },
  { "fuckz.net", true },
  { "fudie.net", true },
  { "fudubank.vn", true },
  { "fuechschen.org", true },
  { "fuelingyourdreams.com", false },
  { "fuerstenfelder-immobilien.de", true },
  { "fuglede.dk", true },
  { "fuite.ch", false },
  { "fuitedeau.ch", false },
  { "fuites.ch", false },
  { "fujianshipbuilding.com", true },
  { "fujiwaraqol.com", true },
  { "fujiwarashinzo.com", true },
  { "fukakukeiba.com", true },
  { "fukata.org", true },
  { "fukikaeru.com", true },
  { "fukt.ca", true },
  { "fukuiedu.com", true },
  { "fukushima-fun.com", true },
  { "fulfilmentcrowd.com", true },
  { "fulgenzis.com", true },
  { "fulige.top", true },
  { "fuliwang.info", true },
  { "fuliwang.us", true },
  { "full-race.com", true },
  { "fullautomotivo.com.br", true },
  { "fullbundle.com", true },
  { "fullcirclestudio.nl", true },
  { "fullerlife.org.uk", true },
  { "fullfilez.com", true },
  { "fullhost.com", true },
  { "fullhub.ru", true },
  { "fullmatch.net", true },
  { "fullstacknotes.com", false },
  { "fumblers.ca", true },
  { "fumerolles.ch", false },
  { "fumo.se", false },
  { "fun-bounce.co.uk", true },
  { "fun-fan.biz", true },
  { "fun-tasia.co.uk", true },
  { "fun4kidzbouncycastles.co.uk", true },
  { "fun4ubouncycastles.co.uk", true },
  { "fun888city.com", true },
  { "fun888city.net", true },
  { "fun88city.com", true },
  { "funadvisor.ca", true },
  { "funadvisorfrance.com", true },
  { "funatic.nl", true },
  { "funbuynet.com.br", true },
  { "funcabinrentals.com", true },
  { "funchestra.at", false },
  { "functional.cc", true },
  { "functions-online.com", true },
  { "fundacionfranciscofiasco.org", true },
  { "fundamentalsofaccounting.org", true },
  { "fundavi.jp", true },
  { "fundayltd.com", true },
  { "fundays.nl", true },
  { "fundchan.com", true },
  { "fundeego.com", false },
  { "fundingrainbows.com", true },
  { "fundkyapp.com", true },
  { "fundmylegalclaim.co.uk", true },
  { "fundort.ch", true },
  { "funds.ddns.net", true },
  { "funerare-cazacu.com", true },
  { "funfactorleeds.co.uk", true },
  { "funfair.io", true },
  { "funfoodco.co.uk", true },
  { "funfun.com.br", true },
  { "funfunmstdn.tokyo", true },
  { "fungomoscow.cf", true },
  { "funhouse-inflatables.co.uk", true },
  { "funidelia-tr.com", true },
  { "funidelia.at", true },
  { "funidelia.be", true },
  { "funidelia.bg", true },
  { "funidelia.ca", true },
  { "funidelia.ch", true },
  { "funidelia.cl", true },
  { "funidelia.co", true },
  { "funidelia.co.il", true },
  { "funidelia.co.nz", true },
  { "funidelia.co.uk", true },
  { "funidelia.com", true },
  { "funidelia.com.ar", true },
  { "funidelia.com.au", true },
  { "funidelia.com.br", true },
  { "funidelia.com.ua", true },
  { "funidelia.cz", true },
  { "funidelia.de", true },
  { "funidelia.dk", true },
  { "funidelia.ee", true },
  { "funidelia.es", true },
  { "funidelia.fi", true },
  { "funidelia.fr", true },
  { "funidelia.gr", true },
  { "funidelia.hk", true },
  { "funidelia.hr", true },
  { "funidelia.hu", true },
  { "funidelia.id", true },
  { "funidelia.ie", true },
  { "funidelia.in", true },
  { "funidelia.is", true },
  { "funidelia.it", true },
  { "funidelia.kr", true },
  { "funidelia.lt", true },
  { "funidelia.lu", true },
  { "funidelia.lv", true },
  { "funidelia.mx", true },
  { "funidelia.my", true },
  { "funidelia.nl", true },
  { "funidelia.no", true },
  { "funidelia.ph", true },
  { "funidelia.pt", true },
  { "funidelia.ro", true },
  { "funidelia.rs", true },
  { "funidelia.ru", true },
  { "funidelia.se", true },
  { "funidelia.sg", true },
  { "funidelia.si", true },
  { "funidelia.sk", true },
  { "funinbeds.org.uk", true },
  { "funken-networks.de", true },
  { "funkfamily.org", true },
  { "funkfernbedienung-industrie.de", true },
  { "funknotaus.de", true },
  { "funktionel.co", true },
  { "funktionevents.co.uk", true },
  { "funktionsverket.se", true },
  { "funkydealz.no", true },
  { "funmountaincanyon.com", true },
  { "funniestclip.com", true },
  { "funnybikini.com", true },
  { "funnychristianjokes.tk", true },
  { "funoverip.net", true },
  { "funprode.org", true },
  { "funsochi.ru", true },
  { "funspins.com", true },
  { "funtime-inflatables.co.uk", true },
  { "funtime.com.ua", true },
  { "funtime.kiev.ua", true },
  { "funtimeentertainment.co.uk", true },
  { "funtimesbouncycastles.co.uk", true },
  { "funyirotraktor.hu", true },
  { "fur.red", true },
  { "furca.ca", true },
  { "furcdn.net", true },
  { "furgetmeknot.org", true },
  { "furgo.love", true },
  { "furigana.info", true },
  { "furkancaliskan.com", true },
  { "furkot.com", true },
  { "furkot.de", true },
  { "furkot.es", true },
  { "furkot.fr", true },
  { "furkot.it", true },
  { "furkot.pl", true },
  { "furlan.co", false },
  { "furlog.it", false },
  { "furnfurs.com", true },
  { "furnishedproperty.com.au", true },
  { "furniturezoneboone.com", true },
  { "furries-united.de", true },
  { "furry.bot", true },
  { "furry.cat", true },
  { "furry.cool", true },
  { "furry.dk", true },
  { "furrytech.network", true },
  { "furukogarasusha.com", true },
  { "fusa-miyamoto.jp", true },
  { "fusechange.org", true },
  { "fuselight.nl", true },
  { "fuseos.net", true },
  { "fuseyahoken.com", true },
  { "fusionapps.com", true },
  { "fusionapps.net", true },
  { "fusionetics.plus", true },
  { "fusiongaming.de", true },
  { "fussball-xxl.de", true },
  { "fussell.io", true },
  { "fuszara.pl", true },
  { "futa.moe", false },
  { "futaba-works.com", true },
  { "futbol-tv.tk", true },
  { "futbolvivo.tv", true },
  { "futureaudiographics.com", true },
  { "futurefastforward.com", true },
  { "futurefive.asia", true },
  { "futurefive.co.nz", true },
  { "futurefive.com.au", true },
  { "futurefund.com", true },
  { "futuregrowthva.com", true },
  { "futurenda.com", true },
  { "futuressm.com", true },
  { "futurestyletiling.com.au", true },
  { "futurezone.at", true },
  { "fuuko.net", true },
  { "fuwafuwa.moe", true },
  { "fuyu.moe", true },
  { "fuzenet.net", true },
  { "fuzoku.jp", true },
  { "fuzzing-project.org", true },
  { "fvap.gov", true },
  { "fveevaete.com", true },
  { "fwdx.net", true },
  { "fwest.ovh", true },
  { "fwest98.nl", true },
  { "fwest98.ovh", true },
  { "fws.gov", true },
  { "fwz.me", true },
  { "fx-rating.com", true },
  { "fx-rk.com", true },
  { "fx5.de", true },
  { "fxislamic.com", true },
  { "fxmarketing.com.au", true },
  { "fxmarketing.net.au", true },
  { "fxmotion.ir", true },
  { "fxopen.co.uk", true },
  { "fxopen.com", true },
  { "fxopen.com.au", true },
  { "fxopen.com.br", true },
  { "fxopen.com.mx", true },
  { "fxopen.my", true },
  { "fxopen.ru", true },
  { "fxp.co.il", true },
  { "fxseo.com.au", true },
  { "fxsshiwo.cn", true },
  { "fxtalk.cn", true },
  { "fxthai.com", true },
  { "fxtrade-lab.com", true },
  { "fxweb.co", true },
  { "fxwebsites.com.au", true },
  { "fxwebsites.net.au", true },
  { "fxwebstudio.net.au", true },
  { "fyfywka.com", true },
  { "fyksen.me", true },
  { "fyn.nl", true },
  { "fyner.lt", true },
  { "fyol.xyz", false },
  { "fyretrine.com", true },
  { "fysesbjerg.dk", true },
  { "fysio-ict.nl", true },
  { "fysiomassageoosterhout.nl", true },
  { "fysiotherapie-ict.nl", true },
  { "fysiotherapieapeldoornzuid.nl", true },
  { "fysiotherapieholtenbroek.nl", true },
  { "fysiovdberg.nl", true },
  { "fyss.ga", true },
  { "fysuite.com", true },
  { "fytcart.com", true },
  { "fytorio-pasxalis.gr", true },
  { "fzbrweb.cz", true },
  { "fzdm.com", true },
  { "fzhyzamt.com", true },
  { "g-ds.de", true },
  { "g-fruit.gr", true },
  { "g-lab.xyz", true },
  { "g-m-w.eu", true },
  { "g-p-design.com", true },
  { "g-rom.net", true },
  { "g.co", false },
  { "g0158.com", true },
  { "g0881.com", true },
  { "g0man.com", true },
  { "g1.ie", true },
  { "g10e.ch", true },
  { "g116688.com", true },
  { "g22-livechat.com", true },
  { "g2jp.uk", true },
  { "g2links.com", true },
  { "g2pla.net", true },
  { "g2ship.com", true },
  { "g2soft.net", true },
  { "g365.vip", false },
  { "g36533.com", true },
  { "g3d.ro", true },
  { "g3dev.ch", false },
  { "g3homefoods.com", true },
  { "g4w.co", true },
  { "g51365.com", true },
  { "g7035.com", true },
  { "g7yy.com", true },
  { "g818city.com", true },
  { "g8energysolutions.co.uk", true },
  { "ga-2.it", true },
  { "ga-part.ru", true },
  { "gaaz.fr", true },
  { "gabe.house", true },
  { "gabe565.com", true },
  { "gabeb1920.com", true },
  { "gabecook.com", true },
  { "gabinetejuridicotecnologicojuandemeseguer.es", true },
  { "gabinetpsychoterapii.krakow.pl", true },
  { "gabiocs.com", true },
  { "gablesportsga.com", true },
  { "gabriel.to", true },
  { "gabriele.tips", true },
  { "gabrielgn.com.br", true },
  { "gabriella.cf", true },
  { "gabrielsteens.nl", true },
  { "gabryjeluk.tk", true },
  { "gachimuchi.ru", true },
  { "gachiyase.com", true },
  { "gachter.name", false },
  { "gaci88play.com", true },
  { "gad.co.id", true },
  { "gadabit.pl", true },
  { "gaddini.it", true },
  { "gadgetadvisor.com", true },
  { "gadgetflip.com", true },
  { "gadgethacks.com", true },
  { "gadgetstock.ir", true },
  { "gae123.com", true },
  { "gaelico.tk", true },
  { "gaengler.com", true },
  { "gaestehaus-leipzig.de", true },
  { "gaestehaus-monika.com", true },
  { "gaetanosonline.com", true },
  { "gaetantremois.fr", true },
  { "gafa.vn", true },
  { "gaff-rig.co.uk", true },
  { "gaflooring.com", true },
  { "gafunds.com", true },
  { "gaganenterprises.in", true },
  { "gagliarducci.it", true },
  { "gagnerplusdargent.info", true },
  { "gagniard.org", true },
  { "gagor.pl", true },
  { "gagramore.cf", true },
  { "gagygnole.ch", false },
  { "gaiavanderzeyp.com", true },
  { "gaigelama.com", true },
  { "gaines-sodiamex.fr", true },
  { "gainins.com", true },
  { "gaio-automobiles.fr", true },
  { "gaireg.de", true },
  { "gaitandmobility.com", true },
  { "gaitrehabilitation.com", true },
  { "gaitresearch.com", true },
  { "gajas18.com", true },
  { "gajowniczek.eu", true },
  { "gakdigital.com", true },
  { "gakki.photos", true },
  { "gaku-architect.com", true },
  { "galacg.me", true },
  { "galak.ch", false },
  { "galaktika-znakomstv.tk", true },
  { "galaltosalento.it", true },
  { "galanight.cz", true },
  { "galax.us", true },
  { "galaxus.at", true },
  { "galaxus.ch", true },
  { "galaxus.com", true },
  { "galaxus.de", true },
  { "galaxus.eu", true },
  { "galaxus.fr", true },
  { "galaxy.edu.pe", true },
  { "galaxymusicpromo.com", true },
  { "galaxyplex.tk", true },
  { "galaxyscientific.com", true },
  { "galeriakobylarz.pl", true },
  { "galeriarr.pl", true },
  { "galeries.photo", false },
  { "galganoboutique.com", true },
  { "galighticus.com", true },
  { "galilahiskye.com", true },
  { "galileanhome.org", true },
  { "galinas-blog.de", true },
  { "galinos.gr", true },
  { "galj.info", true },
  { "galle.cz", true },
  { "galleoncloud.net", true },
  { "galleonwaymedical.com.au", true },
  { "gallerify.eu", true },
  { "galletasgabi.com.mx", false },
  { "galleyfoods.com", true },
  { "gallicrooster.com", true },
  { "gallifreyapp.co.uk", true },
  { "gallifreypermaculture.com.au", true },
  { "gallmeyer-consulting.com", true },
  { "gallun-shop.com", true },
  { "galoserver.org", true },
  { "galpaoap.com.br", true },
  { "galvingao.com", true },
  { "gamberorosso.menu", true },
  { "gamberorotto.com", true },
  { "gambetti.fr", true },
  { "gambitnash.co.uk", true },
  { "gambitnash.com", true },
  { "gambitprint.com", true },
  { "gambler.ru", true },
  { "gamblerhealing.com", true },
  { "gamblernd.com", true },
  { "gambling-business.club", true },
  { "gamblinghero.com", true },
  { "gamcore.com", true },
  { "game-files.net", false },
  { "game-topic.ru", true },
  { "game4less.com", true },
  { "game7.de", true },
  { "game818play.com", true },
  { "game88city.com", true },
  { "game88city.net", true },
  { "game88play.com", true },
  { "game88yule.com", true },
  { "gameanalytics.com", true },
  { "gameblabla.nl", true },
  { "gamebrott.com", true },
  { "gamecard-shop.nl", true },
  { "gamechefpummarola.eu", true },
  { "gamechurch.de", true },
  { "gameclue.jp", true },
  { "gamecollector.be", true },
  { "gameconservation.org.uk", true },
  { "gameconsole.co.nz", true },
  { "gamedevelopers.pl", true },
  { "gamegear.club", true },
  { "gamegix.com", true },
  { "gameharbor.duckdns.org", true },
  { "gameindustry.eu", true },
  { "gameisbest.jp", true },
  { "gamejobs.co", true },
  { "gamekaitori.jp", true },
  { "gamekeepers.cz", true },
  { "gamemodding.com", true },
  { "gamenerd.net", true },
  { "gameofbooks.de", true },
  { "gamepad.com.br", true },
  { "gameplaysforkids.com", true },
  { "gamepreorders.com", true },
  { "gamepres.org", true },
  { "gamer-portal.com", true },
  { "gamercredo.com", true },
  { "gamereactor.asia", true },
  { "gamereactor.cn", true },
  { "gamereactor.de", true },
  { "gamereactor.dk", true },
  { "gamereactor.es", true },
  { "gamereactor.eu", true },
  { "gamereactor.fi", true },
  { "gamereactor.fr", true },
  { "gamereactor.it", true },
  { "gamereactor.no", true },
  { "gamereactor.pt", true },
  { "gamereactor.se", true },
  { "gamerepublic.hu", true },
  { "gameres.com", true },
  { "gamerezo.com", true },
  { "gamerspost.ga", true },
  { "gamerzdot.com", true },
  { "games2kids.net", true },
  { "games4theworld.org", true },
  { "gamesaviour.com", true },
  { "gamesdepartment.co.uk", true },
  { "gameserver-admin.ga", true },
  { "gameserver-sponsor.me", true },
  { "gameshogun.xyz", true },
  { "gameshowchallenge.ie", true },
  { "gamesided.com", true },
  { "gamesme.cn", true },
  { "gamesplanet.com", true },
  { "gamesputnik.ru", true },
  { "gametube.website", true },
  { "gamewinninggoal.com", true },
  { "gamilab.com", true },
  { "gamilab.no", true },
  { "gamingexodus.com", true },
  { "gamingmedley.com", true },
  { "gamingmonitortest.com", true },
  { "gamingroomaccessories.com", true },
  { "gamingterritory.com", true },
  { "gamingtilltheend.cf", true },
  { "gamingx.tk", true },
  { "gamingzoneservers.com", true },
  { "gamishou.fr", true },
  { "gamismu.com", true },
  { "gamivo.com", true },
  { "gammaphibeta.tk", true },
  { "gampa.be", true },
  { "ganado.org", true },
  { "ganaenergia.com", true },
  { "ganaenergia.es", true },
  { "ganapati.fr", true },
  { "ganasoku.net", true },
  { "gancedo.com.es", true },
  { "gandalfservice.com", true },
  { "gandalfthefeline.com", true },
  { "gandgliquors.com", true },
  { "ganggalbichler.at", true },
  { "ganodermatiendaonline.com", true },
  { "ganpris.online", true },
  { "gansleit.com", false },
  { "gantt-chart.com", true },
  { "ganzgraph.de", true },
  { "ganztagplus.de", true },
  { "gao.ci", true },
  { "gao.rocks", true },
  { "gaodebo.com", true },
  { "gaos.org", true },
  { "gaozj.com", true },
  { "gapdirect.com", true },
  { "gapfa.org", false },
  { "gaphag.ddns.net", true },
  { "garage-leone.com", false },
  { "garagedejan.ch", true },
  { "garagedoorrepaircedarhilltx.com", true },
  { "garagedoorrepairingsanjose.com", true },
  { "garageenginuity.com", true },
  { "garagegoossens.be", true },
  { "garagesmart.com.au", true },
  { "garagevanhulle-used.be", false },
  { "garanteasy.com", true },
  { "garazskapuszereles.hu", true },
  { "garbomuffin.com", true },
  { "garbott.co.uk", true },
  { "garcia-franco.com", true },
  { "garciagerman.com", true },
  { "garda-see.mobi", true },
  { "gardedenfantspourtous.fr", true },
  { "garden4less.co.uk", true },
  { "gardengameshireuk.com", true },
  { "gardeningdirect.co.uk", true },
  { "gardensandgifts.com", true },
  { "gardensquaredental.co.uk", true },
  { "gardenstate.tech", true },
  { "gardikagigih.com", true },
  { "gardis.ua", true },
  { "garduri-electrice-animale.ro", true },
  { "garethbowker.com", true },
  { "garethkirk.com", true },
  { "garethrhugh.es", true },
  { "gargazon.net", true },
  { "garnuchbau.de", true },
  { "garonna.com.ua", true },
  { "garotos.gq", true },
  { "garron.net", true },
  { "garrowmediallc.com", true },
  { "garsio.com", true },
  { "gartenbaur.de", true },
  { "gartenplanung-brendes.de", true },
  { "garwoh.de", true },
  { "garycarmell.com", true },
  { "garycwaite.com", true },
  { "garyjones.co.uk", true },
  { "garyrh.com", true },
  { "garystallman.com", true },
  { "garyswine.com", true },
  { "garywhittington.com", true },
  { "gashalot.com", true },
  { "gasinstallationsjohannesburg.co.za", true },
  { "gaspapp.com", true },
  { "gastauftritt.net", true },
  { "gastoudererenda.nl", true },
  { "gastrobox.com.co", true },
  { "gastromedicalcenter.com.br", true },
  { "gastronom.ga", true },
  { "gastrotiger.at", true },
  { "gastrotiger.de", true },
  { "gate2home.com", true },
  { "gateaucreation.fr", true },
  { "gatekiller.co.uk", true },
  { "gatewaybridal.com", true },
  { "gatewayclub.com.au", true },
  { "gathegi.ga", true },
  { "gathermycrew.org.au", true },
  { "gathu.co.ke", true },
  { "gauche.com", true },
  { "gaudeamus-folklor.cz", true },
  { "gaudere.co.jp", true },
  { "gaussianwaves.com", true },
  { "gauthier.dk", true },
  { "gavin.sh", true },
  { "gavlix.se", true },
  { "gavr.me", true },
  { "gavr.space", true },
  { "gavr.xyz", true },
  { "gaw.sh", true },
  { "gay-personal-ads.com", true },
  { "gay-sissies.com", true },
  { "gaya-sa.org", true },
  { "gayauthors.org", true },
  { "gaycc.cc", true },
  { "gaymerconnect.net", true },
  { "gaymerx.com", true },
  { "gaymerx.net", true },
  { "gaymerx.org", true },
  { "gaypirateassassins.com", true },
  { "gaysexpositions.guide", true },
  { "gaytorrent.ru", true },
  { "gayukai.net", true },
  { "gazellegames.net", true },
  { "gazete.org", true },
  { "gazette.govt.nz", true },
  { "gazizov.tk", true },
  { "gb-repair.com", true },
  { "gboys.net", false },
  { "gbs-uk.com", true },
  { "gbthatcher.com", true },
  { "gc-mc.de", true },
  { "gc.de", true },
  { "gc.gy", true },
  { "gc.ru.net", true },
  { "gcbit.dk", true },
  { "gcfadvisors.com", true },
  { "gchc.com", true },
  { "gchq.lol", true },
  { "gcode.space", true },
  { "gcoded.de", true },
  { "gcs-ventures.com", true },
  { "gcsepod.com", true },
  { "gd88.cc", true },
  { "gda.fr", true },
  { "gdb-tutorial.net", true },
  { "gdesemena.ru", true },
  { "gdgrzeszow.pl", true },
  { "gdiary.net", true },
  { "gdngs.de", true },
  { "gdoce.es", false },
  { "gdpr-pohotovost.cz", true },
  { "gdpr.fr", true },
  { "gdraco.com", true },
  { "gdv.me", true },
  { "gdz-spishy.com", true },
  { "ge3k.net", false },
  { "gealot.com", true },
  { "gear4you.shop", true },
  { "gearallnews.com", true },
  { "gearbot.rocks", true },
  { "gearboxhero.com", true },
  { "gearfinder.nl", true },
  { "gearset.com", true },
  { "gearwise.se", true },
  { "geaskb.nl", true },
  { "geba-online.de", true },
  { "gebaeudebilanzierung.de", true },
  { "gebn.co.uk", true },
  { "gebn.uk", true },
  { "geboortestoeltje.com", true },
  { "geborgen-wachsen.de", true },
  { "gebruikershandleiding.com", true },
  { "gecem.org", true },
  { "gechr.io", true },
  { "geckler-ee.de", false },
  { "geder.at", true },
  { "gedlingcastlehire.co.uk", true },
  { "gedlingtherapy.co.uk", true },
  { "geecrat.com", true },
  { "geek-hub.de", true },
  { "geek.ch", true },
  { "geekabit.nl", true },
  { "geekandi.com", true },
  { "geekariom.com", true },
  { "geekbundle.org", true },
  { "geekclubbooks.com", true },
  { "geekeries.org", true },
  { "geeklair.net", true },
  { "geeklan.co.uk", true },
  { "geekles.net", true },
  { "geekobyte.com", true },
  { "geekpad.com", true },
  { "geeks.berlin", true },
  { "geeks.one", false },
  { "geeksandthecity.fr", true },
  { "geekshirts.cz", true },
  { "geekstreet.fr", true },
  { "geektier.com", true },
  { "geektopia.es", true },
  { "geekwhack.org", true },
  { "geekwithabudget.com", true },
  { "geekwu.org", true },
  { "geekyquiz.com", true },
  { "geekz.sk", true },
  { "geekzone.co.nz", true },
  { "geekzone.fr", true },
  { "geeq.ch", true },
  { "geerdsen.net", true },
  { "geertdegraaf.nl", true },
  { "geertswei.nl", true },
  { "gefolge.org", true },
  { "gegeco.ch", false },
  { "geh.li", true },
  { "gehas-wein-shop.de", false },
  { "gehatrans.de", true },
  { "gehirn.co.jp", true },
  { "gehirn.jp", true },
  { "gehopft.de", true },
  { "gehreslaw.com", true },
  { "gehrke.cloud", true },
  { "gehrke.in", true },
  { "gehsicht.de", true },
  { "geico.com", true },
  { "geigenbauer.in", false },
  { "geiser-family.ch", true },
  { "geisser-elektronikdata.de", true },
  { "geitenijs.com", true },
  { "gelaendermanufaktur.de", true },
  { "gelb-computer.de", true },
  { "geld-im-blick.de", true },
  { "geld24.nl", true },
  { "geldimblick.de", true },
  { "geleenbeekdal.nl", true },
  { "geleia-real.com", true },
  { "gelis.ch", true },
  { "gelog-software.de", false },
  { "gelonghui.com", true },
  { "geloofindemocratie.nl", true },
  { "gelpinhos.pt", true },
  { "gelsey.com", true },
  { "geluidsstudio.com", true },
  { "geluk.io", true },
  { "gelukkigehonden.nl", true },
  { "geluleminceur.fr", true },
  { "gem-info.fr", true },
  { "gemails.eu", true },
  { "gemeentestein.nl", true },
  { "gemeinderatswahl2020.de", true },
  { "gemeinsam-ideen-verwirklichen.de", true },
  { "gemelen.net", true },
  { "gemonite.com", true },
  { "gemquery.com", true },
  { "gemstn.com", true },
  { "gemstonz.org", true },
  { "genbars.jp", true },
  { "genbright.com", true },
  { "genchev.io", true },
  { "gencmedya.com", true },
  { "gender-summit.com", true },
  { "genderidentiteit.nl", true },
  { "gendrin.com", true },
  { "gendundrupa.ch", true },
  { "gene-drive.com", true },
  { "gene-drives.com", true },
  { "genealogiegazet.nl", true },
  { "genealogieonline.nl", true },
  { "genealogiewerkbalk.nl", true },
  { "genealorand.com", true },
  { "geneau.net", true },
  { "genehightower.com", true },
  { "genehome.com.au", true },
  { "genemon.at", true },
  { "genen.ga", true },
  { "generador-electrico.com", true },
  { "general-anaesthesia.com", true },
  { "general-anaesthetics.com", true },
  { "general-anesthesia.com", true },
  { "general-plast.com", true },
  { "generalinsuranceservices.com", true },
  { "generationr.nl", true },
  { "generator.creditcard", true },
  { "generic.cx", true },
  { "genericdevelopment.nl", true },
  { "generujdata.cz", true },
  { "genesiseureka.com", true },
  { "genesismachina.ca", true },
  { "genesistrading.com", true },
  { "genesysmi.com", true },
  { "genetargetsolutions.com.au", true },
  { "genetidyne.com", true },
  { "genevachauffeur.com", true },
  { "geneve-naturisme.ch", false },
  { "genevoise-entretien.ch", true },
  { "genfaerd.dk", true },
  { "genioideal.com", true },
  { "geniush.ovh", true },
  { "geniushost.in", true },
  { "geniusteacher.in", true },
  { "gennerator.com", true },
  { "genocidediary.org", true },
  { "genodeftest.de", true },
  { "genome.gov", false },
  { "genomedia.jp", true },
  { "genomequestlive.com", true },
  { "genometrik.de", true },
  { "genosse-einhorn.de", true },
  { "genossenwiese.ch", true },
  { "genoveve.de", true },
  { "gensend.com", true },
  { "gensenwedding.jp", true },
  { "genshiken-itb.org", true },
  { "gensicke.de", true },
  { "genslerapps.com", true },
  { "genslerwisp.com", true },
  { "gensokyo.re", true },
  { "gensonline.eu", true },
  { "gentapps.com", true },
  { "gentcdn.com", true },
  { "gentledance.ch", true },
  { "gentledance.net", true },
  { "gentlemens-life.de", true },
  { "gentlent.co", true },
  { "gentlent.com", true },
  { "gentlent.info", true },
  { "gentlent.net", true },
  { "gentlent.org", true },
  { "gentlent.us", true },
  { "gentlentapis.com", true },
  { "gentoo-blog.de", true },
  { "gentz.rocks", true },
  { "genunlimited.tk", true },
  { "genusshotel-riegersburg.at", true },
  { "genxnotes.com", true },
  { "geocar.com", true },
  { "geocompass.at", true },
  { "geoffnussmd.com", true },
  { "geoffsec.org", true },
  { "geofox.org", true },
  { "geography-schools.com", true },
  { "geohoney.com", true },
  { "geoip.fedoraproject.org", true },
  { "geoip.stg.fedoraproject.org", true },
  { "geojs.io", true },
  { "geology-schools.com", true },
  { "geomac.gov", true },
  { "geometra.roma.it", true },
  { "geometra24.it", true },
  { "geomonkeys.com", true },
  { "geoponika.gr", true },
  { "geoport.al", true },
  { "georadar-algerie.com", true },
  { "george-brighton.co.uk", true },
  { "george-orwell.com", true },
  { "georgebeverlysheamemorial.org", true },
  { "georgeblack.me", true },
  { "georgebrighton.co.uk", true },
  { "georgecolgrove.com", true },
  { "georgekaraoglanis.tk", true },
  { "georgemaschke.net", true },
  { "georgepancescu.ro", true },
  { "georgesand.be", true },
  { "georgewatson.me", true },
  { "georgewbushlibrary.gov", true },
  { "georgiaautoglass.net", true },
  { "georgiadance.com", true },
  { "georgiaglassrepair.com", true },
  { "georgiastuartyoga.co.uk", false },
  { "georgiaurologist.com", true },
  { "georgioskontaxis.com", true },
  { "georgioskontaxis.net", true },
  { "georgioskontaxis.org", true },
  { "georgmayer.eu", true },
  { "geoscope.ch", false },
  { "gepgroup.gr", true },
  { "gepps.de", true },
  { "geraintwhite.co.uk", true },
  { "gerald-zojer.com", true },
  { "geraldoazevedo.com.br", true },
  { "geraldsonrealty.com", true },
  { "gerardinden.nl", true },
  { "gerardozamudio.mx", true },
  { "gerbang-singkolo.ga", true },
  { "gerbyte.co.uk", true },
  { "gerbyte.com", true },
  { "geri.be", true },
  { "gerinet.pl", true },
  { "germandarknes.net", true },
  { "germanicvs.tk", true },
  { "germanmasterpainters.nz", true },
  { "germanssky.de", true },
  { "germantrip.tk", true },
  { "germanytravel.ga", true },
  { "germanytravelguide.ml", true },
  { "germfr.ee", true },
  { "germistonplumber24-7.co.za", true },
  { "germistonrubbleremovals.co.za", true },
  { "gernert-server.de", true },
  { "gero.io", true },
  { "geroiplavska.tk", true },
  { "gerritcodereview.com", true },
  { "gervais-avocat.fr", true },
  { "gerwinvanderkamp.nl", true },
  { "ges-bo.de", true },
  { "gesamenvat.nl", true },
  { "geschaeftsideen-ebook.de", true },
  { "geschichtscheck.de", true },
  { "geschmacksache.online", true },
  { "geschwinder.net", true },
  { "gesditel.es", false },
  { "geseduc.cl", true },
  { "gesevi.com", true },
  { "gesica.cloud", true },
  { "gesmav-trier.de", true },
  { "gesnex.com", true },
  { "gessettirotti.it", true },
  { "gestionadministrativevirtuelle.ca", true },
  { "gestionadministrativevirtuelle.ch", true },
  { "gestionadministrativevirtuelle.com", true },
  { "gestionrocamar.es", true },
  { "gestlifes.com", true },
  { "gestormensajeria.com", true },
  { "gestsal.com", true },
  { "gestus.co", true },
  { "gesundheitmassage.com", true },
  { "gesundheitswelt24.de", true },
  { "get-baaam.com", true },
  { "get-california-real-estate.com", true },
  { "get-erp.ru", true },
  { "get-it-live.com", true },
  { "get-it-live.de", true },
  { "get-maurice.com", true },
  { "get-on.bid", true },
  { "get-quick-bits-fast-2018.pw", true },
  { "get.how", true },
  { "get2getha.org", true },
  { "getacrane.co.uk", true },
  { "getalitools.ru", true },
  { "getbookked.com", true },
  { "getbooks.co.il", true },
  { "getboubou.com", true },
  { "getbox.me", true },
  { "getbreadcrumbs.com", true },
  { "getbrowink.com", true },
  { "getbutterfly.com", true },
  { "getcalc.com", true },
  { "getcard.cc", true },
  { "getcertified.pro", true },
  { "getcheapinsurancenow.info", true },
  { "getcloak.com", false },
  { "getcreditscore.com.au", true },
  { "getdash.io", true },
  { "getdeveloper.de", true },
  { "getdownon.it", true },
  { "geteduroam.no", true },
  { "geterp.ru", true },
  { "geteventbox.com", true },
  { "getfedora.org", true },
  { "getfirstalert.com", true },
  { "getflorence.co.uk", true },
  { "getgeek.es", true },
  { "getgeek.se", true },
  { "gethome.ru", true },
  { "gethow.org", true },
  { "gethttpsforfree.com", true },
  { "getidmcc.com", true },
  { "getimgs.com", true },
  { "getinphase.com", true },
  { "getintopc.com", true },
  { "getintra.org", true },
  { "getitlive.de", true },
  { "getjms.com", true },
  { "getlawyered.com.au", true },
  { "getmango.com", true },
  { "getmdl.io", true },
  { "getmerch.eu", true },
  { "getmonero.cz", true },
  { "getmovil.com", true },
  { "getnib.com", true },
  { "getnikola.com", true },
  { "getonyx.com", true },
  { "getpagespeed.com", true },
  { "getpaidclub.tk", true },
  { "getpanelapp.com", true },
  { "getpei.com", true },
  { "getpromo.cf", true },
  { "getpublii.com", true },
  { "getrambling.com", true },
  { "getsecure.nl", true },
  { "getsensibill.com", true },
  { "getsetbounce.co.uk", true },
  { "getsmartaboutdrugs.gov", false },
  { "getsport.mobi", true },
  { "getteamninja.com", true },
  { "getthefriendsyouwant.com", true },
  { "getthejob.pt", true },
  { "getticker.com", true },
  { "gettok.com", true },
  { "gettopquality.com", true },
  { "getupandbounce.co.uk", true },
  { "getvdownloader.com", true },
  { "getwemap.com", true },
  { "getwhelp.com", true },
  { "getwisdom.io", true },
  { "getwork.tk", true },
  { "getyour.nz", true },
  { "getyourlifestraight.com", true },
  { "geus-okna.eu", true },
  { "gevelreinigingtiel.nl", true },
  { "gevme.com", true },
  { "geyduschek.be", true },
  { "gezinnenhilton.com", true },
  { "gezondetips.nl", true },
  { "gezondheidszorg-ict.nl", true },
  { "gezondheidszorg-it.nl", true },
  { "gf-franken.de", true },
  { "gf5fcalc.com", true },
  { "gfac.ru", true },
  { "gfahnen.de", true },
  { "gfast.ru", true },
  { "gfcleisure.co.uk", true },
  { "gfe.li", true },
  { "gfedating.com", true },
  { "gfelite.de", true },
  { "gfestival.fo", true },
  { "gfk-kunststoff-luebben.de", true },
  { "gflame.de", true },
  { "gforce.ninja", true },
  { "gfoss.eu", true },
  { "gfourmis.co", true },
  { "gfronline.tk", true },
  { "gfw.moe", true },
  { "gfw.ro", true },
  { "gfxbench.com", true },
  { "gfxworld.tk", true },
  { "ggbet.me", true },
  { "ggdcpt.com", true },
  { "gginin.today", true },
  { "ggismo.com", true },
  { "ggiveilig.nl", true },
  { "ggl-luzern.ch", false },
  { "ggma.co.uk", true },
  { "ggmmontascale.it", true },
  { "ggp2.com", true },
  { "ggs-marschallstrasse.de", true },
  { "ggs.jp", true },
  { "ggservers.com", true },
  { "ggx.us", true },
  { "gh-sandanski.com", true },
  { "ghaglund.se", true },
  { "ghcpl.in", true },
  { "gheestore.in", true },
  { "ghettonetflix.de", true },
  { "ghfip.com.au", true },
  { "ghini.com", true },
  { "ghislainphu.fr", true },
  { "ghostcir.com", true },
  { "ghostpin.ga", true },
  { "ghowell.io", true },
  { "ghull.email", true },
  { "ghuntley.com", false },
  { "giac.net", true },
  { "giac.org", true },
  { "giacchettaauto.it", true },
  { "giacomopelagatti.it", true },
  { "giakki.eu", false },
  { "giancarlomarino.com", true },
  { "giannademartini.com", true },
  { "gianproperties.com", true },
  { "giant-panda.com", true },
  { "giant-tortoise.com", true },
  { "gianttree.de", true },
  { "giaoxudongtri.com", true },
  { "giaphaco.com", true },
  { "giardinaggio.milano.it", true },
  { "giardinaggio.napoli.it", true },
  { "giardinaggio.roma.it", true },
  { "giardiniblog.it", true },
  { "giardiniere.bologna.it", true },
  { "giardiniere.milano.it", true },
  { "giardiniere.roma.it", true },
  { "giardinoperfetto.com", true },
  { "gichigamigames.com", true },
  { "giebel.it", true },
  { "gielectrical.com.au", true },
  { "giemall.com", true },
  { "gierds.de", true },
  { "gieschke.de", true },
  { "giethoorn.com", true },
  { "gietvloer-wand.nl", true },
  { "gietvloergarant.nl", false },
  { "gifino.fr", true },
  { "giftcard.net", true },
  { "giftedconsortium.com", true },
  { "giftking.nl", false },
  { "giftlist.guru", true },
  { "giftofsquare.net", true },
  { "giftofsquare.org", true },
  { "gifts365.co.uk", true },
  { "giftsofsquare.com", true },
  { "giftsofsquare.net", true },
  { "giftsofsquare.org", true },
  { "giftya.com", true },
  { "gifudodo.com", true },
  { "gig-raiffeisen.de", true },
  { "giga.nl", true },
  { "gigabitz.pw", true },
  { "gigantism.com", true },
  { "gigasoft.tk", true },
  { "gigawattz.com", true },
  { "giggletotz.co.uk", true },
  { "gigin.eu", true },
  { "gigin.me", true },
  { "gigis-pizzeria.de", true },
  { "gigis.cloud", true },
  { "giglink.club", true },
  { "gigolodavid.be", true },
  { "gigs.guide", true },
  { "gigseekr.com", true },
  { "gijsbertus.com", true },
  { "gijswesterman.nl", true },
  { "gikovatelojavirtual.com.br", true },
  { "gileadpac.com", true },
  { "giliamor.com", true },
  { "gillfamily.de", true },
  { "gillmanandsoame.co.uk", true },
  { "gillyscastles.co.uk", true },
  { "gilnet.be", false },
  { "gim-app.tk", true },
  { "gimme.money", true },
  { "gimnazjum-miloslaw.tk", true },
  { "gina-architektur.design", true },
  { "ginabaum.com", true },
  { "ginen.xyz", true },
  { "gingersutton.com", true },
  { "ginionusedcars.be", false },
  { "ginja.co.th", true },
  { "ginnasterling.com", true },
  { "ginnegappen.nl", true },
  { "ginniemae.gov", true },
  { "gino-gelati.de", true },
  { "ginza-luce.net", true },
  { "ginza-viola.com", true },
  { "ginzadelunch.jp", true },
  { "ginzaj.com", true },
  { "gioielleriamolena.com", true },
  { "giordano.com", true },
  { "giovannarossi.tk", true },
  { "gipelpsb.fr", true },
  { "gipfelbuch.gr", true },
  { "gippert-klein.de", true },
  { "giraffeduck.com", true },
  { "giraffenland.de", true },
  { "giraffes.org", true },
  { "giri.co", true },
  { "girlan.net", true },
  { "girlinthetiara.com", true },
  { "girlsforum.com", true },
  { "girlz.jp", true },
  { "girsa.org", true },
  { "girvas.ru", true },
  { "gisac.org", true },
  { "gisauto.ru", true },
  { "gisher.news", true },
  { "gisher.org", true },
  { "gisher.video", true },
  { "gishiko.net", true },
  { "gistr.io", true },
  { "git.ac.cn", true },
  { "git.market", false },
  { "git.sb", true },
  { "git.tt", true },
  { "gitecolombedesbois.com", true },
  { "gitep.org.uk", true },
  { "gites-alizea.com", true },
  { "gitesdeshautescourennes.com", true },
  { "github.com", true },
  { "githubapp.com", true },
  { "githubber.com", true },
  { "githubber.tv", true },
  { "gitla.in", true },
  { "gittigidiyor.com", true },
  { "gittr.ch", true },
  { "gitube.cn", true },
  { "giuem.com", true },
  { "giunchi.net", true },
  { "giuseppemacario.men", true },
  { "givastar.com", true },
  { "give.net", true },
  { "give2charity.co", true },
  { "give2charityapp.com", true },
  { "giveamericahope.org", true },
  { "giveasquare.com", true },
  { "giveasquare.net", true },
  { "giveasquare.org", true },
  { "giveattheoffice.org", false },
  { "giveaways.ph", true },
  { "givemylife.gq", true },
  { "given2.com", true },
  { "givepenny.com", true },
  { "givingnexus.org", false },
  { "givingtools.com", true },
  { "gixtools.com", true },
  { "gixtools.net", true },
  { "gizmo.ovh", true },
  { "gj-bochum.de", true },
  { "gjcampbell.co.uk", true },
  { "gjengset.com", true },
  { "gjspunk.de", false },
  { "gkasper.de", true },
  { "gkb2020.ch", true },
  { "gkoenig-innenausbau.de", true },
  { "gkralik.eu", true },
  { "gkstyle.net", true },
  { "gku-winterling.de", true },
  { "gkv-gorinchem.nl", true },
  { "gl.search.yahoo.com", false },
  { "glaciernursery.com", true },
  { "gladdy.uk", true },
  { "gladdymedia.co.uk", true },
  { "gladdymedia.com", true },
  { "gladdymedia.uk", true },
  { "gladiac.duckdns.org", true },
  { "gladwellentertainments.co.uk", true },
  { "gladysstrickland.com", true },
  { "glahcks.com", true },
  { "glamcosmetic.ch", true },
  { "glamguru.co.il", true },
  { "glamira.de", true },
  { "glammybabes.com", true },
  { "glamour4you.de", true },
  { "glamourdaze.com", true },
  { "glamouria.com.br", true },
  { "glamur-video.com", true },
  { "glasdon.com", true },
  { "glasen-hardt.de", true },
  { "glasfaser-im-hanseviertel.de", true },
  { "glasgestaltung.biz", true },
  { "glasner.photo", true },
  { "glass.google.com", true },
  { "glasschmuck-millefiori.de", true },
  { "glassemployees.com", true },
  { "glassexpertswa.com", true },
  { "glassochchoklad.se", true },
  { "glassrainbowtrust.org.je", true },
  { "glassrom.pw", true },
  { "glasweld.com", true },
  { "glavsudexpertiza.ru", true },
  { "glazedmag.fr", true },
  { "glcastlekings.co.uk", true },
  { "gleanview.com", true },
  { "glebov.tk", true },
  { "gleich-aluminium-shop.de", true },
  { "glenberviegolfclub.com", true },
  { "glencarbide.com", true },
  { "glendarraghbouncycastles.co.uk", true },
  { "glenhuntlyapartments.com.au", true },
  { "glenshere.com", true },
  { "glexia.com", true },
  { "glidestep.com", true },
  { "glidingshop.cz", true },
  { "glidingshop.de", true },
  { "glidingshop.eu", true },
  { "gliihc.net", true },
  { "glimhome.com", true },
  { "glit.sh", true },
  { "glitzafricafashionweek.com", true },
  { "glitzerstuecke.de", true },
  { "glixee.com", true },
  { "glk.partners", true },
  { "glloq.org", false },
  { "gloalerts.com", true },
  { "global-adult-webcams.com", true },
  { "global-monitoring.com", true },
  { "global-office.com", false },
  { "global-qanoon.gq", true },
  { "global-village.koeln", true },
  { "global1.gg", true },
  { "globalbano.com", true },
  { "globalchokepoints.org", true },
  { "globalcomix.com", true },
  { "globaleaks.org", true },
  { "globalepsilon.com", true },
  { "globalesm.com", true },
  { "globalfuture.eu", true },
  { "globalgovernancewatch.org", true },
  { "globalhealth.gov", true },
  { "globalhealthstrategiesnetwork.com", true },
  { "globalhealthstrategiesnetwork.info", true },
  { "globalhealthstrategiesnetwork.net", true },
  { "globalhealthstrategiesnetwork.org", true },
  { "globalinvestigations.co.uk", true },
  { "globalipaction.ch", true },
  { "globalisierung-fakten.de", true },
  { "globalitac.com", true },
  { "globalizationpedia.com", true },
  { "globalnewsdaily.cf", true },
  { "globalonetechnology.com", true },
  { "globalprojetores.com.br", true },
  { "globalresearchcouncil.org", true },
  { "globalresistancecorporation.com", true },
  { "globalshippinglimited.ga", true },
  { "globaltiendat.com", true },
  { "globalwitness.org", false },
  { "globalzone.tk", true },
  { "globecollege.nl", true },
  { "globelink-group.com", true },
  { "globetalent.nl", true },
  { "globologic.com", true },
  { "glocalworks.jp", true },
  { "gloeckle-gruppe.de", true },
  { "glofox.com", true },
  { "glolighting.co.za", true },
  { "gloneta.com", false },
  { "glont.net", true },
  { "gloryholefucking.com", true },
  { "glosiko.cn", true },
  { "glosiko.com", true },
  { "glosiko.com.cn", true },
  { "glosiko.net", true },
  { "glosiko.org", true },
  { "glosons.com", true },
  { "glotech.co.uk", true },
  { "glotechkitchens.co.uk", true },
  { "glotechrepairs.co.uk", true },
  { "gloucestershiregospelpartnership.org.uk", true },
  { "glovementor.com", true },
  { "glpepper.com", true },
  { "glueck-im-norden.de", true },
  { "gluecksgriff-taschen.de", true },
  { "glueckskindter.de", true },
  { "gluedtomusic.com", true },
  { "gluhov-ss.ru", true },
  { "gluit.de", true },
  { "glutenfreeandtasty.com", true },
  { "glutenfreehomemaker.com", true },
  { "glutenfreelife.co.nz", true },
  { "glutenfreevr.com", true },
  { "glyfadacoaststudio.gr", true },
  { "glykofridis.nl", true },
  { "glyptodon.com", true },
  { "glyxins.com", true },
  { "gm-net.jp", true },
  { "gm.search.yahoo.com", false },
  { "gmacedo.com", true },
  { "gmail.com", false },
  { "gmao.com", true },
  { "gmbh-kiekin.de", true },
  { "gmc.uy", true },
  { "gmcbm.net", true },
  { "gmccar.it", true },
  { "gmcd.co", true },
  { "gmdu.net", true },
  { "gmeet.at", true },
  { "gmeet.io", true },
  { "gmenhq.com", true },
  { "gmind.ovh", true },
  { "gmod.de", true },
  { "gmpark.dk", true },
  { "gmpartsdb.com", true },
  { "gmplab.com", true },
  { "gmslparking.co.uk", true },
  { "gmta.nl", true },
  { "gmtplus.co.za", true },
  { "gmuh.fr", true },
  { "gmw-ingenieurbuero.de", true },
  { "gmx.at", true },
  { "gmx.ch", true },
  { "gmx.co.uk", true },
  { "gmx.com", true },
  { "gmx.de", true },
  { "gmx.es", true },
  { "gmx.fr", true },
  { "gmx.net", true },
  { "gn00.com", true },
  { "gnax.jp", false },
  { "gnetwork.eu", true },
  { "gnezdo.tk", true },
  { "gnfrazier.me", true },
  { "gnilebein.de", true },
  { "gnk.io", true },
  { "gnmlive.com", true },
  { "gnucashtoqif.us", true },
  { "gnylf.com", true },
  { "go-away.xyz", true },
  { "go-datasecurity.de", true },
  { "go-dutch.eu", true },
  { "go-embedded.de", true },
  { "go-girlonly.shop", true },
  { "go-indochine.com", true },
  { "go-kuwait.tk", true },
  { "go-life.com.tw", true },
  { "go-mail.me", true },
  { "go-propiedades.cl", true },
  { "go-srx.tk", true },
  { "go-wild.co.uk", true },
  { "go-zh.org", true },
  { "go.exchange", true },
  { "go.microsoft.com", true },
  { "go2archive.nl", true },
  { "go2people-websites.nl", true },
  { "go2ubl.nl", true },
  { "go6.si", true },
  { "go6lab.si", true },
  { "go889w.com", true },
  { "goalbookapp.com", true },
  { "goanalyse.co.uk", true },
  { "goand.run", true },
  { "goarmy.eu", true },
  { "goatcloud.com", true },
  { "goaudits.com", true },
  { "gobarrelroll.com", true },
  { "gobiz.com.my", true },
  { "goblackcat.com", true },
  { "gobouncy.co.uk", true },
  { "gobouncy.com", true },
  { "gobytedesign.co.uk", true },
  { "goc4wraps.com", true },
  { "gocardless.com", true },
  { "gocher.me", true },
  { "gochu.se", true },
  { "gocleanerslondon.co.uk", true },
  { "god-clan.hu", true },
  { "god-esb.com", true },
  { "godall.tk", true },
  { "godan.tech", true },
  { "godattributes.com", true },
  { "godaxen.tv", true },
  { "godbo9.cc", true },
  { "godbo9.net", true },
  { "godclan.hu", true },
  { "goddard.id.au", true },
  { "goddg.com", true },
  { "godesb.com", true },
  { "godesigner.ru", true },
  { "godruoyi.com", true },
  { "godsofhell.com", true },
  { "godsofhell.de", true },
  { "goeb.eu", true },
  { "goeb.org", true },
  { "goededoelkerstkaarten.nl", true },
  { "goedverzekerd.net", true },
  { "goehler-baumpflege.de", true },
  { "goemail.me", true },
  { "goerres2014.de", true },
  { "goetemp.de", true },
  { "goettinger-biergarten.de", true },
  { "goettinger-katzenschutz.de", true },
  { "goetzinger-web.de", true },
  { "goffrie.com", true },
  { "goflo.net", true },
  { "gofoiayourself.org", true },
  { "gogle-analytics.com", true },
  { "gogleapis.com", true },
  { "gogoodyear.eu", true },
  { "gogroopie.com", true },
  { "gogroopie.ie", true },
  { "gogrow.com", true },
  { "gogs.ca", true },
  { "gogsat.com", true },
  { "gohon.org", true },
  { "goingreen.com.au", true },
  { "gokhana.com", true },
  { "gokhankesici.com", true },
  { "gokmenguresci.com", true },
  { "golang.org", true },
  { "golang.zone", true },
  { "golangnews.com", true },
  { "goldandgopher.com", true },
  { "goldclubcasino.com", true },
  { "goldcoast-plumbing.com.au", true },
  { "goldcoastasian.com", true },
  { "goldcoasthypnotherapyhypnosis.com.au", true },
  { "goldcoastphotographycourses.com", true },
  { "goldcoaststumpbusters.com", true },
  { "golden-kamuy.com", true },
  { "goldenage.tk", true },
  { "goldendawnapersonalaffair.com", true },
  { "goldenhillsoftware.com", true },
  { "goldenhost.ca", true },
  { "goldenhostmyanmar.com", true },
  { "goldenplate.com.sg", true },
  { "goldenqueenbee.com", true },
  { "goldenruleemail.com", true },
  { "goldenyacca.co.uk", true },
  { "goldfmromania.ro", true },
  { "goldmark.com.au", false },
  { "goldpreisfinder.at", true },
  { "goldsecurity.com", true },
  { "goldships.com", true },
  { "goldsilver.org.ua", true },
  { "goldskysecurity.com", true },
  { "goldstein.tel", true },
  { "goldsteinlawgroup.com", true },
  { "goldytechspecialists.com", true },
  { "golf18network.com", true },
  { "golf18staging.com", true },
  { "golfhausmallorca.com", true },
  { "golfscape.com", true },
  { "golighthouse.com", true },
  { "golik.net.pl", false },
  { "golnet.hu", true },
  { "golosok.ml", true },
  { "golser-schuh.at", true },
  { "golser.info", true },
  { "golsportsoccer.com", true },
  { "golvlyftarna.se", true },
  { "gomasy.jp", true },
  { "gomasy.net", true },
  { "gomedium.com", true },
  { "gomel.chat", true },
  { "gomel.city", true },
  { "gomelchat.com", true },
  { "gomelphoto.com", true },
  { "gommista.roma.it", true },
  { "gomu.ca", true },
  { "gon45.com", true },
  { "gondelvaartdwarsgracht.nl", true },
  { "gondola-parkinson.com", true },
  { "gongjianwei.com", true },
  { "gongjuhao.com", true },
  { "gonumbers.ru", true },
  { "gonx.dk", false },
  { "goo.gl", false },
  { "gooby.co", false },
  { "gooch.io", true },
  { "good-tips.pro", true },
  { "gooday.life", true },
  { "goodcreds.com", true },
  { "goodfor.us", true },
  { "goodgame.lt", true },
  { "goodhealthtv.com", true },
  { "goodiesoft.hu", true },
  { "goodmood.co.uk", true },
  { "goodmood.fr", true },
  { "goodmoodsocken.de", true },
  { "goodquote.gq", false },
  { "goodshepherdmv.com", true },
  { "goodsleep.pet", true },
  { "goodth.ink", true },
  { "goodtrip.kr", true },
  { "goodvibesblog.com", true },
  { "google", true },
  { "google-analytics.com", true },
  { "googleandroid.cz", true },
  { "googlehits.com", true },
  { "googlemail.com", false },
  { "googlepinyin.com", true },
  { "googleplex.com", true },
  { "googleshortcuts.org", true },
  { "googlesource.com", true },
  { "goolnk.com", true },
  { "goombi.fr", true },
  { "goonersworld.co.uk", true },
  { "goonfleet.com", true },
  { "gooseberries.ch", true },
  { "gooty.ru", true },
  { "goover.de", true },
  { "goow.in", true },
  { "goozp.com", true },
  { "goparity.com", true },
  { "gopayz.com.my", true },
  { "gophoto.it", true },
  { "gopnikman.cf", true },
  { "gopostore.com", true },
  { "goproinspectiongroup.com", true },
  { "gopwhip.gov", false },
  { "goquiq.com", true },
  { "goquiqstatus.com", true },
  { "gordeijnsbouw.nl", true },
  { "gordon-reid.com", true },
  { "gordonchevy.com", true },
  { "gordonscouts.com.au", true },
  { "gordy.fr", true },
  { "gordyf.com", true },
  { "gordyforty.com", true },
  { "gorgeconnect.com", true },
  { "gorgias.me", true },
  { "gorky.media", true },
  { "gorlani.com", true },
  { "gorlani.net", true },
  { "gorn.ch", true },
  { "gornergrat-kulm.ch", true },
  { "gorodabakan.ml", true },
  { "gorodrostov.tk", true },
  { "gorpg.club", true },
  { "gosaavd.tk", true },
  { "gosccs.com", true },
  { "gosforthdentalsurgery.co.uk", true },
  { "goshawkdb.io", true },
  { "goshin-group.co.jp", true },
  { "goshow.tv", true },
  { "gosnipe.com", true },
  { "gosolockpicks.com", true },
  { "gospelites.com", true },
  { "gospelvestcination.de", true },
  { "gospicers.ca", true },
  { "gospomedley.com.ng", true },
  { "gosportweather.co.uk", true },
  { "gosq.co", true },
  { "gosq.com", true },
  { "gossiplolly.com", true },
  { "gostaffer.com", true },
  { "gostargazing.co.uk", true },
  { "gosti-dom.ga", true },
  { "gosu.pro", true },
  { "goswak.com", true },
  { "goszakupki.tk", true },
  { "got-tty.de", true },
  { "goteborgsklassikern.se", true },
  { "gotech.com.eg", false },
  { "gothamlimo.com", true },
  { "gothic.dating", true },
  { "gotirupati.com", false },
  { "gotmalk.org", false },
  { "goto.google.com", true },
  { "goto.msk.ru", true },
  { "goto.world", true },
  { "goto10.se", true },
  { "gotomi.info", false },
  { "gotowebsites.info", true },
  { "gotoxy.at", true },
  { "gotrail.fr", true },
  { "gotravel.us", true },
  { "gotscrapcar.com", true },
  { "gottcar.com", true },
  { "gottcode.org", false },
  { "goudenharynck.be", true },
  { "goudt.nl", true },
  { "gouforit.com", true },
  { "gougeaway.tk", true },
  { "gouldcooksey.com", true },
  { "goup.co", true },
  { "goup.com.tr", true },
  { "gourgouli.com", true },
  { "gourmetfestival.de", true },
  { "gourmetspalencia.com", true },
  { "gourmetvitamins.ga", true },
  { "gov.tc", true },
  { "gov.uk", false },
  { "governmentjobs.gov", true },
  { "governorhub.com", true },
  { "govisitcostarica.co.cr", true },
  { "govisitcostarica.com", true },
  { "govloans.gov", true },
  { "govtrack.us", true },
  { "govype.com", true },
  { "gow220.ru", true },
  { "gowancommunications.com", true },
  { "gowervets.co.uk", true },
  { "gowildrodeo.co.uk", true },
  { "gowin9.com", true },
  { "gowin9.net", true },
  { "gowithflo.de", true },
  { "gozaars.com", true },
  { "gozadera.es", true },
  { "gpalabs.com", true },
  { "gpcp.org", true },
  { "gpdimaranathasiantar.org", false },
  { "gpfitness.com.br", true },
  { "gpgscoins.com", true },
  { "gpl-elite.store", true },
  { "gplans.us", true },
  { "gplvilla.com", true },
  { "gpm.ltd", true },
  { "gpna.org", true },
  { "gpolanco.com", true },
  { "gprs.uk.com", true },
  { "gps-fleettracking.ga", true },
  { "gpsblackbox.com", true },
  { "gpsolarpanels.com", true },
  { "gpsvideocanada.com", true },
  { "gpswebsoft.ml", true },
  { "gpu.nu", false },
  { "gpz500s.tk", true },
  { "gqjx.fun", true },
  { "gqmstore.com.br", true },
  { "gqyyingshi.com", true },
  { "gqyys.com", true },
  { "gqyyy.cc", true },
  { "gr.search.yahoo.com", false },
  { "gr8engineer2b.com", true },
  { "gra2.com", true },
  { "grabacabpa.com", true },
  { "grabadolasermonterrey.com", true },
  { "grabatt.de", true },
  { "grace-wan.com", true },
  { "gracebaking.com", false },
  { "gracedays.org", true },
  { "gracethrufaith.com", true },
  { "gracetini.com", true },
  { "graddient.com", true },
  { "gradecam.com", false },
  { "gradienthosting.co.uk", true },
  { "gradients.com", true },
  { "gradualgram.com", true },
  { "graeber.com", true },
  { "graecum.org", true },
  { "graf-igor.ch", true },
  { "graf.re", true },
  { "grafcaps.com", true },
  { "grafe.com", true },
  { "graffen.dk", true },
  { "grafia.ink", true },
  { "graficasantana.com.br", true },
  { "grafik.gq", true },
  { "grafittikontroll.cf", true },
  { "grafmag.pl", true },
  { "grafoteka.pl", true },
  { "graft.community", true },
  { "graft.observer", true },
  { "grahamarthur.com", true },
  { "grahambaker.ca", true },
  { "grahamcarruthers.co.za", true },
  { "grahamcluley.com", true },
  { "grahamleeonline.com", true },
  { "grahamsgifts.com", true },
  { "grailians.com", true },
  { "grailify.com", true },
  { "graingert.co.uk", true },
  { "graliv.net", false },
  { "grammysgrid.com", true },
  { "grand-city38.ru", true },
  { "grand-sity.ru", true },
  { "grandcafecineac.nl", true },
  { "grandcafetwist.nl", true },
  { "grandcapital.cn", true },
  { "grandcapital.id", true },
  { "grandcapital.net", true },
  { "grandcapital.ru", true },
  { "grandcastles.co.uk", true },
  { "grandchene.ch", false },
  { "grande.coffee", true },
  { "grandeto.com", true },
  { "grandisco.tk", true },
  { "grandjunctionbrewing.com", true },
  { "grandpadusercontent.com", true },
  { "grandwailea.com", true },
  { "grandworldnghiduong.com", false },
  { "granfort.es", false },
  { "graniteind.com", true },
  { "grannyshouse.de", true },
  { "grantcooper.com", true },
  { "grantmorrison.net", true },
  { "grantpark.org", true },
  { "grantplatform.com", true },
  { "grantsmasters.com", true },
  { "grantsplatform.com", true },
  { "graonatural.com.br", true },
  { "grapee.jp", true },
  { "grapeintentions.com", true },
  { "grapevine.is", true },
  { "graph.org", true },
  { "graphcommons.com", true },
  { "graphene.software", true },
  { "grapheneos.org", true },
  { "graphic-schools.com", true },
  { "graphic-shot.com", true },
  { "graphicbuffet.co.th", true },
  { "graphobyte.com", true },
  { "grapholio.net", true },
  { "grasmark.com", true },
  { "graspingtech.com", true },
  { "grasscity.com", true },
  { "grassenberg.de", true },
  { "grasshoppervape.com", true },
  { "grasso.io", true },
  { "grassreinforcement.com.au", true },
  { "gratis.market", true },
  { "gratisgamecards.nl", true },
  { "gratisonlinespel.tk", true },
  { "gratisrollenspieltag.de", true },
  { "gratiswifivoorjegasten.nl", true },
  { "gratitudeabundancepassion.com", true },
  { "grattan.co.uk", true },
  { "graumeier.de", true },
  { "graviola.es", true },
  { "gravitascreative.net", true },
  { "gravito.nl", false },
  { "gravityformspdfextended.com", true },
  { "gravitypdf.com", true },
  { "grawe-blog.at", true },
  { "grayclub.co.il", true },
  { "grayhatter.com", true },
  { "grayiron.io", true },
  { "grayrectangle.com", true },
  { "grayson.sh", true },
  { "graz2020.com", true },
  { "grazitti.com", true },
  { "grc.com", false },
  { "greatagain.gov", true },
  { "greaterlowellpediatrics.com", true },
  { "greaterreadingyp.org", true },
  { "greatestwebsiteonearth.com", true },
  { "greatfire.org", true },
  { "greathairtransplants.com", true },
  { "greatislandarts.ca", true },
  { "greatlakeside.de", true },
  { "greatlifeinsurancegroup.com", true },
  { "greatnetsolutions.com", true },
  { "greatscott.media", true },
  { "greatskillchecks.com", true },
  { "greatwebdesign.uk", true },
  { "greboid.com", true },
  { "greek-kitchen.co", true },
  { "greek.dating", true },
  { "greekmusic.academy", true },
  { "greekplots.com", true },
  { "greeks.tk", true },
  { "green-anarchy.tk", true },
  { "green-attitude.be", true },
  { "green-aura.ru", true },
  { "green-care.nl", true },
  { "green-light.cf", true },
  { "green-light.co.nz", true },
  { "green-light.ga", true },
  { "green-light.gq", true },
  { "green-light.ml", true },
  { "green-techno.ru", true },
  { "greenaddress.it", true },
  { "greenangels.com.ua", true },
  { "greenapproach.ca", true },
  { "greencircleplantnursery.com.au", true },
  { "greencircleplantnursery.net.au", true },
  { "greendrive.tk", true },
  { "greendvorik.com.ua", true },
  { "greener.pl", true },
  { "greengates.co.uk", true },
  { "greengorych.ru", true },
  { "greenhats.de", true },
  { "greenliv.pl", true },
  { "greenlungs.net", true },
  { "greenmachines.com", true },
  { "greenoutdoor.dk", false },
  { "greenpanda.de", true },
  { "greenpark.uz", true },
  { "greenpartyofnewmilford.org", true },
  { "greenpathscience.com", true },
  { "greenpaws.ee", true },
  { "greenpeace-magazin.de", true },
  { "greenpeace.berlin", true },
  { "greenponik.com", true },
  { "greenroach.ru", true },
  { "greenrushdaily.com", true },
  { "greensad36.ru", true },
  { "greensborosecuritycameras.com", true },
  { "greensdictofslang.com", true },
  { "greensidevetpractice.co.uk", true },
  { "greenstreethammers.com", true },
  { "greentea.ml", true },
  { "greenteamtwente.nl", true },
  { "greenwithdecor.com", true },
  { "greenytimes.com", true },
  { "greg.red", true },
  { "gregbrimble.com", true },
  { "greger.me", true },
  { "gregmarziomedia-dev.com", true },
  { "gregmarziomedia.com", true },
  { "gregmc.ru", true },
  { "gregmilton.com", true },
  { "gregmote.com", true },
  { "gregoirow.be", false },
  { "gregorians.org", true },
  { "gregorkofler.com", true },
  { "gregory-thibault.com", true },
  { "gregorydorrifourt.fr", true },
  { "gregorykelleher.com", true },
  { "gregoryrealestategroup.com", true },
  { "gregorywiest.com", true },
  { "greice.de", true },
  { "greiner-it.de", true },
  { "greinerj.de", true },
  { "grekiskagudar.tk", true },
  { "grenadiercorps-kaarst.de", true },
  { "grenadiere-kaarst.de", true },
  { "grenadierkorps-kaarst.de", true },
  { "grenadierkorps.de", true },
  { "grendel.no", true },
  { "grenlandkiropraktor.no", true },
  { "grepmaste.rs", false },
  { "grepular.com", true },
  { "gresak.io", true },
  { "greta-birkner.de", true },
  { "grexx.today", true },
  { "greybazar.com", true },
  { "greybeards.ca", true },
  { "greymattertechs.com", true },
  { "greyrectangle.com", true },
  { "greysky.me", true },
  { "greyskymedia.com", true },
  { "greysolutions.it", true },
  { "greywizard.com", true },
  { "greywolf.cz", true },
  { "grh.am", true },
  { "gricargo.com", true },
  { "grid.studio", true },
  { "gridpack.org", true },
  { "gridtennis.net", true },
  { "griechische-pfoetchen.de", true },
  { "grieg-gaarden.no", true },
  { "grieg.no", false },
  { "griegfoundation.no", true },
  { "grieglogistics.no", true },
  { "griegshipbrokers.com", true },
  { "griegshipbrokers.no", true },
  { "griesser2.de", true },
  { "griffinsrfc.tk", true },
  { "grifomarchetti.com", true },
  { "grillen-darf-nicht-gesund-sein.de", true },
  { "grillfocused.com", true },
  { "grilllness.com", true },
  { "grillteller42.de", true },
  { "grimcalc.com", true },
  { "grimm-gastrobedarf.de", true },
  { "grimm.cz", true },
  { "grimneko.de", true },
  { "grimstveit.no", true },
  { "grinnellplanes.com", true },
  { "grinnellplans.com", true },
  { "grippe-impftermin.de", false },
  { "griswoldplumbingct.com", true },
  { "griswoldwellwaterct.com", true },
  { "gritte.ch", true },
  { "grizz.gdn", true },
  { "grizzlys.com", true },
  { "groenaquasolutions.nl", true },
  { "groentebesteld.nl", true },
  { "groepjam-usedcars.be", false },
  { "grokandtonic.com", true },
  { "grokker.com", true },
  { "groklearning.com", true },
  { "grolimur.ch", true },
  { "gronau-it-cloud-computing.de", true },
  { "grondius.com", true },
  { "groomershop.ru", false },
  { "groomscroft.co.uk", true },
  { "groomscroft.com", true },
  { "grootinadvies.nl", true },
  { "groovefetish.com", true },
  { "groovydisk.com", true },
  { "groovygoldfish.org", true },
  { "gropp.org", true },
  { "gross.business", true },
  { "grossberger-ge.org", false },
  { "grossiste-en-ligne.com", true },
  { "groszek.pl", true },
  { "groth.im", true },
  { "groth.xyz", true },
  { "grothoff.org", true },
  { "grottenthaler.eu", true },
  { "grouindev.net", true },
  { "groundengenharia.com", true },
  { "groundmc.net", true },
  { "groundsdirect.com", true },
  { "groundspan.com", true },
  { "groundthumpingmotors.com", true },
  { "groundthumpingmotors.net", true },
  { "groundthumpinmotors.com", true },
  { "groundthumpinmotors.net", true },
  { "group4layers.net", true },
  { "groupe-neurologique-nord.lu", true },
  { "groupeatrium.net", true },
  { "groupem6.fr", true },
  { "groupescr.fr", true },
  { "groupghistelinck-cars.be", false },
  { "grouphomes.com.au", false },
  { "groupme.com", true },
  { "groupramirez.com", true },
  { "groups.google.com", true },
  { "groupseslogistic.com", true },
  { "grove-archiv.de", true },
  { "growik.com", true },
  { "growingallthings.co.uk", true },
  { "growingsmiles.co.uk", true },
  { "growit.events", true },
  { "growth-rocket.com", true },
  { "growwithdaylight.co.uk", true },
  { "growy.ch", false },
  { "grrmmll.com", true },
  { "grsecurity.net", true },
  { "gruble.de", true },
  { "gruebebraeu.ch", true },
  { "gruenderlehrstuhl.de", true },
  { "gruenderwoche-dresden.de", true },
  { "gruene-im-rvr.de", true },
  { "gruene-wattenscheid.de", true },
  { "gruenes-wp.de", true },
  { "gruenprint.de", true },
  { "gruenstreifen-ev.de", true },
  { "gruhn.email", true },
  { "grumpy.fr", true },
  { "grumpygamers.com", true },
  { "grumpyseb.com", true },
  { "grundlage.com.ua", true },
  { "grundschule-mittelbuch.de", true },
  { "grunwaldzki.center", true },
  { "grunwasser.fr", true },
  { "grupdedansa.tk", true },
  { "gruper.mk", true },
  { "grupoalpi.com", true },
  { "grupoattia.com", true },
  { "grupodatco.com", true },
  { "grupog2i.com", true },
  { "grupoharbour.com", true },
  { "grupoinassa.com", true },
  { "grupomakben.com", false },
  { "grupomedlegal.com", true },
  { "grupoproabienesraices.com.mx", true },
  { "gruselgrotte.com", true },
  { "gruslic.org.mx", true },
  { "gruver.de", true },
  { "gruwa.net", true },
  { "gruzoperevozki.ml", true },
  { "grwebdesigns.gr", true },
  { "gs1pt.org", true },
  { "gs93.de", true },
  { "gsaj114.net", true },
  { "gsbolivia.com", true },
  { "gse.space", true },
  { "gsimagebank.co.uk", true },
  { "gslink.me", true },
  { "gsmsale.nl", true },
  { "gsmsecurity.net", true },
  { "gsoc.se", true },
  { "gsrc.io", true },
  { "gst.name", true },
  { "gst.priv.at", true },
  { "gt-himmel.com", true },
  { "gt-network.de", true },
  { "gta-arabs.com", true },
  { "gtacty.co", true },
  { "gtaforum.nl", true },
  { "gtagames.nl", true },
  { "gtd.cloud", true },
  { "gtdgo.com", false },
  { "gtlaun.ch", true },
  { "gtlfsonlinepay.com", true },
  { "gtmetrix.com", true },
  { "gtn-pravda.ru", true },
  { "gtoepfer.de", true },
  { "gtopala.com", true },
  { "gtopala.net", true },
  { "gtour.info", false },
  { "gtravers-basketmaker.co.uk", true },
  { "gtupgrade.eu", true },
  { "gtxmail.de", true },
  { "guadagnare.info", true },
  { "guadalgrass.com", true },
  { "guancha.org", true },
  { "guanyembadalona.org", true },
  { "guanyu.ml", true },
  { "guanzhong.ca", true },
  { "guardian360.nl", true },
  { "guardianportal.us", true },
  { "gubagoo.com", true },
  { "gubagoo.io", true },
  { "guberniya.net", true },
  { "gudini.net", true },
  { "gudrunfit.dk", true },
  { "guegan.de", true },
  { "guenthereder.at", true },
  { "guepardoinvest.com.br", true },
  { "guerard.info", true },
  { "guercioarchitecture.com", true },
  { "guerrilla.technology", true },
  { "guesthouse-namaste.com", true },
  { "guevener.de", true },
  { "gueze-ardeche.fr", true },
  { "gueze-sas.fr", true },
  { "guffr.it", true },
  { "guge.ch", true },
  { "gugs.tk", true },
  { "guhei.net", true },
  { "guhenry3.tk", true },
  { "guiacursos.online", true },
  { "guiadamassagem.site", true },
  { "guiaextra.com", true },
  { "guiaswow.com", true },
  { "guichet-entreprises.fr", true },
  { "guichet-qualifications.fr", true },
  { "guid2steamid.com", true },
  { "guidebook.co.tz", true },
  { "guideline.gov", false },
  { "guidelines.gov", false },
  { "guideo.ch", false },
  { "guidepointsecurity.com", true },
  { "guidesacademe.com", true },
  { "guidesorbetiere.com", true },
  { "guidethailande.tk", true },
  { "guidetoiceland.is", false },
  { "guilde-dissection.com", true },
  { "guildofmusicsupervisors.co.uk", true },
  { "guillaume-briand.fr", true },
  { "guillaumematheron.fr", true },
  { "guillaumeperrin.io", true },
  { "guillemaud.me", false },
  { "guillen.tk", true },
  { "guim.co.uk", true },
  { "guineapigmustach.es", true },
  { "guitarangel.tk", true },
  { "gujun-sky.com", true },
  { "gulchuk.com", true },
  { "gulcinulutuna.com", true },
  { "gulfstream.ru", true },
  { "gulleyperformancecenter.com", true },
  { "gulshankumar.net", true },
  { "gumeyamall.jp", true },
  { "gumi.ca", true },
  { "gummientchen.net", true },
  { "gun321.com", true },
  { "gunauc.net", true },
  { "gunbrig.com", true },
  { "gunerds.com.br", true },
  { "gunlukburc.net", true },
  { "gunnarhafdal.com", true },
  { "gunstatus.net", true },
  { "gununsesi.info", true },
  { "gununsesi.org", true },
  { "gunwatch.co.uk", true },
  { "gunworld.com.au", true },
  { "gunz.net", true },
  { "guodong.net", true },
  { "guogetv.com", true },
  { "guoke.com", true },
  { "guolaw.ca", true },
  { "guoliang.me", true },
  { "guozeyu.com", true },
  { "gupfen.ch", true },
  { "guphi.net", true },
  { "gurmel.ru", true },
  { "guru-naradi.cz", true },
  { "gurucomi.com", true },
  { "gurunpa.com", true },
  { "gururi.com", true },
  { "gus.host", true },
  { "gusmiller.org", true },
  { "gustaff.de", true },
  { "gut8er.com.de", true },
  { "gute-schulen-porta.de", true },
  { "gutieli.com", true },
  { "gutools.co.uk", true },
  { "gutschein-spezialist.de", true },
  { "gutscheinemagic.de", true },
  { "gutscheineplus.de", true },
  { "gutscheingeiz.de", true },
  { "guus-thijssen.nl", true },
  { "guyeskens.be", true },
  { "guyfletcher.com", true },
  { "guys-reviews.ml", true },
  { "guysauto.com", true },
  { "guytarrant.co.uk", true },
  { "guzdek.co", true },
  { "guzelforum.tk", true },
  { "guzlewski.pl", true },
  { "gv-neumann.de", true },
  { "gv-salto.nl", true },
  { "gvatas.in", true },
  { "gveh.de", true },
  { "gvi-timing.ch", false },
  { "gvitebsk.cf", true },
  { "gvitiming.ch", false },
  { "gvobgyn.ca", true },
  { "gvoetbaldagenalcides.nl", true },
  { "gvt2.com", true },
  { "gvt3.com", true },
  { "gvwgroup.cloud", true },
  { "gvwgroup.com", true },
  { "gvwparts.com", true },
  { "gw2efficiency.com", true },
  { "gw2treasures.com", true },
  { "gw2zone.net", true },
  { "gw66.cc", true },
  { "gwbet99.cc", true },
  { "gwhois.org", true },
  { "gwo24.pl", true },
  { "gwsec.co.uk", true },
  { "gwthub.com", true },
  { "gwynfryncottages.com", true },
  { "gxlrx.net", true },
  { "gxmyqy.net", true },
  { "gxpconsultora.com", true },
  { "gyas.nl", true },
  { "gycis.me", true },
  { "gymagine.ch", true },
  { "gymbunny.de", true },
  { "gymhero.me", true },
  { "gymjp.com", true },
  { "gymkirchenfeld.ch", true },
  { "gymlife.fr", true },
  { "gymnaserenens.ch", false },
  { "gymnasium-hittfeld.de", true },
  { "gymnastic.ga", true },
  { "gymnastikfitness.se", true },
  { "gymnchod.cz", true },
  { "gympap.de", true },
  { "gympass.com", true },
  { "gynaecology.co", true },
  { "gynem.de", true },
  { "gynoguide.com", true },
  { "gypsyreel.com", true },
  { "gyre.ch", false },
  { "gyrenens.ch", false },
  { "gyroscopicinvesting.com", true },
  { "gyu-raku.jp", true },
  { "gyulakerezsi.ro", true },
  { "gz-architekten.de", true },
  { "gz-benz.com", true },
  { "gz-bmw.com", true },
  { "gza.jp", true },
  { "gzom.ru", true },
  { "h-ealthy.net", true },
  { "h-jo.net", true },
  { "h-server.myfirewall.org", true },
  { "h001.ru", true },
  { "h09.eu", true },
  { "h10l.com", true },
  { "h11.io", true },
  { "h1ctf.com", true },
  { "h1z1swap.com", true },
  { "h24.org", true },
  { "h2b.me", true },
  { "h2s-design.de", true },
  { "h2ssafety.com", true },
  { "h2u.tv", true },
  { "h365.vip", false },
  { "h36533.com", true },
  { "h36594.com", true },
  { "h3artbl33d.nl", true },
  { "h3x.net", true },
  { "h3z.jp", true },
  { "h404bi.com", true },
  { "h4kl4b.rs", true },
  { "h51365.com", true },
  { "h678.top", true },
  { "h6852.com", true },
  { "h6853.com", true },
  { "h6895.com", false },
  { "h6913.com", true },
  { "h9386.com", false },
  { "ha-kunamatata.de", true },
  { "ha.com", true },
  { "ha3.eu", true },
  { "ha6.ru", true },
  { "haarigerrattenarsch.com", true },
  { "haarlemsesaxofoonschool.nl", true },
  { "haarstudiok99.nl", true },
  { "haavard.me", true },
  { "haazen.xyz", true },
  { "habarisoft.com", true },
  { "habbstars.org", true },
  { "haberer.me", true },
  { "habernet.tk", true },
  { "habitable.ga", true },
  { "habitat-domotique.fr", true },
  { "habitatetbatiment.fr", true },
  { "habr.com", true },
  { "habtium.es", true },
  { "hac2er.net", true },
  { "hacc.top", true },
  { "haccp.bergamo.it", true },
  { "haccp.milano.it", true },
  { "haccp.roma.it", true },
  { "hacertest.com", true },
  { "hacettepeteknokent.com.tr", true },
  { "hachre.de", false },
  { "hack.club", true },
  { "hackademix.net", true },
  { "hackadena.com", true },
  { "hackanders.com", true },
  { "hackattack.com", true },
  { "hackbarth.guru", true },
  { "hackbeil.name", true },
  { "hackdown.org", true },
  { "hackendoz.com", true },
  { "hackenkunjeleren.nl", true },
  { "hackenturet.dk", true },
  { "hacker.club", true },
  { "hacker.holiday", true },
  { "hacker.im", true },
  { "hacker.one", true },
  { "hacker1.com", true },
  { "hacker101.com", true },
  { "hackerchai.com", true },
  { "hackerco.com", true },
  { "hackereyes.com", true },
  { "hackerflare.com", true },
  { "hackergateway.com", true },
  { "hackernet.se", true },
  { "hackerone-ext-content.com", true },
  { "hackerone-user-content.com", true },
  { "hackerone.at", true },
  { "hackerone.blog", true },
  { "hackerone.com", true },
  { "hackerone.events", true },
  { "hackerone.live", true },
  { "hackerone.net", true },
  { "hackerone.org", true },
  { "hackgins.com", true },
  { "hackingand.coffee", false },
  { "hackingdh.com", true },
  { "hackingvision.com", true },
  { "hackintosh.eu", true },
  { "hackmd.io", true },
  { "hackmeifyoucan.site", true },
  { "hackmeimfamo.us", true },
  { "hackreone.com", true },
  { "hacksoc.co.uk", true },
  { "hackthat.tk", true },
  { "hackthissite.org", true },
  { "hacktivis.me", true },
  { "hacktober.dk", true },
  { "hackworx.com", false },
  { "hadaly.fr", true },
  { "haderecker.me", true },
  { "hadleighswimmingclub.co.uk", true },
  { "hadleyluker.com", true },
  { "hadouk.in", true },
  { "hadrons.org", true },
  { "hads0m.tech", true },
  { "hady.fr", true },
  { "haeckdesign.com", true },
  { "haefligermedia.ch", true },
  { "haehnel.xyz", true },
  { "haemka.de", true },
  { "haens.li", true },
  { "haerwu.biz", true },
  { "hafer.tech", true },
  { "haferman.net", true },
  { "haferman.org", true },
  { "hafniatimes.com", true },
  { "hag27.com", true },
  { "hagbergmedia.se", true },
  { "haggeluring.su", true },
  { "hagiati.gr", true },
  { "hagueaustralia.com.au", true },
  { "haha-raku.com", true },
  { "haha.nl", true },
  { "haiboxu.com", true },
  { "hailstorm.nl", true },
  { "haindlmuehle.eu", true },
  { "haineshilton.com", true },
  { "hair-guide.net", true },
  { "haircode.gr", true },
  { "haircrazy.com", true },
  { "haircutideas.gq", true },
  { "hairfitwolvega.nl", true },
  { "hairpins.tk", true },
  { "hairplaybychenellekay.com", false },
  { "hairraisingphotobooths.co.uk", true },
  { "haitaka.cc", true },
  { "haixihui.cn", true },
  { "hajekj.com", true },
  { "hajekj.cz", true },
  { "hajekj.net", true },
  { "haju.fi", true },
  { "haka.se", true },
  { "hakaru.org", true },
  { "hakase.pw", true },
  { "hakatabijin-mind.com", true },
  { "hake.me", true },
  { "hakimova.tk", true },
  { "hakkariradyo.tk", true },
  { "hakkasan.com", true },
  { "hakkasannightclub.com", true },
  { "halacs.hu", true },
  { "halbich.design", true },
  { "half.host", true },
  { "halfhosting.de", true },
  { "halihali.me", true },
  { "halilweb.tk", true },
  { "halilyagcioglu.tk", true },
  { "halitopuroprodutos.com.br", true },
  { "halkirkbouncycastles.co.uk", true },
  { "hallaminternet.com", true },
  { "hallcouture.com", true },
  { "hallelujahsoftware.com", true },
  { "hallhireforevents.co.uk", true },
  { "hallhuber.com", true },
  { "halliday.work", true },
  { "halligladen.de", true },
  { "hallmarkestates.ca", true },
  { "hallme.com", true },
  { "hallopstyling.com", true },
  { "halls.hu", true },
  { "hallspumpandwellservice.net", true },
  { "hallucinogen.com", true },
  { "hallucinogens.org", true },
  { "halo.fr", true },
  { "halocredit.pl", true },
  { "haltegame.com", true },
  { "halyul.com", true },
  { "hamacho-kyudo.com", true },
  { "hamali.bg", true },
  { "hamamatsu-kotsu.co.jp", true },
  { "hamarimarriage.tk", true },
  { "hambassadors.org", true },
  { "hamburg40grad.de", true },
  { "hamburgerbesteld.nl", true },
  { "hamburgobgyn.com", true },
  { "hamcocc.com", true },
  { "hamcram.io", true },
  { "hamiltonlinen.com", true },
  { "hamiltonmedical.nl", true },
  { "hamiltonweather.ca", true },
  { "hamiltonzinelibrary.cf", true },
  { "hammer-schnaps.com", true },
  { "hammer-sms.com", true },
  { "hammercast.fm", true },
  { "hammerpondkennels.co.uk", true },
  { "hampl.tv", true },
  { "hampshiretechservices.co.uk", true },
  { "hamsystems.eu", true },
  { "hamyarpet.com", true },
  { "hana-groupsac.com", true },
  { "hana.ondemand.com", true },
  { "hanakaraku.com", true },
  { "hanazono.tokyo", true },
  { "hanbing.it", true },
  { "hancocklawfl.com", true },
  { "handbrake.fr", true },
  { "handcraft.eu.org", true },
  { "handgelenkbandage-test.de", true },
  { "handknit.com.np", true },
  { "handleidingkwijt.com", true },
  { "handwerk-digital-steinfurt.de", true },
  { "handy-reparatur-berlin.com", true },
  { "handymanbypolli.com", true },
  { "handymanlondonplease.co.uk", true },
  { "handynummer-info.ch", true },
  { "handynummer.online", true },
  { "handysex.live", true },
  { "handyticket.de", true },
  { "hanfox.co.uk", false },
  { "hanfverband-erfurt.de", true },
  { "hangar.hosting", true },
  { "hangarbox.de", true },
  { "hangcapnach.com", true },
  { "hangerphant.com", true },
  { "hangout", true },
  { "hangouts.google.com", true },
  { "hangtenseo.com", true },
  { "hangw.xyz", true },
  { "hankoreas.com", true },
  { "hankr.com", true },
  { "hanksacservice.com", true },
  { "hannah.link", true },
  { "hannahi.com", true },
  { "hannasecret.de", true },
  { "hannes.paris", true },
  { "hannoluteijn.nl", true },
  { "hannover.de", true },
  { "hannywbarek.com", true },
  { "hanpenblog.com", true },
  { "hansahome.ddns.net", true },
  { "hansbijster.nl", true },
  { "hanschventures.com", true },
  { "hansen-kronshagen.de", true },
  { "hansen.hn", true },
  { "hansgoes.it", true },
  { "hansgoes.nl", true },
  { "hansgoesit.nl", true },
  { "hansminten.com", true },
  { "hansmund.com", true },
  { "hansolrella.com", true },
  { "hansonian.com", true },
  { "hansvaneijsden.com", true },
  { "hansvaneijsden.nl", true },
  { "hanteln-fitness.de", true },
  { "hantse.com", true },
  { "hanu.la", true },
  { "hanxv.pw", true },
  { "hanyibo.com", true },
  { "hanyingw.com", true },
  { "hanzubon.jp", true },
  { "hao-zhang.com", true },
  { "hao6.ag", true },
  { "hao8.ag", true },
  { "haocq3.com", true },
  { "haogoodair.ca", true },
  { "haorenka.org", true },
  { "haozhang.org", true },
  { "haozhexie.com", true },
  { "haozhuanfa.com", true },
  { "hapheemraadssingel.nl", true },
  { "haplogroup.org", true },
  { "happist.com", true },
  { "happy-life-food.de", true },
  { "happyagain.de", true },
  { "happyagain.se", true },
  { "happyandrelaxeddogs.com", true },
  { "happyandrelaxeddogs.eu", true },
  { "happybirthdaywisher.com", true },
  { "happybounce.co.uk", true },
  { "happybrush.de", true },
  { "happycarb.de", true },
  { "happychat.io", true },
  { "happychungus.tk", true },
  { "happycoder.net", true },
  { "happydoq.ch", false },
  { "happygadget.me", true },
  { "happyglacons.com", true },
  { "happyheartsabode.com", true },
  { "happykidscastles.co.uk", true },
  { "happylearning.com", true },
  { "happylifestyle.com", true },
  { "happyretail.co", true },
  { "happyteamlabs.com", true },
  { "happyukgo.com", true },
  { "hapsana.nl", true },
  { "haptemic.com", true },
  { "harabar.ml", true },
  { "harald-d.dyndns.org", true },
  { "harald-pfeiffer.de", true },
  { "haramainbd.com", true },
  { "harapecorita.com", true },
  { "harbor-light.net", true },
  { "hardcoen.com", true },
  { "hardcore-bodybuilding.nl", true },
  { "hardeman.nu", true },
  { "hardenize.com", true },
  { "hardertimes.com", true },
  { "hardfloorcleaninglondon.co.uk", true },
  { "hardforum.com", true },
  { "hardh.at", true },
  { "hardhat.io", true },
  { "hardrain980.com", true },
  { "hardrock.tk", true },
  { "hardtfrieden.de", true },
  { "hardwareschotte.de", true },
  { "harelmallac.com", true },
  { "harelmallacglobal.com", true },
  { "hargamobilmu.com", true },
  { "haribilalic.com", true },
  { "harilova.fr", true },
  { "harington.fr", true },
  { "harion.fr", true },
  { "harisht.me", false },
  { "harititan.com", true },
  { "haritsa.co.id", true },
  { "harjitbhogal.com", true },
  { "harley-davidson-live.com", true },
  { "harleyclassifieds.com", true },
  { "harmoney.co.nz", true },
  { "harmoney.com", true },
  { "harmoney.com.au", true },
  { "harmonyplace.com", true },
  { "harms.io", true },
  { "harmsboone.org", true },
  { "harnov.dk", true },
  { "haroldsharpe.com", true },
  { "harpoo.jp", false },
  { "harptechnologies.com", true },
  { "harringtonca.com", true },
  { "harrisandharris.com.au", true },
  { "harrisconsulting.ie", true },
  { "harrisonm.com", true },
  { "harrisonswebsites.com", true },
  { "harrymclaren.co.uk", true },
  { "harrysmallbones.co.uk", true },
  { "harrysqnc.co.uk", true },
  { "harschnitz.nl", false },
  { "harshee.ml", true },
  { "hartie95.de", true },
  { "hartkampforkids.nl", true },
  { "hartleighclyde.com.au", true },
  { "hartlep.email", true },
  { "hartlieb.me", true },
  { "hartzer.com", true },
  { "haruhi.org.ua", true },
  { "harukakikuchi.com", true },
  { "harukawa.moe", true },
  { "haruue.moe", true },
  { "harvarddharma.org", true },
  { "harvestapp.com", true },
  { "harvestcookrepeat.com", true },
  { "harvester.fr", true },
  { "harveyauzorst.com", true },
  { "harveyplum.com", true },
  { "harveysautoservice.net", true },
  { "has-no-email-set.de", false },
  { "has.report", true },
  { "hasandeniz.uk", true },
  { "haschrebellen.de", true },
  { "hasecuritysolutions.com", true },
  { "haselsteiner.me", true },
  { "hash-archive.org", true },
  { "hash.army", true },
  { "hash.works", true },
  { "hashcashconsultants.com", true },
  { "hashcat.net", true },
  { "hashemian.com", true },
  { "hashi.dk", true },
  { "hashiconf.com", false },
  { "hashicorp.com", false },
  { "hashimah.ca", true },
  { "hashimoto-jimusho.com", true },
  { "hashinteractive.com", true },
  { "hashish.net", true },
  { "hashiura.jp", true },
  { "hashru.nl", true },
  { "hashtagpatriot.com", true },
  { "hashworks.net", true },
  { "hashxp.org", true },
  { "hasilocke.de", true },
  { "haskett.ca", true },
  { "haskovec.com", true },
  { "hasselbach-dellwig.de", true },
  { "hasseplatslageri.se", true },
  { "hassra.org.uk", true },
  { "hastyllc.com", true },
  { "hatachan.site", true },
  { "hatarisecurity.co.ke", true },
  { "hatcher.cloud", true },
  { "hatpakha.com", true },
  { "hatter.ink", true },
  { "hatul.info", true },
  { "haucke.xyz", true },
  { "hauller.ch", true },
  { "hauntedhouserecords.co.uk", true },
  { "hauora.fyi", true },
  { "hauora.net", true },
  { "hauora.tech", true },
  { "haus-garten-test.de", true },
  { "haus-henne.de", true },
  { "haushaltsaufloesunghannover.de", true },
  { "haushenne.de", true },
  { "hausjugo.de", true },
  { "haustechnik-breu.de", true },
  { "hausundhof.com", true },
  { "hautaka.com", true },
  { "hautarztzentrum.ch", true },
  { "hauteslatitudes.com", false },
  { "havarijna-sluzba-bratislava.sk", true },
  { "havasigabor.hu", true },
  { "havasuinsurance.com", true },
  { "have.jp", true },
  { "haveabounce.co.uk", true },
  { "havedicewillsave.com", true },
  { "haveforeningen-enghaven.dk", true },
  { "havefunbiking.com", true },
  { "haveibeenpwned.com", true },
  { "havellab.de", true },
  { "havelland-obstler.de", true },
  { "havencyber.com", true },
  { "havenstrategies.com", true },
  { "havernbenefits.com", true },
  { "haverstack.com", true },
  { "havetherelationshipyouwant.com", true },
  { "hawaar.com", true },
  { "hawaiianchoice.com", true },
  { "hawaiiforbernie.com", true },
  { "hawaiioceanproject.com", true },
  { "hawaiiwho.com", true },
  { "hawickvets.co.uk", true },
  { "hawkargentina.com", true },
  { "hawkeyeinsight.com", true },
  { "hawkinsonkiaparts.com", true },
  { "hawkofgeorgia.com", true },
  { "hawkon.dk", true },
  { "hawksguild.com", true },
  { "hawksracing.de", true },
  { "hax.to", true },
  { "haxdroid.com", true },
  { "haxo.nl", false },
  { "hayai.space", true },
  { "hayashi-rin.net", true },
  { "hayden.ru", true },
  { "haydenbleasel.com", true },
  { "haydenjames.io", true },
  { "hayfordoleary.com", true },
  { "hayl.me.uk", true },
  { "haynes-davis.com", false },
  { "hayobethlehem.nl", true },
  { "hayonik.com", true },
  { "haystackrenovation.com.au", true },
  { "hayvid.com", true },
  { "haz.cat", true },
  { "hazelglow.com", true },
  { "hazelhof.nl", true },
  { "hazeltime.com", true },
  { "hazeover.com", true },
  { "hazmijardin.es", true },
  { "hb8522.com", true },
  { "hbaa.ml", true },
  { "hbcm70.fr", true },
  { "hbcu-colleges.com", true },
  { "hbelectricsolutions.com", true },
  { "hbkonsult.com", true },
  { "hboeck.de", true },
  { "hbpowell.com", true },
  { "hbudd.com", true },
  { "hbweb.io", true },
  { "hcbj.io", true },
  { "hcie.pl", false },
  { "hcscrusaders.com", true },
  { "hd-6132.com", true },
  { "hd-gaming.com", true },
  { "hd-iptv.co", true },
  { "hd-offensive.at", false },
  { "hd-only.org", true },
  { "hd-outillage.com", true },
  { "hd2132.com", true },
  { "hd5132.com", true },
  { "hd5414.com", true },
  { "hd5424.com", true },
  { "hd6132.com", true },
  { "hd7337.com", true },
  { "hdbits.org", true },
  { "hdc.cz", true },
  { "hdcenter.cc", true },
  { "hdeaves.uk", true },
  { "hdf.world", true },
  { "hdfgroup.org", true },
  { "hdguru.com", true },
  { "hdhoang.space", true },
  { "hdkandsons.com", true },
  { "hdm.io", true },
  { "hdnastudio.com", true },
  { "hdrsource.com", true },
  { "hdrtranscon.com", true },
  { "hds-lan.de", true },
  { "hdv.paris", true },
  { "hdwallpapers.net", true },
  { "he.kg", true },
  { "heaaart.com", true },
  { "head.ru", true },
  { "headforcloud.com", true },
  { "headjapan.com", true },
  { "headlinepublishing.be", true },
  { "healike.hk", true },
  { "healingourskin.com", true },
  { "health-booster.com", false },
  { "health-iq.com.au", true },
  { "health-plan-news.com", true },
  { "health.gov", true },
  { "health.graphics", true },
  { "health24world.ml", true },
  { "healthand-beautynews.net", true },
  { "healthandskinbeauty.com", true },
  { "healthcare.gov", false },
  { "healthcarereviews.tk", true },
  { "healthcaresuccess.com", true },
  { "healthcultureexpo.com", true },
  { "healthdata.gov", true },
  { "healtheffectsofasbestos.com", true },
  { "healthfinder.gov", true },
  { "healthfoam.com", true },
  { "healthgames.co.uk", true },
  { "healthiercompany.com", true },
  { "healthiergenerations.co.uk", true },
  { "healthit.gov", true },
  { "healthplansamerica.org", true },
  { "healthstar-dev.io", true },
  { "healthstar.io", true },
  { "healththoroughfare.com", true },
  { "healthworksmarden.com.au", true },
  { "healthy-map.com", true },
  { "healthyhomesofmichigan.com", true },
  { "healthypeople.gov", true },
  { "healthyspirituality.org", true },
  { "healthystyle.tk", true },
  { "healthysuperhuman.com", true },
  { "healthyteame.com", true },
  { "heapkeeper.org", true },
  { "heardcountyathletics.com", true },
  { "hearfool.cc", true },
  { "hearmeraw.uk", true },
  { "heartbeat24.de", true },
  { "heartbound.wiki", true },
  { "heartcomms.com.au", true },
  { "hearthstonehungary.hu", true },
  { "heartlandbiomed.com", true },
  { "heartmdinstitute.com", true },
  { "heartsintrueharmony.com", true },
  { "hearttruth.gov", true },
  { "heartview.com.br", true },
  { "heartwoodart.com", true },
  { "hearty.eu.org", true },
  { "hearty.me", true },
  { "hearty.sg", true },
  { "hearty.tw", true },
  { "heartycorp.com", true },
  { "heartycraft.com", true },
  { "heatershop.co.uk", true },
  { "heathersmithcommercial.com", true },
  { "heatingandairconditioningdallastx.com", true },
  { "heavensattic.co.uk", true },
  { "heavensinferno.net", true },
  { "heavyequipments.org", true },
  { "hebamme-cranio.ch", true },
  { "hebamme-ebersberg.de", true },
  { "hebbet.de", true },
  { "hebel-intern.de", true },
  { "hebikhiv.nl", true },
  { "hebingying.cn", true },
  { "hec-espace-entreprise.ch", false },
  { "hec.global", true },
  { "heckelektro.de", true },
  { "heckerundknopp.de", true },
  { "hedge.fi", true },
  { "hedgeschool.ie", true },
  { "hedonism.org", true },
  { "hedonistic-imperative.com", true },
  { "hedonistic.org", true },
  { "hedonium.com", true },
  { "hedweb.co.uk", true },
  { "hedweb.com", true },
  { "hedweb.net", true },
  { "hedweb.org", true },
  { "hedys.de", true },
  { "heello.es", true },
  { "hefengautoparts.com", true },
  { "heftkaufen.de", true },
  { "hegartymaths.com", true },
  { "hegdahl.tk", true },
  { "hegen.com.pl", false },
  { "hegen.cz", false },
  { "hegen.sk", false },
  { "hegenshop.de", true },
  { "heh.ee", true },
  { "heha.co", false },
  { "heiaheia.com", true },
  { "heid.ws", true },
  { "heiden-wir-helfen.de", true },
  { "heidisheroes.org", true },
  { "heighton.com.au", true },
  { "heightselectrical.com.au", true },
  { "heijdel.nl", true },
  { "heijmans.blog", true },
  { "heijmans.cloud", true },
  { "heijmans.email", true },
  { "heijmans.io", true },
  { "heijmans.network", true },
  { "heijmans.one", true },
  { "heijmans.pm", true },
  { "heijmans.xyz", true },
  { "heikegastmann.com", true },
  { "heikohessenkemper.de", true },
  { "heiland.io", true },
  { "heiliger-gral.info", true },
  { "heilpraxis-bgl.de", true },
  { "heimatverein-eitensheim.de", true },
  { "heimdallr.nl", true },
  { "heimonen.eu", true },
  { "heinemeier.dk", true },
  { "heinenhopman.ro", true },
  { "heino-peters.de", true },
  { "heinpost.nl", false },
  { "heinzelmann.co", true },
  { "heiraten-gardasee.de", true },
  { "heiraten-venedig.de", true },
  { "heissluft-fritteuse.com", true },
  { "heistheguy.com", true },
  { "heitepriem.info", true },
  { "heitland-it.de", true },
  { "heiwa-valve.co.jp", false },
  { "hekat.sk", true },
  { "helber-it-services.de", true },
  { "helbreath.tk", true },
  { "helden-spielen.de", true },
  { "heldenhalde.de", true },
  { "helderneves.pt", true },
  { "heldtech.services", true },
  { "heldundsexgott.de", true },
  { "heleendebruyne.be", true },
  { "helenaknowledge.com", true },
  { "helenekurtz.com", true },
  { "helenkellersimulator.org", true },
  { "helensmithpr.co.uk", true },
  { "helfordriversc.co.uk", true },
  { "helgaschultz.de", true },
  { "helichat.de", true },
  { "helifreak.club", true },
  { "helijobs.net", true },
  { "helikon.ro", true },
  { "heliosnet.com", true },
  { "heliosvoting.org", true },
  { "helix.am", true },
  { "helkyn.eu", true },
  { "helkyn.fr", true },
  { "helkyn.org", true },
  { "hell.sh", true },
  { "hella-secure.com", true },
  { "hellboundhackers.org", true },
  { "hellenicagora.co.uk", true },
  { "hellenicmusicacademy.com", true },
  { "hellerarko.de", true },
  { "hellersgas.com", true },
  { "helloacm.com", true },
  { "helloafrica.ga", true },
  { "hellobrian.me", true },
  { "hellocyber.co.uk", true },
  { "hellolocalmedia.com.au", true },
  { "hellomedian.com", true },
  { "hellomookie.com", true },
  { "hellomouse.net", true },
  { "hellosalmon.com", true },
  { "hellovillam.com", true },
  { "helloworldhost.com", false },
  { "hellsgamers.pw", true },
  { "hellsh.com", true },
  { "helm-pokale.at", true },
  { "helm-pokale.de", true },
  { "helm-trophy.com", true },
  { "help.simpletax.ca", true },
  { "help207.me", true },
  { "helpconnect.com.au", true },
  { "helpfulhealthinsurance.com", true },
  { "helpkoil.com", true },
  { "helppc.com.ua", true },
  { "helpscoutdocs.com", true },
  { "helpstarloja.com.br", true },
  { "helptasker.com", true },
  { "helptasker.net", true },
  { "helptasker.ru", true },
  { "helpwithadoption.com", true },
  { "helpwithinsomnia.org", false },
  { "helpwithmybank.gov", true },
  { "helsenorge.no", true },
  { "helseogmassasje.no", true },
  { "helsinki.dating", true },
  { "helvella.de", true },
  { "hematoonkologia.pl", true },
  { "hemdal.se", true },
  { "hemkoll.nu", true },
  { "hemnet.se", true },
  { "hemp.je", false },
  { "hems.si", true },
  { "hemtest.com", true },
  { "hen.ne.ke", true },
  { "hendric.us", false },
  { "hendrickx.be", true },
  { "hendrik.li", true },
  { "hendrinortier.nl", true },
  { "heng555.com", true },
  { "hengroenet.de", true },
  { "hengstumone.com", true },
  { "henkboelman.com", true },
  { "henke-home.eu", true },
  { "henker.net", true },
  { "henkrensing.nl", true },
  { "henkverlinde.com", false },
  { "henley-computer-repairs.co.uk", true },
  { "henleybouncycastles.co.uk", true },
  { "henlich.de", true },
  { "hennastories.com", true },
  { "hennastories.org", true },
  { "hennecke-forstbetrieb.de", true },
  { "henneke.me", true },
  { "hennes-haan.de", true },
  { "hennes-shop.de", true },
  { "hennesshop.de", true },
  { "hennies.org", true },
  { "henningkerstan.de", true },
  { "henningkerstan.org", true },
  { "hennymerkel.com", true },
  { "henrik-bondtofte.dk", true },
  { "henrikjuvonen.fi", true },
  { "henrikwelk.de", true },
  { "henrilammers.nl", true },
  { "henry.gg", true },
  { "henryocallaghan.com", true },
  { "henrysautodetail.com", true },
  { "hentaigogo.com", true },
  { "hentaipornography.com", true },
  { "hentaiz.net", true },
  { "hentamanga.tk", true },
  { "hentavfall.no", true },
  { "hentschke-bau.de", true },
  { "hentschke-betonfertigteilwerk.de", true },
  { "hentschke-invest.de", true },
  { "henzenhoning.nl", true },
  { "hepla.de", true },
  { "heppler.net", true },
  { "heptafrogs.de", true },
  { "heraldik-wiki.de", true },
  { "herba-belgie.be", true },
  { "herberichfamily.com", true },
  { "herbert.io", true },
  { "herbertjanvandinther.nl", true },
  { "herbhuang.com", true },
  { "herbolarigranvida.com", true },
  { "herbsupplements.co.uk", true },
  { "herbweb.net", true },
  { "herbweb.org", true },
  { "herd-kaufen.com", true },
  { "herds.eu", true },
  { "herdserv.de", true },
  { "herecsrymy.cz", true },
  { "heren.fashion", true },
  { "heretic-guild.com", true },
  { "hereticle.com", true },
  { "heritagebaptistchurch.com.ph", true },
  { "heritagecoffee.co.uk", true },
  { "herkam.pl", true },
  { "herkel.email", true },
  { "herkelmedia.com", true },
  { "herkelmedia.de", true },
  { "herlynlingerie.com", true },
  { "hermanbrouwer.nl", true },
  { "hermes-net.de", true },
  { "herminghaus24.de", true },
  { "hermiu.com", true },
  { "herni-kupony.cz", true },
  { "herocentral.de", true },
  { "heroco.xyz", true },
  { "herofil.es", true },
  { "herohirehq.co.uk", true },
  { "heroiclove.com", true },
  { "heroicpixel.com", true },
  { "heroku.com", true },
  { "heromuster.com", true },
  { "herpes-no.com", true },
  { "herranzramia.com", false },
  { "herrenmuehle-wein.de", true },
  { "herrfirm.com", true },
  { "herringboneeats.com", true },
  { "herringsresidence.be", true },
  { "herrkaschke.com", true },
  { "herrschaftlich-durch-dresden.de", true },
  { "herrsmith.com", true },
  { "herrtxbias.net", false },
  { "hersdorf-eifel.de", true },
  { "hertsbouncycastles.com", true },
  { "hertz.bj", true },
  { "herz-und-gemuet.de", true },
  { "herzfuersoziales.at", true },
  { "herzig.cc", true },
  { "herzogglass.com", true },
  { "herzwacht.de", true },
  { "hes.com.cy", true },
  { "hesaplama.net", true },
  { "hessen-liebe.de", true },
  { "hesslag.com", true },
  { "hestia-systeme.be", true },
  { "hestia-systeme.com", true },
  { "hestia-systeme.eu", true },
  { "hestia-systeme.fr", true },
  { "hesyifei.com", true },
  { "hetene.nl", true },
  { "hethakhout.nl", true },
  { "hethely.ch", true },
  { "hetmer.cz", true },
  { "hetushu.com", true },
  { "hetwalhalla.nl", true },
  { "heute-kaufen.de", true },
  { "heute.training", true },
  { "heutger.net", true },
  { "hevertonfreitas.com.br", true },
  { "hex.nl", true },
  { "hexagon-e.com", true },
  { "hexapt.com", true },
  { "hexcode.in", true },
  { "hexed.it", true },
  { "hexhu.net", true },
  { "hexiaohu.cn", true },
  { "hexieshe.com", true },
  { "hexo.io", false },
  { "hexony.com", true },
  { "hexr.org", true },
  { "hexsafe.io", true },
  { "hexstream.net", true },
  { "hexstream.xyz", true },
  { "hexstreamsoft.com", true },
  { "hexxagon.com", true },
  { "heyboldface.com", true },
  { "heywood.cloud", true },
  { "hf51.nl", true },
  { "hg.gg", true },
  { "hg.python.org", true },
  { "hg0086.la", true },
  { "hg661.cc", true },
  { "hgbet.com", true },
  { "hgc369.com", true },
  { "hghanbarimd.com", true },
  { "hgmaranatha.nl", true },
  { "hgpowerglue.nl", true },
  { "hguandl.com", true },
  { "hgw168.com", true },
  { "hh-medic.com", true },
  { "hh-wolke.dedyn.io", true },
  { "hhgdo.de", true },
  { "hhh1080.com", true },
  { "hhhdb.com", true },
  { "hhidr.org", true },
  { "hhl.de", true },
  { "hhmmmm.de", true },
  { "hhs.gov", true },
  { "hhtoners.com.br", true },
  { "hibari.moe", true },
  { "hiccupsandjuice.co.uk", true },
  { "hickorywinecellar.com", true },
  { "hicl.org", true },
  { "hicoria.com", true },
  { "hicts.nl", true },
  { "hiczp.com", true },
  { "hidbo.de", true },
  { "hiddenhillselectric.com", true },
  { "hiddenhillselectrical.com", true },
  { "hiddenhillselectrician.com", true },
  { "hiddenhillsexteriorlighting.com", true },
  { "hiddenhillslandscapelighting.com", true },
  { "hiddenhillslighting.com", true },
  { "hiddenhillsoutdoorlighting.com", true },
  { "hiddenimage.ml", true },
  { "hiddenmalta.net", true },
  { "hiddenpalms.tk", true },
  { "hide.me", true },
  { "hideallip.com", true },
  { "hideouswebsite.com", true },
  { "hidroshop.com.br", true },
  { "hidroshoping.com.br", true },
  { "hieisuki.ga", true },
  { "hielscher.com", true },
  { "hierer.com", true },
  { "hieu.com.au", true },
  { "hif88.com", true },
  { "hifala.de", true },
  { "hiffo.de", true },
  { "hifumi.us", true },
  { "hig.gov", true },
  { "higgstools.org", true },
  { "highair.net", true },
  { "highcorkett.com", true },
  { "highdesertroboticsurgery.com", true },
  { "highenergy.ro", true },
  { "higherpress.org", true },
  { "highinthemid80s.com", true },
  { "highkick.jp", true },
  { "highlandparkcog.org", true },
  { "highlegshop.com", true },
  { "highlevelwoodlands.com", true },
  { "highriskpay.com", true },
  { "highspeed-arnsberg.de", true },
  { "highspeedinternet.my", true },
  { "highstreethomes.com.au", true },
  { "hightechreviews.ga", true },
  { "hightimes.com", true },
  { "highwaytohoell.de", true },
  { "hiimodel.com", true },
  { "hik-cloud.com", true },
  { "hikawa.top", true },
  { "hike.pics", true },
  { "hikerone.com", true },
  { "hikikomori-sos.site", true },
  { "hikingguy.com", true },
  { "hilahdih.cz", true },
  { "hilalnews.ga", true },
  { "hilarious.ga", true },
  { "hilaryhutler.com", true },
  { "hilchenba.ch", true },
  { "hildebrand.group", true },
  { "hilden.ws", true },
  { "hiledge.com", true },
  { "hilfe-bei-krebs-vechta.de", true },
  { "hilfreiche-server.tips", true },
  { "hilhorst-uitvaartverzorging.nl", true },
  { "hillcrestswimclub.com", true },
  { "hillebrand.io", true },
  { "hillier-swift.co.uk", true },
  { "hillsandsaunders.co.uk", true },
  { "hillsandsaunders.com", true },
  { "hillsboroccpa.org", true },
  { "hillstrak.com.au", true },
  { "hillstrakwpg.com.au", true },
  { "hilltopcellar.com", true },
  { "hilnu.com", true },
  { "hiltonarubabeachservices.com", true },
  { "hiltonhylandluxurycondos.com", true },
  { "hiltonsydney.com.au", true },
  { "himalaya-masala.at", true },
  { "himecorazon.com", true },
  { "himekomi.com", true },
  { "himiku.com", true },
  { "himpler.com", true },
  { "hin10.com", true },
  { "hinaryazan.com", true },
  { "hinata-hidetoshi.com", true },
  { "hindu-temple.tk", true },
  { "hingston.org", true },
  { "hintergrundbewegung.de", true },
  { "hinterhofbu.de", true },
  { "hinterposemuckel.de", true },
  { "hiparish.org", true },
  { "hipeople.com.br", true },
  { "hipercultura.com", true },
  { "hiperusera.es", true },
  { "hipnos.net", true },
  { "hippies.com.br", true },
  { "hippomovers.com", true },
  { "hippopotamuses.org", true },
  { "hips.com", true },
  { "hipstercat.fr", false },
  { "hiqfranchise.co.uk", true },
  { "hiqhub.co.uk", false },
  { "hiqonline.co.uk", true },
  { "hirakatakoyou.org", true },
  { "hirake55.com", true },
  { "hiratake.xyz", true },
  { "hireabouncycastle.net", true },
  { "hirel.gq", true },
  { "hiresteve.ca", true },
  { "hirevets.gov", true },
  { "hirevo.eu", true },
  { "hirevue.com", true },
  { "hirezzportal.com", true },
  { "hiromuogawa.com", true },
  { "hirotaka.org", true },
  { "hisbrucker.net", true },
  { "hisgifts.com.au", true },
  { "hisnet.de", true },
  { "hispadent.com.do", true },
  { "hispania-valencia.com", true },
  { "hispanic.dating", true },
  { "hisregistries.com", true },
  { "hisregistries.net", true },
  { "hisregistries.org", true },
  { "histkult.tk", true },
  { "histoire-cite.ch", false },
  { "histoiresdecontenu.com", false },
  { "histoiresdemotos.fr", true },
  { "historia-arte.com", true },
  { "historiasdepueblo.es", true },
  { "historischhout.nl", true },
  { "history-schools.com", true },
  { "history.google.com", false },
  { "history.gov", true },
  { "hitandhealth.nl", true },
  { "hitchpin.com", true },
  { "hitechgr.eu", true },
  { "hitechnologystore.com", true },
  { "hiteco.com", true },
  { "hiteshchandwani.com", true },
  { "hitflow.fr", true },
  { "hitflow.net", true },
  { "hitfront.com", true },
  { "hithardnews.com", true },
  { "hititgunesi-tr.com", true },
  { "hitmanstat.us", true },
  { "hitn.at", true },
  { "hitoapi.cc", false },
  { "hitocom.net.br", true },
  { "hitokoto-mania.com", true },
  { "hitokoto.cn", false },
  { "hitomecha.com", true },
  { "hitrost.com", true },
  { "hitsbola.club", true },
  { "hitter-lauzon.com", true },
  { "hitter.family", true },
  { "hitterfamily.com", true },
  { "hittop.tk", true },
  { "hiv-symptome.de", true },
  { "hiv.gov", true },
  { "hivatalinfo.hu", true },
  { "hiveopolis.eu", true },
  { "hiverlune.net", true },
  { "hiwannz.com", true },
  { "hiwiki.tk", true },
  { "hiyacar.co.uk", true },
  { "hiyobi.me", true },
  { "hiyoko-shokutaku.com", true },
  { "hiyuki2578.net", false },
  { "hizzacked.xxx", true },
  { "hj-mosaiques.be", true },
  { "hj.rs", true },
  { "hjartasmarta.se", true },
  { "hjelpemiddeldatabasen.no", true },
  { "hjertingfysioterapi.dk", true },
  { "hjort.land", true },
  { "hjortland.org", true },
  { "hjphoto.co.uk", true },
  { "hk.search.yahoo.com", false },
  { "hkas.org.hk", true },
  { "hkbsurgery.com", true },
  { "hkdobrev.com", true },
  { "hklbgd.org", true },
  { "hkmap.co", true },
  { "hkmap.com", true },
  { "hkmap.live", true },
  { "hkmap.net", true },
  { "hkr.at", true },
  { "hks-projekt.at", true },
  { "hks.pw", true },
  { "hktech.com", true },
  { "hkustmbajp.com", true },
  { "hl8id.vip", true },
  { "hl8th.vip", true },
  { "hlavacek.us", true },
  { "hlavi.hu", true },
  { "hledejlevne.cz", true },
  { "hlegrandbeautysupply.com", true },
  { "hlfh.space", true },
  { "hlinformatics.nl", true },
  { "hloe0xff.ru", true },
  { "hlsmandarincentre.com", true },
  { "hlucas.de", true },
  { "hlx66.cc", true },
  { "hlx86.cc", true },
  { "hly0928.com", true },
  { "hlz.mn", true },
  { "hm1ch.com", true },
  { "hm1ch.ovh", true },
  { "hm773.org", true },
  { "hmhotelec.com", false },
  { "hmnd.io", true },
  { "hmoegirl.com", true },
  { "hmri.org.au", true },
  { "hms-waldmann.de", true },
  { "hmsseahawk.com", true },
  { "hn.search.yahoo.com", false },
  { "hn75.de", true },
  { "hnfertilizermachine.com", true },
  { "hnn.net.br", true },
  { "hnonline.sk", true },
  { "hnyp.hu", true },
  { "ho188.net", true },
  { "ho518.net", true },
  { "ho568.com", true },
  { "ho918.net", true },
  { "hoaas.no", true },
  { "hoahau.org", true },
  { "hoarding.me", true },
  { "hoathienthao.com", true },
  { "hoathienthao.vn", true },
  { "hobby-drechselei.de", true },
  { "hobby-freizeit.de", true },
  { "hoberg.ch", true },
  { "hochhaus.us", true },
  { "hochoukikikiraku.com", true },
  { "hochyi.com", true },
  { "hochzeitsfotograf-deinfoto.ch", true },
  { "hochzeitsplanerin-hamburg.de", true },
  { "hockeyworldwide.com", true },
  { "hodgephotography.com", true },
  { "hodler.shop", true },
  { "hoe.re", true },
  { "hoeft-autolackierung.de", true },
  { "hoekvanholland.eu", true },
  { "hoeren.club", true },
  { "hoesnelwasik.nl", true },
  { "hoevenstein.nl", false },
  { "hoewler.ch", false },
  { "hof-mulin.ch", true },
  { "hofapp.de", true },
  { "hofauer.de", true },
  { "hoffmancorporation.com", true },
  { "hoffmann-fliesen-design.de", true },
  { "hoffnungberlin.de", true },
  { "hoffnungdeutschland.de", true },
  { "hofiprojekt.cz", true },
  { "hoflerlawfirm.com", true },
  { "hofstaetter.io", true },
  { "hogarthdavieslloyd.com", true },
  { "hoge.se", true },
  { "hogepad.com", true },
  { "hogl.dk", true },
  { "hogrebe.de", true },
  { "hogwarts.io", true },
  { "hohenleimbach.de", true },
  { "hohenpoelz.de", true },
  { "hohm.in", true },
  { "hoiquanadida.com", true },
  { "hoish.in", false },
  { "hoken-wakaru.jp", true },
  { "hokenselect.jp", true },
  { "hokioisecurity.com", true },
  { "hokusya.com", true },
  { "holacannx.com", true },
  { "holacbdoils.com", true },
  { "holadinero.es", true },
  { "holadinero.mx", true },
  { "holboxwhalesharktours.com", false },
  { "holdengreene.com", true },
  { "holebedeljek.hu", true },
  { "holidayacademy.co.uk", true },
  { "holidaylocal.ga", true },
  { "holidaysportugal.eu", true },
  { "holisticacupuncture.com.au", true },
  { "holistichealer.in", true },
  { "holisticon.de", true },
  { "holland-sailing.de", true },
  { "hollandsdiep.nl", true },
  { "hollermann.eu", true },
  { "hollowpoint.xyz", true },
  { "hollowrap.com", true },
  { "hollyforrest.ca", true },
  { "hollyforrestphotography.ca", true },
  { "hollywoodstars.tk", true },
  { "hollywoodsurvey.org", true },
  { "holmesian.org", true },
  { "holo.ovh", true },
  { "holofono.com", true },
  { "holofox.ru", true },
  { "holoxplor.space", true },
  { "holtackersleather.be", true },
  { "holtslander.ca", true },
  { "holunderbluetentee.de", true },
  { "holvonix.com", true },
  { "holycrossphl.org", true },
  { "holycrossverobeach.org", true },
  { "holydragoon.jp", true },
  { "holyfamilyphilly.org", true },
  { "holyfamilyrussell.org", true },
  { "holyghost-church.org", true },
  { "holygrail.games", true },
  { "holyhiphopdatabase.com", true },
  { "holymartyrschurch.org", true },
  { "holyriders.cf", true },
  { "holyspiritpalmyra.com", true },
  { "holyspiritweb.org", true },
  { "holyszko.com", true },
  { "holytransaction.com", true },
  { "holywhite.com", true },
  { "holz.nu", true },
  { "holzheizer-forum.de", true },
  { "holzheizerforum.de", true },
  { "holzschutz-holzbearbeitung.de", true },
  { "holzspielzeug-shop.ch", true },
  { "holzstueckwerk.de", true },
  { "holzundgarten.de", true },
  { "holzvergaser-forum.de", true },
  { "homatism.com", true },
  { "hombresconestilo.com", true },
  { "home-sud-renovation.com", false },
  { "homeable.io", true },
  { "homeandliving.it", true },
  { "homebank.kg", true },
  { "homebasedsalons.com.au", true },
  { "homebrewshop.be", true },
  { "homecareassociatespa.com", true },
  { "homecareinterio.com", true },
  { "homecaring.com.au", true },
  { "homecheck.gr", true },
  { "homedentist.cl", true },
  { "homeehome.com", true },
  { "homegardeningforum.com", true },
  { "homegardenresort.nl", true },
  { "homegreenmark.com", true },
  { "homehunting.pt", true },
  { "homeimagician.com.au", true },
  { "homelab.farm", true },
  { "homelabalert.com", true },
  { "homeland.ie", true },
  { "homemdeferro.net", true },
  { "homeodynamics.com", true },
  { "homeoesp.org", true },
  { "homeogenium.com", false },
  { "homepage.shiga.jp", true },
  { "homeporn.stream", true },
  { "homeportal.cz", true },
  { "homeprivate.de", true },
  { "homeprivate.net", true },
  { "homeseller.com", true },
  { "homeserver-kp.de", true },
  { "homeshowoff.com", true },
  { "homesteadandprepper.com", true },
  { "homesteadfarm.org", true },
  { "homeworkacers.com", true },
  { "homeyou.com", true },
  { "hommeatoutfaire.be", false },
  { "homoo.social", true },
  { "homophobia.tk", true },
  { "homophoni.com", true },
  { "hompus.nl", false },
  { "homs.design", true },
  { "homunyan.com", true },
  { "hon-matsuba.co.jp", true },
  { "honda-centrum.cz", true },
  { "hondart.cz", true },
  { "hondenoppasfraneker.nl", true },
  { "honey.beer", true },
  { "honey.is", true },
  { "honeybadger.io", false },
  { "honeybrooklibrary.org", true },
  { "honeycomb.com.vn", true },
  { "honeycome.net", true },
  { "honeycreeper.com", true },
  { "honeyhaw.com", true },
  { "honeypot.net", true },
  { "honeyspot.de", true },
  { "hong.io", true },
  { "hongbomiao.com", true },
  { "hongki.tk", true },
  { "hongoi.com", true },
  { "hongorw.tk", true },
  { "hongosdemexico.tk", true },
  { "honkion.net", true },
  { "honoka-seitai.jp", true },
  { "honovere.de", true },
  { "hontoir.eu", true },
  { "hoofdredacteuren.nl", true },
  { "hoogeveen.nl", false },
  { "hooghiemstrazelf.nl", true },
  { "hookbin.com", true },
  { "hookshotdesign.com", true },
  { "hookupndate.com", true },
  { "hookxlab.org", false },
  { "hoon.tk", true },
  { "hoooc.com", true },
  { "hooowl.com", true },
  { "hoop.la", true },
  { "hoopertechnicalsolutions.com", true },
  { "hooplessinseattle.com", true },
  { "hoopshabit.com", true },
  { "hooray.beer", true },
  { "hoorig.de", true },
  { "hoorr.com", true },
  { "hoowhen.cn", true },
  { "hopconseils.ch", false },
  { "hopconseils.com", false },
  { "hopecbd.com", true },
  { "hopemeet.me", true },
  { "hopeofmyheart.com", true },
  { "hopesanddreams.org.uk", true },
  { "hopeworld.pro", true },
  { "hoplongtech.com", true },
  { "hoponmedia.de", true },
  { "hopps.me", true },
  { "hoppyx.com", true },
  { "hopzone.net", true },
  { "horaceli.com", true },
  { "horackova.info", true },
  { "horairetrain.be", true },
  { "horairetrain.ch", true },
  { "horairetrain.fr", true },
  { "horairetrain.lu", true },
  { "horclan.tk", true },
  { "hord.ca", true },
  { "horecaapparatuurkobezuijen.nl", true },
  { "horecatiger.eu", true },
  { "horeco.com", true },
  { "horeizai.net", true },
  { "horgenberg.com", true },
  { "horizon.ne.jp", true },
  { "horizonhomes-samui.com", true },
  { "horizonlawncare.tk", true },
  { "horizzon.cloud", true },
  { "horn.co", true },
  { "hornertranslations.com", true },
  { "horo.moe", true },
  { "horochx.org", true },
  { "horodance.dk", true },
  { "horrell.ca", true },
  { "horror-forum.de", true },
  { "horrormovies.gr", true },
  { "horsehunter.co.uk", true },
  { "horsky.me", true },
  { "horstmanshof.eu", true },
  { "horti-it.com", true },
  { "horton-brasses.com", true },
  { "hory.me", true },
  { "horza.org", true },
  { "hoshimaq.com.br", true },
  { "hoshimaquinas.com.br", true },
  { "hoshinplan.com", true },
  { "hoshisato.com", true },
  { "hosiery.tk", true },
  { "hosiet.me", true },
  { "hosmussynergie.nl", false },
  { "hosoi-tax.com", true },
  { "hospitalhomelottery.org", true },
  { "hospitality-colleges.com", true },
  { "hostadvice.com", true },
  { "hostallacasamia.com", true },
  { "hostco.nl", true },
  { "hostcoz.com", true },
  { "hosteasy.nl", false },
  { "hostedghost.eu", true },
  { "hostedghost.net", true },
  { "hostedghost.nl", true },
  { "hostedtalkgadget.google.com", true },
  { "hosteleriauno.es", true },
  { "hosteons.com", true },
  { "hostfission.com", true },
  { "hostiberi.com", true },
  { "hostico.ro", true },
  { "hostinecpodlipou.cz", true },
  { "hosting-swiss.ch", true },
  { "hostingactive.it", true },
  { "hostingalternative.com", false },
  { "hostingdirectory.ga", true },
  { "hostinghelp.guru", true },
  { "hostinginnederland.nl", true },
  { "hostinglogin.net", true },
  { "hostingphp.ch", true },
  { "hostingpunt.be", true },
  { "hostingsolutions.cz", true },
  { "hostix.de", true },
  { "hostme.co.il", true },
  { "hostmijnpagina.nl", true },
  { "hostmodern.com.au", true },
  { "hostmywebsite.online", true },
  { "hostpoint.ch", true },
  { "hostwinds.com", true },
  { "hosuronline.com", true },
  { "hot-spa.ch", false },
  { "hotcandlestick.com", true },
  { "hotchillibox.com", true },
  { "hotcoin.io", true },
  { "hotdates18.com.au", true },
  { "hotdates18.fi", true },
  { "hotel-alan.hr", true },
  { "hotel-kontorhaus-stralsund.de", true },
  { "hotel-kontorhaus.de", true },
  { "hotel-le-vaisseau.ch", true },
  { "hotel-rosner.at", true },
  { "hotel-schiller.de", true },
  { "hotelamgarnmarkt.at", false },
  { "hotelbonacabol.com", true },
  { "hotelbretagne.dk", true },
  { "hotelcoliber.pl", true },
  { "hotelconsulado.com.br", true },
  { "hotelcorporate.codes", true },
  { "hotelcorporatecodes.com", true },
  { "hotelelaphusabrac.com", true },
  { "hoteles4you.com", true },
  { "hotelesenpuertoescondido.com", true },
  { "hotelevergrandpalace.in", true },
  { "hotelevershine.com", true },
  { "hotelflow.com.br", true },
  { "hotelident.de", true },
  { "hotelindraprasth.biz", true },
  { "hotelkaj.hr", true },
  { "hotelmap.com", true },
  { "hotelmarinaadria.com", true },
  { "hotelmonal.in", true },
  { "hotelnatrajp.com", true },
  { "hotelneptundalmatien.com", true },
  { "hotelpalmas.com.br", true },
  { "hotelpostaorvieto.it", true },
  { "hotelpresident.co.in", true },
  { "hotelpromo.codes", true },
  { "hotels-insolites.com", true },
  { "hotels3d.com", true },
  { "hotels4teams.com", true },
  { "hotelsinbuxton.com", true },
  { "hotelsinformer.com", true },
  { "hotelsinncoventry.com", true },
  { "hotelsolinebrela.com", true },
  { "hotelsrit.tk", true },
  { "hotelstanford.com.co", true },
  { "hotelvalena.com", true },
  { "hotelvillaluisa.de", true },
  { "hotesb.com", true },
  { "hothbricks.com", false },
  { "hotjuice.com", true },
  { "hotmann.de", true },
  { "hotnewhiphop.com", true },
  { "hoton.in", true },
  { "hotornot.com", true },
  { "hotplate.co.nz", true },
  { "hotrowordpress.com", true },
  { "hottaro.com", true },
  { "hottheme.net", true },
  { "hotting.nl", true },
  { "hottubspasnewcastle.co.uk", true },
  { "hotvideosgalleries.com", true },
  { "houby-studio.eu", true },
  { "houhuayuan.com", true },
  { "houraiteahouse.net", true },
  { "house-scape.com", true },
  { "house-sparrow.com", true },
  { "houseandgarden.co.uk", true },
  { "houseboydesigns.com", true },
  { "housekeeperlondon.co.uk", true },
  { "houselocal.co.uk", true },
  { "houseofherbs.gr", true },
  { "houseofhouston.com", true },
  { "houseofpertijs.com", true },
  { "houser.lu", true },
  { "housese.at", true },
  { "housingloan.jp", true },
  { "housingneedz.com", true },
  { "houstonapartmentinsiders.com", true },
  { "houstonauthorizedrepair.com", true },
  { "houstonendodontics.com", true },
  { "houstongaragedoorsrepair.com", true },
  { "houstonlockout.com", true },
  { "houtinee.com", true },
  { "hoverboardbarato.com", true },
  { "how-old.info", true },
  { "how-to-simply.com", true },
  { "how2dev.tools", true },
  { "howa-n.net", true },
  { "howbehealthy.com", true },
  { "howellaccounts.co.uk", true },
  { "howgoodwasmysex.com", true },
  { "howieisawesome.com", true },
  { "howlongtobeatsteam.com", true },
  { "howmanymilesfrom.com", true },
  { "howmanypeoplearethereinthe.world", true },
  { "howmanypeoplearethereintheworld.com", true },
  { "howonce.cn", true },
  { "howonce.com", true },
  { "howonce.com.cn", true },
  { "howonce.net", true },
  { "howonce.org", true },
  { "howsecureismypassword.net", true },
  { "howsmyssl.com", true },
  { "howsmytls.com", true },
  { "howsyourhealth.org", true },
  { "howtogeek.com", true },
  { "howtogosolar.org", true },
  { "howtolaser.com", true },
  { "howtomovetheneedle.com", true },
  { "howtorunfasterandlonger.com", true },
  { "howtoteachviolin.com", true },
  { "howtotech.de", true },
  { "howtutu.click", true },
  { "howtutu.com", true },
  { "howtutu.email", true },
  { "howtutu.eu", true },
  { "howtutu.info", true },
  { "howtutu.link", true },
  { "howtutu.net", true },
  { "howtutu.org", true },
  { "hoxo.fr", true },
  { "hozana.si", false },
  { "hp-lexicon.org", true },
  { "hp-work.net", true },
  { "hp42.de", true },
  { "hpac-portal.com", true },
  { "hpage.com", true },
  { "hpbn.co", true },
  { "hpic.net", true },
  { "hpisavageforum.com", true },
  { "hpkp-faq.de", true },
  { "hplace.com.br", true },
  { "hps.digital", true },
  { "hps.hu", true },
  { "hpsdigital.hu", true },
  { "hpvtimmerwerken.nl", true },
  { "hq77.ru", true },
  { "hqon.com.br", true },
  { "hqq.tv", true },
  { "hqsmartpanel.com", true },
  { "hquest.pro.br", true },
  { "hqy.moe", true },
  { "hr-praemien-santander.de", true },
  { "hr-tech.shop", true },
  { "hr28.co.uk", true },
  { "hraesvelg.net", true },
  { "hrafnkellbaldurs.com", true },
  { "hranicka.cz", true },
  { "hrbanen.nl", true },
  { "hrbatypes.cz", true },
  { "hrbl.lc", true },
  { "hrbrt.nl", true },
  { "hrcrew.com.au", true },
  { "hrdns.de", false },
  { "hrebecek.cz", true },
  { "href.one", true },
  { "hrjfeedstock.org", true },
  { "hrltech.com.br", true },
  { "hrmg.agency", true },
  { "hrna.moe", true },
  { "hro.to", true },
  { "hrobert.hu", true },
  { "hroling.nl", true },
  { "hroschyk.cz", true },
  { "hrpregnancy.com", true },
  { "hrsa.gov", true },
  { "hrtech.shop", true },
  { "hrumka.net", true },
  { "hrw66.cc", true },
  { "hryniewski.net", true },
  { "hryx.net", true },
  { "hs-arbeitsschutz.de", true },
  { "hs-group.net", true },
  { "hsappstatic.net", true },
  { "hschen.top", false },
  { "hscorp.de", true },
  { "hsg-kreuzberg.de", true },
  { "hsimrall.com", true },
  { "hsivonen.com", true },
  { "hsivonen.fi", true },
  { "hsivonen.iki.fi", true },
  { "hsiwen.com", true },
  { "hsjccconference.ca", true },
  { "hsmr.cc", true },
  { "hsn-tsn.com", true },
  { "hsn.com", true },
  { "hspinc.ca", true },
  { "hsr.gov", false },
  { "hsts.eu", true },
  { "hsts.me", true },
  { "hsts.ovh", true },
  { "hstsfail.appspot.com", true },
  { "hstspreload.appspot.com", true },
  { "hstspreload.com", true },
  { "hstspreload.de", true },
  { "hstspreload.org", true },
  { "hstudio.tk", true },
  { "hsturan.com", true },
  { "hszemi.de", true },
  { "ht.mk", true },
  { "htaccessbook.com", true },
  { "htaps.com", true },
  { "htb.click", true },
  { "htb.co.uk", true },
  { "htbplc.co.uk", true },
  { "htcvina.com", true },
  { "hte.ovh", true },
  { "hti.digital", true },
  { "htmanager.fr", true },
  { "html.moe", true },
  { "html5.org", true },
  { "html5media.info", true },
  { "htmlacademy.ru", true },
  { "htmlvalidator.com", true },
  { "htmlyse.com", true },
  { "htsure.ma", false },
  { "http-2.com", true },
  { "http2.eu", true },
  { "http2.pro", true },
  { "http3.ch", true },
  { "http3.pro", true },
  { "https-rulesets.org", true },
  { "https.dk", true },
  { "https.jetzt", true },
  { "https4all.org", true },
  { "httpsecured.net", true },
  { "httpsiseasy.com", true },
  { "httpsispisseasy.com", true },
  { "httpsnow.com", true },
  { "httpsnow.org", true },
  { "httpstest.com", true },
  { "httpstest.eu", true },
  { "httpstest.nl", true },
  { "httpswatch.ca", true },
  { "httpswatch.com", true },
  { "httpswatch.eu", true },
  { "httpswatch.nl", true },
  { "hu-a-u.com", true },
  { "hu.search.yahoo.com", false },
  { "hua-chuan.com.tw", true },
  { "hua-chuan.tw", true },
  { "hua-in.com", true },
  { "hua-in.net", true },
  { "hua-li88.com", true },
  { "hua-li88.net", true },
  { "huabantxt.com", true },
  { "huabanxs.com", true },
  { "huabianwa.com", true },
  { "huagati.com", true },
  { "huahinpropertylisting.com", true },
  { "huai123.org", true },
  { "huang-haitao.com", true },
  { "huang.nu", true },
  { "huangh.com", true },
  { "huangjiaint.com", true },
  { "huangjingjing.com", true },
  { "huangqifu.com", true },
  { "huangzenghao.cn", true },
  { "huaqian.art", true },
  { "huashan.co.uk", true },
  { "huaxingui.com", true },
  { "huaxueba.com", true },
  { "hub.org.ua", true },
  { "hub385.com", true },
  { "hubapi.com", true },
  { "hubchain.com", true },
  { "hubchain.com.br", true },
  { "hubchain.fr", true },
  { "hubchain.io", true },
  { "hubchain.org", true },
  { "huber-informatik.de", true },
  { "hubitt.com", true },
  { "hubspot.com", true },
  { "hubspot.de", true },
  { "hubspot.es", true },
  { "hubspot.fr", true },
  { "hubspot.jp", true },
  { "huchet.me", true },
  { "hudebnibazarmixer.cz", true },
  { "hudobniny.net", true },
  { "hudrydum.cz", true },
  { "hudsonfaceandeye.com", true },
  { "huduser.gov", true },
  { "huendeleskopfhuette.de", true },
  { "huersch.com", true },
  { "hues-in-lee.de", true },
  { "huffduffer.com", true },
  { "hugi.is", true },
  { "huglen.info", true },
  { "hugo.pro", true },
  { "hugolegrand.fr", true },
  { "hugolynx.fr", false },
  { "hugonote.cf", true },
  { "hugonote.ga", true },
  { "hugonote.gq", true },
  { "hugonote.ml", true },
  { "hugonote.ovh", true },
  { "hugonote.tk", true },
  { "huguesblanchard.paris", true },
  { "huguesditciles.com", false },
  { "huh.gdn", true },
  { "huh.today", false },
  { "hui-in.com", true },
  { "hui-in.net", true },
  { "huihui.moe", true },
  { "huimiquan.com", true },
  { "huininga.com", true },
  { "huininga.nl", true },
  { "huininga.org", true },
  { "huipc.com", true },
  { "huirongis.me", true },
  { "huisartsen-ict.nl", true },
  { "huisartsenpraktijkheemraadssingel.nl", true },
  { "huisartsenpraktijksonmezer.nl", true },
  { "huisartsenpraktijkzonnehoed.nl", true },
  { "huisjeboompje-baby.nl", true },
  { "huislaw.com", true },
  { "huislijn.nl", true },
  { "huissier-vosges.com", true },
  { "huitaodang.com", true },
  { "huizenvlees.nl", true },
  { "hulaginswoodworking.com", true },
  { "hulet.tech", true },
  { "hulldevs.net", true },
  { "hullseals.space", true },
  { "hulpbijmarketing.nl", true },
  { "hulpmiddelenshop.nl", true },
  { "human-clone.com", true },
  { "humanenrich.com", true },
  { "humanesources.com", true },
  { "humanidad.tk", true },
  { "humanit.com.au", true },
  { "humanity.com", true },
  { "humaniza.com.mx", true },
  { "humanlocation.net", true },
  { "humans.io", false },
  { "humansense.nl", true },
  { "humanzee.com", true },
  { "humass.nl", true },
  { "humblebee.at", true },
  { "humblebee.be", true },
  { "humblebee.co.uk", true },
  { "humblebee.cz", true },
  { "humblebee.dk", true },
  { "humblebee.es", true },
  { "humblebee.eu", true },
  { "humblebee.fr", true },
  { "humblebee.gr", true },
  { "humblebee.hu", true },
  { "humblebee.ie", true },
  { "humblebee.it", true },
  { "humblebee.nz", true },
  { "humblebee.pl", true },
  { "humblebee.uk", true },
  { "humblebee.us", true },
  { "humblebeeshop.ca", true },
  { "humblebeeshop.com.au", true },
  { "humbledot.com", true },
  { "humboldthomeguide.com", true },
  { "humboldtmfg.com", true },
  { "humeur.de", true },
  { "humexe.com", true },
  { "humio.com", true },
  { "humitat-stop.com", true },
  { "hummy.tv", true },
  { "humpchies.com", true },
  { "humpen.se", true },
  { "humppakone.com", true },
  { "hund.io", true },
  { "hundeverwaltung.de", true },
  { "hundhausen.de", true },
  { "hundter.com", true },
  { "hunger.im", true },
  { "huniverse.co", true },
  { "hunqz.com", true },
  { "hunstoncanoeclub.co.uk", true },
  { "hunt.gs", true },
  { "huntcraft.ru", true },
  { "hunter-read.com", true },
  { "hunter.io", true },
  { "hunterkehoe.com", true },
  { "huntertechsolution.com", true },
  { "huntexpired.com", true },
  { "huntingdonbouncers.co.uk", true },
  { "huntingdonlifesciences.com", true },
  { "huntshomeinspections.com", false },
  { "huntsmansecurity.com", true },
  { "huntsvillecottage.ca", true },
  { "huntyourshitaround.com", true },
  { "huoduan.com", true },
  { "huonit.com.au", true },
  { "huotuyouxi.com", true },
  { "huoyankan.com", true },
  { "hup.hu", false },
  { "huracanvillegas.com", true },
  { "hurbascooter.com", true },
  { "hurd.is", true },
  { "hurleyhomestead.com", true },
  { "huroji.com", false },
  { "hurricanelabs.com", true },
  { "hurtigtinternet.dk", true },
  { "husakbau.at", true },
  { "hushfile.it", true },
  { "husic.net", false },
  { "husk.house", true },
  { "huskyeye.de", true },
  { "huskyinc.us", false },
  { "husqvarnamoped.se", true },
  { "hussam.eu.org", true },
  { "hustlehope.com", true },
  { "huurwoordenaar.nl", true },
  { "huutonauru.net", true },
  { "huwcbjones.co.uk", true },
  { "huxcoconstruction.com", true },
  { "huxley.net", true },
  { "huynhviet.com", true },
  { "huyvu.nl", true },
  { "huzu.com", true },
  { "hv-huset.no", true },
  { "hvdbox.de", true },
  { "hvenetworks.net", true },
  { "hvgg.de", true },
  { "hvh.no", true },
  { "hvmk.nl", true },
  { "hvrint.de", true },
  { "hvt.com.au", true },
  { "hvtuananh.com", true },
  { "hw923.com", true },
  { "hwag-pb.de", true },
  { "hwlibre.com", true },
  { "hwsw.io", true },
  { "hwx8.com", true },
  { "hwxvip.com", true },
  { "hx53.de", true },
  { "hx77.cc", true },
  { "hxp.io", true },
  { "hy88win.com", true },
  { "hyatt.com", true },
  { "hybridworx.com", true },
  { "hybridworx.de", true },
  { "hybridworx.eu", true },
  { "hybridworx.net", true },
  { "hybridworx.org", true },
  { "hybrydowe-samochody.pl", true },
  { "hybula.com", true },
  { "hycken.com", true },
  { "hyckenberg.com", true },
  { "hyderabadonlinegifts.com", true },
  { "hydrante.ch", false },
  { "hydrazin.pw", true },
  { "hydro17.com", true },
  { "hydrographicsocietybenelux.eu", true },
  { "hydroponicglobal.com.au", true },
  { "hydroturbine.info", false },
  { "hydrozone.fr", true },
  { "hyec.jp", true },
  { "hygieneproclean.co.nz", true },
  { "hygo.com", true },
  { "hyhy1.com", true },
  { "hyhy2.com", true },
  { "hyhy7.com", true },
  { "hyhy80.com", true },
  { "hyhy81.com", true },
  { "hyhy82.com", true },
  { "hyhy83.com", true },
  { "hyhy85.com", true },
  { "hyhy89.com", true },
  { "hyhy98.com", true },
  { "hyk.me", true },
  { "hylemorphica.org", true },
  { "hyncice.com", true },
  { "hynek.me", true },
  { "hyparia.fr", true },
  { "hyparia.org", true },
  { "hype.ru", true },
  { "hyper-text.org", true },
  { "hyper.ai", true },
  { "hyper.lol", true },
  { "hyperalgesia.com", true },
  { "hyperd.sh", true },
  { "hyperion.io", true },
  { "hyperreal.biz", true },
  { "hypersomnia.com", true },
  { "hyperstack.org", true },
  { "hyperthymia.com", true },
  { "hyperv.fr", true },
  { "hypnose-hennigsdorf.de", true },
  { "hypnovir.us", true },
  { "hypolineweb.de", true },
  { "hypotecnicentrum.cz", true },
  { "hypotheca.ca", true },
  { "hypothecairelening.net", true },
  { "hypotheekbond.nl", true },
  { "hypothes.is", true },
  { "hypothyroidmom.com", true },
  { "hyr.mn", false },
  { "hysemmarket.com", true },
  { "hysh.jp", true },
  { "hysolate.com", true },
  { "hytale.com", true },
  { "hytopcp168.com", true },
  { "hyundai.no", true },
  { "hyundaisrilanka.lk", true },
  { "hyvanilmankampaamo.fi", true },
  { "hyvinvointineuvoja.fi", true },
  { "hyyen.com", true },
  { "hztgzz.com", true },
  { "i--b.com", true },
  { "i-0v0.in", true },
  { "i-connect.ie", true },
  { "i-geld.de", true },
  { "i-house.gq", true },
  { "i-hoz.ru", true },
  { "i-logic.co.jp", false },
  { "i-make.com", true },
  { "i-make.fr", true },
  { "i-meto.com", true },
  { "i-office.com.vn", true },
  { "i-proswiss.com", false },
  { "i-red.info", true },
  { "i-sports.cz", true },
  { "i-verbi.it", true },
  { "i-voting.pl", true },
  { "i00.eu", true },
  { "i0day.com", true },
  { "i1314.gdn", true },
  { "i2gether.org.uk", true },
  { "i2verify.com", true },
  { "i36533.com", true },
  { "i36594.com", true },
  { "i51365.com", true },
  { "i5y.co.uk", true },
  { "i5y.org", true },
  { "i7.io", true },
  { "i7sas.tk", true },
  { "i879.com", true },
  { "i95.me", false },
  { "i9s.in", true },
  { "ia.cafe", true },
  { "ia.net", true },
  { "iaco.li", true },
  { "iactu.info", true },
  { "iaeste.no", true },
  { "iaeste.or.jp", true },
  { "iaf.gov", true },
  { "iahemobile.net", true },
  { "iainsimms.co.uk", true },
  { "iainsimms.com", true },
  { "iainsimms.me", true },
  { "iaitouzi.com", true },
  { "ialis.me", true },
  { "ialps.cn", true },
  { "iam.lc", true },
  { "iam.soy", true },
  { "iamanewme.com", true },
  { "iambozboz.co.uk", true },
  { "iamhansen.xyz", true },
  { "iamhealthystore.com", true },
  { "iamjoshellis.com", true },
  { "iamlife.com", true },
  { "iamlizu.com", true },
  { "iamtheib.me", true },
  { "iamtonyarthur.com", true },
  { "iamusingtheinter.net", false },
  { "iamwill.io", true },
  { "iamwoodbeard.com", true },
  { "ian678.com", true },
  { "ian678.tk", true },
  { "ianbrault.com", true },
  { "iancu.io", true },
  { "iancu.me", true },
  { "iandouglasscott.com", true },
  { "iane-ccs.com", true },
  { "ianix.com", true },
  { "ianjmoriarty.com", true },
  { "ianklug.com", true },
  { "iankmusic.com", true },
  { "ianmooreis.me", true },
  { "ianmoriarty.com.au", true },
  { "iansyst.co.uk", true },
  { "ianwalsh.org", false },
  { "iap.network", false },
  { "ias-gruppe.net", true },
  { "ias.ua", true },
  { "iassess.eu", true },
  { "iatfei.com", true },
  { "iautodily.cz", true },
  { "iavian.com", true },
  { "iba.gov.au", true },
  { "ibacktraced.it", true },
  { "ibadboy.net", true },
  { "ibaq.nl", true },
  { "ibauruapan.com.mx", true },
  { "ibavaro.com", true },
  { "ibb.co", true },
  { "ibcl.us", true },
  { "ibcmed.com", true },
  { "ibcmed.net", true },
  { "ibcmed.org", true },
  { "ibe.de", false },
  { "ibeep.com", true },
  { "iberiaversicherungen.com", true },
  { "ibericaderedes.es", true },
  { "ibericarbenet.es", true },
  { "ibericarcuzco.es", true },
  { "ibericarcuzcomini.es", true },
  { "ibericarformula.es", true },
  { "ibericarmotors.es", true },
  { "ibericarmotorsmalaga.es", true },
  { "ibericarmovilcentro.es", true },
  { "ibericarmovilsur.es", true },
  { "ibericarreicomsa.es", true },
  { "ibericartechnik.es", true },
  { "iberion.pl", true },
  { "ibestproduct.com", true },
  { "ibestreview.com", true },
  { "ibex-lb.com", true },
  { "ibexcore.com", true },
  { "ibhgospel.com", true },
  { "ibi.mt", true },
  { "ibidyoupeace.com", true },
  { "ibigawamizueco.com", true },
  { "ibiki-boushi-makura.net", true },
  { "ibin.co", true },
  { "ibiz.mk", true },
  { "iblackfriday.ro", true },
  { "ibloggospel.com", true },
  { "iblowdry.com", true },
  { "ibodyiq.com", true },
  { "ibps-recruitment.in", true },
  { "ibrainmedicine.org", true },
  { "ibraphotography.com", true },
  { "ibrom.eu", true },
  { "ibugone.com", true },
  { "ibuki.run", true },
  { "ibwc.gov", true },
  { "ibykos.com", true },
  { "ic-lighting.com.au", true },
  { "ic1technologies.com", true },
  { "ic3.gov", true },
  { "icafecash.com", true },
  { "icanhas.report", true },
  { "icanhasht.ml", true },
  { "icanhazpass.com", true },
  { "icarlos.net", true },
  { "icc.kharkov.ua", true },
  { "iccorporateinteriors.com.au", true },
  { "iccpublisher.com", true },
  { "icdp.org.ua", true },
  { "ice.xyz", true },
  { "iceandfiremechanical.com", true },
  { "iceberg.academy", false },
  { "icebound.cc", true },
  { "icecontrol.ro", true },
  { "icecutethings.com", true },
  { "icelandic.cf", true },
  { "icelandicasian.com", true },
  { "icetiger.eu", true },
  { "icetravellers.com", true },
  { "icetwister.com", true },
  { "icewoman.net", true },
  { "ich-hab-die-schnauze-voll-von-der-suche-nach-ner-kurzen-domain.de", true },
  { "ich-tanke.de", true },
  { "icharme.fr", true },
  { "ichasco.com", true },
  { "ichbinein.org", true },
  { "ichbinkeinreh.de", true },
  { "ichinghero.com", true },
  { "ichitaso.com", true },
  { "iclinic.ua", true },
  { "icmhd.ch", false },
  { "icmp2018.org", true },
  { "icmshoptrend.com", true },
  { "icobench.com", true },
  { "icodeconnect.com", true },
  { "icoh.it", true },
  { "iconomi.net", true },
  { "icpc.pp.ua", true },
  { "icq-project.net", true },
  { "ict-crew.nl", true },
  { "ict-radar.com", true },
  { "ict-radar.nl", true },
  { "ictbaneninnederland.nl", true },
  { "ictbiz.com.au", true },
  { "ictcareer.ch", true },
  { "ictindia.in", true },
  { "ictoniolopisa.it", true },
  { "ictradar.com", true },
  { "ictussistemas.com.br", true },
  { "ictvanafmorgen.nl", true },
  { "icy.aq", true },
  { "icyapril.com", true },
  { "icymint.me", true },
  { "icynet.eu", true },
  { "icyrock.com", true },
  { "iczc.cz", true },
  { "id-blog.ch", false },
  { "id.atlassian.com", false },
  { "id.mayfirst.org", false },
  { "id.search.yahoo.com", false },
  { "id3global.com", true },
  { "idaeus.eu", true },
  { "idahoansforliberty.net", true },
  { "idar-oberstein.de", false },
  { "idarv.com", true },
  { "idaspis.com", true },
  { "idatha.de", true },
  { "idblab.tk", true },
  { "iddns.net", true },
  { "ideageek.net", true },
  { "ideal-envelopes.co.uk", false },
  { "idealcontabilidade.net", true },
  { "idealimplant.com", true },
  { "idealize.ml", true },
  { "idealog.id", true },
  { "idealsegurancaeletronica.com.br", true },
  { "idealtruss.com", true },
  { "idealtruss.com.tw", true },
  { "idealwhite.space", true },
  { "ideamiapublicidad.com", true },
  { "ideashop.com", true },
  { "ideatarmac.com", true },
  { "ideaweb.de", true },
  { "idee-lq.at", true },
  { "idee-lq.ch", true },
  { "idee-lq.com", true },
  { "idee-lq.de", true },
  { "idee-lq.net", true },
  { "ideiasefinancas.com.br", true },
  { "idenamaislami.com", true },
  { "idensys.nl", true },
  { "ident-clinic.be", true },
  { "identassist.com", true },
  { "identigraf.center", true },
  { "identityexperts.co.uk", true },
  { "identitytheft.gov", true },
  { "idered.net", true },
  { "idesoft.cloud", true },
  { "idesoft.com", true },
  { "idesoft.eu", true },
  { "idesoft.net", true },
  { "idesoft.org", true },
  { "idesoftinnovacion.com", true },
  { "idesoftinnovacion.es", true },
  { "idexxpublicationportal.com", true },
  { "idgard.de", false },
  { "idgateway.co.uk", true },
  { "idhosts.co.id", true },
  { "idkidknow.com", true },
  { "idlethoughtsandramblings.com", true },
  { "idlewildflowers.com", true },
  { "idmanagement.gov", true },
  { "idmobile.co.uk", true },
  { "idoc24.com", true },
  { "idodiandina.com", true },
  { "idolf.dk", true },
  { "idolish7.fun", false },
  { "idolknow.com", true },
  { "idontplaydarts.com", true },
  { "idoparadoxon.hu", true },
  { "idratherbequilting.com", true },
  { "idraulico-roma.it", true },
  { "idraulico-roma.org", true },
  { "idraulico.roma.it", true },
  { "idrissi.eu", true },
  { "idroserviceweb.com", true },
  { "idrycleaningi.com", true },
  { "idtheft.gov", true },
  { "idubaj.cz", true },
  { "idunno.org", true },
  { "idvl.de", true },
  { "idxforza.com", true },
  { "idyl.fr", true },
  { "idysse.com", true },
  { "ie.search.yahoo.com", false },
  { "iea-annex61.org", true },
  { "iedison.vip", true },
  { "ieeedeis.org", true },
  { "ieeesb.nl", true },
  { "ieeesbe.nl", true },
  { "ieeespmb.org", true },
  { "iegat.com", true },
  { "ieji.de", true },
  { "iemb.tk", true },
  { "ienakanote.com", false },
  { "ient.me", true },
  { "ies-italia.it", true },
  { "ies911.com", true },
  { "iesonline.co.in", true },
  { "ieval.ro", true },
  { "ievgenialehner.com", true },
  { "iexpert99.com", true },
  { "ifacservice.be", true },
  { "ifamily.top", false },
  { "ifan.ws", true },
  { "ifbagro.in", true },
  { "ifconfig.se", true },
  { "ifelse.io", true },
  { "ifengge.cn", true },
  { "ifgcdn.com", true },
  { "ifibe.com", true },
  { "ifightsurveillance.com", true },
  { "ifightsurveillance.net", true },
  { "ifightsurveillance.org", true },
  { "ifiveglobal.com", true },
  { "ifixe.ch", false },
  { "iflyi.me", true },
  { "ifoa.it", true },
  { "ifolder.ga", true },
  { "ifort.fr", true },
  { "ifosep.fr", false },
  { "ifoss.me", true },
  { "ifsac.org", true },
  { "ifsclist.com", true },
  { "ifsr.de", true },
  { "ift.cx", true },
  { "iftarsaati.org", true },
  { "iftrue.de", false },
  { "ifttl.com", true },
  { "ifxd.bid", true },
  { "ig.com", true },
  { "ig.me", true },
  { "iga-semi.jp", true },
  { "igap.pt", true },
  { "igarage.nl", true },
  { "igdn.de", true },
  { "igeh-immo.at", true },
  { "igglabs.com", true },
  { "iggprivate.com", true },
  { "iggsoft.com", true },
  { "iggsoftware.com", true },
  { "ighl.de", true },
  { "igiftcards.de", true },
  { "igiftcards.nl", true },
  { "igimusic.com", false },
  { "igk.nz", true },
  { "igkabel.cf", true },
  { "igkabel.ga", true },
  { "igkabel.gq", true },
  { "igkabel.ml", true },
  { "igkabel.tk", true },
  { "iglobus.cz", true },
  { "iglosujemy.pl", true },
  { "igmus.org", true },
  { "ignace72.eu", true },
  { "ignacjanskiednimlodziezy.pl", true },
  { "ignat-mag.com", true },
  { "ignatij.tk", true },
  { "ignation.me", true },
  { "ignatovich.by", true },
  { "ignatovich.me", true },
  { "ignet.gov", true },
  { "ignitedlocal.com", true },
  { "ignitelocal.com", true },
  { "ignition.gg", true },
  { "igondola.net", true },
  { "igorandandre.com", true },
  { "igorrealestate.com", true },
  { "igorw.org", true },
  { "igotoffer.com", false },
  { "igramfollower.com", true },
  { "igramming.com", true },
  { "igrarium.com.ua", false },
  { "igrivi.com", true },
  { "iguana.com.ec", false },
  { "igva.or.kr", true },
  { "ih8sn0w.com", true },
  { "iha6.com", true },
  { "ihacker.cn", true },
  { "ihacker.net", true },
  { "ihacklabs.com", false },
  { "ihasco.co.uk", true },
  { "ihcprofile.com", true },
  { "ihearmedical.com", true },
  { "ihempz.cz", true },
  { "ihkk.net", true },
  { "ihls.stream", true },
  { "ihmphila.org", true },
  { "ihoey.com", true },
  { "ihollaback.org", true },
  { "ihorizon.jp", true },
  { "ihostup.net", true },
  { "ihotel.io", true },
  { "ihre-pflege-sachsen.de", true },
  { "ihredls.de", true },
  { "ihrhost.com", true },
  { "ihtdenisjaccard.com", true },
  { "ihuan.me", true },
  { "ii74.com", true },
  { "ii918.com", true },
  { "iiax.net", true },
  { "iiax.org", true },
  { "iic.kharkov.ua", true },
  { "iiet.pl", true },
  { "iiit.pl", true },
  { "iikd.de", true },
  { "iimarckus.org", true },
  { "iin.fm", true },
  { "iinf.in", true },
  { "iinfin.org", true },
  { "iinix.com", true },
  { "iiong.com", true },
  { "iitowns.ir", true },
  { "iix.se", true },
  { "ijazjewelers.com", true },
  { "ijinus.com", true },
  { "ijm.io", true },
  { "ijnokmpl.cf", true },
  { "ijohan.nl", true },
  { "ijsbaanwitten.nl", true },
  { "ijsblokjesvormen.nl", true },
  { "ijsclubdwarsgracht.nl", true },
  { "ijsclubtilburg.nl", true },
  { "ijsclubwanneperveen.nl", true },
  { "ijunohana.jp", true },
  { "ik-life.com", false },
  { "ikachalife.com", true },
  { "ikarate.ru", true },
  { "ikari-san.tk", true },
  { "ikaria.com.gr", true },
  { "ikeacareers.co.uk", true },
  { "ikebukuro-shame.com", true },
  { "ikedaquotes.org", true },
  { "ikespta.com", true },
  { "ikeyless.com", true },
  { "ikfloreer.nu", true },
  { "ikigaiweb.com", true },
  { "ikiler.com", true },
  { "ikinokori-marketing.com", true },
  { "ikisser.de", true },
  { "ikk.me", true },
  { "ikkatsu-satei.jp", true },
  { "ikke-coach.nl", true },
  { "ikkev.de", true },
  { "ikkoku.de", true },
  { "iklive.org", false },
  { "iknet.top", true },
  { "ikparis.com", true },
  { "ikraenglish.com", false },
  { "iksi.cc", true },
  { "ikud-seminare.de", true },
  { "ikud.de", true },
  { "ikulist.me", true },
  { "ikvts.de", true },
  { "ikwilthepiratebay.org", true },
  { "ikx.me", true },
  { "ila.fi", true },
  { "ilab.health", true },
  { "ilacrehberi.com", true },
  { "ilamparas.at", true },
  { "ilamparas.co.uk", true },
  { "ilamparas.com", true },
  { "ilamparas.com.co", true },
  { "ilamparas.com.ve", true },
  { "ilamparas.mx", true },
  { "ilard.fr", true },
  { "ilazycat.com", true },
  { "ilbiscottificiodipamparato.it", true },
  { "ilc510.com", true },
  { "ilc518.com", true },
  { "ilc519.com", true },
  { "ilc520.com", true },
  { "ilc525.com", true },
  { "ilc528.com", true },
  { "ilc552.com", true },
  { "ilc553.com", true },
  { "ilc568.com", true },
  { "ilc583.com", true },
  { "ilc588.com", true },
  { "ilc66.com", true },
  { "ilc999.com", true },
  { "ilctucson.com", true },
  { "ildomani.it", true },
  { "ile-kalorii.pl", true },
  { "ile-sapporo.jp", true },
  { "ilektronika-farmakeia-online.gr", true },
  { "ilemonrain.com", true },
  { "iletisimmakinesi.com", true },
  { "ilformichiere.com", true },
  { "ilfumoshop.ru", true },
  { "ilg.ink", true },
  { "ilgiornaledelticino.ch", true },
  { "ilhan.name", true },
  { "iliastsi.net", true },
  { "iligang.cn", true },
  { "iligang.com", true },
  { "iligang.com.cn", true },
  { "iligang.link", true },
  { "iligang.net", true },
  { "iligang.net.cn", true },
  { "iligang.xin", true },
  { "iliz-kafe.fr", true },
  { "ilkeakyildiz.com", false },
  { "illambias.ch", false },
  { "illange.info", true },
  { "illavobuempliz.ch", true },
  { "illegalpornography.com", true },
  { "illegalpornography.me", true },
  { "illerzell.de", true },
  { "illich.cz", true },
  { "illicitart.ca", true },
  { "illicitdigital.com", true },
  { "illinoiscaselaw.com", true },
  { "illorenese.fr", true },
  { "illsley.org", true },
  { "illumed.net", true },
  { "illuminatiofficial.vip", true },
  { "illuminationis.com", true },
  { "illuminatisocietyworldwide.org", true },
  { "illusionephemere.com", false },
  { "illusionunlimited.com", true },
  { "illustrate.biz", true },
  { "illuxat.com", true },
  { "ilmainensanakirja.fi", true },
  { "ilmataat.ee", true },
  { "ilmiobusinessonline.it", true },
  { "ilmiogiardiniere.it", true },
  { "ilmuk.org", false },
  { "iloft.xyz", true },
  { "ilonewolfs.com", true },
  { "ilookz.nl", true },
  { "ilove.fish", true },
  { "ilove588.com", true },
  { "ilove618.com", true },
  { "ilove918.com", true },
  { "iloveherb.ru", true },
  { "ilovelwy.com", true },
  { "ilovemychi.com", true },
  { "ilovesamara.tk", true },
  { "ilovestickers.gr", true },
  { "ilovethiscampsite.com", true },
  { "iloveyoutoo.tk", true },
  { "ilrg.com", true },
  { "iltec-prom.ru", true },
  { "iltec.ru", true },
  { "ilug-ktm.tk", true },
  { "ilumantio.tk", true },
  { "ilweb.es", true },
  { "ilya.pp.ua", true },
  { "im-a.cricket", true },
  { "im-c-shop.com", true },
  { "im-haus-sonnenschein.de", true },
  { "im-in.space", true },
  { "im2net.com", true },
  { "im4h.de", true },
  { "im4h.eu", true },
  { "im4h.info", true },
  { "im66.net", true },
  { "imacs.org", true },
  { "image-drive.de", true },
  { "image.hosting", true },
  { "image.tf", false },
  { "imagebin.ca", true },
  { "imagecurl.com", true },
  { "imagecurl.org", true },
  { "imagefu.com", true },
  { "imagerive.ch", false },
  { "imageshare.web.id", true },
  { "imagevillage.ir", true },
  { "imaginair.es", true },
  { "imaginary.ca", true },
  { "imaginary.stream", true },
  { "imaginationpathway.com", true },
  { "imagine-programming.com", true },
  { "imaginelab.club", true },
  { "imaginetricks.com", true },
  { "imagr.io", true },
  { "imanageproducts.co.uk", true },
  { "imanageproducts.uk", true },
  { "imanesdeviaje.com", true },
  { "imanolbarba.net", true },
  { "imap2imap.de", true },
  { "imaple.org", true },
  { "imawhale.com", true },
  { "imaxinaria.org", true },
  { "imbdagency.com", true },
  { "imbianchino.roma.it", true },
  { "imcassociation.com", true },
  { "imcreative.ro", true },
  { "imcsi.cn", true },
  { "imcsx.co", true },
  { "imdemos.com", true },
  { "ime-a-tolerancia-eredmenye.club", true },
  { "ime.moe", true },
  { "imed.com.pt", true },
  { "imed.pt", true },
  { "imedes.de", true },
  { "imedia.com.sg", true },
  { "imediafly.com", true },
  { "imedikament.de", true },
  { "imeds.pl", true },
  { "imex-dtp.com", true },
  { "imforza.com", true },
  { "img.com.ru", true },
  { "img.mg", true },
  { "img.ovh", true },
  { "img.ren", true },
  { "imgaa.com", true },
  { "imgal.vin", true },
  { "imgbb.com", true },
  { "imgbu.com", true },
  { "imgg.es", true },
  { "imgul.net", true },
  { "imgup.co", true },
  { "imguploaden.nl", true },
  { "imgx.eu.org", true },
  { "imhua.com", true },
  { "imi-rhapsody.eu", false },
  { "iminshell.com", false },
  { "imirhil.fr", true },
  { "imisa.com.mx", true },
  { "imitza.com", false },
  { "imjad.cn", true },
  { "imjo.in", true },
  { "imjustcreative.com", true },
  { "imkerei-contento.de", false },
  { "imkerei-freilinger.de", false },
  { "imkereicontento.de", false },
  { "imkerverein-moenchswald.de", true },
  { "imkerverenigingzaanstreek.nl", true },
  { "imkindofabigdeal.com", true },
  { "imlec.net", true },
  { "imlhx.com", true },
  { "immanuellutheranmedia.org", true },
  { "immaterium.de", true },
  { "immatix.xyz", true },
  { "immedia.net", true },
  { "immedicohospitalario.es", true },
  { "immense.ly", true },
  { "immersa.co.uk", true },
  { "immersion-pictures.com", true },
  { "immigrantdad.com", true },
  { "immivest.com", true },
  { "immo-agentur.com", false },
  { "immo-passion.net", false },
  { "immobilien-badlippspringe.de", true },
  { "immobilien-in-istanbul.de", true },
  { "immobilien-marschner-stiftung.de", true },
  { "immobilien-zirm.de", true },
  { "immobiliengutachter-holland.de", true },
  { "immobilier-nice.fr", true },
  { "immobilier92.net", true },
  { "immobiza.com", false },
  { "immortal-pc.info", true },
  { "immortal.run", true },
  { "immortec.com", true },
  { "immovit.be", true },
  { "imobile3.com", true },
  { "imoe.xyz", true },
  { "imokuri123.com", true },
  { "imolights.com", true },
  { "imolights.net", true },
  { "imolog.cl", true },
  { "imoney.tw", true },
  { "imouto.my", false },
  { "imoveisavenda.rio.br", true },
  { "impact-fluids.com", true },
  { "impact.health.nz", true },
  { "impactcalifornia.com", true },
  { "impacter.eu", true },
  { "impactingsports.com", true },
  { "impactparcels.co.uk", true },
  { "impactparcels.com", true },
  { "impactpub.ch", false },
  { "impakho.com", true },
  { "impas.se", true },
  { "impelup.com", true },
  { "impera.at", true },
  { "imperial-legrand.com", true },
  { "imperialmiami.com", true },
  { "imperiodigital.online", true },
  { "imperiumglass.com.au", true },
  { "imphotep.net", true },
  { "impiantistica.org", true },
  { "implantica.com", true },
  { "impns.org", true },
  { "imponet.com.ar", true },
  { "import-shopping.de", true },
  { "importsagt.com", true },
  { "importsign.com", true },
  { "impossible.co", true },
  { "impossible.org", true },
  { "impossiblefitness.com", true },
  { "impossiblehq.com", true },
  { "impossiblenutrition.com", true },
  { "impossiblex.com", true },
  { "impotsimple.ca", true },
  { "imppac-schmuck.de", true },
  { "imppac.de", true },
  { "imprendo.co", true },
  { "imprendo.pro", true },
  { "impresa-di-pulizie.milano.it", true },
  { "impresa-di-pulizie.org", true },
  { "impresa-pulizie.it", true },
  { "impresadipulizie.roma.it", true },
  { "impresadipulizieantonella.com", true },
  { "impresaedile.roma.it", true },
  { "impresapulizia.milano.it", true },
  { "impresapulizie.firenze.it", true },
  { "impresapuliziebergamo.it", true },
  { "imprezzor.com", true },
  { "imprimante-3d-store.fr", true },
  { "improfestival.ee", true },
  { "improklinikken.dk", true },
  { "improv.ee", true },
  { "improved-madness.de", true },
  { "improvenerg.com", true },
  { "impyus.com", true },
  { "imququ.com", true },
  { "imreh.net", true },
  { "imrunner.com", true },
  { "imrunner.ru", true },
  { "ims-sargans.ch", true },
  { "imscompany.com", true },
  { "imstocker.com", true },
  { "imwalking.de", true },
  { "imwjc.xyz", true },
  { "imy.rs", true },
  { "imydl.com", true },
  { "imydl.tech", true },
  { "imyjy.cn", true },
  { "imyrs.cn", true },
  { "imyunya.com", true },
  { "imyz.tw", true },
  { "in-depthgame.reviews", true },
  { "in-depthoutdoors.com", true },
  { "in-flames.com", true },
  { "in.search.yahoo.com", false },
  { "in.xero.com", false },
  { "in1000worten.de", true },
  { "in10tion.com", false },
  { "in2-comms.com", true },
  { "inabox.ro", true },
  { "inait.ai", true },
  { "inalvittile.cf", true },
  { "inanam.tk", true },
  { "inanyevent.london", true },
  { "inares.org", true },
  { "inbitcoin.it", true },
  { "inbound.menu", true },
  { "inbound.tk", true },
  { "inbounder.io", false },
  { "inbox.google.com", true },
  { "inboxceo.com", true },
  { "inbulgaria.info", true },
  { "incarceratedwombats.com", true },
  { "incarna.co", true },
  { "incert.cn", true },
  { "incertint.com", true },
  { "inche-ali.com", true },
  { "inchenaim.com", true },
  { "inchidi.id", true },
  { "incigma.com", false },
  { "incisivea.com", true },
  { "includesubdomains.preloaded.test", true },
  { "includesubdomains2.preloaded.test", true },
  { "inclusion.tn", true },
  { "inclusiv.nl", true },
  { "incoherent.ch", true },
  { "income.wiki", true },
  { "incommon.io", true },
  { "incompliance.de", true },
  { "inconcerts.de", true },
  { "incore.nl", true },
  { "incosi.com", true },
  { "incowrimo.org", true },
  { "incparadise.net", true },
  { "incrementation.net", true },
  { "incrom.com", true },
  { "incy.io", true },
  { "ind.ie", true },
  { "indasun.com", true },
  { "indecipherable.info", true },
  { "independencerecovery.com", true },
  { "independenttravelcats.com", true },
  { "index-mp3.com", true },
  { "indexcesmad.cz", true },
  { "indexer.net", true },
  { "indexmarket.ml", true },
  { "indexsalaire.be", true },
  { "indiaflowermall.com", true },
  { "indiafm.tk", true },
  { "indialocaltours.com", true },
  { "indian-elephant.com", true },
  { "indianaberry.com", true },
  { "indianafoundationpros.com", true },
  { "indianamoldrepairpros.com", true },
  { "indianapolisnews.ml", true },
  { "indianareflux.com", true },
  { "indianawaterdamagerepairpros.com", true },
  { "indianerschmuck24.de", true },
  { "indiansmartpanel.com", true },
  { "indianvisa.online", true },
  { "indiapur.com", true },
  { "indiatrademarkwatch.com", true },
  { "indiayogastudio.net", true },
  { "indie.dog", true },
  { "indiecongdr.it", true },
  { "indievelopment.nl", true },
  { "indigartbeading.ca", true },
  { "indigartbeading.com", true },
  { "indigoblack.com.au", true },
  { "indigobooks.gq", true },
  { "indigoinflatables.com", true },
  { "indigojewelers.com", true },
  { "indigolawnscape.net", true },
  { "indigosakura.com", true },
  { "indigostudios.com", true },
  { "indigotreeservice.com", true },
  { "indio.co.jp", true },
  { "inditip.com", true },
  { "inditoot.com", true },
  { "individualizedwellness.net", true },
  { "indochina.io", true },
  { "indogermanstartup.com", true },
  { "indoor-kletterwald.de", true },
  { "indoorcomfortteam.com", true },
  { "indoorpaintball.co.uk", true },
  { "indospot.tk", true },
  { "indota.hu", true },
  { "indovinabank.com.vn", true },
  { "indrebuild.com", true },
  { "indusap.com", true },
  { "industriafranchini.com", true },
  { "industrial-remote-control.com", true },
  { "industriemeister.io", true },
  { "industryperspectives.com", true },
  { "indybay.org", true },
  { "ineardisplay.com", false },
  { "ineed.coffee", false },
  { "ineffect.net", true },
  { "inefin.tk", true },
  { "inegol.mobi", true },
  { "inesfinc.es", true },
  { "inesta.nl", true },
  { "inet.se", true },
  { "inethost.eu", true },
  { "inetpub.cn", true },
  { "inetserver.eu", true },
  { "inetsoftware.de", true },
  { "inewroom.com", true },
  { "inf-fusion.ca", true },
  { "inf0sec.nl", true },
  { "infans.be", true },
  { "inference.biz.tr", true },
  { "infermiere.roma.it", true },
  { "inff.info", true },
  { "inffin-portal.de", true },
  { "inficom.org", true },
  { "infihow.com", true },
  { "infinipharm.com", true },
  { "infinitescript.com", true },
  { "infinitiofallentownparts.com", true },
  { "infinitioflynnwoodparts.com", true },
  { "infinitomaisum.com", true },
  { "infinity-uitvaartzorg.nl", true },
  { "infinity3dengine.com", true },
  { "infinitybas.com", true },
  { "infinitybc.se", true },
  { "infinityepos.co.uk", true },
  { "infinityvr.net", true },
  { "infirmiere-canadienne.com", true },
  { "infirmieredevie.ch", false },
  { "infivalle.gov.co", true },
  { "inflatablehire-scotland.co.uk", true },
  { "inflatablesny.com", true },
  { "inflatadays.co.uk", true },
  { "inflatamania.com", true },
  { "inflated.cloud", true },
  { "inflatiecalculator.nl", true },
  { "inflationstation.net", true },
  { "inflexsys.com", true },
  { "influo.com", true },
  { "infmed.com", true },
  { "info-beamer.com", true },
  { "info-bolivia.tk", true },
  { "info-o-zbozi.cz", true },
  { "info-screen-usercontent.me", true },
  { "info-screen.me", true },
  { "info-screw.com", true },
  { "infoamin.com", true },
  { "infobae.com", true },
  { "infobot.email", true },
  { "infobot.eu", true },
  { "infobot.nl", true },
  { "infobrain.net", true },
  { "infocoin.es", true },
  { "infocommsociety.com", true },
  { "infocon.org", true },
  { "infocus.company", true },
  { "infocusvr.net", true },
  { "infodesigners.eu", true },
  { "infodesk.at", true },
  { "infodiscus.com", true },
  { "infofamouspeople.com", true },
  { "infogram.com", true },
  { "infogym.com", true },
  { "infohub.com.ua", true },
  { "infoland.ml", true },
  { "infomax.gr", true },
  { "infomegastore.com", true },
  { "infomir.eu", true },
  { "infomisto.com", true },
  { "infomundord.com", true },
  { "infopico.com", true },
  { "infopier.sg", true },
  { "infoprofuse.com", true },
  { "infoprosnetwork.co", true },
  { "infoprosnetwork.com", true },
  { "infor-allaitement.be", true },
  { "informace-zbozi.cz", true },
  { "informat.ga", true },
  { "informatiebeveiliging.nl", true },
  { "informatiger.net", true },
  { "informatik-handwerk.de", true },
  { "informationrx.org", true },
  { "informations-echafaudages.com", true },
  { "informhealth.com", true },
  { "informnapalm.org", true },
  { "informspb.tk", true },
  { "infosec-handbook.eu", true },
  { "infosec.exchange", false },
  { "infosec.wiki", true },
  { "infosecchicago.com", true },
  { "infosectalks.com", true },
  { "infosectekniques.com", true },
  { "infosective.org", true },
  { "infosenior.ch", true },
  { "infosexual.com", true },
  { "infosubasta.es", true },
  { "infotainworld.com", true },
  { "infotune.nl", true },
  { "infovb.org", true },
  { "infovision-france.com", true },
  { "infra.beer", true },
  { "infra.land", true },
  { "infraball.com", true },
  { "infrabeep.com", true },
  { "infrabeta.com", true },
  { "infrabind.com", true },
  { "infrabold.com", true },
  { "infrabond.com", true },
  { "infraboom.com", true },
  { "infraclass.com", true },
  { "infraclip.com", true },
  { "infracron.com", true },
  { "infradart.com", true },
  { "infradeep.com", true },
  { "infradisk.com", true },
  { "infradrop.com", true },
  { "infraedifice.com", true },
  { "infrafile.com", true },
  { "infrafind.com", true },
  { "infrafire.com", true },
  { "infraflip.com", true },
  { "infraflux.com", true },
  { "infrafuse.com", true },
  { "infrafusion.com", true },
  { "infraget.com", true },
  { "infralira.com", true },
  { "infralist.com", true },
  { "infraloon.com", true },
  { "inframake.com", true },
  { "inframeet.com", true },
  { "inframenu.com", true },
  { "inframetro.com", true },
  { "inframint.com", true },
  { "infraname.com", true },
  { "infranest.com", true },
  { "infranium.com", true },
  { "infranium.eu", true },
  { "infranium.info", true },
  { "infranium.net", true },
  { "infranium.org", true },
  { "infranotes.com", true },
  { "infranoto.com", true },
  { "infranox.com", true },
  { "infrapass.com", true },
  { "infrapeer.com", true },
  { "infrapilot.com", true },
  { "infraping.com", true },
  { "infrapirtis.lt", true },
  { "infraplot.com", true },
  { "infrarank.com", true },
  { "infrarank.net", true },
  { "infraredradiant.com", true },
  { "infrarot-thermometer.info", true },
  { "infraspin.com", true },
  { "infratank.com", true },
  { "infratask.com", true },
  { "infrathink.com", true },
  { "infratrip.com", true },
  { "infravibe.com", true },
  { "infravideo.com", true },
  { "infravoce.com", true },
  { "infrazine.com", true },
  { "ing-buero-junk.de", true },
  { "ing89.cc", true },
  { "ing89.com", true },
  { "ingadesign.it", true },
  { "ingatlanjogaszok.hu", true },
  { "ingber.com", true },
  { "inge-r.nl", true },
  { "inge.ec", true },
  { "ingeeibach.de", true },
  { "ingeni.ink", true },
  { "ingenias.es", true },
  { "ingenius.ws", true },
  { "ingermany.ml", true },
  { "ingestion.life", true },
  { "ingi.ga", true },
  { "ingjobs.ch", true },
  { "inglebycakes.co.uk", true },
  { "inglesencanada.cf", true },
  { "inglesnarede.com.br", true },
  { "ingo-schlueter.de", true },
  { "ingolonde.pw", true },
  { "ingoschlueter.de", true },
  { "ingressfs.pl", true },
  { "ingridvandamme.nl", true },
  { "inhaltsangabe.de", true },
  { "inhouseents.co.uk", true },
  { "iniby.com", true },
  { "inima.org", true },
  { "inishbofin.ie", true },
  { "init.blog", true },
  { "initiative-digitalisierung-kmu.de", true },
  { "initramfs.io", true },
  { "initrd.net", true },
  { "injapan.nl", true },
  { "injigo.com", false },
  { "injurylawyer.com", true },
  { "ink.horse", true },
  { "inkable.com.au", true },
  { "inkbunny.net", true },
  { "inkdrop.co.za", true },
  { "inkeliz.com", true },
  { "inkerotic.com", true },
  { "inkhor.se", true },
  { "inkomensafhankelijkehuurverhoging.nl", true },
  { "inkopers.org", true },
  { "inksay.com", true },
  { "inkspire.co.uk", true },
  { "inkthreadable.co.uk", true },
  { "inkurz.de", true },
  { "inlabo.de", true },
  { "inline-sport.cz", true },
  { "inlinea.ch", true },
  { "inlineskating.ga", true },
  { "inlink.ee", true },
  { "inlt.com", true },
  { "inmaps.xyz", true },
  { "inmatefinancial.com", true },
  { "inmateintake.com", true },
  { "inmatesupport.org", true },
  { "inmedic.pl", true },
  { "inmedsm.com", true },
  { "inmigracion-florida.com", true },
  { "inmobillium.fr", true },
  { "inmueblescartagena.com.co", true },
  { "innerfence.com", true },
  { "innerlightcrystals.co.uk", true },
  { "innermostparts.org", true },
  { "innersafe.com", true },
  { "innico.cf", true },
  { "inno.ch", false },
  { "innocenceseekers.net", true },
  { "innogen.fr", true },
  { "innohb.com", true },
  { "innolabfribourg.ch", true },
  { "innoraft.com", true },
  { "innot.net", true },
  { "innotas.com", true },
  { "innoteil.com", true },
  { "innoteknology.com", true },
  { "innotel.com.au", true },
  { "innovairservices.ch", true },
  { "innovamag.com", true },
  { "innovaptor.at", true },
  { "innovaptor.com", true },
  { "innovate-indonesia.com", true },
  { "innovation-photography.co.uk", true },
  { "innovation-workshop.ro", true },
  { "innovation.gov", false },
  { "innovationacademy.uk", true },
  { "innover.se", true },
  { "innovomuebles.com", true },
  { "innovum.cz", true },
  { "innsalzachsingles.de", true },
  { "innvisiondesign.net", true },
  { "innwan.com", true },
  { "inoa8.com", true },
  { "inocelda.com", true },
  { "inodari.com", true },
  { "inoio.de", true },
  { "inondation.ch", false },
  { "inovatec.com", true },
  { "inovatecapi.com", true },
  { "inovatecsystems.com", true },
  { "inovitec.eu", false },
  { "inoxdesign.fr", true },
  { "inoxdesign.pro", true },
  { "inoxmavang.net", true },
  { "inpas.co.uk", true },
  { "inpatec.com", true },
  { "inpdp.tk", true },
  { "inpector.de", true },
  { "inphi.com", true },
  { "inprotec.com.co", true },
  { "input.pt", true },
  { "inputmodes.com", true },
  { "inquant.de", true },
  { "ins-kreativ.de", true },
  { "ins.to", true },
  { "ins1gn1a.com", true },
  { "inscomers.net", false },
  { "inscribe.ai", true },
  { "inscripcionessena.com", true },
  { "insecret.co.ua", true },
  { "insecret.com.ua", true },
  { "insecret.trade", true },
  { "insecure.org.je", true },
  { "insegne.roma.it", true },
  { "insertcoins.net", true },
  { "insertwh.at", true },
  { "inserzioniticino.ch", true },
  { "insgesamt.net", true },
  { "inshapenutrition.com.br", true },
  { "insho.fashion", true },
  { "inshop.hu", true },
  { "insiberia.tk", true },
  { "inside19.com", true },
  { "insideaudit.com", true },
  { "insidebedroom.com", true },
  { "insideevs.com", true },
  { "insideevs.fr", true },
  { "insidesolutions.nl", true },
  { "insidethefirewall.tk", true },
  { "insights.is", true },
  { "insignificant.space", true },
  { "insinuator.net", true },
  { "insistel.com", true },
  { "insomniasec.com", true },
  { "inspiratienodig.nl", true },
  { "inspired-creations.co.za", true },
  { "inspired-lua.org", true },
  { "inspiredlife.fun", true },
  { "inspiredrealtyinc.com", true },
  { "inspiresurgery.com", true },
  { "inspirez-vous-sophro.com", true },
  { "insside.net", true },
  { "insta-drive.com", true },
  { "instachina.ru", true },
  { "instafind.nl", true },
  { "instafuckfriend.com", true },
  { "instagc.com", true },
  { "instagram-atom.appspot.com", true },
  { "instagram.com", false },
  { "instagrammernews.com", true },
  { "instagramtweet.com", true },
  { "instahub.net", true },
  { "installatietechniekgresnigt.nl", true },
  { "installgentoo.net", true },
  { "instamojo.com", true },
  { "instant-clearance-sale.co.uk", true },
  { "instant-thinking.de", true },
  { "instant.io", true },
  { "instantdomainsearch.com", true },
  { "instantkhabar.com", true },
  { "instantmoron.com", true },
  { "instava.cz", true },
  { "instawierszyki.pl", true },
  { "instead.com.au", true },
  { "insteagle.com", true },
  { "instela.com", true },
  { "instelikes.com.br", true },
  { "instics.com", true },
  { "institut-confucius-montpellier.org", true },
  { "institut-uthyl.com", true },
  { "institutmaupertuis.hopto.org", true },
  { "institutogiuseppe.com", true },
  { "institutogiuseppe.com.ar", true },
  { "institutointersistemico.com.br", true },
  { "institutolancaster.com", true },
  { "institutomaritimocolombiano.com", true },
  { "instrumart.ru", false },
  { "insult.es", true },
  { "insurance321.com", true },
  { "insuranceonlinenow.com", true },
  { "insurediy.com.sg", true },
  { "insuremyworkcomp.com", true },
  { "insureon.com", true },
  { "int64software.com", true },
  { "intafe.co.jp", true },
  { "intakesync.com", true },
  { "intal.info", true },
  { "intarweb.ca", true },
  { "intasky.cz", true },
  { "intasky.sk", true },
  { "integ.jp", true },
  { "integralblue.com", true },
  { "integralkk.com", true },
  { "integralsalud.xyz", true },
  { "integrata.de", true },
  { "integratedmedicalonline.com", true },
  { "integratemyschool.com", true },
  { "integrateur-web-paris.com", true },
  { "integritet.com.se", true },
  { "integrity.gov", true },
  { "integrityglobal.com", true },
  { "integrityokc.com", true },
  { "integrityoklahoma.com", true },
  { "integromat.com", true },
  { "integroof.com", true },
  { "integsystem.com", true },
  { "intelhost.cl", true },
  { "intelhost.com", true },
  { "intelhost.com.ar", true },
  { "intelhost.com.br", true },
  { "intelhost.com.co", true },
  { "intelhost.com.mx", true },
  { "intelhost.com.pe", true },
  { "inteli.com.pl", true },
  { "intellar.com", true },
  { "intellectdynamics.com", true },
  { "intelliance.eu", true },
  { "intelligence-explosion.com", true },
  { "intelligenetics.com", true },
  { "intelligentcontacts.com", true },
  { "intellihr.io", true },
  { "intellimatica.se", true },
  { "intellimax.ir", true },
  { "intellinetixvibration.com", true },
  { "intellitonic.com", true },
  { "intelly.nl", true },
  { "intelly365.nl", true },
  { "intencje.pl", true },
  { "intensify.pictures", true },
  { "intensivpflege-sachsen.de", true },
  { "intentanalytica.com", true },
  { "inter-corporate.com", true },
  { "interaktiva.fi", true },
  { "interallied.org", true },
  { "interasistmen.se", true },
  { "interchanges.io", true },
  { "interconlarp.org", true },
  { "intercrosse.tk", true },
  { "interflores.com.br", true },
  { "interfug.de", true },
  { "intergozd.si", true },
  { "interiery-waters.cz", true },
  { "interimages.fr", true },
  { "interior-design-colleges.com", true },
  { "interiordesignsconcept.com", true },
  { "interisaudit.com", true },
  { "interlijn.nl", true },
  { "interlingvo.biz", true },
  { "intermax.nl", true },
  { "intermedinet.nl", true },
  { "interminsk.tk", true },
  { "intern-base.com", true },
  { "internalkmc.com", true },
  { "international-arbitration-attorney.com", true },
  { "international-friends.net", true },
  { "internationalfashionjobs.com", true },
  { "internationalschool.it", true },
  { "internationalstudentassociation.com", true },
  { "internationaltalento.it", true },
  { "internect.co.za", true },
  { "internet-aukcion.info", true },
  { "internet-meesters.nl", true },
  { "internet-pornografie.de", false },
  { "internet-software.eu", true },
  { "internet-tv4u.tk", true },
  { "internet42.tk", true },
  { "internetaanbieders.eu", true },
  { "internetbank.swedbank.se", true },
  { "internetbugbounty.com", true },
  { "internetbusiness-howto.com", true },
  { "internetcom.jp", true },
  { "internetfonden.se", true },
  { "internetinhetbuitengebied.nl", true },
  { "internetk.tk", true },
  { "internetloansdirect.com", true },
  { "internetmagaz.tk", true },
  { "internetmedia.si", true },
  { "internetmuseum.se", true },
  { "internetnz.nz", true },
  { "internetofdon.gs", true },
  { "internetoffensive.fail", true },
  { "internetofinsecurethings.com", true },
  { "internetovehazardnihry.cz", true },
  { "internetpro.me", true },
  { "internetstaff.com", true },
  { "internetstiftelsen.se", true },
  { "internettradie.com.au", true },
  { "internetzentrale.net", true },
  { "internetzonei.com", true },
  { "internewscast.com", true },
  { "internex.at", true },
  { "interparcel.com", true },
  { "interphoto.by", true },
  { "interpol.gov", true },
  { "interracial.dating", true },
  { "interseller.io", true },
  { "interssl.com", true },
  { "interstateautomotiveinc.com", true },
  { "interstateremovalists.sydney", true },
  { "intertime.services", true },
  { "interviewme.pl", true },
  { "interways.de", true },
  { "intheater.de", true },
  { "inthepicture.com", true },
  { "inthouse.cloud", true },
  { "intimznakomstvo.tk", true },
  { "intita.com", true },
  { "intmissioncenter.org", false },
  { "into-the-mountain.com", true },
  { "inton.biz", true },
  { "intoparking.com", true },
  { "intoparking.fi", true },
  { "intpforum.com", true },
  { "intr0.cf", true },
  { "intracdf.net", true },
  { "intrack.net.au", true },
  { "intradayseasonals.com", true },
  { "intranet.dvag", true },
  { "intraobes.com", true },
  { "intrasoft.com.au", true },
  { "intraxia.com", true },
  { "intrepy.com", true },
  { "intrigue3d.com", true },
  { "intrixgroup.com", true },
  { "intrixlifestyle.com", true },
  { "intropickup.ru", true },
  { "introspectivemarketresearch.com", true },
  { "introverted.ninja", true },
  { "intvonline.com", true },
  { "intxt.net", true },
  { "inu.codes", true },
  { "inu.nl", true },
  { "inumcoeli.com.br", true },
  { "inup.jp", true },
  { "inusasha.de", true },
  { "inuyasha-petition.tk", true },
  { "invadelabs.com", true },
  { "invalida.ru", true },
  { "invasion.com", true },
  { "invasivespeciesinfo.gov", true },
  { "inventaire.ch", false },
  { "inventionsteps.com.au", true },
  { "inventix.nl", true },
  { "inventoryimages.co.uk", true },
  { "inventoryimages.com", true },
  { "inventtatte.com", true },
  { "inventtheworld.com.au", true },
  { "inventum.cloud", true },
  { "inverselink-user-content.com", true },
  { "investactiv.tk", true },
  { "investarholding.nl", true },
  { "investigatore.it", true },
  { "investigatore.roma.it", true },
  { "investigatore.torino.it", true },
  { "investigazionimoretti.it", true },
  { "investinturkey.com.tr", true },
  { "investinweed.com", true },
  { "investor-academy.jp", true },
  { "investor.gov", true },
  { "investoren-beteiligung.de", true },
  { "investorforms.com", true },
  { "investpay.ru", true },
  { "investuji.net", true },
  { "invetep.sk", true },
  { "invidio.us", true },
  { "invinoaustria.com", true },
  { "invinoaustria.cz", true },
  { "invioinc.com", true },
  { "inviosolutions.com", true },
  { "invisible-college.com", true },
  { "invisiverse.com", true },
  { "invitacionesytarjetas.gratis", true },
  { "invitescene.com", true },
  { "invitethemhome.com", true },
  { "invkao.com", true },
  { "invoiced.com", true },
  { "involic.com", true },
  { "invsky.com", true },
  { "invuite.com.au", true },
  { "inwao.com", true },
  { "inwebo.com", true },
  { "inwestcorp.se", true },
  { "inyourcornerinsurance.com", true },
  { "inyourowntime.info", true },
  { "inyourowntime.zone", true },
  { "inyr.hu", true },
  { "inzdr.com", true },
  { "inzelabs.com", true },
  { "inzernettechnologies.com", true },
  { "ioactive.com", true },
  { "iocheck.com", true },
  { "iochen.com", true },
  { "iocurrents.com", true },
  { "iofort.com", true },
  { "ioliver.co.uk", true },
  { "iomedia.ch", true },
  { "iompost.com", true },
  { "iomstamps.com", true },
  { "iondrey.cf", true },
  { "iondrey.fr", true },
  { "iondrey.ga", true },
  { "iondrey.gq", true },
  { "iondrey.ml", true },
  { "iondrey.tk", true },
  { "ione.net.nz", true },
  { "ionlabs.kr", true },
  { "ionplesalexandru.com", true },
  { "ionspin.com", true },
  { "ionutnechita.ro", true },
  { "ionutnica.ro", true },
  { "ionx.co.uk", true },
  { "ioover.net", true },
  { "iop.intuit.com", false },
  { "iosartstudios.gr", true },
  { "iosecurity.co.za", true },
  { "ioslo.net", true },
  { "iosnoops.com", true },
  { "iossifovlab.com", true },
  { "iostream.by", true },
  { "iotac.xyz", true },
  { "iotorq.com", true },
  { "iotsys.in", true },
  { "iowaent.com", true },
  { "iowaschoolofbeauty.com", true },
  { "iowen.cn", true },
  { "ip-address.me", true },
  { "ip-hahn.de", true },
  { "ip-life.net", true },
  { "ip-tanz.com", true },
  { "ip.sb", true },
  { "ip3office.com", false },
  { "ip40.com", true },
  { "ip6.li", true },
  { "ipadkaitori.jp", true },
  { "ipal.im", true },
  { "ipal.name", true },
  { "ipal.pl", true },
  { "ipal.tel", true },
  { "ipanchev.com", true },
  { "iparkki.com", true },
  { "ipcareers.net", true },
  { "ipcyb.com", true },
  { "ipemcomodoro.com.ar", true },
  { "iperconnessi.it", true },
  { "ipfire.org", true },
  { "ipfirebox.de", true },
  { "ipfs.io", true },
  { "ipggroup.com", true },
  { "iphonekaitori.tokyo", true },
  { "iphoneunlock.nu", true },
  { "ipinfo.tw", true },
  { "iplantom.com", true },
  { "iplaycraft.ru", true },
  { "iplayradio.net", false },
  { "ipleak.net", true },
  { "ipledgeonline.org", false },
  { "iplist.cc", true },
  { "ipmonitoring.hu", true },
  { "ipo-times.jp", true },
  { "ipoisk.com.ua", true },
  { "ipokabu.net", true },
  { "ipomue.com", false },
  { "ipop.gr", true },
  { "iposm.net", true },
  { "ippawards.com", false },
  { "ipplans.com", true },
  { "ippo-juku.com", true },
  { "iprcenter.gov", true },
  { "ipresent.com", true },
  { "iprice.co.id", true },
  { "iprice.hk", true },
  { "iprice.my", true },
  { "iprice.ph", true },
  { "iprice.sg", true },
  { "iprice.vn", true },
  { "ipricethailand.com", true },
  { "iprim.ru", true },
  { "ipripojeni.cz", true },
  { "iproducemusic.com", true },
  { "ips-consult.nl", true },
  { "ips-ihre-pflege-sachsen.de", true },
  { "ips-sachsen.de", true },
  { "ipschool.spb.ru", true },
  { "ipsec.pl", true },
  { "ipsecurelink.com", true },
  { "ipso.paris", true },
  { "ipsum.dk", true },
  { "ipswitch.com.tw", true },
  { "iptops.com", true },
  { "iptvmaxx.com", true },
  { "iptvzoom.xyz", true },
  { "ipty.de", true },
  { "ipv4.cf", true },
  { "ipv4.co.il", true },
  { "ipv4.gr", true },
  { "ipv4.rip", true },
  { "ipv6-adresse.dk", true },
  { "ipv6-handbuch.de", true },
  { "ipv6.jetzt", false },
  { "ipv6vpn.net", true },
  { "ipvbook.com", true },
  { "iqboxy.com", true },
  { "iqos.ru", true },
  { "iqratunisie.com", true },
  { "iqsecurity.eu", true },
  { "iqskinclinics.com", true },
  { "iqsmn.org", true },
  { "iqtechportal.com", true },
  { "ir1s.com", false },
  { "irajsingh.tk", true },
  { "iramellor.com", true },
  { "irandex.ga", true },
  { "iranfilmcity.tk", true },
  { "iranian.lgbt", true },
  { "iranianholiday.com", true },
  { "iranjeunesse.com", true },
  { "iranonline.tk", true },
  { "iranturkey.info", true },
  { "iranwiki.ovh", true },
  { "iraqinews.ga", true },
  { "irasandi.com", true },
  { "irayo.net", true },
  { "irc-results.com", true },
  { "ircica.org", true },
  { "ircmett.de", true },
  { "ird.nz", true },
  { "ireaco.com", true },
  { "ireef.tv", true },
  { "ireland.gq", true },
  { "irelandondemand.ie", true },
  { "iren.ch", true },
  { "irenkuhn.ch", true },
  { "irequi.re", true },
  { "ireviewi.com", true },
  { "irf2.pl", true },
  { "irfan.id", true },
  { "irgendeine.cloud", true },
  { "irgit.pl", true },
  { "iridiumbrowser.de", true },
  { "irina-beauty.de", true },
  { "irioka.be", true },
  { "iriomote.com", true },
  { "iris-design.info", true },
  { "iris-insa.com", true },
  { "irish.dating", true },
  { "irishsessions.ch", true },
  { "irisjieun.com", true },
  { "irismq.fr", true },
  { "irkfap.com", true },
  { "irkutsk38.tk", true },
  { "irland-firma.com", true },
  { "irlfp.com", true },
  { "irmag.ru", true },
  { "irmgard-woelfle.de", true },
  { "irmgardkoch.com", true },
  { "irodorinet.com", true },
  { "iroise.ch", true },
  { "ironcarnival.com", true },
  { "ironfistdesign.com", true },
  { "ironfittings.com.br", true },
  { "ironhide.de", true },
  { "ironmountainsolutions.com", true },
  { "ironpeak.be", true },
  { "ironraven.ml", true },
  { "ironycats.net", true },
  { "irrewilse.se", true },
  { "irrigadorbucal.com", true },
  { "irritant.net", true },
  { "iruarts.ch", true },
  { "iruca.co", true },
  { "irvingramo.com", true },
  { "irxoo.com", true },
  { "iryodatumoguide.com", true },
  { "iryogakkai.jp", true },
  { "is-a-furry.org", true },
  { "is-rocket.science", true },
  { "is-socket.tk", true },
  { "isa357.com", true },
  { "isa5417.com", true },
  { "isaaccomputerscience.org", true },
  { "isaacdgoodman.com", false },
  { "isaackabel.cf", true },
  { "isaackabel.ga", true },
  { "isaackabel.gq", true },
  { "isaackabel.ml", true },
  { "isaackabel.tk", true },
  { "isaackhor.com", true },
  { "isaacman.tech", true },
  { "isaacmorneau.com", true },
  { "isaacpartnership.co.uk", true },
  { "isaacphysics.org", true },
  { "isaaczais.com", true },
  { "isab.top", true },
  { "isabelaflores.com", true },
  { "isabellavandijk.nl", true },
  { "isabelle-delpech.com", true },
  { "isabellehogarth.co.uk", true },
  { "isabelmurillo-ordonez.com", true },
  { "isakssons.com", true },
  { "isamay.es", true },
  { "isamiok.com", true },
  { "isaob.com", true },
  { "isara.com", true },
  { "isaropiping.fr", true },
  { "isavings.com", true },
  { "isayoga.de", true },
  { "isbaseballstillon.com", true },
  { "isbc-telecom.ru", true },
  { "isbengrumpy.com", true },
  { "iscert.org", true },
  { "iscontrol.com.mx", true },
  { "isdn.jp", true },
  { "isecrets.se", true },
  { "iservicio.mx", true },
  { "isg-tech.com", true },
  { "isgp-studies.com", false },
  { "ishamf.com", true },
  { "ishet.al", true },
  { "ishigurodo.com", true },
  { "ishiharaken.com", true },
  { "ishimen.co.jp", true },
  { "ishotagency.com", true },
  { "isidore.uk", true },
  { "isif-ostewg.org", true },
  { "isigmaonline.org", true },
  { "isil.fi", true },
  { "isimonbrown.co.uk", true },
  { "isincheck.com", true },
  { "isiso.com.tr", true },
  { "isitchristmas.com", true },
  { "isitcoffeetime.com", true },
  { "isitdoneyet.gov", true },
  { "isitef.com", true },
  { "iskaron.de", true },
  { "iskaz.rs", true },
  { "iskconnews.org", true },
  { "iskogen.nu", true },
  { "iskultur.com.tr", true },
  { "islam.si", true },
  { "islamabadcourt.tk", true },
  { "islamicarchitecturalheritage.com", true },
  { "islamicmarkets.com", true },
  { "islamicnews.tk", true },
  { "islamnewss.tk", true },
  { "island.studio", true },
  { "islandhosting.com", true },
  { "islandmapstore.com", true },
  { "islandsbanki.is", true },
  { "islavolcan.cl", true },
  { "isletech.net", true },
  { "isliada.org", true },
  { "islightdown.today", true },
  { "ismat.com", true },
  { "ismena.bg", true },
  { "ismywebsitepenalized.com", true },
  { "isn.cz", true },
  { "isocom.eu", true },
  { "isognattori.com", true },
  { "isolta.com", true },
  { "isolta.de", true },
  { "isolta.ee", true },
  { "isolta.fi", true },
  { "isolta.lv", true },
  { "isolta.se", true },
  { "isonet.fr", true },
  { "isopres.de", true },
  { "isotope.gov", true },
  { "isotopes.gov", true },
  { "isovideo.com", true },
  { "isowosi.com", true },
  { "ispfontela.es", true },
  { "ispmedipv6.se", true },
  { "israel-in-color.com", true },
  { "israelbiblicalstudies.com", true },
  { "israelbizreg.com", true },
  { "israelil-leumi.co.il", true },
  { "israelil-leumidev.azurewebsites.net", true },
  { "israelnewswire.tk", true },
  { "israelportalk.ml", true },
  { "isreedyinthe.uk", true },
  { "isreedyinthe.us", true },
  { "isreedyintheuk.com", true },
  { "issa.org.pl", false },
  { "issasfrissa.se", true },
  { "issforum.org", true },
  { "issio.net", true },
  { "issue.watch", true },
  { "issues.email", true },
  { "istanbul.systems", true },
  { "istdas.lol", true },
  { "istdieweltschonuntergegangen.de", true },
  { "isteinbaby.de", true },
  { "isterfaslur.com", true },
  { "istheapplestoredown.com", true },
  { "istheapplestoredown.de", true },
  { "istheinternetdown.com", true },
  { "istheinternetonfire.com", true },
  { "isthephone.com", true },
  { "istheservicedown.co.uk", true },
  { "istheservicedown.com", true },
  { "istheservicedowncanada.com", true },
  { "isthnew.com", true },
  { "istitutoricci.it", true },
  { "istitutovivaldi.it", true },
  { "istogether.com", true },
  { "istormsolutions.co.uk", true },
  { "istorrent.is", true },
  { "istschonsolangeinrente.de", true },
  { "istsi.org", true },
  { "isusemasa.com", false },
  { "isv.online", true },
  { "isvbscriptdead.com", true },
  { "isvsecwatch.org", true },
  { "iswapgh.com", true },
  { "isync2.me", true },
  { "isz.no", true },
  { "iszy.cc", true },
  { "it-academy.sk", true },
  { "it-boss.ro", true },
  { "it-faul.de", true },
  { "it-fernau.com", true },
  { "it-inside.ch", true },
  { "it-jobbank.dk", true },
  { "it-journal.de", true },
  { "it-kron.de", true },
  { "it-maker.eu", true },
  { "it-meneer.nl", true },
  { "it-rotter.de", true },
  { "it-schamans.de", true },
  { "it-service24.at", true },
  { "it-service24.ch", true },
  { "it-service24.com", true },
  { "it-shamans.de", true },
  { "it-shamans.eu", true },
  { "it-stack.de", true },
  { "it-support-nu.se", true },
  { "it-support-stockholm.se", true },
  { "it-support.one", true },
  { "it-supportistockholm.se", true },
  { "it-supportnu.se", true },
  { "it-swarm.net", true },
  { "it-tekniker.nu", true },
  { "it-ti.me", true },
  { "it-uws.com", false },
  { "it-world.eu", true },
  { "it-zt.at", true },
  { "it.search.yahoo.com", false },
  { "it1b.com", true },
  { "it4sure.nl", true },
  { "itactiq.com", true },
  { "itactiq.info", true },
  { "itaiferber.net", true },
  { "italbavaro.com", true },
  { "italia-store.com", true },
  { "italiachegioca.com", true },
  { "italian.dating", true },
  { "italianisiert.de", true },
  { "italianshoemanufacturers.com", true },
  { "italiansrent.com", true },
  { "italiataxi.ru", true },
  { "italiatopnews.tk", true },
  { "italieflydrive.nl", true },
  { "italiensk-tolk.dk", true },
  { "italik.co.uk", true },
  { "italserrande.it", true },
  { "italserver.com", true },
  { "italyinspires.com", true },
  { "itamservices.nl", true },
  { "itap.gov", true },
  { "itaporanga.se.gov.br", true },
  { "itb-online.co.uk", true },
  { "itbox.cl", true },
  { "itbrief.co.nz", true },
  { "itbrief.com.au", true },
  { "itcbuerobedarf.de", true },
  { "itchy.nl", true },
  { "itconsulting-wolfinger.de", true },
  { "itcs.services", true },
  { "itdaan.com", true },
  { "itdashboard.gov", true },
  { "itdata.ro", true },
  { "itdoneproperly.com", true },
  { "itdutchie.com", true },
  { "itecor.net", false },
  { "iteecafe.hu", true },
  { "iteha.de", true },
  { "iteli.eu", true },
  { "itemcreator.tk", true },
  { "itemmc.com", true },
  { "itemorder.com", true },
  { "itemstore.ir", true },
  { "iternalnetworks.com", true },
  { "iterror.co", true },
  { "itesign.de", true },
  { "itezu.ml", true },
  { "itfh.eu", true },
  { "itfix.cz", true },
  { "itfly.xyz", false },
  { "itgoesup.com", true },
  { "itgoesupent.com", true },
  { "itgoesupentertainment.com", true },
  { "ithakama.com", true },
  { "ithakama.cz", true },
  { "ithenrik.com", true },
  { "ithinc.net", true },
  { "ithink.cf", true },
  { "ithink.ml", true },
  { "ithjalpforetag.se", true },
  { "ithot.ro", true },
  { "itidying.com", true },
  { "itikon.com", true },
  { "itilo.de", true },
  { "itis.gov", true },
  { "itis4u.ch", true },
  { "itisyourmoney.co.uk", true },
  { "itkaufmann.at", true },
  { "itkonsultstockholm.se", true },
  { "itm-c.de", true },
  { "itmax.ua", true },
  { "itmedicinai.lt", true },
  { "itmindscape.com", true },
  { "itmustbee.com", true },
  { "itn.co.uk", true },
  { "itneeds.tech", true },
  { "itnota.com", true },
  { "itnow.ng", true },
  { "itochan.jp", true },
  { "itooky.com", true },
  { "itpanda.pl", true },
  { "itpro.ua", true },
  { "itraffic.tk", true },
  { "itraveille.fr", true },
  { "itreallyaddsup.com", true },
  { "itring.pl", false },
  { "itruss.com.tw", true },
  { "its-gutachten.de", true },
  { "its.gov", true },
  { "its420somewhere.com", true },
  { "itsabouncything.com", true },
  { "itsallaboutplumbing.com", true },
  { "itsallsotireso.me", true },
  { "itsaw.de", true },
  { "itsayardlife.com", true },
  { "itsblue.de", true },
  { "itsburning.nl", true },
  { "itschromeos.com", true },
  { "itsdcdn.com", true },
  { "itsecblog.de", true },
  { "itsecguy.com", true },
  { "itseeze.com", true },
  { "itseovn.com", true },
  { "itsevident.com", true },
  { "itsfitlab.com", true },
  { "itsgoingdown.org", false },
  { "itshka.rv.ua", true },
  { "itsig-faq.de", true },
  { "itsmyparty.ie", true },
  { "itsnotquitethehilton.com", false },
  { "itsok.de", true },
  { "itspartytimeonline.co.uk", true },
  { "itspersonaltraining.nl", true },
  { "itsquiet.org", true },
  { "itsryan.com", true },
  { "itsstefan.eu", true },
  { "itstatic.tech", true },
  { "itsuitsyou.co.za", true },
  { "itsuki.nl", true },
  { "itsundef.in", true },
  { "itsupportnacka.se", true },
  { "itsv.at", true },
  { "itswincer.com", true },
  { "itsynergy.co.uk", true },
  { "ittgame.tk", true },
  { "itvaatlik.ee", true },
  { "itzap.com.au", true },
  { "itzer.de", true },
  { "itzkavin.tk", true },
  { "iubuniversity.tk", true },
  { "iurisnow.com", false },
  { "iuyos.com", true },
  { "ivahbbiz.tk", true },
  { "ivan1874.dynu.net", true },
  { "ivanaleksandrov.com", true },
  { "ivanbenito.com", true },
  { "ivanboi.com", true },
  { "ivancacic.com", false },
  { "ivanderevianko.com", true },
  { "ivanmeade.com", true },
  { "ivanovolive.ru", true },
  { "ivaoru.org", true },
  { "ivendi.com", true },
  { "ivetazivot.cz", true },
  { "ivfausland.de", true },
  { "ivfmeds.com", true },
  { "ivig.com.br", true },
  { "ivisitorinsurance.com", true },
  { "ivo.co.za", true },
  { "ivocopro.com", true },
  { "ivocotec.com", true },
  { "ivocotec.de", true },
  { "ivolunteer.com.ph", true },
  { "ivopetkov.com", true },
  { "ivor.io", true },
  { "ivor.is", true },
  { "ivorvanhese.com", true },
  { "ivorvanhese.nl", true },
  { "ivoryandgrace.com", true },
  { "ivpn.net", true },
  { "ivre.rocks", true },
  { "ivsign.net", true },
  { "ivusn.cz", true },
  { "ivvl.ru", true },
  { "ivy-league-colleges.com", true },
  { "ivy.show", true },
  { "iwader.co.uk", true },
  { "iwalton.com", true },
  { "iwanttoliveinabunker.com", true },
  { "iwascoding.com", true },
  { "iwascoding.de", true },
  { "iwashealthy.com", true },
  { "iwatchcops.com", true },
  { "iwatchcops.org", true },
  { "iwatt.sk", true },
  { "iwch.tk", true },
  { "iwd.gc.ca", true },
  { "iwell.de", true },
  { "iwizerunek.pl", true },
  { "iww.me", true },
  { "ixds.org", true },
  { "ixio.cz", true },
  { "ixit.cz", true },
  { "ixquick-proxy.com", true },
  { "ixquick.co.uk", true },
  { "ixquick.com", true },
  { "ixquick.de", true },
  { "ixquick.eu", true },
  { "ixquick.fr", true },
  { "ixquick.info", true },
  { "ixquick.nl", true },
  { "ixuexi.tech", true },
  { "iyassu.com", true },
  { "iyc.web.tr", true },
  { "iycharter.com", false },
  { "iyn.me", true },
  { "iyouewo.com", true },
  { "iz8mbw.net", true },
  { "izamulhakeem.tk", true },
  { "izavel.com", true },
  { "izmirescort.tk", true },
  { "izntz.com", true },
  { "izodiacsigns.com", true },
  { "izolpoznan.pl", true },
  { "izs8.com", true },
  { "izt.tech", false },
  { "izttech.com", true },
  { "izuba.info", false },
  { "izumi-ryokan.com", true },
  { "izumi.tv", true },
  { "izuna.info", true },
  { "izxxs.com", true },
  { "izxxs.net", true },
  { "izxzw.net", true },
  { "izzys.casa", true },
  { "j-k-fischer-verlag.de", true },
  { "j-l.pw", true },
  { "j-navi.com", true },
  { "j-ph.ovh", true },
  { "j-robertson.com", true },
  { "j-sheekey.co.uk", true },
  { "j0bs.org", true },
  { "j0e.com", true },
  { "j0hndball.com", true },
  { "j0rj.com", true },
  { "j0s.at", true },
  { "j0s.eu", true },
  { "j15h.nu", true },
  { "j1879.com", true },
  { "j1visahealthinsurance.com", true },
  { "j2h.de", true },
  { "j32663.com", false },
  { "j32664.com", false },
  { "j32665.com", false },
  { "j32771.com", false },
  { "j32772.com", false },
  { "j32773.com", false },
  { "j32774.com", false },
  { "j32775.com", false },
  { "j3349.com", true },
  { "j36533.com", true },
  { "j36594.com", true },
  { "j3e.de", true },
  { "j51365.com", true },
  { "j5563.com", true },
  { "j5573.com", true },
  { "j5lx.de", true },
  { "j5lx.eu", true },
  { "j5lx.io", true },
  { "j605.tk", true },
  { "j8846.com", true },
  { "j8hs.com", true },
  { "j9504.com", true },
  { "j9507.com", true },
  { "j9508.com", true },
  { "j9511.com", true },
  { "j9514.com", true },
  { "j9515.com", true },
  { "j9516.com", true },
  { "j95app.com", true },
  { "j95cc.com", true },
  { "j95dd.com", true },
  { "j95ee.com", true },
  { "j95ios.com", true },
  { "j95ss.com", true },
  { "j95xx.com", true },
  { "j95zz.com", true },
  { "j9943.com", true },
  { "ja-gps.com.au", true },
  { "ja-hypnose.de", true },
  { "ja-no-me.ru", true },
  { "ja-publications.agency", true },
  { "ja-zur-gs.de", true },
  { "jaakkohannikainen.fi", true },
  { "jaalits.com", true },
  { "jaamaa.com", true },
  { "jaarvistech.com", true },
  { "jaba.hosting", true },
  { "jababu.cz", true },
  { "jabbari.io", true },
  { "jabber.at", true },
  { "jabber.uk", true },
  { "jabberd.org", true },
  { "jabberfr.org", true },
  { "jabbers.one", true },
  { "jabberzac.org", true },
  { "jaberg-rutschi.ch", true },
  { "jabergrutschi.ch", true },
  { "jability.ovh", true },
  { "jabjab.de", true },
  { "jacarandafinance.com.au", true },
  { "jacekowski.org", true },
  { "jacik.cz", true },
  { "jack-p2.tech", true },
  { "jackal-cogito.tk", true },
  { "jackassofalltrades.org", true },
  { "jackdawphoto.co.uk", true },
  { "jackf.me", true },
  { "jackflet.ch", true },
  { "jackgreenrealty.com", true },
  { "jackhoodtransportation.com", true },
  { "jackingsolutions.com", true },
  { "jackpothappy.com", true },
  { "jackrussel.tk", true },
  { "jacksanalytics.com", true },
  { "jacksball.com", true },
  { "jackson-quon.com", true },
  { "jackson.jp", true },
  { "jacksonhu.com", true },
  { "jacksorrell.com", true },
  { "jackspub.net", true },
  { "jackwozny.com", true },
  { "jackyliao.me", true },
  { "jackyliao123.tk", true },
  { "jacobamunch.com", true },
  { "jacobi-server.de", true },
  { "jacobian.org", true },
  { "jacobjangles.com", true },
  { "jacobs-implantate.at", true },
  { "jacobsenarquitetura.com", true },
  { "jacquesdedixmude.eu", true },
  { "jacuzziprozone.com", true },
  { "jadchaar.me", true },
  { "jadesong.net", true },
  { "jadopado.com", true },
  { "jaduniv.cf", true },
  { "jaeger.link", true },
  { "jaegerlacke.de", true },
  { "jaepinformatica.com", true },
  { "jaetech.org", true },
  { "jagbouncycastles.co.uk", true },
  { "jagerman.com", true },
  { "jagido.de", true },
  { "jaguarlandrover-asse.be", false },
  { "jaguarlandrover-occasions.be", false },
  { "jaguarwong.xyz", true },
  { "jahanaisamu.com", true },
  { "jahner.xyz", true },
  { "jahofmann.de", false },
  { "jaiestate.com", true },
  { "jailbreakingisnotacrime.org", true },
  { "jailfood.ga", true },
  { "jaimesotelo.com", true },
  { "jaingynecology.com", true },
  { "jairbehr.com.br", true },
  { "jaisiam.co.th", true },
  { "jaispirit.com", true },
  { "jaitnetworking.com", false },
  { "jaja.wtf", true },
  { "jajsemjachym.cz", true },
  { "jak-na-les.cz", true },
  { "jakarta.dating", true },
  { "jakdelatseo.cz", true },
  { "jake.eu.org", true },
  { "jake.ml", true },
  { "jake.nom.za", true },
  { "jakecurtis.de", true },
  { "jakereynolds.co", true },
  { "jakerullman.com", true },
  { "jakeslab.tech", true },
  { "jakewestrip.com", true },
  { "jakob-server.tk", true },
  { "jakobejitblokaci.cz", true },
  { "jakobkrigovsky.com", true },
  { "jakobs.systems", true },
  { "jakobssystems.net", true },
  { "jakpremyslet.cz", true },
  { "jakse.fr", true },
  { "jakubklimek.com", true },
  { "jakubsindelar.cz", true },
  { "jakubtopic.cz", true },
  { "jakubvrba.cz", true },
  { "jala.co.jp", true },
  { "jaleo.cn", true },
  { "jalogisch.de", true },
  { "jaluzelemoderne.ro", true },
  { "jamaat.hk", true },
  { "jamalfi.bio", true },
  { "jamcyberinc.com", true },
  { "james-bell.co.uk", true },
  { "james-loewen.com", true },
  { "jamesachambers.com", true },
  { "jamesaimonetti.com", true },
  { "jamesbillingham.com", true },
  { "jameschorlton.co.uk", true },
  { "jamesdorf.com", true },
  { "jamesedition.com", true },
  { "jamesgreenfield.com", true },
  { "jameshemmings.co.uk", true },
  { "jameshost.net", true },
  { "jameshunt.us", false },
  { "jamesj.me", false },
  { "jamesjboyer.com", true },
  { "jamesmarsh.net", true },
  { "jamesmilazzo.com", true },
  { "jamesrobertson.io", true },
  { "jamesross.name", true },
  { "jamessmith.me.uk", true },
  { "jamestmartin.me", true },
  { "jamestown.de", false },
  { "jamesturnerstickley.com", true },
  { "jameswarp.com", true },
  { "jamesxu.com", true },
  { "jamhost.org", true },
  { "jamie-read-photography.com", true },
  { "jamie.ie", true },
  { "jamielinux.com", true },
  { "jamiemagee.co.uk", true },
  { "jamiemagee.dk", true },
  { "jamieweb.net", true },
  { "jamieweb.org", true },
  { "jamiewebb.net", true },
  { "jammucake.com", true },
  { "jammysplodgers.co.uk", true },
  { "jamon.ca", true },
  { "jamonsilva.com", true },
  { "jamstatic.fr", true },
  { "jan-and-maaret.de", true },
  { "jan-bucher.ch", true },
  { "jan-gerd.com", true },
  { "jan-hill.com", true },
  { "jan-reiss.de", true },
  { "jan-roenspies.de", true },
  { "jan-von.de", true },
  { "jan.gl", true },
  { "janata.net", true },
  { "janaundgeorgsagenja.eu", true },
  { "janbrodda.de", true },
  { "jandev.de", true },
  { "jane.com", true },
  { "janehamelgardendesign.co.uk", true },
  { "janelauhomes.com", true },
  { "janelle-jamer.tk", true },
  { "janellequintana.tk", true },
  { "janeweeber.com", true },
  { "janey.cf", true },
  { "janeymac.com", true },
  { "jangl.com", true },
  { "janhermann.cz", true },
  { "janhuelsmann.com", true },
  { "jani.media", true },
  { "janiat.com", true },
  { "janik.xyz", false },
  { "janikrabe.com", true },
  { "janjoris.nl", true },
  { "jankamp.com", true },
  { "janker.me", true },
  { "jann.is", true },
  { "jannekekaasjager.nl", true },
  { "jannyrijneveld.nl", true },
  { "janokacer.sk", true },
  { "janome.club", true },
  { "janome.com.ua", true },
  { "janostheil.de", true },
  { "janschaumann.de", true },
  { "janterpstra.eu", true },
  { "jantinaboelens.nl", true },
  { "janv.it", true },
  { "janvari.com", true },
  { "janvaribalint.com", true },
  { "janw.me", true },
  { "jaot.info", true },
  { "japanese-cuisine.com", true },
  { "japanesemotorsports.net", true },
  { "japaniac.de", false },
  { "japanphilosophy.com", false },
  { "japanrail.nl", true },
  { "japansm.com", true },
  { "japantravel.tk", true },
  { "japanwatches.xyz", true },
  { "japonyol.net", true },
  { "jaramilloconstrucciones.pe", true },
  { "jardineriaon.com", true },
  { "jaredfernandez.com", true },
  { "jaredfraser.com", true },
  { "jarmala.lt", true },
  { "jarmandental.com", true },
  { "jarmatys.pl", true },
  { "jarniashop.se", true },
  { "jarods.org", true },
  { "jaroku.com", true },
  { "jarondl.net", true },
  { "jarrah-alsilawi.com", true },
  { "jarrettgraham.com", true },
  { "jarroba.com", true },
  { "jas-team.net", true },
  { "jashvaidya.com", true },
  { "jasmijnwagenaar.nl", true },
  { "jasminlive.cam", true },
  { "jasnowidzkajowi.pl", true },
  { "jasonamorrow.com", true },
  { "jasonbassford.com", true },
  { "jasongerber.ch", false },
  { "jasonsplecoscichlids.com", true },
  { "jasonwei.nctu.me", true },
  { "jasper.link", true },
  { "jasperhammink.com", true },
  { "jasperhuttenmedia.com", true },
  { "jasperpatterson.me", true },
  { "jaspersreef.com", true },
  { "jaspven.net", true },
  { "jastrow.me", true },
  { "jaszbereny-vechta.eu", true },
  { "javaexpert.tk", true },
  { "javamilk.com", true },
  { "javanguiano.mx", true },
  { "javaxxz.com", true },
  { "javelin.cc", true },
  { "javfree.me", true },
  { "javhdmovies.com", true },
  { "javierburgos.net", true },
  { "javierflorescastillero.es", true },
  { "javierlorente.es", true },
  { "javiermascherano.tk", true },
  { "javiscoffee.com", true },
  { "jawo2008.pl", true },
  { "jaxfstk.com", true },
  { "jaxxnet.co.uk", true },
  { "jaxxnet.org", true },
  { "jaybrokers.com", true },
  { "jayceeprints.com", true },
  { "jayden.tech", true },
  { "jayf.de", true },
  { "jayfreestone.com", false },
  { "jayharkess.uk", true },
  { "jaylineko.com", true },
  { "jaymecd.rocks", true },
  { "jayrl.com", true },
  { "jaysaw.me", true },
  { "jaytx.com", true },
  { "jayxon.com", true },
  { "jayxu.com", true },
  { "jazminguaramato.com", true },
  { "jazz-alliance.com", true },
  { "jazz-alliance.org", true },
  { "jazzanet.com", true },
  { "jazzncheese.com", true },
  { "jazzy-feet.com", true },
  { "jazzy.id.au", true },
  { "jazzy.pro", true },
  { "jazzysumi.com", true },
  { "jb0.de", true },
  { "jb138.cc", true },
  { "jbbd.fr", true },
  { "jbc88.cc", true },
  { "jbdesignfoundations.com", true },
  { "jbholdings.co.uk", true },
  { "jblackweb.com", true },
  { "jbradaric.me", true },
  { "jbridal.com.au", true },
  { "jbs-jardins.ch", false },
  { "jbsinternational.com", true },
  { "jbt-stl.com", true },
  { "jcadg.com", true },
  { "jcai.dk", true },
  { "jcaicedo.com", true },
  { "jcb.com", true },
  { "jcbgolfandcountryclub.com", true },
  { "jch.xyz", true },
  { "jchn.be", true },
  { "jci.cc", true },
  { "jclynne.com", true },
  { "jcontspoord.nl", true },
  { "jcsesecuneta.com", true },
  { "jctf.team", true },
  { "jcus.co", true },
  { "jcwodan.nl", true },
  { "jcyz.cf", true },
  { "jd-group.co.uk", true },
  { "jd1.de", true },
  { "jd777.vip", true },
  { "jdassets.com", true },
  { "jdc.io", true },
  { "jdd888.cc", true },
  { "jdefreitas.com", true },
  { "jdegbau.com", true },
  { "jdheysupplies.co.uk", true },
  { "jdjohnsonmedia.com", true },
  { "jdjohnsonwaterproofing.com", true },
  { "jdm.elk.pl", true },
  { "jdm.pl", true },
  { "jdmgarage.com.au", true },
  { "jdncr.com", true },
  { "jdoi.pw", true },
  { "jdpleisure.co.uk", true },
  { "jdproofing.com", true },
  { "jdscastlehire.co.uk", true },
  { "jdtic.com", true },
  { "jdubya.info", true },
  { "je-vends.fr", false },
  { "je2050.de", true },
  { "jean-luc.org", true },
  { "jeancardeno.com", true },
  { "jeandanielfaessler.ch", true },
  { "jeankygourmet.com", true },
  { "jeanmarieayer.ch", true },
  { "jeannecalment.com", true },
  { "jeannelucienne.fr", true },
  { "jeanneret-combustibles.ch", false },
  { "jeans-shopping.tk", true },
  { "jeansdiscounter.de", true },
  { "jebengotai.com", true },
  { "jec-dekrone.be", true },
  { "jecjacshop.com", true },
  { "jed.site", true },
  { "jeda.ch", true },
  { "jedayoshi.com", true },
  { "jedcg.com", true },
  { "jedepannetonordi.fr", true },
  { "jedipedia.net", true },
  { "jediweb.com.au", true },
  { "jedmud.com", true },
  { "jedwarddurrett.com", true },
  { "jeec.ist", true },
  { "jeep4ik.com", true },
  { "jeepeg.com", true },
  { "jeeran.com", true },
  { "jeeranservices.com", true },
  { "jeff.forsale", true },
  { "jeffcloninger.net", true },
  { "jeffersonregan.co.uk", true },
  { "jeffersonregan.com", true },
  { "jeffersonregan.net", true },
  { "jeffhaferman.com", true },
  { "jeffpenchoff.com", true },
  { "jeffreyhaferman.com", true },
  { "jeffri.me", true },
  { "jeffsanders.com", true },
  { "jefftickle.com", true },
  { "jeffwebb.com", true },
  { "jefrydco.id", true },
  { "jefsweden.eu", true },
  { "jehelpdesk.nl", true },
  { "jej.cz", true },
  { "jej.sk", true },
  { "jekhar.com", true },
  { "jelena-adeli.com", true },
  { "jelenkovic.rs", true },
  { "jelewa.de", true },
  { "jell.ie", true },
  { "jelle.pro", true },
  { "jellebo.dk", true },
  { "jelleluteijn.com", true },
  { "jelleluteijn.eu", true },
  { "jelleluteijn.net", true },
  { "jelleluteijn.nl", true },
  { "jelleluteijn.pro", true },
  { "jelleraaijmakers.nl", true },
  { "jelly.cz", true },
  { "jellybeanbooks.com.au", true },
  { "jellyfish.co", true },
  { "jellyfloral.com", true },
  { "jellypepper.com", true },
  { "jellysquid.me", true },
  { "jelmer.uk", true },
  { "jelmoli-shop.ch", true },
  { "jem.gov", true },
  { "jemangeducheval.com", true },
  { "jembatankarir.com", true },
  { "jemefaisdesamis.com", true },
  { "jennethaarfotografie.nl", true },
  { "jennierobinson.com", true },
  { "jenniferengerwingaantrouwen.nl", true },
  { "jennifersauer.nl", true },
  { "jenniwiltz.com", true },
  { "jennysarl.ch", true },
  { "jennythebaker.com", true },
  { "jenolson.net", true },
  { "jenprace.cz", true },
  { "jensdesmeyter.be", true },
  { "jenslody.de", true },
  { "jensrex.dk", true },
  { "jeproteste.info", true },
  { "jeps.fi", true },
  { "jeremiahbenes.com", true },
  { "jeremy-chen.org", true },
  { "jeremy.hu", true },
  { "jeremybentham.com", true },
  { "jeremybloomfield.co.uk", true },
  { "jeremyc.ca", false },
  { "jeremycantu.com", true },
  { "jeremycrews.com", true },
  { "jeremynally.com", true },
  { "jeremytcd.com", true },
  { "jeremywinn.com", true },
  { "jeretec.com.br", true },
  { "jericamacmillan.com", true },
  { "jering.tech", true },
  { "jerisandoval.tk", true },
  { "jermann.biz", true },
  { "jeroendeneef.com", true },
  { "jeroendev.one", true },
  { "jerome.to", true },
  { "jerret.de", true },
  { "jerrysretailstores.com", true },
  { "jerrywang.website", true },
  { "jerryweb.org", true },
  { "jerryyu.ca", true },
  { "jerseybikehire.co.uk", true },
  { "jerseyink.net", true },
  { "jerseyjumpingbeans.co.uk", true },
  { "jerseylvi2013.org", true },
  { "jerseyplantsdirect.com", true },
  { "jerusalempersonals.ml", true },
  { "jesec.cn", true },
  { "jesec.io", true },
  { "jesecharlie.com", true },
  { "jesiensredniowiecza.pl", true },
  { "jesscharlie.com", true },
  { "jesse-charlie.com", true },
  { "jesse-charlie.net", true },
  { "jesse-charlie.org", true },
  { "jesse3.com", true },
  { "jesseblum.com", true },
  { "jessecharley.com", true },
  { "jessecharli.com", true },
  { "jessecharlie.co", true },
  { "jessecharlie.com", true },
  { "jessecharlie.info", true },
  { "jessecharlie.net", true },
  { "jessecharlie.org", true },
  { "jessecharlienaser.com", true },
  { "jesseerbach.com", true },
  { "jessekaufman.com", true },
  { "jessem.fr", true },
  { "jessenaser.com", true },
  { "jessenaser.net", true },
  { "jessenaser.org", true },
  { "jesseonline.tk", true },
  { "jessesjumpingcastles.co.uk", true },
  { "jessgranger.com", true },
  { "jessica-weller.de", true },
  { "jessicabenedictus.nl", false },
  { "jessicaevrard.com", true },
  { "jessicahrehor.com", true },
  { "jessicharlie.com", true },
  { "jessiecharlie.com", true },
  { "jessycharlie.com", true },
  { "jesters-court.net", true },
  { "jesuisadmin.fr", true },
  { "jesuisunpapageek.fr", true },
  { "jesuscnasistente.com", true },
  { "jesusthegoodshepherd.org", true },
  { "jesusvasquez.tk", true },
  { "jesusvazquez.online", true },
  { "jet-stream.fr", true },
  { "jetbbs.com", true },
  { "jetfirenetworks.com", true },
  { "jetflex.de", true },
  { "jetkittens.co.uk", true },
  { "jetsetboyz.net", true },
  { "jetsieswerda.nl", true },
  { "jetswhiteout.com", true },
  { "jettlarue.com", true },
  { "jettshome.org", true },
  { "jetwhiz.com", true },
  { "jeurissen.co", true },
  { "jeuxerotiques.net", true },
  { "jewadvert.ml", true },
  { "jeweet.net", true },
  { "jewishboyscouts.com", true },
  { "jewishquotations.com", true },
  { "jezeravillage.com", true },
  { "jezibaba.info", true },
  { "jf-beco.pt", true },
  { "jf-igrejanovadosobral.pt", true },
  { "jf886.cc", true },
  { "jfbst.net", true },
  { "jfgselbitztal.tk", true },
  { "jfr.im", true },
  { "jfreitag.de", false },
  { "jftw.org", true },
  { "jfvaccountants.nl", true },
  { "jg-skid.me", true },
  { "jgid.de", true },
  { "jgke.fi", true },
  { "jgoguen.ca", true },
  { "jgoldgroup.com", true },
  { "jgonzalezm.com", true },
  { "jgregory.co.uk", true },
  { "jgwb.de", true },
  { "jgwb.eu", true },
  { "jhalderm.com", true },
  { "jhaveri.net", true },
  { "jhe.li", true },
  { "jhill.de", true },
  { "jhollandtranslations.com", true },
  { "jhw3d.com", true },
  { "jhwestover.com", true },
  { "ji0vwl.net", true },
  { "jiahao.codes", true },
  { "jiangxu.site", true },
  { "jianji.de", true },
  { "jianshu.com", true },
  { "jianwei.wang", true },
  { "jianyuan.art", true },
  { "jiaty.com", true },
  { "jiayi.eu.org", true },
  { "jiayi.life", true },
  { "jicaivvip.com", true },
  { "jichi.io", true },
  { "jichi000.win", true },
  { "jiexi6.com", true },
  { "jif.gc.ca", true },
  { "jigsawplanet.com", true },
  { "jiji.co.ke", true },
  { "jiji.co.tz", true },
  { "jiji.com.gh", true },
  { "jiji.ke", true },
  { "jiji.ng", true },
  { "jiji.ug", true },
  { "jijistatic.com", true },
  { "jimbutlerkiaparts.com", true },
  { "jimcoggeshall.com", true },
  { "jimdorf.com", true },
  { "jime-hlavou.cz", true },
  { "jimeaton.com", true },
  { "jimfranke.com", true },
  { "jimfranke.nl", true },
  { "jimkimmel.com", true },
  { "jimmiestore.com", true },
  { "jimmycai.com", true },
  { "jimmycarterlibrary.gov", true },
  { "jimmyroura.ch", false },
  { "jimsefton.com", true },
  { "jimshaver.net", true },
  { "jimslop.nl", true },
  { "jinbijin.nl", true },
  { "jinbo123.com", false },
  { "jinbowiki.org", true },
  { "jinduoduo369.com", true },
  { "jing-in.com", true },
  { "jing-in.net", true },
  { "jing.su", true },
  { "jingbo.fan", true },
  { "jingjo.com.au", true },
  { "jingyunbank.com", true },
  { "jinja.ai", true },
  { "jinkuru.net", true },
  { "jino-jossy.appspot.com", true },
  { "jino.gq", true },
  { "jinshuju.net", true },
  { "jintaiyang123.org", true },
  { "jiogo.com", true },
  { "jirav.com", true },
  { "jiripik.com", true },
  { "jisai.net.cn", true },
  { "jischool.org", true },
  { "jisha.site", true },
  { "jitterbit.com", true },
  { "jittruckparts.com", true },
  { "jiu99shipin.com", true },
  { "jix.im", true },
  { "jixun.moe", true },
  { "jjhampton.com", true },
  { "jjj.blog", true },
  { "jjphospitalaria.com", true },
  { "jjspartyhire.co.uk", true },
  { "jjvanoorschot.nl", true },
  { "jk-entertainment.biz", true },
  { "jkbfabrics.com", true },
  { "jkbizsolutions.org", true },
  { "jkchocolate.com", true },
  { "jkdhn.me", true },
  { "jkg.tw", true },
  { "jki.io", true },
  { "jkinteriorspa.com", true },
  { "jkland.com", true },
  { "jkrippen.com", true },
  { "jkvov.com", true },
  { "jldp.org", true },
  { "jldrenergysaver.com", true },
  { "jlink.nl", true },
  { "jlkhosting.com", true },
  { "jloh.codes", true },
  { "jlponsetto.com", true },
  { "jlr-luxembourg.com", false },
  { "jltcsecuritygroup.com", true },
  { "jltctech.com", true },
  { "jm-bea.net", true },
  { "jmarciniak.it", true },
  { "jmbeautystudio.se", true },
  { "jmbelloteau.com", true },
  { "jmbmexico.com", true },
  { "jmcataffo.com", true },
  { "jmce.eu", true },
  { "jmdiesel.com", true },
  { "jmedved.com", true },
  { "jmentertainment.co.uk", true },
  { "jmfjltd.com", true },
  { "jmisern.com", true },
  { "jmk.hu", true },
  { "jmkrecords.fr", true },
  { "jmlogistica.com", true },
  { "jmorahan.net", true },
  { "jmpb.hu", true },
  { "jmsjms.cc", true },
  { "jmsjms.me", true },
  { "jmsjms.org", true },
  { "jmsjms.top", true },
  { "jmsjms.xyz", true },
  { "jmsolodesigns.com", true },
  { "jmssg.jp", true },
  { "jmstfv.com", true },
  { "jmsystems.sk", true },
  { "jmwap.com", true },
  { "jmzo.nl", true },
  { "jnjdj.com", true },
  { "jnm-art.com", true },
  { "jnordell.com", true },
  { "jnssnfotografie.nl", true },
  { "jnsz.hu", true },
  { "joa-ebert.com", true },
  { "joanjensen.net", true },
  { "joanofarcmtcarmel.org", true },
  { "joaoaugusto.net", false },
  { "joaobautista.com", true },
  { "joaopenteado.com", true },
  { "joaosampaio.com.br", true },
  { "job-chocolat.jp", true },
  { "job-ofertas.info", true },
  { "job-uber.com", true },
  { "job.biz.tr", true },
  { "jobalicious.nl", true },
  { "jobastudio.nl", true },
  { "jobatus.com.br", true },
  { "jobatus.es", true },
  { "jobatus.it", true },
  { "jobatus.mx", true },
  { "jobatus.pt", true },
  { "jobbidag.se", true },
  { "jobbkk.com", true },
  { "jobbsafari.no", true },
  { "jobbsafari.se", true },
  { "jobcorpsy2y.com", true },
  { "jobfury.com", true },
  { "jobify.in", true },
  { "jobindex.dk", true },
  { "jobit.gr", true },
  { "joblab.com.ua", false },
  { "joblife.co.za", true },
  { "jobmi.com", true },
  { "jobmiplayground.com", true },
  { "jobs.at", true },
  { "jobs.ch", true },
  { "jobs.su", true },
  { "jobs4sales.ch", true },
  { "jobseekeritalia.it", true },
  { "jobsindemedia.nl", true },
  { "jobsisbrown.com", true },
  { "jobsnet.eu", true },
  { "jobsuchmaschine.ch", true },
  { "jobtarget.com", true },
  { "jobtread.com", true },
  { "jobty.net", true },
  { "jobwinner.ch", true },
  { "jobzninja.com", true },
  { "jocelynjenkins.com", true },
  { "jockbusuttil.co.uk", true },
  { "jockbusuttil.com", true },
  { "jockbusuttil.uk", true },
  { "jocusvenlo.nl", true },
  { "jodaniels.photography", true },
  { "jodbush.com", true },
  { "jodlajodla.si", true },
  { "joduska.me", true },
  { "jodyboucher.com", false },
  { "jodyshop.com", true },
  { "joe262.com", true },
  { "joebiden.com", true },
  { "joedavison.me", true },
  { "joedeblasio.com", true },
  { "joedinardo.com", true },
  { "joedoyle.us", true },
  { "joefixit.co", true },
  { "joehenry.co.uk", true },
  { "joejacobs.me", true },
  { "joel.coffee", true },
  { "joeldrapper.com", true },
  { "joelfries.com", true },
  { "joelj.org", true },
  { "joelle.me", true },
  { "joelleandpeter.co.uk", true },
  { "joellimberg.com", true },
  { "joellombardo.com", false },
  { "joelmarkhamphotography.com.au", true },
  { "joelmunch.com", true },
  { "joelnichols.uk", true },
  { "joelotu.com", true },
  { "joelving.dk", true },
  { "joepitt.co.uk", false },
  { "joergschneider.com", true },
  { "joernwendland.de", true },
  { "joerss.at", true },
  { "joeskup.com", true },
  { "joespaintingpgh.com", true },
  { "joestead.codes", false },
  { "joetsutj.com", true },
  { "joetyson.me", true },
  { "joeyfelix.com", true },
  { "joeyhoer.com", true },
  { "joeysmith.com", true },
  { "joeyvanvenrooij.nl", true },
  { "jogjacar.com", true },
  { "jogosdeanimais.org", true },
  { "jogwitz.de", true },
  { "johan-koffeman.tk", true },
  { "johannes-bauer.com", true },
  { "johannes-sprink.de", false },
  { "johannes-zinke.de", true },
  { "johannes.io", true },
  { "johannes.wtf", true },
  { "johannesen.tv", true },
  { "johannfritsche.de", true },
  { "johanpeeters.com", true },
  { "johansf.tech", true },
  { "johego.org", true },
  { "johlmike.com", true },
  { "johnaltamura.com", true },
  { "johnathanhasty.com", true },
  { "johnball.co", true },
  { "johnbeil.com", true },
  { "johnberan.com", true },
  { "johnblackbourn.com", true },
  { "johnbpodcast.com", true },
  { "johncam.tk", true },
  { "johncook.ltd.uk", true },
  { "johndball.co", true },
  { "johndball.com", true },
  { "johndball.info", true },
  { "johndball.net", true },
  { "johndball.org", true },
  { "johndeisher.com", true },
  { "johnfulgenzi.com", true },
  { "johngallias.com", true },
  { "johngmchenrymd.com", true },
  { "johnguant.com", true },
  { "johnhancocknypensions.com", true },
  { "johnhancockpensions.com", true },
  { "johnhgaunt.com", true },
  { "johnkastler.net", true },
  { "johnkraal.com", true },
  { "johnmcintosh.pro", true },
  { "johnmh.me", true },
  { "johnmichel.org", true },
  { "johnnybet.com", true },
  { "johnnybetstaging.com", true },
  { "johnnybsecure.com", true },
  { "johnpenny.info", true },
  { "johnpenny.uk", true },
  { "johnroach.io", true },
  { "johnroberts.me", true },
  { "johnrockefeller.net", true },
  { "johnrosen.top", true },
  { "johnrosewicz.com", true },
  { "johnsanchez.io", true },
  { "johnsegovia.com", true },
  { "johnsongenealogy.net", true },
  { "johnvanhese.nl", true },
  { "johnyytb.be", true },
  { "joinhonor.com", true },
  { "jointotem.com", true },
  { "joinus-outfits.nl", true },
  { "jokedalderup.nl", true },
  { "jokequebec.com", true },
  { "jokesbykids.com", true },
  { "jokewignand.nl", true },
  { "jolee.ro", true },
  { "jolfamarket.com", true },
  { "joliettech.com", true },
  { "jolinebrussel.nl", true },
  { "joljeugdstad.nl", true },
  { "jollausers.de", true },
  { "jolle.io", true },
  { "jollykidswobbleworld.co.uk", true },
  { "jolo.software", true },
  { "jolokia.ch", true },
  { "jomo.tv", true },
  { "jomsolat.tk", true },
  { "jonahburke.com", true },
  { "jonahperez.com", true },
  { "jonas-thelemann.de", true },
  { "jonas.me", true },
  { "jonasherkel.de", true },
  { "jonaskarlssonfoto.se", true },
  { "jonaskjodt.com", true },
  { "jonaskoeritz.de", true },
  { "jonasled.de", true },
  { "jonasmoeller.de", true },
  { "jonaswitmer.ch", true },
  { "jonathancarter.org", true },
  { "jonathandupree.com", true },
  { "jonathanha.as", true },
  { "jonathanlara.com", true },
  { "jonathanphoto.fr", true },
  { "jonathanreyes.com", false },
  { "jonathanscott.me", true },
  { "jonblankenship.com", true },
  { "jondarby.com", true },
  { "jondevin.com", true },
  { "jondowdle.com", false },
  { "jonesfor.men", true },
  { "jonespayne.com", false },
  { "jong030.nl", true },
  { "jongbloed.nl", true },
  { "jongcaxent.tk", true },
  { "jongcs.com", true },
  { "jongpay.com", true },
  { "jongtonghapkido.tk", true },
  { "jonilar.com", true },
  { "jonincharacter.com", true },
  { "jonirrings.com", true },
  { "jonkermedia.nl", false },
  { "jonlabelle.com", true },
  { "jonlu.ca", true },
  { "jonnasbeauty.com", true },
  { "jonny5.ru", true },
  { "jonnybarnes.uk", true },
  { "jonnystoten.com", true },
  { "jonoalderson.com", true },
  { "jonohewitt.com", true },
  { "jonola.com", true },
  { "jonpads.com", true },
  { "jonpavelich.com", true },
  { "jons.org", true },
  { "jonscaife.com", true },
  { "jonssheds.direct", true },
  { "joodari.fi", true },
  { "jooksms.com", true },
  { "jooksuratas.ee", true },
  { "joomla-leipzig.com", true },
  { "joompress.biz", true },
  { "joona.pw", true },
  { "joorshin.ir", true },
  { "joostbovee.nl", true },
  { "joostrijneveld.nl", true },
  { "joostvanderlaan.nl", true },
  { "jopl.org", true },
  { "joran.org", true },
  { "jorcus.com", true },
  { "jordandevelopment.com", true },
  { "jordanhamilton.me", false },
  { "jordankmportal.com", true },
  { "jordanprogrammer.tk", true },
  { "jordans.co.uk", true },
  { "jordanscorporatelaw.com", true },
  { "jordanstrustcompany.com", true },
  { "jordibelgraver.email", true },
  { "jordibelgraver.eu", true },
  { "jordibelgraver.xyz", true },
  { "jordywijman.nl", true },
  { "jorganicsolutions.com", true },
  { "jorgeto.ddns.net", true },
  { "jorisdalderup.nl", true },
  { "jornalalerta.com.br", true },
  { "jorsev.com", true },
  { "josc.com.au", true },
  { "joscares.com", true },
  { "jose-alexand.re", true },
  { "jose-latino.tk", true },
  { "jose-lesson.com", true },
  { "jose-manuel-benito-alvarez.tk", true },
  { "josealonsodds.com", true },
  { "joseenriquegonzalez.tk", true },
  { "joseetesser.nl", true },
  { "josef-lotz.de", true },
  { "josefernandomorilloardila.tk", true },
  { "josefottosson.se", true },
  { "joseluishenriquez.cl", true },
  { "josemikkola.fi", true },
  { "josepbel.com", true },
  { "josephbarela.com", true },
  { "josephbleroy.com", true },
  { "josephgeorge.com.au", true },
  { "josephquinaucho.com", true },
  { "josephre.es", false },
  { "josephsniderman.com", true },
  { "josephsniderman.org", true },
  { "josephv.website", true },
  { "joshdiamant.com", true },
  { "joshgilson.com", true },
  { "joshharmon.me", true },
  { "joshics.in", false },
  { "joshjanzen.com", true },
  { "joshlovephotography.co.uk", true },
  { "joshrickert.com", true },
  { "joshruppe.com", true },
  { "joshschmelzle.com", true },
  { "joshtriplett.org", true },
  { "joshua-kuepper.de", true },
  { "joshua.bio", true },
  { "joshuadiamant.com", true },
  { "joshuamessick.com", true },
  { "joshuameunier.com", true },
  { "josien.net", true },
  { "josoansi.de", true },
  { "jouons-aux-echecs.be", true },
  { "jourdain.pro", true },
  { "journaldesvoisins.com", true },
  { "journales.com", true },
  { "journalism-schools.com", true },
  { "journalof.tech", true },
  { "journeedesfilles.gc.ca", true },
  { "journeyfitness.com", true },
  { "journeyfriday.rocks", true },
  { "journeying.ca", true },
  { "journeyof1000hops.com", true },
  { "journeytoascension.com", true },
  { "journeytomastery.net", true },
  { "joustsec.ca", true },
  { "joustsec.com", true },
  { "joustsecurity.com", true },
  { "jouwtechnischecoach.nl", true },
  { "jovani.com", false },
  { "jovenescontraelaburrimiento.tk", true },
  { "jovic.hamburg", true },
  { "jovisa.com.tw", true },
  { "joyful.house", true },
  { "joyfulexpressions.gallery", true },
  { "joyfulhealthyeats.com", true },
  { "joyinverse.com", true },
  { "joyofcookingandbaking.com", true },
  { "joyofhaskell.com", true },
  { "joyousisle.com", true },
  { "joyqi.com", true },
  { "joysinventingblog.com", true },
  { "jpbe-network.de", true },
  { "jpbe.de", true },
  { "jpbike.cz", false },
  { "jpdeharenne.be", false },
  { "jpeg.io", true },
  { "jpgangbang.com", true },
  { "jphandjob.com", true },
  { "jplennard.com", true },
  { "jplesbian.com", true },
  { "jpm-inc.jp", true },
  { "jpmelos.com", true },
  { "jpmelos.com.br", true },
  { "jpmguitarshop.com.br", true },
  { "jpod.cc", true },
  { "jpoirierlavoie.ca", true },
  { "jppcadvertising.com", true },
  { "jpph.org", true },
  { "jpprivatehiretaxis.co.uk", true },
  { "jpralves.net", true },
  { "jproxx.com", true },
  { "jps-selection.co.uk", true },
  { "jps-selection.com", true },
  { "jps-selection.eu", true },
  { "jpshop.ru", true },
  { "jpsinflatables.co.uk", true },
  { "jpslconsulting.ca", true },
  { "jpst.it", true },
  { "jquery.wtf", true },
  { "jrabasco.me", true },
  { "jrc9.ca", false },
  { "jrcmo.com", true },
  { "jreb.nl", true },
  { "jreiff.de", true },
  { "jrjuristen.nl", true },
  { "jross.me", true },
  { "jrstehlik.com", true },
  { "jrstehlik.cz", true },
  { "jrt.ovh", true },
  { "jrtapsell.co.uk", true },
  { "jrxpress.com", true },
  { "js-web.eu", true },
  { "js636.com", true },
  { "js637.com", true },
  { "js638.com", true },
  { "js6868.cc", true },
  { "js80651.com", true },
  { "js86.de", true },
  { "js8855.com", true },
  { "jsbentertainment.nl", true },
  { "jschoi.org", true },
  { "jschumacher.info", true },
  { "jsd-cog.org", true },
  { "jsdelivr.com", true },
  { "jselby.net", true },
  { "jsent.co.uk", true },
  { "jsfloydlaw.com", true },
  { "jsheekeyatlanticbar.co.uk", true },
  { "jshub.com", true },
  { "jsidefox.de", true },
  { "jsjohnsononline.com", true },
  { "jsk26.ru", true },
  { "jskoelliken.ch", true },
  { "jsme.cz", true },
  { "jsnfwlr.com", true },
  { "jsnfwlr.io", true },
  { "json.download", true },
  { "jsproxy.tk", false },
  { "jsteward.moe", true },
  { "jstore.ch", true },
  { "jswebbdevelopment.com", true },
  { "jsxc.ch", true },
  { "jtcat.com", true },
  { "jtcjewelry.com", true },
  { "jtconsultancy.sg", true },
  { "jtl-pos.com", true },
  { "jtl-software.com", true },
  { "jtl-software.de", false },
  { "jtp.id", true },
  { "jts3servermod.com", true },
  { "jtslay.com", true },
  { "jttech.se", true },
  { "ju.io", true },
  { "juan23.edu.uy", true },
  { "juanfrancisco.tech", true },
  { "juanjovega.com", true },
  { "juanmazzetti.com", true },
  { "juanxt.ddns.net", true },
  { "jubobs.com", true },
  { "jucca-nautica.si", true },
  { "jucktehkeinen.de", true },
  { "jucocauca.tk", true },
  { "judge2020.com", true },
  { "judoprodeti.cz", true },
  { "judosaintdenis.fr", true },
  { "judybai.me", true },
  { "juef.space", true },
  { "juegosycodigos.mx", true },
  { "juegosyolimpicos.com", true },
  { "juergen-elbert.de", true },
  { "juergenklieber.de", true },
  { "juergenspecht.com", true },
  { "juergenspecht.de", true },
  { "jugendfeuerwehr-vechta.de", true },
  { "jugendhackt.org", true },
  { "jugendsuenden.info", true },
  { "jugh.de", true },
  { "jugwallonie.be", true },
  { "juhakoho.com", true },
  { "juice.codes", true },
  { "juk.life", false },
  { "juku-wing.jp", true },
  { "jule-spil.dk", true },
  { "julenlanda.com", false },
  { "julesroovers.nl", true },
  { "julestern.com", true },
  { "julia-clarete.tk", true },
  { "julia-thonig.de", true },
  { "juliaknightly.com", true },
  { "julian-miller.de", true },
  { "julian-post.de", true },
  { "julian-uphoff.de", true },
  { "julianbroadway.com", true },
  { "juliangonggrijp.com", true },
  { "julianickel.de", true },
  { "julianmeyer.de", true },
  { "juliansimioni.com", true },
  { "julianskitchen.ch", false },
  { "julianvmodesto.com", true },
  { "julianxhokaxhiu.com", true },
  { "juliazeengardendesign.co.uk", true },
  { "julibear.com", true },
  { "julibon.com", true },
  { "julico.nl", true },
  { "julie-and-stevens-wedding.com", true },
  { "juliedecubber.com", true },
  { "juliekoubova.net", true },
  { "juliekproperties.com", true },
  { "juliemaurel.fr", true },
  { "julienc.io", true },
  { "juliendoco.com", true },
  { "julienschmidt.com", true },
  { "julienstalder.ch", true },
  { "julientartarin.com", true },
  { "julius-zoellner.de", true },
  { "juliuseskola.org", true },
  { "jullensgroningen.com", true },
  { "julm.de", true },
  { "jultube.de", true },
  { "jumeirashoes.com", true },
  { "jump-zone.co.uk", true },
  { "jump.wtf", true },
  { "jump4funinflatables.co.uk", true },
  { "jumpandbounce.co.uk", true },
  { "jumpandjivechildrensparties.co.uk", true },
  { "jumparoundbouncycastles.co.uk", true },
  { "jumparty.co.uk", true },
  { "jumpbuttonnorth.com", true },
  { "jumpeasy.com.au", true },
  { "jumpin-jax.co.uk", true },
  { "jumpinchat.com", true },
  { "jumpingbee.co.uk", true },
  { "jumpingcastlesonline.com.au", true },
  { "jumpingjacksbouncycastles.co.uk", true },
  { "jumpinjaes.co.uk", true },
  { "jumpinmonkeys.co.uk", true },
  { "jumpintogreenerpastures.com", true },
  { "jumpnplay.co.uk", true },
  { "jumprun.com", true },
  { "jundongwu.com", true },
  { "junethack.net", true },
  { "jungesforumkonstanz.de", true },
  { "junggesellmuc.de", true },
  { "jungidee.at", true },
  { "jungleadventuretours.net", true },
  { "jungleducks.ca", true },
  { "junglejackscastles.co.uk", true },
  { "junglememories.co.uk", true },
  { "junglevet.fr", true },
  { "junglist.org", true },
  { "jungyonghwa.tk", true },
  { "junias-fenske.de", true },
  { "juniorhandball.com", true },
  { "juniperroots.ca", true },
  { "junjun-web.net", true },
  { "junkdrome.org", true },
  { "junkfoodcafe.com", true },
  { "juno.co.uk", true },
  { "junodownload.com", true },
  { "juozasveza.lt", true },
  { "jupiterchiropractic.com", true },
  { "juppy.tk", true },
  { "jura-reiseschutz.de", true },
  { "juragan.ga", true },
  { "jurassicbarkharrogate.co.uk", true },
  { "jurassicgolf.nl", true },
  { "jurassicworldfilmen.cf", true },
  { "juridoc.com.br", true },
  { "juristique.fr", true },
  { "juristique.info", true },
  { "juristique.org", true },
  { "juristique.us", true },
  { "jurojin.net", true },
  { "jurriaan.ninja", true },
  { "just-heberg.fr", true },
  { "just-keep-swimming.tk", true },
  { "just-vet-and-drive.fr", true },
  { "just-webdesign-berlin.de", true },
  { "just2trade.com", true },
  { "just3preety.com", true },
  { "justacoupleofclarkes.co.uk", true },
  { "justbelieverecoverypa.com", true },
  { "justbookexcursions.com", true },
  { "justbooktransfers.com", true },
  { "justboom.co", true },
  { "justbouncecastles.co.uk", true },
  { "justcalm.tk", true },
  { "justchunks.net", true },
  { "justeducationonline.com", true },
  { "justgalak.com", true },
  { "justgalak.org", true },
  { "justice.gov", true },
  { "justice4assange.com", true },
  { "justimports.com.br", true },
  { "justin-p.me", true },
  { "justinfreid.com", true },
  { "justinho.com", true },
  { "justinmuturifoundation.org", true },
  { "justinstandring.com", true },
  { "justknigi.gq", true },
  { "justmysocks.xyz", true },
  { "justmysocks8.com", true },
  { "justninja.com", true },
  { "justonce.net", true },
  { "justpaste.it", true },
  { "justquoteme.ga", true },
  { "justsmart.io", true },
  { "justsome.info", true },
  { "justthinktwice.gov", false },
  { "justupdate.me", true },
  { "justyy.com", true },
  { "juszczak.io", true },
  { "juszkiewicz.com.pl", true },
  { "jutella.de", false },
  { "jutlander-netbank.dk", true },
  { "jutlander.dk", true },
  { "juttaheitland.com", true },
  { "juusujanar.eu", false },
  { "juwelierstoopman.nl", true },
  { "juweliervanwillegen.nl", true },
  { "juxin08.com", true },
  { "juyunce.com", true },
  { "jvanerp.nl", true },
  { "jvbouncycastlehire.co.uk", true },
  { "jvdham.nl", true },
  { "jvdz.nl", true },
  { "jvega.me", true },
  { "jvlfinance.cz", true },
  { "jvn.com", true },
  { "jvphotoboothhire.co.uk", true },
  { "jvrproductions.com", true },
  { "jvsticker.com", true },
  { "jw.fail", true },
  { "jw1.ca", true },
  { "jw77.cc", true },
  { "jwatt.org", true },
  { "jwatt.uk", true },
  { "jwchords.org", true },
  { "jwe.nl", true },
  { "jwhite.network", true },
  { "jwilsson.com", true },
  { "jwjwjw.com", true },
  { "jwmmarketing.com", true },
  { "jwnotifier.org", true },
  { "jwod.gov", true },
  { "jwr.me", true },
  { "jwschuepfheim.ch", true },
  { "jwtv2.com", true },
  { "jwz.org", true },
  { "jxir.de", true },
  { "jxltom.com", true },
  { "jxm.in", true },
  { "jydemarked.dk", true },
  { "jyk.me", true },
  { "jyoba.co.jp", true },
  { "jyoti-fairworks.org", true },
  { "jyrilaitinen.fi", true },
  { "jyvaskylantykkimies.fi", true },
  { "jzbk.org", true },
  { "jzcapital.co", true },
  { "jzgj088.com", true },
  { "jzwebdesign.ie", true },
  { "k-bone.com", true },
  { "k-homes.net", true },
  { "k-jtan.ca", true },
  { "k-plant.com", true },
  { "k-pture.com", false },
  { "k-sails.com", true },
  { "k-scr.me", true },
  { "k-system.de", true },
  { "k10.ag", true },
  { "k10.app", true },
  { "k10.best", true },
  { "k1024.org", true },
  { "k123123.com", true },
  { "k1958.com", false },
  { "k1chn.com", true },
  { "k234234.com", true },
  { "k258059.net", true },
  { "k2mts.org", true },
  { "k36533.com", true },
  { "k36594.com", true },
  { "k3nny.fr", true },
  { "k4law.com", true },
  { "k4r.ru", true },
  { "k51365.com", true },
  { "k66.ag", true },
  { "k663.ag", true },
  { "k663.vip", true },
  { "k665.vip", true },
  { "k666.ag", true },
  { "k666.co", true },
  { "k6666.ag", true },
  { "k66666.ag", true },
  { "k6668.ag", true },
  { "k667.ag", true },
  { "k668.ag", true },
  { "k668.vip", true },
  { "k6688.ag", true },
  { "k669.ag", true },
  { "k66wang.com", true },
  { "k66win.com", true },
  { "k7azx.com", true },
  { "k8-1.com", true },
  { "k8-2.com", true },
  { "k8-facai.com", true },
  { "k8.com", true },
  { "k8002.com", true },
  { "k80039.com", true },
  { "k801.co", true },
  { "k801.com", true },
  { "k8013.com", true },
  { "k8023.com", true },
  { "k8029.com", true },
  { "k8031.com", true },
  { "k8032.com", true },
  { "k8037.com", true },
  { "k8039.com", true },
  { "k805.com", true },
  { "k805.net", true },
  { "k8052.com", true },
  { "k8053.com", true },
  { "k80608.com", true },
  { "k8062.com", true },
  { "k8063.com", true },
  { "k8067.com", true },
  { "k807.com", true },
  { "k807.net", true },
  { "k8071.com", true },
  { "k8073.com", true },
  { "k8075.com", true },
  { "k8082.com", true },
  { "k8083.com", true },
  { "k8084.com", true },
  { "k8086.com", true },
  { "k809.net", true },
  { "k8097.com", true },
  { "k8098.com", true },
  { "k8100.com", true },
  { "k8102.com", true },
  { "k8103.com", true },
  { "k8105.com", true },
  { "k8106.com", true },
  { "k8107.com", true },
  { "k8109.com", true },
  { "k811.co", true },
  { "k811.com", true },
  { "k8111.com", true },
  { "k81111.com", true },
  { "k811111.com", true },
  { "k8121.com", true },
  { "k8125.com", true },
  { "k8158.com", true },
  { "k816.com", true },
  { "k816.net", true },
  { "k81788.com", true },
  { "k818.co", true },
  { "k819.com", true },
  { "k819.net", true },
  { "k821.net", true },
  { "k82222.com", true },
  { "k82222.net", true },
  { "k8268.net", true },
  { "k8270.com", true },
  { "k829.com", true },
  { "k82999.com", true },
  { "k831.com", true },
  { "k83333.com", true },
  { "k8336.com", true },
  { "k8368.com", true },
  { "k8368.net", true },
  { "k8370.com", true },
  { "k8403.com", true },
  { "k8421.com", true },
  { "k8427.com", true },
  { "k8432.com", true },
  { "k8437.com", true },
  { "k846.com", true },
  { "k8463.com", true },
  { "k8487.com", true },
  { "k85.app", true },
  { "k851.co", true },
  { "k851.com", true },
  { "k852.co", true },
  { "k852.com", true },
  { "k8524.com", true },
  { "k8533.com", true },
  { "k8578.com", true },
  { "k86.app", true },
  { "k860.co", true },
  { "k86188.com", true },
  { "k865.co", true },
  { "k865.com", true },
  { "k865.net", true },
  { "k86666.com", true },
  { "k8668.net", true },
  { "k86681.com", true },
  { "k86690.com", true },
  { "k867.co", true },
  { "k867.com", true },
  { "k86788.com", true },
  { "k86810.com", true },
  { "k86813.com", true },
  { "k86814.com", true },
  { "k86830.com", true },
  { "k86833.com", true },
  { "k86834.com", true },
  { "k86835.com", true },
  { "k86836.com", true },
  { "k86837.com", true },
  { "k86838.com", true },
  { "k86839.com", true },
  { "k86848.com", true },
  { "k86849.com", true },
  { "k86851.com", true },
  { "k86852.com", true },
  { "k86853.com", true },
  { "k86854.com", true },
  { "k86855.com", true },
  { "k86856.com", true },
  { "k86869.com", true },
  { "k86870.com", true },
  { "k86871.com", true },
  { "k86880.com", true },
  { "k86887.com", true },
  { "k869.co", true },
  { "k86913.com", true },
  { "k86914.com", true },
  { "k86915.com", true },
  { "k86916.com", true },
  { "k86917.com", true },
  { "k86918.com", true },
  { "k86920.com", true },
  { "k86921.com", true },
  { "k86922.com", true },
  { "k86923.com", true },
  { "k86924.com", true },
  { "k86925.com", true },
  { "k86926.com", true },
  { "k86927.com", true },
  { "k86928.com", true },
  { "k86929.com", true },
  { "k86930.com", true },
  { "k86931.com", true },
  { "k86932.com", true },
  { "k8694.com", true },
  { "k86965.com", true },
  { "k86966.com", true },
  { "k86967.com", true },
  { "k86989.com", true },
  { "k86990.com", true },
  { "k86991.com", true },
  { "k87.app", true },
  { "k87017.com", true },
  { "k87018.com", true },
  { "k87019.com", true },
  { "k87020.com", true },
  { "k87021.com", true },
  { "k87022.com", true },
  { "k87023.com", true },
  { "k87024.com", true },
  { "k87025.com", true },
  { "k87026.com", true },
  { "k87027.com", true },
  { "k87028.com", true },
  { "k87067.com", true },
  { "k87071.com", true },
  { "k87072.com", true },
  { "k87073.com", true },
  { "k87074.com", true },
  { "k87075.com", true },
  { "k87076.com", true },
  { "k87077.com", true },
  { "k87078.com", true },
  { "k87079.com", true },
  { "k87080.com", true },
  { "k87081.com", true },
  { "k87082.com", true },
  { "k87083.com", true },
  { "k87084.com", true },
  { "k87100.com", true },
  { "k87119.com", true },
  { "k87120.com", true },
  { "k87121.com", true },
  { "k87126.com", true },
  { "k87127.com", true },
  { "k87128.com", true },
  { "k87129.com", true },
  { "k87130.com", true },
  { "k87131.com", true },
  { "k87132.com", true },
  { "k87133.com", true },
  { "k87134.com", true },
  { "k87135.com", true },
  { "k87136.com", true },
  { "k87137.com", true },
  { "k87138.com", true },
  { "k87183.com", true },
  { "k87288.com", true },
  { "k873.co", true },
  { "k873.com", true },
  { "k8736.com", true },
  { "k875.co", true },
  { "k8771.com", true },
  { "k87777.com", true },
  { "k8780.com", true },
  { "k8804.com", true },
  { "k88101.com", true },
  { "k88102.com", true },
  { "k88103.com", true },
  { "k88105.com", true },
  { "k88106.com", true },
  { "k88107.com", true },
  { "k88109.com", true },
  { "k88110.com", true },
  { "k88112.com", true },
  { "k88113.com", true },
  { "k88115.com", true },
  { "k88116.com", true },
  { "k88117.com", true },
  { "k88120.com", true },
  { "k88121.com", true },
  { "k88122.com", true },
  { "k88125.com", true },
  { "k88126.com", true },
  { "k88127.com", true },
  { "k88128.com", true },
  { "k88129.com", true },
  { "k88130.com", true },
  { "k88131.com", true },
  { "k88132.com", true },
  { "k88133.com", true },
  { "k88135.com", true },
  { "k88137.com", true },
  { "k88139.com", true },
  { "k88151.com", true },
  { "k88152.com", true },
  { "k88153.com", true },
  { "k88201.com", true },
  { "k88205.com", true },
  { "k88207.com", true },
  { "k88208.com", true },
  { "k88210.com", true },
  { "k88213.com", true },
  { "k88214.com", true },
  { "k88233.com", true },
  { "k88236.com", true },
  { "k88237.com", true },
  { "k88238.com", true },
  { "k88239.com", true },
  { "k88250.com", true },
  { "k88251.com", true },
  { "k88252.com", true },
  { "k88253.com", true },
  { "k88255.com", true },
  { "k88256.com", true },
  { "k88257.com", true },
  { "k88258.com", true },
  { "k88259.com", true },
  { "k88260.com", true },
  { "k88261.com", true },
  { "k88262.com", true },
  { "k88263.com", true },
  { "k88265.com", true },
  { "k88267.com", true },
  { "k88268.com", true },
  { "k88269.com", true },
  { "k88270.com", true },
  { "k88271.com", true },
  { "k88272.com", true },
  { "k88273.com", true },
  { "k88275.com", true },
  { "k88276.com", true },
  { "k88277.com", true },
  { "k88285.com", true },
  { "k88398.com", true },
  { "k88399.com", true },
  { "k884.co", true },
  { "k885.co", true },
  { "k886.co", true },
  { "k88601.com", true },
  { "k88602.com", true },
  { "k88603.com", true },
  { "k88605.com", true },
  { "k88606.com", true },
  { "k88607.com", true },
  { "k88608.com", true },
  { "k88609.com", true },
  { "k8861.com", true },
  { "k88635.com", true },
  { "k88636.com", true },
  { "k88637.com", true },
  { "k88638.com", true },
  { "k88639.com", true },
  { "k88650.com", true },
  { "k88651.com", true },
  { "k88652.com", true },
  { "k88653.com", true },
  { "k88655.com", true },
  { "k88656.com", true },
  { "k88657.com", true },
  { "k88658.com", true },
  { "k88659.com", true },
  { "k88660.com", true },
  { "k88661.com", true },
  { "k88662.com", true },
  { "k88663.com", true },
  { "k88665.com", true },
  { "k88667.com", true },
  { "k88668.com", true },
  { "k88670.com", true },
  { "k88671.com", true },
  { "k88672.com", true },
  { "k88673.com", true },
  { "k88675.com", true },
  { "k88676.com", true },
  { "k88677.com", true },
  { "k88679.com", true },
  { "k88680.com", true },
  { "k88681.com", true },
  { "k88682.com", true },
  { "k88683.com", true },
  { "k88684.com", true },
  { "k88685.com", true },
  { "k88686.com", true },
  { "k888.ag", true },
  { "k88801.com", true },
  { "k88870.com", true },
  { "k88881.com", true },
  { "k88890.com", true },
  { "k88891.com", true },
  { "k889.co", true },
  { "k8892.com", true },
  { "k89.app", true },
  { "k89188.com", true },
  { "k89388.com", true },
  { "k8955.com", true },
  { "k8974.com", true },
  { "k8994.com", true },
  { "k89999.com", true },
  { "k8cf002.com", true },
  { "k8cf003.com", true },
  { "k8cf005.com", true },
  { "k8cf006.com", true },
  { "k8cf007.com", true },
  { "k8dc01.com", true },
  { "k8dc13.com", true },
  { "k8dc17.com", true },
  { "k8md01.com", true },
  { "k8md12.com", true },
  { "k8n.de", true },
  { "k8r.eu", true },
  { "k8slot.com", true },
  { "k8top.com", true },
  { "k8v02.com", true },
  { "k8v03.com", true },
  { "k8v04.com", true },
  { "k8v06.com", true },
  { "k8v07.com", true },
  { "k8v08.com", true },
  { "k8v09.com", true },
  { "k8v12.com", true },
  { "k8v13.com", true },
  { "k8v14.com", true },
  { "k8v15.com", true },
  { "k8v16.com", true },
  { "k8v17.com", true },
  { "k8v19.com", true },
  { "k8v20.com", true },
  { "k8v21.com", true },
  { "k8v23.com", true },
  { "k8v24.com", true },
  { "k8v25.com", true },
  { "k8v26.com", true },
  { "k8v27.com", true },
  { "k8v29.com", true },
  { "k8v30.com", true },
  { "k8vn001.com", true },
  { "k8vn002.com", true },
  { "k8vn003.com", true },
  { "k8vn005.com", true },
  { "k8vn006.com", true },
  { "k8vn007.com", true },
  { "k8vn008.com", true },
  { "k8vn009.com", true },
  { "k8vn010.com", true },
  { "k8vn011.com", true },
  { "k8vn9999.com", true },
  { "k9swx.com", true },
  { "kaamoscreations.com", true },
  { "kaanhaa.com", true },
  { "kaasbesteld.nl", true },
  { "kaatha-kamrater.se", true },
  { "kaatsen.tk", true },
  { "kab-s.de", true },
  { "kabachok.tk", true },
  { "kabal-invasion.com", true },
  { "kabarlinux.id", true },
  { "kabartani.com", true },
  { "kabashop.com.br", true },
  { "kabellegger.nl", true },
  { "kabeltv.co.nz", true },
  { "kabeuchi.com", true },
  { "kabinett.cz", true },
  { "kabukpsikoloji.com", true },
  { "kabulpress.org", true },
  { "kabus.org", true },
  { "kacgal.com", true },
  { "kachelfm.nl", true },
  { "kachlikova2.cz", true },
  { "kack.website", true },
  { "kadenba.ch", true },
  { "kadhambam.in", true },
  { "kado-ya.jp", true },
  { "kadro.com.pl", true },
  { "kadvi.tk", true },
  { "kafeh-jazan.com", true },
  { "kafel-ufa.tk", true },
  { "kaffau.com", true },
  { "kaffeekrone.de", true },
  { "kaffeeringe.de", true },
  { "kafoom.de", true },
  { "kagicomb.org", true },
  { "kagitreklam.com", true },
  { "kaheim.de", true },
  { "kai-ratzeburg.de", true },
  { "kai-ruecker.tk", true },
  { "kai.cool", false },
  { "kaibo.cz", true },
  { "kaibo.eu", true },
  { "kaidoblogi.eu", true },
  { "kaifa.gs", true },
  { "kaifa199.com", true },
  { "kaigojj.com", true },
  { "kaikei7.com", true },
  { "kaileymslusser.com", true },
  { "kaioken.bar", true },
  { "kais08.com", true },
  { "kais68.com", true },
  { "kais98.com", true },
  { "kaisab.com", true },
  { "kaisev.net", true },
  { "kaishi.ag", true },
  { "kaishi002.com", true },
  { "kaishi555.com", true },
  { "kaishi999.com", true },
  { "kaitol.click", true },
  { "kaitori-goods.shop", true },
  { "kaiusaltd.com", true },
  { "kaivac-emea.com", true },
  { "kaiwu.xyz", true },
  { "kaizencraft.ga", true },
  { "kaizenreporting.com", true },
  { "kaizeronion.com", true },
  { "kajak.land", true },
  { "kajakswaderki.pl", true },
  { "kak-pohudet-legko.ml", true },
  { "kaka.farm", true },
  { "kakacon.nz", true },
  { "kakao-karten.de", true },
  { "kakaravaara.fi", true },
  { "kakie-gobocha.jp", true },
  { "kakie-kolesa.ru", true },
  { "kakolightingmuseum.or.jp", true },
  { "kalakarclub.com", true },
  { "kalamos-psychiatrie.be", true },
  { "kalamos.tk", true },
  { "kalashcards.com", true },
  { "kalashnikov.ml", true },
  { "kalastus.com", true },
  { "kaleidlink.com", true },
  { "kaleidokollection.com.au", true },
  { "kaleidoscope.co.uk", true },
  { "kalender.com", true },
  { "kalevlamps.co.uk", true },
  { "kalex.nl", true },
  { "kalhufvudet.se", true },
  { "kaliaa.fi", true },
  { "kaliajoyas.com", true },
  { "kalian.cz", true },
  { "kaliboairport.tk", true },
  { "kaligrafievreni.com", true },
  { "kaliningrad.gq", true },
  { "kalisch.eu", true },
  { "kalkulacka-havarijni.cz", true },
  { "kall.is", true },
  { "kallies-net.de", true },
  { "kalmar.com", true },
  { "kalmykphilly.org", true },
  { "kalombo.ru", true },
  { "kalprajsolutions.com", true },
  { "kalsa.ga", true },
  { "kaltenbrunner.it", true },
  { "kalterersee.ch", true },
  { "kalugadeti.ru", true },
  { "kalwak.cr", true },
  { "kalwestelectric.com", true },
  { "kalyanmatka.guru", true },
  { "kam-serwis.pl", true },
  { "kamata-shinkyu-seikotsu.jp", true },
  { "kameari-za.space", true },
  { "kamen-master.ru", true },
  { "kameng.com", true },
  { "kamengapp.com", true },
  { "kamikaichimaru.com", false },
  { "kamikatse.net", true },
  { "kamildrozd.tk", true },
  { "kamilmajewski.pl", true },
  { "kaminbau-laub.de", true },
  { "kamisato-ent.com", true },
  { "kamixa.se", true },
  { "kamp-kisten.nl", true },
  { "kamppailusali.fi", true },
  { "kamranmirhazar.com", true },
  { "kamui.co.uk", true },
  { "kamuniang.org", true },
  { "kan3.de", true },
  { "kana-mono.biz", true },
  { "kanaete-uranai.com", true },
  { "kanag.pl", true },
  { "kanal-tv-haensch.de", true },
  { "kandhamal.org", true },
  { "kandianshang.com", true },
  { "kandofu.com", true },
  { "kanecastles.com", true },
  { "kanehusky.com", false },
  { "kangaroo-bouncycastle.co.uk", true },
  { "kangarooislandholidayaccommodation.com.au", true },
  { "kangaroojacks.co.uk", true },
  { "kangaroos.org", true },
  { "kangaroovalleykayaks.com.au", true },
  { "kangaroovalleymuseum.com", true },
  { "kangaroovalleyolives.com.au", true },
  { "kangaroovalleyshow.org.au", true },
  { "kangaroovalleywoodcrafts.com.au", true },
  { "kangutingo.com", true },
  { "kanis.ag", true },
  { "kanis.me", true },
  { "kankimaru.com", true },
  { "kanna.cf", true },
  { "kannchen.de", true },
  { "kanootours.com", true },
  { "kanope.com.br", true },
  { "kanpian369.com", true },
  { "kansaiyamamoto.jp", true },
  { "kant1.tk", true },
  { "kantankye.nl", true },
  { "kantoportraits.com", true },
  { "kantorosobisty.pl", true },
  { "kanuvu.de", true },
  { "kanyingba.com", true },
  { "kanzashi.com", true },
  { "kanzlei-gaengler.de", true },
  { "kanzlei-oehler.com", true },
  { "kanzlei-sixt.de", true },
  { "kap.pe", true },
  { "kapelya.gq", true },
  { "kapler.family", true },
  { "kappershuis-meppel.nl", true },
  { "kappharn.com", true },
  { "kappie.xyz", true },
  { "kapsalonlinds.nl", true },
  { "kapseli.net", true },
  { "kaptadata.com", true },
  { "kaptamedia.com", true },
  { "kaputtzich.duckdns.org", true },
  { "karabas.com", true },
  { "karabijnhaken.nl", false },
  { "karachi.dating", true },
  { "karalane.com", true },
  { "karamomo.net", true },
  { "karanjthakkar.com", true },
  { "karanlyons.com", true },
  { "karantholdings.ga", true },
  { "karapuzz.tk", true },
  { "karasik.by", true },
  { "karateka.org", true },
  { "karateka.ru", true },
  { "karatekit.co.uk", true },
  { "karawanken-tunnel.de", true },
  { "kareltrans.tk", true },
  { "karewan.ovh", true },
  { "karger.com", true },
  { "kargl.net", true },
  { "karguine.in", true },
  { "karimsaadati.tk", true },
  { "karina.gd", true },
  { "karinwerner.com", true },
  { "karit.nz", true },
  { "kariyam.com", true },
  { "karlbowden.com", true },
  { "karlic.net", true },
  { "karlloch.de", true },
  { "karlsmithmn.org", true },
  { "karlzotter.com", true },
  { "karmaassurance.ca", true },
  { "karmabaker.com", true },
  { "karmaflux.com", true },
  { "karmaful.de", true },
  { "karmainsurance.ca", true },
  { "karmaplatform.com", true },
  { "karmaspa.se", true },
  { "karn.nu", true },
  { "karneid.info", true },
  { "karo.pc.pl", true },
  { "karodos.pl", true },
  { "karopapier.de", true },
  { "karopc.com.pl", true },
  { "karopc.pl", true },
  { "karoverwaltung.de", true },
  { "karrot.world", true },
  { "karrselfstorage.com", true },
  { "karsofsystems.com", true },
  { "karsten-voigt.de", true },
  { "karta-paliwowa.pl", true },
  { "kartacha.com", true },
  { "kartar.net", false },
  { "kartatopia.com", true },
  { "kartbird.com", true },
  { "kartec.com", true },
  { "karten-verlag.de", true },
  { "kartikmohta.com", true },
  { "kartina.io", true },
  { "kartoffel-tobi.de", true },
  { "kartonmodellbau.org", true },
  { "karula.org", true },
  { "karupp-did.net", true },
  { "kas.ie", true },
  { "kaseban.com", true },
  { "kasei.im", true },
  { "kashbet.net", true },
  { "kashflowcoupon.co.uk", true },
  { "kashflowpromocode.co.uk", true },
  { "kashinavi.com", true },
  { "kashis.com.au", true },
  { "kashrutbaking.com", true },
  { "kasiafricagroup.org", true },
  { "kasinobonus.com", true },
  { "kasko.io", true },
  { "kaskocdn.com", true },
  { "kaskocloud.com", true },
  { "kaskodev.com", true },
  { "kaskojs.com", true },
  { "kaskoqa.com", true },
  { "kasnoffskinclinic.com", true },
  { "kasperstad.dk", true },
  { "kassa.at", true },
  { "kassa.expert", true },
  { "kassa.fr", true },
  { "kassarsoap.com", true },
  { "kasse.at", true },
  { "kastankaoffice.cz", true },
  { "kastelruth.biz", true },
  { "kastgroup.com", true },
  { "kastorsky.ru", false },
  { "kasual.id", true },
  { "kat.marketing", true },
  { "katagena.com", true },
  { "kataiszilveszter.hu", true },
  { "katalog-serverov.ga", true },
  { "katalog-tovarov.tk", true },
  { "katalogbajugamismu.com", true },
  { "katalogkapsli.pl", true },
  { "katapult.es", true },
  { "katarsisuib.no", true },
  { "katcleaning.com.au", false },
  { "katedra.de", true },
  { "katekligys.com", true },
  { "katemihalikova.cz", true },
  { "katericke.com", true },
  { "katex.org", true },
  { "kateysagal.tk", true },
  { "kathardt.de", true },
  { "kathegiraldo.com", true },
  { "katherineswynford.tk", true },
  { "kathleendeisher.com", true },
  { "kathy.best", true },
  { "kathy.lgbt", true },
  { "kathy.link", true },
  { "kati-raumplaner.de", true },
  { "katiechai.xyz", true },
  { "katieriker.com", true },
  { "katieskandy.co.uk", true },
  { "katieskastles.co.uk", true },
  { "katio.net", true },
  { "kativa.it", true },
  { "katka.info", true },
  { "katnunn.co.uk", true },
  { "kato-yane.com", true },
  { "katom.com", true },
  { "katscastles.co.uk", true },
  { "katsiavarasorthopedics.gr", true },
  { "katsunet.com", true },
  { "kattelans.eu", true },
  { "katyusha.net", true },
  { "kau-boys.com", true },
  { "kau-boys.de", true },
  { "kaufberatung.community", true },
  { "kaufkraftkiel.de", true },
  { "kavatasygarety.tk", true },
  { "kavovary-kava.cz", true },
  { "kawaii.su", true },
  { "kawaiicon.org", true },
  { "kawiarnia.xyz", true },
  { "kay.la", true },
  { "kayit.co.uk", true },
  { "kayo.digital", true },
  { "kaysis.gov.tr", false },
  { "kazakov.lt", true },
  { "kazancci.com", true },
  { "kazand.lt", true },
  { "kazandaemon.ru", true },
  { "kazek.com.pl", true },
  { "kazekprzewozy.pl", true },
  { "kazumi.ro", true },
  { "kazvel.com", true },
  { "kazy111.info", true },
  { "kb0101.com", true },
  { "kb0283.com", true },
  { "kb036.com", true },
  { "kb0404.com", true },
  { "kb0505.com", true },
  { "kb059.com", true },
  { "kb0606.com", true },
  { "kb0707.com", true },
  { "kb09.net", true },
  { "kb096.com", true },
  { "kb1313.com", true },
  { "kb1515.com", true },
  { "kb1717.com", true },
  { "kb2626.com", true },
  { "kb283.com", true },
  { "kb2929.com", true },
  { "kb3232.com", true },
  { "kb3535.com", true },
  { "kb3636.com", true },
  { "kb367.com", true },
  { "kb3939.com", true },
  { "kb415.com", true },
  { "kb4242.com", true },
  { "kb4393.com", true },
  { "kb4545.com", true },
  { "kb458.com", true },
  { "kb4747.com", true },
  { "kb481.com", true },
  { "kb486.com", true },
  { "kb5050.com", true },
  { "kb506.com", true },
  { "kb5252.com", true },
  { "kb545.com", true },
  { "kb5454.com", true },
  { "kb5648.com", true },
  { "kb5656.com", true },
  { "kb5959.com", true },
  { "kb6464.com", true },
  { "kb6565.com", true },
  { "kb6767.com", true },
  { "kb702.com", true },
  { "kb7272.com", true },
  { "kb7474.com", true },
  { "kb750.com", true },
  { "kb756.com", true },
  { "kb7676.com", true },
  { "kb787.com", true },
  { "kb8.ag", true },
  { "kb8.best", true },
  { "kb8383.com", true },
  { "kb840.com", true },
  { "kb848.com", true },
  { "kb8484.com", true },
  { "kb8585.com", true },
  { "kb88.ag", true },
  { "kb88.best", true },
  { "kb88.com", true },
  { "kb88.us", true },
  { "kb8800.com", true },
  { "kb8803.com", true },
  { "kb881.cc", true },
  { "kb8815.com", true },
  { "kb8818.com", true },
  { "kb8819.com", true },
  { "kb882.cc", true },
  { "kb8820.com", true },
  { "kb883.cc", true },
  { "kb8830.com", true },
  { "kb8835.com", true },
  { "kb8837.com", true },
  { "kb8838.com", true },
  { "kb8839.com", true },
  { "kb8841.com", true },
  { "kb8843.com", true },
  { "kb8844.com", true },
  { "kb8848.com", true },
  { "kb8849.com", true },
  { "kb8852.com", true },
  { "kb8853.com", true },
  { "kb8854.com", true },
  { "kb8856.com", true },
  { "kb8857.com", true },
  { "kb8859.com", true },
  { "kb8860.com", true },
  { "kb8863.com", true },
  { "kb8864.com", true },
  { "kb8867.com", true },
  { "kb8871.com", true },
  { "kb8872.com", true },
  { "kb8874.com", true },
  { "kb8875.com", true },
  { "kb8878.com", true },
  { "kb888.ag", true },
  { "kb8880.com", true },
  { "kb88818.com", true },
  { "kb8882.com", true },
  { "kb8885.com", true },
  { "kb8889.com", true },
  { "kb8890.com", true },
  { "kb8892.com", true },
  { "kb8897.com", true },
  { "kb88dc15.com", true },
  { "kb88dc23.com", true },
  { "kb88dc25.com", true },
  { "kb88dc26.com", true },
  { "kb88dc27.com", true },
  { "kb88dc30.com", true },
  { "kb88md12.com", true },
  { "kb88md26.com", true },
  { "kb88md27.com", true },
  { "kb890.com", true },
  { "kb9292.com", true },
  { "kb9494.com", true },
  { "kb957.com", true },
  { "kb965.com", true },
  { "kb9696.com", true },
  { "kb9797.com", true },
  { "kb991.com", true },
  { "kb9988.com", true },
  { "kba-online.de", true },
  { "kbb-ev.de", true },
  { "kbbouncycastlehire.co.uk", true },
  { "kbc.be", true },
  { "kbcequitas.hu", true },
  { "kbet168.com", true },
  { "kbit.dk", true },
  { "kbjorklu.com", true },
  { "kbk4t.com", true },
  { "kbleventhire.co.uk", true },
  { "kbsinflatablekingdom.co.uk", true },
  { "kbst.se", true },
  { "kbterapicenter.se", true },
  { "kc-holzfaeller.de", true },
  { "kc1hbk.com", true },
  { "kc3.moe", true },
  { "kc5mpk.com", true },
  { "kcire.me", true },
  { "kcliner.com", true },
  { "kcmicapital.com", true },
  { "kcolford.com", false },
  { "kcshipping.co.uk", true },
  { "kcsordparticipation.org", true },
  { "kd.net.nz", true },
  { "kdcp.pw", true },
  { "kdex.de", true },
  { "kdistech.nz", true },
  { "kdw.cloud", true },
  { "ke.fo", true },
  { "ke7tlf.us", true },
  { "keakon.net", true },
  { "keane.space", true },
  { "kearnsmotorcar.com", true },
  { "keaysmillwork.com", true },
  { "keb.com.au", true },
  { "keb.net.au", true },
  { "kebabbesteld.nl", true },
  { "kebabbruce.com", false },
  { "kebhanamyanmar.com", true },
  { "kebidanan.id", true },
  { "kecht.at", true },
  { "kedarastudios.com", true },
  { "kedv.es", true },
  { "kee.pm", true },
  { "keeley.net", true },
  { "keeleysam.com", true },
  { "keelove.net", true },
  { "keengamer.com", true },
  { "keepa.com", true },
  { "keepdecor.com", true },
  { "keeperklan.com", false },
  { "keepersecurity.com", true },
  { "keepingtheplot.co.uk", true },
  { "keepiteasy.eu", true },
  { "keepitsecure24.com", true },
  { "keepleft.gr", true },
  { "keepsight.org.au", true },
  { "keesslop.nl", true },
  { "keestalkstech.com", true },
  { "keevault.pm", true },
  { "keeweb.info", true },
  { "keezyavaleri.com", true },
  { "keganthorrez.com", true },
  { "kegelschiene.net", true },
  { "kehlenbach.net", true },
  { "keian.tk", true },
  { "keifel.de", true },
  { "keilycosmetics.com", true },
  { "kein-design.de", true },
  { "keinefilterblase.de", true },
  { "keisaku.org", true },
  { "keishiando.com", true },
  { "keithlomax.com", true },
  { "keke-shop.ch", true },
  { "kekku.li", true },
  { "keksi.io", true },
  { "kelapagading.co.id", true },
  { "keldan.fo", true },
  { "kelderwijnen.nl", true },
  { "kelgtermans-usedcars.be", false },
  { "kelheor.space", true },
  { "kelis.fr", true },
  { "keller-aarau.ch", true },
  { "keller-sports.be", true },
  { "kellerlan.org", true },
  { "kelleycurran.com", true },
  { "kellimacconnell.com", true },
  { "kellygrenard.com", true },
  { "kellyskastles.co.uk", true },
  { "kelsa.io", true },
  { "kelsall39.com", true },
  { "kemand.com", true },
  { "kemerovo.gq", true },
  { "kemerovo.ml", true },
  { "kemerovo.tk", true },
  { "kemerovo42.tk", true },
  { "kemmerer-net.de", true },
  { "kempkens.io", true },
  { "kempo-sissach.ch", true },
  { "kemptown.co.uk", true },
  { "kemptown.com", true },
  { "kemptown.net", true },
  { "ken.fm", true },
  { "kenalsworld.com", true },
  { "kenbonny.net", true },
  { "kendermore.it", true },
  { "kengilmour.com", false },
  { "kenia-vakantie.nl", true },
  { "keniff.gq", true },
  { "kenkou-kitakyusyu.jp", true },
  { "kennedy.ie", true },
  { "kennedyinsurancesolutions.com", true },
  { "kenners.org", true },
  { "kennethandersen.com", true },
  { "kennethlim.me", true },
  { "kenneths.org", true },
  { "kenny-peck.com", true },
  { "kennynet.co.uk", true },
  { "keno.im", true },
  { "kenokallinger.at", true },
  { "kenoschwalb.com", false },
  { "kenrogers.co", false },
  { "kens.pics", true },
  { "kensbouncycastles.co.uk", true },
  { "kenscustomfloors.com", true },
  { "kentdalevets.co.uk", true },
  { "kentec.net", false },
  { "kenterlis.gr", true },
  { "kenvix.com", true },
  { "kenyons.info", true },
  { "keoliz.com", true },
  { "keops-spine.fr", true },
  { "kepkonyvtar.hu", true },
  { "keponews.com", true },
  { "keralit.nl", true },
  { "keramed.ga", true },
  { "kerameion.com", true },
  { "kerebro.com", true },
  { "kerijacoby.com", true },
  { "kernel-error.de", true },
  { "kernel-panik.me", true },
  { "kernel.nz", true },
  { "kernelpanics.nl", true },
  { "kernelprogrammer.com", true },
  { "kernet.com.ar", true },
  { "kernkompas.nl", true },
  { "kerrnel.com", true },
  { "kerrydavisguitars.tk", true },
  { "kerstkaart.nl", true },
  { "kersvers.agency", true },
  { "kerus.net", true },
  { "kesef.org.il", true },
  { "keskeces.com", true },
  { "kessawear.com", true },
  { "kesslerwine.com", true },
  { "ketamine.co.uk", true },
  { "ketoconazole.gq", true },
  { "ketosecology.co.uk", true },
  { "ketotadka.com", true },
  { "kettinggeleider.be", true },
  { "kettlebellkrusher.com", true },
  { "kettlemetalbbq.com", true },
  { "kettner.com", true },
  { "keutel.net", true },
  { "kevchia.com", true },
  { "kevertje.net", true },
  { "kevin-darmor.eu", true },
  { "kevin-ta.com", true },
  { "kevinapease.com", true },
  { "kevinbowers.me", true },
  { "kevinbusse.de", true },
  { "kevincox.ca", false },
  { "kevincramer.net", true },
  { "kevindienst.blog", true },
  { "kevinfumbles.com", true },
  { "kevinhill.nl", true },
  { "kevinhq.com", true },
  { "kevinkla.es", true },
  { "kevinlocke.name", true },
  { "kevinmeijer.nl", true },
  { "kevinmoreland.com", true },
  { "kevinmorssink.nl", true },
  { "kevinpatel.com", true },
  { "kevinpirnie.com", false },
  { "kevinquintero.co", false },
  { "kevinrandles.com", false },
  { "kevinratcliff.com", true },
  { "kevinrousseeuw.be", true },
  { "kevinvanderperren.tk", true },
  { "kevyn.lu", true },
  { "kexino.com", true },
  { "key-form.fr", true },
  { "key2swipe.com", true },
  { "keybase.io", true },
  { "keybored.co", true },
  { "keybored.me", true },
  { "keycdn.com", true },
  { "keycenter.com.br", true },
  { "keycontainers.co.za", true },
  { "keyex.com.br", true },
  { "keygen.sh", true },
  { "keygens.pro", true },
  { "keyhani.tk", true },
  { "keyholdingservices.co.uk", true },
  { "keyhomechecker.com", true },
  { "keyihao.cn", true },
  { "keyinfo.io", true },
  { "keylaserinstitute.com", true },
  { "keylength.com", true },
  { "keymaster.lookout.com", false },
  { "keymicrosystems.com", true },
  { "keynes.id.au", true },
  { "keyphotojs.cf", true },
  { "keys247.co.uk", true },
  { "keysofart.com", true },
  { "keysso.net", true },
  { "keystoneok.com", false },
  { "keysupport.org", true },
  { "keywalker.co.jp", true },
  { "keywebdesign.nl", true },
  { "keyworth-meadow.tk", true },
  { "kf-slot.com", true },
  { "kf0000g.com", true },
  { "kf005.com", true },
  { "kf006.com", true },
  { "kf009.com", true },
  { "kf0101.com", true },
  { "kf016.com", true },
  { "kf020.com", true },
  { "kf026.com", true },
  { "kf030.com", true },
  { "kf0606g.com", true },
  { "kf068.com", true },
  { "kf0808.com", true },
  { "kf086.com", true },
  { "kf098.com", true },
  { "kf099.com", true },
  { "kf0q.com", true },
  { "kf108.com", true },
  { "kf117.com", true },
  { "kf130.com", true },
  { "kf1313.com", true },
  { "kf172.com", true },
  { "kf188.com", true },
  { "kf196.com", true },
  { "kf199.com", true },
  { "kf200.vip", true },
  { "kf201988.com", true },
  { "kf2020g.com", true },
  { "kf2121g.com", true },
  { "kf2132.com", true },
  { "kf2138.com", true },
  { "kf2222g.com", true },
  { "kf260.com", true },
  { "kf268.com", true },
  { "kf282.com", true },
  { "kf2828.com", true },
  { "kf296.com", true },
  { "kf3131g.com", true },
  { "kf319.com", true },
  { "kf327.com", true },
  { "kf3333g.com", true },
  { "kf338.com", true },
  { "kf355.com", true },
  { "kf356.com", true },
  { "kf388.com", true },
  { "kf3u.com", true },
  { "kf4040.com", true },
  { "kf5201314.com", true },
  { "kf5252.com", true },
  { "kf5288.com", true },
  { "kf5858.com", true },
  { "kf5858g.com", true },
  { "kf588.com", true },
  { "kf6132.com", true },
  { "kf6161.com", true },
  { "kf6161g.com", true },
  { "kf618.com", true },
  { "kf6262.com", true },
  { "kf633.com", true },
  { "kf6464.com", true },
  { "kf6565.com", true },
  { "kf6622.com", true },
  { "kf6623.com", true },
  { "kf6625.com", true },
  { "kf6626.com", true },
  { "kf6627.com", true },
  { "kf6628.com", true },
  { "kf6631.com", true },
  { "kf6633.com", true },
  { "kf6635.com", true },
  { "kf6636.com", true },
  { "kf6637.com", true },
  { "kf6638.com", true },
  { "kf6666g.com", true },
  { "kf66888.com", true },
  { "kf680.com", true },
  { "kf6800.com", true },
  { "kf6801.com", true },
  { "kf6802.com", true },
  { "kf6803.com", true },
  { "kf6805.com", true },
  { "kf6806.com", true },
  { "kf6807.com", true },
  { "kf6808.com", true },
  { "kf6809.com", true },
  { "kf6811.com", true },
  { "kf6812.com", true },
  { "kf6813.com", true },
  { "kf6815.com", true },
  { "kf6816.com", true },
  { "kf6817.com", true },
  { "kf6818.com", true },
  { "kf6819.com", true },
  { "kf6820.com", true },
  { "kf6821.com", true },
  { "kf6822.com", true },
  { "kf6823.com", true },
  { "kf6825.com", true },
  { "kf6826.com", true },
  { "kf6827.com", true },
  { "kf6828.com", true },
  { "kf6829.com", true },
  { "kf6830.com", true },
  { "kf6831.com", true },
  { "kf6835.com", true },
  { "kf688.com", true },
  { "kf707.com", true },
  { "kf7171.com", true },
  { "kf7272.com", true },
  { "kf759.com", true },
  { "kf7676.com", true },
  { "kf7676g.com", true },
  { "kf77.app", true },
  { "kf772.com", true },
  { "kf780.com", true },
  { "kf7979.com", true },
  { "kf7979g.com", true },
  { "kf820.com", true },
  { "kf826.com", true },
  { "kf8282g.com", true },
  { "kf846.com", true },
  { "kf848.com", true },
  { "kf8484g.com", true },
  { "kf8611.com", true },
  { "kf8612.com", true },
  { "kf8613.com", true },
  { "kf8615.com", true },
  { "kf8616.com", true },
  { "kf8617.com", true },
  { "kf8619.com", true },
  { "kf8621.com", true },
  { "kf8622.com", true },
  { "kf8623.com", true },
  { "kf8625.com", true },
  { "kf8626.com", true },
  { "kf8627.com", true },
  { "kf8628.com", true },
  { "kf8629.com", true },
  { "kf8631.com", true },
  { "kf8632.com", true },
  { "kf8635.com", true },
  { "kf8636.com", true },
  { "kf8637.com", true },
  { "kf8638.com", true },
  { "kf8639.com", true },
  { "kf8651.com", true },
  { "kf8652.com", true },
  { "kf8653.com", true },
  { "kf8655.com", true },
  { "kf8656.com", true },
  { "kf8657.com", true },
  { "kf8658.com", true },
  { "kf8659.com", true },
  { "kf8686.com", true },
  { "kf8787g.com", true },
  { "kf8801.com", true },
  { "kf8803.com", true },
  { "kf8805.com", true },
  { "kf8809.com", true },
  { "kf8810.com", true },
  { "kf8812.com", true },
  { "kf8817.com", true },
  { "kf8819.com", true },
  { "kf8820.com", true },
  { "kf8821.com", true },
  { "kf8825.com", true },
  { "kf8828.com", true },
  { "kf8830.com", true },
  { "kf8835.com", true },
  { "kf8850.com", true },
  { "kf8851.com", true },
  { "kf8857.com", true },
  { "kf8858.com", true },
  { "kf8865.com", true },
  { "kf88666.com", true },
  { "kf8867.com", true },
  { "kf8868.com", true },
  { "kf8869.com", true },
  { "kf8871.com", true },
  { "kf8872.com", true },
  { "kf8873.com", true },
  { "kf8876.com", true },
  { "kf8878.com", true },
  { "kf8879.com", true },
  { "kf8891.com", true },
  { "kf8892.com", true },
  { "kf8895.com", true },
  { "kf8896.com", true },
  { "kf8949.com", true },
  { "kf8950.com", true },
  { "kf8951.com", true },
  { "kf8952.com", true },
  { "kf8953.com", true },
  { "kf8954.com", true },
  { "kf8955.com", true },
  { "kf8956.com", true },
  { "kf8957.com", true },
  { "kf8958.com", true },
  { "kf908.com", true },
  { "kf909.com", true },
  { "kf955.com", true },
  { "kf968.com", true },
  { "kf9797.com", true },
  { "kf981.com", true },
  { "kf997.com", true },
  { "kfa6.com", true },
  { "kfassessment.eu", true },
  { "kff7.com", true },
  { "kffs.ru", true },
  { "kfirba.me", true },
  { "kfkf999.com", true },
  { "kfo.com.br", true },
  { "kforesund.se", true },
  { "kfv-kiel.de", false },
  { "kfz-hantschel.de", true },
  { "kfz-service-wachtmann.de", true },
  { "kgcarpetandupholsterycleaning.com", true },
  { "kgm-irm.be", true },
  { "kgnk.ru", true },
  { "kgt10.ru", true },
  { "kha.com", true },
  { "khaganat.net", true },
  { "khairul-zamri.com", false },
  { "khakasiya.ml", true },
  { "khakasiya.tk", true },
  { "khakassia.cf", true },
  { "khakassia.ga", true },
  { "khakassia.gq", true },
  { "khakassia.tk", true },
  { "khaledgarbaya.net", false },
  { "khaneh-memar.com", true },
  { "khanovaskola.cz", true },
  { "khas.co.uk", true },
  { "khasiatmanfaat.com", true },
  { "khedmatazma.com", true },
  { "khetmaal.com", true },
  { "khetzal.info", true },
  { "kheyrabady.com", true },
  { "khg-orchester.de", true },
  { "khipu.com", true },
  { "khmb.ru", false },
  { "khmh.co.uk", true },
  { "khojhealth.com", true },
  { "khorne.me", true },
  { "khoury-dulla.ch", true },
  { "khouryalexandre.com", false },
  { "khramtsov.org", true },
  { "khs1994.com", true },
  { "khslaw.com", true },
  { "khudothiswanpark.vn", true },
  { "khushiandjoel.com", true },
  { "ki-management.ch", true },
  { "kiadoapartman.hu", true },
  { "kiahalchemy.com", true },
  { "kiahoriane.com", true },
  { "kiano.net", true },
  { "kiarayoga.com", true },
  { "kibibit.net", true },
  { "kibriscicek.net", true },
  { "kick-in.nl", true },
  { "kickasscanadians.ca", true },
  { "kickedmycat.com", true },
  { "kickingpixels.com.au", true },
  { "kickstart.com.pk", false },
  { "kicou.info", false },
  { "kiczela.eu", true },
  { "kidaptive.com", true },
  { "kiddieschristian.academy", true },
  { "kiddyboom.ua", true },
  { "kidneydonation.com", true },
  { "kids-castles.com", true },
  { "kids-world.dk", true },
  { "kidsareatrip.com", true },
  { "kidsclub.photos", true },
  { "kidsdaysout.co.uk", true },
  { "kidsdinefree.com", true },
  { "kidsforsavingearth.org", true },
  { "kidsinwoods-interfacesouth.org", true },
  { "kidsneversleep.com", false },
  { "kidspaper.nl", true },
  { "kidsphysiotherapy.co.uk", true },
  { "kidsplay-plymouth.co.uk", true },
  { "kidsplaybouncycastles.co.uk", true },
  { "kidswallstickers.com.au", true },
  { "kidtoyshop.ru", true },
  { "kidzpartiesllp.co.uk", true },
  { "kidzsmile.co.uk", true },
  { "kiebel.de", true },
  { "kiekin.org", true },
  { "kiekko.pro", true },
  { "kieran.de", true },
  { "kieran.ie", true },
  { "kieranjones.uk", true },
  { "kieskundig.nl", true },
  { "kiesmedia.com", true },
  { "kiesuwkerstkaart.nl", true },
  { "kigmbh.com", true },
  { "kii91.com", true },
  { "kiinteistot-lidl.fi", true },
  { "kiir.net", true },
  { "kiisu.club", true },
  { "kik.ee", true },
  { "kikbb.com", true },
  { "kiki-voice.jp", true },
  { "kiknudes.co", true },
  { "kiku.pw", true },
  { "kilbi-reussbuehl.ch", true },
  { "kilianvalkhof.com", true },
  { "kiliframework.org", true },
  { "kill.trade", true },
  { "killaraapartments.com.au", true },
  { "killdeer.com", true },
  { "killerkink.net", true },
  { "killerrobots.com", true },
  { "killymoonbouncycastles.com", true },
  { "kilo-files.tk", true },
  { "kilobyte22.de", true },
  { "kilogram.nl", true },
  { "kimai.cloud", true },
  { "kimamass.com", true },
  { "kimathilegal.com", true },
  { "kimbal.co.uk", true },
  { "kimberleythomson.tk", true },
  { "kimdumaine.com", true },
  { "kimiadaro.ir", true },
  { "kimiris.com", true },
  { "kimis.gr", true },
  { "kimisia.net", true },
  { "kimitang.com", true },
  { "kimkuhlmanphoto.com", true },
  { "kimkyzcrs.com", true },
  { "kimmel.com", false },
  { "kimmel.in", true },
  { "kimochi.info", true },
  { "kimotodental.com", true },
  { "kimsnagelstudio.nl", true },
  { "kimtstore.com", true },
  { "kinaesthetics-forschung.net", true },
  { "kinautas.com", true },
  { "kindconcentrates.com", false },
  { "kinderarzt-berlin-zia.de", true },
  { "kinderbasar-luhe.de", true },
  { "kinderchor-bayreuth.de", true },
  { "kinderkleding.news", true },
  { "kinderopvangthuis.nl", true },
  { "kinderpneumologie.ch", true },
  { "kindertagespflege-rasselbande-halle.de", true },
  { "kindertherapie-wesel.de", true },
  { "kinderzahn-bogenhausen.de", true },
  { "kindesfreude.ch", true },
  { "kindlezs.com", true },
  { "kine-duthil.fr", true },
  { "kinepolis-studio.be", true },
  { "kinerd.me", true },
  { "kinesiomed-cryosauna.gr", true },
  { "kinetiq.com", true },
  { "kinfolkcoffee.com", true },
  { "king-of-the-castles.com", true },
  { "kingant.net", true },
  { "kinganywhere.eu", true },
  { "kingdoms.gg", true },
  { "kingfast.eu.org", true },
  { "kingiescastles.co.uk", true },
  { "kingjamesbibleonline.org", true },
  { "kingjamesgospel.com", true },
  { "kinglier.ga", true },
  { "kingnascholing.nl", true },
  { "kingofshooting.com", true },
  { "kingofthecastlecoventry.co.uk", true },
  { "kingofthecastlesentertainments.co.uk", true },
  { "kingofthecastlesouthwales.co.uk", true },
  { "kingofthecastlesrhyl.co.uk", true },
  { "kingsblueblue.com", true },
  { "kingsfoot.com", true },
  { "kingsgateseptic.com", true },
  { "kingshome.gr", true },
  { "kingsofkauffman.com", true },
  { "kingsvilletexas.com", true },
  { "kingtreeexperts.com", true },
  { "kingwoodtxlocksmith.com", true },
  { "kini24.ru", true },
  { "kinkcafe.net", true },
  { "kinkenonline.com", true },
  { "kinkyhookup.com", true },
  { "kinmunity.com", true },
  { "kinnikinnick.com", true },
  { "kinniyaonlus.com", false },
  { "kino-doma.tk", true },
  { "kinocheck.de", true },
  { "kinodrom.kiev.ua", true },
  { "kinodrom.tk", true },
  { "kinohled.cz", true },
  { "kinomagia.cf", true },
  { "kinos.nl", true },
  { "kinosha.tk", true },
  { "kinoshki.ga", true },
  { "kinothek.at", true },
  { "kinovsem.ml", true },
  { "kinozal-tv.appspot.com", true },
  { "kinozone.tk", true },
  { "kinshipnd.com", true },
  { "kinsights.com", false },
  { "kinsmenhomelottery.com", true },
  { "kintana.ovh", true },
  { "kintawifi.com", true },
  { "kintone.com", true },
  { "kintore.tv", true },
  { "kinualive.com", true },
  { "kiocloud.com", true },
  { "kiomara.com", true },
  { "kionetworks.es", true },
  { "kiot.eu", true },
  { "kiousis.me", true },
  { "kip-ribbetjes-bestellen.be", true },
  { "kipa.at", true },
  { "kipiradio.com", true },
  { "kippenbart.gq", true },
  { "kipsu.com", true },
  { "kipwells32.com", true },
  { "kiragameforum.net", true },
  { "kirainmoe.com", true },
  { "kiraku.co", true },
  { "kirbear.com", true },
  { "kirche-sankt-augustin.de", true },
  { "kirchen-im-web.de", false },
  { "kirchenchor-olzheim.de", true },
  { "kirchengemeinde-markt-erlbach.de", true },
  { "kirchhoff-getraenke.de", true },
  { "kircp.com", true },
  { "kirei.se", true },
  { "kireilign.com", true },
  { "kirgistan.tk", true },
  { "kirig.ph", true },
  { "kirikira.moe", true },
  { "kirill.fr", true },
  { "kirillaristov.com", true },
  { "kirillpokrovsky.de", true },
  { "kirinas.com", true },
  { "kirinuki.jp", true },
  { "kirkae.com", true },
  { "kirkforcongress.com", true },
  { "kirklandtriallawyer.com", true },
  { "kirkovsky.com", true },
  { "kirkwood-smith.com", true },
  { "kirkwoodfence.com", true },
  { "kiro-ku.com", true },
  { "kiropraktorvard.se", true },
  { "kirov.ml", true },
  { "kirovcity.tk", true },
  { "kirovgrad.tk", true },
  { "kirrie.pe.kr", true },
  { "kirsch-gestaltung.de", true },
  { "kirschbaum.me", true },
  { "kirscrb.ru", true },
  { "kirstenbos.ca", true },
  { "kirstin-peters.de", true },
  { "kirwandigital.com", true },
  { "kisallatorvos.hu", true },
  { "kisel.org", true },
  { "kisiselveri.com", true },
  { "kiskeedeesailing.com", true },
  { "kisma.de", true },
  { "kisser.name", true },
  { "kissesb.com", true },
  { "kissgyms.com", true },
  { "kisskiss.ch", true },
  { "kissmycreative.com", true },
  { "kissoft.ro", true },
  { "kita-freie-schule.de", true },
  { "kita-sun.com", true },
  { "kitabmimpi.com", true },
  { "kitabnamabayi.com", true },
  { "kitacoffee.com", true },
  { "kitchen-profi.by", true },
  { "kitchen-profi.com.ua", true },
  { "kitchen-profi.kz", true },
  { "kitchenpad.biz", true },
  { "kitchenpad.co.uk", true },
  { "kitchenpad.info", true },
  { "kitchenpad.net", true },
  { "kitchenpad.org", true },
  { "kitchenpad.us", true },
  { "kitchenpadtimer.com", true },
  { "kitchenpunx.com", false },
  { "kitchenwarestore.xyz", true },
  { "kiteadventure.nl", true },
  { "kiteschooledam.nl", true },
  { "kiteschoolijmuiden.nl", true },
  { "kiteschoolkatwijk.nl", true },
  { "kiteschoolnoordwijk.nl", true },
  { "kiteschoolschellinkhout.nl", true },
  { "kiteschoolwijkaanzee.nl", true },
  { "kiteschoolzandvoort.nl", true },
  { "kitevalley.tk", true },
  { "kitpartners.com", true },
  { "kitseliit.ee", true },
  { "kittmedia.com", true },
  { "kittpress.com", true },
  { "kittymagician.com", true },
  { "kivitelezesbiztositas.hu", true },
  { "kiwee.eu", true },
  { "kiwi-bird.xyz", true },
  { "kiwi.digital", true },
  { "kiwi.wiki", true },
  { "kiwibird.tokyo", true },
  { "kiwiflowershop.com.ua", true },
  { "kiwitastic.com", true },
  { "kiyotatsu.com", true },
  { "kizomba.info", true },
  { "kizzedbykelz.com", true },
  { "kj-prince.com", true },
  { "kj1396.net", true },
  { "kjaer.io", true },
  { "kjarrval.is", true },
  { "kjchernov.info", true },
  { "kjellner.com", true },
  { "kjelltitulaer.com", true },
  { "kjellvn.net", true },
  { "kjfaudio.com", true },
  { "kjmedia.dk", true },
  { "kjnotes.com", true },
  { "kk-neudorf-duissern.de", false },
  { "kk.in.th", true },
  { "kk.sb", true },
  { "kkcinemas.in", true },
  { "kki.org", true },
  { "kkovacs.eu", true },
  { "kkr-bridal.net", true },
  { "kks-karlstadt.de", true },
  { "kksg.com", true },
  { "kkutu.xyz", true },
  { "kkyy.me", true },
  { "kkzxak47.com", true },
  { "kl-diaetist.dk", true },
  { "klaasmeijerbodems.nl", true },
  { "klabnik.cz", true },
  { "klabnikova.cz", true },
  { "klacki.de", true },
  { "klaim.us", true },
  { "klanggut.at", true },
  { "klapib.ee", true },
  { "klarika.com", true },
  { "klarmobil-empfehlen.de", true },
  { "klassika.tk", true },
  { "klauke-enterprises.com", true },
  { "klausbrinch.dk", false },
  { "klausen.dk", true },
  { "klauswissmann.com", true },
  { "klaver.it", true },
  { "klaw.xyz", true },
  { "klaxon.me", true },
  { "kle.cz", true },
  { "kleaning.by", true },
  { "klebeband.eu", true },
  { "klebetape.de", true },
  { "kleidermarkt-vintage.de", true },
  { "kleim.fr", true },
  { "kleinblogje.nl", false },
  { "kleine-dingen.nl", true },
  { "kleine-strandburg-heringsdorf.de", true },
  { "kleine-strandburg.com", true },
  { "kleine-strolche-lich.de", true },
  { "kleine-viecherei.de", true },
  { "kleineanfragen.de", true },
  { "kleinestrandburg-heringsdorf.de", true },
  { "kleinestrandburg-usedom.de", true },
  { "kleineviecherei.de", true },
  { "kleinhaneveld.tk", true },
  { "kleinreich.de", true },
  { "kleinsys.com", true },
  { "kleintransporte.net", true },
  { "klemkow.net", true },
  { "klemkow.org", true },
  { "klempin.net", true },
  { "klempin.se", true },
  { "kleor.com", true },
  { "kleppe.co", true },
  { "kleteckova.cz", true },
  { "klev.su", true },
  { "kli.is", true },
  { "klickstdu.com", true },
  { "kliemann.me", true },
  { "klil.co.il", true },
  { "klimaloven.no", true },
  { "klimapartner.de", true },
  { "klimmzugstange-fitness.de", true },
  { "klingenundmesser.com", true },
  { "klinik-fuer-aesthetische-zahnheilkunde.de", true },
  { "klinikac.co.id", false },
  { "klinkenberg.ws", true },
  { "klishyn.com", true },
  { "klitmoeller.de", true },
  { "klitmoeller.dk", true },
  { "kliu.io", true },
  { "klm-huisjes.nl", true },
  { "klmhouses.com", true },
  { "klocast.com", true },
  { "klocker-ausserlechner.com", true },
  { "klocksnack.se", false },
  { "kloclabs.com", true },
  { "kloia.com", true },
  { "klop.info", true },
  { "klose.family", true },
  { "klosko.net", true },
  { "kloudboy.com", true },
  { "klssn.com", true },
  { "klu.io", true },
  { "klub.tk", true },
  { "klubxanadu.cz", true },
  { "kluck.me", true },
  { "klugemedia.de", true },
  { "klusbedrijfdupau.nl", true },
  { "klustermedia.com", true },
  { "klusweb-merenwijk.nl", true },
  { "klva.cz", true },
  { "kmashworth.co.uk", true },
  { "kmkz.jp", true },
  { "kmucsu.com", true },
  { "kn007.net", true },
  { "kn40la.com", true },
  { "kn4ivj.com", true },
  { "kn4ola.com", true },
  { "knab-networks.com", true },
  { "knapp.noip.me", true },
  { "knapp.servehttp.com", true },
  { "knautiluz.net", true },
  { "kncg.pw", true },
  { "kndkv.com", true },
  { "kndrd.io", true },
  { "kneblinghausen.de", true },
  { "knechtology.com", true },
  { "knegten-agilis.com", true },
  { "kneli.co.il", true },
  { "knep.me", true },
  { "kneppe.me", true },
  { "knetterbak.nl", true },
  { "kngk-group.ru", true },
  { "kngk.org", true },
  { "kngkng.com", true },
  { "knightsbridge.net", true },
  { "knightsbridgewine.com", true },
  { "knihovnajablonne.cz", true },
  { "knip.ch", true },
  { "knispel-online.de", true },
  { "knitfarious.com", true },
  { "knmv.nl", true },
  { "knnet.ch", true },
  { "knoji.com", true },
  { "knop.info", false },
  { "knowarth.com", true },
  { "knowledgehook.com", true },
  { "knowyourday.ai", true },
  { "knoxvilleimplants.com", true },
  { "knrt.de", true },
  { "knrt.eu", true },
  { "knthost.com", true },
  { "knulla.me", true },
  { "knulle.me", true },
  { "knurps.de", true },
  { "knuterikskare.no", true },
  { "knuthildebrandt.de", false },
  { "knygos.lt", true },
  { "ko-sys.com", true },
  { "koalas.org", true },
  { "koba.jp", true },
  { "kobejet.com", true },
  { "kobofarm.com", true },
  { "koboldmalade.fr", true },
  { "kobolya.hu", true },
  { "kobudo49.fr", true },
  { "kochbar.de", true },
  { "kocherev.org", true },
  { "kochereva.com", true },
  { "kochhar.net", true },
  { "kochinke.com", true },
  { "kochinke.us", true },
  { "kocka.cf", true },
  { "kocka.tech", true },
  { "kockanakocko.si", true },
  { "kodak-ism.com", true },
  { "kodamail.com", true },
  { "kodden.com.br", true },
  { "kode.ch", false },
  { "kodenia.com", true },
  { "kodify.net", true },
  { "kodkollen.com", true },
  { "kodkollen.se", true },
  { "kodomo.live", true },
  { "koe.hn", true },
  { "koebbes.de", true },
  { "koecollege.com", true },
  { "koeeusa.org", true },
  { "koef.nl", true },
  { "koehlhoff.de", true },
  { "koehn.com", true },
  { "koelnmafia.de", true },
  { "koenigsbrunner-tafel.de", true },
  { "koenleemans.nl", true },
  { "koenrh.com", true },
  { "koenrh.net", true },
  { "koenrh.nl", true },
  { "koenrouwhorst.com", true },
  { "koenrouwhorst.nl", true },
  { "koenzk.nl", true },
  { "koerperkult.ch", true },
  { "koertner-muth.com", true },
  { "koertner-muth.de", true },
  { "koethen-markt.de", true },
  { "koetjesenkanker.nl", true },
  { "koffie-enzo.com", true },
  { "koffkindom.ru", true },
  { "koflegend.com", true },
  { "kofler.info", true },
  { "kogak.ninja", true },
  { "kogax.com", true },
  { "kogi.fr", true },
  { "kogro.de", true },
  { "kogudesi.com", true },
  { "kohlchan.net", true },
  { "kohlistkool.tk", true },
  { "koho.fi", true },
  { "kohoutsautomotive.com", true },
  { "kohsandra.com", false },
  { "kohu.nz", true },
  { "koi-lexikon.de", true },
  { "koicenter-thuine.de", true },
  { "koifish.org", true },
  { "koineuno.com", true },
  { "koji-tsujitani.net", true },
  { "kojip.com", true },
  { "kojy.fr", true },
  { "koka-shop.de", true },
  { "koketteriet.se", true },
  { "koki.cl", true },
  { "kokobaba.com", true },
  { "kokomo.xyz", true },
  { "kokomu.com", true },
  { "kokona.ch", true },
  { "kokosnusswasser.de", true },
  { "kokumoto.com", true },
  { "kolania.de", true },
  { "kolania.net", true },
  { "kolaprestaurant.com", true },
  { "kolbeinsson.se", true },
  { "kolcsey.eu", true },
  { "kolibrikapp.com", true },
  { "kolibrisolutions.nl", true },
  { "kolin.org", true },
  { "kolizaskrap.bg", true },
  { "kolja-engelmann.de", true },
  { "kolkinn.no", true },
  { "kollega.it", true },
  { "kollegamenti.it", true },
  { "kollross.io", true },
  { "kolmann.at", true },
  { "kolmann.eu", true },
  { "kolpingsfamilie-vechta-maria-frieden.de", true },
  { "kolrami.com", true },
  { "koluke.co", true },
  { "koluke.com", true },
  { "komelin.com", false },
  { "komenamanda.de", true },
  { "kometia.com", true },
  { "komfort.kh.ua", true },
  { "komicloud.com", true },
  { "komidoc.com", true },
  { "kominfo.go.id", true },
  { "kominfo.net", false },
  { "kominki-sauny.pl", true },
  { "komintek.ru", true },
  { "komischkeszeug.de", true },
  { "kommaer.dk", true },
  { "kommune42.org", true },
  { "kommunermeddnssec.se", true },
  { "kommunermedipv6.se", true },
  { "kommx.de", true },
  { "komoju.com", true },
  { "komok.co.uk", true },
  { "komp247.pl", true },
  { "kompetenzkurs.de", true },
  { "komplet.sk", true },
  { "kon-sil.de", true },
  { "konarentals.net", true },
  { "kondi.net", true },
  { "kondomshop.org", true },
  { "kondou-butsudan.com", true },
  { "konfekcjonowanie.com", true },
  { "kongar.org", true },
  { "kongress-hostessen.de", true },
  { "koniecfica.sk", false },
  { "konijntjes.nl", true },
  { "konings.it", false },
  { "koningskwartiertje.nl", true },
  { "konklone.com", true },
  { "konkursita.ru", true },
  { "konosuke.jp", true },
  { "konplott.shop", true },
  { "konpyuta.nl", true },
  { "konst.se", true },
  { "konstanz.tk", true },
  { "konstructdigital.com", true },
  { "konsul.tk", true },
  { "kontaxis.org", true },
  { "kontorhaus-stralsund.de", true },
  { "kontrolapovinnosti.cz", true },
  { "konveer.com.ua", true },
  { "konventa.net", true },
  { "konyaescortsiteler.net", true },
  { "konyalian.com", true },
  { "konzertheld.de", true },
  { "koodaklife.com", true },
  { "koode.mx", true },
  { "koodimasin.ee", true },
  { "koodimasin.eu", true },
  { "kooer.org", true },
  { "kooibeds.com", true },
  { "koolauwomenshealthcare.com", true },
  { "kooli.ee", true },
  { "koolikatsed.ee", true },
  { "koolitee.ee", true },
  { "kooliveeb.ee", true },
  { "koop-bremen.de", true },
  { "kooponline.eu", true },
  { "koot.nl", true },
  { "kooxdiving.com", true },
  { "koozal.de", true },
  { "kopfgeld.tk", true },
  { "kopfkrieg.org", true },
  { "kopfootdoctor.com", true },
  { "kopfundseele.de", true },
  { "kopidingin.xyz", true },
  { "kopjethee.nl", true },
  { "koplancpa.com", true },
  { "koplax-online.com", true },
  { "kopplin.family", true },
  { "koptev.ru", true },
  { "kopteva.ru", true },
  { "korancode.tk", true },
  { "korbel-loziska.cz", true },
  { "korben.info", true },
  { "kordamed.ee", true },
  { "korea-dpr.org", true },
  { "korea.dating", true },
  { "koreaboo.com", true },
  { "koreaninhd.com", true },
  { "koreanrandom.com", true },
  { "koreanrandom.ru", true },
  { "koretech.nl", true },
  { "korfbalinformatie.nl", true },
  { "korinar.com", true },
  { "koriyoukai.net", true },
  { "kornrunner.net", true },
  { "korob-ok.com.ua", true },
  { "korobkovsky.ru", false },
  { "koroknaimedical.hu", true },
  { "koroleva.ml", true },
  { "korosiprogram.hu", true },
  { "korp.fr", true },
  { "korrelzout.nl", true },
  { "kortgebyr.dk", true },
  { "korund.tk", true },
  { "korup.com", true },
  { "koryfi.com", true },
  { "kos4all.com", true },
  { "kos9078.com", true },
  { "koscielniak-nieruchomosci.pl", true },
  { "kosherjava.com", true },
  { "kosinc.org", true },
  { "kosmos.org.tw", true },
  { "kosmosfestival.tk", true },
  { "kost-magazin.de", true },
  { "kostal.com", true },
  { "kostecki.com", true },
  { "kostecki.org", true },
  { "kostecki.tel", true },
  { "kostya.ws", true },
  { "kosuzu.moe", true },
  { "kother.org", true },
  { "kotilinkki.fi", true },
  { "kotitesti.fi", true },
  { "kotke.ru", true },
  { "kotly-marten.com.ua", true },
  { "kotmale.com", true },
  { "kotobox.net", true },
  { "kotois.com", true },
  { "kotonozaka.xyz", true },
  { "kotori.love", true },
  { "kotuwa.tk", true },
  { "kouki-food.com", true },
  { "koumakan.cc", true },
  { "koumuwin.com", true },
  { "koupons.nl", true },
  { "koushinjo.org", true },
  { "kov.space", true },
  { "kovachica.tk", true },
  { "koval.io", true },
  { "kovehitus.ee", true },
  { "kovspace.com", true },
  { "kovuthehusky.com", true },
  { "kowalmik.tk", true },
  { "kowalstwo.com.pl", true },
  { "kowarschick.de", true },
  { "koyo.kr", true },
  { "kozawa.tokyo", true },
  { "kozlekedes.info", true },
  { "kozuch.biz", true },
  { "kp0808.cc", true },
  { "kpfanworld.com", true },
  { "kpforme.org", true },
  { "kpinvest.eu", true },
  { "kplasticsurgery.com", true },
  { "kplnet.net", true },
  { "kpmgclientcollab.co.nz", true },
  { "kpnthings.com", true },
  { "kpop.re", true },
  { "kpopsource.com", true },
  { "kprem.com", true },
  { "kpumuk.info", true },
  { "kr.search.yahoo.com", false },
  { "kr0n.dk", true },
  { "krachtinverbinding.nl", true },
  { "kradalby.no", true },
  { "kraft.blog", true },
  { "kraft.im", true },
  { "kraftfleisch.de", true },
  { "kraftpc.com", true },
  { "kraftzeiten.de", true },
  { "krag.be", true },
  { "kraga.sk", true },
  { "kraken.io", true },
  { "kraken.site", true },
  { "krakozyabra.gq", true },
  { "kralik.io", true },
  { "kralovskapradelna.cz", true },
  { "kralovstvimap.cz", true },
  { "kram.nz", true },
  { "krambeutel.de", true },
  { "kramsj.uk", true },
  { "krang.org.uk", true },
  { "kranjnakolo.ml", true },
  { "krankenpflege-haushaltshilfe.de", true },
  { "krasnodar-avia.ru", true },
  { "krasnodar-pravoved.ru", true },
  { "krasnodar24.tk", true },
  { "krasovsky.me", true },
  { "kratochvilovi.net", true },
  { "krautomat.com", true },
  { "kravmagaangers.fr", true },
  { "kraynik.com", true },
  { "krayx.com", true },
  { "krazykastles.co.uk", true },
  { "krazykoolkastles.com", true },
  { "krazyphotobooths.co.uk", true },
  { "kreationnext.com", false },
  { "kreativbande.com", true },
  { "kreativelabs.ch", false },
  { "kreativklinik.at", true },
  { "kreativoweb.tk", true },
  { "kreativstrecke.de", true },
  { "kreatorbus.com", true },
  { "kredit-abzocke.com", true },
  { "kreditkacs.cz", true },
  { "kreditkoll.nu", true },
  { "kredytzen.pl", true },
  { "krehl.io", true },
  { "kremalicious.com", true },
  { "kresimir-blazevic.tk", true },
  { "krestanskydarek.cz", true },
  { "kretschmann.consulting", true },
  { "kreuzpfadfinder.de", true },
  { "kreuzwortraetsellosungen.com", true },
  { "kreyolgym.fr", true },
  { "kriechel.de", true },
  { "krikorianconstruction.com", true },
  { "krimikiosk.de", true },
  { "krinetzki.de", true },
  { "kringloopwinkelsteenwijk.nl", true },
  { "krinnovations.ie", true },
  { "kriptokereso.com", true },
  { "kriptoworld.hu", true },
  { "krise-chance.ch", true },
  { "krisenintervention-deutschland.de", true },
  { "kriseninterventiondeutschland.de", true },
  { "krisftp.fr", true },
  { "krishnenduayur.org", true },
  { "krishofer.com", true },
  { "kriskras99.nl", true },
  { "krismurray.co.uk", true },
  { "krisstarkey.co.uk", true },
  { "kristall-energie.at", true },
  { "kristiehill.com", true },
  { "kristikala.nl", true },
  { "kristinbailey.com", true },
  { "kristofba.ch", true },
  { "kristofdv.be", true },
  { "kritikahotels.com", true },
  { "kritikawebu.cz", true },
  { "kritikos.io", true },
  { "krizevci.info", true },
  { "krmela.com", true },
  { "krmeni.cz", false },
  { "kroell.net", true },
  { "krokedil.se", true },
  { "kromamoveis.com.br", true },
  { "kromax.it", true },
  { "kromonos.net", true },
  { "kronopolo.com", true },
  { "kroon.email", true },
  { "kropkait.pl", true },
  { "krossakorven.tk", true },
  { "krovatka.tk", true },
  { "kroy.io", true },
  { "krrn.de", false },
  { "krsaustralia.com.au", true },
  { "krsn.de", true },
  { "krsvrs.nl", true },
  { "krti.com.ua", true },
  { "krug-munroe.wedding", true },
  { "krugersdorpplumber24-7.co.za", true },
  { "kruin.net", true },
  { "kruisselbrink.com", true },
  { "kruk.co", true },
  { "krumberconsulting.com", true },
  { "krumpf.de", true },
  { "krup.com.ua", true },
  { "krupa.net.pl", false },
  { "kruselegal.com.au", true },
  { "krusic22.com", true },
  { "krutka.cz", true },
  { "kry.no", true },
  { "kry.se", true },
  { "kryglik.com", true },
  { "krypsys.com", true },
  { "krypt.com", true },
  { "kryptera.se", true },
  { "krypto-geld.eu", true },
  { "kryptologie.tk", true },
  { "kryptomech.com", true },
  { "kryptux.xyz", true },
  { "kryx.de", true },
  { "krzyzowki123.pl", true },
  { "ks-watch.de", true },
  { "ks009.com", true },
  { "ks0098.com", true },
  { "ks016.com", true },
  { "ks0168.com", true },
  { "ks017.com", true },
  { "ks0188.com", true },
  { "ks023.com", true },
  { "ks0288.com", true },
  { "ks038.com", true },
  { "ks0388.com", true },
  { "ks05.cc", true },
  { "ks051.com", true },
  { "ks053.com", true },
  { "ks0550.com", true },
  { "ks0558.com", true },
  { "ks0566.com", true },
  { "ks0577.com", true },
  { "ks058.com", true },
  { "ks0588.com", true },
  { "ks059.com", true },
  { "ks0599.com", true },
  { "ks06.cc", true },
  { "ks061.com", true },
  { "ks0618.com", true },
  { "ks062.com", true },
  { "ks063.com", true },
  { "ks065.com", true },
  { "ks0660.com", true },
  { "ks0668.com", true },
  { "ks068.com", true },
  { "ks0688.com", true },
  { "ks0718.com", true },
  { "ks0766.com", true },
  { "ks0768.com", true },
  { "ks0770.com", true },
  { "ks0776.com", true },
  { "ks0778.com", true },
  { "ks078.com", true },
  { "ks0788.com", true },
  { "ks080.com", true },
  { "ks081.com", true },
  { "ks0816.com", true },
  { "ks082.com", true },
  { "ks0855.com", true },
  { "ks0858.com", true },
  { "ks086.com", true },
  { "ks0877.com", true },
  { "ks0878.com", true },
  { "ks0886.com", true },
  { "ks093.com", true },
  { "ks096.com", true },
  { "ks0977.com", true },
  { "ks098.com", true },
  { "ks0990.com", true },
  { "ks0996.com", true },
  { "ks10.ag", true },
  { "ks10.vip", true },
  { "ks105.com", true },
  { "ks15.net", true },
  { "ks1519.com", true },
  { "ks16.cc", true },
  { "ks16.net", true },
  { "ks1608.com", true },
  { "ks161.com", true },
  { "ks162.com", true },
  { "ks18.cc", true },
  { "ks182.com", true },
  { "ks191.com", true },
  { "ks20.vip", true },
  { "ks200.vip", true },
  { "ks2000.vip", true },
  { "ks202.com", true },
  { "ks2020.vip", true },
  { "ks204.com", true },
  { "ks206.com", true },
  { "ks208.com", true },
  { "ks2099.com", true },
  { "ks257.com", true },
  { "ks262.com", true },
  { "ks28.cc", true },
  { "ks28.net", true },
  { "ks281.com", true },
  { "ks2888.com", true },
  { "ks2888.net", true },
  { "ks291.com", true },
  { "ks299.net", true },
  { "ks30.vip", true },
  { "ks308.com", true },
  { "ks32.cc", true },
  { "ks329.com", true },
  { "ks330.com", true },
  { "ks335.com", true },
  { "ks335.net", true },
  { "ks337.net", true },
  { "ks339.net", true },
  { "ks36.net", true },
  { "ks3636.com", true },
  { "ks3737.com", true },
  { "ks380.com", true },
  { "ks381.com", true },
  { "ks388.com", true },
  { "ks3888.com", true },
  { "ks3939.com", true },
  { "ks40.vip", true },
  { "ks50.vip", true },
  { "ks5000.com", true },
  { "ks502.com", true },
  { "ks503.com", true },
  { "ks509.com", true },
  { "ks515.com", true },
  { "ks516.com", true },
  { "ks531.com", true },
  { "ks539.com", true },
  { "ks541.com", true },
  { "ks549.com", true },
  { "ks55.net", true },
  { "ks571.com", true },
  { "ks58.net", true },
  { "ks5808.com", true },
  { "ks5888.com", true },
  { "ks5888.net", true },
  { "ks597.com", true },
  { "ks60.vip", true },
  { "ks600.com", true },
  { "ks6008.com", true },
  { "ks608.com", true },
  { "ks610.com", true },
  { "ks6225.com", true },
  { "ks628.com", true },
  { "ks629.com", true },
  { "ks635.com", true },
  { "ks636.com", true },
  { "ks637.com", true },
  { "ks641.com", true },
  { "ks6522.com", true },
  { "ks6525.com", true },
  { "ks6533.com", true },
  { "ks6535.com", true },
  { "ks657.com", true },
  { "ks66.la", true },
  { "ks6600.com", true },
  { "ks6601.com", true },
  { "ks6602.com", true },
  { "ks6603.com", true },
  { "ks6605.com", true },
  { "ks6607.com", true },
  { "ks6609.com", true },
  { "ks6612.com", true },
  { "ks6615.com", true },
  { "ks6617.com", true },
  { "ks6618.com", true },
  { "ks6619.com", true },
  { "ks6620.com", true },
  { "ks6621.com", true },
  { "ks6623.com", true },
  { "ks6625.com", true },
  { "ks6626.com", true },
  { "ks6627.com", true },
  { "ks6628.com", true },
  { "ks6629.com", true },
  { "ks6630.com", true },
  { "ks6631.com", true },
  { "ks6632.com", true },
  { "ks6635.com", true },
  { "ks6637.com", true },
  { "ks6638.com", true },
  { "ks6650.com", true },
  { "ks6651.com", true },
  { "ks6652.com", true },
  { "ks6653.com", true },
  { "ks6656.com", true },
  { "ks6657.com", true },
  { "ks6658.com", true },
  { "ks6659.com", true },
  { "ks6665.com", true },
  { "ks6670.com", true },
  { "ks6671.com", true },
  { "ks668.com", true },
  { "ks6681.com", true },
  { "ks6685.com", true },
  { "ks6686.com", true },
  { "ks6687.com", true },
  { "ks6733.com", true },
  { "ks6735.com", true },
  { "ks6799.com", true },
  { "ks68.net", true },
  { "ks680.com", true },
  { "ks6800.com", true },
  { "ks6805.com", true },
  { "ks6806.com", true },
  { "ks6807.com", true },
  { "ks6808.com", true },
  { "ks6809.com", true },
  { "ks681.com", true },
  { "ks6810.com", true },
  { "ks6812.com", true },
  { "ks6813.com", true },
  { "ks6815.com", true },
  { "ks6816.com", true },
  { "ks6817.com", true },
  { "ks6819.com", true },
  { "ks6820.com", true },
  { "ks6821.com", true },
  { "ks6822.com", true },
  { "ks6823.com", true },
  { "ks6825.com", true },
  { "ks6826.com", true },
  { "ks6827.com", true },
  { "ks6828.com", true },
  { "ks6829.com", true },
  { "ks6830.com", true },
  { "ks6831.com", true },
  { "ks6832.com", true },
  { "ks6833.com", true },
  { "ks6835.com", true },
  { "ks6836.com", true },
  { "ks6837.com", true },
  { "ks6838.com", true },
  { "ks6839.com", true },
  { "ks6850.com", true },
  { "ks6851.com", true },
  { "ks6852.com", true },
  { "ks6853.com", true },
  { "ks6857.com", true },
  { "ks6860.com", true },
  { "ks6861.com", true },
  { "ks6862.com", true },
  { "ks6863.com", true },
  { "ks6867.com", true },
  { "ks6870.com", true },
  { "ks6871.com", true },
  { "ks6880.com", true },
  { "ks6887.com", true },
  { "ks695.com", true },
  { "ks698.com", true },
  { "ks6998.com", true },
  { "ks7.vip", true },
  { "ks70.vip", true },
  { "ks7272.com", true },
  { "ks7373.com", true },
  { "ks8.ag", true },
  { "ks8.net", true },
  { "ks80.vip", true },
  { "ks806.com", true },
  { "ks8086.com", true },
  { "ks81.cc", true },
  { "ks8126.com", true },
  { "ks8127.com", true },
  { "ks86.cc", true },
  { "ks86.net", true },
  { "ks8600.com", true },
  { "ks8787.com", true },
  { "ks88.ag", true },
  { "ks88.best", true },
  { "ks88.com", true },
  { "ks88.org", true },
  { "ks8802.com", true },
  { "ks8805.com", true },
  { "ks8812.com", true },
  { "ks8819.com", true },
  { "ks8825.com", true },
  { "ks883.com", true },
  { "ks8831.com", true },
  { "ks8851.com", true },
  { "ks8852.com", true },
  { "ks8860.com", true },
  { "ks888.ag", true },
  { "ks888.la", true },
  { "ks8881.com", true },
  { "ks8882.com", true },
  { "ks8883.com", true },
  { "ks8892.com", true },
  { "ks8895.com", true },
  { "ks89.cc", true },
  { "ks89.net", true },
  { "ks8915.com", true },
  { "ks90.vip", true },
  { "ks902.com", true },
  { "ks905.com", true },
  { "ks907.com", true },
  { "ks912.com", true },
  { "ks921.com", true },
  { "ks9211.com", true },
  { "ks9393.com", true },
  { "ks958.com", true },
  { "ks98.cc", true },
  { "ks9888.com", true },
  { "ks996.com", true },
  { "ksbet.ag", true },
  { "kscarlett.com", true },
  { "kschv-rdeck.de", true },
  { "kselenia.ee", true },
  { "ksero.center", true },
  { "ksero.wroclaw.pl", true },
  { "ksham.net", true },
  { "ksmmmo.org.tr", true },
  { "ksoc.com", true },
  { "ksopp.si", true },
  { "ksradio.it", true },
  { "kssk.de", true },
  { "kst-dlvr.tk", true },
  { "kst-service.tk", true },
  { "kstr.us", true },
  { "ksukelife.com", true },
  { "ksvip10.com", true },
  { "kt-events.de", true },
  { "kt-zoe.com", true },
  { "kt3i.com", true },
  { "ktbnetbank.com", true },
  { "kthnxbai.xyz", true },
  { "ktm-troxler.de", true },
  { "ktmclubitalia.it", true },
  { "kts-thueringen.de", true },
  { "ktsee.eu.org", true },
  { "ktuluweb.tk", true },
  { "ktw.lv", true },
  { "kuadey.com", true },
  { "kuaimen.bid", true },
  { "kuaiyaojing.com", true },
  { "kualiti.net", true },
  { "kualo.co.uk", true },
  { "kualo.com", true },
  { "kualo.in", true },
  { "kuaza.com", true },
  { "kub.hr", true },
  { "kubabrussel.be", true },
  { "kubeico.com", true },
  { "kubkprf.ru", true },
  { "kublis.ch", true },
  { "kuchen-am-stiel.de", true },
  { "kucloud.win", true },
  { "kucnibudzet.com", true },
  { "kudinilam.tk", true },
  { "kuditel.net", true },
  { "kudo.co.id", true },
  { "kuechenserver.de", true },
  { "kuechenserver.org", true },
  { "kuehndel.org", true },
  { "kuehnel-bs.de", true },
  { "kuehnel-online.eu", true },
  { "kuemmerlin.eu", true },
  { "kuemmling.eu", true },
  { "kuhn-elektrotechnik.de", true },
  { "kuhne-electronic.de", true },
  { "kuhnelautorepair.com", true },
  { "kuhnerts.eu", true },
  { "kujadin.de", true },
  { "kukal.cz", true },
  { "kukeri-karlovo.tk", true },
  { "kuketz-blog.de", true },
  { "kuketz-security.de", true },
  { "kuketz-suche.de", true },
  { "kukoon.de", false },
  { "kulde.net", true },
  { "kulinaristi.fi", true },
  { "kulivps.com", true },
  { "kulpakko.com", true },
  { "kulthist.tk", true },
  { "kultmobil.se", true },
  { "kultsar.com", true },
  { "kulturmel.ch", true },
  { "kuma.es", true },
  { "kumachan.biz", true },
  { "kumalog.com", true },
  { "kumasanda.jp", true },
  { "kumpulannamabayi.com", true },
  { "kunaldesai.blog", true },
  { "kunda.ovh", true },
  { "kundo.se", true },
  { "kungerkueken.de", true },
  { "kunow.ml", true },
  { "kunra.de", true },
  { "kunstdrucke-textildruck.de", true },
  { "kunsthandel-augustus-rex.de", true },
  { "kunstkieken.nl", true },
  { "kunstundunrat.de", true },
  { "kunvarji.com", true },
  { "kuoruan.com", true },
  { "kup-sluzbu.cz", true },
  { "kupaa.ink", true },
  { "kupferschmids.ch", true },
  { "kupferstichshop.com", true },
  { "kupibilet.ru", true },
  { "kupiclub.com", true },
  { "kupid.com", true },
  { "kupidom2.com", true },
  { "kupiewszystkieauta.pl", true },
  { "kupimlot.ru", true },
  { "kupinska.pl", true },
  { "kupislivki.tk", true },
  { "kupleno.com", true },
  { "kuponydoher.cz", true },
  { "kupriy-coach.ru", true },
  { "kupschke.net", true },
  { "kupsluzbu.cz", true },
  { "kupu.maori.nz", true },
  { "kurdishphotography.tk", true },
  { "kuretru.com", true },
  { "kurhotel-am-reischberg.de", true },
  { "kurido-anime.tk", true },
  { "kurierwilenski.lt", true },
  { "kurniadwin.to", true },
  { "kuroha.co.uk", true },
  { "kuroinu.jp", true },
  { "kuroisalva.xyz", false },
  { "kurona.ga", true },
  { "kuronekogaro.com", true },
  { "kurschies.de", true },
  { "kurserne.dk", true },
  { "kursk-otoplenie.ru", true },
  { "kurswahl-online.de", true },
  { "kursypolska.pl", true },
  { "kurtschlatzer.com", true },
  { "kuruma-ex.jp", true },
  { "kurungkurawal.id", true },
  { "kuruppa.xyz", true },
  { "kusasa.biz", true },
  { "kuscheln.com", true },
  { "kuschku.de", true },
  { "kusdaryanto.web.id", true },
  { "kusochi.eu", true },
  { "kustod.io", true },
  { "kutinsoft.com", true },
  { "kutny.cz", true },
  { "kutsankaplan.com", true },
  { "kuttler.eu", true },
  { "kutus.ee", true },
  { "kuwaitsatellite.co", true },
  { "kuwichitagastro.com", true },
  { "kuwichitaim.com", true },
  { "kuznica.tk", true },
  { "kvadratnimeter.si", true },
  { "kvalita-1a.cz", true },
  { "kvalitetsaktiepodden.se", true },
  { "kvalitnitesneni.cz", true },
  { "kvantel.no", true },
  { "kvcc.com.au", true },
  { "kvest-v-moskve.ga", true },
  { "kvestiks.ru", true },
  { "kvetinymilt.cz", true },
  { "kvetinyumarkety.cz", true },
  { "kvhile.com", true },
  { "kvilt.dk", true },
  { "kvnsport.ru", true },
  { "kvpc.com.au", true },
  { "kwadraadtevredenheid.nl", true },
  { "kwat.chat", true },
  { "kwbresidential.com", true },
  { "kwcolville.com", true },
  { "kweb.ml", true },
  { "kwedo.com", true },
  { "kwench.com", true },
  { "kwickshop.co.nz", true },
  { "kwoll.de", true },
  { "kwyxz.org", true },
  { "kx197.com", true },
  { "kxah35.com", true },
  { "kxnrl.com", true },
  { "kybi.sk", true },
  { "kycisrael.com", true },
  { "kydara.com", true },
  { "kyivstar-internet.com.ua", true },
  { "kyledrake.net", true },
  { "kylegutschow.com", true },
  { "kylejohnson.io", true },
  { "kylianvermeulen.com", true },
  { "kylie-pomada.tk", true },
  { "kylinj.com", false },
  { "kynaston.org.uk", true },
  { "kynastonwedding.co.uk", true },
  { "kyoko.org", true },
  { "kyosaku.org", true },
  { "kyoto-k9.com", false },
  { "kyoto-mic.com", true },
  { "kyoto-tomoshibi.jp", true },
  { "kyotokitsune.com", true },
  { "kyprexxo.com", true },
  { "kyras-castles.co.uk", true },
  { "kyrylych.tk", true },
  { "kys.host", true },
  { "kysseo.fr", true },
  { "kyunyuki.com", true },
  { "kyusyu.org", true },
  { "kyy.me", false },
  { "kz.search.yahoo.com", false },
  { "kzar.co.uk", true },
  { "kzmhk.cz", true },
  { "kzsdabas.hu", true },
  { "l-atelier-c.com", true },
  { "l-lab.org", true },
  { "l0re.com", true },
  { "l0v0l.com", true },
  { "l10n.site", true },
  { "l17r.eu", true },
  { "l214.com", true },
  { "l2guru.ru", true },
  { "l2l.vn", true },
  { "l33te.net", true },
  { "l36533.com", true },
  { "l36594.com", true },
  { "l4n-clan.de", true },
  { "l51365.com", true },
  { "l66.io", true },
  { "l7plumbing.com.au", true },
  { "l7world.com", true },
  { "la-baldosa.fr", false },
  { "la-bolle.fr", false },
  { "la-compagnie-des-elfes.fr", true },
  { "la-fenice-neheim.de", true },
  { "la-ganiere.com", true },
  { "la-kaz-a-velo.fr", true },
  { "la-laitonnerie.com", true },
  { "la-maison.ch", false },
  { "la-maison.eu", true },
  { "la-manufacture-du-nettoyage.com", true },
  { "la-paco.tk", true },
  { "la-petite-entreprise.com", true },
  { "laab.gv.at", true },
  { "laan247.dk", true },
  { "laanius.dk", true },
  { "laatikko.io", true },
  { "laatjeniethackmaken.nl", true },
  { "lab-water-filters.com", true },
  { "labandadelamente.tk", true },
  { "labande-annonce.fr", true },
  { "labanochjonas.se", true },
  { "labanote.com", true },
  { "labanskoller.se", true },
  { "labanskollermark.se", true },
  { "labastidedesaromes.com", false },
  { "labavn.com", true },
  { "labavn.org", true },
  { "labcenter.com", true },
  { "labcoat.jp", true },
  { "labelfactory.nl", true },
  { "labfilter.com", true },
  { "labiblioafronebrulepas.com", false },
  { "lablnet.tk", true },
  { "labobooks.com", true },
  { "laboiteare.fr", true },
  { "laboratoriodemarketingb3.com", true },
  { "labortogether.com", true },
  { "labouncycastlehire.co.uk", true },
  { "labourreedevergheas.fr", true },
  { "laboutiquedejuliette.com", true },
  { "labrat.mobi", false },
  { "labsys.xyz", true },
  { "labtechsupplyco.com", true },
  { "labwater.com", true },
  { "labworks.org", true },
  { "laby.life", true },
  { "laby.me", true },
  { "lacaey.se", true },
  { "lacantine.xyz", true },
  { "lacasadelours.fr", true },
  { "lacaveducinquantenaire.com", true },
  { "laceleste.it", true },
  { "lacentral.com", false },
  { "lacetsfun.com", true },
  { "lacetsroses.ch", true },
  { "laceysfarm.ie", true },
  { "lachainedesentrepreneurs.fr", true },
  { "lachawoj.de", true },
  { "lachlan-harris.com", true },
  { "lachlan.com", true },
  { "lachlanallison.com", true },
  { "lachyoga-schwieberdingen.de", true },
  { "lackierereischmitt.de", true },
  { "laclaque.ch", false },
  { "lacledeslan.com", true },
  { "lacledeslan.org", true },
  { "lacledor.ch", false },
  { "laclefdor.ch", false },
  { "lacoast.gov", true },
  { "lacochinacounselor.com", true },
  { "lacocina.nl", true },
  { "lacoquette.gr", true },
  { "lacyc3.eu", true },
  { "lada-event.com.ua", true },
  { "lada-granta.tk", true },
  { "lada-plus.tk", true },
  { "ladadate.com", true },
  { "ladanmokhtari.tk", true },
  { "ladbroke.net", false },
  { "ladenzeile.at", true },
  { "ladenzeile.de", true },
  { "ladiesofvietnam.net", true },
  { "ladislavbrezovnik.com", true },
  { "lado.ltd", true },
  { "ladocs.tk", true },
  { "ladotech.cn", true },
  { "ladotech.com", true },
  { "ladraiglaan.com", true },
  { "ladymakeup.com.ua", true },
  { "ladymakeup.eu", true },
  { "ladyofhopeparish.org", true },
  { "laencina.tk", true },
  { "laermschmiede.de", true },
  { "laestacionmontevideo.com", true },
  { "laextra.mx", true },
  { "lafansite.tk", true },
  { "lafantasticatravel.com", true },
  { "lafayette-rushford.com", true },
  { "lafcheta.info", true },
  { "lafema.de", true },
  { "lafermegourmande.fr", true },
  { "lafillepolyvalente.ca", true },
  { "lafillepolyvalente.com", true },
  { "lafka.org", true },
  { "laflash.com", true },
  { "lagaia.com.br", true },
  { "lagazzettadigitale.it", true },
  { "lagerauftrag.info", true },
  { "lagit.in", true },
  { "laglab.org", false },
  { "lagout.org", true },
  { "lagrange.cloud", true },
  { "lagriffeduservice.fr", true },
  { "lagsoftware.com", true },
  { "laguinguette.fr", true },
  { "lagunakitchenandbath.com", true },
  { "lahacker.net", true },
  { "lahipotesisgaia.com", true },
  { "lahnau-akustik.de", true },
  { "lai.is", true },
  { "laibcoms.com", true },
  { "laimut.com", true },
  { "lain.at", true },
  { "laindonleisure.co.uk", true },
  { "laissezparler.fr", true },
  { "lajkatheme.com", true },
  { "lak-berlin.de", true },
  { "lake-bonavista.ca", true },
  { "lakeandriverrestoration.com", true },
  { "lakedavid.com.au", true },
  { "lakehavasuwebsites.com", true },
  { "lakelandbank.com", true },
  { "lakeoswegotowncar.com", true },
  { "lakersview.com", true },
  { "lakesherwoodelectric.com", true },
  { "lakesherwoodelectrical.com", true },
  { "lakesherwoodelectrician.com", true },
  { "lakesherwoodexteriorlighting.com", true },
  { "lakesherwoodlandscapelighting.com", true },
  { "lakesherwoodlighting.com", true },
  { "lakesherwoodoutdoorlighting.com", true },
  { "lakeshowlife.com", true },
  { "lakeview.photography", true },
  { "lakewoodcityglass.com", true },
  { "lakiernictwo.auto.pl", true },
  { "lakkt.de", true },
  { "lakonia.com.br", true },
  { "lakorntoday.com", true },
  { "lalalab.com", true },
  { "lalaloe.be", true },
  { "lalaya.fr", true },
  { "laled.ch", false },
  { "lalegria.tk", true },
  { "lalucepulsata.it", true },
  { "lalucioledigitale.com", true },
  { "lalunaonlinebr.com", true },
  { "lalunecreative.com", true },
  { "lalyre-corcelles.ch", false },
  { "lamakat.de", true },
  { "lamaletarural.es", true },
  { "lamapoll.de", true },
  { "lamargheritalruoto.it", true },
  { "lamasacre.tk", true },
  { "lambangcapgiare.com", true },
  { "lambauer.com", true },
  { "lambda.dance", true },
  { "lambda.sx", true },
  { "lambertshealthcare.co.uk", true },
  { "lambertz.xyz", true },
  { "lamboo.be", true },
  { "lamchannang.com", true },
  { "lamclam.site", true },
  { "lamconnect.com", true },
  { "lamdav.com", true },
  { "lamikvah.org", true },
  { "laminine.info", true },
  { "laminsaho.tk", true },
  { "lammersmarketing.com", true },
  { "lamnea.se", true },
  { "lamnhom.com.vn", true },
  { "lamontre.ru", true },
  { "lamp.re", false },
  { "lamp24.se", true },
  { "lampade.it", true },
  { "lampara.es", true },
  { "lampegiganten.dk", true },
  { "lampegiganten.no", true },
  { "lampen24.be", true },
  { "lampen24.nl", true },
  { "lampenwelt.at", true },
  { "lampenwelt.ch", true },
  { "lampenwelt.de", true },
  { "lampposthomeschool.com", true },
  { "lampy.pl", true },
  { "lamujerquesoy.com", false },
  { "lamunyonfoundationrepair.com", true },
  { "lan.biz.tr", true },
  { "lan4.life", true },
  { "lana.swedbank.se", true },
  { "lanahallen.com", true },
  { "lanbroa.eu", true },
  { "lancelafontaine.com", true },
  { "lancelhoff.com", true },
  { "lancemanion.com", true },
  { "lancers.jp", true },
  { "lanceyip.com", true },
  { "lancyvbc.ch", false },
  { "land.nrw", false },
  { "landassessmentservices.com", true },
  { "landbetweenthelakes.us", true },
  { "landchecker.com.au", true },
  { "landegge.nl", true },
  { "landflair-magazin.de", false },
  { "landhaus-havelse.de", true },
  { "landinfo.no", true },
  { "landingear.com", true },
  { "landlordy.com", true },
  { "landofelves.net", false },
  { "landoncreekapartments.com", true },
  { "landsbankinn.com", true },
  { "landsbref.is", true },
  { "landscape-photography.org", true },
  { "landscapelightingagoura.com", true },
  { "landscapelightingagourahills.com", true },
  { "landscapelightingcalabasas.com", true },
  { "landscapelightingcamarillo.com", true },
  { "landscapelightingconejovalley.com", true },
  { "landscapelightingdosvientos.com", true },
  { "landscapelightinghiddenhills.com", true },
  { "landscapelightinglakesherwood.com", true },
  { "landscapelightingmalibu.com", true },
  { "landscapelightingmoorpark.com", true },
  { "landscapelightingnewburypark.com", true },
  { "landscapelightingoakpark.com", true },
  { "landscapelightingsimivalley.com", true },
  { "landscapelightingthousandoaks.com", true },
  { "landscapelightingwestlakevillage.com", true },
  { "landscapephotography.org.au", true },
  { "landyparts.nl", true },
  { "lanetix.com", true },
  { "lanforalla.se", true },
  { "lang-php.com", true },
  { "langadeduero.tk", true },
  { "langapi.com", true },
  { "langatang.com", true },
  { "langbein.org", true },
  { "langduytinh.com", true },
  { "langgasse-baar.ch", true },
  { "langhun.me", true },
  { "langkawihomestay.net", true },
  { "langkawitrip.com", true },
  { "langleyporter.com", true },
  { "langsam-dator.se", true },
  { "langstreckensaufen.de", true },
  { "languagecourse.net", true },
  { "languageterminal.com", true },
  { "langworth.com", true },
  { "langzijn.nl", true },
  { "lanna.io", true },
  { "lannainnovation.com", true },
  { "lannamontessori.com", true },
  { "lannatefl.com", true },
  { "lanodan.eu", true },
  { "lanostrasalute.it", true },
  { "lanparty.si", true },
  { "lanre.org", true },
  { "lanroamer.de", true },
  { "lansechensilu.com", true },
  { "lanselot.com", true },
  { "lansoftware.eu", true },
  { "lanternalauth.com", true },
  { "lanternhealth.org", true },
  { "lantian.pub", true },
  { "lanturtle.com", true },
  { "lanuovariviera.it", true },
  { "lanzalex.com", true },
  { "lanzamientovirtual.es", true },
  { "lanzarote-online.info", true },
  { "laobayy.com", true },
  { "laoliang.ml", true },
  { "laopcionb.net", true },
  { "laoriginalfm.com", true },
  { "laos.dating", true },
  { "lapacho-tee.de", true },
  { "lapageamelkor.org", true },
  { "lapassiondutrading.com", false },
  { "lapatio.dk", true },
  { "lapcameradongnai.com", true },
  { "lapcamerahochiminh.com", true },
  { "lapelpinsandcoins.com", true },
  { "lapicena.eu", true },
  { "lapidge.net", true },
  { "laplacesicherheit.de", true },
  { "laplanetebleue.com", true },
  { "lapolla.com", true },
  { "lapolvora.ga", true },
  { "laportedufutur.org", true },
  { "lapotagere.ch", false },
  { "lapparente-aise.ch", false },
  { "lappari.com", false },
  { "laprensadelasagradafamilia.org", true },
  { "lapseofsanity.net", true },
  { "lapshore.com", true },
  { "laqueuedevache.be", true },
  { "lara.photography", true },
  { "larabergmann.de", true },
  { "laracode.eu", true },
  { "laraeph.com", true },
  { "laramewa.tk", true },
  { "laranara.se", true },
  { "laranjada.org", true },
  { "larasm.tk", true },
  { "laraveldirectory.com", true },
  { "larbertbaptist.org", true },
  { "lareclame.fr", true },
  { "larepublicacultural.es", true },
  { "lares.com", true },
  { "larete.ch", true },
  { "largeandhighquality.com", true },
  { "largescaleforums.com", true },
  { "largeviewer.com", true },
  { "lariposte.org", true },
  { "lariscus.eu", true },
  { "larondinedisinfestazione.com", true },
  { "larpkalender.ch", true },
  { "larraz.es", true },
  { "larryandprisca.it", true },
  { "larryli.cn", true },
  { "larrysalibra.com", true },
  { "lars-ewald.com", true },
  { "lars-kusch.de", true },
  { "lars-mense.de", true },
  { "lars-minecraft.de", true },
  { "lars.cloud", true },
  { "lars.moi", true },
  { "larsklene.nl", true },
  { "larsklint.com", true },
  { "larsnittve.tk", true },
  { "larsson-ornmark.se", true },
  { "lartduportrait.fr", true },
  { "laruga.co.uk", true },
  { "lasabina.it", true },
  { "lasabubillas.es", true },
  { "lasalle.wa.edu.au", true },
  { "lasarmas.com", true },
  { "lasavonnerieducroisic.fr", true },
  { "lascana.co.uk", true },
  { "lasdelgadas.tk", true },
  { "lasept.com.ua", true },
  { "lasercareestetica.com.br", true },
  { "lasereyess.net", true },
  { "laserhealthsolutions.com", true },
  { "laserpc.net", true },
  { "laserplaza.de", true },
  { "laserplaza.net", true },
  { "lasersandbacon.com", true },
  { "lask.in", true },
  { "laskas.pl", true },
  { "lasowy.com", true },
  { "laspequenassemillas.com", true },
  { "lasranas.es", true },
  { "lasrecetascocina.com", true },
  { "lassesworld.com", true },
  { "lassesworld.se", true },
  { "lassovideos.com", true },
  { "last-strike.org", true },
  { "lastcraft.ru", true },
  { "lastpass.com", false },
  { "lasuzefc.fr", true },
  { "lasvegasescortmagazine.com", true },
  { "lasvegasgfegirls.com", true },
  { "lat.sk", true },
  { "latabaccheria.net", true },
  { "late.am", false },
  { "latecnosfera.com", true },
  { "latedeals.co.uk", true },
  { "latenitefilms.com", false },
  { "laterremotodealcorcon.tk", true },
  { "latestdeals.co.uk", true },
  { "latiendauno.com", true },
  { "latiendawapa.com", true },
  { "latino.dating", true },
  { "latitudesign.com", false },
  { "latremebunda.com", true },
  { "lattyware.co.uk", true },
  { "lattyware.com", true },
  { "latvijashipoteka.lv", true },
  { "laubacher.io", true },
  { "lauchundei.at", true },
  { "laudableapps.com", true },
  { "laudablesites.com", true },
  { "laudwein.fr", true },
  { "lauensteiner.de", false },
  { "laufpix.de", true },
  { "lauftreff-himmelgeist.de", true },
  { "laukstein.com", true },
  { "launayflorian.net", true },
  { "launch-subtitle.com", true },
  { "launcher-minecraft.com", true },
  { "launchgroup.com.au", true },
  { "launchmylifend.com", true },
  { "launchpad-app2.com", true },
  { "launchpadder2.com", true },
  { "lauraandwill.wedding", false },
  { "laurable.com", true },
  { "lauraenvoyage.fr", true },
  { "laurajeandesigns.com", true },
  { "laurakashiwase.com", true },
  { "lauralep.sy", true },
  { "lauralinde.de", true },
  { "lauraofrank.com", true },
  { "lauraohagan.com", true },
  { "laurasplacefamilysupport.org.au", true },
  { "laurelblack.com", true },
  { "laurenball.com", true },
  { "laurencball.com", true },
  { "laurenceplouffe.com", true },
  { "laurenlobue.com", true },
  { "laurensvanderblom.nl", true },
  { "lauresta.lt", true },
  { "lauresta.lv", true },
  { "lauriemilne.com", true },
  { "laurineprice.com", true },
  { "lauriuc.sk", true },
  { "lausannedentiste.ch", false },
  { "laut.digital", true },
  { "lauxzahnheilkunde.de", true },
  { "lauzon-hitter.com", true },
  { "lavabit.com", true },
  { "lavabit.no", true },
  { "lavaggista.it", true },
  { "lavalite.de", true },
  { "lavalon.tk", true },
  { "lavamob.com", true },
  { "lavanderia.roma.it", true },
  { "lavaux.lv", true },
  { "laviedalex.ovh", true },
  { "lavinaec.com", true },
  { "lavinya.net", true },
  { "lavita.de", true },
  { "lavitaura.com", true },
  { "lavoieducoeur.be", true },
  { "lavoiepharmd.com", true },
  { "lavolte.net", true },
  { "lavozdelamusicachilena.tk", true },
  { "lavril.fr", true },
  { "law-colleges.com", true },
  { "law-iku.pro", true },
  { "law-peters.de", true },
  { "law-profile.com", true },
  { "law.co.il", true },
  { "law22.com", true },
  { "lawabidingcactus.com", true },
  { "lawda.ml", true },
  { "lawlessenglish.com", true },
  { "lawlessfrench.com", true },
  { "lawlessrepublic.com", true },
  { "lawlessspanish.com", true },
  { "lawn-seeds.com", true },
  { "lawnuk.com", true },
  { "lawrencemurgatroyd.com", true },
  { "lawrencewhiteside.com", true },
  { "lawservice.com.ua", true },
  { "lawyer.cf", true },
  { "lawyerkf.com", true },
  { "lawyermidrand.co.za", true },
  { "layazc.com", true },
  { "laylo.io", true },
  { "laylo.nl", true },
  { "layordesign.co.uk", true },
  { "layoutsatzunddruck.de", true },
  { "lazau.com", true },
  { "lazer.cf", true },
  { "lazerengravingpros.com", true },
  { "lazistance.com", true },
  { "lazo.futbol", true },
  { "lazurit.com", true },
  { "lazyboston.com", true },
  { "lazyclock.com", true },
  { "lazyframe.com", true },
  { "lazyhelp.com", true },
  { "lazytux.org", true },
  { "lb-toner.de", true },
  { "lb266.net", true },
  { "lbarrios.es", true },
  { "lbayer.com", true },
  { "lbc-podcast.tk", true },
  { "lbc.gr", true },
  { "lbda.net", true },
  { "lbgconsultores.com", true },
  { "lbihrhelpdesk.com", true },
  { "lbmblaasmuziek.nl", true },
  { "lbs-logics.com", true },
  { "lbsistemas.com.mx", true },
  { "lbux.org", true },
  { "lc-cs.com", false },
  { "lc-promiss.de", true },
  { "lc-suites.gr", true },
  { "lc0101.com", true },
  { "lc0188.com", true },
  { "lc040.com", true },
  { "lc0404g.com", true },
  { "lc044.com", true },
  { "lc0606g.com", true },
  { "lc0808.com", true },
  { "lc08080.com", true },
  { "lc10086.com", true },
  { "lc1010g.com", true },
  { "lc1212g.com", true },
  { "lc1313.com", true },
  { "lc1414.com", true },
  { "lc1588.com", true },
  { "lc1616.com", true },
  { "lc1616g.com", true },
  { "lc171.com", true },
  { "lc1717.com", true },
  { "lc18.fun", true },
  { "lc18.ph", true },
  { "lc18.vip", true },
  { "lc1800.com", true },
  { "lc1818.net", true },
  { "lc1904.com", true },
  { "lc204.com", true },
  { "lc2121g.com", true },
  { "lc221.com", true },
  { "lc2222g.com", true },
  { "lc2323g.com", true },
  { "lc2424.com", true },
  { "lc245.com", true },
  { "lc2500.com", true },
  { "lc2525.com", true },
  { "lc2727.com", true },
  { "lc2828.com", true },
  { "lc287.com", true },
  { "lc3131.com", true },
  { "lc3131g.com", true },
  { "lc3232g.com", true },
  { "lc3434g.com", true },
  { "lc3708.com", true },
  { "lc3709.com", true },
  { "lc3710.com", true },
  { "lc3711.com", true },
  { "lc3712.com", true },
  { "lc3713.com", true },
  { "lc3714.com", true },
  { "lc3715.com", true },
  { "lc3716.com", true },
  { "lc3717.com", true },
  { "lc3718.com", true },
  { "lc3719.com", true },
  { "lc3720.com", true },
  { "lc3723.com", true },
  { "lc3724.com", true },
  { "lc3725.com", true },
  { "lc3726.com", true },
  { "lc3727.com", true },
  { "lc3728.com", true },
  { "lc3729.com", true },
  { "lc3731.com", true },
  { "lc3732.com", true },
  { "lc3733.com", true },
  { "lc3736.com", true },
  { "lc3738.com", true },
  { "lc3739.com", true },
  { "lc3741.com", true },
  { "lc3742.com", true },
  { "lc3743.com", true },
  { "lc3744.com", true },
  { "lc3745.com", true },
  { "lc3746.com", true },
  { "lc3747.com", true },
  { "lc3748.com", true },
  { "lc3751.com", true },
  { "lc3752.com", true },
  { "lc3757.com", true },
  { "lc3759.com", true },
  { "lc3760.com", true },
  { "lc3763.com", true },
  { "lc3772.com", true },
  { "lc3774.com", true },
  { "lc3776.com", true },
  { "lc3778.com", true },
  { "lc3779.com", true },
  { "lc3780.com", true },
  { "lc3781.com", true },
  { "lc3782.com", true },
  { "lc3783.com", true },
  { "lc3793.com", true },
  { "lc3794.com", true },
  { "lc3795.com", true },
  { "lc3798.com", true },
  { "lc3801.com", true },
  { "lc3838g.com", true },
  { "lc389.com", true },
  { "lc3939.com", true },
  { "lc432.com", true },
  { "lc4343g.com", true },
  { "lc460.com", true },
  { "lc50000.com", true },
  { "lc5081.com", true },
  { "lc5188.net", true },
  { "lc530.com", true },
  { "lc5353.com", true },
  { "lc5454.com", true },
  { "lc5454g.com", true },
  { "lc555.net", true },
  { "lc5555g.com", true },
  { "lc5668.com", true },
  { "lc58588.com", true },
  { "lc5998.com", true },
  { "lc6.fun", true },
  { "lc60000.com", true },
  { "lc6060.com", true },
  { "lc6161.com", true },
  { "lc6161g.com", true },
  { "lc6262.com", true },
  { "lc6363.com", true },
  { "lc6363g.com", true },
  { "lc6464.com", true },
  { "lc6565g.com", true },
  { "lc6601.com", true },
  { "lc6602.com", true },
  { "lc6603.com", true },
  { "lc6605.com", true },
  { "lc6607.com", true },
  { "lc6609.com", true },
  { "lc6621.com", true },
  { "lc6623.com", true },
  { "lc6625.com", true },
  { "lc6626.com", true },
  { "lc6627.com", true },
  { "lc6629.com", true },
  { "lc6631.com", true },
  { "lc6632.com", true },
  { "lc6635.com", true },
  { "lc6636.com", true },
  { "lc6637.com", true },
  { "lc6638.com", true },
  { "lc6639.com", true },
  { "lc6651.com", true },
  { "lc6652.com", true },
  { "lc6653.com", true },
  { "lc6656.com", true },
  { "lc6657.com", true },
  { "lc6659.com", true },
  { "lc6662.com", true },
  { "lc6663.com", true },
  { "lc6666g.com", true },
  { "lc6667.com", true },
  { "lc6668.com", true },
  { "lc6669.com", true },
  { "lc6683.com", true },
  { "lc6698.com", true },
  { "lc6767.com", true },
  { "lc68.net", true },
  { "lc6800.com", true },
  { "lc6801.com", true },
  { "lc6802.com", true },
  { "lc6803.com", true },
  { "lc6805.com", true },
  { "lc6806.com", true },
  { "lc6807.com", true },
  { "lc6808.com", true },
  { "lc6809.com", true },
  { "lc6810.com", true },
  { "lc6811.com", true },
  { "lc6812.com", true },
  { "lc6813.com", true },
  { "lc6815.com", true },
  { "lc6816.com", true },
  { "lc6817.com", true },
  { "lc68686.com", true },
  { "lc68688.com", true },
  { "lc6868g.com", true },
  { "lc68690.com", true },
  { "lc68692.com", true },
  { "lc68694.com", true },
  { "lc68695.com", true },
  { "lc68696.com", true },
  { "lc68697.com", true },
  { "lc68698.com", true },
  { "lc68699.com", true },
  { "lc6880.com", true },
  { "lc68880.com", true },
  { "lc68881.com", true },
  { "lc68882.com", true },
  { "lc68884.com", true },
  { "lc68888.com", true },
  { "lc690.com", true },
  { "lc7.fun", true },
  { "lc7171g.com", true },
  { "lc7373.com", true },
  { "lc7575.com", true },
  { "lc7676.com", true },
  { "lc7676g.com", true },
  { "lc777.net", true },
  { "lc7979.com", true },
  { "lc8.fun", true },
  { "lc8.live", true },
  { "lc8003.com", true },
  { "lc8020.com", true },
  { "lc8023.com", true },
  { "lc8032.com", true },
  { "lc8033.com", true },
  { "lc8036.com", true },
  { "lc8038.com", true },
  { "lc8050.com", true },
  { "lc8052.com", true },
  { "lc818.net", true },
  { "lc8282.com", true },
  { "lc8383g.com", true },
  { "lc8585g.com", true },
  { "lc861.com", true },
  { "lc862.com", true },
  { "lc863.com", true },
  { "lc869.com", true },
  { "lc871.com", true },
  { "lc873.com", true },
  { "lc875.com", true },
  { "lc8787.com", true },
  { "lc879.com", true },
  { "lc88.fun", true },
  { "lc8812.com", true },
  { "lc8813.com", true },
  { "lc8815.com", true },
  { "lc8816.com", true },
  { "lc8817.com", true },
  { "lc8819.com", true },
  { "lc8820.com", true },
  { "lc8823.com", true },
  { "lc8825.com", true },
  { "lc8826.com", true },
  { "lc8835.com", true },
  { "lc8836.com", true },
  { "lc8838.com", true },
  { "lc8839.com", true },
  { "lc8841.com", true },
  { "lc88508.com", true },
  { "lc8856.com", true },
  { "lc8859.com", true },
  { "lc8861.com", true },
  { "lc8862.com", true },
  { "lc8863.com", true },
  { "lc8866.com", true },
  { "lc8868.net", true },
  { "lc8869.com", true },
  { "lc8870.com", true },
  { "lc8874.com", true },
  { "lc8878.com", true },
  { "lc8881.com", true },
  { "lc8882.com", true },
  { "lc8887.com", true },
  { "lc8888g.com", true },
  { "lc8890.com", true },
  { "lc8891.com", true },
  { "lc8892.com", true },
  { "lc8893.com", true },
  { "lc8896.com", true },
  { "lc8898.net", true },
  { "lc8900.com", true },
  { "lc891.com", true },
  { "lc8913.com", true },
  { "lc8920.com", true },
  { "lc8921.com", true },
  { "lc8922.com", true },
  { "lc8923.com", true },
  { "lc8927.com", true },
  { "lc893.com", true },
  { "lc8931.com", true },
  { "lc8932.com", true },
  { "lc8934.com", true },
  { "lc8935.com", true },
  { "lc8936.com", true },
  { "lc895.com", true },
  { "lc896.com", true },
  { "lc8a.com", true },
  { "lc8dc04.com", true },
  { "lc8dc08.com", true },
  { "lc8dc10.com", true },
  { "lc8dc11.com", true },
  { "lc8dc12.com", true },
  { "lc8dc13.com", true },
  { "lc8dc14.com", true },
  { "lc8dc16.com", true },
  { "lc8dc17.com", true },
  { "lc8dc20.com", true },
  { "lc8dc21.com", true },
  { "lc8dc22.com", true },
  { "lc8dc24.com", true },
  { "lc8dc27.com", true },
  { "lc8dc29.com", true },
  { "lc8guidance.com", true },
  { "lc8md00.com", true },
  { "lc8md01.com", true },
  { "lc8md02.com", true },
  { "lc8md03.com", true },
  { "lc8md08.com", true },
  { "lc8md11.com", true },
  { "lc8md26.com", true },
  { "lc8md28.com", true },
  { "lc8md30.com", true },
  { "lc8md31.com", true },
  { "lc8md33.com", true },
  { "lc8md35.com", true },
  { "lc8md55.com", true },
  { "lc8md88.com", true },
  { "lc9090.com", true },
  { "lc9251.com", true },
  { "lc9253.com", true },
  { "lc9292.com", true },
  { "lc9393g.com", true },
  { "lc9494.com", true },
  { "lc9494g.com", true },
  { "lc9797.com", true },
  { "lc98.net", true },
  { "lc9938.com", true },
  { "lc9939.com", true },
  { "lc9960.com", true },
  { "lc9968.com", true },
  { "lc9986.com", true },
  { "lca-pv.de", true },
  { "lcacommons.gov", true },
  { "lcars-sv.info", true },
  { "lcdf.education", true },
  { "lce-events.com", true },
  { "lcgaj.com", true },
  { "lcv.psc.br", true },
  { "lcvip4.com", true },
  { "lcvip5.com", true },
  { "lcvip7.com", true },
  { "lcvip8.net", true },
  { "lcvip9.com", true },
  { "lcy.im", false },
  { "lcy.moe", true },
  { "ld-begunjscica.si", true },
  { "ld66999.com", true },
  { "ld6999.com", true },
  { "ldjb.jp", true },
  { "ldm2468.com", true },
  { "ldsun.com", true },
  { "ldts.es", true },
  { "le-bar.org", true },
  { "le-caprice.co.uk", true },
  { "le-controle-parental.fr", true },
  { "le-creux-du-van.ch", false },
  { "le-drive-de-just-vet.fr", true },
  { "le-fumoir.com", true },
  { "le-h.de", false },
  { "le-page.info", false },
  { "le-palantir.com", true },
  { "le-traiteur-parisien.fr", false },
  { "le-upfitter.com", true },
  { "le056.com", true },
  { "le23.fr", true },
  { "le42mars.fr", true },
  { "le518.net", true },
  { "leadbook.ru", true },
  { "leadbox.cz", true },
  { "leadership-conference.net", true },
  { "leadinfo.com", true },
  { "leadquest.nl", true },
  { "leaf-consulting.de", true },
  { "leafandseed.co.uk", true },
  { "leafans.tk", false },
  { "leafinote.com", true },
  { "leafland.co.nz", true },
  { "leafletdistributionmanchester.com", true },
  { "leakforums.net", true },
  { "leakplay.com", true },
  { "leamsigc.com", false },
  { "leandromoreno.co", true },
  { "leankit.com", true },
  { "leanplando.com", true },
  { "leap-it.be", false },
  { "leapandjump.co.uk", true },
  { "leapworks.io", true },
  { "learncrypto.live", true },
  { "learncrypto.show", true },
  { "learncrypto.vip", true },
  { "learnflakes.net", true },
  { "learnhowtoplayguitar.tk", true },
  { "learning-id.com", true },
  { "learningis1.st", true },
  { "learningladderacademy.net", true },
  { "learninglaw.com", true },
  { "learningman.top", true },
  { "learningselfreliance.com", true },
  { "learnlux.com", true },
  { "learnplayground.com", true },
  { "learntohack.me", true },
  { "leaseplan.com", true },
  { "leastsignificantbit.de", true },
  { "leatam.fr", true },
  { "leatherfurnitureexpo.com", true },
  { "leathersofacleaning.co.uk", true },
  { "leatherwill.com.ua", true },
  { "leatherwood.nl", true },
  { "leaving.africa", true },
  { "lebalcondesraspes.com", true },
  { "lebanesearmy.gov.lb", true },
  { "lebanonbitcoin.com", true },
  { "lebarmy.gov.lb", true },
  { "lebeachvillage.com", true },
  { "lebendige-heilkunst.de", true },
  { "lebens-fluss.at", true },
  { "lebensraum-fitness-toenisvorst.de", true },
  { "lebensraum-kurse.ch", true },
  { "lebihan.pl", true },
  { "leblanc.io", true },
  { "lebourgeo.is", true },
  { "lecannabis.com", true },
  { "lecannabiste.com", true },
  { "lecannabiste.uk", true },
  { "lecatal.ca", true },
  { "lecheng08.com", true },
  { "lecheng518.com", true },
  { "lecheng5288.com", true },
  { "lecheng5888.com", true },
  { "lecheng66.com", true },
  { "lecheng88.com", true },
  { "lecheng888.com", true },
  { "lecheng98.com", true },
  { "lecheng98.net", true },
  { "lecheng988.com", true },
  { "leclubnestlereunion.re", true },
  { "lectricecorrectrice.com", true },
  { "led-jihlava.cz", true },
  { "ledburyvets.co.uk", true },
  { "leddingplasticsurgery.com", true },
  { "ledecologie.com.br", true },
  { "ledeguisement.com", true },
  { "lederer-it.com", true },
  { "ledlight.com", true },
  { "ledlights.ca", true },
  { "ledscontato.com.br", true },
  { "ledspadova.eu", true },
  { "ledspalluto.de", true },
  { "ledwereld.nl", true },
  { "lee-fuller.co.uk", true },
  { "leeaaronsrealestate.com", true },
  { "leeannescreations.com", true },
  { "leebiblestudycentre.co.uk", true },
  { "leeclemens.net", false },
  { "leedev.org", true },
  { "leekspin.ml", true },
  { "leelaylay.com", true },
  { "leemachinetools.com", true },
  { "leemankuiper.nl", true },
  { "leendebroekertfonds.nl", true },
  { "leerliga.de", true },
  { "leesilvey.com", true },
  { "leesyal.org", true },
  { "leetcode.com", true },
  { "leetcode.net", true },
  { "leetgamers.asia", true },
  { "leevealdc.com", true },
  { "leeyoungaeph.tk", true },
  { "lefcoaching.nl", false },
  { "lefebvristes.com", true },
  { "lefebvristes.fr", true },
  { "leflibustier.ru", true },
  { "lefonddeloeil.com", false },
  { "left-baggage.co.uk", true },
  { "leftbankdesign.net", true },
  { "leftbrainsolutions.com.au", true },
  { "leftclick.be", true },
  { "leftclick.cloud", true },
  { "leftclick.es", true },
  { "leftclick.eu", true },
  { "leftclick.fr", true },
  { "leftclick.nl", true },
  { "legabot.fr", true },
  { "legacyiohs.org", true },
  { "legaillart.fr", true },
  { "legalatlanta.com", true },
  { "legalband.club", true },
  { "legalcontrol.info", true },
  { "legalforms.ng", true },
  { "legalinmotion.es", true },
  { "legalplace.fr", true },
  { "legalrobot.com", true },
  { "legalsearch.nl", true },
  { "legalsoftware.net", true },
  { "legend-v.life", true },
  { "legendary-royale.net", true },
  { "legendcatz.com", true },
  { "legendesdechine.ch", false },
  { "legendofkrystal.com", true },
  { "legends-game.ru", false },
  { "legible.es", true },
  { "legion.ge", true },
  { "legioniv.org", true },
  { "legiscontabilidade.com.br", true },
  { "legit.nz", true },
  { "legjobblogo.hu", true },
  { "legland.fr", true },
  { "legnami24.it", true },
  { "legoutdesplantes.be", true },
  { "legrandvtc.fr", true },
  { "legumeinfo.org", true },
  { "legyenkianegykereked.hu", true },
  { "lehighvalleypeds.com", true },
  { "lehmitz-weinstuben.de", true },
  { "lehouerou.net", true },
  { "lehti-tarjous.net", true },
  { "leibniz-gymnasium-altdorf.de", true },
  { "leideninternationalreview.com", true },
  { "leighneithardt.com", true },
  { "leignier.org", true },
  { "leilonorte.com", true },
  { "leipzig.photo", true },
  { "leipziger-triathlon.de", true },
  { "leisure-blog.com", true },
  { "leisure-supplies-show.co.uk", true },
  { "leisurepools.com.au", true },
  { "leiyinan.com", true },
  { "lejardindesmesanges.fr", true },
  { "lektier.cf", true },
  { "lelac-capfrance.com", false },
  { "lele13.cn", true },
  { "lelo.com.pl", true },
  { "lelubre.info", true },
  { "lelux.fi", true },
  { "lelux.site", true },
  { "lemagauto.fr", true },
  { "lemarcheelagrandeguerra.it", true },
  { "lemazol.fr", true },
  { "lemilane.it", true },
  { "lemni.top", true },
  { "lemoine.at", true },
  { "lemondenumerique.com", true },
  { "lemonlawnow.com", true },
  { "lemonop.com", true },
  { "lemonparty.co", true },
  { "lemonrockbiketours.com", true },
  { "lemonthy.com", true },
  { "lenafonster.se", true },
  { "lenagroben.de", true },
  { "lenalio.fr", true },
  { "lenaneva.ru", false },
  { "lence.net", true },
  { "lencia.ga", true },
  { "lendingclub.com", true },
  { "lenguajedeprogramacion.com", true },
  { "lenidh.de", true },
  { "leninalbertop.com.ve", true },
  { "lenn-blaschke.com", true },
  { "lenostech.gr", true },
  { "lenou.nl", true },
  { "lenovovietnam.net", true },
  { "lenr-forum.com", true },
  { "lensdoctor.com", true },
  { "lenspirations.com", true },
  { "lensual.space", true },
  { "lentivo.com", true },
  { "lenuagebauche.org", true },
  { "lenyip.com", true },
  { "lenyip.me", true },
  { "lenyip.works", true },
  { "leoandpeto.com", true },
  { "leochedibracchio.com", true },
  { "leodraxler.at", true },
  { "leola.cz", true },
  { "leola.sk", true },
  { "leominstercu.com", false },
  { "leomwilson.com", true },
  { "leon-tec.co.jp", true },
  { "leon-tech.com", true },
  { "leon.wtf", true },
  { "leonardocremonesi.it", true },
  { "leonbuitendam.nl", true },
  { "leondenard.com", true },
  { "leonklingele.de", true },
  { "leonmahler.consulting", true },
  { "leontiekoetter.de", true },
  { "leontyev.tk", true },
  { "leonvermunt.nl", true },
  { "leopoldina.net", false },
  { "leoservicos.etc.br", true },
  { "leoservicosetc.com", true },
  { "leoservicosetc.email", true },
  { "leoservicosetc.live", true },
  { "leoservicosetc.net", true },
  { "leoservicosetc.online", true },
  { "leoservicosetc.org", true },
  { "leoservicosetc.rio.br", true },
  { "leoservicosetc.store", true },
  { "leoservicosetc.world", true },
  { "leovanna.co.uk", true },
  { "leowkahman.com", true },
  { "lep.gov", true },
  { "lepenetapeti.com", true },
  { "lepsos.com", false },
  { "lequerceagriturismo.com", true },
  { "lequest.dk", true },
  { "lequocthai.com", true },
  { "lerasenglish.com", true },
  { "lerefugedujambon.com", true },
  { "leretour.ch", false },
  { "lerku.com", true },
  { "lermer.nl", true },
  { "lernenamsee.ch", true },
  { "lernerspersonalinjury.ca", true },
  { "lernorteuropa.com", true },
  { "lernorteuropa.de", true },
  { "lernorteuropa.eu", true },
  { "lernplattform-akademie.de", true },
  { "leruevintage.com", true },
  { "les-ateliers-de-melineo.be", false },
  { "les-explos.com", true },
  { "les-inoxydables.com", true },
  { "lesacredescouleurs.fr", true },
  { "lesaffre.es", true },
  { "lesalpinistes.com", true },
  { "lesancheslibres.fr", true },
  { "lesarts.com", true },
  { "lesberger.ch", false },
  { "lesbi-porno-video.ru", true },
  { "lesbianlovers.tk", true },
  { "lesbrillantsdaristide.com", true },
  { "lesconteursavis.org", true },
  { "lescrapdesfilles.fr", true },
  { "leseditionsbraquage.com", true },
  { "lesfilmsavivre.com", true },
  { "lesgarianes.com", true },
  { "lesgoodnews.fr", true },
  { "leshervelines.com", true },
  { "leshok.tk", true },
  { "lesjardinsdubanchet.fr", true },
  { "lesmamy.ch", false },
  { "lesmontagne.net", true },
  { "lesnet.co.uk", true },
  { "lespagesweb.ch", false },
  { "lespecialiste-pradelexcellence.com", true },
  { "lesplatanes.ch", false },
  { "lespoesiesdheloise.fr", true },
  { "lespret.nl", true },
  { "lesptitstutos.fr", true },
  { "lesquerda.cat", false },
  { "lessentieldanthony.fr", true },
  { "lessis.moe", true },
  { "lesterchan.net", true },
  { "lesterrassesdusoleil.ch", false },
  { "lesummeira.is", true },
  { "lesyndicat.info", false },
  { "leszonderstress.nl", true },
  { "letaman.tk", true },
  { "letdownloads.tk", true },
  { "letemps.ch", true },
  { "letempsdujasmin.fr", true },
  { "letertrefleuri.com", true },
  { "lethosdesigns.co.uk", true },
  { "lethosdesigns.com", true },
  { "leticia.ml", true },
  { "letni-kurzy.cz", true },
  { "leto12.xyz", true },
  { "letranif.net", true },
  { "lets-bounce.com", true },
  { "lets-go-acoustic.de", true },
  { "lets-ktai.jp", true },
  { "lets.nu", true },
  { "letsbounceuk.com", true },
  { "letsbrand.com", true },
  { "letsdebug.net", true },
  { "letsencrypt-for-cpanel.com", true },
  { "letsflyinto.space", true },
  { "letsgame.nl", true },
  { "letsgetchecked.com", true },
  { "letsgowhilewereyoung.com", true },
  { "letsorganise.uk", true },
  { "letspartyrugby.co.uk", true },
  { "letsprint3d.net", true },
  { "letssackcancer.org", true },
  { "letstalkcounseling.com", true },
  { "letterbox-online.de", true },
  { "letterdance.de", true },
  { "letteringinstitute.com", true },
  { "lettersblogatory.com", true },
  { "lettings101.org", true },
  { "lettori.club", true },
  { "lettres-motivation.net", true },
  { "leuchtmann.ch", true },
  { "leuenhagen.com", true },
  { "leulu.com", true },
  { "leumi-how-to.co.il", true },
  { "leutgeb.xyz", true },
  { "leuthardtfamily.com", true },
  { "lev103.com", true },
  { "levans.fr", true },
  { "levante.net.nz", true },
  { "level-10.de", true },
  { "level9hvac.com", true },
  { "levelonetrainingandfitness.com", true },
  { "levels.one", true },
  { "levels3d.com", true },
  { "leveluplv.com", true },
  { "leveluprankings.com", true },
  { "levendwater.org", true },
  { "levensbron.nl", true },
  { "leventismotors.com.ng", true },
  { "leveragedtokens.com", true },
  { "leverj.io", true },
  { "levermann.eu", true },
  { "leviaan.nl", true },
  { "leviathan-studio.com", true },
  { "levidromelist.com", true },
  { "levineteamestates.com", true },
  { "levinus.de", true },
  { "levis.fun", true },
  { "leviscop.com", true },
  { "leviscop.de", true },
  { "levshamaster.org", true },
  { "lew.im", true },
  { "lewdawson.com", true },
  { "lewdgamer.com", true },
  { "lewiatan.opole.pl", true },
  { "lewiscollard.com", true },
  { "lewisdatasecurity.com", true },
  { "lewislaw.com", true },
  { "lewisllewellyn.me", true },
  { "lewismcyoutube.uk", true },
  { "lexautoservice.nl", true },
  { "lexblog.com", true },
  { "lexdigital.pl", true },
  { "lexic.co", true },
  { "lexico.pt", true },
  { "lexicography.online", true },
  { "lexikon24.tk", true },
  { "lexitravels.com", true },
  { "lexpierce.social", true },
  { "lexway.pk", true },
  { "leybelsgarden.cf", true },
  { "leymaritima.com", true },
  { "lfashion.eu", true },
  { "lfgss.com", true },
  { "lfyhokk.tk", true },
  { "lg-waps.go.jp", true },
  { "lg-waps.jp", true },
  { "lg.gz.cn", true },
  { "lg2.com", true },
  { "lgbt-colleges.com", true },
  { "lgbt.io", true },
  { "lgbtq.cool", true },
  { "lgbusiness.es", true },
  { "lghfinancialstrategy.ch", false },
  { "lgpecasoriginais.com.br", true },
  { "lgygf.com", true },
  { "lhajn.cz", true },
  { "lhamaths.online", true },
  { "lhconsult.tk", false },
  { "lhero.org", true },
  { "lhgavarain.com", true },
  { "lhost.su", true },
  { "lhp-creation.com", true },
  { "lhp-creation.fr", true },
  { "lhr.wiki", true },
  { "li-ke.co.jp", true },
  { "li.gz.cn", true },
  { "li.search.yahoo.com", false },
  { "li680.com", true },
  { "lialion.de", true },
  { "liam-w.com", true },
  { "liam-w.io", true },
  { "liamelliott.me", true },
  { "liamlin.me", true },
  { "lian-in.com", true },
  { "liandongyoupin.com", true },
  { "liang-li88.com", true },
  { "liang-li88.net", true },
  { "lianglongcredit.com", true },
  { "liangxingai.com", true },
  { "liaronce.com", true },
  { "liautard.fr", true },
  { "lib64.net", true },
  { "libble.eu", true },
  { "libbywinberginteriors.com.au", true },
  { "liberapay.com", true },
  { "liberation2020.com", true },
  { "liberationist.org", true },
  { "liberationschool.org", true },
  { "liberdademg.com.br", true },
  { "liberhk.com", true },
  { "liberhk.info", true },
  { "liberhk.net", true },
  { "liberhk.org", true },
  { "liberta-me.org", true },
  { "libertas.co.jp", true },
  { "liberty-city.tk", true },
  { "liberty-med.ru", true },
  { "libertyachts.com", false },
  { "libertytereconoce.com", true },
  { "libertywines.co.uk", true },
  { "libertywines.ie", true },
  { "libgame.com", true },
  { "libmpq.org", true },
  { "libo766.net", true },
  { "liborburda.cz", true },
  { "libportal.cf", true },
  { "libra.com", true },
  { "librairiezbookstore.com", true },
  { "librarium.tk", true },
  { "library-quest.com", true },
  { "libraryextension.com", true },
  { "libraryofcode.org", true },
  { "librarytools.com", false },
  { "libravatar.org", true },
  { "librazy.org", true },
  { "libre-innovation.org", true },
  { "libre-service.de", true },
  { "libre.cr", true },
  { "libreboot.org", true },
  { "librebox.de", true },
  { "librehk.com", true },
  { "librehk.info", true },
  { "librehk.net", true },
  { "librehk.org", true },
  { "libreho.st", true },
  { "librelamp.com", true },
  { "libremail.nl", true },
  { "libreoffice-from-collabora.com", true },
  { "libreofficefromcollabora.com", true },
  { "libreria-ouroboros.tk", true },
  { "librervac.org", true },
  { "librespeed.org", true },
  { "librisulibri.it", true },
  { "librofilia.com", true },
  { "libscode.com", true },
  { "libskia.so", true },
  { "libsodium.org", true },
  { "libstock.si", true },
  { "liceo.cn", true },
  { "lichess.org", true },
  { "lichform.com", true },
  { "lichtmetzger.de", false },
  { "lichtspot.de", true },
  { "lichttechnik-tumler.com", true },
  { "lichttraeumer.de", true },
  { "lickthesalt.com", true },
  { "licloud.homeip.net", true },
  { "lida-vets.co.uk", true },
  { "lidavidm.me", true },
  { "lidel.org", true },
  { "lideradigital.com", true },
  { "liderwalut.pl", false },
  { "lidl-blumen.de", true },
  { "lidl-foto.it", true },
  { "lidl-fotos.at", true },
  { "lidl-fotos.de", true },
  { "lidl-gewinnspiel.de", true },
  { "lidl-holidays.com", true },
  { "lidl-immobilien.de", true },
  { "lidl-shop.be", true },
  { "lidl-shop.cz", true },
  { "lidl-shop.nl", true },
  { "lidl-shop.sk", true },
  { "lidl-sklep.pl", true },
  { "lidl-stikeez.si", true },
  { "lidl-tour.ro", true },
  { "lidl-vins.fr", true },
  { "lidlonline.es", true },
  { "lidogr.com", true },
  { "lidong.me", true },
  { "lidow.eu", true },
  { "lidtkemotors.com", true },
  { "liduan.net", false },
  { "liebel.org", true },
  { "lieberwirth.biz", true },
  { "liehuojun.com", true },
  { "liemen.net", true },
  { "lienhardtconstruction.fr", true },
  { "lieren4x4.nl", true },
  { "lierohell.tk", true },
  { "lieuu.com", false },
  { "lifanov.com", true },
  { "life-emotions.pt", true },
  { "life-in-hell.tk", true },
  { "life-time.nl", true },
  { "life29.com", true },
  { "lifeartstudios.net", true },
  { "lifebetweenlives.com.au", true },
  { "lifeboxhealthcare.co.uk", true },
  { "lifeeducationqld.org.au", true },
  { "lifefoto.de", true },
  { "lifeinhex.com", true },
  { "lifeinsurancepro.org", true },
  { "lifekirov.tk", true },
  { "lifelenz.com", true },
  { "lifematenutrition.com", true },
  { "lifemcserver.com", true },
  { "lifemstyle.com", true },
  { "lifeqa.net", true },
  { "lifesafety.com.br", true },
  { "lifesavvy.com", true },
  { "lifesavvymedia.com", true },
  { "lifeset.pp.ua", true },
  { "lifesharing.gr", true },
  { "lifeslonglist.com", true },
  { "lifestorage.com", true },
  { "lifestylediet.space", true },
  { "lifestylefinancial.ca", true },
  { "lifestylefoto.cz", true },
  { "lifetimeexteriors-us.com", true },
  { "lifetoolscdc.com", true },
  { "lifetree.network", true },
  { "lifewithdyna.com", true },
  { "lifi.digital", true },
  { "lifi.is", true },
  { "lift-wise.com", true },
  { "liftie.info", true },
  { "liftmastercloud.com", true },
  { "liftoff.rocks", true },
  { "ligadosgames.com", true },
  { "light-vision.com.ua", true },
  { "light.mail.ru", true },
  { "lightbox.co", true },
  { "lightcraftmc.tk", true },
  { "lightfoot.co.uk", true },
  { "lighthouseglobal.com", true },
  { "lighting-centres.co.uk", true },
  { "lightingagoura.com", true },
  { "lightingagourahills.com", true },
  { "lightingcalabasas.com", true },
  { "lightingconejovalley.com", true },
  { "lightingdosvientos.com", true },
  { "lightinghiddenhills.com", true },
  { "lightinglakesherwood.com", true },
  { "lightingmalibu.com", true },
  { "lightingmoorpark.com", true },
  { "lightingnewburypark.com", true },
  { "lightingoakpark.com", true },
  { "lightingsimivalley.com", true },
  { "lightingthousandoaks.com", true },
  { "lightingwestlakevillage.com", true },
  { "lightning-wallet.com", true },
  { "lightning.community", true },
  { "lightning.engineering", true },
  { "lightningwirelabs.com", true },
  { "lightography.com", true },
  { "lights.co.uk", true },
  { "lightscale.com", true },
  { "lightsfromspace.com", true },
  { "lightsheep.no", false },
  { "lightspeed.com", false },
  { "lightspeedta.co", true },
  { "lighttp.com", true },
  { "lightweighthr.com", true },
  { "lightyear.no", true },
  { "ligmadrive.com", true },
  { "lignesante.com", true },
  { "lignite.com", true },
  { "lignoma.com", true },
  { "ligonier.com", true },
  { "lihaul.dnsalias.net", true },
  { "lije-creative.com", true },
  { "lijncoaching.nl", true },
  { "lijstje.be", true },
  { "lijstje.nl", true },
  { "likc.me", true },
  { "likeablehub.com", true },
  { "likeabox.de", true },
  { "likebee.gr", true },
  { "likegeeks.com", true },
  { "likehifi.de", true },
  { "likemovies.de", true },
  { "likeometer.co", true },
  { "likere.com", true },
  { "likesforinsta.com", true },
  { "lilai107.com", true },
  { "lilai116.com", true },
  { "lilai2211.com", true },
  { "lilai3366.com", true },
  { "lilai6677.com", true },
  { "lilai838.com", true },
  { "lilai8866.com", true },
  { "lilai9966.com", true },
  { "lilianejuchli.ch", true },
  { "liliang13.com", true },
  { "lilith-magic.com", true },
  { "liljohnsanitary.net", true },
  { "lillepuu.com", true },
  { "lilliputpreschool.co.nz", true },
  { "lilomatrixcorner.fr", true },
  { "lilosaludable.com", true },
  { "lilpwny.com", true },
  { "lily-bearing.com", true },
  { "lily-inn.com", true },
  { "lilyfarmfreshskincare.com", true },
  { "lilysbouncycastles.com", true },
  { "lilysgrill.com", true },
  { "lilyvet.com", true },
  { "lim-light.com", true },
  { "limap.ch", true },
  { "limasartes.com.br", true },
  { "limawi.io", true },
  { "limbaido.tk", true },
  { "limberg.me", true },
  { "limbo.services", true },
  { "limit.xyz", true },
  { "limitededitioncomputers.com", true },
  { "limitededitionsolutions.com", true },
  { "limitlessinteractive.com", true },
  { "limitxyz.com", true },
  { "limo.pl", true },
  { "limoshka.ru", true },
  { "limpid.nl", true },
  { "limstash.com", true },
  { "limstash.me", true },
  { "limules.ch", true },
  { "limx.win", true },
  { "lin.fi", true },
  { "linafernandez.com.co", true },
  { "linaklein.de", true },
  { "lincdavis.com", true },
  { "lince-bonares.tk", true },
  { "lincnaarzorg.nl", true },
  { "lincoln.com.cn", true },
  { "lincoln.mx", true },
  { "lincolnfinewines.com", true },
  { "lincolnpedsgroup.com", true },
  { "lincolnwayflorist.com", true },
  { "lincore.ru", true },
  { "lindajahn.de", true },
  { "lindalap.fi", true },
  { "lindaolsson.com", true },
  { "linden.me", true },
  { "lindeskar.se", true },
  { "lindgrenracing.tk", true },
  { "lindnerhof-taktik.de", true },
  { "lindnerhof.info", true },
  { "lindo.ru", true },
  { "lindon.pw", true },
  { "lindquistnet.us", true },
  { "lindsaygorski.com", true },
  { "lindskogen.se", true },
  { "lindy.co", false },
  { "line-wise.com", true },
  { "line.biz", true },
  { "line.co.nz", false },
  { "lineageos.org", true },
  { "linearaudio.net", true },
  { "linearmap.com", true },
  { "lineshop.ml", true },
  { "linestep.jp", true },
  { "linge-ma.ro", true },
  { "lingerie.com.br", true },
  { "lingeriesilhouette.com", true },
  { "lingotaxi.com", true },
  { "linguatrip.com", true },
  { "link-net.ga", true },
  { "link-sanitizer.com", true },
  { "link2serve.com", true },
  { "link9.net", true },
  { "linkdr.uk", true },
  { "linkedinbackground.com", true },
  { "linkedpipes.com", true },
  { "linkenheil.org", true },
  { "linklocker.co", true },
  { "linkmaker.co.uk", true },
  { "linkmauve.fr", true },
  { "linko-pomoika.tk", true },
  { "linkopia.com", true },
  { "linksphotograph.com", true },
  { "linkstagr.am", true },
  { "linkthis.me", true },
  { "linktio.com", true },
  { "linkuva.tk", true },
  { "linkwheel.tk", true },
  { "linkycat.com", true },
  { "linkyou.top", true },
  { "linnaeusgroup.co.uk", true },
  { "linnetinfotech.in", true },
  { "linonin.tk", true },
  { "linosky.ch", true },
  { "linost.com", true },
  { "linqhost.nl", true },
  { "linss.com", true },
  { "lintelliftdks.com", true },
  { "lintelliftusa.com", true },
  { "lintmx.com", true },
  { "linux-audit.com", true },
  { "linux-florida.com", true },
  { "linux-help.org", true },
  { "linux-mint-czech.cz", true },
  { "linux-taganrog.tk", true },
  { "linux-vme.org", true },
  { "linux.cn", true },
  { "linux.conf.au", true },
  { "linux.farm", true },
  { "linux.fi", true },
  { "linux.pizza", true },
  { "linux3.org", true },
  { "linuxadictos.com", true },
  { "linuxbabe.com", true },
  { "linuxbg.eu", true },
  { "linuxbierwanderung.com", true },
  { "linuxchick.se", true },
  { "linuxcommand.ru", true },
  { "linuxdashboard.com", true },
  { "linuxdays.cz", true },
  { "linuxforum.ch", true },
  { "linuxforwindows.com", true },
  { "linuxgiggle.com", true },
  { "linuxhilux.com", true },
  { "linuxhostsupport.com", true },
  { "linuxincluded.com", true },
  { "linuxiuvat.de", true },
  { "linuxlounge.net", true },
  { "linuxos.org", true },
  { "linuxsecurity.expert", true },
  { "linx.net", true },
  { "linzgau.de", true },
  { "linzyjx.com", true },
  { "lion7.de", true },
  { "lionlyrics.com", true },
  { "lipacom.ga", true },
  { "lipartydepot.com", true },
  { "lipaslovanska.cz", true },
  { "lipex.com", true },
  { "lipighor.com", true },
  { "lipoabaltimore.org", true },
  { "lipobattery.pl", true },
  { "lippu1.fi", true },
  { "lipthink.com", true },
  { "liqd.net", true },
  { "liqueur.wiki", true },
  { "liquid.cz", true },
  { "liquidhost.co", true },
  { "liquidinternet.co", true },
  { "liquipedia.net", true },
  { "liquor.my", true },
  { "liress.gq", true },
  { "lirion.de", true },
  { "lirlandais.ch", false },
  { "lirnberger.com", true },
  { "lis.koeln", true },
  { "lisadelbo.tk", true },
  { "lisahh-jayne.com", true },
  { "lisamccorrie.com", true },
  { "lisanzauomo.com", true },
  { "lisasc.gq", true },
  { "lisasworkshop.co.uk", true },
  { "lisburnhottubnbounce.co.uk", true },
  { "liscieperfetti.com", true },
  { "lisius.ga", true },
  { "liskgdt.net", true },
  { "lislan.org.uk", true },
  { "lisowski-development.com", false },
  { "lissabon.guide", true },
  { "lissajouss.tk", true },
  { "lissauer.com", true },
  { "list-gymnasium.de", true },
  { "listahu.org", true },
  { "listekdo.fr", true },
  { "listen.dk", true },
  { "lister-kirchweg.de", true },
  { "listisima.com", true },
  { "listiu.com", true },
  { "listminut.be", true },
  { "lists.fedoraproject.org", true },
  { "lists.stg.fedoraproject.org", true },
  { "listsothebysrealtyhk.com", true },
  { "listyourinfo.com", true },
  { "litarvan.com", true },
  { "litchidova.nl", true },
  { "litebit.de", true },
  { "litebit.eu", true },
  { "litebit.nl", true },
  { "litebitcdn.eu", true },
  { "litebits.com", true },
  { "litecache.de", true },
  { "litemind.com", false },
  { "litepanels-parts.com", true },
  { "literaki123.pl", true },
  { "literarymachin.es", true },
  { "literature-schools.com", true },
  { "litfin.name", true },
  { "lithan.com", true },
  { "lithesalar.se", true },
  { "lithianissaneugeneparts.com", true },
  { "litsovet.com", true },
  { "little-brother.eu", true },
  { "little-cake.com", true },
  { "little-news.gq", true },
  { "little.recipes", true },
  { "littlebestfriend.de", true },
  { "littlebites.co.nz", true },
  { "littleblackfish.se", true },
  { "littleboutiqueshop.co.uk", true },
  { "littledev.nl", true },
  { "littleduck.xyz", true },
  { "littlefairy.no", true },
  { "littlefamilyadventure.com", true },
  { "littlegreece.ae", true },
  { "littlelife.co.uk", true },
  { "littlelucifercafe.tk", true },
  { "littlenina.nz", false },
  { "littlenlargeevents.co.uk", true },
  { "littleprincessandmascotparties.co.uk", true },
  { "littleredpenguin.com", true },
  { "littleredsbakeshop.com", true },
  { "littlericket.me", true },
  { "littles.moe", true },
  { "littlescallywagsplay.co.uk", true },
  { "littleswitch.co.jp", true },
  { "littlewatcher.com", true },
  { "littleyokohamakennel.tk", true },
  { "liturgical.net", true },
  { "liturkey.tk", true },
  { "litvideoserver.de", true },
  { "litz.ca", true },
  { "litzenberger.ca", true },
  { "liu0hy.cn", true },
  { "liubliu.co.uk", true },
  { "liudon.org", true },
  { "liuliuya.com.tw", true },
  { "liulo.cf", true },
  { "liuqiao.best", true },
  { "liuqiao.eu.org", true },
  { "liuqiao.ga", true },
  { "liv3d.stream", true },
  { "livada.fr", true },
  { "livaniaccesorios.com", true },
  { "live4k.media", false },
  { "live8811.com", true },
  { "live8899.cn", true },
  { "live8899.co", true },
  { "live8899.net", true },
  { "live9922.com", true },
  { "livebandphotos.com", true },
  { "livebetterwith.com", true },
  { "livebythesun.de", true },
  { "livecards.co.uk", true },
  { "livecchi.cloud", true },
  { "livechat-ag777.com", true },
  { "livedesign.at", true },
  { "livedesign24.de", true },
  { "liveflightapp.com", true },
  { "liveforspeed.se", true },
  { "livehomecams.co.uk", true },
  { "liveint.org", true },
  { "liveitlogical.in", true },
  { "livejasmin.dk", true },
  { "livejh.tk", true },
  { "livekaarten.nl", true },
  { "livekort.com", true },
  { "livekort.dk", true },
  { "livekort.se", true },
  { "livekortti.com", true },
  { "livelifewithintent.com", true },
  { "livelink.tk", true },
  { "livelondon.fr", true },
  { "livenewsrussia.tk", true },
  { "liveregistratie.nl", true },
  { "liverider.co.jp", true },
  { "livesheep.com", true },
  { "liveslides.com", true },
  { "livesure.com", true },
  { "livetopknigi.gq", true },
  { "livetoride.co.za", true },
  { "livfcshop.com", true },
  { "livi.co", true },
  { "livi.co.uk", true },
  { "livi.fr", true },
  { "living-space.co.nz", true },
  { "living-with-outlook-2010.com", true },
  { "living.digital", true },
  { "living.video", true },
  { "living24.de", true },
  { "livingafrugallife.com", true },
  { "livinginhimalone.com", true },
  { "livingspace.co.nz", true },
  { "livingworduk.org", true },
  { "livive.com", true },
  { "livogeva.dk", true },
  { "livresetmanuscrits.com", true },
  { "livv168.com", true },
  { "livv88.com", true },
  { "lixtick.com", true },
  { "liz-fry.com", true },
  { "liz.ee", true },
  { "lizardsystems.com", true },
  { "lizheng.de", true },
  { "lizhi.io", true },
  { "lizmooredestinationweddings.com", true },
  { "liztattoo.se", true },
  { "lizzaran.io", true },
  { "lizzwood.com", true },
  { "lizzythepooch.com", true },
  { "ljason.cn", true },
  { "ljc.ro", true },
  { "ljoonal.xyz", true },
  { "ljs.io", true },
  { "ljskatt.no", true },
  { "lk-hardware.cz", true },
  { "lk1.bid", true },
  { "lkellar.org", true },
  { "lknw.de", true },
  { "lkw-servis.sk", true },
  { "ll.gr", true },
  { "ll8807.com", true },
  { "ll8819.com", true },
  { "llamasweet.tech", true },
  { "llandudnochristmasfayre.co.uk", true },
  { "llbcpa.com", true },
  { "lldy88.com", true },
  { "llemoz.com", true },
  { "llgj888.com", true },
  { "llgw8.com", true },
  { "llm-guide.com", true },
  { "llnl.gov", true },
  { "lloyd-day.me", true },
  { "llslb.com", false },
  { "lm-landscapes.co.uk", true },
  { "lm-pumpen.de", false },
  { "lm1628.com", true },
  { "lm228.cn", true },
  { "lm228.com", true },
  { "lm338.cn", true },
  { "lm338.com", true },
  { "lmasqueen.com", true },
  { "lmbyrne.co.uk", true },
  { "lmbyrne.com", true },
  { "lmddgtfy.net", true },
  { "lmdexpresstransport.com", true },
  { "lmh-style.com", true },
  { "lmintlcx.com", true },
  { "lmmi.nl", true },
  { "lmmtfy.io", true },
  { "lms-luch.ru", true },
  { "lmsptfy.com", true },
  { "lmsuitespagna.it", true },
  { "lmtls.me", true },
  { "lmtm.eu", true },
  { "lmvsci.gov", true },
  { "lng-17.org", true },
  { "lnhequipmentltd.com", true },
  { "lnhydy.cn", true },
  { "load-ev.de", true },
  { "loader.to", true },
  { "loader.us.com", true },
  { "loadlow.me", true },
  { "loadwallet.com", true },
  { "loanaway.ca", true },
  { "loanmatch.sg", true },
  { "loansharkpro.com", true },
  { "loanstreet.nl", true },
  { "lob-assets-staging.com", true },
  { "lob-assets.com", true },
  { "lob-staging.com", true },
  { "lob.com", true },
  { "lobivia.de", true },
  { "lobosdomain.hopto.org", true },
  { "lobsangstudio.com", true },
  { "lobstr.co", true },
  { "loca-voiture.fr", true },
  { "locabir.cf", true },
  { "local360.net", true },
  { "localbandz.com", true },
  { "localbitcoins.com", true },
  { "localblitz.com", true },
  { "localblock.co.za", true },
  { "localbouncycastle.com", true },
  { "localcryptopremium.com", true },
  { "locald.at", true },
  { "localdecor.com.br", true },
  { "localethereum.com", true },
  { "localexpert.realestate", true },
  { "localhorst.duckdns.org", true },
  { "localhost.ee", true },
  { "locallhost.me", true },
  { "localnet.site", true },
  { "localpov.com", true },
  { "localsearch.homes", true },
  { "localseo.ltd", true },
  { "localseo.repair", true },
  { "localseorepair.co", true },
  { "localseorepair.design", true },
  { "localseorepair.digital", true },
  { "localseorepair.life", true },
  { "localseorepair.ltd", true },
  { "localseorepair.net", true },
  { "localseorepair.network", true },
  { "localseorepair.rocks", true },
  { "localseorepair.services", true },
  { "localseorepair.world", true },
  { "localspot.pl", true },
  { "localtownhouses.ga", true },
  { "locapos.com", true },
  { "location-appartement-dakar.com", true },
  { "locationfontaine.fr", true },
  { "locatorplus.gov", true },
  { "locauxrama.fr", true },
  { "lock.me", true },
  { "lock23.ca", true },
  { "lockaby.org", true },
  { "locker.email", true },
  { "locker.plus", true },
  { "lockerroomstories.com", true },
  { "locklock.com.br", true },
  { "locklockbrasil.com.br", true },
  { "lockme.at", true },
  { "lockme.ch", true },
  { "lockme.de", true },
  { "lockme.pl", true },
  { "locknlock.com.br", true },
  { "locknlockbrasil.com.br", true },
  { "lockpick.nl", true },
  { "lockpicks.se", true },
  { "lockr.jp", true },
  { "locksmith--richmond.com", true },
  { "locksmith--sanantoniotx.com", true },
  { "locksmith-pasadenatx.com", true },
  { "locksmith-sanantonio-tx.com", true },
  { "locksmith-springtx.com", true },
  { "locksmithbalchsprings.com", true },
  { "locksmithballito.com", true },
  { "locksmithbluff.co.za", true },
  { "locksmithdearborn.com", true },
  { "locksmithdickinson-tx.com", true },
  { "locksmithdriftwood.com", true },
  { "locksmithdrippingspringstx.com", true },
  { "locksmithedmonds.com", true },
  { "locksmithforcarshoustontx.com", true },
  { "locksmithfourways24-7.co.za", true },
  { "locksmithfriendswoodtexas.com", true },
  { "locksmithgarland-tx.com", true },
  { "locksmithgrapevinetx.com", true },
  { "locksmithhumbletx.com", true },
  { "locksmithindurban.co.za", true },
  { "locksmithlakewaytx.com", true },
  { "locksmithlivoniami.com", true },
  { "locksmithmadisonheights.com", true },
  { "locksmithmesquitetexas.com", true },
  { "locksmithmesquitetx.com", true },
  { "locksmithmissouricity.com", true },
  { "locksmithresidentialspringtx.com", true },
  { "locksmithsammamishwa.com", true },
  { "locksmithsbuda.com", true },
  { "locksmithscottsdaleaz.com", true },
  { "locksmithseattleco.com", true },
  { "locksmithservice-cypress.com", true },
  { "locksmithservice-humble.com", true },
  { "locksmithsinsanantoniotx.com", true },
  { "locksmithspring.com", true },
  { "locksmithspringtx.com", true },
  { "locksmithssanmarcostx.com", true },
  { "locksmithstaffordtx.com", true },
  { "locksmithswestville.com", true },
  { "locksmiththewoodlands.com", true },
  { "lockwoodchristmastreefarm.com", true },
  { "locomotionds.com", true },
  { "locoserver.net", true },
  { "locurimunca.co", true },
  { "locus-dashboard.com", true },
  { "locus-dashboard.eu", true },
  { "locusmap.eu", true },
  { "lodash.com", false },
  { "loddeke.eu", true },
  { "lodewijkict.nl", true },
  { "lodus.io", true },
  { "loenshotel.de", true },
  { "loew.de", true },
  { "loforo.com", true },
  { "lofstad.se", true },
  { "lofttravel.com", true },
  { "logactiond.org", true },
  { "loganmarchione.com", true },
  { "loganparkneighborhood.org", true },
  { "logbook.ch", true },
  { "logbot.info", true },
  { "logement-saisonnier.com", true },
  { "logement.com", true },
  { "logentries.com", false },
  { "logexplorer.net", true },
  { "logfile.at", true },
  { "logfile.ch", true },
  { "logibow.com", true },
  { "logicaccountingsolutions.com", true },
  { "logical-invest.com", true },
  { "logicdream.tk", true },
  { "logiciel-entreprise-seurann.fr", true },
  { "logicio.ch", false },
  { "logicio.de", false },
  { "logicio.net", false },
  { "logicne-hise.si", true },
  { "logico.ar", true },
  { "login.corp.google.com", true },
  { "login.gov", false },
  { "login.launchpad.net", true },
  { "login.ooo", true },
  { "login.raiffeisen.ch", true },
  { "login.sapo.pt", true },
  { "login.ubuntu.com", true },
  { "login.yahoo.com", false },
  { "logitel.de", true },
  { "logo-vogtland.de", true },
  { "logoesun.com", true },
  { "logoglo.com", true },
  { "logojoes.net", true },
  { "logopedistalanni.it", true },
  { "logophiliapress.com", true },
  { "logopoeia.com", true },
  { "logostock.jp", true },
  { "logsnitch.com", true },
  { "logtalk.org", true },
  { "logtenberg.eu", true },
  { "logtywardrobe.com", true },
  { "logue.be", true },
  { "logze.nl", true },
  { "lohanaflores.com.br", true },
  { "loheprobado.com", true },
  { "lohmeier.it", true },
  { "lohmeyer.cc", true },
  { "lohr.net", true },
  { "lohvinau.by", true },
  { "loic.gr", true },
  { "loichot.ch", false },
  { "loisircreatif.net", true },
  { "loisirsdouville.com", true },
  { "lojadamimo.com.br", true },
  { "lojadanidrea.com.br", true },
  { "lojadarenda.com.br", true },
  { "lojadewhisky.com.br", true },
  { "lojadoanime.com", true },
  { "lojadoarcomprimido.com.br", true },
  { "lojadoprazer.com.br", true },
  { "lojadosomautomotivo.com.br", true },
  { "lojafazendoarte.com.br", true },
  { "lojafilipaper.com.br", true },
  { "lojamagicalx.com", true },
  { "lojamascate.com.br", true },
  { "lojamoleco.com.br", true },
  { "lojapos.eu", true },
  { "lojaprojetoagua.com.br", true },
  { "lojastec.com.br", true },
  { "lojaterrazul.com.br", true },
  { "lojavisamed.com.br", true },
  { "lojix.com", false },
  { "lojj.pt", true },
  { "lok.space", true },
  { "lokaal.org", true },
  { "lokal-speisen.de", true },
  { "loker.id", true },
  { "loket.nl", true },
  { "lolas-vip.com", true },
  { "lolaseuropeancafe.com", true },
  { "lolcloud.ru", true },
  { "lolcow.farm", true },
  { "loli.com", true },
  { "loli.net", true },
  { "loli.pet", true },
  { "loli.today", true },
  { "loli.tube", true },
  { "loli.world", true },
  { "lolibrary.org", true },
  { "lolic.xyz", true },
  { "lolicon.eu", true },
  { "lolkot.ru", true },
  { "lolly.cc", true },
  { "lolnames.gg", true },
  { "lolpatrol.de", true },
  { "lolpatrol.wtf", true },
  { "loma.ml", true },
  { "lomaem-nsk.ru", true },
  { "lomayko.ml", true },
  { "lombri-agro.com", true },
  { "lomerhouse.com", true },
  { "lommeregneren.dk", true },
  { "lommyfleet.com", true },
  { "lon-so.com", true },
  { "lona.io", true },
  { "lonavla.tk", true },
  { "london-mafia.tk", true },
  { "london-transfers.com", true },
  { "london.dating", true },
  { "londongallery.net", true },
  { "londongynaecologist.co", true },
  { "londonindustry.it", true },
  { "londonkeyholdingcompany.co.uk", true },
  { "londonlegaltranslation.ae", true },
  { "londonpropertymatch.com", true },
  { "londonseedcentre.co.uk", true },
  { "lonelyhaoss.com", true },
  { "lonelypawn.com", true },
  { "lonelystoner.design", false },
  { "lonelytweets.com", true },
  { "lonelyworld.co.uk", true },
  { "lonesomecosmonaut.com", true },
  { "lonestarlandandcommercial.com", true },
  { "long008.com", true },
  { "long116.com", true },
  { "long139.com", true },
  { "long18.cc", true },
  { "long226.com", true },
  { "long228.com", true },
  { "long266.com", true },
  { "long288.com", true },
  { "long388.com", true },
  { "long510.com", true },
  { "long510.net", true },
  { "long566.net", true },
  { "long688.com", true },
  { "long788.com", true },
  { "long8.com", true },
  { "long8039.com", true },
  { "long8097.com", true },
  { "long918.com", true },
  { "long988.com", true },
  { "longboard-vergleich.com", true },
  { "longboat.io", true },
  { "longhaircareforum.com", true },
  { "longhorn-imports.com", true },
  { "longhorn.id.au", true },
  { "longma168.cn", true },
  { "longma168.com", true },
  { "longstride.net", true },
  { "longtermcare.gov", true },
  { "lonniec.com", true },
  { "lonniemason.net", true },
  { "lonny.ee", true },
  { "lonwan.ru", true },
  { "look.co.il", true },
  { "lookagain.co.uk", true },
  { "lookasik.eu", true },
  { "lookastic.co.uk", true },
  { "lookastic.com", true },
  { "lookastic.de", true },
  { "lookastic.es", true },
  { "lookastic.fr", true },
  { "lookastic.mx", true },
  { "lookastic.ru", true },
  { "lookatmysco.re", true },
  { "lookbetweenthelines.com", true },
  { "looker.wang", false },
  { "lookingstores.fr", false },
  { "lookup-dns.net", true },
  { "loonbedrijfdenboer.nl", true },
  { "loonylatke.com", true },
  { "loopback.kr", true },
  { "loopstart.org", true },
  { "looseleafsecurity.com", true },
  { "loothole.com", true },
  { "lopes.com.br", true },
  { "loposchokk.com", true },
  { "loqu8.com", true },
  { "loquo.com", true },
  { "loqyu.com", true },
  { "lor.kharkov.ua", true },
  { "lord.sh", true },
  { "lordjevington.co.uk", true },
  { "lore-seeker.cards", true },
  { "lore.azurewebsites.net", true },
  { "loremipsum.info", true },
  { "lorenadumitrascu.ro", true },
  { "lorenzocampagna.myqnapcloud.com", true },
  { "lorenzocompeticion.com", true },
  { "loreofthenorth.com", true },
  { "loreofthenorth.nl", true },
  { "loricozengeller.com", true },
  { "lorimullins.com", true },
  { "lorisfnotary.com", true },
  { "loritaboegl.de", true },
  { "lornabenes.com", true },
  { "losangelestown.com", true },
  { "losaucas.tk", true },
  { "loshogares.mx", true },
  { "losreyesdeldescanso.com.ar", true },
  { "loss.no", true },
  { "lossaicos.tk", true },
  { "lost.host", true },
  { "lost.report", true },
  { "lostandfound.mu", true },
  { "lostinfood.co.uk", true },
  { "lostinlegends.com", true },
  { "lostkeys.co.uk", true },
  { "lostsandal.com", true },
  { "lostsandal.io", true },
  { "lostserver.com", true },
  { "lostwithdan.com", true },
  { "lotc.cc", true },
  { "lothlorien.ca", false },
  { "lotl.ru", true },
  { "lotn.mobi", true },
  { "lotn.nl", true },
  { "lotnonline.com", true },
  { "lotnonline.nl", true },
  { "lotro-wiki.com", true },
  { "lottodatabase.com", true },
  { "lottoland.pt", true },
  { "lottospielen24.org", false },
  { "lotz.li", true },
  { "lou-castelet.com", false },
  { "lou.ist", true },
  { "lou.lt", true },
  { "louange-reconvilier.ch", false },
  { "loucanfixit.com", true },
  { "louerunhacker.fr", true },
  { "louiscap.co", true },
  { "louisdefunes.tk", true },
  { "louisemisellinteriors.co.uk", true },
  { "louisvillecarguys.com", true },
  { "louisvillefibroids.com", true },
  { "louiza.tk", true },
  { "loukas-stoltz.fr", true },
  { "loune.net", true },
  { "loungecafe.net", true },
  { "loungecafe.org", true },
  { "loungepapillon.com", true },
  { "louremedi.fr", true },
  { "louwlemmer.com", true },
  { "love-books.ga", true },
  { "love-sent.com", true },
  { "love-spells-tarot.com", true },
  { "love4taylor.me", true },
  { "lovebeingsexy.co.uk", true },
  { "lovebigisland.com", true },
  { "lovebo9.com", true },
  { "lovebo9.net", true },
  { "loveismystyle.tk", true },
  { "loveisourweapon.com", true },
  { "lovejms.com", true },
  { "lovelovenavi.jp", true },
  { "loveluna.com", true },
  { "lovemanagementaccounts.co.uk", true },
  { "lovemen.cc", true },
  { "lovemomiji.com", true },
  { "lovemybubbles.com", true },
  { "loveni.me", true },
  { "lovenwishes.com", true },
  { "loveph.one", true },
  { "lover-bg.com", true },
  { "loverepublic.ru", true },
  { "loverngifts.com", true },
  { "loveskin.co", true },
  { "lovesmagical.com", false },
  { "lovesove.com", true },
  { "lovessentials.com", true },
  { "lovesupremefestival.com", true },
  { "loveweddingphotosandfilm.co.uk", true },
  { "loveysa.ch", false },
  { "lovg.ren", true },
  { "lovingearth.co", true },
  { "lovingthermo.com", true },
  { "lovink.net", true },
  { "lovizaim.ru", true },
  { "low-diets.com", true },
  { "lowbidders.com", true },
  { "lowcost.to", true },
  { "lowcostvehicleinsurance.com", true },
  { "lowcostwire.com.au", true },
  { "lowend.cn", true },
  { "lowerpricefinder.com", true },
  { "lowestpriceremovals.com.au", true },
  { "lowmagnitude.com", true },
  { "lowratelocksmith.com", true },
  { "lowsec.space", true },
  { "lowsidetna.com", true },
  { "lowson.ca", true },
  { "loxal.org", true },
  { "loyaleco.it", true },
  { "loyaltyondemand.club", true },
  { "loyaltyondemand.eu", true },
  { "loyisa.cn", true },
  { "lp-support.nl", true },
  { "lpmkonji.cf", true },
  { "lprcommunity.co.za", true },
  { "lps.in.ua", true },
  { "lpt-nebreziny.eu", true },
  { "lq.hr", true },
  { "lrdo.net", true },
  { "lriese.ch", true },
  { "lrs.lt", true },
  { "lrssystems.com", true },
  { "lrumeq.com", true },
  { "ls-alarm.de", true },
  { "ls-modcompany.com", true },
  { "lsbricks.com", true },
  { "lsc-dillingen.de", true },
  { "lsc.gov", true },
  { "lsc.moe", true },
  { "lsh1688.com", true },
  { "lshiy.com", true },
  { "lsiq.io", true },
  { "lsl.eu", true },
  { "lsmentor.com", true },
  { "lspdonline.gq", true },
  { "lsquo.com", true },
  { "lsscreens.de", true },
  { "lstlx.com", true },
  { "lswim.com", true },
  { "lsy.cn", true },
  { "lsys.ac", true },
  { "lt.search.yahoo.com", false },
  { "ltaake.com", true },
  { "ltcwaterwijk.nl", true },
  { "ltecode.com", true },
  { "ltheinrich.de", true },
  { "ltib.com.au", true },
  { "ltlec.cn", true },
  { "ltlec.com", true },
  { "ltls.org", true },
  { "ltn-tom-morel.fr", true },
  { "ltprtz.co.uk", true },
  { "lts-tec.de", true },
  { "ltservers.net", true },
  { "lu.search.yahoo.com", false },
  { "luan.ma", true },
  { "luav.org", true },
  { "lubar.me", true },
  { "lubbockyounglawyers.org", true },
  { "lubersacr.com", true },
  { "lubot.net", true },
  { "luc-oberson.ch", false },
  { "luca-steeb.com", true },
  { "lucacastelnuovo.nl", true },
  { "lucade.ddns.net", true },
  { "lucafontana.net", true },
  { "lucafrancesca.me", true },
  { "lucasbergen.ca", true },
  { "lucascantor.com", true },
  { "lucasdamasceno.com", true },
  { "lucasem.com", true },
  { "lucasgymnastics.com", true },
  { "lucasit.com", true },
  { "lucaslarson.net", true },
  { "lucassoler.com.ar", false },
  { "luce.life", true },
  { "luchscheider.de", false },
  { "luchthavenmaastricht.nl", true },
  { "lucid-light.de", true },
  { "lucid-reality.ch", true },
  { "lucidframeworks.com", true },
  { "lucidlight.de", true },
  { "lucidlink.com", true },
  { "lucie-parizkova.cz", true },
  { "lucie.jp", true },
  { "lucielavickova.com", true },
  { "lucille-thomas.fr", true },
  { "luck9988.com", true },
  { "lucklesslovelocks.com", true },
  { "lucky-frog.co.uk", true },
  { "luckycasino.se", true },
  { "luckycastles.co.uk", true },
  { "luckyfrog.hk", true },
  { "luckystorevn.com", true },
  { "luclu7.fr", true },
  { "lucorautopartes.com", true },
  { "lucschiltz.com", true },
  { "luctam.com", true },
  { "lucybles.com", true },
  { "lucyhancock.tech", true },
  { "lucymontebello-arte.com", true },
  { "lucyparsonslabs.com", true },
  { "lucz.co", true },
  { "luda.me", true },
  { "ludek.biz", true },
  { "ludikovsky.name", true },
  { "ludofantasy.fr", true },
  { "ludogue.net", true },
  { "ludolust.tk", true },
  { "ludothek-burgdorf.ch", true },
  { "ludovic-frank.fr", true },
  { "ludovic-muller.fr", true },
  { "ludwiggrill.de", true },
  { "ludwigjohnson.se", true },
  { "ludwigpro.net", true },
  { "luedeke-bremen.eu", true },
  { "lueersen.homedns.org", true },
  { "luehne.de", true },
  { "luelistan.net", true },
  { "luenwarneke.com", true },
  { "luera1959.de", true },
  { "lueurexterne-audiovisuel.com", false },
  { "lueurexterne.com", false },
  { "luffyhair.com", true },
  { "luftbild-siegerland.de", true },
  { "luftreiniger.biz", true },
  { "luginbuehl.be", true },
  { "luginbuehl.eu", true },
  { "lugui.in", true },
  { "luisa-birkner.de", true },
  { "luiscapelo.info", true },
  { "luismaier.de", true },
  { "luissotodesign.com", true },
  { "luisyr.com", true },
  { "luizkowalski.net", true },
  { "luizlopes.com", false },
  { "luk.earth", true },
  { "lukas-gorr.de", true },
  { "lukas-meixner.com", true },
  { "lukas-schauer.de", true },
  { "lukas.im", true },
  { "lukas2511.de", true },
  { "lukasberan.com", true },
  { "lukasberan.cz", true },
  { "lukasfunk.com", true },
  { "lukasrod.cz", true },
  { "lukasschauer.de", true },
  { "lukaswiden.com", true },
  { "lukaszuk.net", true },
  { "lukaszuk.pl", true },
  { "lukaszwojcik.com", true },
  { "lukaszwojcik.net", true },
  { "luke.ch", true },
  { "luke6887.me", true },
  { "lukeistschuld.de", true },
  { "lukem.net", true },
  { "lukeng.net", true },
  { "lukersallamericanstorage.com", true },
  { "lukesbouncycastlehire.com", true },
  { "lukestebbing.com", true },
  { "lukezweb.tk", true },
  { "lukin.ga", true },
  { "lukmanulhakim.id", true },
  { "lukull-pizza.de", true },
  { "lulua.pl", true },
  { "lumbercartel.ca", true },
  { "lumen.sh", true },
  { "lumenapp.com", true },
  { "lumenbrowser.com", true },
  { "lumi.pw", true },
  { "lumierewithinspirato.com", true },
  { "luminaire.fr", true },
  { "luminary.pl", true },
  { "lumindigital.com", true },
  { "lumitop.com", true },
  { "lummi-nsn.gov", true },
  { "lumminary.com", true },
  { "lumomongoose.com", true },
  { "lumoria.eu", true },
  { "lums.se", true },
  { "lunalove.de", true },
  { "lunanova.moe", true },
  { "lunapps.com", true },
  { "lunar6.ch", false },
  { "lunares.pl", true },
  { "lunarflake.com", true },
  { "lunarlog.com", true },
  { "lunarsoft.net", true },
  { "lunartail.nl", true },
  { "lunasqu.ee", true },
  { "lunatic.red", true },
  { "lunazacharias.com", true },
  { "lunchbunch.me", true },
  { "lundberghealthadvocates.com", true },
  { "lune-indigo.ch", false },
  { "lunepieters.co.za", true },
  { "lunidea.ch", false },
  { "lunidea.com", false },
  { "lunis.net", true },
  { "lunite.net", true },
  { "lunivertdelyne.fr", true },
  { "lunix.io", true },
  { "luoe.me", true },
  { "luoh.cc", true },
  { "luoh.me", true },
  { "luohua.im", true },
  { "luongvu.com", true },
  { "luowu.cc", true },
  { "lupa.cz", true },
  { "lupecode.com", true },
  { "lupinencyclopedia.com", true },
  { "lupinenorthamerica.com", true },
  { "lushan.me", true },
  { "lusis.fr", true },
  { "lusitom.com", true },
  { "luso-livros.net", true },
  { "lustin.fr", true },
  { "lustrum.ch", true },
  { "luteijn.biz", true },
  { "luteijn.cloud", true },
  { "luteijn.email", true },
  { "luteijn.pro", true },
  { "lutoma.org", true },
  { "luu.moe", true },
  { "luukdebruincv.nl", false },
  { "luukklene.nl", true },
  { "luukuton.fi", true },
  { "luuppi.fi", true },
  { "luv-scent.com", true },
  { "luv.asn.au", true },
  { "luv2watchmycam.com", true },
  { "luvare.com", true },
  { "luvbridal.com.au", true },
  { "luvhacks.com", true },
  { "luvplay.co.uk", true },
  { "luvscent.com", true },
  { "lux-house.tk", true },
  { "luxcraft.eng.br", true },
  { "luxecalendar.com", true },
  { "luxeturf.com.au", true },
  { "luxhome.tk", true },
  { "luxsci.com", true },
  { "luxur.is", true },
  { "luxury-inside.vn", true },
  { "luxurydistribution.cz", true },
  { "luxurynsight.net", false },
  { "luxuryweddingsindonesia.com", true },
  { "luxusnivoucher.cz", true },
  { "luxusnyvoucher.sk", true },
  { "luxvacuos.net", true },
  { "luyckx.net", true },
  { "luzat.com", true },
  { "luzfaltex.com", true },
  { "luzi-type.ch", true },
  { "lv.search.yahoo.com", false },
  { "lv0.it", true },
  { "lvcshu.com", true },
  { "lvftw.com", true },
  { "lvguitars.com", true },
  { "lvmoo.com", true },
  { "lvrsystems.com", true },
  { "lvtrafficticketguy.com", true },
  { "lw-addons.net", true },
  { "lwl.moe", true },
  { "lwsl.ink", true },
  { "lx-blog.cn", true },
  { "lxai.net", true },
  { "lxd.cc", true },
  { "lxx4380.com", true },
  { "lyax.be", true },
  { "lycly.me", true },
  { "lydudlejning.net", true },
  { "lyfebotanicals.com", true },
  { "lyftrideestimate.com", true },
  { "lykope.com", true },
  { "lymia.moe", true },
  { "lyna.ml", true },
  { "lynero.dk", true },
  { "lyness.io", true },
  { "lyness.uk", true },
  { "lyngvaer.no", true },
  { "lynnejeancleaning.com", true },
  { "lynnellneri.com", true },
  { "lynnlaytonnissanparts.com", true },
  { "lynsec.com", true },
  { "lynthium.com", true },
  { "lynx.nl", true },
  { "lynxbroker.de", true },
  { "lynxpro.nl", true },
  { "lynxriskmanager.com", true },
  { "lyon-interactive.com", true },
  { "lyon-synergie.com", true },
  { "lyonl.com", true },
  { "lyonslawlink.com", true },
  { "lyrenhex.com", true },
  { "lyrical-nonsense.com", true },
  { "lyricfm.ie", true },
  { "lyriksidan.ga", true },
  { "lys.ch", false },
  { "lysbed.com", true },
  { "lyst.co.uk", true },
  { "lyteclinic.com", true },
  { "lyuda.tk", true },
  { "lyuly.com", true },
  { "lyx.dk", true },
  { "lzcreation.com", true },
  { "lzwc.nl", true },
  { "m-16.ml", true },
  { "m-22.com", true },
  { "m-beshr.tk", true },
  { "m-chemical.com.hk", true },
  { "m-epigrafes.gr", true },
  { "m-hydravlika.com.ua", true },
  { "m-idea.jp", true },
  { "m-kleinert.de", true },
  { "m-kugpn.ru", true },
  { "m-mail.fr", true },
  { "m-monitor.pl", true },
  { "m-net.de", true },
  { "m-office.pl", true },
  { "m-ses.fr", true },
  { "m-team.cc", true },
  { "m.facebook.com", true },
  { "m.mail.ru", true },
  { "m.me", true },
  { "m0t0k1ch1.com", true },
  { "m132.eu", true },
  { "m134.eu", true },
  { "m1gun.tk", true },
  { "m23cal.eu", true },
  { "m2epro.com", true },
  { "m2h-fiscaliste.fr", true },
  { "m2il.co", true },
  { "m2os.com", true },
  { "m2tm.fr", true },
  { "m3-gmbh.de", true },
  { "m36533.com", true },
  { "m36594.com", true },
  { "m3e30.com", true },
  { "m3windowsanddoors.com", true },
  { "m4all.gr", true },
  { "m4g.ru", true },
  { "m51365.com", true },
  { "m6pub.fr", true },
  { "m8593.com", true },
  { "ma-eir.nl", true },
  { "ma-maison-container.fr", true },
  { "ma-maison-ossature-bois.fr", true },
  { "ma-ze-linux.tk", true },
  { "ma2t.com", true },
  { "maaret.de", true },
  { "maartenderaedemaeker.be", true },
  { "maartenvandekamp.nl", true },
  { "maatwerkzorgcoaching.nl", true },
  { "maaya.jp", true },
  { "maayogashram.com", true },
  { "mabankonline.com", true },
  { "mabulledu.net", true },
  { "mac-i-tea.ch", false },
  { "mac-service-stockholm.se", true },
  { "mac-servicen.se", true },
  { "mac-support.nu", true },
  { "mac-support.se", true },
  { "mac-world.pl", true },
  { "mac.biz.tr", true },
  { "mac.osaka.jp", true },
  { "macangus-wainwright.com", true },
  { "macaos.com", true },
  { "macappstudio.com", true },
  { "macaroonshindig.tk", true },
  { "macaws.org", true },
  { "macbay.net", true },
  { "macbook.es", true },
  { "macedonian-hotels.com", false },
  { "macedonian-hotels.com.mk", true },
  { "macedonian-hotels.mk", true },
  { "maceinturecuir.com", true },
  { "maces-net.de", true },
  { "macgeneral.de", false },
  { "macgenius.com", true },
  { "mach-politik.ch", true },
  { "macha.cloud", true },
  { "macha.love", true },
  { "machbach.com", true },
  { "machetewp.com", true },
  { "machidaclip.com", true },
  { "machikka.com", false },
  { "machine.email", true },
  { "machinebazar.com", true },
  { "machinerysafety101.com", true },
  { "machinetransport.com", true },
  { "machon.biz", true },
  { "macht-elektro.de", true },
  { "machtweb.de", true },
  { "machu-picchu.nl", true },
  { "macil.tech", true },
  { "macker.io", true },
  { "mackeysack.com", true },
  { "macksproductions.in", true },
  { "maclemon.at", true },
  { "macleod.io", true },
  { "macnemo.de", true },
  { "macnetwork.eu", false },
  { "macnetwork.fr", false },
  { "macnetwork.net", false },
  { "macnugget.org", true },
  { "maco.org.uk", true },
  { "macon.de", true },
  { "maconnerie-dcs.ch", true },
  { "macosxfilerecovery.com", true },
  { "macpress.com.br", true },
  { "macreosolutions.com", true },
  { "macros.co.jp", true },
  { "macroseo.tk", true },
  { "macsupportnacka.se", true },
  { "macsupportstockholm.se", true },
  { "mactools.com.co", true },
  { "macx.cc", true },
  { "madae.nl", true },
  { "madamegarage.nl", true },
  { "madars.org", false },
  { "madbin.com", true },
  { "madbouncycastles.co.uk", true },
  { "maddi.biz", true },
  { "maddistonevangelical.co.uk", true },
  { "maddreefer.com", true },
  { "made-in-earth.co.jp", true },
  { "made-to-usb.com", true },
  { "madebydusk.com", true },
  { "madebyshore.com", true },
  { "madeinolive.com", false },
  { "madeinrussia.com", true },
  { "madeinstudio3.com", true },
  { "madeira.gov.pt", true },
  { "madeitwor.se", true },
  { "madeloc.com", true },
  { "mademoe.com", true },
  { "mademoiselledemargaux.com", true },
  { "mader.jp", true },
  { "maderasyacabados.net", true },
  { "madewithopendata.org", true },
  { "madhyrecords.com", true },
  { "madin.ru", true },
  { "madirc.net", true },
  { "madisoncountyhelps.com", true },
  { "madisonent-facialplasticsurgery.com", true },
  { "madisonsquarerealestate.com", true },
  { "madix.cl", true },
  { "madmar.ee", true },
  { "madmax-store.gr", true },
  { "madoka.nu", true },
  { "madpsy.uk", true },
  { "madrants.net", true },
  { "madreacqua.org", true },
  { "madreluna.it", true },
  { "madreshoy.com", true },
  { "madridagency.com", true },
  { "madridartcollection.com", true },
  { "madscientistwebdesign.com", true },
  { "madskauts.tk", true },
  { "madsstorm.dk", true },
  { "madtec.de", true },
  { "maduradas.info", true },
  { "maduradas.net", true },
  { "maedchenflohmarkt.at", true },
  { "maedchenflohmarkt.de", true },
  { "maeln.com", true },
  { "maelstrom-fury.eu", true },
  { "maelstrom.ninja", true },
  { "maeplasticsurgery.com", true },
  { "maesinox.be", true },
  { "maewongaming.tk", true },
  { "maff.co.uk", true },
  { "maff.scot", true },
  { "mafia-penguin.club", true },
  { "mafia.network", true },
  { "mafiaforum.de", true },
  { "mafiapenguin.club", true },
  { "mafiasi.de", true },
  { "mafworld.com", true },
  { "magaconnection.com", true },
  { "magasindejouets.com", true },
  { "magasinsalledebain.be", true },
  { "magasinsalledebain.fr", true },
  { "magasinsalledebains.be", true },
  { "magasinsalledebains.fr", true },
  { "magasinsenfrance.com", true },
  { "magazilla.ga", true },
  { "magazin3513.com", true },
  { "magazinecards.ga", true },
  { "magazinedotreino.com.br", true },
  { "magdic.eu", true },
  { "magebit.com", true },
  { "magebrawl.com", true },
  { "magenda.sk", true },
  { "magentaize.net", true },
  { "magentapinkinteriors.co.uk", true },
  { "magentoeesti.eu", true },
  { "magepro.fr", true },
  { "magestionfinanciere.com", true },
  { "magewell.nl", true },
  { "maggie.com", true },
  { "maggot.cf", true },
  { "magi-cake.com", true },
  { "magic-cards.info", true },
  { "magic-chair.co.uk", true },
  { "magic-cheerleading.tk", true },
  { "magic-photo-events.fr", true },
  { "magicafacil.com", true },
  { "magical-secrets.com", true },
  { "magical.rocks", true },
  { "magicbeanschool.com", true },
  { "magicbroccoli.de", true },
  { "magicbullets.com", true },
  { "magiccards.info", true },
  { "magicdaysomagh.co.uk", true },
  { "magicdlp.com", true },
  { "magicjudges.org", true },
  { "magiclen.org", true },
  { "magicnethosting.com", true },
  { "magicomotor.com", true },
  { "magicroom.it", true },
  { "magicskillet.com", true },
  { "magicsms.pl", true },
  { "magicstay.com", true },
  { "magictable.com", true },
  { "magicvodi.at", true },
  { "magisternegi.tk", true },
  { "magnate.co", true },
  { "magnatronic.com.br", true },
  { "magnes.priv.pl", true },
  { "magnesy-neodymowe.com.pl", true },
  { "magnesy-neodymowe.pl", true },
  { "magnesy-tanio.net", true },
  { "magnesy.de", true },
  { "magnesy.net.pl", true },
  { "magnesy.priv.pl", true },
  { "magnetgaming.com", true },
  { "magneticattraction.com.au", true },
  { "magnetoscopio.tk", true },
  { "magnetoterapiapertutti.com", true },
  { "magnetpass.uk", true },
  { "magnets.jp", true },
  { "magnificatwellnesscenter.com", true },
  { "magnificentdata.com", true },
  { "magniflood.com", true },
  { "magnoliastrong.com", true },
  { "magnumwallet.co", true },
  { "magnunbaterias.com.br", true },
  { "magonote-nk.com", true },
  { "magravsitalia.com", true },
  { "magtapp.com", true },
  { "magu.kz", true },
  { "maguire.email", true },
  { "maguire.tk", true },
  { "magwin.co.uk", true },
  { "magyarepitok.hu", true },
  { "mahadulmuneer.org", true },
  { "mahalaraibanda.ro", true },
  { "mahalux.com", true },
  { "mahalux.cz", true },
  { "mahatmayoga.org", true },
  { "mahawi.sk", true },
  { "mahjong-navi.com", true },
  { "mahjong.org", true },
  { "mahjongrush.com", true },
  { "mahler.io", true },
  { "mahrer.net", true },
  { "maiaimobiliare.ro", true },
  { "maidenliput.fi", true },
  { "maidoty.net", true },
  { "maiebanatulfruncea.com", true },
  { "maiet.net", true },
  { "maigesellschaft-lammersdorf.de", true },
  { "maijia800.com", true },
  { "maikolfish.it", true },
  { "maikoloc.com", true },
  { "mail-de.jp", true },
  { "mail-rotter.de", true },
  { "mail-settings.google.com", true },
  { "mail.com", true },
  { "mail.de", true },
  { "mail.google.com", true },
  { "mail.storage", true },
  { "mail.yahoo.com", false },
  { "mail180.com", true },
  { "mail4you.in", true },
  { "mailbox.mg", true },
  { "mailbox.org", true },
  { "mailbro.de", true },
  { "mailer.site", true },
  { "mailfence.com", true },
  { "mailflank.com", true },
  { "mailgun.com", true },
  { "mailhardener.com", true },
  { "mailinabox.email", true },
  { "mailinaitor.tk", true },
  { "mailingproduct.tk", true },
  { "mailjunky.de", true },
  { "maillady-susume.com", true },
  { "mailmaid.de", true },
  { "mailmaster.tk", true },
  { "mailmerc.com", true },
  { "mailnara.co.kr", true },
  { "mailsend.ml", true },
  { "mailstart.ga", true },
  { "mailtelligent.com", true },
  { "mailto.space", true },
  { "mailtobiz.tk", true },
  { "mailtrap.io", false },
  { "mailum.org", false },
  { "mailwala.tk", true },
  { "mailxpress.ga", true },
  { "main-freedom.ru", true },
  { "mainechiro.com", true },
  { "mainhattan-handwerker.de", true },
  { "mainlined.org", true },
  { "mainone.net", true },
  { "mainquest.org", true },
  { "mainston.com", true },
  { "maintenance-traceur-hp.fr", true },
  { "maioresemelhores.com", true },
  { "mairie-sornay.fr", true },
  { "maisallianz.com", true },
  { "maisan.best", true },
  { "maisapanama.com", true },
  { "maiscelular.com.br", true },
  { "maisgasolina.com", true },
  { "maisie.nl", true },
  { "maison-haimard.fr", true },
  { "maisondoree.be", true },
  { "maisonpaulmier.fr", true },
  { "maispa.com", true },
  { "maisretorno.com", true },
  { "maisvitaminas.com.br", true },
  { "maisy.io", true },
  { "maitheme.com", true },
  { "maiti.info", true },
  { "maitrise-orthopedique.com", true },
  { "majahoidja.ee", true },
  { "majameer.com", true },
  { "majaweb.cz", true },
  { "majemedia.com", false },
  { "majesnix.org", true },
  { "majid.info", true },
  { "majkassab.com", true },
  { "majkassab.net", true },
  { "majkassab.org", true },
  { "majkl.me", true },
  { "majkl.xyz", true },
  { "majkl578.cz", true },
  { "majkyto.cz", true },
  { "majlovesreg.one", true },
  { "majolka.com", true },
  { "majorpaintingco.com", true },
  { "majorpussycum.com", true },
  { "makaleci.com", true },
  { "makalu.me", true },
  { "make-your-own-song.com", true },
  { "makechanges.com.au", true },
  { "makedin.net", true },
  { "makefoodrecipes.com", true },
  { "makepro.net", true },
  { "maker.to", true },
  { "makerdao.com", true },
  { "makermiles.com", true },
  { "makermiles.net", true },
  { "makermiles.org", true },
  { "makersatwork.com", true },
  { "maketheneighborsjealous.com", true },
  { "makeurbiz.com", true },
  { "maki-chan.de", true },
  { "makinen.ru", true },
  { "makita-online.kz", true },
  { "makkusu.photo", true },
  { "makkyon.com", true },
  { "maklerinfo.biz", true },
  { "makos.jp", true },
  { "makowitz.cz", true },
  { "maksoud-karim.net", true },
  { "maktoob.search.yahoo.com", false },
  { "maku.edu.tr", true },
  { "malachiteauth.com", true },
  { "maladie-autoimmune.fr", true },
  { "malariaadvice.gq", true },
  { "malash.me", false },
  { "malasuk.com", true },
  { "malaysia.search.yahoo.com", false },
  { "malaysian.dating", true },
  { "malaysianews.ml", true },
  { "malcolmellis.com", true },
  { "maldives.cx", true },
  { "malediven.biz", true },
  { "maleevcues.com", true },
  { "malenaamatomd.com", true },
  { "malenyflorist.com.au", true },
  { "maleperformancepills.com", true },
  { "maler-marschalleck.de", true },
  { "malermeister-haussmann.de", true },
  { "malezan.com", true },
  { "maliar.fr", true },
  { "malibu-electric.com", true },
  { "malibuelectrical.com", true },
  { "malibuexteriorlighting.com", true },
  { "malibulingerie.com", true },
  { "malibumodas.com.br", true },
  { "malik.id", true },
  { "malikussa.id", true },
  { "malikussaid.com", true },
  { "malikzinad.com", true },
  { "malinaclub.com", true },
  { "malinheadview.ie", true },
  { "mall.cz", true },
  { "mall.hr", true },
  { "mall.hu", true },
  { "mall.pl", true },
  { "mall.sk", true },
  { "mallach.net", true },
  { "mallonline.com.br", true },
  { "malnex.de", true },
  { "malond.com", true },
  { "malta-firma.com", true },
  { "maltasite.tk", true },
  { "maltaultrastifo.tk", true },
  { "maltegegner.de", true },
  { "malufs.com.br", true },
  { "malwar.ee", true },
  { "malwar.eu", true },
  { "malware.watch", true },
  { "malwareinvestigator.gov", true },
  { "malwaretips.com", true },
  { "malwr.ee", true },
  { "malyshata.com", true },
  { "malysvet.net", false },
  { "mamabepo.com", true },
  { "mamaisondefamille.info", true },
  { "mamamoet.ru", true },
  { "mamanakormit.tk", true },
  { "mamanecesitaungintonic.com", true },
  { "mamasorganizedchaos.com", true },
  { "mambas.cn", true },
  { "mame.cl", true },
  { "mammals.net", true },
  { "mammaw.com", true },
  { "mammooc.org", true },
  { "mammothlakesmls.net", true },
  { "mamospienas.lt", true },
  { "mamot.fr", false },
  { "mamtapark.tk", true },
  { "mamuko.nl", true },
  { "man-stuff.co.uk", true },
  { "man3s.jp", false },
  { "mana.ee", true },
  { "manach.net", true },
  { "manage.cm", true },
  { "manage4all.de", true },
  { "manageathome.co.uk", true },
  { "managedhosting.de", true },
  { "managedservicesraleighnc.com", true },
  { "management-companie.ro", true },
  { "managementboek.nl", true },
  { "managementfeedback.com", true },
  { "managementforstartups.com", false },
  { "manageprefs.com", true },
  { "manageprojects.com", false },
  { "manager-efficacement.com", true },
  { "manager.linode.com", false },
  { "managewp.org", true },
  { "managr.net", true },
  { "manasakcijas.lv", true },
  { "manatees.com.au", true },
  { "manatees.net", true },
  { "manawill.jp", true },
  { "manawithtea.com", true },
  { "mancrates.com", true },
  { "mandalevydesigns.com", true },
  { "mandarinpediatrics.com", true },
  { "mandcbouncycastlehire.co.uk", true },
  { "mandediary.com", true },
  { "mandela-effect-wiki.tk", true },
  { "mandilabeachhotel.com", true },
  { "mandynamic.gr", true },
  { "maneggio.milano.it", true },
  { "manelli.fr", true },
  { "maneql.co.jp", true },
  { "maneql.info", true },
  { "manesht.ir", true },
  { "manfredgruber.net", true },
  { "manfredi.io", true },
  { "manfredimatteo.com", true },
  { "manfredschafer.ch", true },
  { "mangabank.net", true },
  { "mangabank.org", true },
  { "mangaboxes.ml", true },
  { "mangahigh.com", true },
  { "mangareactor.tk", true },
  { "mangaristica.com", false },
  { "mangaworld.gq", true },
  { "mangnhuapvc.com.vn", true },
  { "mangotwoke.co.uk", true },
  { "manhattanchoralensemble.org", true },
  { "manhole.club", true },
  { "manhuagui.com", true },
  { "mani.tw", true },
  { "manicbouncycastles.co.uk", true },
  { "manicode.com", true },
  { "manicur-salon.tk", true },
  { "manicuradegel.com", true },
  { "manicuradegel.es", true },
  { "manilaprinciples.org", true },
  { "maniorpedi.com", true },
  { "maniosglass.gr", true },
  { "manipil.ch", true },
  { "manipurmatka.net", true },
  { "manito.kr", true },
  { "manja-und-martin.de", true },
  { "manjaro.ru", true },
  { "mankans.com", false },
  { "mankier.com", true },
  { "mankomarketing.com", true },
  { "manmeetgill.com", true },
  { "manneguiden.no", true },
  { "mannheimbloggt.tk", true },
  { "mannschafft.ch", true },
  { "manoirdecontres.com", true },
  { "manonamission.de", true },
  { "manonandre-avocat.fr", true },
  { "manoro.de", true },
  { "mansdell.net", true },
  { "mansfeld.pl", true },
  { "manshatech.com", true },
  { "manski.net", true },
  { "mansora.net", true },
  { "mantabiofuel.com", true },
  { "mantachiepharmacy.com", true },
  { "mantenimientoimpresoras.com", true },
  { "manti.by", true },
  { "mantor.org", false },
  { "mantul.top", true },
  { "manualidadeson.com", true },
  { "manuall.co.uk", true },
  { "manuall.cz", true },
  { "manuall.de", true },
  { "manuall.dk", true },
  { "manuall.es", true },
  { "manuall.fi", true },
  { "manuall.fr", true },
  { "manuall.info.tr", true },
  { "manuall.it", true },
  { "manuall.jp", true },
  { "manuall.kr", true },
  { "manuall.no", true },
  { "manuall.pl", true },
  { "manuall.pt", true },
  { "manuall.ro", true },
  { "manuall.se", true },
  { "manualscollection.com", true },
  { "manuel-herrmann.de", true },
  { "manuel-schefczyk.de", true },
  { "manuel7espejo.com", true },
  { "manuelguerra.pt", true },
  { "manueli.de", true },
  { "manuelpinto.in", false },
  { "manuelraimo.cf", true },
  { "manufacturing.gov", false },
  { "manufacturinginmexico.org", true },
  { "manufacturingusa.com", false },
  { "manuscripteditorial.com", true },
  { "manuscriptlink.com", true },
  { "manusiasosial.tk", true },
  { "manutd.org.np", true },
  { "manuth.life", true },
  { "manwish.cn", true },
  { "manylots.ru", true },
  { "manyue.org", true },
  { "maoi.re", true },
  { "maomihz.com", true },
  { "maone.net", true },
  { "maorx.cn", true },
  { "maosensanguentadasdejesus.net", true },
  { "maowtm.org", true },
  { "map-patho.com", true },
  { "map4erfurt.de", true },
  { "map4jena.de", true },
  { "mapado.ru", true },
  { "mapasmundi.com.br", true },
  { "mapblender.com", true },
  { "mapchange.org", true },
  { "mapeo.io", true },
  { "maplebgm.cc", true },
  { "maplegate.info", true },
  { "mapletime.com", true },
  { "mappingfutures.org", true },
  { "mapresidentielle.fr", true },
  { "mapstack.org", true },
  { "maquinariaspesadas.org", true },
  { "maquinasdecoserplus.com", true },
  { "mar-eco.no", true },
  { "marabumadrid.com", false },
  { "marabunta.io", true },
  { "marakovits.net", true },
  { "marandu.com.ar", false },
  { "maransurology.com", true },
  { "marble.com", true },
  { "marbledentalcentre.ca", true },
  { "marblemosaics.ga", true },
  { "marbogardenlidkoping.se", true },
  { "marbree.eu", true },
  { "marbrerie-segur.fr", true },
  { "marc-beninca.fr", true },
  { "marc-hammer.de", true },
  { "marc-hoffrichter.de", true },
  { "marc-schlagenhauf.de", true },
  { "marcaixala.me", true },
  { "marcanhoury.com", true },
  { "marcberndtgen.de", true },
  { "marcceleiro.com", true },
  { "marceau.ovh", true },
  { "marcel-preuss.de", true },
  { "marcel-veronetzki.de", true },
  { "marcel-waldvogel.ch", true },
  { "marcelabarrozo.tk", true },
  { "marcelinofranchini.com", true },
  { "marcelinofranchini.eu", true },
  { "marcelinofranchini.info", true },
  { "marcelinofranchini.net", true },
  { "marcelinofranchini.org", true },
  { "marceljeannin.com", true },
  { "marcelkooiman.com", true },
  { "marcelofernandez.tk", true },
  { "marcelpreuss.de", true },
  { "marcelsiegert.com", true },
  { "marcelwaldvogel.ch", true },
  { "marcelwiedemeier.com", true },
  { "marcelwolf.coach", true },
  { "marcgoertz.de", true },
  { "marche-contre-monsanto.ch", false },
  { "marcheslep.org.uk", true },
  { "marchhappy.tech", false },
  { "marchukov.com", true },
  { "marclay.co.uk", true },
  { "marco-burmeister.de", true },
  { "marco-goltz.de", true },
  { "marco-hegenberg.net", true },
  { "marco-polo-reisen.com", true },
  { "marco-reitmeier.de", true },
  { "marcobicca.com", true },
  { "marcocasoni.com", true },
  { "marcoherten.com", true },
  { "marcoklomp.nl", true },
  { "marcopolo-restaurant.com", true },
  { "marcoreitmeier.de", true },
  { "marcoslater.com", true },
  { "marcotics.nl", true },
  { "marcus.pw", true },
  { "marcusds.ca", true },
  { "marcusstafford.com", true },
  { "mareamoda.com", true },
  { "marechal-company.com", true },
  { "marek.su", true },
  { "marex.host", true },
  { "margagriesser.de", true },
  { "margatroid.com", true },
  { "margaux-perrin.com", true },
  { "margays.de", true },
  { "margecommunication.com", false },
  { "margo-co.ch", false },
  { "margolis.gq", true },
  { "margotlondon.co.uk", true },
  { "marguerite-maison.fr", true },
  { "maria-galland.cz", true },
  { "mariaaguirrevalarezo.com", true },
  { "mariafernanda.com.br", true },
  { "mariage-protestant.ch", true },
  { "mariagealamontagne.com", true },
  { "mariagiovannaluini.it", true },
  { "mariaheidemann.nl", true },
  { "marianatherapy.com", true },
  { "marianhoenscheid.de", true },
  { "mariannenan.nl", true },
  { "mariannethijssen.nl", true },
  { "mariapietropola.com", true },
  { "mariasandoli.com.br", true },
  { "mariasavchenko.com", true },
  { "mariasilverbutterfly.com", true },
  { "mariatash.com", true },
  { "maridonlaw.com", true },
  { "marie-elisabeth.dk", true },
  { "marie-pettenbeck-schule.de", true },
  { "mariehane.com", true },
  { "mariemiramont.fr", true },
  { "mariendistel-tee.de", true },
  { "mariereichl.cz", true },
  { "marijnfidder.nl", true },
  { "marijuanajobscannabiscareers.com", true },
  { "marikafranke.de", true },
  { "marilsnijders.nl", true },
  { "marilynhartman.com", true },
  { "marilynmartin.com.au", true },
  { "marilynstreats.com", true },
  { "marin-business-center.ch", false },
  { "marin-dom.ru", false },
  { "marin-tullet.com", false },
  { "marina-tsvetaeva.ml", true },
  { "marinat2012.de", true },
  { "marinazarza.es", true },
  { "marinbusinesscenter.ch", false },
  { "marinela.com.mx", false },
  { "marinelausa.com", false },
  { "marinershousecalstock.com", true },
  { "maringalazer.com.br", true },
  { "marioabela.com", true },
  { "mariogeckler.de", false },
  { "mariposah.ch", true },
  { "marisamorby.com", false },
  { "marisasitaliankitchen.com", true },
  { "mariskavankasbergen.nl", true },
  { "maritim.go.id", false },
  { "maritimeseafoods.com", true },
  { "mariushubatschek.de", true },
  { "marivalemotions.com", true },
  { "mariviolin.com", true },
  { "marjeta-gurtner.ch", true },
  { "marjoleindens.be", true },
  { "marjorie-wiki.de", true },
  { "marjoriecarvalho.com.br", true },
  { "mark-dietzer.de", true },
  { "mark-semmler.de", true },
  { "mark1998.com", true },
  { "markaconnor.com", true },
  { "markandev.com", true },
  { "markandrosalind.co.uk", true },
  { "markantoffice.com", true },
  { "markbiesheuvel.nl", true },
  { "markdain.net", true },
  { "markel.com.es", true },
  { "markepps.com", true },
  { "market-vanna.ru", true },
  { "market.android.com", true },
  { "marketespace.fr", false },
  { "marketgrid.ml", true },
  { "marketgrid.tk", true },
  { "marketindex.com.au", true },
  { "marketing-2.de", true },
  { "marketingbrandingnews.com", true },
  { "marketingbrandingnews.net", true },
  { "marketingco.nl", true },
  { "marketingconverts.com", true },
  { "marketingpalace.tk", true },
  { "marketingprofesszorok.hu", true },
  { "marketingtrendnews.com", true },
  { "marketingvirtuales.com", true },
  { "marketingypublicidaddigital.com.mx", true },
  { "marketizare.ro", true },
  { "marketking.ga", true },
  { "marketplacestrategy.com", true },
  { "marketsearch.ga", true },
  { "marketvalue.gq", true },
  { "markfisher.photo", true },
  { "markfordelegate.com", true },
  { "markhaehnel.de", true },
  { "markhoodphoto.com", true },
  { "markhoodwrites.com", true },
  { "markido.com", true },
  { "markitzeroday.com", true },
  { "markkirkforillinois.com", true },
  { "marklauman.ca", true },
  { "markoglou.com.gr", true },
  { "markri.nl", true },
  { "markridgwell.co.uk", true },
  { "markridgwell.com", true },
  { "markridgwellcom.appspot.com", true },
  { "markshroyer.com", true },
  { "marksm.it", true },
  { "marksmit.co", true },
  { "markspres.org", true },
  { "markstevenkirk.com", true },
  { "markstickley.co.uk", true },
  { "markt-heiligenstadt.de", false },
  { "marktcontact.com", true },
  { "marktgorman.com", true },
  { "marktguru.at", true },
  { "marktguru.de", true },
  { "marktissink.nl", true },
  { "markup-ua.com", true },
  { "markus-blog.de", false },
  { "markus-keppeler.de", true },
  { "markus-musiker.de", true },
  { "markus-ullmann.de", true },
  { "markusehrlicher.de", true },
  { "markusjanzen.de", true },
  { "markusjochim.de", true },
  { "markuskeppeler.de", true },
  { "markuskeppeler.no-ip.biz", true },
  { "markusritzmann.ch", true },
  { "markusueberallassetmanagement.de", true },
  { "markusueberallconsulting.de", true },
  { "markusweimar.de", true },
  { "marl.fr", true },
  { "marliesfens.nl", true },
  { "marloncommunications.com", true },
  { "marlonlosurdopictures.com", true },
  { "marlosoft.net", true },
  { "marmaluot.com", true },
  { "marmista.roma.it", true },
  { "marmolesromero.com", true },
  { "marmotte.love", true },
  { "marmuif.fr", true },
  { "marocemploi.co", true },
  { "maroismasso.com", true },
  { "marolu.one", true },
  { "maroquineriepirlot.be", false },
  { "maroussia.tk", true },
  { "marpa-wohnen.de", true },
  { "marrai.de", true },
  { "marriage-shrine.jp", true },
  { "marriageawareness.com", true },
  { "marrickvilleapartments.com.au", true },
  { "marron-dietrecipe.com", true },
  { "mars.army", true },
  { "mars.navy", true },
  { "marsanvet.com", true },
  { "marsbleapp.com", true },
  { "marseillekiteclub.com", true },
  { "marshallscastles.com", true },
  { "marshallwilson.com", true },
  { "marshmallow.co", true },
  { "marshmallow.com", true },
  { "marsikelektro.cz", true },
  { "martasibaja.com", true },
  { "martel-innovate.com", true },
  { "martelange.ovh", true },
  { "martellosecurity.com", true },
  { "martemeo-wetterau.de", true },
  { "marten-buer.de", true },
  { "martensmxservice.nl", true },
  { "martensson.io", false },
  { "martialarts-wels.at", true },
  { "martian.community", true },
  { "martian.tk", true },
  { "martide.com", true },
  { "martijn.site", true },
  { "martijnhielema.nl", true },
  { "martijnvanderzande.nl", true },
  { "martin-loewer.de", true },
  { "martin-renze.de", true },
  { "martin-weil.de", true },
  { "martin.vet", true },
  { "martinbaileyphotography.com", true },
  { "martinboerhof.nl", true },
  { "martincernac.cz", true },
  { "martine.nu", true },
  { "martinelias.cz", true },
  { "martineweitweg.de", true },
  { "martinfranc.eu", false },
  { "martinhaunschmid.com", true },
  { "martinho.tk", true },
  { "martinkus.eu", true },
  { "martinmuc.de", true },
  { "martinreed.net", true },
  { "martinvillalba.com", true },
  { "martinvillalba.com.ar", true },
  { "martinvillalba.info", true },
  { "martinvillalba.net", true },
  { "martinvillalba.org", true },
  { "martonmihaly.hu", true },
  { "marufmusic.tk", true },
  { "maruhoi.com", true },
  { "marulaweb.com", true },
  { "marvaco.ga", true },
  { "marvelmoviemarathon.com", true },
  { "marvelousdesigners.com", true },
  { "marvin.rocks", true },
  { "marvinschopf.com", true },
  { "marvman.me", true },
  { "marvnet.de", true },
  { "marvnet.design", true },
  { "marvnetdigital.com", true },
  { "marvnetdigital.de", true },
  { "marxists.org", true },
  { "marycliffpress.com", true },
  { "maryeclark.com", true },
  { "maryhaze.net", true },
  { "maryjaneroach.com", true },
  { "maryjruggles.com", true },
  { "marykatrinaphotography.com", true },
  { "marylandbasementandcrawlspacewaterproofing.com", true },
  { "marylandtraditions.org", true },
  { "maryluzturismo.co", true },
  { "marzio.co.za", true },
  { "masalaband.tk", true },
  { "masarik.sh", true },
  { "masarn.com", true },
  { "masaze-hanka.cz", true },
  { "mascosolutions.com", true },
  { "mascotarios.org", true },
  { "masdemariette.com", true },
  { "masdemexico.com", true },
  { "maseni.com", true },
  { "maservant.net", true },
  { "mashandco.it", true },
  { "mashandco.tv", true },
  { "mashcape.com", true },
  { "masiniunelte.store.ro", true },
  { "maskim.fr", true },
  { "maskinkultur.com", true },
  { "maslin.io", true },
  { "masqueradecostumes.tk", true },
  { "masrur.org", true },
  { "mass.pt", true },
  { "massaboutique.com", true },
  { "massage-colleges.com", true },
  { "massage-vitalite.fr", true },
  { "massage4u.net", true },
  { "massageandwellbeing.com", true },
  { "massagecoolangatta.com.au", true },
  { "massagecupping.com", true },
  { "massagetainha-hanoi.com", true },
  { "massconsultores.com", true },
  { "masse.org", true },
  { "massflix.com", true },
  { "massfone.com", true },
  { "masshiro.blog", true },
  { "masshvac.com", true },
  { "massotherapeutique.com", true },
  { "masta.ch", false },
  { "mastdi.eu", true },
  { "mastellone.us", true },
  { "mastepinnelaand.nl", true },
  { "master-net.org", true },
  { "master-tmb.ru", true },
  { "mastercardpac.com", true },
  { "masterdemolitioninc.com", true },
  { "masterdigitale.com", true },
  { "masterdrilling.com", true },
  { "masterkitchen.com.br", true },
  { "masterofallscience.com", true },
  { "masterofbytes.ch", true },
  { "masterpassword.org", true },
  { "masterpc.co.uk", true },
  { "masterplc.com", true },
  { "masterplumber.coach", true },
  { "masters.black", true },
  { "mastersadistancia.com", true },
  { "mastersthesiswriting.com", true },
  { "masterstuff.de", true },
  { "masterton.com.au", true },
  { "mastodon.at", true },
  { "mastodon.host", true },
  { "mastodon.top", true },
  { "mastodon.uno", true },
  { "mat.tt", true },
  { "matanz.de", true },
  { "matatabimix.com", true },
  { "matatall.com", true },
  { "match.audio", true },
  { "matchatea24.com", true },
  { "matchboxdesigngroup.com", true },
  { "matchlessdentist.com", true },
  { "matchmadeinstubton.com", true },
  { "matchmuchach.net", true },
  { "matchupmagic.com", true },
  { "mate.vn", true },
  { "matebalazs.hu", true },
  { "matejgroma.com", true },
  { "matel.org", true },
  { "matematikkulubu.tk", true },
  { "matematyka.wiki", true },
  { "materassi.roma.it", true },
  { "materiaischiquinho.com.br", true },
  { "material-ui.com", true },
  { "material-world-fuyouhin.com", true },
  { "materialism.com", true },
  { "materialyinzynierskie.pl", true },
  { "maternalsafety.org", true },
  { "mateuszmajewski.com", true },
  { "matex-tokyo.co.jp", true },
  { "matgodt.no", true },
  { "math-coaching.com", true },
  { "math-colleges.com", true },
  { "math.hamburg", true },
  { "mathematik.rocks", true },
  { "matheo-schefczyk.de", true },
  { "mathers.ovh", true },
  { "mathes.berlin", true },
  { "mathhire.org", true },
  { "mathiasbynens.be", true },
  { "mathiasgarbe.de", true },
  { "mathiaswagner.org", true },
  { "mathieuguimond.com", true },
  { "mathieui.net", true },
  { "mathis.com.tr", true },
  { "mathiteia.com", true },
  { "maths.network", true },
  { "mathsai.com", true },
  { "mathspace.co", true },
  { "mathys.io", true },
  { "matijakolaric.com", true },
  { "matildajaneclothing.com", true },
  { "matipl.pl", true },
  { "matjaz.it", true },
  { "matlss.com", true },
  { "matocmedia.com", true },
  { "matok.me.uk", true },
  { "matome-surume.com", true },
  { "matomeathena.com", true },
  { "matoutepetiteboutique.com", true },
  { "matridiana.com", true },
  { "matrieux.dk", true },
  { "matrimonio.com.pe", true },
  { "matrixglobalsms.com", true },
  { "matrixim.cc", true },
  { "matrixmedia.ro", true },
  { "matrixreq.com", true },
  { "matsu-semi.com", true },
  { "matt-brooks.com", true },
  { "matt-royal.com.cy", true },
  { "matt-royal.gr", true },
  { "matt.re", true },
  { "matt.wiki", true },
  { "mattadams.info", true },
  { "mattandyana.com", true },
  { "mattari-app.com", true },
  { "mattatoio.eu", true },
  { "mattberryman.org", true },
  { "mattbsg.xyz", true },
  { "mattcarr.net", false },
  { "mattcoles.io", true },
  { "mattconstruction.com", true },
  { "mattcorp.com", true },
  { "mattcronin.co.uk", true },
  { "matteobrenci.com", true },
  { "matteomarescotti.it", true },
  { "mattersource.com", true },
  { "mattferderer.com", true },
  { "mattfin.ch", true },
  { "mattforster.ca", true },
  { "matthew-cash.com", true },
  { "matthewcollins.me", true },
  { "matthewfells.com", true },
  { "matthewgrow.com", true },
  { "matthewj.ca", true },
  { "matthewkenny.co.uk", true },
  { "matthewkerley.com", true },
  { "matthewohare.com", true },
  { "matthewprenger.com", true },
  { "matthewsaeger.com", true },
  { "matthewsetter.com", true },
  { "matthey.nl", true },
  { "matthi.coffee", true },
  { "matthi3u.xyz", true },
  { "matthias-muenzner.de", true },
  { "matthiasbeck.com", true },
  { "matthiasmueller.me", true },
  { "matthiasott.com", true },
  { "matthiasschwab.de", true },
  { "matthieuchedidweb.tk", true },
  { "matthieuschlosser.fr", true },
  { "mattiascibien.net", false },
  { "mattlaks.com", true },
  { "mattli.us", true },
  { "mattmccutchen.net", true },
  { "mattmcshane.com", true },
  { "mattonline.me", true },
  { "mattprojects.com", true },
  { "matts.wiki", true },
  { "matts.world", true },
  { "mattwservices.co.uk", true },
  { "matucloud.de", true },
  { "matuslab.net", true },
  { "matviet.vn", true },
  { "matze.co", true },
  { "mau.chat", true },
  { "mau.life", true },
  { "mauerwerk.online", true },
  { "mauerwerkstag.info", true },
  { "mauiticketsforless.com", true },
  { "mauldincookfence.com", true },
  { "maunium.net", true },
  { "mauracher.cc", true },
  { "mauran.me", false },
  { "maureencsmith.ca", true },
  { "mauricedb.nl", true },
  { "mauriceje.ga", true },
  { "mauricioquadradoconsultor.com.br", true },
  { "mauricioquadradocontador.com.br", true },
  { "maurovacca.com", true },
  { "maury-moteurs.com", true },
  { "mauwis.ro", true },
  { "maveeranpasupathi.tk", true },
  { "mavenclinic.com", true },
  { "mavensecurity.com", true },
  { "mavenvets.co.uk", true },
  { "maveris.com", true },
  { "mawai.com.tw", true },
  { "mawo.olkusz.pl", true },
  { "mawrex.tech", true },
  { "max-it.fr", true },
  { "max-moeglich.de", true },
  { "max-went.pl", true },
  { "max.gov", true },
  { "max0365.com", true },
  { "maxb.fm", true },
  { "maxbeenen.de", true },
  { "maxbruckner.de", true },
  { "maxbruckner.org", true },
  { "maxchan.info", true },
  { "maxclean.ml", true },
  { "maxedgymequipment.com", true },
  { "maxh.me.uk", true },
  { "maxhoechtl.at", true },
  { "maxiglobal.net", true },
  { "maxiglobal.pt", true },
  { "maximdens.be", true },
  { "maximeferon.fr", true },
  { "maximilian-graf.de", true },
  { "maximilian-greger.com", true },
  { "maximilian-staedtler.de", true },
  { "maximiliankaul.de", true },
  { "maximiliankrieg.de", true },
  { "maximind.sg", true },
  { "maxims-travel.com", true },
  { "maxinesbydennees.com", true },
  { "maxipcalls.com", false },
  { "maxiservak.ml", true },
  { "maxisito.it", true },
  { "maxkaul.de", true },
  { "maxlaumeister.com", true },
  { "maxmatthe.ws", true },
  { "maxmilton.com", true },
  { "maxmind.com", true },
  { "maxmobiles.ru", true },
  { "maxmuen.de", true },
  { "maxp.info", true },
  { "maxpl0it.com", true },
  { "maxr1998.de", true },
  { "maxrandolph.com", true },
  { "maxrider.tk", true },
  { "maxtruxa.com", true },
  { "maxundlara.at", true },
  { "maxverboom.nl", true },
  { "maxwaellenergie.de", true },
  { "maxwell-english.co.jp", false },
  { "maxwellmoore.co.uk", true },
  { "may24.tw", true },
  { "mayaimplant.com", true },
  { "mayavi.co.in", true },
  { "mayblossom.net", true },
  { "maydn.org", true },
  { "mayhutmuibep.com", true },
  { "mayito.tk", true },
  { "mayomarquees.com", true },
  { "mayopartyhire.com", true },
  { "mayorcahill.com", true },
  { "mayper.net", false },
  { "maypolevilla.co.uk", true },
  { "mayre-idol.tk", true },
  { "mayrhofer.eu.org", false },
  { "maysambotros.tk", true },
  { "maytalkhao.com", true },
  { "maywoodpark.com", true },
  { "mazavto.ml", true },
  { "mazda-mps.de", true },
  { "mazda-thermote.com", false },
  { "mazdaofgermantown.com", true },
  { "maze.design", false },
  { "maze.fr", false },
  { "mazenjobs.com", true },
  { "mazi.io", true },
  { "mazloum.adv.br", true },
  { "mazzotta.me", true },
  { "mb-demo.net", true },
  { "mb-server.de", true },
  { "mb300sd.com", true },
  { "mb300sd.net", true },
  { "mbaasy.com", true },
  { "mbaestlein.de", true },
  { "mbainflatables.co.uk", true },
  { "mbanq.com", true },
  { "mbardot.com", true },
  { "mbasic.facebook.com", false },
  { "mbc.asn.au", true },
  { "mbcars.be", false },
  { "mbclegal.org", true },
  { "mbda.gov", true },
  { "mbed.com", true },
  { "mbedcloud.com", true },
  { "mbedcloudintegration.net", true },
  { "mbeo.ch", false },
  { "mbetb73.com", true },
  { "mbinf.de", false },
  { "mbk.net.pl", true },
  { "mblankhorst.nl", true },
  { "mble.mg", true },
  { "mbr-net.de", true },
  { "mbrooks.info", true },
  { "mbs-journey.com", true },
  { "mbski.se", true },
  { "mbsr-barmstedt.de", true },
  { "mbsync4supply.com", true },
  { "mbte365.com", true },
  { "mburaks.com", true },
  { "mburns.duckdns.org", true },
  { "mbusi.com", true },
  { "mc-jobs.net", true },
  { "mc-pub.org", true },
  { "mc-web.se", true },
  { "mc007.xyz", true },
  { "mcatnnlo.org", true },
  { "mcblain.com", true },
  { "mccannbristol.co.uk", true },
  { "mcconciergerie.com", true },
  { "mccoolesredlioninn.com", true },
  { "mccordscvs.com", true },
  { "mccordsvillelocksmith.com", true },
  { "mccrackon.com", true },
  { "mcculloughjchris.com", true },
  { "mcdonalds.be", true },
  { "mcduff.ga", true },
  { "mce.eu", true },
  { "mce.nyc", true },
  { "mce55.eu", true },
  { "mcea-hld.jp", true },
  { "mceconferencecentre.eu", true },
  { "mcfarlow.sk", true },
  { "mcfedries.com", true },
  { "mcfi.mu", true },
  { "mcfx.us", true },
  { "mcgaccountancy.co.uk", true },
  { "mcgovernance.com", true },
  { "mchan.us", true },
  { "mchel.net", true },
  { "mchost.no", true },
  { "mchristopher.com", true },
  { "mcivor.me", true },
  { "mcjars.com", true },
  { "mckendry.com", true },
  { "mckendry.consulting", true },
  { "mckernan.in", false },
  { "mckinley.school", true },
  { "mcl.de", false },
  { "mcl.gg", true },
  { "mclinflatables.co.uk", true },
  { "mclmotors.co.uk", true },
  { "mclouds.ru", true },
  { "mcmillansedationdentistry.com", false },
  { "mcmillanskiclub.com.au", true },
  { "mcneill.io", true },
  { "mcnext.net", true },
  { "mcon.se", true },
  { "mcpaoffice.com", true },
  { "mcpebox.com", true },
  { "mcplayman.de", true },
  { "mcrn.jp", true },
  { "mcsinflatables.co.uk", true },
  { "mcsports.es", true },
  { "mcsrvstat.us", true },
  { "mctitan.net", true },
  { "mctools.org", true },
  { "mcuexchange.com", true },
  { "mcukhost.co.uk", true },
  { "mcuuid.net", true },
  { "mcversions.net", true },
  { "mcvs.net", true },
  { "mcwrapper.com", true },
  { "mcynews.com", true },
  { "mcyukon.com", true },
  { "md-clinica.com.ua", true },
  { "md10lc8.com", true },
  { "md11lc8.com", true },
  { "md12lc8.com", true },
  { "md13lc8.com", true },
  { "md15lc8.com", true },
  { "md16lc8.com", true },
  { "md17lc8.com", true },
  { "md19lc8.com", true },
  { "md1lc8.com", true },
  { "md24lc8.com", true },
  { "md33lc8.com", true },
  { "md34lc8.com", true },
  { "md35lc8.com", true },
  { "md38lc8.com", true },
  { "md43lc8.com", true },
  { "md44lc8.com", true },
  { "md45lc8.com", true },
  { "md46lc8.com", true },
  { "md52lc8.com", true },
  { "md56lc8.com", true },
  { "md5file.com", true },
  { "md5hashing.net", true },
  { "md5lc8.com", true },
  { "md8lc8.com", true },
  { "md9lc8.com", true },
  { "mdaemon.de", true },
  { "mdbug.de", true },
  { "mdcghana.org", true },
  { "mdcloudps.com", true },
  { "mdewendt.de", true },
  { "mdf-bis.com", false },
  { "mdhosting.co.uk", true },
  { "mdihi.com", true },
  { "mdinvest.nz", true },
  { "mdir.tk", true },
  { "mdiv.pl", true },
  { "mdkhorshedalam.com", true },
  { "mdkr.nl", true },
  { "mdlayher.com", true },
  { "mdma.net", true },
  { "mdmed.clinic", true },
  { "mdosch.de", true },
  { "mdpparish.com", true },
  { "mdpraha.cz", true },
  { "mdrsp.de", true },
  { "mdrthmcs.io", true },
  { "mdsave.com", true },
  { "mdtorelli.it", true },
  { "mdx.no", true },
  { "mdxdave.de", true },
  { "mdxn.org", true },
  { "mdzservers.com", true },
  { "me-news.tk", true },
  { "me-soft.nl", true },
  { "me.net.nz", true },
  { "me7878.com", true },
  { "meadowfen.farm", true },
  { "meadowfenfarm.com", true },
  { "meadstats.com", true },
  { "meamod.com", false },
  { "meany.xyz", true },
  { "meap.xyz", true },
  { "measureyourpenis.today", true },
  { "meat.org.uk", true },
  { "meayne.ddns.net", true },
  { "mebaneattorney.com", true },
  { "mebanesteakhouse.com", true },
  { "mec010.com", true },
  { "mec020.com", true },
  { "mec021.com", true },
  { "mec022.com", true },
  { "mec023.com", true },
  { "mec024.com", true },
  { "mec025.com", true },
  { "mec027.com", true },
  { "mec028.com", true },
  { "mec029.com", true },
  { "mec0310.com", true },
  { "mec0311.com", true },
  { "mec0312.com", true },
  { "mec0313.com", true },
  { "mec0314.com", true },
  { "mec0315.com", true },
  { "mec0316.com", true },
  { "mec0317.com", true },
  { "mec0318.com", true },
  { "mec0319.com", true },
  { "mec0335.com", true },
  { "mec0350.com", true },
  { "mec0351.com", true },
  { "mec0352.com", true },
  { "mec0353.com", true },
  { "mec0354.com", true },
  { "mec0355.com", true },
  { "mec0356.com", true },
  { "mec0357.com", true },
  { "mec0358.com", true },
  { "mec0359.com", true },
  { "mec0370.com", true },
  { "mec0371.com", true },
  { "mec0372.com", true },
  { "mec0373.com", true },
  { "mec0374.com", true },
  { "mec0375.com", true },
  { "mec0376.com", true },
  { "mec0377.com", true },
  { "mec0378.com", true },
  { "mec0379.com", true },
  { "mec0391.com", true },
  { "mec0392.com", true },
  { "mec0393.com", true },
  { "mec0394.com", true },
  { "mec0395.com", true },
  { "mec0396.com", true },
  { "mec0398.com", true },
  { "mec0410.com", true },
  { "mec0411.com", true },
  { "mec0412.com", true },
  { "mec0413.com", true },
  { "mec0414.com", true },
  { "mec0415.com", true },
  { "mec0416.com", true },
  { "mec0419.com", true },
  { "mec0421.com", true },
  { "mec0429.com", true },
  { "mec0431.com", true },
  { "mec0432.com", true },
  { "mec0433.com", true },
  { "mec0434.com", true },
  { "mec0435.com", true },
  { "mec0436.com", true },
  { "mec0437.com", true },
  { "mec0438.com", true },
  { "mec0439.com", true },
  { "mec0440.com", true },
  { "mec0450.com", true },
  { "mec0451.com", true },
  { "mec0452.com", true },
  { "mec0453.com", true },
  { "mec0454.com", true },
  { "mec0455.com", true },
  { "mec0456.com", true },
  { "mec0457.com", true },
  { "mec0458.com", true },
  { "mec0459.com", true },
  { "mec0470.com", true },
  { "mec0471.com", true },
  { "mec0472.com", true },
  { "mec0473.com", true },
  { "mec0474.com", true },
  { "mec0475.com", true },
  { "mec0476.com", true },
  { "mec0477.com", true },
  { "mec0478.com", true },
  { "mec0479.com", true },
  { "mec0482.com", true },
  { "mec0483.com", true },
  { "mec0510.com", true },
  { "mec0511.com", true },
  { "mec0512.com", true },
  { "mec0513.com", true },
  { "mec0514.com", true },
  { "mec0515.com", true },
  { "mec0516.com", true },
  { "mec0517.com", true },
  { "mec0518.com", true },
  { "mec0519.com", true },
  { "mec0523.com", true },
  { "mec0530.com", true },
  { "mec0531.com", true },
  { "mec0532.com", true },
  { "mec0533.com", true },
  { "mec0534.com", true },
  { "mec0535.com", true },
  { "mec0536.com", true },
  { "mec0537.com", true },
  { "mec0538.com", true },
  { "mec0539.com", true },
  { "mec0550.com", true },
  { "mec0551.com", true },
  { "mec0552.com", true },
  { "mec0553.com", true },
  { "mec0554.com", true },
  { "mec0555.com", true },
  { "mec0556.com", true },
  { "mec0557.com", true },
  { "mec0558.com", true },
  { "mec0559.com", true },
  { "mec0561.com", true },
  { "mec0562.com", true },
  { "mec0563.com", true },
  { "mec0564.com", true },
  { "mec0565.com", true },
  { "mec0566.com", true },
  { "mec0570.com", true },
  { "mec0571.com", true },
  { "mec0572.com", true },
  { "mec0573.com", true },
  { "mec0574.com", true },
  { "mec0575.com", true },
  { "mec0576.com", true },
  { "mec0577.com", true },
  { "mec0578.com", true },
  { "mec0579.com", true },
  { "mec0580.com", true },
  { "mec0591.com", true },
  { "mec0592.com", true },
  { "mec0593.com", true },
  { "mec0594.com", true },
  { "mec0595.com", true },
  { "mec0596.com", true },
  { "mec0597.com", true },
  { "mec0598.com", true },
  { "mec0599.com", true },
  { "mec0660.com", true },
  { "mec0661.com", true },
  { "mec0662.com", true },
  { "mec0663.com", true },
  { "mec0691.com", true },
  { "mec0692.com", true },
  { "mec0701.com", true },
  { "mec0710.com", true },
  { "mec0711.com", true },
  { "mec0712.com", true },
  { "mec0713.com", true },
  { "mec0714.com", true },
  { "mec0715.com", true },
  { "mec0716.com", true },
  { "mec0717.com", true },
  { "mec0718.com", true },
  { "mec0719.com", true },
  { "mec0722.com", true },
  { "mec0724.com", true },
  { "mec0728.com", true },
  { "mec0730.com", true },
  { "mec0731.com", true },
  { "mec0732.com", true },
  { "mec0733.com", true },
  { "mec0734.com", true },
  { "mec0735.com", true },
  { "mec0736.com", true },
  { "mec0737.com", true },
  { "mec0738.com", true },
  { "mec0739.com", true },
  { "mec0743.com", true },
  { "mec0744.com", true },
  { "mec0745.com", true },
  { "mec0746.com", true },
  { "mec0751.com", true },
  { "mec0752.com", true },
  { "mec0753.com", true },
  { "mec0754.com", true },
  { "mec0755.com", true },
  { "mec0756.com", true },
  { "mec0757.com", true },
  { "mec0758.com", true },
  { "mec0759.com", true },
  { "mec0760.com", true },
  { "mec0762.com", true },
  { "mec0763.com", true },
  { "mec0765.com", true },
  { "mec0766.com", true },
  { "mec0768.com", true },
  { "mec0769.com", true },
  { "mec0770.com", true },
  { "mec0771.com", true },
  { "mec0772.com", true },
  { "mec0773.com", true },
  { "mec0774.com", true },
  { "mec0775.com", true },
  { "mec0776.com", true },
  { "mec0777.com", true },
  { "mec0778.com", true },
  { "mec0779.com", true },
  { "mec0790.com", true },
  { "mec0791.com", true },
  { "mec0792.com", true },
  { "mec0793.com", true },
  { "mec0794.com", true },
  { "mec0795.com", true },
  { "mec0796.com", true },
  { "mec0797.com", true },
  { "mec0798.com", true },
  { "mec0799.com", true },
  { "mec0810.com", true },
  { "mec0811.com", true },
  { "mec0812.com", true },
  { "mec0813.com", true },
  { "mec0814.com", true },
  { "mec0816.com", true },
  { "mec0817.com", true },
  { "mec0818.com", true },
  { "mec0819.com", true },
  { "mec0826.com", true },
  { "mec0827.com", true },
  { "mec0830.com", true },
  { "mec0831.com", true },
  { "mec0832.com", true },
  { "mec0833.com", true },
  { "mec0834.com", true },
  { "mec0835.com", true },
  { "mec0836.com", true },
  { "mec0837.com", true },
  { "mec0838.com", true },
  { "mec0839.com", true },
  { "mec0840.com", true },
  { "mec0851.com", true },
  { "mec0852.com", true },
  { "mec0853.com", true },
  { "mec0854.com", true },
  { "mec0855.com", true },
  { "mec0856.com", true },
  { "mec0857.com", true },
  { "mec0858.com", true },
  { "mec0859.com", true },
  { "mec0870.com", true },
  { "mec0871.com", true },
  { "mec0872.com", true },
  { "mec0873.com", true },
  { "mec0874.com", true },
  { "mec0875.com", true },
  { "mec0876.com", true },
  { "mec0877.com", true },
  { "mec0878.com", true },
  { "mec0879.com", true },
  { "mec0881.com", true },
  { "mec0883.com", true },
  { "mec0886.com", true },
  { "mec0887.com", true },
  { "mec0888.com", true },
  { "mec0890.com", true },
  { "mec0891.com", true },
  { "mec0898.com", true },
  { "mec0899.com", true },
  { "mec0910.com", true },
  { "mec0911.com", true },
  { "mec0912.com", true },
  { "mec0913.com", true },
  { "mec0914.com", true },
  { "mec0915.com", true },
  { "mec0916.com", true },
  { "mec0917.com", true },
  { "mec0919.com", true },
  { "mec0930.com", true },
  { "mec0931.com", true },
  { "mec0932.com", true },
  { "mec0933.com", true },
  { "mec0934.com", true },
  { "mec0935.com", true },
  { "mec0936.com", true },
  { "mec0937.com", true },
  { "mec0938.com", true },
  { "mec0941.com", true },
  { "mec0943.com", true },
  { "mec0951.com", true },
  { "mec0952.com", true },
  { "mec0953.com", true },
  { "mec0954.com", true },
  { "mec0971.com", true },
  { "mec0972.com", true },
  { "mec0973.com", true },
  { "mec0974.com", true },
  { "mec0975.com", true },
  { "mec0976.com", true },
  { "mec0977.com", true },
  { "mec0991.com", true },
  { "mec222.com", true },
  { "mec333.com", true },
  { "mec444.com", true },
  { "mec555.com", true },
  { "mec825.com", true },
  { "mec888.com", true },
  { "mec999.com", true },
  { "mecanicoautomotriz.org", true },
  { "mecaniquemondor.com", true },
  { "mechanics-schools.com", true },
  { "mechanus.io", true },
  { "mechaspartans6648.com", true },
  { "mechbattlegrounds.com", true },
  { "mechmk1.me", true },
  { "mechok.ru", true },
  { "med-colleges.com", true },
  { "med-line.cf", true },
  { "med-post.biz", true },
  { "med-post.co", true },
  { "med-post.com", true },
  { "med-post.net", true },
  { "med-post.org", true },
  { "med-postclinic.com", true },
  { "med-postdoctor.com", true },
  { "med-postdoctors.com", true },
  { "med-postemergency.com", true },
  { "med-posthealth.com", true },
  { "med-postmedical.com", true },
  { "med-postphysicians.com", true },
  { "med-postwellness.com", true },
  { "med.tips", true },
  { "med360.at", true },
  { "medalofvalor.gov", true },
  { "medasset.gr", true },
  { "medba.se", true },
  { "medbreaker-friends.at", true },
  { "medcir.com.br", true },
  { "medcorfu.gr", true },
  { "medcrowd.com", true },
  { "meddelare.com", true },
  { "meddigital.com", false },
  { "meddin.com", true },
  { "medecinchinois.be", true },
  { "medeinos.lt", true },
  { "medeurope.info", true },
  { "medexpress.co.uk", true },
  { "medguide-bg.com", true },
  { "medi.com.br", true },
  { "media-instance.ru", true },
  { "media-library.co.uk", true },
  { "media-pi.com", true },
  { "media-serwis.com", true },
  { "media-store.ir", true },
  { "mediaarea.net", true },
  { "mediabackoffice.co.jp", true },
  { "mediablaster.com", true },
  { "mediabogen.net", true },
  { "mediabookdb.de", true },
  { "mediaburst.co.uk", true },
  { "mediacloud.me", true },
  { "mediadex.be", true },
  { "mediafamous.com", true },
  { "mediafart.fr", true },
  { "mediafly.com", true },
  { "mediagenic.ch", false },
  { "mediagrand.net", true },
  { "mediajurnal.com", true },
  { "medialab.nrw", true },
  { "mediapart.fr", true },
  { "mediapath.gr", true },
  { "mediarithmics.com", true },
  { "mediarithmics.io", true },
  { "mediaselection.eu", true },
  { "mediathekview.de", true },
  { "mediation-mv.de", true },
  { "mediatorzy.waw.pl", true },
  { "mediaukkies.nl", true },
  { "mediawijsheid.nl", true },
  { "mediawijzer.net", true },
  { "mediawiki.org", true },
  { "mediawin.pl", true },
  { "medical-assistant-colleges.com", true },
  { "medicalabroad.org", false },
  { "medicalcountermeasures.gov", true },
  { "medicaltools.de", true },
  { "medicare-providers.net", true },
  { "medicarecoveragefinder.com", true },
  { "medicareful.com", true },
  { "medicareinfo.org", true },
  { "medichat.ml", true },
  { "medicine.com", true },
  { "medicinia.com.br", true },
  { "mediciventures.com", true },
  { "medicm.jp", true },
  { "medicocompetente.it", true },
  { "medicoleads.com", true },
  { "medicoresponde.com.br", true },
  { "medicsz.co", true },
  { "medictools.de", true },
  { "medienweite.de", true },
  { "medifirst.de", true },
  { "medigap-quote.net", true },
  { "medik8.com.cy", true },
  { "medikalakademi.com.tr", true },
  { "medikuma.com", true },
  { "medino.com", true },
  { "medinside.ch", true },
  { "medinside.li", true },
  { "medinsider.ch", true },
  { "medinsider.li", true },
  { "medirota.com", true },
  { "meditadvisors.com", true },
  { "meditarenargentina.org", true },
  { "meditation-rennes.org", true },
  { "meditel.nl", true },
  { "medium.com", true },
  { "medivox.tk", true },
  { "medja.net", true },
  { "medlineplus.gov", true },
  { "medo64.com", true },
  { "medovea.ru", true },
  { "medpeer.co.jp", true },
  { "medpeer.jp", true },
  { "medpics.com", true },
  { "medpost.biz", true },
  { "medpost.co", true },
  { "medpost.info", true },
  { "medpost.me", true },
  { "medpost.mobi", true },
  { "medpost.tv", true },
  { "medpost.us", true },
  { "medpostcare.com", true },
  { "medpostclinic.com", true },
  { "medpostdoctor.com", true },
  { "medpostdoctors.com", true },
  { "medpostemergency.com", true },
  { "medpostexpresscare.com", true },
  { "medposthealth.com", true },
  { "medposthealthcare.com", true },
  { "medpostimmediatecare.com", true },
  { "medpostmedical.com", true },
  { "medpostphysicians.com", true },
  { "medposturgentcare.biz", true },
  { "medposturgentcare.co", true },
  { "medposturgentcare.com", true },
  { "medposturgentcare.info", true },
  { "medposturgentcare.net", true },
  { "medposturgentcare.org", true },
  { "medpostwalkincare.com", true },
  { "medpostwellness.com", true },
  { "medsblalabs.com", true },
  { "medschat.com", true },
  { "medsourcelabs.com", true },
  { "medstatix.co", true },
  { "medtalents.ch", true },
  { "medtehnika.ua", true },
  { "medtip.de", true },
  { "medunovi.com", true },
  { "medusa.wtf", true },
  { "meduza.io", true },
  { "medvedikorenka.cz", true },
  { "medvedivka.tk", true },
  { "medvedkovo-hovrino.ru", true },
  { "medvet.com.es", true },
  { "medwaybouncycastlehire.co.uk", true },
  { "medyotan.ga", true },
  { "meedoenhartvanwestbrabant.nl", false },
  { "meekhak.com", true },
  { "meerman.nl", true },
  { "meermantechnischburo.nl", true },
  { "meerutcake.com", true },
  { "meet.google.com", true },
  { "meetawesomepeople.net", true },
  { "meetbot.fedoraproject.org", true },
  { "meetfranz.com", true },
  { "meetingapplication.com", true },
  { "meetingmanage.nl", true },
  { "meetingmanager.ovh", true },
  { "meetmygoods.com", true },
  { "meetscompany.jp", true },
  { "meeusen-usedcars.be", false },
  { "meevo.ca", true },
  { "meeztertom.nl", true },
  { "meg-a-bounce.co.uk", true },
  { "mega-byte.nl", true },
  { "mega-loteria.com", true },
  { "mega.co.nz", true },
  { "megabounce.co.uk", true },
  { "megabounceni.co.uk", true },
  { "megabouncingcastles.com", true },
  { "megaelettrostimolatore.com", true },
  { "megaflix.nl", true },
  { "megaflowers.ru", true },
  { "megagifs.de", true },
  { "megaherz.tk", true },
  { "megainflatables.co.uk", true },
  { "megakoncert90.cz", true },
  { "megamisja.pl", true },
  { "megamp3.eu", true },
  { "meganandmarc.us", true },
  { "meganreel.com", true },
  { "meganruggiero.com", true },
  { "megapixel.cz", true },
  { "megapl.ru", true },
  { "megaplan.cz", true },
  { "megaportal.ga", true },
  { "megarex.jp", true },
  { "megaron.at", true },
  { "megatravel.com.mx", true },
  { "megauction.tk", true },
  { "megawarez.org", true },
  { "megawebsite.tk", true },
  { "megaxchange.com", true },
  { "megaxchange.org", true },
  { "megayachts.world", true },
  { "meginajums1.space", true },
  { "mego.cloud", true },
  { "megumico.net", true },
  { "megztosidejos.lt", true },
  { "meh.is", true },
  { "mehalick.com", true },
  { "mehdibouchema.be", true },
  { "mehdimassage.com", true },
  { "meherbaba.sk", true },
  { "meherpurnews.com", true },
  { "mehhh.xyz", true },
  { "mehibo.tk", true },
  { "mehmetakif.edu.tr", true },
  { "mehmetince.net", true },
  { "mehode.com", true },
  { "mehostdd.com", false },
  { "mehr-schulferien.de", true },
  { "mehrleben.at", true },
  { "mehrnevesht.com", true },
  { "mehrwert.de", true },
  { "mehvix.com", true },
  { "meia.ir", true },
  { "meidev.co", true },
  { "meierhofer.net", true },
  { "meikampf.de", true },
  { "meiksbar.de", true },
  { "meillard-auto-ecole.ch", true },
  { "meilleur.info", true },
  { "meilleursavis.fr", true },
  { "meilleursjeuxporno.fr", true },
  { "meilleurstrucs.com", true },
  { "mein-domizil.at", true },
  { "mein-gehalt.at", true },
  { "mein-kuechenhelfer.de", true },
  { "mein-muehlhausen.bayern", true },
  { "mein-tortenladen.de", true },
  { "meinbetriebsrat24.de", true },
  { "meincenter-meinemeinung.de", true },
  { "meincoach.at", true },
  { "meine-cloud-online.de", true },
  { "meine-email-im.net", true },
  { "meine-finanzanalyse.de", true },
  { "meine-immofinanzierung.de", true },
  { "meineit.dvag", true },
  { "meinephbern.ch", true },
  { "meinewolke.pw", true },
  { "meinezwangsversteigerung.de", true },
  { "meinheizstrom.de", true },
  { "meintragebaby.de", true },
  { "meinv.asia", true },
  { "meiobit.com", true },
  { "meiodomato.com.br", true },
  { "meiqia.com", true },
  { "meisterlabs.com", true },
  { "meistertask.com", true },
  { "meitan.gz.cn", true },
  { "mekaleskirit.tk", true },
  { "mekanika.com.my", true },
  { "mekatrotekno.com", true },
  { "mekesh.com", true },
  { "mekesh.net", true },
  { "meklon.net", true },
  { "melania-voyance.fr", false },
  { "melanieschweiger.com", true },
  { "melatonin.fun", true },
  { "melbourne.dating", true },
  { "melcher.it", true },
  { "melchizedek-forum.de", true },
  { "melda-agustin.tk", true },
  { "melda.ru", true },
  { "meldcode-assistent.nl", true },
  { "meldpuntemma.nl", true },
  { "melearning.university", false },
  { "melhoresdominios.com", true },
  { "melhoresmarcasdenotebook.com.br", true },
  { "meliggemert.nl", true },
  { "melihacar.com.tr", true },
  { "melillaorienta.es", true },
  { "melina-schefczyk.de", true },
  { "meliowebweer.nl", true },
  { "melissaadkins.com", true },
  { "melissameuwszen.nl", true },
  { "meliyb.ga", true },
  { "mellonne.com", true },
  { "melnessgroup.com", true },
  { "melnikov.ch", true },
  { "melodict.com", true },
  { "melodiouscode.co.uk", true },
  { "melodiouscode.com", true },
  { "melodiouscode.net", true },
  { "melodiouscode.uk", true },
  { "melodrom.de", true },
  { "melodyjane.com", true },
  { "meloniecharm.com", true },
  { "melopie.com", true },
  { "melosyne.com", true },
  { "melosyne.de", true },
  { "melosyne.net", true },
  { "melosyne.org", true },
  { "meltzow.net", true },
  { "membercents.com", true },
  { "memberhk.com", true },
  { "members-arbourlake.com", true },
  { "members-only-shopping.com", true },
  { "members.nearlyfreespeech.net", false },
  { "membersense.com", true },
  { "membershipservices.org.uk", true },
  { "meme-photostudio.com.tw", true },
  { "meme.fi", true },
  { "meme.institute", true },
  { "memememememememe.me", true },
  { "memento-mori.cf", true },
  { "memes.nz", true },
  { "memesbee.com", true },
  { "memind.net", true },
  { "memiux.com", true },
  { "memo-linux.com", true },
  { "memo.ee", true },
  { "memo2ch.com", true },
  { "memoire-resistance-ariege.fr", true },
  { "memoirmedie.dk", true },
  { "memoriadeunaciudadzccm2019.com", true },
  { "memorind.com", true },
  { "memoryex.net", true },
  { "mempool.de", true },
  { "memrise.com", true },
  { "menanwc.org", true },
  { "menden.com", true },
  { "mendipbouncycastles.co.uk", true },
  { "mendy.jp", true },
  { "menielias.com", true },
  { "menn.tk", true },
  { "mennace.com", true },
  { "menno.me", true },
  { "menole.com", true },
  { "menole.de", true },
  { "menole.net", true },
  { "menotag.com", true },
  { "mens-v.com", true },
  { "mensagemaniversario.com.br", true },
  { "mensagemdaluz.com", true },
  { "mensagensaniversario.com.br", true },
  { "mensagensdeconforto.com.br", true },
  { "mensarena.gr", true },
  { "mensch-peter.me", true },
  { "mentalcalculations.tk", true },
  { "mentalcraft.tk", true },
  { "mentalhealthmn.org", true },
  { "mentaltraining-fuer-musiker.ch", true },
  { "mentecuriosa.net", true },
  { "menthiere.fr", true },
  { "mentiq.az", true },
  { "mentita.de", true },
  { "mentup.com.br", true },
  { "menzietti.it", true },
  { "meo.de", true },
  { "meodihoang.com", true },
  { "meow.plus", true },
  { "mepambalaj.com", true },
  { "mephedrone.org", true },
  { "meps.net", true },
  { "merakiclub.com", true },
  { "merakilp.com", true },
  { "meralda.eu", true },
  { "meralda.net", true },
  { "meralda.org", true },
  { "meraldamulder.com", true },
  { "meraldamulder.eu", true },
  { "meraldamulder.net", true },
  { "meraldamulder.org", true },
  { "meran.in", true },
  { "meransuedtirol.com", true },
  { "meraseo.com", true },
  { "mercadohype.tk", true },
  { "mercadoleal.com.br", true },
  { "mercadopago.com", true },
  { "mercadosex.com.br", true },
  { "mercamaris.es", true },
  { "mercari.com", true },
  { "mercatoitticosbt.it", true },
  { "mercedes-benz-arena-stuttgart.de", true },
  { "mercedes-benz-kiev.com", true },
  { "mercedes-ig.de", true },
  { "mercedobem.com.br", true },
  { "merchant-automotive.com", true },
  { "merchant.agency", true },
  { "merchcity.com", true },
  { "mercici.com", true },
  { "mercredifiction.io", true },
  { "mercury.photo", true },
  { "mercuryamericas.com", false },
  { "merdacz.pl", true },
  { "meremeti-online.gr", true },
  { "merenbach.com", true },
  { "merenita.com", true },
  { "merenita.eu", true },
  { "merenita.net", true },
  { "merenita.nl", true },
  { "meric-graphisme.info", true },
  { "meridanas.me", true },
  { "meridianenvironmental.com", true },
  { "meridianmetals.com", true },
  { "meridianoshop.com.br", true },
  { "merkel.li", true },
  { "merkel.me", true },
  { "merlet.eu", true },
  { "merlin-memorial.de", true },
  { "merlinsoap.com", true },
  { "merojob.com", true },
  { "meronberry.jp", true },
  { "merpay.com", true },
  { "merson.org", true },
  { "merson.tv", true },
  { "mertak.cz", true },
  { "mertarauh.com", true },
  { "mertcangokgoz.com", true },
  { "meruri.com", true },
  { "merza.is", true },
  { "mes-bouquins.fr", true },
  { "mesappros.com", true },
  { "mescaline.com", true },
  { "mescaline.org", true },
  { "mesec.cz", true },
  { "mesh.gov", true },
  { "mesh.org.ua", true },
  { "meshok.info", true },
  { "mesicka.com", false },
  { "meskiukas.tk", true },
  { "mesotheliomacentre.tk", true },
  { "messagescelestes-archives.ca", true },
  { "messagevortex.com", true },
  { "messagevortex.net", true },
  { "messdorferfeld.de", true },
  { "messenger.co.tz", true },
  { "messenger.com", false },
  { "messengerwebbrands.com", true },
  { "messer24.ch", true },
  { "messymom.com", true },
  { "mestazitrka.cz", true },
  { "mesvision.com", true },
  { "meta-db.com", true },
  { "meta-word.com", true },
  { "meta4.be", true },
  { "metachris.com", true },
  { "metacoda.com", true },
  { "metacode.biz", true },
  { "metacompliance.com", true },
  { "metacortex.cf", true },
  { "metadata.be", true },
  { "metadedi.net", true },
  { "metafurquest.net", true },
  { "metaglyphics.com", true },
  { "metainnovative.net", true },
  { "metakari.one", true },
  { "metal-rock.tk", true },
  { "metalartbylaser.com.au", true },
  { "metalempire.tk", true },
  { "metaljournal.tk", true },
  { "metaljunkiez.com", true },
  { "metalliran.tk", true },
  { "metallobaza.ml", true },
  { "metallomania.it", true },
  { "metallosajding.ru", true },
  { "metalu.ch", false },
  { "metanic.services", true },
  { "metanodo.com", true },
  { "metanumbers.com", true },
  { "metapeen.nl", true },
  { "metasquare.com.au", true },
  { "metasquare.nyc", true },
  { "metasurfforecast.com", true },
  { "metasyntactic.xyz", true },
  { "metaurl.io", true },
  { "metaword.com", true },
  { "metaword.net", true },
  { "metaword.org", true },
  { "metebalci.com", false },
  { "meteenonline.nl", true },
  { "meteobox.co", true },
  { "meteobox.cz", true },
  { "meteobox.de", true },
  { "meteobox.es", true },
  { "meteobox.fr", true },
  { "meteobox.mx", true },
  { "meteobox.pl", true },
  { "meteobox.sk", true },
  { "meteobox.tk", true },
  { "meteocat.net", true },
  { "meteorapp.space", true },
  { "meteorites-for-sale.com", true },
  { "meteorologiaenred.com", true },
  { "meteosmit.it", true },
  { "meterhost.com", true },
  { "methamphetamine.co.uk", true },
  { "method.com", true },
  { "methodfactory.com", true },
  { "methylone.com", true },
  { "metod.photo", true },
  { "metric.ai", true },
  { "metricmutt.com", true },
  { "metro-lawn-care.com", true },
  { "metro-web.net", true },
  { "metroairvirtual.com", true },
  { "metrobriefs.com", true },
  { "metrocarremovals.com", true },
  { "metrodemaracaibo.tk", true },
  { "metrodetroitmommy.com", true },
  { "metrolaut.de", true },
  { "metron-online.com", true },
  { "metronaut.de", true },
  { "metropop.ch", false },
  { "metrorealestatepros.com", true },
  { "metsasta.com", true },
  { "mettekopp.dk", true },
  { "metzgermark.com", true },
  { "meugamer.com", true },
  { "meujeitodigital.com.br", false },
  { "meurisse.org", true },
  { "mevanshop.com", false },
  { "mevo.xyz", true },
  { "mevsim.com", true },
  { "mexican.dating", true },
  { "mexicanjokes.net", true },
  { "mexico.rs", true },
  { "mexico.sh", true },
  { "mexicotopescorts.com", true },
  { "meys.io", true },
  { "mezedokamomata.tk", true },
  { "mezinfo.tk", true },
  { "mezzehuis.be", true },
  { "mf-fischer.de", true },
  { "mfen.de", true },
  { "mfischer-it.de", true },
  { "mfits.co.uk", true },
  { "mflodin.se", true },
  { "mfxbe.de", true },
  { "mgae.com", true },
  { "mgcraft.net", true },
  { "mgdigitalmarketing.com.au", true },
  { "mghw.ch", true },
  { "mgi.gov", true },
  { "mgiljum.com", true },
  { "mgmultiservicessrl.it", true },
  { "mgonline.tk", true },
  { "mgrossklaus.de", false },
  { "mgrt.net", true },
  { "mgsdb.com", true },
  { "mgsisk.com", true },
  { "mgtbaas.eu", true },
  { "mgvideo.com.au", true },
  { "mhabdullah.tk", true },
  { "mhadot.com", true },
  { "mhalfter.de", true },
  { "mhand.org", true },
  { "mhatero.com", true },
  { "mhatlaw.com", true },
  { "mhcdesignstudio.com", true },
  { "mheistermann.de", true },
  { "mhermans.nl", true },
  { "mhf.gc.ca", true },
  { "mhi.web.id", true },
  { "mhonline.fr", true },
  { "mhtdesign.net", true },
  { "mhurologytriad.org", true },
  { "mi-beratung.de", true },
  { "mi-so-ji.com", true },
  { "mi1k.cn", true },
  { "mi80.com", true },
  { "mi92.ru", true },
  { "mia.tw", true },
  { "miacordeonstereo.com", true },
  { "miadennees.com", true },
  { "miagexport.com", true },
  { "mialquilerdecoches.com", true },
  { "miamiaquatours.com", true },
  { "miaomiao.eu.org", true },
  { "miaowo.org", true },
  { "miapuntes.com", true },
  { "miasarafina.de", true },
  { "miasonne.com", true },
  { "miavierra.org", true },
  { "mibh.de", true },
  { "mibuiin.com", true },
  { "mica.ml", true },
  { "micalodeal.ch", false },
  { "micbase.com", true },
  { "michadenheijer.com", true },
  { "michael-schefczyk.de", true },
  { "michael-steinhauer.eu", true },
  { "michaelasawyer.com", true },
  { "michaelband.com", true },
  { "michaelbeer.co.uk", true },
  { "michaelcullen.name", true },
  { "michaeldg.be", true },
  { "michaelhrehor.com", true },
  { "michaelismold.com", true },
  { "michaelizquierdo.com", true },
  { "michaeljacksonforsale.com", true },
  { "michaeljdennis.com", true },
  { "michaelklos.nl", true },
  { "michaelkuchta.me", true },
  { "michaell.io", true },
  { "michaell.xyz", true },
  { "michaelleibundgut.com", true },
  { "michaelloveys.com", true },
  { "michaelpelletterie.it", true },
  { "michaelpfrommer.de", true },
  { "michaelpfrommer.pub", true },
  { "michaelschmidt.ch", true },
  { "michaelschubert.com", true },
  { "michaelsweater.com", true },
  { "michaeltaboada.me", true },
  { "michaeltroger.com", true },
  { "michaeltruskowski.com", true },
  { "michaelwermeester.com", true },
  { "michal-klabnik.com", true },
  { "michal-klabnik.cz", true },
  { "michal-s.net", true },
  { "michal-spacek.com", true },
  { "michal-spacek.cz", true },
  { "michaldudek.it", true },
  { "michalis.xyz", true },
  { "michalklabnik.com", true },
  { "michalklabnik.cz", true },
  { "michalspacek.com", true },
  { "michalspacek.cz", true },
  { "michalwiglasz.cz", true },
  { "michaonline.de", true },
  { "michel-wein.de", true },
  { "michele.ga", true },
  { "michele.ml", true },
  { "michellavat.com", true },
  { "michelletmc.com", true },
  { "michelskovbo.dk", true },
  { "michelwolf.ch", true },
  { "michiganstateuniversityonline.com", true },
  { "michiganunionoptout.com", true },
  { "michilaw.com", true },
  { "michmexguides.com.mx", true },
  { "michu.pl", true },
  { "mickelvaessen.com", true },
  { "mickgrimesgamingpodcast.co.uk", true },
  { "micluz.shop", true },
  { "micoff.tk", true },
  { "miconcinemas.com", true },
  { "micontractortraining.com", true },
  { "micopal.com", true },
  { "micr0lab.org", true },
  { "micra.org.uk", true },
  { "microbiote-insectes-vecteurs.group", true },
  { "microco.sm", true },
  { "microcomploja.com.br", true },
  { "microdots.de", true },
  { "microjournal.xyz", true },
  { "microjovem.pt", true },
  { "microlog.org", true },
  { "micromata.de", true },
  { "micromegas.com.ua", true },
  { "microneedlingstudio.se", true },
  { "micropigpets.com", true },
  { "microsoftaffiliates.azurewebsites.net", true },
  { "microsoftedgeinsider.com", true },
  { "microvb.com", true },
  { "microwavezone.com", true },
  { "microwesen.de", true },
  { "microzubr.com", true },
  { "micsell.com", true },
  { "midair.io", true },
  { "midamericapiering.com", true },
  { "midart.ro", true },
  { "midasjewellery.com.au", true },
  { "midcarolinaregionalairport.com", true },
  { "midcarolinaregionalairport.org", true },
  { "middletonshoppingcentre.co.uk", true },
  { "midgawash.com", true },
  { "midiaid.de", true },
  { "midistop.org", true },
  { "midkam.ca", true },
  { "midlandgate.de", true },
  { "midlandsfundays.co.uk", true },
  { "midlandslotus.co.uk", true },
  { "midlandsphotobooths.co.uk", true },
  { "midnight-gaming-community.tk", true },
  { "midnight-visions.de", true },
  { "midnightmango.co.uk", true },
  { "midnightmango.de", true },
  { "midnightmechanism.com", true },
  { "midrandplumber24-7.co.za", true },
  { "midrandrubbleremovals.co.za", true },
  { "midstatebasement.com", true },
  { "midterm.us", true },
  { "midwayrecovery.com", true },
  { "midweb.ro", false },
  { "midwestbloggers.org", true },
  { "miegl.com", true },
  { "miegl.cz", true },
  { "mieldemexico.us", true },
  { "miemus.eu", true },
  { "mieresabadus.ro", true },
  { "mierloiu.ro", true },
  { "mietwohnungen-vermietung.com", true },
  { "mieuxgrandir.ch", false },
  { "mifarmaciaenbarcelona.com", true },
  { "miffy.me", true },
  { "mig5.net", true },
  { "miggy.org", true },
  { "mightybit.co", true },
  { "mightysighty.com", true },
  { "miguel.pw", true },
  { "migueldemoura.com", true },
  { "migueldominguez.ch", false },
  { "miguelgaton.es", true },
  { "miguelito.tk", true },
  { "miguelkertsman.com", true },
  { "miguelmartinez.ch", false },
  { "miguelmenendez.pro", true },
  { "miguelmoura.com", true },
  { "miguia.tv", true },
  { "mihalicka.com", true },
  { "mihgroup.net", true },
  { "mihnea.net", true },
  { "mijailovic.net", true },
  { "mijam.xyz", true },
  { "mijcorijneveld.nl", true },
  { "mijn-financien.be", true },
  { "mijn.computer", true },
  { "mijnbeijesweb.nl", true },
  { "mijnetz.nl", false },
  { "mijngeldcoach.nl", true },
  { "mijnkantoor.net", true },
  { "mijnkerstkaarten.be", true },
  { "mijnkinderkleding.com", true },
  { "mijnkwadraad.nl", true },
  { "mijnnaamdag.nl", true },
  { "mijnpartijhandel.nl", true },
  { "mijnreisoverzicht.nl", true },
  { "mijnstembureau.nl", true },
  { "mijntelefoonboek.com", true },
  { "mijntransacties.nl", true },
  { "mika.moe", true },
  { "mikadoe.nl", true },
  { "mikaeljansson.net", true },
  { "mikaelvesavuori.se", true },
  { "mikakalathil.ca", true },
  { "mikakalevi.com", true },
  { "mikalikes.men", true },
  { "mike-bland.com", true },
  { "mike-burns.com", true },
  { "mike-et-pascale-sanger.com", true },
  { "mike2k.de", true },
  { "mikeandersondj.com", true },
  { "mikebelanger.ca", true },
  { "mikebutcher.ca", true },
  { "mikecameronyyc.com", true },
  { "mikecapson.com", true },
  { "mikecb.org", true },
  { "mikechasejr.tk", true },
  { "mikedhoore.be", true },
  { "mikegerwitz.com", true },
  { "mikeguy.co.uk", true },
  { "mikehamburg.com", true },
  { "mikeklidjian.com", true },
  { "mikekreuzer.com", true },
  { "mikemooresales.com", true },
  { "mikeprocopio.com", true },
  { "mikerichards.gallery", true },
  { "mikerichards.photography", true },
  { "mikerichards.photos", true },
  { "mikerichards.pictures", true },
  { "mikerichardsphotography.com", true },
  { "mikesystems.tk", true },
  { "miketabor.com", true },
  { "miketheuer.com", true },
  { "mikethiessen.net", true },
  { "mikevesch.com", true },
  { "mikewillia.ms", true },
  { "mikewrites.online", true },
  { "miki.it", true },
  { "mikkei.space", true },
  { "mikkelladegaard.dk", false },
  { "mikkelscheike.com", true },
  { "mikkonen.bio", true },
  { "miklagard.dk", true },
  { "miklcct.com", true },
  { "mikmik.co.il", true },
  { "miknight.com", true },
  { "mikropixel.de", true },
  { "mikywow.eu", true },
  { "milahendri.com", true },
  { "milakirschner.de", true },
  { "milan-news.ml", true },
  { "milania.de", true },
  { "milanstephan.de", false },
  { "milavica.tk", true },
  { "milcahsmusings.com", true },
  { "milcarteles.com", true },
  { "mileme.com", true },
  { "milenaria.es", true },
  { "milesapart.dating", true },
  { "milfhubs.com", true },
  { "milfpornograph.com", true },
  { "milhoazul.com.br", true },
  { "milieuland.com", true },
  { "militaryonesource.mil", true },
  { "militarysrit.tk", true },
  { "milkaalpesiutazas.hu", true },
  { "milkagyengedseg.hu", true },
  { "milkameglepetes.hu", true },
  { "milkandbourbons.com", true },
  { "milkingit.co.uk", true },
  { "milkingit.net", true },
  { "milkmoovement.io", true },
  { "milktea.info", false },
  { "milkypond.org", true },
  { "mill.ml", true },
  { "milldyke.com", true },
  { "milldyke.nl", true },
  { "millefleurs.eu", true },
  { "millennium-thisiswhoweare.net", true },
  { "millenniumstem.org", true },
  { "millenniumweb.com", false },
  { "milleron.net", true },
  { "milleron.xyz", true },
  { "millersminibarns.com", true },
  { "millerwalker.com", true },
  { "millettable.com", true },
  { "millhousenchurch.com", true },
  { "millionen-von-sonnen.de", true },
  { "millipore-alternative.com", true },
  { "millistream.com", true },
  { "mim.am", true },
  { "mimavision.ddns.net", true },
  { "mimemo.io", true },
  { "mimemoriadepez.com", true },
  { "mimeo.digital", true },
  { "mimithedog.com", true },
  { "mimmog.it", true },
  { "mimocad.io", true },
  { "mimolo.de", true },
  { "mimovrste.com", true },
  { "min-datorsupport.se", true },
  { "min-sky.no", true },
  { "minaio.tk", true },
  { "minakov.pro", true },
  { "minami.xyz", true },
  { "minamo.io", true },
  { "minandolacorrupcion.mx", true },
  { "minapin.com", true },
  { "minaprine.com", true },
  { "mind-books.gq", true },
  { "mind-box.ch", false },
  { "mind-hochschul-netzwerk.de", true },
  { "mindatasupport.nu", true },
  { "mindatasupport.se", true },
  { "mindatorsupport.se", true },
  { "mindbounce.com", true },
  { "mindcms.nl", true },
  { "mindcoding.ro", true },
  { "minddrive.cf", true },
  { "mindfactory.de", true },
  { "mindhunter.info", true },
  { "mindleaking.org", true },
  { "mindmax.fi", true },
  { "mindmeister.com", true },
  { "mindmusic.online", true },
  { "mindoktor.se", false },
  { "mindorbs.com", true },
  { "mindstretchers.co.uk", true },
  { "mine-craftlife.com", true },
  { "mine-pixl.de", true },
  { "mine260309.me", false },
  { "minebier.dk", true },
  { "minecraft-forum.eu", true },
  { "minecraft-server.eu", true },
  { "minecraft.gen.tr", true },
  { "minecraftforum.de", true },
  { "minecraftforum.ovh", true },
  { "minecraftjson.com", false },
  { "minecraftstal.com", true },
  { "minehattan.de", true },
  { "minehub.de", true },
  { "minei.me", true },
  { "minepack.net", true },
  { "minepay.net", true },
  { "minepic.org", true },
  { "minerstat.com", true },
  { "minerva2015.it", true },
  { "minervacars.com", true },
  { "minesouls.fr", true },
  { "minetracker.dk", true },
  { "minez-nightswatch.com", false },
  { "minfin.gov.ua", true },
  { "mingky.net", true },
  { "mingkyaa.com", true },
  { "mingming.info", true },
  { "mingram.net", true },
  { "mingtreerealty.com", true },
  { "mingwah.ch", false },
  { "minh.at", false },
  { "minhng99.cloud", true },
  { "minhyukpark.com", true },
  { "mini-piraten.de", true },
  { "mini2.fi", true },
  { "miniaturepets.net", true },
  { "minibaggerverleih-aulendorf.de", true },
  { "minibrewery.cf", true },
  { "minican.net", true },
  { "miniclip.com", true },
  { "minigames.com", true },
  { "minigolf-reisinger.com", true },
  { "minigolfandgames.co.uk", true },
  { "minikidz.es", true },
  { "minikin.tk", true },
  { "minikneet.com", true },
  { "minilions.fr", true },
  { "minimal-apps.de", true },
  { "minimalistbaker.com", true },
  { "minimalmx.io", true },
  { "minimaltimer.com", true },
  { "minimayhemsoftplay.co.uk", true },
  { "minimbah.com.au", true },
  { "minimvc.com", true },
  { "mining.diamonds", true },
  { "miniskipper.at", true },
  { "minisoft4u.ir", true },
  { "ministeriumfuerinternet.de", true },
  { "minitruckin.net", true },
  { "minitrucktalk.com", true },
  { "miniwaplus.com", true },
  { "mink-coat.tk", true },
  { "minkymoon.jp", true },
  { "minmaxgame.com", true },
  { "minnesotakinkyyouth.org", true },
  { "minnesotareadingcorps.org", true },
  { "minnit.chat", true },
  { "minor.news", true },
  { "minoritywhip.gov", false },
  { "minorshadows.net", true },
  { "minpingvin.dk", true },
  { "minschuns.ch", true },
  { "mintclass.com", true },
  { "minton.systems", true },
  { "mintrak2.com", true },
  { "mintse.com", true },
  { "minu.link", true },
  { "minube.co.cr", true },
  { "minutashop.ru", true },
  { "minux.info", true },
  { "mio-ip.ch", true },
  { "mionerve.com", true },
  { "mionerve.org", true },
  { "mipapo.de", true },
  { "mipasevip.com", true },
  { "mipnet.cl", true },
  { "miproximopaso.org", true },
  { "mir-faktov.tk", true },
  { "mir-multimedia.tk", true },
  { "mir-pressy.ga", true },
  { "mir.pe", true },
  { "mirabalphoto.es", true },
  { "miragg.cf", true },
  { "miraheze.org", true },
  { "miraidenshi.com", true },
  { "miraiex.com", false },
  { "miramar-obgyn.com", true },
  { "miramar.ca", true },
  { "miravelli.ro", true },
  { "mircarfinder.ru", true },
  { "mirch.com", true },
  { "mireiaseuba.com", true },
  { "mirepublic.co.nz", true },
  { "mireservaonline.es", true },
  { "mirfire.com", false },
  { "mirjamderijk.nl", true },
  { "mirknighechek.tk", true },
  { "mirkofranz.de", true },
  { "mirkvartir.tk", true },
  { "mirokon.tk", true },
  { "mironet.cz", true },
  { "miroslavbaka.cz", true },
  { "mirrordream.net", true },
  { "mirrorsedgearchive.de", true },
  { "mirshak.com", false },
  { "mirtes.cz", true },
  { "mirtouf.fr", true },
  { "misakacloud.net", true },
  { "misakatang.cn", false },
  { "misakiya.co.jp", true },
  { "misanci.cz", true },
  { "misclick.nl", true },
  { "misfit-media.com", true },
  { "mishkan-israel.net", true },
  { "mishkovskyi.net", true },
  { "misinstrumentos.com", true },
  { "miskatonic.org", true },
  { "misoji-resist.com", true },
  { "misp-project.org", true },
  { "miss-alisa.com", true },
  { "miss-inventory.co.uk", true },
  { "miss-platinum.net", true },
  { "miss.com.tw", true },
  { "miss.sh", true },
  { "missaocadastrobv.com.br", true },
  { "missblisshair.com.au", true },
  { "missdream.org", true },
  { "misseguf.dk", true },
  { "missguidedus.com", true },
  { "mission-orange.de", true },
  { "missionpuppy.nl", true },
  { "missionsgemeinde.de", true },
  { "missip.nl", true },
  { "missivystorm.com", true },
  { "misskey.jp", true },
  { "missmaid.co.uk", true },
  { "missmaid.com", true },
  { "missualready.com", true },
  { "missyou.link", true },
  { "mist79.ru", true },
  { "mistacms.com", true },
  { "mistaken.pl", true },
  { "mister-matthew.de", true },
  { "misterandersson.com", true },
  { "misterseguros.com.br", true },
  { "mistlake.net", true },
  { "mistreaded.com", true },
  { "mistybox.com", true },
  { "misupport.dk", true },
  { "misuzu.moe", true },
  { "mit-dem-rad-zur-arbeit.de", true },
  { "mit-dem-rad-zur-uni.de", true },
  { "mit-uns.org", true },
  { "mitarbeitermotivation-anleitungen.de", true },
  { "mitchellhandymanservices.co.uk", true },
  { "mitchelmore.ca", true },
  { "mitdip-mit-group-ch.azurewebsites.net", true },
  { "mitfx.com", true },
  { "mithgol.tk", true },
  { "miticobikes.com", true },
  { "mitnetz-gas.de", true },
  { "mitnetz-strom.de", true },
  { "mitratech.com.br", true },
  { "mitrax.com.br", true },
  { "mitre10.com.au", false },
  { "mitrecaasd.org", true },
  { "mitremai.org", true },
  { "mitrostudios.com", true },
  { "mitsonnenbrillen.de", true },
  { "mitsubishi-club.ge", true },
  { "mitsukabose.com", true },
  { "mittagonggardencentre.com.au", true },
  { "mittbolan.se", true },
  { "mittelalter-lexikon.de", true },
  { "mittwoch-nacht.net", true },
  { "mitzpettel.com", true },
  { "miui-germany.de", true },
  { "mivm.cn", true },
  { "mivzak.im", true },
  { "mivzakim.biz", true },
  { "mivzakim.cf", true },
  { "mivzakim.ga", true },
  { "mivzakim.gq", true },
  { "mivzakim.info", true },
  { "mivzakim.ml", true },
  { "mivzakim.mobi", true },
  { "mivzakim.net", true },
  { "mivzakim.org", true },
  { "mivzakim.tk", true },
  { "mivzakim.tv", true },
  { "miweb.cr", false },
  { "miwebmadrid.es", true },
  { "mix-channel.ml", true },
  { "mix-recruit.jp", true },
  { "mixedreality.football", true },
  { "mixedrecipe.com", true },
  { "mixify.ga", true },
  { "mixinglight.com", true },
  { "mixmister.com", true },
  { "mixmix.tk", true },
  { "mixposure.com", true },
  { "mixtafrica.com", true },
  { "mixx.com.hk", true },
  { "miyanaga.tech", true },
  { "miyatakaikei.com", true },
  { "miyatore.com", true },
  { "miyugirls.com", true },
  { "mizoey.se", true },
  { "mizque.ch", true },
  { "mizternational.com", true },
  { "mizu.coffee", true },
  { "mizucoffee.net", true },
  { "mizuhobank.co.id", true },
  { "mj420.com", true },
  { "mjacobson.net", true },
  { "mjanja.ch", true },
  { "mjasm.org", true },
  { "mjbulgaria.com", true },
  { "mjdmetal.com", true },
  { "mjec.net", true },
  { "mjforan.com", true },
  { "mjjlab.com", true },
  { "mjmedia.co.za", true },
  { "mjniessen.com", true },
  { "mjpak.com.au", true },
  { "mjproduction.ee", true },
  { "mjrlegends.com", true },
  { "mjs-domy.pl", true },
  { "mjsacco-dwi.com", true },
  { "mjsacco.com", true },
  { "mjscustomcreations.com.au", true },
  { "mjt.me.uk", true },
  { "mk89.de", true },
  { "mkaciuba.com", false },
  { "mkalisch.de", true },
  { "mkbet.tk", true },
  { "mkbouncycastles.co.uk", true },
  { "mkbouncyhire.co.uk", true },
  { "mkcert.org", true },
  { "mkchandler.com", true },
  { "mkes.com", true },
  { "mkg-chirurgie-bruchsal.de", true },
  { "mkg-scherer.de", true },
  { "mkg-wiebelskirchen.de", true },
  { "mkhsoft.eu", true },
  { "mkimage.com", false },
  { "mkinteriores.com.br", true },
  { "mkjl.ml", false },
  { "mkk.de", true },
  { "mklenterprises.com", true },
  { "mkm.szczecin.pl", true },
  { "mkoppmann.at", true },
  { "mkpdeepclean.com", true },
  { "mkpef.org", true },
  { "mksac.co.uk", true },
  { "mksdarchitects.com", true },
  { "mkse.com", true },
  { "mkset.ru", false },
  { "mkt.com", true },
  { "mktdigital.info", true },
  { "mktemp.org", true },
  { "mktenlared.com", true },
  { "mkuznets.com", true },
  { "mladamoda.sk", true },
  { "mlathrom.com", true },
  { "mlcnfriends.com", true },
  { "mlmjam.com", true },
  { "mlohr.com", true },
  { "mlp.ee", true },
  { "mlpvector.club", true },
  { "mlsha.cn", true },
  { "mlstav.sk", true },
  { "mlundberg.se", true },
  { "mlwr.ee", true },
  { "mlytics.com", true },
  { "mm13.at", true },
  { "mm404.com", true },
  { "mm88game.com", true },
  { "mma-records.de", true },
  { "mmalisz.com", true },
  { "mmaps.org", true },
  { "mmassemblyline.de", true },
  { "mmbb.org", true },
  { "mmbhof.org", true },
  { "mmgal.com", true },
  { "mmhome.fr", true },
  { "mmichaelb.pw", true },
  { "mminsco.com", true },
  { "mml.cx", true },
  { "mmmarco.com", true },
  { "mmmm.mn", true },
  { "mmogah.com", true },
  { "mmonit.com", true },
  { "mmprojects.nl", true },
  { "mms.is", true },
  { "mmsmotor.com.hk", true },
  { "mmt.my", true },
  { "mmucha.de", true },
  { "mmwb.nl", true },
  { "mmxblog.com", true },
  { "mnatechnologies.com.au", true },
  { "mnc.moda", true },
  { "mnciitbhu.me", true },
  { "mncloud.de", true },
  { "mnd.sc", true },
  { "mne.moe", true },
  { "mnemonic.ninja", true },
  { "mneti.ru", true },
  { "mnguyen.io", true },
  { "mnienamel.com", true },
  { "mnlfnet.com", true },
  { "mnml.art", true },
  { "mns.co.jp", true },
  { "mns.jp", true },
  { "mnsure.org", true },
  { "mnt-tech.fr", true },
  { "mo-journal.com", true },
  { "mo-mochizuki.com", true },
  { "mo.nl", true },
  { "mo2021.de", true },
  { "moa.moe", true },
  { "moabpapier.de", true },
  { "moahmo.com", true },
  { "moarcookies.com", true },
  { "moas.design", true },
  { "mobal.com", true },
  { "mobi2go.com", true },
  { "mobifinans.ru", true },
  { "mobil-bei-uns.de", true },
  { "mobila-chisinau.md", true },
  { "mobilcom-debitel-empfehlen.de", true },
  { "mobile-holzofenpizza.de", true },
  { "mobile.united.com", false },
  { "mobile.usaa.com", false },
  { "mobile360.ph", true },
  { "mobileague.ml", true },
  { "mobilebingoclub.co.uk", true },
  { "mobilebooster.tk", true },
  { "mobilecasinoclub.co.uk", true },
  { "mobilecontractcomparison.com", true },
  { "mobilelooper.com", true },
  { "mobilemedics.com", true },
  { "mobileread.com", true },
  { "mobiletraff.co", true },
  { "mobiletry.com", true },
  { "mobilewikiserver.com", true },
  { "mobilinnov.it", true },
  { "mobility-events.ch", true },
  { "mobilux.lv", true },
  { "mobinst.ml", true },
  { "mobio.net", true },
  { "mobiproj.com", true },
  { "mobisaar-cloud.de", true },
  { "mobius.network", true },
  { "mobizma.com", true },
  { "mobobe.com", true },
  { "mobsitin.tk", true },
  { "mobtop.ml", true },
  { "moburst.com", true },
  { "moc.ac", true },
  { "moca-2080.com", true },
  { "mochizuki.moe", true },
  { "mockerel.com", true },
  { "mocking-bird.org", true },
  { "mocknen.net", true },
  { "mococo.co.uk", true },
  { "mod.af", true },
  { "moda-donna.cf", true },
  { "modaexecutiva.com.br", true },
  { "modafo.com", true },
  { "modalogi.com", true },
  { "modav.org", true },
  { "modbom.com.tw", true },
  { "modcover.com", true },
  { "modderday.com", true },
  { "modding-forum.com", true },
  { "modding-welt.com", true },
  { "moddiy.com", true },
  { "mode-hautnah.de", true },
  { "model.earth", true },
  { "modelclub-draveil.eu", true },
  { "modelcube.com", true },
  { "modeldimension.com", true },
  { "modeldoll.tk", true },
  { "modelemax.pl", true },
  { "modelisme-rc.net", true },
  { "modell-lq.net", true },
  { "modelservis.cz", true },
  { "modelspoor-projecten.nl", true },
  { "modelspoorprojecten.nl", true },
  { "modemaille.com", false },
  { "modemchild.net", true },
  { "modeportaal.nl", true },
  { "moderatoren.org", true },
  { "modern-family.tv", true },
  { "modern-gaming.ga", true },
  { "modernapprenticeships.org", true },
  { "modernautorepairs.com", true },
  { "moderncommercialrealestate.com", true },
  { "moderniknihovna.cz", true },
  { "modhay.com", true },
  { "modifiedmind.com", true },
  { "modmountain.com", true },
  { "modnitsa.info", true },
  { "modonor.dk", true },
  { "modscrew.com", true },
  { "modul8infinity.co", true },
  { "module.market", true },
  { "modulex-gmbh.de", true },
  { "modusawperandi.com", true },
  { "moe-max.jp", true },
  { "moebel-vergleichen.com", true },
  { "moechel.com", true },
  { "moeclue.com", true },
  { "moefactory.com", true },
  { "moegi.ml", true },
  { "moego.me", true },
  { "moekes.amsterdam", true },
  { "moeking.me", true },
  { "moenew.us", true },
  { "moesif.com", true },
  { "moetrack.com", true },
  { "mofidmed.com", true },
  { "mogica.tk", true },
  { "moha-swiss.com", false },
  { "mohamedhosting.tk", true },
  { "mohanmekap.com", true },
  { "mohela.com", true },
  { "mohitchahal.com", true },
  { "mohot.com", true },
  { "mohot.fit", true },
  { "mohr-maschinenservice.de", true },
  { "mohritz.co", true },
  { "moipourtoit.ch", true },
  { "moipourtoit.com", true },
  { "moipourtoit.org", true },
  { "moisesbarrio.es", true },
  { "mojaknjiznica.com", false },
  { "mojavenissanofbarstowparts.com", true },
  { "mojeco2.cz", true },
  { "mojefedora.cz", true },
  { "mojekonsultacje.pl", true },
  { "mojilitygroup.com", true },
  { "mojitoparty-articlespara.website", true },
  { "mojizuri.com", true },
  { "mojleksikon.com", true },
  { "mojnet.eu", true },
  { "mojnet.net", true },
  { "mojoco.co.za", true },
  { "mojt.net", true },
  { "mojzis.com", true },
  { "mojzis.cz", true },
  { "mojzisova.com", true },
  { "mokeedev.com", true },
  { "mokhan.ca", true },
  { "mokhtarmial.com", false },
  { "moki.org.pl", true },
  { "molb.org", true },
  { "moldova-online.ml", true },
  { "moldovanka.tk", true },
  { "moldovawall.tk", true },
  { "molecularbiosystems.org", true },
  { "molekula.hr", true },
  { "moleskinestudio.com", true },
  { "molinero.xyz", true },
  { "mollaretsmeningitis.org", true },
  { "molleron.net", true },
  { "mollie.com", true },
  { "molodost.ga", true },
  { "molokai.org", true },
  { "moltapor.tk", true },
  { "molti.hu", true },
  { "moltina.com", true },
  { "molun.net", true },
  { "molunerfinn.com", true },
  { "molwick.com", true },
  { "momentsofimpact.info", true },
  { "momentum.photos", true },
  { "momentumcoach.se", true },
  { "momentumdash.com", true },
  { "momentumdesign.website", true },
  { "momirfarooq.com", true },
  { "momo0v0.club", true },
  { "momobako.com", true },
  { "momocogames.com", true },
  { "momocrats.com", true },
  { "momove.nl", true },
  { "momozeit.de", true },
  { "momsays.co.za", true },
  { "momstableonline.com", true },
  { "momut.org", true },
  { "momy-genealogie.info", true },
  { "mon-a-lisa.com", true },
  { "mon-butin.fr", true },
  { "mon-partage.fr", true },
  { "mon-trafic.com", false },
  { "mon22.ch", false },
  { "mona-antenna.com", true },
  { "monachatdeco.com", false },
  { "monaco-automaten.de", true },
  { "monad.io", true },
  { "monakasatmasr.com", true },
  { "monalyse.com", true },
  { "monarchcleanersnc.com", true },
  { "monarchpartnersgroup.com", true },
  { "monarcjuexpo.ch", true },
  { "monbudget.org", false },
  { "moncoach.ch", false },
  { "mondedie.fr", true },
  { "mondial-movers.nl", true },
  { "mondo-it.ch", true },
  { "mondonet.org", false },
  { "mondzorgaanzee.nl", true },
  { "moneni.com", true },
  { "monerogamez.com", true },
  { "monetki.net", true },
  { "monetus.com.br", true },
  { "money-fast.ga", true },
  { "moneybird.com", true },
  { "moneybird.nl", true },
  { "moneychangersoftware.com", true },
  { "moneycredit.eu", true },
  { "moneyfortitude.com", true },
  { "moneygo.se", true },
  { "moneypark.ch", true },
  { "moneyreal.tk", true },
  { "moneytoday.se", true },
  { "mongolbox.tk", true },
  { "mongolie.net", true },
  { "mongolieenfrance.fr", true },
  { "mongooselock.com.ua", true },
  { "monicajean.photography", true },
  { "moniquemunhoz.com.br", true },
  { "monitorbox.jp", true },
  { "monitord.at", true },
  { "monitzer.com", true },
  { "monix.io", true },
  { "monkatos.org", true },
  { "monkay.de", true },
  { "monkeybusiness.agency", true },
  { "monkeyfaqs.com", true },
  { "monkeysorce.tk", true },
  { "monkeytek.ca", true },
  { "monlabs.com", true },
  { "monlissagebresilien.com", true },
  { "monloyer.quebec", true },
  { "monnyonle.hu", true },
  { "mono.cafe", true },
  { "mono0x.net", true },
  { "monobunt.at", true },
  { "monodejuegos.shop", true },
  { "monolithapps.com", true },
  { "monolithic.tk", true },
  { "monolithindustries.com", true },
  { "monolithinteractive.com", true },
  { "monopoly-one.com", true },
  { "monoworks.co.jp", true },
  { "monpc-pro.fr", false },
  { "monpermismoto.com", true },
  { "monpermisvoiture.com", true },
  { "monpetitherboriste.com", true },
  { "monpetitmobile.com", true },
  { "monroe27.com", true },
  { "monsieurbureau.com", true },
  { "monsieurdecapage.com", true },
  { "monsieursavon.ch", false },
  { "monsitemoncommerce.com", true },
  { "monsterandfox.co.uk", true },
  { "monstermashentertainments.co.uk", true },
  { "monsterx.cn", true },
  { "montack.de", true },
  { "montage-kaika.de", false },
  { "montanasky.tv", true },
  { "montanteaesthetics.com", true },
  { "montanwerk.de", true },
  { "montarfotoaki.com", true },
  { "montas.io", true },
  { "montemanik.com", true },
  { "montenegro-yacht.com", true },
  { "montessori.edu.vn", true },
  { "montgomeryfirm.com", true },
  { "monthlyfukuoka.com", true },
  { "montpreveyres.ch", false },
  { "montrain.com", true },
  { "montrain.fr", true },
  { "montrealcatadoptions.com", true },
  { "montredeal.fr", true },
  { "montsaintaignan.fr", true },
  { "montychristie.com", true },
  { "monwarez.ovh", true },
  { "monzo.com", true },
  { "monzo.me", true },
  { "monzo.tk", true },
  { "moo.la", true },
  { "moobl.io", true },
  { "moodfoods.com", true },
  { "moolah.rocks", true },
  { "moon.fish", true },
  { "moonagic.com", true },
  { "moonbench.xyz", true },
  { "moonbot.io", true },
  { "moonboys.de", true },
  { "moonchart.co.uk", true },
  { "moondrop.org", true },
  { "moonkin.eu", true },
  { "moonlightdesign.org", true },
  { "moonmelo.com", true },
  { "moonraptor.co.uk", false },
  { "moonraptor.com", false },
  { "moonrhythm.io", false },
  { "moonsault.de", true },
  { "moonshyne.org", true },
  { "moonue.com", true },
  { "moonvpn.org", true },
  { "moonwolfwiccanschool.tk", true },
  { "moorelawfirmaz.com", true },
  { "moorewelliver.com", true },
  { "moorfunevents.co.uk", true },
  { "moorparkelectrical.com", true },
  { "moorparkelectrician.com", true },
  { "moorparkexteriorlighting.com", true },
  { "moorparklandscapelighting.com", true },
  { "moorparklighting.com", true },
  { "moorparkoutdoorlighting.com", true },
  { "moort.be", true },
  { "moosikapp.tk", true },
  { "moosmann-moehrle.de", true },
  { "moot-info.co.za", true },
  { "moovablestorage.com", true },
  { "moove-it.com", true },
  { "mooveo.co", true },
  { "moparcraft.net", true },
  { "moparisthebest.com", true },
  { "moparisthebest.net", true },
  { "moparisthebest.org", true },
  { "moparscape.net", true },
  { "mopedreifen.de", false },
  { "mopie.de", true },
  { "mople71.cz", true },
  { "mopliangxing.com", true },
  { "moplx.com", true },
  { "moppeleinhorn.de", true },
  { "mopxing.com", true },
  { "mora.pl", true },
  { "moraffpritchard.com", true },
  { "moraldehornuez.tk", true },
  { "morbatex.com", true },
  { "morbiceramicindustry.com", true },
  { "morbitzer.de", true },
  { "morbius.cz", true },
  { "morbotron.com", true },
  { "morchstore.com", true },
  { "mordrum.com", true },
  { "more-hikkoshi.com", true },
  { "more-terrain.de", true },
  { "moreal.co", true },
  { "morecreativelife.com", true },
  { "moreniche.com", true },
  { "morepablo.com", true },
  { "morepay.cn", true },
  { "moresw.com", true },
  { "morethanautodealers.com", true },
  { "morethancode.be", true },
  { "morethandigital.info", true },
  { "morgan-insurance.com", true },
  { "morgandesort.com", true },
  { "morgansleisure.co.uk", true },
  { "morganwilder.com", true },
  { "morgner.com", true },
  { "moritz-baestlein.de", true },
  { "moritzkornher.de", true },
  { "moritztremmel.de", true },
  { "moriz.de", true },
  { "moriz.net", true },
  { "mormon-colleges.com", true },
  { "mormonleaks.io", true },
  { "morningbird.eu", true },
  { "morningcurve.com", false },
  { "morningstar.moe", true },
  { "morningtime.cloud", true },
  { "moroccanews.tk", true },
  { "moroccotodaynews.ga", true },
  { "moron-mu.com", true },
  { "morozko.gq", true },
  { "morris.computer", true },
  { "morrisby.com", true },
  { "morritosfelices.com", true },
  { "morse-ti.net", true },
  { "mortengamstpedersen.tk", true },
  { "mortgagecalculator.biz", true },
  { "mortis.eu", true },
  { "morvo.mx", true },
  { "mosaic-design.ru", true },
  { "mosaicadvisors.com", true },
  { "mosaicmarble.com", true },
  { "mosboutique.it", true },
  { "moscatalogue.net", true },
  { "moscow-moscow.tk", true },
  { "moscow-new.cf", true },
  { "moscow.dating", true },
  { "moscowlove.tk", true },
  { "moseleyelectronics.com", true },
  { "moseracctg.com", true },
  { "mosfet.cz", true },
  { "mosin.org", true },
  { "moskeedieren.nl", true },
  { "mosnews.tk", true },
  { "moso.io", true },
  { "mosquitojoe.com", true },
  { "mossaino.de", true },
  { "mosscade.com", true },
  { "mostafabanaei.cf", true },
  { "mostbelehuzunk.hu", true },
  { "mosternaut.com", true },
  { "mosttaza.com", true },
  { "motcha.be", true },
  { "motd.ch", true },
  { "motekforce.link", true },
  { "motekforcelink.com", true },
  { "motekforcelink.eu", true },
  { "motekforcelink.net", true },
  { "motekforcelink.nl", true },
  { "motekmedical.com", true },
  { "motekmedical.eu", true },
  { "motekmedical.nl", true },
  { "motekrysen.com", true },
  { "moteksystems.com", true },
  { "moteksystems.net", true },
  { "motezazer.fr", true },
  { "mothereff.in", false },
  { "mothership.de", true },
  { "motherwell.tech", true },
  { "motichi.cf", true },
  { "motifstudio.com.ua", true },
  { "motionless.nl", true },
  { "motionvideos.uk", true },
  { "motiv-rechts.tk", true },
  { "motivational-babes.com", true },
  { "motiweb.fr", true },
  { "motlife.net", false },
  { "motmplus.com", true },
  { "motoactionimola.it", true },
  { "motoclubentresemana.tk", true },
  { "motocyklovedily.cz", true },
  { "motodb.co.uk", true },
  { "motodb.eu", true },
  { "motodb.net", true },
  { "motodb.uk", true },
  { "motogb.net", true },
  { "motohell.com", true },
  { "motojato.com.br", true },
  { "motoland.ml", true },
  { "motonauticaibiza.com", true },
  { "motor-agro.com", true },
  { "motor-agro.com.ua", true },
  { "motor-agro.kz", true },
  { "motor-agro.ru", true },
  { "motor-forum.nl", true },
  { "motor1.com", true },
  { "motoreflex.com", true },
  { "motorialab.com", false },
  { "motornaolja.com", true },
  { "motorpointarenacardiff.co.uk", true },
  { "motorring.ru", true },
  { "motorsplus.com", false },
  { "motorsportdiesel.com", true },
  { "motoryachtclub-radolfzell.de", true },
  { "motoscascos.com", true },
  { "motosikletevi.com", true },
  { "motospaya.com", true },
  { "motostorie.blog", true },
  { "mototax.ch", true },
  { "motovated.co.nz", false },
  { "motowilliams.com", true },
  { "motransportinfo.com", true },
  { "motshop.tk", true },
  { "motstats.co.uk", true },
  { "mott.pe", true },
  { "motto-iikoto.com", true },
  { "motun.ga", true },
  { "mouche.fr", true },
  { "moucloud.cn", true },
  { "moulinaparoles.ca", true },
  { "mouniresidences.com", true },
  { "mountain-rock.ru", true },
  { "mountainactivitysection.org.uk", true },
  { "mountainbatchers.de", true },
  { "mountainchalet.blue", true },
  { "mountaintree.eu", true },
  { "mountainutilities.eu", true },
  { "mountbatten.cz", true },
  { "mountknowledge.nl", true },
  { "mountpost.tk", true },
  { "mousepotato.uk", true },
  { "moutiezhaller.com", true },
  { "mov-square.jp", true },
  { "movacare.de", true },
  { "move-out-cleaning.co.uk", true },
  { "move.mil", true },
  { "moveltix.net", true },
  { "movember.com", false },
  { "movementdanceacademy.it", true },
  { "movewellnesslab.com", true },
  { "movie-infos.net", true },
  { "movie1000.com", true },
  { "moviefreeze.com", true },
  { "movieguys.org", true },
  { "moviesetc.net", true },
  { "moviestrendingnow.com", true },
  { "movilcelular.es", true },
  { "moviltronix.com", true },
  { "movimento-terra.it", true },
  { "movinglogistics.nl", false },
  { "movingtohttps.com", true },
  { "moviro.net", true },
  { "moy.cat", true },
  { "moylen.eu", true },
  { "mozartgroup.hu", true },
  { "mozektevidi.net", true },
  { "mozilla-hispano.org", true },
  { "mozilla.cz", true },
  { "mozzez.de", true },
  { "mp3gratuiti.com", true },
  { "mpa-pro.fr", true },
  { "mpac.ca", false },
  { "mpath.health", true },
  { "mpc-hc.org", true },
  { "mpcompliance.com", true },
  { "mpetroff.net", true },
  { "mpgaming.pro", true },
  { "mpgu.tk", true },
  { "mphwinkel.nl", true },
  { "mpintaamalabanna.it", true },
  { "mpkrachtig.nl", true },
  { "mplanetphl.fr", false },
  { "mplant.io", true },
  { "mpodraza.eu", true },
  { "mpoonamchandpearls.com", true },
  { "mprsco.eu", true },
  { "mpsoundcraft.com", true },
  { "mpu-beratungsstellen.com", true },
  { "mpu-ibbi.de", true },
  { "mpu-vorbereitung.com", true },
  { "mpu-vorbereitung.com.de", true },
  { "mpublicidad.com", true },
  { "mqbeauty.com.tw", true },
  { "mr-anderson.org", true },
  { "mr-bills.com", true },
  { "mr-moulding-knives.com", true },
  { "mr-nachhilfe.de", true },
  { "mr-wolf.nl", false },
  { "mraag.xyz", true },
  { "mralonas.ga", true },
  { "mralonas.gq", true },
  { "mralonas.ml", true },
  { "mralonas.tk", true },
  { "mrandmrsparrot.gr", true },
  { "mrazek.biz", true },
  { "mrbounce.com", true },
  { "mrbouncescrazycastles.co.uk", true },
  { "mrbouncycastle.com", true },
  { "mrbuckykat.com", true },
  { "mrca-sharp.com", false },
  { "mrcoolevents.com", true },
  { "mrd.ninja", true },
  { "mrdatenschutz.de", true },
  { "mrdayman.com", true },
  { "mredsanders.net", true },
  { "mremallin.ca", true },
  { "mrevolution.eu", true },
  { "mrhc.ru", true },
  { "mrhookupsd.com", true },
  { "mrichard333.com", true },
  { "mricspatial.com", true },
  { "mrinalpurohit.in", true },
  { "mrjhnsn.com", true },
  { "mrjo.sh", true },
  { "mrjones.org", true },
  { "mrkapowski.com", true },
  { "mrknee.gr", true },
  { "mrkrabat.de", true },
  { "mrlove.tk", true },
  { "mrmad.com.tw", true },
  { "mrmanner.eu", true },
  { "mrmemory.co.uk", true },
  { "mrnathanpowell.com", true },
  { "mrnh.de", true },
  { "mrnonz.com", true },
  { "mrnordic.com", true },
  { "mrprintables.com", true },
  { "mrs-shop.com", true },
  { "mrsbairds.com", false },
  { "mrschristine.com", true },
  { "mrsheep.win", true },
  { "mrsiding.net", true },
  { "mrsk.me", true },
  { "mrstat.co.uk", true },
  { "mrston.ml", true },
  { "mrstuudio.ee", true },
  { "mrtunnel.club", true },
  { "mruczek.ga", true },
  { "mrv.li", true },
  { "mrvnt.co", true },
  { "mrx.one", false },
  { "mrxn.net", true },
  { "ms-australia.de", true },
  { "ms-ch.ch", true },
  { "ms-host.fr", true },
  { "msa-aesch.ch", true },
  { "msafiri.co", true },
  { "msc-corps.de", true },
  { "mscc.mu", true },
  { "mscc.org", true },
  { "msch.pw", true },
  { "msebera.cz", true },
  { "mservers.cz", true },
  { "msh100.uk", true },
  { "msha.gov", true },
  { "msi-zlin.cz", true },
  { "msiegmund.com", true },
  { "msieursvp.fr", true },
  { "msize48.ch", true },
  { "msmails.de", true },
  { "msnhdd.info", true },
  { "msnr.net", true },
  { "msoll.de", true },
  { "msoll.eu", true },
  { "msopopop.cn", true },
  { "mspsocial.net", true },
  { "msquadrat.de", true },
  { "msroot.de", true },
  { "mssora.com", true },
  { "mstdn.blue", true },
  { "mstdn.io", true },
  { "mstdn.onl", false },
  { "msuna.net", true },
  { "msx.org", true },
  { "mszavodumiru.cz", true },
  { "mt-bank.jp", true },
  { "mt-tech.fi", true },
  { "mt.search.yahoo.com", false },
  { "mt1016.com", true },
  { "mt2414.com", true },
  { "mta.fail", true },
  { "mta.org.ua", true },
  { "mtane0412.com", true },
  { "mtasa.com", true },
  { "mtasa.hu", true },
  { "mtauburnassociates.com", true },
  { "mtb.wtf", true },
  { "mtcq.jp", true },
  { "mtd.org", true },
  { "mte.sk", true },
  { "mtechprecisioninc.com", true },
  { "mteleport.net", true },
  { "mtgeni.us", true },
  { "mtgenius.com", true },
  { "mtgsuomi.fi", true },
  { "mthode.org", true },
  { "mthopebank.com", true },
  { "mthrbrd.com", true },
  { "mthrbrd.net", true },
  { "mths.be", false },
  { "mticareportal.com", true },
  { "mtiryaki.com", true },
  { "mtjholding.ee", true },
  { "mtlconcerts.com", true },
  { "mtltransport.com", true },
  { "mtludlow.co.uk", true },
  { "mtouch.facebook.com", false },
  { "mtravelers.net", true },
  { "mtrip.com", true },
  { "mtrock.ru", true },
  { "mts-energia.eu", true },
  { "mts-server.com", true },
  { "mtsolar.es", true },
  { "mu.search.yahoo.com", false },
  { "mu105.cc", true },
  { "muabannhanh.com", false },
  { "mubase.dk", true },
  { "mubiflex.nl", true },
  { "muchohentai.com", true },
  { "muchotrolley.tk", true },
  { "muckingabout.eu", true },
  { "muckrack.com", true },
  { "mucmail.de", true },
  { "mudanzasacuna.com.co", true },
  { "mudaomundo.org", true },
  { "mudasobwa.tk", true },
  { "mudbenesov.cz", true },
  { "mudcomplex.ga", true },
  { "mudcrab.us", false },
  { "mudit.xyz", false },
  { "muelhau.pt", true },
  { "muell-weg.de", true },
  { "muenchberger.com", true },
  { "muffs.ru", true },
  { "mufibot.net", true },
  { "muganworld.com", true },
  { "mugen.technology", true },
  { "muguayuan.com", true },
  { "muhabbet.org", true },
  { "muhcow.dk", true },
  { "muilties.com", true },
  { "mujerfutura.com", true },
  { "muk-kobetsu.com", true },
  { "mukilteodentalarts.com", true },
  { "mukilteoeuropeanautorepair.com", true },
  { "muku-flooring.com", true },
  { "mulaccosmetics.com", true },
  { "mulail.com", true },
  { "mulheres18.com", true },
  { "muling.lu", true },
  { "mulk.hopto.org", true },
  { "mullen.net.au", true },
  { "mullens-usedcars.be", false },
  { "mullinsfarms.com", true },
  { "muloft.com", true },
  { "multibit.org", true },
  { "multibomasm.com.br", true },
  { "multiclinicacardio.com.br", true },
  { "multicomhost.com", true },
  { "multicore.cl", true },
  { "multicorpbra.com", true },
  { "multigamecard.com", true },
  { "multigeist.de", true },
  { "multikalender.de", false },
  { "multilogik.com", true },
  { "multimatte.com", true },
  { "multimed-solutions.com", true },
  { "multimed.krakow.pl", true },
  { "multimedia-pool.com", true },
  { "multimediapc.de", true },
  { "multirep.ch", false },
  { "multiroom-streaming.de", true },
  { "multischool.tk", true },
  { "multisite.ovh", true },
  { "multitec.nl", true },
  { "multitek.no", true },
  { "multitenantlaravel.com", true },
  { "multiterm.org", true },
  { "multitheftauto.com", true },
  { "multiupload.us", true },
  { "multixa.net", true },
  { "multixvideo.com", true },
  { "mum.ceo", true },
  { "mumablue.com", true },
  { "mumakil.fi", false },
  { "mumbaionlinegifts.com", true },
  { "mummyandmephotography.com", true },
  { "mumolabs.com", true },
  { "munch.me", true },
  { "munchcorp.com", true },
  { "mundoarabe.com.br", true },
  { "mundoconejos.com", true },
  { "mundodasmensagens.com", true },
  { "mundokinderland.com.br", true },
  { "mundolarraz.es", true },
  { "mundomagicotv.com", true },
  { "mundoperfecto.net", true },
  { "mundoperros.es", true },
  { "mundotortugas.com", true },
  { "mundschenk.at", true },
  { "mundtec.com.br", true },
  { "munduch.cz", true },
  { "munduch.eu", true },
  { "munera.ca", true },
  { "munich-eventlocations.de", true },
  { "munki.org", true },
  { "munkibuilds.org", true },
  { "muntproever.nl", true },
  { "munwr.com", true },
  { "munzlocal10.org.nz", true },
  { "muot.tv", false },
  { "muqu.co", true },
  { "mur-vegetal-interieur.fr", true },
  { "murakami-sah.com", true },
  { "mural.co", true },
  { "muralswallpaper.co.uk", true },
  { "muralswallpaper.com", true },
  { "murashun.jp", true },
  { "muratatifsayar.com.tr", true },
  { "muratore-roma.it", true },
  { "murfy.nz", true },
  { "murgi.de", true },
  { "murmansk.cf", true },
  { "murmashi.ru", true },
  { "murof.com.br", true },
  { "murray.xyz", true },
  { "murraya.cn", true },
  { "murster.tw", true },
  { "musa.gallery", true },
  { "musasdanet.com", true },
  { "muscleangels.com", true },
  { "musclecarresearch.com", true },
  { "muscolinomusic.com", true },
  { "muscularbabes.net", true },
  { "museclef.com", true },
  { "musedash.moe", true },
  { "musehelix.com", true },
  { "muserver.io", true },
  { "muses-success.info", true },
  { "musettishop.com", true },
  { "museumwaalsdorp.nl", true },
  { "mush-room.co.jp", true },
  { "mushel.ddns.net", true },
  { "mushikabu.net", true },
  { "music-is-my-life.de", true },
  { "music-project.eu", true },
  { "music-world.pl", true },
  { "music.amazon.com", true },
  { "musica.com", true },
  { "musicalive.nl", true },
  { "musicall.com", true },
  { "musicalschwarzenburg.ch", true },
  { "musicasbr.com.br", true },
  { "musicchris.de", true },
  { "musicfactory.ml", true },
  { "musicfromgod.com", true },
  { "musicgamegalaxy.de", true },
  { "musician.dating", true },
  { "musicindustrydb.org", true },
  { "musicinsiderdigest.com", true },
  { "musickhouseleveling.com", true },
  { "musicompare.com", true },
  { "musicradio.ga", true },
  { "musicschoolonline.com", true },
  { "musicstudio.pro", true },
  { "musicvideo.club", true },
  { "musicwear.cz", true },
  { "musicworkout.de", true },
  { "musik-mentaltraining.ch", true },
  { "musiker.tk", true },
  { "musikholics.com", true },
  { "musiktag2020.ch", true },
  { "musikverein-elten.de", true },
  { "musikzentrale.net", true },
  { "musings.tech", true },
  { "musketiers.tk", true },
  { "musketonhaken.nl", false },
  { "muskokavoltz.ca", true },
  { "muslim.singles", true },
  { "musmann.io", true },
  { "muspla.com.br", true },
  { "mussalains.com", true },
  { "musta.ch", true },
  { "mustard.co.uk", true },
  { "mustasj.no", true },
  { "mustat.com", true },
  { "muster-folien.de", true },
  { "muster-schablonen.de", true },
  { "mustertexte-musterbewerbung.de", true },
  { "musthavesforreal.com", true },
  { "musthinsider.com", true },
  { "muszic.co", true },
  { "mutantmonkey.in", true },
  { "mutantmonkey.info", true },
  { "mutualmoney.ml", true },
  { "mutuelle.fr", true },
  { "muuglu.es", true },
  { "muunnin.net", true },
  { "muurlingoogzorg.nl", true },
  { "muwatenraqamy.org", true },
  { "muz2u.ru", true },
  { "muzeumkomiksu.eu", true },
  { "muzhijy.com", true },
  { "muzikantine.nl", true },
  { "muzykanawesele.info", true },
  { "mv-schnuppertage.de", true },
  { "mvandek.nl", true },
  { "mvbits.com", true },
  { "mvccp.co.za", true },
  { "mvisioncorp.com", true },
  { "mvistatic.com", true },
  { "mvno.io", true },
  { "mvorisek.com", true },
  { "mvorisek.cz", true },
  { "mvpinfo.ga", true },
  { "mvpower.pt", true },
  { "mw.search.yahoo.com", false },
  { "mwainc.org", true },
  { "mwalz.com", true },
  { "mwavuli.co.ke", true },
  { "mwba.org", true },
  { "mwe.st", true },
  { "mwlcouriers.com", true },
  { "mww.moe", true },
  { "mx-quad.fr", true },
  { "mx.org.ua", true },
  { "mx.search.yahoo.com", false },
  { "mx5international.com", true },
  { "mxcrs.com", true },
  { "mxdvl.com", true },
  { "mxes.net", true },
  { "my-best-wishes.com", true },
  { "my-bratsk.tk", true },
  { "my-contract.ch", false },
  { "my-contract.info", false },
  { "my-contract.net", false },
  { "my-dns.co.il", true },
  { "my-ebook.es", true },
  { "my-floor.com", true },
  { "my-gode.fr", true },
  { "my-goldfinger.com", true },
  { "my-host.ovh", true },
  { "my-hps.de", true },
  { "my-ip.work", true },
  { "my-new-bikini.de", true },
  { "my-nextcloud.at", true },
  { "my-profile.org", true },
  { "my-sex-cam.com", true },
  { "my-stuff-online.com", true },
  { "my-tunisia.tk", true },
  { "my-web.xyz", true },
  { "my-webcloud.at", true },
  { "my.onlime.ch", false },
  { "my.usa.gov", true },
  { "my4g.net", true },
  { "my4thtelco.com.sg", true },
  { "my4thtelco.sg", true },
  { "myabcm.com", true },
  { "myaccount.google.com", false },
  { "myactivity.google.com", false },
  { "myadpost.com", true },
  { "myadself.com", true },
  { "myaggic.com", true },
  { "myalliancechurch.com", true },
  { "myamend.com", false },
  { "myamihealth.com", true },
  { "myamity.info", true },
  { "myammo.com", true },
  { "myammo.ru", true },
  { "myanimelist.net", true },
  { "myapexcard.com", true },
  { "myarcade.org", true },
  { "mybasementdoctor.com", true },
  { "mybathroom.tk", true },
  { "mybauingenieur24.de", true },
  { "mybb.com", true },
  { "mybb.de", true },
  { "mybestmattress.com", true },
  { "mybestwebsitebuilder.com", true },
  { "mybicc.org", true },
  { "mybillie.com", true },
  { "mybloggedlife.com", true },
  { "mybodylife.com", true },
  { "mybon.at", false },
  { "myboothang.com", true },
  { "mybuildingcertifier.com.au", true },
  { "mybusiness.wien", true },
  { "mycaelis.fr", true },
  { "mycakeangel.com", true },
  { "mycam.gq", true },
  { "mycamshowhub.com", true },
  { "mycamshowhub.to", true },
  { "mycareersfuture.sg", true },
  { "mycarinsurance123.com", true },
  { "mycc.be", true },
  { "mychamberlain.co.nz", true },
  { "mychamberlain.com", true },
  { "mychamberlain.com.au", true },
  { "mychamberlain.eu", true },
  { "mychemromance.tk", true },
  { "mycinema.pro", true },
  { "mycircleworks.com", true },
  { "myclgnotes.com", true },
  { "myclinicalstudybuddy.com", true },
  { "mycloud-system.com", true },
  { "mycodes.com.au", true },
  { "mycofairtrade.com", false },
  { "mycoldjet.com", true },
  { "mycompanysite.host", true },
  { "myconf.com", true },
  { "myconf.es", true },
  { "myconf.uk", true },
  { "myconsulting.ch", false },
  { "mycookrecetas.com", true },
  { "mycounterstrike.ru", true },
  { "mycoupons.com", true },
  { "mycr.eu", true },
  { "mycreativenook.com", true },
  { "mycreditcardcenter.com", true },
  { "mycreditunion.gov", true },
  { "mycrowdstack.com", true },
  { "mycrypnet.io", true },
  { "mycrypto.com", true },
  { "mycrystalgrove.com", true },
  { "mydais.org", true },
  { "mydarkstar.net", true },
  { "mydatadoneright.eu", true },
  { "mydaywebapp.com", true },
  { "mydebian.in.ua", true },
  { "mydentalhealth.com.au", true },
  { "mydentalplan.gr", true },
  { "mydenverhomesource.com", true },
  { "mydevolo.com", true },
  { "mydevolo.de", true },
  { "mydevops.cloud", true },
  { "mydigitalweek.com", true },
  { "mydna.bio", true },
  { "mydnshost.co.uk", true },
  { "mydoc.fr", true },
  { "mydocserve.com", true },
  { "mydoxod.tk", true },
  { "mydroneservices.ca", true },
  { "mydroneservices.com", true },
  { "mydsacontabilidad.com", true },
  { "myduffyfamily.com", true },
  { "myeasybooking.de", true },
  { "myeberspaecher.com", true },
  { "myecms.com", true },
  { "myedcreview.cf", true },
  { "myediblefood.com", true },
  { "myeditclub.ml", true },
  { "myedu.ga", true },
  { "myeisenbahn.de", true },
  { "myekon.com", true },
  { "myeriri.com", true },
  { "myesk.rs", true },
  { "myessaygeek.com", true },
  { "myetherwallet.com", true },
  { "myexams.nl", true },
  { "myf.cloud", true },
  { "myfae.eu", true },
  { "myfavorite.com.tw", true },
  { "myfedloan.org", true },
  { "myfirenet.com", false },
  { "myforfaitmobile.com", true },
  { "myfortdodge.com", true },
  { "myfreemp3.click", true },
  { "myfrenchtattoo.fr", true },
  { "myfursona.com", true },
  { "myg21.com", true },
  { "mygadgetguardian.lookout.com", false },
  { "mygallery.homelinux.net", true },
  { "mygameconsole.tk", true },
  { "mygate.at", false },
  { "mygear.live", true },
  { "mygedit.com", true },
  { "mygeotrip.com", true },
  { "mygest.me", true },
  { "mygigabitnation.com", true },
  { "mygignation.com", true },
  { "mygirlfriendshouse.com", true },
  { "mygnmr.com", true },
  { "mygoldennetwork.com", true },
  { "mygomel.tk", true },
  { "mygreatlakes.org", true },
  { "mygreatwebsite.co.uk", true },
  { "mygreenrecipes.com", true },
  { "mygretchen.de", true },
  { "mygrodno.tk", true },
  { "mygymer.ch", true },
  { "myhatsuden.jp", true },
  { "myhealthyday.com", true },
  { "myhmz.bid", true },
  { "myhollywoodnews.com", true },
  { "myhome-24.pl", true },
  { "myhomeworkpapers.com", true },
  { "myhoor.ga", true },
  { "myhuthwaite.com", true },
  { "myibidder.com", true },
  { "myimds.com", true },
  { "myimmitracker.com", true },
  { "myinsiderplus.com", true },
  { "myinsurancelife.com", true },
  { "myinternist.com", true },
  { "myjarofhope.com", true },
  { "myjudo.net", true },
  { "myjumparoo.co.uk", true },
  { "myjumpsuit.de", true },
  { "myjuvelirika.ru", true },
  { "myki.co", true },
  { "mykontool.de", true },
  { "mykumedir.com", true },
  { "mykursumlija.tk", true },
  { "mylawyer.be", true },
  { "mylegacyvip.com", true },
  { "mylennonbuddy.com", true },
  { "mylennonbuddy.info", true },
  { "mylennonbuddy.net", true },
  { "mylennonbuddy.org", true },
  { "mylife360mag.com", true },
  { "mylifeabundant.com", true },
  { "mylifeinsurancechoices.info", true },
  { "myliftmaster.com", true },
  { "myliftmaster.eu", true },
  { "mylight.tk", true },
  { "mylittlechat.ru", true },
  { "mylms.nl", true },
  { "myloan.hk", true },
  { "myloanmanager.com", true },
  { "myloneworkers.com", true },
  { "mylookout.com", false },
  { "mylotto.co.nz", true },
  { "mylstrom.com", true },
  { "mylucknursinghome.com", true },
  { "mymall.co.jp", true },
  { "mymb.pm", true },
  { "mymedz.nl", true },
  { "mymerlin.co.nz", true },
  { "mymerlin.com.au", true },
  { "mymixtapez.com", true },
  { "mymkphotography.com", true },
  { "mymommyworld.com", true },
  { "mymonture.com", true },
  { "mymotherlandstuffs.cn", true },
  { "mymotor.nl", true },
  { "mymsr.de", true },
  { "mymun.com", true },
  { "mymun.net", true },
  { "mymx.lu", true },
  { "myna.go.jp", true },
  { "mynameistavis.com", true },
  { "mynaturalmood.es", true },
  { "myndcoin.com", true },
  { "myndighetermeddnssec.se", true },
  { "myndighetermedipv6.se", true },
  { "mynewsspot.com", true },
  { "mynext.events", true },
  { "mynextmove.org", true },
  { "mynn.io", true },
  { "mynook.info", false },
  { "myoddlittleworld.com", true },
  { "myodysi.com", true },
  { "myofficeconnect.co.uk", true },
  { "myonline.hu", true },
  { "myonline.store", true },
  { "myopd.in", true },
  { "myoptimalbrain.com", true },
  { "myoptumhealthcomplexmedical.com", true },
  { "myoptumhealthparentsteps.com", true },
  { "myotopie.de", false },
  { "myoueb.fr", true },
  { "myoukochou.com", true },
  { "myownconference.com", true },
  { "myownconference.com.ua", true },
  { "myownconference.pl", true },
  { "myownconference.ru", true },
  { "myowndisk.com", true },
  { "myowndisk.net", true },
  { "mypaperdone.com", true },
  { "mypaperwriter.com", true },
  { "mypartnernews.com", true },
  { "mypartybynoelia.es", true },
  { "mypay.fr", true },
  { "mypayoffloan.com", true },
  { "mypenza.tk", true },
  { "myperks.in", true },
  { "mypfp.co.uk", true },
  { "myphamaplus.org", true },
  { "myphamthemis.com", true },
  { "myphotonics.ml", true },
  { "myphotoshopbrushes.com", true },
  { "mypillcard.com", true },
  { "mypizza-bremen.de", true },
  { "myplaceonline.com", true },
  { "myplaystation.nl", false },
  { "mypnu.net", true },
  { "myportal.ga", true },
  { "mypress.mx", true },
  { "myprintcard.de", true },
  { "mypromoshop.com.au", true },
  { "myprotime.eu", true },
  { "myptsite.com", false },
  { "mypvhc.com", true },
  { "myqbusiness.com", true },
  { "myqservices.com", true },
  { "myraboats.tk", true },
  { "myrandomtips.com", true },
  { "myraytech.net", false },
  { "myrealestatemate.com.au", true },
  { "myred.net", true },
  { "myref.net", true },
  { "myrekber.co.id", true },
  { "myremotelogin.ddns.net", true },
  { "myrent.quebec", true },
  { "myrepubic.net", true },
  { "myrepubiic.net", true },
  { "myrepublc.net", true },
  { "myrepublic.asia", true },
  { "myrepublic.cf", true },
  { "myrepublic.cloud", true },
  { "myrepublic.com.cn", true },
  { "myrepublic.com.hk", true },
  { "myrepublic.com.kh", true },
  { "myrepublic.com.lk", true },
  { "myrepublic.com.my", true },
  { "myrepublic.com.ph", true },
  { "myrepublic.com.tw", true },
  { "myrepublic.eu.com", true },
  { "myrepublic.ga", true },
  { "myrepublic.gq", true },
  { "myrepublic.icu", true },
  { "myrepublic.in", true },
  { "myrepublic.limited", true },
  { "myrepublic.lk", true },
  { "myrepublic.ml", true },
  { "myrepublic.mobi", true },
  { "myrepublic.my", true },
  { "myrepublic.net", true },
  { "myrepublic.net.au", true },
  { "myrepublic.nz", true },
  { "myrepublic.ph", true },
  { "myrepublic.rocks", true },
  { "myrepublic.run", true },
  { "myrepublic.tk", true },
  { "myrepublic.tv", true },
  { "myrepublic.tw", true },
  { "myrepublic.us.com", true },
  { "myrepublic.xyz", true },
  { "myrepublicau.com", true },
  { "myrepublicaus.com", true },
  { "myrepublicbroadband.com.au", true },
  { "myrepublicfibre.com.au", true },
  { "myrepublicgroup.com", true },
  { "myrepublicinternet.com.au", true },
  { "myrepublicltd.com", true },
  { "myrepublicmy.com", true },
  { "myrepublicnz.com", true },
  { "myrepublicsg.com", true },
  { "myrepublictelecom.com", true },
  { "myrepubllc.net", true },
  { "myresearchtoolbox.net", true },
  { "myresidence.de", true },
  { "myrevery.com", true },
  { "myreviews.ga", true },
  { "myrewardspoints.com", true },
  { "myriadof.com", true },
  { "myrig.com", true },
  { "myrnabiondo.com.br", true },
  { "myrotvorets.center", true },
  { "myrotvorets.news", true },
  { "myrp.co", true },
  { "mysasiedzi.bialystok.pl", true },
  { "myschoolphoto.org", true },
  { "myseatime.com", true },
  { "myself5.de", true },
  { "myservicearl.com", true },
  { "mysexycard.com", true },
  { "mysexydate24.com", true },
  { "myshopdisplay.com", true },
  { "mysignal.com", true },
  { "mysockfactory.ch", true },
  { "mysockfactory.com", true },
  { "mysocrat.com", true },
  { "mysoundtalks.com", false },
  { "myspicer.com", true },
  { "mysql-real-escape-string.xyz", true },
  { "mysqldump-secure.org", true },
  { "myssl.com", true },
  { "mystaffonline.com", true },
  { "mystagic.cloud", true },
  { "mysteriouscode.io", true },
  { "mysteryblog.de", true },
  { "mysterydata.com", true },
  { "mysterymind.ch", false },
  { "mysterysear.ch", true },
  { "mysteryshow.site", true },
  { "mystia.org", true },
  { "mystic-welten.de", true },
  { "mysticconsult.com", true },
  { "mystickphysick.com", true },
  { "mysticrs.tk", true },
  { "mystorymonster.com", true },
  { "mystudy.me", true },
  { "mystudycart.com", true },
  { "myswissmailaddress.com", false },
  { "myte.ch", true },
  { "mytfg.de", true },
  { "mythemeshop.com", false },
  { "mythen-fonds.ch", true },
  { "mythenfonds.ch", true },
  { "mythicdelirium.com", true },
  { "mythoughtmachine.com", true },
  { "mytime.fr", true },
  { "mytime.gl", true },
  { "myting.net", true },
  { "mytntware.com", true },
  { "mytraiteurs.com", true },
  { "mytrinity.com.ua", true },
  { "mytripcar.co.uk", true },
  { "mytripcar.com", true },
  { "mytripcar.de", true },
  { "mytripcar.es", true },
  { "mytripcar.fr", true },
  { "mytrustadviser.com", true },
  { "mytty.net", true },
  { "mytuleap.com", false },
  { "mytun.com", true },
  { "myunox.com", true },
  { "myusagepayments.com", true },
  { "myvacompany.com", true },
  { "myvalleymarketing.com", true },
  { "myvegan.menu", true },
  { "myvirtualserver.com", true },
  { "myvitalhealthsolutions.com.au", true },
  { "mywari.com", true },
  { "myweatherbuzz.com", true },
  { "mywebpanel.eu", true },
  { "mywebpanel.nl", true },
  { "myweddingreceptionideas.com", true },
  { "mywetpussycams.com", true },
  { "mywindscreen.my", true },
  { "mywiwe.com.au", true },
  { "myworkinfo.com", false },
  { "myworth.com.au", true },
  { "myxnr.com", true },
  { "myxxxsite.tk", true },
  { "myyubikey.net", true },
  { "myyubikey.org", true },
  { "myzina.cz", false },
  { "mz-mz.net", true },
  { "mza.com", true },
  { "mzb.company", true },
  { "mzcsgo.top", true },
  { "mzitu.com", true },
  { "mzlive.eu", true },
  { "mzmtech.com", true },
  { "mznet.de", true },
  { "mzorn.photography", true },
  { "mzstatic.cc", true },
  { "n-design-service.de", true },
  { "n-design.de", true },
  { "n-gram.it", true },
  { "n-linear.org", true },
  { "n-m.lu", true },
  { "n-man.info", true },
  { "n-pix.com", false },
  { "n-un.de", false },
  { "n0099.cf", true },
  { "n0paste.tk", false },
  { "n0psled.nl", true },
  { "n26.com", true },
  { "n2diving.net", true },
  { "n36533.com", true },
  { "n36594.com", true },
  { "n3domains.com.au", true },
  { "n4v.eu", true },
  { "n6a.net", true },
  { "n7.education", true },
  { "n8mgt.com", true },
  { "n8nvi.com", true },
  { "n8solutions.host", true },
  { "n8solutions.net", true },
  { "n8solutions.us", true },
  { "na-kipre.tk", true },
  { "na-school.nl", true },
  { "naahgluck.de", true },
  { "naamlint.nl", true },
  { "nabaleka.com", true },
  { "nabankco.com", true },
  { "nabeez.cf", true },
  { "naberiusmedia.com", true },
  { "nabidkamajetku.cz", true },
  { "nabidkydnes.cz", true },
  { "nabokov.tk", true },
  { "nabytek-valmo.cz", true },
  { "nabytokalva.sk", true },
  { "nacfit.com", true },
  { "nachrichten-heute.net", true },
  { "nachsendeauftrag.net", true },
  { "nachsenden.info", true },
  { "nacin.com", true },
  { "nacktetatsachen.at", false },
  { "nacocu.cf", true },
  { "nacyklo.cz", true },
  { "nad-r.com", true },
  { "nadejeproninu.cz", true },
  { "nadelholzkulturen.de", true },
  { "naders.com", true },
  { "nadex.com", true },
  { "nadiafourcade-photographie.fr", true },
  { "nadine-birkner.de", true },
  { "nadine-chaudier.net", true },
  { "nadjabenaissa.tk", true },
  { "nadji.ga", true },
  { "nadlerdentistry.com", true },
  { "nadoske.info", true },
  { "nadsandgams.com", true },
  { "nadyaolcer.fr", true },
  { "naemnuk.tk", true },
  { "nafod.net", true },
  { "nafoods.com", true },
  { "naga-semi.com", true },
  { "nagashi.ma", false },
  { "nagato.tk", true },
  { "nagaya.biz", true },
  { "nagb.gov", true },
  { "nagb.org", true },
  { "nagel-dentaltechnik.de", true },
  { "nageler.org", true },
  { "nagelfam.com", true },
  { "nagoonline.com", true },
  { "nah.nz", true },
  { "nah.re", true },
  { "nahman.tk", true },
  { "nahouw.net", true },
  { "nai-job.jp", true },
  { "naia.me", true },
  { "naiaokami.me", true },
  { "naide.ee", true },
  { "naidonline.org", true },
  { "naifcare.cz", true },
  { "nailattitude.ch", false },
  { "nailchiodo.com", true },
  { "nailsalon-aztplus.com", true },
  { "nailsart.roma.it", true },
  { "nailsforyoustouffville.ca", true },
  { "nailshop.gq", true },
  { "nailtodayminneapolis.com", true },
  { "nairobibusinessreview.com", true },
  { "najedlo.sk", true },
  { "naji-astier.com", true },
  { "naka.io", true },
  { "nakalabo.jp", true },
  { "nakama.tv", true },
  { "nakandya.com", false },
  { "nakayama.industries", true },
  { "nakayama.systems", true },
  { "nakayamaresearch.com", true },
  { "nakedinkas.com", true },
  { "nakedtruthbeauty.com", true },
  { "nakene.com", true },
  { "nakim.cf", true },
  { "nakin.tk", true },
  { "nakliyat.name.tr", true },
  { "nakliyatsirketi.biz.tr", true },
  { "nakluky.cz", true },
  { "nako.no", true },
  { "nalenders.com", true },
  { "nalepky-na-zed.cz", true },
  { "nalepte.cz", true },
  { "nalexandru.xyz", true },
  { "nalsai.de", true },
  { "namaanakperempuan.net", true },
  { "namacindia.com", true },
  { "namazvakitleri.com.tr", true },
  { "namegrep.com", true },
  { "nameid.org", true },
  { "namepros.com", true },
  { "nameproscdn.com", true },
  { "namereel.com", true },
  { "nameshield.com", true },
  { "nameshield.net", true },
  { "namethatporn.com", true },
  { "nametiles.co", true },
  { "nami.exchange", true },
  { "nami.trade", true },
  { "naminam.de", true },
  { "namrs.net", true },
  { "namskra.is", true },
  { "namu.games", true },
  { "namu.la", true },
  { "namu.live", true },
  { "namu.moe", true },
  { "namu.news", true },
  { "namu.wiki", true },
  { "namus.gov", true },
  { "nan.ci", true },
  { "nan.cm", true },
  { "nan.ge", true },
  { "nan0.cloud", true },
  { "nanaimoneighbourhoods.ca", true },
  { "nanarose.ch", false },
  { "nanch.com", true },
  { "nancytelford.com", true },
  { "nancyzone.tk", true },
  { "nandex.org", true },
  { "nandito.tk", true },
  { "nange.cn", true },
  { "nanisiyou.com", true },
  { "nanjiyy.com", true },
  { "nankiseamansclub.com", true },
  { "nannycoupons.com", true },
  { "nannytax.ca", true },
  { "nano.voting", true },
  { "nanodynelabs.com", true },
  { "nanogramme.fr", false },
  { "nanopixel.ch", true },
  { "nanotechnologist.com", true },
  { "nanotechnologysolutions.com.au", true },
  { "nanotechtorsion.com", true },
  { "nanowallet.io", true },
  { "nanpuyue.com", true },
  { "nanshy.com", false },
  { "nanubo.com", true },
  { "nanubo.de", true },
  { "naomiheji.com", true },
  { "napcae.de", true },
  { "napisdata.us", true },
  { "napkins-wholesale.co.za", true },
  { "napkins-wholesale.com", true },
  { "napkins-wholesale.in", true },
  { "napkins-wholesale.nz", true },
  { "napkins-wholesale.uk", true },
  { "naplata.mk", true },
  { "napominanie.ml", true },
  { "naql.om", true },
  { "naradiebosch.sk", true },
  { "naradiehusqvarna.sk", true },
  { "naradiemakita.sk", true },
  { "narakenkoland.net", true },
  { "naralogics.com", true },
  { "narazaka.net", true },
  { "nardininaturopathic.com", true },
  { "narfation.org", true },
  { "nargele.eu", true },
  { "nargileh.nl", true },
  { "narindal.ch", true },
  { "naro.se", true },
  { "naroska.name", true },
  { "narrabeenlakesbikehire.com", true },
  { "narrativasdigitais.pt", true },
  { "narrative.org", true },
  { "narrenverein-wolkenschieber.de", true },
  { "narthollis.net", false },
  { "naruto-best.tk", true },
  { "nasbi.pl", true },
  { "nasbnation.com", false },
  { "naschenweng.info", true },
  { "naschenweng.me", true },
  { "nashdistribution.com", true },
  { "nashikmatka.com", true },
  { "nashira.cz", true },
  { "nashuaradiology.com", true },
  { "nashvillebasements.com", true },
  { "nashvillelidsurgery.com", true },
  { "nashzhou.me", true },
  { "nasladko.cz", true },
  { "naslovi.net", true },
  { "nasmocopati.com", true },
  { "nasosvdom.com.ua", true },
  { "nasrsolar.com", true },
  { "nastrojka-pianino.spb.ru", true },
  { "nastycomics.eu", true },
  { "nataez.tk", true },
  { "natalia-in-quebec.tk", true },
  { "nataliedawnhanson.com", true },
  { "natanaelys.com", false },
  { "natariusadvokat.ga", true },
  { "natasabekvalac.tk", true },
  { "natashki.tk", true },
  { "natation-nsh.com", false },
  { "natchmatch.com", true },
  { "nateandxtina.wedding", true },
  { "nategreen.org", true },
  { "natehobi.com", true },
  { "natenom.com", true },
  { "natenom.de", true },
  { "natenom.name", true },
  { "natevolker.com", true },
  { "natgeofreshwater.com", true },
  { "nathaliebaron.ch", false },
  { "nathaliebaroncoaching.ch", false },
  { "nathaliedijkxhoorn.com", true },
  { "nathaliedijkxhoorn.nl", true },
  { "nathaliesadventure.eu", true },
  { "nathan.ovh", true },
  { "nathanaeldawe.com", true },
  { "nathanbarry.com", true },
  { "nathancheek.com", false },
  { "nathankonopinski.com", true },
  { "nathanmfarrugia.com", true },
  { "nathansmetana.com", true },
  { "nation-contracting.com.hk", true },
  { "nationalaustriabank.com", true },
  { "nationalbank.gov", true },
  { "nationalbanknet.gov", true },
  { "nationalcashoffer.com", true },
  { "nationalcentereg.org", true },
  { "nationalcprfoundation.com", true },
  { "nationalcrimecheck.com.au", true },
  { "nationalcybersecuritysociety.org", true },
  { "nationalhomequotes.com", true },
  { "nationalmap.gov", true },
  { "nationalpriorities.org", true },
  { "nationalresourcedirectory.gov", true },
  { "nationalservice.gov", true },
  { "nationaltrails.ru", true },
  { "nationslending.com", true },
  { "nativeonestop.gov", true },
  { "natives-team.ch", false },
  { "nativitynj.org", true },
  { "nativs.ch", false },
  { "natlec.ch", true },
  { "natlec.com", true },
  { "natmal.net", true },
  { "natropie.pl", true },
  { "natsumihoshino.com", true },
  { "natuerlichabnehmen.ch", true },
  { "natur-care.com", true },
  { "natur.com", true },
  { "natura-sense.com", true },
  { "naturalbeautyhacks.com", true },
  { "naturalbijou.com", true },
  { "naturalcosmetics.cf", true },
  { "naturaleza.com.ar", true },
  { "naturalezafengshui.com", true },
  { "naturalfit.co.uk", true },
  { "naturalhealthcures.net", true },
  { "naturalkitchen.co.uk", true },
  { "naturalspacesdomes.com", true },
  { "naturaum.de", true },
  { "natureclaim.com", true },
  { "natureflo.net", true },
  { "naturelk.org", true },
  { "naturesbest.co.uk", true },
  { "natureshive.org", true },
  { "naturesorganichaven.com", true },
  { "naturheilpraxis-grauer.de", true },
  { "naturheilpraxis-oida.de", true },
  { "naturheilpraxis-p-grote.de", true },
  { "naturline.com", true },
  { "naturtint.co.uk", true },
  { "natusvita.com.br", true },
  { "natverkstekniker.se", true },
  { "naude.co", true },
  { "naughty.audio", true },
  { "nauris.fi", true },
  { "nausicaahotel.it", true },
  { "naut.ca", true },
  { "nautiljon.com", true },
  { "nautsch.de", true },
  { "navalarchitect.tk", true },
  { "navaneethnagesh.com", true },
  { "navarralanparty.org", true },
  { "navarrogear.com", true },
  { "navdeep.ca", true },
  { "navenlle.com", true },
  { "navienna.com", true },
  { "navient.com", true },
  { "navigator.ca", true },
  { "navlnachekg.cz", true },
  { "navroopsahdev.in", true },
  { "navstevnik.sk", true },
  { "navycs.com", true },
  { "nawir.de", true },
  { "nay.sk", true },
  { "nayahe.ru", true },
  { "nayami64.xyz", true },
  { "nayanaas.com", true },
  { "nayefalebrahim.com", true },
  { "nayr.us", true },
  { "nazarenoviso.tk", true },
  { "nazbol.tk", true },
  { "nazevfirmy.cz", true },
  { "nazimogluinsaat.com", true },
  { "nazukebanashi.com", true },
  { "nb.zone", true },
  { "nb01.com", true },
  { "nb6.de", true },
  { "nba-2k.com", true },
  { "nba-officecenter.hu", true },
  { "nba.christmas", true },
  { "nba.com.de", true },
  { "nba.de.com", true },
  { "nba.download", true },
  { "nba.gd", true },
  { "nba.gs", true },
  { "nba.gy", true },
  { "nba.hosting", true },
  { "nba.im", true },
  { "nba.live", true },
  { "nba.lu", true },
  { "nba.moe", true },
  { "nba.trade", true },
  { "nba.vc", true },
  { "nba.vg", true },
  { "nba2.com", true },
  { "nba2k.blog", true },
  { "nba2k.cc", true },
  { "nba2k.cn", true },
  { "nba2k.co", true },
  { "nba2k.com.cn", true },
  { "nba2k.download", true },
  { "nba2k.live", true },
  { "nba2k.net", true },
  { "nba2k.online", true },
  { "nba2k.tw", true },
  { "nba2kcn.com", true },
  { "nba2kmods.com", true },
  { "nba2kmt.com", true },
  { "nba2kmy.team", true },
  { "nba2kol.com", true },
  { "nba2konline.com", true },
  { "nba2konlinex.com", true },
  { "nba2kx.com", true },
  { "nba669.com", true },
  { "nba686.com", true },
  { "nbad.al", true },
  { "nbadancers.com", true },
  { "nbade.com", true },
  { "nbafile.com", true },
  { "nbagirls.com", true },
  { "nbaim.com", true },
  { "nbaimg.com", true },
  { "nbalive.cn", true },
  { "nbalivecn.com", true },
  { "nbalivex.com", true },
  { "nbari.com", true },
  { "nbask.com", true },
  { "nbasky.com", true },
  { "nbaspot.com", true },
  { "nbavc.com", true },
  { "nbavg.com", true },
  { "nbayouxi.com", true },
  { "nbclinic.co.uk", true },
  { "nbhorsetraining.com", true },
  { "nbib.gov", true },
  { "nbrii.com", true },
  { "nc-beautypro.fr", true },
  { "nc-formation.fr", true },
  { "ncands.net", true },
  { "ncarmine.com", true },
  { "ncascade.com", true },
  { "ncc-efm.com", true },
  { "ncc-efm.org", true },
  { "ncc-qualityandsafety.org", true },
  { "nccemail.net", true },
  { "nccfa.org", true },
  { "ncdc.pt", true },
  { "ncea.net.au", true },
  { "ncgt.se", true },
  { "nch.link", true },
  { "nchangfong.com", true },
  { "nchponline.org", true },
  { "ncjrs.gov", true },
  { "nclf.net", true },
  { "ncli-design.com", true },
  { "ncloud.freeddns.org", true },
  { "ncpimd001.spdns.de", true },
  { "ncrypt.at", true },
  { "ncsc.gov.uk", true },
  { "nctx.co.uk", true },
  { "ncu.world", true },
  { "ncua.gov", true },
  { "ndarville.com", true },
  { "ndbt.com", true },
  { "ndcpolipak.com", true },
  { "ndeoffshore.com", true },
  { "nder.be", true },
  { "ndfa.net", true },
  { "ndfirefighter.com", true },
  { "ndphp.org", true },
  { "ndpigskin.com", true },
  { "nds-helicopter.de", true },
  { "ndvr.com", true },
  { "ndx.ee", true },
  { "ndy.sex", true },
  { "ne-on.org", true },
  { "nea.gov", true },
  { "nealvorusphd.com", true },
  { "neanderthalia.tk", true },
  { "nearby.in.th", true },
  { "neartothesky.com", true },
  { "neasahourigan.com", false },
  { "neat-patch.de", true },
  { "neatlife.co.uk", true },
  { "neatous.cz", true },
  { "neatous.net", true },
  { "neave.tv", true },
  { "neaz.tk", true },
  { "neba.io", true },
  { "nebelhauch.de", true },
  { "nebelheim.de", true },
  { "nebenbeiblog.ch", true },
  { "nebohost.tk", true },
  { "neboley.cf", true },
  { "nebra.io", true },
  { "nebul.at", true },
  { "nebula.exchange", true },
  { "nebulae.co", true },
  { "nebuso.com", true },
  { "necessaryandproportionate.net", true },
  { "necessaryandproportionate.org", true },
  { "neckbeard.xyz", true },
  { "necord.com", true },
  { "necormansir.com", true },
  { "necromantia.tk", true },
  { "nectardigit.com", true },
  { "nectarleaf.com", true },
  { "nectir-staging.com", true },
  { "nectir.co", true },
  { "nedcdata.org", true },
  { "nederland.media", true },
  { "nederlands-vastgoedfonds.nl", true },
  { "nedermisp.nl", true },
  { "nediapp.com", true },
  { "nedim-accueil.fr", true },
  { "nedlinin.com", true },
  { "nednex.com", true },
  { "nedraconsult.ru", true },
  { "nedzadalibegovic.com", true },
  { "neecist.org", true },
  { "needemand.com", true },
  { "needfire.ga", true },
  { "needrom.com", true },
  { "needstyle.ru", true },
  { "neel.ch", true },
  { "neemdetijd.nl", true },
  { "neemzy.org", true },
  { "neev.tech", true },
  { "neferology.com", true },
  { "nefertitis.cz", true },
  { "neflabs.com", true },
  { "nefro-cme.de", true },
  { "neftis.es", true },
  { "negai.moe", true },
  { "negativecurvature.net", true },
  { "negativeentropy.org", true },
  { "negocios-imatore.com", true },
  { "negoya-shokai.info", true },
  { "negril.com", true },
  { "neheim-huesten.de", true },
  { "nehoupat.cz", true },
  { "nehrp.gov", true },
  { "nehta.gov.au", true },
  { "nei.st", true },
  { "neighborhoodelectricwa.com", true },
  { "neighborshop.de", true },
  { "neil-barrett.com", true },
  { "neil-barrett.uk", true },
  { "neildaniels.com", true },
  { "neilfarrington.com", true },
  { "neillans.co.uk", true },
  { "neillans.com", true },
  { "neilpatel.com", true },
  { "neilsonmarketing.com", true },
  { "neilwynne.com", true },
  { "nejenpneu.cz", true },
  { "nejlevnejsi-parapety.cz", true },
  { "nejmaklerka.cz", true },
  { "nejprivlac.cz", true },
  { "neko-nyan-nuko.com", true },
  { "neko-nyan.org", true },
  { "nekodex.net", true },
  { "nekomimi.pl", true },
  { "nekomimirouter.com", true },
  { "nekorektni.cz", true },
  { "nekosc.com", true },
  { "nekowa.moe", true },
  { "nekretnine-lidl.hr", true },
  { "nekusoul.de", true },
  { "nelflex.com.br", true },
  { "nelhage.com", true },
  { "nellen.it", true },
  { "nellyarias.com", true },
  { "nellydallois.fr", true },
  { "nemcd.com", true },
  { "nemecl.eu", true },
  { "nemez.net", true },
  { "nemiroth.net", true },
  { "nemo.run", true },
  { "nemopan.com", true },
  { "nemopret.dk", true },
  { "nemplex.com", true },
  { "nems.no", true },
  { "nemumu.com", true },
  { "nemunai.re", true },
  { "nemzetizaszlok.hu", true },
  { "neneko.moe", true },
  { "nenkin-kikin.jp", true },
  { "neno.io", true },
  { "neo-novarion.com", true },
  { "neo2k.dk", true },
  { "neo2shyalien.eu", false },
  { "neobits.nl", true },
  { "neochan.net", true },
  { "neochan.ru", true },
  { "neocities.org", true },
  { "neoclick.io", true },
  { "neodigital.bg", true },
  { "neodrive.ch", true },
  { "neoedresources.org", true },
  { "neoeliteconsulting.com", true },
  { "neojo.org", true },
  { "neoko.fr", true },
  { "neolaudia.es", true },
  { "neonataleducationalresources.org", true },
  { "neonatalgoldenhours.org", true },
  { "neonknight.ch", true },
  { "neons.org", true },
  { "neophilus.net", true },
  { "neos.co.jp", true },
  { "neosdesignstudio.co.uk", true },
  { "neostralis.com", true },
  { "neotiv.com", true },
  { "neoverso.tk", true },
  { "neowin.net", true },
  { "neowlan.net", true },
  { "neoxcrf.com", true },
  { "neoz.com.br", true },
  { "nepal-evolution.org", true },
  { "nepezzano13.com", true },
  { "nephelion.org", true },
  { "nephology.net.au", true },
  { "nephy.jp", true },
  { "nepovolenainternetovahazardnihra.cz", true },
  { "nepozitkova.cz", true },
  { "nepremicninar.com", true },
  { "nepremicnine-lidl.si", true },
  { "nepremicnine.click", true },
  { "nepremicnine.net", true },
  { "nepustil.net", false },
  { "nerdca.st", true },
  { "nerdherd.fun", true },
  { "nerdhouse.io", true },
  { "nerdin.space", true },
  { "nerdmind.de", true },
  { "nerdpol.ch", true },
  { "nerdpol.org", true },
  { "nerds-gegen-stephan.de", true },
  { "nerdtime.de", true },
  { "nerdwallet.com", true },
  { "nerdydev.net", true },
  { "nereustech.com", true },
  { "neriumrx.com", true },
  { "neroshana.com", true },
  { "nerot.eu", true },
  { "nerpa-club.ru", true },
  { "nertus.ua", true },
  { "nerv.com.au", true },
  { "nerven.se", true },
  { "nesabamedia.com", true },
  { "nesolabs.com", true },
  { "nesolabs.de", true },
  { "nestedquotes.ca", false },
  { "nestor.nu", true },
  { "neswec.org.uk", true },
  { "net-safe.info", true },
  { "net4visions.at", true },
  { "net4visions.de", true },
  { "netamia.com", true },
  { "netapps.de", true },
  { "netbank.com.au", true },
  { "netbears.com", true },
  { "netbears.ro", true },
  { "netbox.org", true },
  { "netbrewventures.com", true },
  { "netbulls.io", true },
  { "netbuzz.ru", true },
  { "netchameleon.com", true },
  { "netcials.in", true },
  { "netcombne.ch", true },
  { "netconnect.at", true },
  { "netcoolusers.org", true },
  { "netd.at", true },
  { "netdex.co", true },
  { "netdiode.com", true },
  { "netdiode.eu", true },
  { "netdiode.net", true },
  { "netdiode.org", true },
  { "netera.se", true },
  { "neteraser.de", true },
  { "netexpatcommunity.com", false },
  { "netfabb.com", true },
  { "netface.com.br", true },
  { "netfeeds.eu", true },
  { "netferie.de", true },
  { "netferie.dk", true },
  { "netferie.no", true },
  { "netfirmtextile.com", true },
  { "netflixlife.com", true },
  { "netfog.de", true },
  { "netfolio.pt", true },
  { "netfoundry.io", true },
  { "netframe.net", true },
  { "netfs.pl", true },
  { "netfuture.ch", true },
  { "netfxharmonics.com", true },
  { "netgaming.de", true },
  { "netguide.co.nz", true },
  { "nethack.ninja", true },
  { "nethackwiki.com", true },
  { "nethask.ru", true },
  { "nethealth.ga", true },
  { "nethorizon.cn", true },
  { "nethostingtalk.com", true },
  { "nethruster.com", true },
  { "nethui.nz", true },
  { "netki.com", true },
  { "netlentes.com.br", true },
  { "netliste.com", true },
  { "netlocal.ru", true },
  { "netmagicas.com.br", true },
  { "netmeister.org", true },
  { "netnea.com", true },
  { "netnodes.net", true },
  { "netolink.co.il", true },
  { "netolink.com", true },
  { "netpenge.tk", true },
  { "netrabota.tk", true },
  { "netraising.com", false },
  { "netrelay.email", true },
  { "netrewrite.com", true },
  { "netrider.net.au", false },
  { "netrogue.ninja", true },
  { "netronix.be", true },
  { "netsearch.ga", true },
  { "netsigna.de", true },
  { "netsite.dk", true },
  { "netsoins.org", true },
  { "netsoj.nl", true },
  { "netsparker.com", true },
  { "netsparker.com.tr", true },
  { "netspeedia.net", true },
  { "netsphere.cz", true },
  { "nettamente.com", true },
  { "nette.org", true },
  { "nettegeschenke.de", true },
  { "nettgiro.no", true },
  { "nettia.fi", true },
  { "nettilamppu.fi", true },
  { "netto-service.ch", false },
  { "nettools.link", true },
  { "nettx.co.uk", true },
  { "netube.org", true },
  { "netvizura.co.uk", true },
  { "netwarc.eu", true },
  { "netwarc.nl", true },
  { "netweaver.uk", true },
  { "networg.com", true },
  { "networg.cz", true },
  { "networg.pl", true },
  { "network-midlands.co.uk", true },
  { "network-midlands.uk", true },
  { "network23.nl", true },
  { "networkdiode.com", true },
  { "networkdiode.eu", true },
  { "networkdiode.net", true },
  { "networkdiode.org", true },
  { "networking4all.com", true },
  { "networkingnexus.net", true },
  { "networkingphoenix.com", true },
  { "networkmas.com", true },
  { "networkmidlands.co.uk", true },
  { "networkmidlands.uk", true },
  { "networkmon.net", true },
  { "networkofarts.com", true },
  { "networksolutionsconsultant.com", true },
  { "networth.at", true },
  { "networx-online.de", true },
  { "netz-yokohama.co.jp", true },
  { "netz0.com", true },
  { "netzfabrik.com", true },
  { "netzfrauen.org", true },
  { "netzklad.de", true },
  { "netzwerk-lq.com", true },
  { "netzwerkwerk.de", true },
  { "neuber.uno", true },
  { "neuflizeobc.net", true },
  { "neumarkcb.com", true },
  { "neurabyte.com", true },
  { "neurexcellence.com", true },
  { "neurobiology.com", true },
  { "neurochip.com", true },
  { "neurocny.cloud", true },
  { "neurolab.no", true },
  { "neuronus.com.br", true },
  { "neuropatia-periferica.com", true },
  { "neuropharmacology.com", true },
  { "neurostimtms.com", true },
  { "neurotransmitter.net", true },
  { "neurozentrum-zentralschweiz.ch", true },
  { "neusoft.ren", true },
  { "neutralox.com", true },
  { "neuwal.com", true },
  { "neva.li", true },
  { "nevadafiber.com", true },
  { "never.pet", true },
  { "nevergirl.tk", true },
  { "nevergreen.io", true },
  { "neverguess.ca", true },
  { "nevermore.fi", true },
  { "neverwasinparis.com", true },
  { "nevivur.net", true },
  { "nevntech.com", true },
  { "nevolution.me", true },
  { "nevoxo.com", true },
  { "nevychova.cz", true },
  { "new-black-order.com", true },
  { "new-boiler-prices.co.uk", true },
  { "new-jersey-online-casinos.com", true },
  { "new-ms.com", true },
  { "new-process.ch", true },
  { "new-process.com", true },
  { "new-process.de", true },
  { "new-process.eu", true },
  { "new-smile.cf", true },
  { "new-tuning.tk", true },
  { "new-vip.com", true },
  { "new-web-studio.com", true },
  { "newaccess.ch", true },
  { "newaygotowing.com", true },
  { "newbernpost539.com", true },
  { "newblogr.com", true },
  { "newborncryptocoin.com", true },
  { "newbrunswick.today", true },
  { "newbrunswicktoday.com", true },
  { "newburybouncycastles.co.uk", true },
  { "newburyparkelectric.com", true },
  { "newburyparkelectrical.com", true },
  { "newburyparkelectrician.com", true },
  { "newburyparkexteriorlighting.com", true },
  { "newburyparklandscapelighting.com", true },
  { "newburyparkoutdoorlighting.com", true },
  { "newcitygas.ca", true },
  { "newcityinfo.ch", false },
  { "newcitystudio.ch", false },
  { "newcloudwhodis.com", true },
  { "newcontext.com", true },
  { "newday.host", true },
  { "newdimensioninterlock.com", true },
  { "newearth.press", true },
  { "newendsoft.com", true },
  { "newenglandworkinjury.com", true },
  { "newfangledscoop.com", true },
  { "newfiepedia.ca", true },
  { "newflora.ru", true },
  { "newfordmustang.com.au", true },
  { "newforms.nl", true },
  { "newfoundland-labradorflora.ca", true },
  { "newgrowbook.com", true },
  { "newguidance.ch", false },
  { "newhamyoungbloods.co.uk", false },
  { "newillusion.tk", true },
  { "newimage.io", true },
  { "newind.info", true },
  { "newinf.at", true },
  { "newinternet.media", true },
  { "newizv.ru", false },
  { "newkaliningrad.ru", true },
  { "newknd.com", true },
  { "newlifeband.de", true },
  { "newline.online", true },
  { "newlovers.ga", true },
  { "newlovers.gq", true },
  { "newlynamed.com", true },
  { "newlytricks.ml", true },
  { "newmall.org", true },
  { "newmanwebsolutions.com", true },
  { "newmarketbouncycastlehire.co.uk", true },
  { "newmed.com.br", true },
  { "newmediaone.net", true },
  { "newmusicjackson.org", true },
  { "newodesign.com", true },
  { "neworiflame.tk", true },
  { "neworleansmenshealth.com", true },
  { "newparadigmventures.net", false },
  { "newquilters.com", true },
  { "newreleases.io", true },
  { "news-novoros.cf", true },
  { "news-srilanka.tk", true },
  { "news-sy.cf", true },
  { "news-technology.ml", true },
  { "news-trendlab.com", true },
  { "news123.ga", true },
  { "news12elite.tk", true },
  { "news47ell.com", true },
  { "news53today.tk", true },
  { "news54.tk", true },
  { "newsall.gr", true },
  { "newsarmenia.tk", true },
  { "newsbali.tk", true },
  { "newsbusiness.cf", true },
  { "newscultural.tk", true },
  { "newsdiff.eu", true },
  { "newsdiff.nl", true },
  { "newsdiffs.eu", true },
  { "newsgroups.io", true },
  { "newshell.it", true },
  { "newsinkansas.ml", true },
  { "newsinpolitics.ga", true },
  { "newsireland.tk", true },
  { "newsletteralerts.com", true },
  { "newsmotor.info", true },
  { "newsnew2020.com", true },
  { "newsound.vn", true },
  { "newspaper-myapp.herokuapp.com", true },
  { "newspiritfilms.com", true },
  { "newspsychology.com", true },
  { "newstargeted.com", true },
  { "newsuk.tk", true },
  { "newsuzbekistan.tk", true },
  { "newsvideo.tk", true },
  { "newsvoice.com", true },
  { "newsyslog.org", true },
  { "newtekstil.ga", true },
  { "newtonproject.org", true },
  { "newtons-erben.space", true },
  { "newtrackon.com", true },
  { "newvehicle.com", true },
  { "newyorkcoffeejobs.com", true },
  { "newyorkhiltonmidtown.com", true },
  { "newyorknews.tk", true },
  { "nex.li", true },
  { "nex.sx", true },
  { "nexcoda.io", true },
  { "nexd.com", true },
  { "nexgeneration-solutions.com", true },
  { "nexicafiles.com", true },
  { "next-idea.co", true },
  { "next-taxi.ru", false },
  { "next-web.ad.jp", false },
  { "next176.sk", true },
  { "next24.io", true },
  { "nextbranders.com", true },
  { "nextcairn.com", true },
  { "nextcloud.at", true },
  { "nextcloud.com", true },
  { "nextcloud.de", true },
  { "nextcloud.li", false },
  { "nextcloud.org", true },
  { "nextcom.digital", true },
  { "nextevolution.co.uk", true },
  { "nextfm.tk", true },
  { "nextgen-life-insurance.com", true },
  { "nextgen.sk", true },
  { "nextgenthemes.com", true },
  { "nextgreatmess.com", true },
  { "nextiot.de", true },
  { "nextiva.com", true },
  { "nextmbta.com", true },
  { "nextnely.com", true },
  { "nextnowagency.com", true },
  { "nextos.com", true },
  { "nextrend.co", true },
  { "nextstart-staging.azurewebsites.net", true },
  { "nextstart.azurewebsites.net", true },
  { "nextstep-labs.gr", true },
  { "nextwab.com", true },
  { "nexus-exit.de", true },
  { "nexwebsites.com", true },
  { "nexxus-sistemas.net.br", true },
  { "neyer-lorenz.de", true },
  { "nezrouge-est-vaudois.ch", false },
  { "nezrouge-geneve.ch", false },
  { "nf9q.com", true },
  { "nfam.de", true },
  { "nfe-elektro.de", true },
  { "nfl.ddns.net", true },
  { "nfl.dedyn.io", true },
  { "nfl.duckdns.org", true },
  { "nflmocks.com", true },
  { "nfls.io", true },
  { "nflsic.org", true },
  { "nfltshirt.com", true },
  { "nfpors.gov", true },
  { "nframe.io", true },
  { "nfsec.pl", true },
  { "nfz.moe", true },
  { "ng-musique.com", true },
  { "ng911services.com", true },
  { "ngasembaru.com", true },
  { "ngc.gov", false },
  { "ngetik.id", true },
  { "nghe.net", true },
  { "ngi.eu", true },
  { "nginxconfig.com", true },
  { "ngmx.com", true },
  { "ngmx.net", true },
  { "ngmx.org", true },
  { "ngospelmedia.net", true },
  { "ngt.gr", true },
  { "nguru.net", true },
  { "nguyencucthanh.com", true },
  { "nguyendiep.com", true },
  { "nguyenhongson.me", true },
  { "nguyenminhhung.com", false },
  { "ngvf.de", true },
  { "ngx.hk", true },
  { "ngxpkg.com", true },
  { "nhakhoabella.com", true },
  { "nhanlucnhatban.com", true },
  { "nhchalton.com", true },
  { "nhdsilentheroes.org", true },
  { "nhglobalpartners.com", true },
  { "nhimf.org", true },
  { "nhnieuws.nl", true },
  { "nhome.ba", true },
  { "nhsolutions.be", false },
  { "nhv-vintagelemans.com", true },
  { "nhw.ovh", true },
  { "ni-mate.com", true },
  { "ni.search.yahoo.com", false },
  { "niadd.com", true },
  { "niagara.ru", false },
  { "niagarafalls.ca", true },
  { "niagarafallsmuseums.ca", true },
  { "niagaraschoice.org", true },
  { "nibb13.tech", true },
  { "nibletllc.com", true },
  { "nibo.blog", true },
  { "nibouw.nl", true },
  { "nic.ads", true },
  { "nic.android", true },
  { "nic.app", true },
  { "nic.boo", true },
  { "nic.cal", true },
  { "nic.channel", true },
  { "nic.chrome", true },
  { "nic.dad", true },
  { "nic.day", true },
  { "nic.dclk", true },
  { "nic.dev", true },
  { "nic.docs", true },
  { "nic.drive", true },
  { "nic.eat", true },
  { "nic.esq", true },
  { "nic.fly", true },
  { "nic.foo", true },
  { "nic.gbiz", true },
  { "nic.gle", true },
  { "nic.gmail", true },
  { "nic.goog", true },
  { "nic.google", true },
  { "nic.gov", true },
  { "nic.guge", true },
  { "nic.hangout", true },
  { "nic.here", true },
  { "nic.how", true },
  { "nic.ing", true },
  { "nic.meet", true },
  { "nic.meme", true },
  { "nic.mov", true },
  { "nic.new", true },
  { "nic.nexus", true },
  { "nic.page", true },
  { "nic.play", true },
  { "nic.prod", true },
  { "nic.prof", true },
  { "nic.rsvp", true },
  { "nic.soy", true },
  { "nic.xn--q9jyb4c", true },
  { "nic.youtube", true },
  { "nic.zip", true },
  { "nicastrosalvatore.tk", true },
  { "nice.ch", true },
  { "niceguyit.biz", true },
  { "nicesco.re", true },
  { "nicestudio.co.il", false },
  { "nicetaninaka.com", true },
  { "nichesite.gq", true },
  { "nichi.co", true },
  { "nichijou.com", true },
  { "nicholasperkins.io", true },
  { "nicholaspruss.com", true },
  { "nicholasquigley.com", true },
  { "nicholasrhodes.co.uk", true },
  { "nicholasruddick.com", true },
  { "nicholaswilliams.net", true },
  { "nicht-blau.de", true },
  { "nichteinschalten.de", false },
  { "nichthelfer.de", true },
  { "nicic.gov", true },
  { "nick-slowinski.de", true },
  { "nickcraver.com", true },
  { "nickdekruijk.nl", true },
  { "nickfrost.rocks", true },
  { "nickguyver.com", true },
  { "nickhitch.co.uk", true },
  { "nickkallis.com", true },
  { "nickloose.de", true },
  { "nickmchardy.com", true },
  { "nickmorri.com", true },
  { "nickmorris.name", true },
  { "nickplotnek.co.uk", true },
  { "nickrickard.co.uk", true },
  { "nicks-autos.com", true },
  { "nickscomputers.nl", true },
  { "nickserv.eu", true },
  { "nickserve.com", true },
  { "nickserve.eu", true },
  { "nickserve.net", true },
  { "nickserve.nl", true },
  { "nickserve.org", true },
  { "nickstories.de", true },
  { "niclasreich.de", true },
  { "niclewis.me", true },
  { "nico.st", true },
  { "nicochinese.com", true },
  { "nicocourts.com", true },
  { "nicogrosser.de", true },
  { "nicoknibbe.nl", true },
  { "nicoladixonrealestate.com", true },
  { "nicolaiteglskov.dk", true },
  { "nicolajanedesigns.co.uk", true },
  { "nicolaottomano.it", true },
  { "nicolas-dumermuth.com", true },
  { "nicolas-hoffmann.net", false },
  { "nicolas-hoizey.com", true },
  { "nicolas-simond.ch", true },
  { "nicolas-simond.com", true },
  { "nicolascornet.com", true },
  { "nicolasfriedli.ch", true },
  { "nicolasiung.me", true },
  { "nicolaspecher.com", true },
  { "nicolaszambetti.ch", true },
  { "nicolaw.uk", true },
  { "nicolemathew.com", true },
  { "nicoleta-prestescu.tk", true },
  { "nicolettajennings.com", true },
  { "nicoobank.com", true },
  { "nicsezcheckfbi.gov", true },
  { "nicul.in", true },
  { "nidhoeggr.duckdns.org", true },
  { "nidro.de", true },
  { "nidsuber.ch", true },
  { "niederalt.com", true },
  { "niederohmig.de", true },
  { "niekbrekelmans.nl", true },
  { "nielsbohr.ai", true },
  { "nien.co", true },
  { "nien.com", true },
  { "nien.eu.org", true },
  { "nien.org", true },
  { "nienkeslop.nl", true },
  { "nierenpraxis-dr-merkel.de", true },
  { "nierenpraxis-merkel.de", true },
  { "niers.land", true },
  { "nieselregen.com", true },
  { "niess.space", true },
  { "niesstar.com", false },
  { "nietzsche.com", true },
  { "nieuwpoort.tk", true },
  { "nieuwsberichten.eu", true },
  { "nieuwsfiets.nu", true },
  { "nieuwslagmaat.nl", true },
  { "nifc.gov", true },
  { "niftiestsoftware.com", true },
  { "nigelwakefield.com", true },
  { "nigensha.co.jp", true },
  { "niggo.eu", true },
  { "night2stay.cn", true },
  { "night2stay.de", true },
  { "night2stay.fr", true },
  { "night2stay.ru", true },
  { "nightfirec.at", true },
  { "nightmoose.org", true },
  { "nightscapesoutdoorlighting.com", true },
  { "nightsi.de", true },
  { "nightstand.io", true },
  { "nihaarpstars.com", true },
  { "niituva.ga", true },
  { "nij.gov", true },
  { "nijiero-ch.com", false },
  { "nijikata.com", true },
  { "nijm.nl", true },
  { "nijniy-novgorod.tk", true },
  { "nika-travel.ga", true },
  { "nikandcara.com", true },
  { "nikavandenbos.nl", true },
  { "nikifoth.io", true },
  { "nikimix.com", false },
  { "nikitenko.tk", true },
  { "nikitin.photo", true },
  { "nikkasystems.com", true },
  { "nikkila.me", true },
  { "nikklassen.ca", true },
  { "niklas.pw", true },
  { "niklasbabel.com", true },
  { "niklasstinkt.com", true },
  { "nikolahost.tk", true },
  { "nikolai-schmidt.tk", true },
  { "nikomo.fi", false },
  { "nikoninframe.co.uk", true },
  { "nikonlibrary.co.uk", true },
  { "nikonnps.co.uk", true },
  { "nikonpromotions.co.uk", true },
  { "nikpool.com", true },
  { "nil.gs", true },
  { "nil.mx", true },
  { "nila.store", true },
  { "nilahue.com", true },
  { "niles.xyz", true },
  { "nilgirispice.co.uk", true },
  { "nimanranch.com", true },
  { "nimbo.com.au", true },
  { "nimidam.com", true },
  { "nina-woerz.tk", true },
  { "ninaforever.com", true },
  { "ninaundandre.de", true },
  { "ninchat.com", true },
  { "ninebennink.com", true },
  { "ninepints.co", true },
  { "ninetailed.ninja", true },
  { "ninetaillabs.com", true },
  { "ninetaillabs.xyz", true },
  { "ninfora.com", true },
  { "ningbo.co.uk", true },
  { "ningwei.net", true },
  { "ninja-galerie.de", true },
  { "ninja-skillz.com", true },
  { "ninjaworld.co.uk", true },
  { "ninkt.com", true },
  { "ninmegam.gq", true },
  { "ninofink.com", true },
  { "nintendohill.com", true },
  { "ninth.cat", true },
  { "ninthfloor.org", true },
  { "ninverse.com", true },
  { "niourk.com", true },
  { "nipax.cz", true },
  { "nipe-systems.de", true },
  { "nipit.biz", true },
  { "nippangift.com", true },
  { "nippel.tk", true },
  { "nipplefucking.com", true },
  { "nippon-oku.com", true },
  { "nipponkempoph.tk", true },
  { "nipponnews.tk", true },
  { "niqex.com", true },
  { "nirhub.ru", true },
  { "nirjonmela.com", true },
  { "nirjonmela.net", true },
  { "nirvanashop.com", true },
  { "niscats.com", true },
  { "nishimebistro.cz", true },
  { "nissanofbismarckparts.com", true },
  { "nist.tech", true },
  { "nitifilter.com", true },
  { "nitrix.me", true },
  { "nitrohorse.com", false },
  { "nitrokey.com", true },
  { "nitropanel.com", true },
  { "nitropur.com", true },
  { "nitropur.de", true },
  { "nitrous-networks.com", true },
  { "nitschinger.at", true },
  { "nitter.net", true },
  { "niu.moe", false },
  { "niumactive.it", true },
  { "nivelul2.ro", true },
  { "nivoit.cf", true },
  { "nixnet.email", true },
  { "nixnet.services", true },
  { "nixnetmail.com", true },
  { "nixonlibrary.gov", true },
  { "niyawe.de", true },
  { "niyazpoyilan.com", false },
  { "niyen.com", true },
  { "niyen.eu", true },
  { "niyen.net", true },
  { "niyen.org", true },
  { "nja.id.au", true },
  { "njast.net", true },
  { "njcareers.org", true },
  { "njguardtraining.com", true },
  { "njilc.com", true },
  { "njpjanssen.nl", true },
  { "njprimary.com", true },
  { "nkapliev.org", true },
  { "nkbwnx.com", true },
  { "nkinka.de", true },
  { "nkio.de", true },
  { "nkjwmn.com", true },
  { "nkjwrs.com", true },
  { "nkorolev.tk", true },
  { "nkp.bg", true },
  { "nksky.cn", true },
  { "nl-comunistas.tk", true },
  { "nl-ix.net", true },
  { "nl-xs.com", true },
  { "nl.search.yahoo.com", false },
  { "nl3ehv.nl", true },
  { "nlagstage.in", true },
  { "nlap.ca", false },
  { "nlbewustgezond.nl", true },
  { "nlc.org.au", true },
  { "nlegall.fr", true },
  { "nllboard.co.uk", true },
  { "nlleisure.co.uk", true },
  { "nlm.gov", true },
  { "nlpdiscovery.ro", true },
  { "nlt.by", false },
  { "nmd.so", true },
  { "nmmlp.org", true },
  { "nmnd.de", true },
  { "nmontag.com", true },
  { "nms-thoracic-surgery.com", true },
  { "nn-vol.ga", true },
  { "nn.cz", true },
  { "nna774.net", true },
  { "nnews.tk", true },
  { "nnnow.com", true },
  { "no-ice.be", true },
  { "no-ice.nl", true },
  { "no-ip.cz", true },
  { "no-real.tk", true },
  { "no-xice.com", false },
  { "no.search.yahoo.com", false },
  { "noagendahr.org", true },
  { "noah-witt.com", true },
  { "noahenco.nl", true },
  { "noahjacobson.com", true },
  { "noahmodas.com.br", true },
  { "noahsaso.com", true },
  { "noahwitt.me", true },
  { "nob.ro", true },
  { "nobilefoods.com", true },
  { "nobitakun.com", true },
  { "nobledust.com", true },
  { "nobleparkapartments.com.au", true },
  { "nobly.de", true },
  { "nobodyplex.gq", true },
  { "nobreaks.ca", true },
  { "nobreinox.com.br", true },
  { "noc.org", true },
  { "nocks.com", true },
  { "noclegiwchecinach.pl", true },
  { "nocloud.website", true },
  { "nocmd.com", true },
  { "nocommentsallowed.com", true },
  { "nocturnus.tk", true },
  { "nodecdn.net", true },
  { "nodecraft.com", true },
  { "nodeedge.com", true },
  { "nodejs.de", true },
  { "nodelab-it.de", true },
  { "nodelia.com", true },
  { "nodesec.cc", true },
  { "nodespin.com", true },
  { "nodevops.com", true },
  { "noeatnosleep.me", true },
  { "noedidacticos.com", true },
  { "noelclaremont.com", true },
  { "noellabo.jp", true },
  { "noellimpag.me", true },
  { "noematic.space", true },
  { "noemax.com", true },
  { "noeontheend.com", true },
  { "noexec.org", true },
  { "nofrillsdns.com", true },
  { "noga4you.de", true },
  { "nogerondier.eu", true },
  { "nogetime.com", true },
  { "noglobalwarrants.org", true },
  { "nogradhont.hu", true },
  { "nohats.ca", true },
  { "nohkan.fr", false },
  { "nohttps.org", true },
  { "nohup.se", true },
  { "nohup.xyz", true },
  { "noiglosujemy.com.pl", true },
  { "noiglosujemy.pl", true },
  { "noima.com", true },
  { "noincludesubdomains.preloaded.test", false },
  { "noise.agency", true },
  { "noisetrap.cz", true },
  { "noisky.cn", true },
  { "noisyfox.cn", true },
  { "noites.pt", true },
  { "nokia.la", true },
  { "nokono.com", true },
  { "nokya.tk", true },
  { "nolaviz.org", true },
  { "noleggio-bagni-chimici.it", true },
  { "noleggioimbarcazioni.it", true },
  { "noleggiolimousine.roma.it", true },
  { "noma-film.com", true },
  { "nomadichome.com", true },
  { "nomadichome.org", true },
  { "nomadichomes.com", true },
  { "nomadichomes.org", true },
  { "nomadicrootsco.com", true },
  { "nomadproject.io", true },
  { "nomagic.software", true },
  { "nomaster.cc", true },
  { "nomenclator.org", true },
  { "nomesbiblicos.com", true },
  { "nomial.co.uk", true },
  { "nomifensine.com", true },
  { "nomsy.net", true },
  { "nomzamo.spdns.org", true },
  { "noname-ev.de", true },
  { "noncombatant.org", true },
  { "nonglamfarm.vn", true },
  { "nontonfilem.ml", true },
  { "noob-box.net", true },
  { "nooben.com", true },
  { "noobow.me", true },
  { "noobsrus.co.uk", true },
  { "noobsunited.de", true },
  { "noobunbox.net", true },
  { "noodles.net.nz", false },
  { "noodplan.co.za", true },
  { "noomist.com", true },
  { "noon-entertainments.com", true },
  { "noonan.family", true },
  { "noop.ch", true },
  { "noop.com.au", true },
  { "noordsee.de", true },
  { "noordwesthoekrit.nl", true },
  { "noorsolidarity.com", false },
  { "noortronic.com", true },
  { "noosxe.com", true },
  { "nootronerd.com", true },
  { "nootropic.com", true },
  { "noovell.com", true },
  { "nooverviewavailable.com", true },
  { "nopaincenter.ro", true },
  { "nopajam.tk", true },
  { "nopaste.xyz", true },
  { "nopaynocure.com", true },
  { "nophelet.com", true },
  { "norad.sytes.net", true },
  { "noradevot.com", true },
  { "norala.tk", true },
  { "noranowak.com", true },
  { "norapiero.com", true },
  { "norbertschneider-music.com", true },
  { "nord-sud.be", true },
  { "nordfinck.de", true },
  { "nordicirc.com", true },
  { "nordicsrit.tk", true },
  { "nordinfo.fi", true },
  { "nordlichter-brv.de", true },
  { "nordlocker.com", true },
  { "nordmoregatebilklubb.com", true },
  { "nordnetz-hamburg.de", true },
  { "nordpass.com", true },
  { "nordsec.com", true },
  { "nordseeblicke.de", true },
  { "nordstromheating.com", true },
  { "nordvestkysten.de", true },
  { "nordvestkysten.dk", true },
  { "nordvpn.com", true },
  { "nordvpnteams.com", true },
  { "nordwaldzendo.de", true },
  { "noreply.mx", true },
  { "norestfortheweekend.com", true },
  { "norfolkgardencare.co.uk", true },
  { "norichanmama.com", true },
  { "noriel.ro", true },
  { "normaculta.com.br", true },
  { "norman-preusser-gmbh.de", true },
  { "normanbauer.com", true },
  { "normandgascon.com", true },
  { "normankranich.de", true },
  { "normansolutions.co.uk", true },
  { "normapro.es", true },
  { "norml.fr", true },
  { "noroshi-burger.com", true },
  { "norrlandsbilverkstad.se", true },
  { "norrliden.de", true },
  { "norsewars.com", true },
  { "norskpensjon.no", true },
  { "northampton-vets.co.uk", true },
  { "northatlantalaw.net", true },
  { "northbengaltourism.com", true },
  { "northbridgecre.com", true },
  { "northcoastlabs.com", true },
  { "northconsulting.fr", true },
  { "northcreekresort.com", true },
  { "northcreekresortblue.ca", true },
  { "northdakotahealthnetwork.com", true },
  { "northdevonbouncycastles.co.uk", true },
  { "northeastcdc.org", true },
  { "northeastrodeo.co.uk", true },
  { "northebridge.com", true },
  { "northern-lakes.com", true },
  { "northerngate.net", true },
  { "northernpowertrain.com", true },
  { "northernselfstorage.co.za", true },
  { "northfieldyarn.com", true },
  { "northkoreainsider.tk", true },
  { "northokanaganbookkeeping.com", true },
  { "northpointoutdoors.com", true },
  { "northpole.dance", true },
  { "northpost.is", true },
  { "northridgeelectrical.com", true },
  { "northrose.net", true },
  { "northscottsdaleloan.com", true },
  { "northtexasvasectomy.com", true },
  { "northwoodstudios.org", true },
  { "norys-escape.de", true },
  { "nos-medias.fr", true },
  { "nos-oignons.net", true },
  { "noscript.net", true },
  { "noscura.nl", true },
  { "noseastumismo.com", true },
  { "nosecrets.ch", true },
  { "noslite.nl", true },
  { "nossasenhora.net", true },
  { "nossasenhoradopranto.pt", true },
  { "nostalgimidi.se", true },
  { "nostalgische-attracties.nl", true },
  { "nostraforma.com", false },
  { "nosuch.blog", true },
  { "noswap.com", true },
  { "nosyu.pe.kr", true },
  { "nota.moe", true },
  { "notablepeeps.com", true },
  { "notabug.org", true },
  { "notacooldomain.com", true },
  { "notadd.com", true },
  { "notallmine.net", true },
  { "notar-glagowski.com", true },
  { "notar-glagowski.de", true },
  { "notar-peikert.com", true },
  { "notare-marktplatz24.info", true },
  { "notariusz-bialystok.com", true },
  { "notariuszprzybylowicz.pl", true },
  { "notariuszsych.pl", true },
  { "notarkrauss.de", true },
  { "notcompletelycorrect.com", true },
  { "note64.com", true },
  { "noteboat.net", true },
  { "notecoffee.tw", true },
  { "notedinstyle.co.uk", true },
  { "notenarchiv.eu", true },
  { "notepad.nz", true },
  { "noteskeeper.ru", true },
  { "nothinfancy.ca", true },
  { "nothing.net.nz", true },
  { "noticaballos.com", true },
  { "noticiasdetv.com", true },
  { "notifications.net", true },
  { "notigatos.es", true },
  { "notilus.fr", true },
  { "notilus.it", true },
  { "notjustvacs.com", true },
  { "notmybox.com", true },
  { "notmyserver.com", true },
  { "notnize.net", true },
  { "notnl.com", true },
  { "notofilia.com", true },
  { "notora.tech", true },
  { "nototema.com", true },
  { "notsafefor.work", true },
  { "nottres.com", true },
  { "nou.vn", true },
  { "nou9ta.tk", true },
  { "noudjalink.nl", true },
  { "nougat-anduze.fr", true },
  { "nourishandnestle.com", true },
  { "noustique.com", true },
  { "noustramits.com", true },
  { "nousyukum.com", true },
  { "nouveauhosting.com.au", true },
  { "nova-dess.ch", false },
  { "nova-wd.org.uk", true },
  { "nova.live", true },
  { "novabench.com", true },
  { "novacoaching.nl", true },
  { "novacoast.com", false },
  { "novadermis.es", true },
  { "novafreixo.pt", true },
  { "novaiguacu.net.br", true },
  { "novak.cf", true },
  { "novanetwork.ml", true },
  { "novascan.net", true },
  { "novawave.ca", true },
  { "nove.city", true },
  { "noveciti.com", true },
  { "novecity.com", true },
  { "novecity.it", true },
  { "novecity.org", true },
  { "novecitymail.com", true },
  { "novel543.com", true },
  { "novelfeed.com", true },
  { "novelinglife.net", false },
  { "novema.jp", true },
  { "novengi.mu", true },
  { "novfishing.ru", true },
  { "novgorod-avia.ru", true },
  { "novichok.ml", true },
  { "novilaw.com", true },
  { "novilidery.com", true },
  { "novinhabucetuda.com", true },
  { "novinivo.com", true },
  { "novinkihd.tk", true },
  { "novinminer.com", true },
  { "novobi.com", true },
  { "novogradnje.si", true },
  { "novojet.cl", true },
  { "novokuznetsk.tk", true },
  { "novonegoc.io", true },
  { "novoregalos.com", true },
  { "novoresume.com", false },
  { "novorossiysk.tk", true },
  { "novorussiya.tk", true },
  { "novoselie.ga", true },
  { "novosibavia.ru", true },
  { "novotoznanie.com", true },
  { "novurania.com", true },
  { "novysvit.com.ua", true },
  { "now.sh", true },
  { "now101atm.tk", true },
  { "nowarning.cc", true },
  { "nowhere.dk", true },
  { "nowitzki.me", true },
  { "nowitzki.network", true },
  { "nowlas.org", false },
  { "nowloading.co", true },
  { "nowzuwan.org", false },
  { "noxlogic.nl", true },
  { "noxx.global", true },
  { "noxx.solutions", true },
  { "noydeen.com", true },
  { "noyocenter.org", true },
  { "np-edv.at", true },
  { "np.search.yahoo.com", false },
  { "np39.de", true },
  { "npaccel.com", true },
  { "npath.de", true },
  { "npbeta.com", true },
  { "npchosting.com", true },
  { "npcrcss.org", true },
  { "npdigital.com", true },
  { "nphrm.com", true },
  { "npmcdn.com", true },
  { "npod.me", true },
  { "npregion.org", true },
  { "npsas.org", true },
  { "nr-sputnik.ru", true },
  { "nrd.gov", true },
  { "nrd.li", true },
  { "nrev.ch", false },
  { "nriol.net", true },
  { "nrkn.fr", true },
  { "nrsmart.com", true },
  { "nrsweb.org", true },
  { "nrthcdn.me", true },
  { "nrvc.net", true },
  { "nrvn.cc", false },
  { "ns-frontier.com", true },
  { "ns2servers.pw", true },
  { "nsa.ovh", true },
  { "nsadns.uk", true },
  { "nsapwn.com", true },
  { "nsboston.org", true },
  { "nscnet.jp", true },
  { "nscondominios.pt", true },
  { "nsfw-story.com", true },
  { "nshipster.cn", true },
  { "nshipster.co.kr", true },
  { "nshipster.com", true },
  { "nshipster.es", true },
  { "nsine.be", true },
  { "nsm.ee", true },
  { "nsm.stat.no", true },
  { "nsnsp.org", true },
  { "nso.ie", true },
  { "nsofficeinteriors.com", true },
  { "nsoft.nu", true },
  { "nsp.ua", true },
  { "nspawn.org", true },
  { "nstd.net", true },
  { "nstinvoiceqa.com", true },
  { "nstnet.org", true },
  { "nsworks.com", true },
  { "ntags.org", true },
  { "ntcp.ph", true },
  { "nte.email", true },
  { "nti.de", true },
  { "ntia.gov", true },
  { "ntlabs.org", true },
  { "ntotten.com", true },
  { "ntppool.org", false },
  { "ntsb.gov", true },
  { "ntx360grad-fallakte.de", true },
  { "ntzlaw.com", true },
  { "ntzwrk.org", true },
  { "nu3tion.com", true },
  { "nu3tion.cz", true },
  { "nuacht.ie", true },
  { "nualgiponds.com", true },
  { "nuamooreaindonesia.com", true },
  { "nubehogar.nsupdate.info", true },
  { "nuclea.id", true },
  { "nuclearcat.com", true },
  { "nucleosynth.space", true },
  { "nudeimg.com", true },
  { "nudevotion.com", true },
  { "nudge.ai", true },
  { "nuel.cl", true },
  { "nuevaimagenpublicidad.es", true },
  { "nuffield.nl", true },
  { "nugmanov.net", true },
  { "nuipogoda.ru", true },
  { "nuits-franciliennes.fr", true },
  { "null-life.com", true },
  { "nullday.de", true },
  { "nulle-part.org", true },
  { "nullonerror.org", true },
  { "nullroute.com", true },
  { "nullscripts.tk", true },
  { "nullwebscripts.com", true },
  { "nullxsec.net", true },
  { "nully.xyz", true },
  { "numarasorgulama.tel", true },
  { "numatic.co.uk", true },
  { "numbercult.net", true },
  { "numbermunchers.net", true },
  { "numberoneshoes.co.nz", true },
  { "numberzero.org", true },
  { "numbrz.co.uk", true },
  { "numericall.gq", true },
  { "numerik-games.ch", false },
  { "numeritelefonici.it", true },
  { "numero-aleatorio.com", true },
  { "numero1.ch", false },
  { "numerologist.com", true },
  { "numo.co", true },
  { "numwave.nl", true },
  { "nunesgh.com", true },
  { "nunnenmacher.net", true },
  { "nunnun.jp", true },
  { "nunoleiria.com", true },
  { "nunomoura.com", true },
  { "nuntiicaelo.in.ua", true },
  { "nunu.io", true },
  { "nuoha.com", true },
  { "nuovaelle.it", true },
  { "nuovavetro.com", true },
  { "nuquery.com", true },
  { "nur.berlin", true },
  { "nureg.club", true },
  { "nureg.net", true },
  { "nureg.xyz", true },
  { "nuriacamaras.com", true },
  { "nurmio.fi", true },
  { "nursejj.com", true },
  { "nursemom.ca", true },
  { "nurseregistry.com", true },
  { "nurses.dating", true },
  { "nuryahan.com.br", true },
  { "nusaceningan.io", false },
  { "nusatrip-api.com", true },
  { "nussadoclub.org", true },
  { "nut-dev.com", true },
  { "nutbot.co.uk", true },
  { "nutextonline.com", true },
  { "nutikell.com", true },
  { "nutleyeducationalfoundation.org", true },
  { "nutleyef.org", true },
  { "nutpanda.com", true },
  { "nutra-creations.com", true },
  { "nutradian.com", true },
  { "nutrafitsuplementos.com.br", true },
  { "nutralivbio.com", true },
  { "nutrashop.fr", true },
  { "nutri-spec.me", true },
  { "nutricaovegana.com", true },
  { "nutridieta.com", true },
  { "nutripedia.gr", true },
  { "nutrishop.com", true },
  { "nutrition.gov", true },
  { "nutritionalsupplement.co.uk", true },
  { "nutrizionista.roma.it", true },
  { "nuvechtdal.nl", true },
  { "nuverabusiness.com", true },
  { "nuveratechtrends.com", true },
  { "nuvini.com", true },
  { "nuxer.fr", true },
  { "nvfoundation.com", true },
  { "nvl-game.tokyo", true },
  { "nvmo.org", true },
  { "nvoip.com.br", true },
  { "nvq.nl", true },
  { "nvr.bz", true },
  { "nvtc.gov", true },
  { "nwautorebuild.com", true },
  { "nwbc.gov", true },
  { "nwea.nl", true },
  { "nwerc.party", true },
  { "nwgh.org", false },
  { "nwh.nz", true },
  { "nwitt.us", true },
  { "nwk1.com", true },
  { "nwmd.nl", false },
  { "nwperformanceandoffroad.com", true },
  { "nwra.com", true },
  { "nwradio.tk", true },
  { "nwtrb.gov", true },
  { "nwuss.okinawa", true },
  { "nwwc.dk", true },
  { "nwwnetwork.net", true },
  { "nxcd.com.br", true },
  { "nxgn.io", true },
  { "nxinfo.ch", false },
  { "nxit.ca", true },
  { "nxtgenbroadband.in", true },
  { "nxth.io", true },
  { "nya.as", true },
  { "nyadora.com", true },
  { "nyadora.moe", true },
  { "nyan.it", true },
  { "nyan.kim", true },
  { "nyan.stream", true },
  { "nyansparkle.com", true },
  { "nyantec.com", true },
  { "nybiz.nyc", false },
  { "nycfilmcrew.com", true },
  { "nyconcretelifting.com", true },
  { "nycoyote.org", true },
  { "nycrerc.com", true },
  { "nydig.com", true },
  { "nyerjachioval.hu", true },
  { "nyerjakekszekkel.hu", true },
  { "nyerjanegroval.hu", true },
  { "nyerjenaheraval.hu", true },
  { "nyhaoyuan.net", true },
  { "nyiad.edu", true },
  { "nyip.edu", true },
  { "nylasercenter.com.pl", true },
  { "nylevemusic.com", true },
  { "nyloc.de", true },
  { "nymity.com", true },
  { "nymphetomania.net", true },
  { "nynex.net", true },
  { "nyoliveoil.com", true },
  { "nyoronfansubs.org", true },
  { "nyphox.ovh", true },
  { "nysis.fr", true },
  { "nysis.net", true },
  { "nysis.org", true },
  { "nysteak5.com", true },
  { "nystudio107.com", true },
  { "nytrafficticket.com", true },
  { "nyzed.com", true },
  { "nzelaweb.com", true },
  { "nzstudy.ac.nz", true },
  { "nzws.me", false },
  { "o-aconsult.com", true },
  { "o-results.ch", true },
  { "o-s.no", true },
  { "o-sp.com", true },
  { "o15y.com", true },
  { "o2oxy.cn", true },
  { "o2ss.com", true },
  { "o3.wf", true },
  { "o36533.com", true },
  { "o36594.com", true },
  { "o3ptitschats.fr", true },
  { "o3wallet.com", true },
  { "o5.cx", false },
  { "o6asan.com", true },
  { "o9721.com", false },
  { "o98.com", true },
  { "o98.net", true },
  { "oacloud.nl", true },
  { "oadeo.com", true },
  { "oahpmdata.net", true },
  { "oaic.gov.au", true },
  { "oakbarnvets.com", true },
  { "oakesfam.net", true },
  { "oakface.club", true },
  { "oakface.com.au", true },
  { "oakington.info", false },
  { "oakparkelectrical.com", true },
  { "oakparkexteriorlighting.com", true },
  { "oakparklandscapelighting.com", true },
  { "oakparklighting.com", true },
  { "oakparkmedicalcentre.ga", true },
  { "oakparkoutdoorlighting.com", true },
  { "oakshield.nl", true },
  { "oakslighting.co.uk", true },
  { "oaktree-realtors.com", true },
  { "oakwood-park.tk", true },
  { "oasiristorantebagno.it", true },
  { "oasis-conference.org.nz", false },
  { "oasis9.net", true },
  { "oasisdabeleza.com.br", true },
  { "oasisim.net", false },
  { "oasisorthodontics.com.au", true },
  { "oatmealdome.me", true },
  { "oauth.how", true },
  { "obamalibrary.gov", true },
  { "obamawhitehouse.gov", true },
  { "obasigeorge.com", true },
  { "obdchekautomotriz.co", true },
  { "obec-krakovany.cz", true },
  { "oberhof-hotel.de", true },
  { "oberhofdrinks.com", true },
  { "obermeiers.eu", true },
  { "oberoi.de", true },
  { "obesidadlavega.com", true },
  { "obfuscate.xyz", true },
  { "obg-global.com", true },
  { "obgalslancaster.com", true },
  { "obgynmiamifl.com", true },
  { "object.earth", true },
  { "objectif-securite.ch", true },
  { "objectif-terre.ch", false },
  { "objectorientedsolutions.com", true },
  { "objekt-textil.ch", false },
  { "objetperso.fr", true },
  { "oblast45.ru", false },
  { "obligacjekk.pl", true },
  { "obliviate.io", true },
  { "obmen-vizitami.ml", true },
  { "obnalichka.ga", true },
  { "oboeta.com", true },
  { "obono.at", true },
  { "obozrevatel.tk", true },
  { "obra.com.br", true },
  { "obrienswine.ie", true },
  { "obs.group", true },
  { "obscur.us", true },
  { "observer.name", true },
  { "obsessharness.com", true },
  { "obsproject.com", true },
  { "obtima.org", true },
  { "obuchowicz.pl", true },
  { "obud.cz", true },
  { "obxlistings.com", true },
  { "obyvateleceska.cz", true },
  { "obzor-znakomstv.tk", true },
  { "obzoroff.asia", true },
  { "obzoroff.info", true },
  { "oc-sa.ch", false },
  { "ocachik.com.br", true },
  { "ocad.com.au", true },
  { "ocalaflwomenshealth.com", true },
  { "ocarupo.com", true },
  { "occ.gov", true },
  { "occenterprises.org", true },
  { "occentus.net", true },
  { "occonnections.org", true },
  { "occultisme.tk", true },
  { "occupational-therapy-colleges.com", true },
  { "ocd2016.com", true },
  { "oceanbreezehomes.com", true },
  { "oceandns.eu", true },
  { "oceandns.net", true },
  { "oceandns.nl", true },
  { "oceanlogisticgroup.com", true },
  { "oceanlord.me", true },
  { "oceanofapk.com", true },
  { "oceanspraymiami.com", false },
  { "oceanvisuals.com", true },
  { "ocenka-nedv.ml", true },
  { "ocenovani-inspekce.cz", true },
  { "ocf.io", true },
  { "ocg-card.com", true },
  { "ochrepoint.com.au", true },
  { "ochsenfeld.co", true },
  { "ochsundjunior.ch", true },
  { "ochsundjunior.swiss", true },
  { "ocim.ch", false },
  { "ocimumcdn.net", true },
  { "ockendenhemming.co.uk", true },
  { "oclausen.com", true },
  { "ocni-ambulance-most.cz", true },
  { "ocnjapartment.com", true },
  { "ocodo.ru", true },
  { "ocolere.ch", true },
  { "ocotg.com", true },
  { "ocrn.nl", true },
  { "ocsigroup.fr", true },
  { "octagongroup.co", true },
  { "octane.net.au", true },
  { "octarineparrot.com", true },
  { "octav.name", true },
  { "octava.ua", false },
  { "octaviosimon.com", true },
  { "octobered.com", true },
  { "octocaptcha.com", true },
  { "octolopagon.games", true },
  { "octopoos.com", true },
  { "octopoos.org", true },
  { "octopus-agents.com", true },
  { "octopuslab.fr", true },
  { "octosniff.net", true },
  { "octothorpe.club", true },
  { "octovpn.com", true },
  { "oculus.com", true },
  { "ocupat.ro", true },
  { "od-cure.com", true },
  { "odacyeux.fr", true },
  { "odatakao.com", true },
  { "odden.io", true },
  { "oddmuse.org", true },
  { "oddnumber.ca", true },
  { "oddsandevens.ca", true },
  { "oddsandevensbookkeeping.ca", true },
  { "ode.red", true },
  { "odegua.com", true },
  { "odejdamoda.tk", true },
  { "odensc.me", true },
  { "odesenvolvedor.net", true },
  { "odhosc.ca", true },
  { "odifi.com", true },
  { "odinseye.net", true },
  { "odolbeau.fr", true },
  { "odontologia-online.com", true },
  { "odoo.co.th", true },
  { "odpikedoslike.com", true },
  { "odtu.lu", true },
  { "odysea.cat", true },
  { "odyssey44.com", true },
  { "odysseyofthemind.eu", true },
  { "odysseytraining.com.au", true },
  { "odzyskaniedomeny.pl", true },
  { "oe-boston.com", true },
  { "oe0fcdncxjpdd05b.myfritz.net", true },
  { "oe2018.gov.pt", true },
  { "oe2019.gov.pt", true },
  { "oec-music.com", false },
  { "oegd.at", true },
  { "oeh.ac.at", true },
  { "oeilpouroeilcreations.fr", true },
  { "oeko-bundesfreiwilligendienst-sh.de", true },
  { "oeko-bundesfreiwilligendienst.de", true },
  { "oeko-jahr-jubilaeum.de", true },
  { "oeko-jahr.de", true },
  { "oelbilder-oelmalerei.de", true },
  { "oelsner.net", true },
  { "oemwolf.com", true },
  { "oenings.eu", true },
  { "oepsbanaan.nl", true },
  { "oes.org.gt", true },
  { "oessi.eu", true },
  { "ofcampuslausanne.ch", false },
  { "ofertasadsl.com", true },
  { "ofertaviva.com.br", true },
  { "ofertino.es", true },
  { "ofertolino.fr", true },
  { "offandonagain.org", true },
  { "offbyinfinity.com", true },
  { "offcasesstore.com", true },
  { "offenekommune.de", true },
  { "offenes-deutschland.de", true },
  { "offensity.com", true },
  { "offerhome.com", true },
  { "offermann-koeln.de", true },
  { "offertegiuste.com", true },
  { "offertenet.nl", true },
  { "offgridauto.com", true },
  { "offgridhub.com", true },
  { "office-discount.at", true },
  { "office-discount.de", true },
  { "office-furniture-direct.co.uk", true },
  { "officefundays.co.uk", true },
  { "officeinteriors.co.nz", true },
  { "officemovepro.com", true },
  { "officevibe.com", true },
  { "officezoneonline.com", true },
  { "officina.roma.it", true },
  { "officium.tech", true },
  { "offlimo.com", true },
  { "offroadeq.com", true },
  { "offroadhoverboard.net", true },
  { "offshoot.ie", true },
  { "offshoot.rentals", false },
  { "offshore.digital", true },
  { "offshoremarineparts.com", false },
  { "offtopica.uk", true },
  { "ofggolf.com", true },
  { "ofisescort.tk", true },
  { "oflow.me", true },
  { "ofrion.lu", true },
  { "oftamedic.com", false },
  { "oftn.org", true },
  { "ogamerezine.tk", true },
  { "oge.ch", false },
  { "ogfarms.in", true },
  { "oghost.ir", true },
  { "ogkw.de", true },
  { "ogo-knigi.ml", true },
  { "oguya.ch", true },
  { "ogyaa.jp", true },
  { "oh-leg.com", true },
  { "ohai.su", true },
  { "ohartl.de", true },
  { "ohbabybean.com", true },
  { "ohchouette.com", true },
  { "ohd.dk", true },
  { "oheila.com", true },
  { "ohentpay.com", true },
  { "ohhere.xyz", true },
  { "ohioflockcote.com", true },
  { "ohiooutside.com", true },
  { "ohm.sg", true },
  { "ohm2013.org", true },
  { "ohmy.ca", true },
  { "ohmyunix.com", true },
  { "ohne-name.de", true },
  { "ohnonotme.com", true },
  { "ohol.se", true },
  { "ohome.io", true },
  { "ohoreviews.com", true },
  { "ohsocool.org", true },
  { "ohsohairy.co.uk", true },
  { "ohsweetart.com", true },
  { "ohya8.com", true },
  { "ohyooo.com", true },
  { "oi-wiki.org", true },
  { "oiahe.org.uk", true },
  { "oic-ci.gc.ca", true },
  { "oil-ecn.ru", true },
  { "oimexico.tk", true },
  { "oisd.nl", true },
  { "oita-homes.com", true },
  { "ojaioliveoil.com", true },
  { "ojdip.net", true },
  { "ojeremy.com", true },
  { "ojojz.com", true },
  { "ojomovies.com", true },
  { "ojp.gov", true },
  { "ok118.com", true },
  { "ok3on.cz", true },
  { "ok7779.com", true },
  { "okad-center.de", true },
  { "okad.de", true },
  { "okad.eu", true },
  { "okaidi.es", true },
  { "okaidi.fr", true },
  { "okakuro.org", true },
  { "okashi.me", true },
  { "okasurfbali.com", true },
  { "okay.cf", true },
  { "okay.coffee", true },
  { "okayloser.com", true },
  { "okaz.de", true },
  { "okazoo.eu", true },
  { "okburrito.com", true },
  { "okchousebuyer.com", true },
  { "okeeferanch.ca", true },
  { "okib.ca", true },
  { "okinawa-mag.net", true },
  { "okkhor52.com", true },
  { "oklahomafibroids.com", true },
  { "okmx.cloud", true },
  { "okmx.de", true },
  { "okmyanmartravels.com", true },
  { "okna-tm.kz", true },
  { "okna-vek.com.ua", true },
  { "okonetwork.org.uk", true },
  { "okonto.com", true },
  { "okoris.net", true },
  { "okotoksbeach.ca", true },
  { "okpo.tk", true },
  { "okqubit.net", true },
  { "oksafe-t.org", true },
  { "oktayincesuturizm.com", true },
  { "oktime.cz", true },
  { "okukan.com.au", true },
  { "okulistiyoruz.tk", true },
  { "okurapictures.com", true },
  { "okusiassociates.com", true },
  { "okviz.com", true },
  { "okwu.cz", true },
  { "olafnorge.de", true },
  { "olafvantol.nl", true },
  { "olafwalther.de", true },
  { "olanderflorist.com", true },
  { "olasouris.com", false },
  { "olastrafford.org", true },
  { "olback.net", true },
  { "olbat.net", true },
  { "olcayanar.com", true },
  { "olcbrookhaven.org", true },
  { "oldaine.tk", true },
  { "oldbkcom.tk", true },
  { "oldbrookinflatables.co.uk", true },
  { "oldbrookmarqueehire.co.uk", true },
  { "oldchaphome.nl", true },
  { "older-racer.com", true },
  { "oldfieldmusic.tk", true },
  { "oldiesmusicguide.tk", true },
  { "oldita.ru", true },
  { "oldking.net", true },
  { "oldliverpoolrailways.tk", true },
  { "oldno07.com", true },
  { "oldoakflorist.com", true },
  { "oldpc.com.ua", true },
  { "oldprop.com", true },
  { "oldriver.tk", true },
  { "oldroutetwo.com", true },
  { "oldschool-criminal.com", true },
  { "oldschool.wiki", true },
  { "oldsticker.com", true },
  { "oldstmary.com", true },
  { "oldtimerparts.de", true },
  { "oldtimerreifen-moeller.de", true },
  { "oleam.org", true },
  { "olecoin.io", true },
  { "olegon.ru", true },
  { "olegrpg.in.ua", true },
  { "olegs.be", true },
  { "oleksii.name", true },
  { "olenergie.com", true },
  { "olenergie.fr", true },
  { "olenergies.com", true },
  { "olenergies.eu", true },
  { "olenergies.fr", true },
  { "oleodecopayba.com.br", true },
  { "oles-hundehaus.de", true },
  { "olesaradio.tk", true },
  { "olfnewcastle.com", true },
  { "olfsecane.org", true },
  { "olgcc.net", true },
  { "olgiati.org", false },
  { "olgun.eu", true },
  { "olhcparish.net", true },
  { "olibomb.cc", true },
  { "olightstore.ro", true },
  { "olinux.fr", true },
  { "olitham.com", true },
  { "olive.my", true },
  { "olivemultispecialist.com", true },
  { "oliveoil.bot", true },
  { "oliveoilschool.org", true },
  { "oliveoiltest.com", true },
  { "oliveoiltimes.com", true },
  { "oliver-wiedemann.net", true },
  { "oliverah.com", true },
  { "oliverclausen.com", true },
  { "oliverdunk.com", false },
  { "oliverfaircliff.com", true },
  { "olivernaraki.com", true },
  { "oliverniebuhr.de", true },
  { "oliverschmid.space", true },
  { "oliverspringer.eu", true },
  { "oliverst.com", true },
  { "olivia-smith.com", true },
  { "olivier-rochet.com", true },
  { "olivierberardphotographe.com", true },
  { "olivierpieters.be", true },
  { "oliviervaillancourt.com", true },
  { "olizeite.ch", false },
  { "ollie.io", true },
  { "ollieowlsblog.com", true },
  { "ollies.cloud", true },
  { "ollies.cz", true },
  { "olliespage.com", true },
  { "olliespage.net", true },
  { "olliespage.uk", true },
  { "ollning.com", true },
  { "ollo.ga", true },
  { "olmari.fi", true },
  { "olmc-nutley.org", true },
  { "olmcjc.com", true },
  { "olmcnewark.com", true },
  { "olmik.net", true },
  { "olmmcc.tk", true },
  { "olmsted.io", true },
  { "olofsson.cc", true },
  { "ololmke.org", true },
  { "olomercy.com", true },
  { "olopp.org", true },
  { "olqoa.org", true },
  { "olschurch.com", true },
  { "olsh-hilltown.com", true },
  { "olsonproperties.com", true },
  { "olymp-arts.world", false },
  { "olympeakgaming.tv", true },
  { "olympiads.ca", true },
  { "olympic-research.com", true },
  { "om.yoga", true },
  { "om1.com", true },
  { "omaedu.ro", true },
  { "omahmebel.com", true },
  { "omangrid.com", true },
  { "omanko.porn", false },
  { "omarsamarah.tk", true },
  { "omega-marijuana.com", true },
  { "omegahosting.net", true },
  { "omegarazer.ca", true },
  { "omegathermoproducts.nl", true },
  { "omenprinting.com.au", true },
  { "omeopatiadinamica.it", true },
  { "omertabeyond.com", true },
  { "omertabeyond.net", true },
  { "ometepeislandinfo.com", true },
  { "omexcables.com", true },
  { "omf.link", true },
  { "omfg.exposed", true },
  { "omgbouncycastlehire.co.uk", true },
  { "omicron3069.com", true },
  { "omitech.co.uk", true },
  { "ommcitalflex.com", true },
  { "omniaclubs.com", true },
  { "omniasig.ro", true },
  { "omniatv.com", true },
  { "omnibnk.cl", true },
  { "omnibot.tv", true },
  { "omnifurgone.it", true },
  { "omnigon.network", true },
  { "omnimoto.it", true },
  { "omnisiens.se", true },
  { "omniteck.com", true },
  { "omnitrack.org", true },
  { "omniverse.ru", true },
  { "omny.info", true },
  { "omoide-hitokoto.com", true },
  { "omorashi.org", false },
  { "omori.ch", true },
  { "omoteura.com", true },
  { "omranic.com", true },
  { "omronwellness.com", true },
  { "omsdieppe.fr", true },
  { "omshivalab.com", true },
  { "omsk-web.ml", true },
  { "omsknews.tk", true },
  { "omskrock.com", true },
  { "omskweb.tk", true },
  { "omtleden.nl", true },
  { "on-targettrainingcourses.com", true },
  { "on-tech.co.uk", true },
  { "on-the-wave.com", true },
  { "on-this.link", true },
  { "on.tax", true },
  { "on2it.net", true },
  { "on9.link", true },
  { "ona.io", true },
  { "onaboat.se", true },
  { "onahonavi.com", true },
  { "onair.ovh", true },
  { "onbuzzer.com", false },
  { "oncalltech.net", true },
  { "once.eu.org", true },
  { "onceuponabow.org", true },
  { "onceuponarainbow.co.uk", true },
  { "oncf.asso.fr", true },
  { "onchol.com", false },
  { "oncodedesign.com", true },
  { "oncotarget.ru", true },
  { "ond-inc.com", true },
  { "ond-inc.jp", true },
  { "ondcp.gov", true },
  { "onde.xyz", true },
  { "ondeapostar.pt", true },
  { "onderwijstransparant.nl", true },
  { "ondevamosjantar.com", true },
  { "ondrej.org", true },
  { "ondrejbudin.cz", true },
  { "ondrejhoralek.cz", true },
  { "one-news.net", true },
  { "one-resource.com", true },
  { "one-s.co.jp", true },
  { "one-tab.com", true },
  { "one2edit.com", true },
  { "one6688.com", true },
  { "oneartyminute.com", true },
  { "oneazcu.com", false },
  { "onebestdeal.com", true },
  { "onebigcow.com", true },
  { "oneclic.ch", false },
  { "oneclickroot.com", true },
  { "onedottwelve.co.jp", false },
  { "onedottwelve.com", false },
  { "onedrive.com", false },
  { "onedrive.live.com", false },
  { "onee3.org", true },
  { "oneearthapp.com", true },
  { "oneheartbali.church", false },
  { "oneiroi.co.uk", true },
  { "oneless.tk", true },
  { "onelifenutrition.co.uk", true },
  { "onelinkmmp.net", true },
  { "onemeter.com", true },
  { "onemid.net", true },
  { "onemoonmedia.de", true },
  { "onenetcdn.com", true },
  { "oneononeonone.de", true },
  { "oneononeonone.tv", true },
  { "onepercentrentals.com", true },
  { "onepersona.io", true },
  { "onepointzero.com", true },
  { "oneprediction.com", true },
  { "oneshotmediakc.com", true },
  { "onesports.cz", true },
  { "onestacked.club", true },
  { "onestacked.tk", true },
  { "onestasolar.com", true },
  { "onestopcastles.co.uk", true },
  { "onestpasdesanges.fr", true },
  { "onetcenter.org", true },
  { "onetcodeconnector.org", true },
  { "onetime.info", true },
  { "onetonline.org", true },
  { "onetouchrevealplus.com", true },
  { "onetwentyseven001.com", true },
  { "oneway.ga", true },
  { "oneweb.hu", true },
  { "onezero24.net", true },
  { "onfarma.it", true },
  { "ongea.io", true },
  { "ongiaenegogoa.com", true },
  { "onhistory.co.uk", true },
  { "onhub1.com", true },
  { "oni.nl", true },
  { "onice.ch", true },
  { "onionplay.eu", true },
  { "onionplay.net", true },
  { "onionscan.org", true },
  { "onionyst.com", true },
  { "oniria.ch", false },
  { "onix.eu.com", true },
  { "onixcco.com.br", true },
  { "onkentessegertdij.hu", true },
  { "onlfait.ch", false },
  { "online-backup.se", true },
  { "online-calculator.com", true },
  { "online-eikaiwa-guide.com", true },
  { "online-health-insurance.com", true },
  { "online-lernprogramme.de", true },
  { "online-pr.at", true },
  { "online-scene.com", true },
  { "online-stopwatch.com", true },
  { "online-textil.com", true },
  { "online-textil.cz", true },
  { "online-textil.sk", true },
  { "online.swedbank.se", true },
  { "online24.pt", true },
  { "onlineautodealered.com", true },
  { "onlinecasinobluebook.com", true },
  { "onlinecasinolisboa.com", true },
  { "onlinecasinoselite.org", true },
  { "onlinecensorship.org", true },
  { "onlinecollegeessay.com", true },
  { "onlinedemo.hu", true },
  { "onlinehaircuts.com", true },
  { "onlinekmc.com", true },
  { "onlinekocunuz.com", true },
  { "onlinelegalmarketing.com", true },
  { "onlinelegalmedia.com", true },
  { "onlineltctraining.com", true },
  { "onlinemagento.com", true },
  { "onlinemarketingmuscle.com", true },
  { "onlinemarketingtraining.co.uk", true },
  { "onlinemoviewatch.org", true },
  { "onlinepokerspelen.be", true },
  { "onlineradio.pp.ua", true },
  { "onlinesports.tk", true },
  { "onlinestoresite.com.au", true },
  { "onlinesystem.jp", true },
  { "onlinetextil.cz", true },
  { "onlineth.com", false },
  { "onlinevergidanismani.com", true },
  { "onlinevisa.ru", true },
  { "onlineweblearning.com", true },
  { "onload.pt", true },
  { "only-fragrances.com", false },
  { "onlycrumbsremain.co.uk", true },
  { "onlyesb.com", true },
  { "onlysim.nl", true },
  { "onmaps.de", true },
  { "onmarketbookbuilds.com", true },
  { "onnaguse.com", true },
  { "onoelixir.gr", true },
  { "onoranzefunebri.roma.it", true },
  { "onore.org", true },
  { "onpay.io", true },
  { "onpointplugins.com", true },
  { "onqproductions.com", true },
  { "onrr.gov", true },
  { "ons.ca", true },
  { "onsgenoegen-waz.nl", true },
  { "onsinscrit.com", true },
  { "onspring.com", true },
  { "onsudoku.com", true },
  { "ontdekhetzelf.nu", true },
  { "onthebriteside.com", true },
  { "onthegosystems.com", true },
  { "onthehook.ru", true },
  { "ontheten.org", true },
  { "ontogenese.net", true },
  { "ontopoflove.nl", true },
  { "ontourmarketing.at", true },
  { "ontrio.cz", true },
  { "ontsc.com", true },
  { "ontservice.com", true },
  { "ontstoppingsdienst123.be", true },
  { "onurer.net", true },
  { "onvey.io", true },
  { "onviga.de", true },
  { "onvisible.website", true },
  { "onvori.com", true },
  { "onvori.de", true },
  { "onvousment.fr", true },
  { "onysix.net", true },
  { "onyxcts.com", true },
  { "onyxfireinc.com", true },
  { "onyxgen.duckdns.org", true },
  { "onyxmoon.me", true },
  { "onzerelaties.net", true },
  { "oo918.com", true },
  { "oodlessoftplay.co.uk", true },
  { "oogami.name", true },
  { "ooharttemplates.com", true },
  { "ookjesprookje.nl", true },
  { "oolsa.net", true },
  { "oomepu.com", true },
  { "ooo-santal.ml", true },
  { "ooonja.de", true },
  { "oosm.org", true },
  { "oosoo.org", true },
  { "ooyo.be", true },
  { "op3racional.eu", true },
  { "op3y.com", true },
  { "opale-concept.com", true },
  { "opalesurfcasting.net", true },
  { "oparl.org", true },
  { "opatut.de", false },
  { "opbedbugcanines.com", true },
  { "opcare.co.uk", true },
  { "opcenter.de", true },
  { "opcionpublicitaria.com", true },
  { "ope.ee", true },
  { "opel-focken.de", true },
  { "open-banking-access.uk", true },
  { "open-bs.com", true },
  { "open-bs.ru", true },
  { "open-desk.org", true },
  { "open-freax.fr", false },
  { "open-future.be", true },
  { "open-gaming.net", true },
  { "open-infrastructure.net", true },
  { "open-letters.de", true },
  { "open-mesh.org", true },
  { "open-sauce-recipes.co.uk", true },
  { "open-source.gr", true },
  { "open.film", true },
  { "open.gl", true },
  { "open.ru", true },
  { "openacte.ch", false },
  { "openai.community", true },
  { "openarch.nl", true },
  { "openbayes.blog", true },
  { "openbayes.com", true },
  { "openbayesstatus.com", true },
  { "openbeecloud.com", true },
  { "openblox.org", true },
  { "opencad.io", true },
  { "opencaves.io", true },
  { "opencircuit.nl", true },
  { "openclima.com", true },
  { "openconf.uk", true },
  { "opencpes.com", true },
  { "opencpes.info", true },
  { "opencpes.io", true },
  { "opencpes.org", true },
  { "opencrm.co.uk", true },
  { "opendata.cz", true },
  { "opendataincubator.eu", true },
  { "opendecide.com", true },
  { "openfir.st", true },
  { "openfitapi-falke.azurewebsites.net", true },
  { "opengovpartnership.de", true },
  { "openhistory.de", true },
  { "openings.ninja", true },
  { "openitforum.pl", true },
  { "openjur.de", true },
  { "openkim.org", true },
  { "openkvk.nl", true },
  { "openmail.ml", true },
  { "opennippon.com", true },
  { "opennippon.ru", true },
  { "openpictures.ch", true },
  { "openquery.com.au", true },
  { "openrainbow.com", true },
  { "openrainbow.net", true },
  { "openre.site", true },
  { "openrealestate.co", true },
  { "openreel.com", true },
  { "openresearch.amsterdam", true },
  { "openreview.net", true },
  { "openroademail.com", true },
  { "openrtm.org", true },
  { "openruhr.de", true },
  { "openscreen.lu", true },
  { "openshippers.com", true },
  { "opensource-cms.nl", true },
  { "opensource-training.de", true },
  { "opensourcesurvey.org", true },
  { "openspa.webhop.info", true },
  { "openssl.org", true },
  { "openstakes.com", true },
  { "openstandia.jp", true },
  { "openstem.com.au", true },
  { "openstreetmap.is", true },
  { "openstreetmap.lu", true },
  { "openstreetmap.org", true },
  { "opentrack.info", true },
  { "opentrash.org", true },
  { "opentuition.com", true },
  { "openvz.org", true },
  { "openwifi.gr", true },
  { "openwireless.org", true },
  { "openwrt-dist.tk", true },
  { "operanavigation.ro", true },
  { "operationkiwi.work", true },
  { "operr.com", true },
  { "operrbilling.com", true },
  { "operrgroup.com", true },
  { "operrhealth.com", true },
  { "opexterminating.com", true },
  { "opfin.com", true },
  { "ophis-phosphoros.com", true },
  { "opiates.ca", true },
  { "opic.gov", true },
  { "opin.me", true },
  { "opinio.fr", true },
  { "opinionitech.com", true },
  { "opioids.co.uk", true },
  { "opioids.com", true },
  { "opioids.gov", true },
  { "opioneers.ga", true },
  { "opium.io", true },
  { "oplata.uz", true },
  { "oplatki-charistia.pl", true },
  { "oplop.appspot.com", true },
  { "opnaarsalto.be", true },
  { "opncld.com", true },
  { "opoleo.com", true },
  { "oposiciones.com.es", true },
  { "oposicionesapolicialocal.es", true },
  { "oposicionescorreos.com.es", true },
  { "oposicionescorreos.es", true },
  { "oposicionescorreos.info", true },
  { "oposicionesdejusticia.org", true },
  { "oposicionesertzaintza.com.es", true },
  { "oposicionesprofesores.tk", true },
  { "oposicionesycursos.com", true },
  { "opp.moe", true },
  { "oppada.com", true },
  { "oppaiti.me", true },
  { "oppejoud.ee", true },
  { "opportunis.me", true },
  { "opportunity.de", true },
  { "opportunityliu.top", true },
  { "oppositionsecurity.com", true },
  { "oppwa.com", true },
  { "opq.pw", true },
  { "opraab.ga", true },
  { "oprechtgezegd.nl", true },
  { "oprueba.com", true },
  { "opryshok.com", true },
  { "ops-com.com", true },
  { "ops.com.pl", true },
  { "opskiwi.work", true },
  { "opsmate.com", false },
  { "opti-net.at", true },
  { "opticaltest.com", true },
  { "opticasocialvision.com", true },
  { "opticsboss.com", true },
  { "optiekdemeester.be", true },
  { "optigear.nl", true },
  { "optik-trosdorff.de", true },
  { "optiker-gilde.de", true },
  { "optimall.tk", true },
  { "optimalrehab.se", true },
  { "optimalsetup.com", true },
  { "optimaner.pl", true },
  { "optimist.bg", true },
  { "optimo.com.tr", true },
  { "optimumterapia.pl", true },
  { "optimumwebdesigns.com", true },
  { "optimus.io", true },
  { "optizym.de", true },
  { "opture.ch", true },
  { "opure.ru", true },
  { "opus-codium.fr", true },
  { "opus-consulting.no", true },
  { "opvakantie-noorwegen.nl", true },
  { "opvakantie-zweden.nl", true },
  { "oqpo.ru", true },
  { "oqwebdesign.com", true },
  { "orablanket.co.nz", true },
  { "oralb.co.uk", true },
  { "orang-utans.com", true },
  { "orangecat.tw", true },
  { "orangecomputers.com", true },
  { "orangefab.asia", true },
  { "orangejetpack.com", true },
  { "orangelandgaming.com", true },
  { "orangenbaum.at", true },
  { "orangewombat.com", true },
  { "orangtua.tk", true },
  { "orangutan-appeal.org.uk", true },
  { "orangutan.org", true },
  { "oranjee.net", false },
  { "orbeimaginario.com", true },
  { "orbital3.com", true },
  { "orbitalcommerce.com.br", true },
  { "orbitcleaning.com.au", true },
  { "orbits.ga", true },
  { "orbu.net", true },
  { "orca.pet", true },
  { "orcada.co", true },
  { "orcahq.com", true },
  { "orcamoney.com", true },
  { "orcawiki.nl", true },
  { "orchardnh.org", true },
  { "orchideenettoyage.com", true },
  { "orchidlive.com", true },
  { "orchidsforum.com", true },
  { "orcsnet.com", true },
  { "ordbokpro.se", true },
  { "orde.red", true },
  { "ordermore.cloud", true },
  { "ordermygear.com", true },
  { "ordevanoranjenassau.nl", true },
  { "ordina.tk", true },
  { "ordoro.com", true },
  { "ore.cool", true },
  { "oreadstudios.com", true },
  { "orel-sait.tk", true },
  { "orembaeviajes.tur.ar", true },
  { "oreshinya.xyz", true },
  { "oreskylaw.com", true },
  { "oreto.de", false },
  { "orf-digitalsatkarte.at", false },
  { "orf-kartentausch.at", false },
  { "organica.co.za", true },
  { "organisatieteam.nl", true },
  { "organisationsberatung-jacobi.de", true },
  { "organise.earth", true },
  { "orgasmium.com", true },
  { "orged.de", true },
  { "orgoniteindonesia.com", true },
  { "orgsyn.in", true },
  { "orhideous.name", true },
  { "orians.eu", true },
  { "oribia.net", true },
  { "orienttime.com.tw", true },
  { "oriflamesamara.tk", true },
  { "oriflameszepsegkozpont.hu", true },
  { "orifonline.ro", true },
  { "origami.to", true },
  { "origamika.com", true },
  { "origamitutorials.com", true },
  { "origin8delicafes.com", true },
  { "original-christstollen.com", true },
  { "original-christstollen.de", true },
  { "originalabsinthe.com", true },
  { "originalmockups.com", true },
  { "originalniknihy.cz", true },
  { "originpc.com", false },
  { "orikadabra.nl", true },
  { "orikos.tk", true },
  { "orikum.org", true },
  { "orimex-mebel.ru", true },
  { "orionfinancialservices.com", true },
  { "oriontravel.co", true },
  { "orkestar-krizevci.hr", true },
  { "orkiv.com", false },
  { "orlandobalbas.com", true },
  { "orlandoprojects.com", true },
  { "orleika.io", true },
  { "ormer.nl", true },
  { "ornsyn.no", true },
  { "ornua.com", true },
  { "oro.roma.it", true },
  { "orocojuco.com", true },
  { "orologeria.roma.it", true },
  { "oroscopodelmese.it", true },
  { "orphee-beaute.com", true },
  { "orpheus.network", true },
  { "orrs.de", true },
  { "ortho-europe.com", true },
  { "ortho-graz.at", true },
  { "orthograph.ch", true },
  { "orthotictransfers.com", true },
  { "ortlepp.eu", true },
  { "ortopertutti.it", true },
  { "oruggt.is", true },
  { "orum.in", true },
  { "orwell1984.today", true },
  { "oryva.com", true },
  { "os-s.net", true },
  { "os-t.de", true },
  { "os24.cz", true },
  { "osac.gov", true },
  { "osacrypt.studio", true },
  { "osagenation-nsn.gov", true },
  { "osakeannit.fi", true },
  { "osano.com", true },
  { "osbi.pl", true },
  { "osborn.io", true },
  { "osborneinn.com", true },
  { "osburn.com", true },
  { "oscarvk.ch", true },
  { "osci.io", true },
  { "oscillation-services.fr", true },
  { "osepideasthatwork.org", true },
  { "oses.mobi", true },
  { "osez-l-odyssee.fr", true },
  { "oshayr.com", true },
  { "oshea.cc", true },
  { "oshrc.gov", true },
  { "osielnava.com", true },
  { "osimmo.fr", true },
  { "osirium.com", true },
  { "oskrba.net", true },
  { "oskrba.online", true },
  { "oskuro.net", true },
  { "osla.org", true },
  { "oslinux.net", true },
  { "osm.is", true },
  { "osm.ovh", true },
  { "osmani-gebaeudereinigung.de", true },
  { "osmanlitorunu.com", true },
  { "osmdroid.net", true },
  { "osmosis.org", true },
  { "osmre.gov", true },
  { "osnova.cz", true },
  { "osobliwydom.pl", true },
  { "osolutionscorp.com", true },
  { "osom.finance", true },
  { "osomagicmountain.com", true },
  { "osomjournal.org", true },
  { "ospf.sk", true },
  { "osrs.wiki", true },
  { "osszekotatermeszettel.hu", true },
  { "ostankino.tk", true },
  { "ostechnix.com", true },
  { "osteendiner.com", true },
  { "osteopathe-palaiseau.com", true },
  { "osterkraenzchen.de", true },
  { "osterlensyd.se", true },
  { "ostgotamusiken.se", true },
  { "osti.gov", true },
  { "ostimwebyazilim.com", true },
  { "osto.us", true },
  { "ostr.io", true },
  { "ostrov8.com", true },
  { "ostylelimo.com", true },
  { "osuarez3.com", true },
  { "osuszanie-krakow.pl", true },
  { "osuszanie-radom.pl", true },
  { "osuszanie-warszawa.pl", true },
  { "oswaldlabs.com", true },
  { "oswalds.co.uk", true },
  { "oswaldsmillaudio.com", true },
  { "oswbouncycastles.co.uk", true },
  { "osx86spain.com", true },
  { "oszri.hu", true },
  { "otakubox.de", true },
  { "otakurepublic.com", true },
  { "otakurumi.de", true },
  { "otdelka56.ml", true },
  { "otdyh-v-abhazii.tk", true },
  { "otellio.com", true },
  { "otellio.de", true },
  { "otellio.it", true },
  { "otemplario.pt", true },
  { "other98.com", true },
  { "otherlandlabs.com", true },
  { "oticasaopaulo.com.br", true },
  { "oticasvisao.net.br", true },
  { "otisko.com", true },
  { "otiumtech.com", true },
  { "otixz.com", true },
  { "otocenterfelix.com.br", true },
  { "otokiralama.name.tr", true },
  { "otoma.tk", true },
  { "otooil.com", true },
  { "otoplastik.ml", true },
  { "otoplenie-ufa.ml", true },
  { "otorrino.pt", true },
  { "otoy.com", true },
  { "otoya.space", false },
  { "otprema.hr", true },
  { "otpsmart.com.ua", true },
  { "otpusk.com", true },
  { "otr.ie", true },
  { "otrm.de", true },
  { "ots.gov", true },
  { "otsfreestyle.jp", true },
  { "ottoproject.io", false },
  { "ottoversand.at", true },
  { "ottxz.com", true },
  { "otus-magnum.com", true },
  { "otvaracie-hodiny.sk", true },
  { "otvertka.kz", true },
  { "otya.me", true },
  { "otzyvy2.ru", true },
  { "ouattara.ch", true },
  { "ouest-annonces.com", true },
  { "ouestfrance-auto.pro", true },
  { "ouestsolutions.com", true },
  { "ouglor.com", true },
  { "ouin.land", true },
  { "oulunjujutsu.com", true },
  { "ounage.de", true },
  { "ourai.ws", true },
  { "ourcloud.at", true },
  { "ourdocuments.gov", true },
  { "ourevents.net", true },
  { "ourfavorite-kakamigahara.jp", true },
  { "ourladymountcarmel.net", true },
  { "ourladyofcalvary.org", true },
  { "ourladyoftheassumptionchurch.org", true },
  { "ourladyqueenofmartyrs.org", true },
  { "ourls.win", true },
  { "ourmaster.org", true },
  { "ourocg.cn", true },
  { "ourworldindata.org", true },
  { "oussoren-vinetomatoes.com", true },
  { "out-of-scope.de", true },
  { "outdoorfurniture.ie", true },
  { "outdoorimagingportal.com", true },
  { "outdoorlightingagoura.com", true },
  { "outdoorlightingagourahills.com", true },
  { "outdoorlightingcalabasas.com", true },
  { "outdoorlightingconejovalley.com", true },
  { "outdoorlightingdosvientos.com", true },
  { "outdoorlightinghiddenhills.com", true },
  { "outdoorlightinglakesherwood.com", true },
  { "outdoorlightingmalibu.com", true },
  { "outdoorlightingmoorpark.com", true },
  { "outdoorlightingnewburypark.com", true },
  { "outdoorlightingoakpark.com", true },
  { "outdoorlightingsimivalley.com", true },
  { "outdoorlightingthousandoaks.com", true },
  { "outdoorlightingwestlakevillage.com", true },
  { "outdoormixfestival.com", true },
  { "outdoorstop.net", true },
  { "outdoortrip.com", true },
  { "outetc.com", true },
  { "outfunnel.com", true },
  { "outgress.com", true },
  { "outincanberra.com.au", true },
  { "outingexpert.com", true },
  { "outinjersey.net", true },
  { "outka.xyz", true },
  { "outline.ski", true },
  { "outline.vn", true },
  { "outlookonthedesktop.com", true },
  { "outnow.ch", true },
  { "outoftheboxfitness.com", true },
  { "outpostinfo.com", true },
  { "outshinesolutions.nl", true },
  { "outsideconnections.com", true },
  { "outsiders.paris", false },
  { "outstack.vote", true },
  { "outstandingpromotion.com", true },
  { "outurnate.com", true },
  { "outwesthunts.com", true },
  { "ouwerling.tk", true },
  { "ovelhaostra.com", false },
  { "overamsteluitgevers.nl", true },
  { "overclockers.ge", true },
  { "overframe.gg", true },
  { "overijsselsemerentocht.nl", true },
  { "overlandireland.ie", true },
  { "overlord.network", true },
  { "overnetfaq.tk", true },
  { "overnightglasses.com", true },
  { "overpb.gq", true },
  { "overps.cf", true },
  { "overs.jp", true },
  { "overs.top", true },
  { "overseamusic.de", true },
  { "oversight.garden", true },
  { "oversight.gov", true },
  { "overstap.deals", true },
  { "overstemmen.nl", true },
  { "overthecloud.it", true },
  { "overthinkingit.com", true },
  { "overwatchss.club", true },
  { "overzicht.pro", true },
  { "overzicht.ws", true },
  { "oveweddings.com", true },
  { "ovirt.org", true },
  { "ovisy.com", true },
  { "ovix.co", true },
  { "ovnrain.com", true },
  { "ovodev.com", true },
  { "ovpn.com", true },
  { "ovvy.net", false },
  { "owapi.net", true },
  { "owbt.pl", true },
  { "owddm.com", true },
  { "owennelson.co.uk", true },
  { "owensordinarymd.com", true },
  { "owid.cloud", true },
  { "owl-square.com", true },
  { "owl-stat.ch", false },
  { "owl.net", true },
  { "own3d.ch", true },
  { "ownagepranks.com", true },
  { "ownc.at", true },
  { "owncloud.help", true },
  { "owner.pw", true },
  { "ownian.com", true },
  { "ownmay.com", false },
  { "owntournament.org", true },
  { "oxanababy.com", true },
  { "oxborrow.ca", true },
  { "oxelie.com", false },
  { "oxfordbio.com", true },
  { "oxfordurgentclinic.com", true },
  { "oxia.me", true },
  { "oxiame.eu", true },
  { "oxidemusic.com", true },
  { "oximo.lviv.ua", true },
  { "oxo.cloud", true },
  { "oxsec.co.uk", true },
  { "oxygin.net", false },
  { "oxymail.ru", true },
  { "oxz.me", true },
  { "oyosoft.net", true },
  { "oysterworldwide.com", true },
  { "oyungg.net", true },
  { "oyunmadeni.tk", true },
  { "oz-style.com", true },
  { "ozalp.dk", true },
  { "ozark.be", true },
  { "ozarktrailcooler.com", true },
  { "ozli.ga", true },
  { "oznamovacipovinnost.cz", true },
  { "ozonstyle.ga", true },
  { "ozvolvo.org", true },
  { "p-0.me", true },
  { "p-damda.com", true },
  { "p-mint.jp", true },
  { "p-p.site", true },
  { "p-s-b.com", true },
  { "p-soc.com.br", true },
  { "p-store.net", true },
  { "p1979.com", true },
  { "p1group.com", true },
  { "p1ratrulezzz.me", true },
  { "p22.co", true },
  { "p2d.ru", true },
  { "p333a.net", true },
  { "p333aa.com", true },
  { "p333aaa.com", true },
  { "p333b.com", true },
  { "p333b.net", true },
  { "p333bb.com", true },
  { "p333bbb.com", true },
  { "p333c.com", true },
  { "p333c.net", true },
  { "p333cc.com", true },
  { "p333ccc.com", true },
  { "p333d.com", true },
  { "p333d.net", true },
  { "p333ddd.com", true },
  { "p333e.com", true },
  { "p333e.net", true },
  { "p333ee.com", true },
  { "p333f.com", true },
  { "p333f.net", true },
  { "p333ff.com", true },
  { "p333fff.com", true },
  { "p333g.com", true },
  { "p333g.net", true },
  { "p333ggg.com", true },
  { "p333h.com", true },
  { "p333h.net", true },
  { "p333hh.com", true },
  { "p333i.com", true },
  { "p333i.net", true },
  { "p333ii.com", true },
  { "p333iii.com", true },
  { "p333j.com", true },
  { "p333j.net", true },
  { "p333jj.com", true },
  { "p333jjj.com", true },
  { "p333k.com", true },
  { "p333kk.com", true },
  { "p333kkk.com", true },
  { "p333l.com", true },
  { "p333ll.com", true },
  { "p333lll.com", true },
  { "p333m.com", true },
  { "p333mm.com", true },
  { "p333mmm.com", true },
  { "p333n.com", true },
  { "p333nn.com", true },
  { "p333nnn.com", true },
  { "p333o.com", true },
  { "p333oo.com", true },
  { "p333ooo.com", true },
  { "p333q.com", true },
  { "p333qq.com", true },
  { "p333qqq.com", true },
  { "p333r.com", true },
  { "p333rr.com", true },
  { "p333rrr.com", true },
  { "p333s.com", true },
  { "p333sss.com", true },
  { "p333t.com", true },
  { "p333ttt.com", true },
  { "p333u.com", true },
  { "p333v.com", true },
  { "p333w.com", true },
  { "p333x.com", true },
  { "p333y.com", true },
  { "p333z.com", true },
  { "p365.vip", false },
  { "p36533.com", true },
  { "p36594.com", true },
  { "p4chivtac.com", true },
  { "p5on.net", true },
  { "p5r.uk", true },
  { "p888010.com", false },
  { "pa-w.de", true },
  { "pa.search.yahoo.com", false },
  { "paardenhulp.nl", true },
  { "paardenpro.nl", true },
  { "paas-inf.net", true },
  { "paass.net", true },
  { "paazmaya.fi", true },
  { "pablo.io", true },
  { "pablo.scot", true },
  { "pablo.sh", true },
  { "pabloalbertoazar.com", true },
  { "pabloarteaga.co.uk", true },
  { "pabloarteaga.com", true },
  { "pabloarteaga.com.es", true },
  { "pabloarteaga.es", true },
  { "pabloarteaga.eu", true },
  { "pabloarteaga.info", true },
  { "pabloarteaga.me", true },
  { "pabloarteaga.net", true },
  { "pabloarteaga.nom.es", true },
  { "pabloarteaga.org", true },
  { "pabloarteaga.science", true },
  { "pabloarteaga.tech", true },
  { "pabloarteaga.uk", true },
  { "pabloarteaga.xyz", true },
  { "pablofain.com", true },
  { "pablovaldiviesoar.com", true },
  { "pabuzo.vn", true },
  { "pacalzheimer.com", true },
  { "pacaom.com", true },
  { "pacatlantic.com", true },
  { "pacch.io", true },
  { "pacchioni.me", true },
  { "paccolat.name", true },
  { "pace.car", true },
  { "pacecounsel.com", true },
  { "paced.me", true },
  { "pacelink.de", true },
  { "pacifco.com", true },
  { "pacificarperu.com", true },
  { "pacificautobody.net", true },
  { "pacificbeachpub.com", true },
  { "pacificcashforcars.com.au", true },
  { "pacificgynsurgicalgroup.com", true },
  { "pacificintegration.ca", true },
  { "pacificpuke.com", true },
  { "pacificspraydry.com", true },
  { "pacifictilkin-occasions.be", false },
  { "pack-haus.de", true },
  { "pack.io", true },
  { "packagingproject.management", true },
  { "packagist.jp", true },
  { "packagist.org", false },
  { "packaware.com", true },
  { "packetdigital.com", true },
  { "packetlinux.com", true },
  { "packetoverflow.com", true },
  { "pact2017.nl", true },
  { "pactandoconlamoda.com", true },
  { "pactf.com", true },
  { "pacxodka.ru", true },
  { "padam-group.com", true },
  { "padberx-marketing-consultants.de", true },
  { "paddy.rocks", true },
  { "padelbox.de", true },
  { "padeoe.com", true },
  { "padkit.org", true },
  { "padpilot.co", true },
  { "padron.com.es", true },
  { "padshah.tk", true },
  { "padzilla.com", true },
  { "paediatricdata.eu", true },
  { "paedlink.ca", true },
  { "paesi.info", true },
  { "paf-events.ch", false },
  { "pagalsongs.com", true },
  { "pagalworld.com", true },
  { "pagalworld.info", true },
  { "pagalworld.io", true },
  { "pagalworld.la", true },
  { "pagalworld.live", true },
  { "pagalworld.me", true },
  { "pagalworld.org", true },
  { "pagamentosonline.pt", true },
  { "page-rank1.com", true },
  { "pageantsnews.com", false },
  { "pageboard.fr", true },
  { "pagecdn.io", true },
  { "pagefulloflies.io", true },
  { "pagenstedt.de", true },
  { "pagerduty.com", true },
  { "pagespeedtweaks.com", true },
  { "pagewizz.com", true },
  { "pagiamtzis.com", true },
  { "pagina394.com.br", true },
  { "paginamaravillosa.tk", true },
  { "paginaweb4u.com", true },
  { "pagliucadb.ddns.net", true },
  { "paguponku.com", true },
  { "pagure.io", true },
  { "pagure.org", true },
  { "pahealthbilling.com", true },
  { "pahlawanpulsa.com", true },
  { "pahub.io", true },
  { "paichai.space", false },
  { "paiementdp.com", true },
  { "paindata.dk", true },
  { "painefamily.co.uk", true },
  { "paintball-ljubljana.si", true },
  { "paintball-shop.sk", true },
  { "paintbrush.ga", true },
  { "paintersgc.com.au", true },
  { "paintingindurban.co.za", true },
  { "paipuman.jp", true },
  { "paisleyandsparrow.com", true },
  { "pajadam.me", true },
  { "pajuvuo.fi", true },
  { "pakaranggrek.com", true },
  { "paketbox-systems.at", true },
  { "paketo.cz", true },
  { "paketo.sk", true },
  { "paketwatch.de", false },
  { "pakho.xyz", true },
  { "pakingas.lt", true },
  { "pakistan24.tk", true },
  { "pakistani.dating", true },
  { "pakitow.fr", true },
  { "paknetworking.org", true },
  { "paktolos.net", true },
  { "palabr.as", true },
  { "palapadev.com", true },
  { "palariviera.com", true },
  { "palary.work", true },
  { "palatetotable.com", true },
  { "palatin.at", true },
  { "palaubluetours.com", true },
  { "palava.tv", true },
  { "palavalbasket.it", true },
  { "palavatv.com", true },
  { "palazzo.link", true },
  { "palazzotalamo.it", true },
  { "palebluedot.de", true },
  { "palembal.fr", true },
  { "palenque.tk", true },
  { "paleo.io", true },
  { "paleodietfoodlist.com", true },
  { "paleodietrecipes.com", true },
  { "paleorecipepro.com", true },
  { "paleoso.com", true },
  { "palermoantagonista.tk", true },
  { "palermopride.it", true },
  { "palessit.com", true },
  { "palestra.roma.it", true },
  { "paletdecor.com.ua", true },
  { "palladium46.com", true },
  { "palletflow.com", true },
  { "palli.ch", false },
  { "palmaprop.com", true },
  { "palmbeachcuisine.com", true },
  { "palmbeachwebsitehosting.com", true },
  { "palmen-apotheke.de", true },
  { "palner.eu", true },
  { "palomardisplays.com", true },
  { "pamaniqu.nl", true },
  { "pamc.tk", true },
  { "pamm.tk", true },
  { "pamsorel.co.za", true },
  { "pan.digital", true },
  { "panamarealestatebrokers.com", true },
  { "panamatravel.tk", true },
  { "panangelium.tk", true },
  { "panasca.is", true },
  { "panascais.at", true },
  { "panascais.ch", true },
  { "panascais.co", true },
  { "panascais.com", true },
  { "panascais.cz", true },
  { "panascais.es", true },
  { "panascais.fi", true },
  { "panascais.fr", true },
  { "panascais.host", true },
  { "panascais.info", true },
  { "panascais.io", true },
  { "panascais.me", true },
  { "panascais.net", true },
  { "panascais.network", true },
  { "panascais.nl", true },
  { "panascais.org", true },
  { "panascais.pl", true },
  { "panascais.pt", true },
  { "panascais.pw", true },
  { "panascais.ru", true },
  { "panascais.site", true },
  { "panascais.tech", true },
  { "panascais.us", true },
  { "panascais.zone", true },
  { "panavision.com", true },
  { "panaxis.biz", true },
  { "panaxis.ch", true },
  { "panaxis.li", true },
  { "panda-community.com", true },
  { "panda.tf", true },
  { "pandahut.net", true },
  { "pandaltd.nl", false },
  { "pandemicflu.gov", true },
  { "pandiora.pw", true },
  { "pandithaya.tk", true },
  { "pandkonijn.nl", true },
  { "pandoraflora.com", true },
  { "pandorasprom.co.uk", true },
  { "panduan-hamil.tk", true },
  { "pandymic.com", true },
  { "paneldewelopera.pl", true },
  { "paneldoorsolutions.com", true },
  { "paneu.de", true },
  { "panevo.com", true },
  { "pangoly.com", true },
  { "panhandlemenshealth.com", true },
  { "panic.tk", true },
  { "panier-legumes.bio", true },
  { "panino.gr", true },
  { "paninohome.com", true },
  { "paniodpolskiego.eu", false },
  { "paniyanovska.ua", true },
  { "panjiva.com", true },
  { "panlex.org", true },
  { "panmetro.com", true },
  { "pano-guru.com", true },
  { "pano.ie", true },
  { "panopy.co", true },
  { "panopy.me", true },
  { "panoramahurtowni.pl", true },
  { "panoramichq.com", true },
  { "panpa.ca", true },
  { "panpsychism.com", true },
  { "panpsychist.com", true },
  { "pantallasled.mx", true },
  { "pantallasyescenarios.com", false },
  { "panthenolplus.co.uk", true },
  { "panthenolplus.com", true },
  { "pantheoncrafters.com", true },
  { "panthi.lk", true },
  { "panthur.com.au", false },
  { "pantographe.info", false },
  { "pantou.org", false },
  { "pants-off.xyz", true },
  { "pantsu.club", true },
  { "panzdravi.cz", true },
  { "panzer72.ru", true },
  { "paolodemichele.it", true },
  { "paolotagliaferri.com", true },
  { "pap.la", false },
  { "papa---mama.tk", true },
  { "papa-webzeit.de", true },
  { "papabearsautocenter.com", true },
  { "papadopoulos.me", true },
  { "papakatsu-life.com", true },
  { "paparazzie.de", true },
  { "papaya.me.uk", true },
  { "papayame.com", true },
  { "papayapythons.com", true },
  { "papelcraft.co.uk", true },
  { "papelpack.cl", true },
  { "paper-republic.org", true },
  { "paper.sc", true },
  { "paperlesssolutionsltd.com.ng", true },
  { "papermuseum.jp", true },
  { "paperplatefun.com", true },
  { "papersmart.net", true },
  { "papertracker.net", true },
  { "paperturn.com", true },
  { "paperwritinghelp.net", true },
  { "paperwritten.com", true },
  { "papiermakerijdehoop.nl", true },
  { "papiermeteenverhaal.nl", true },
  { "papierniczy.eu", true },
  { "papillon-events.be", true },
  { "papion.it", true },
  { "pappasappar.se", true },
  { "paprikas.fr", true },
  { "par-allel.ru", true },
  { "paraborsa.net", true },
  { "parachute70.com", false },
  { "parachuteteam.co.uk", true },
  { "paracomer.es", true },
  { "paradais-sphynx.com", true },
  { "paradependentesquimicos.com.br", true },
  { "paradies-baar.ch", true },
  { "paradigma-med.ru", true },
  { "paradise-engineer.com", true },
  { "paradise-engineering.com", true },
  { "paradise-travel.net", true },
  { "paradiselost.com", true },
  { "paradiseprivatehospital.com", true },
  { "paradisestore.org", true },
  { "paragonie.com", false },
  { "paragonremodeling.com", true },
  { "paragontasarim.com", true },
  { "paragreen.net", true },
  { "parallaxsite.com", true },
  { "paramaquetas.com", true },
  { "paramountelectronics.co.uk", true },
  { "paranoidandroid.tk", true },
  { "paranoidmode.com", true },
  { "paranoidpenguin.net", true },
  { "paranoxer.hu", true },
  { "parareflex.fr", true },
  { "parasitologyclub.org", true },
  { "parasosto.fi", true },
  { "paratlan.hu", true },
  { "paratxt.org", true },
  { "parcbotanique.com", true },
  { "parcelbroker.co.uk", false },
  { "parchcraftaustralia.com", true },
  { "parckwart.de", true },
  { "parcon.it", true },
  { "parcoursup-nouvelle-caledonie.fr", true },
  { "parcoursup.fr", true },
  { "pareachat.com", true },
  { "paremvasi.net", true },
  { "parentelement.com", true },
  { "parentinterview.com", true },
  { "parentsandzebrasunited.com", true },
  { "parentsintouch.co.uk", true },
  { "parfum-selbermachen.de", true },
  { "parfumer.tk", true },
  { "parfumerie-de-grasse.fr", false },
  { "pari.cz", true },
  { "parisackerman.com", true },
  { "parisbloom.com", true },
  { "parisderriere.fr", true },
  { "parisescortgirls.com", true },
  { "parisfranceparking.com", true },
  { "parisfranceparking.de", true },
  { "parisfranceparking.fr", true },
  { "parisfranceparking.nl", true },
  { "parisprovincedemenagements.fr", true },
  { "parkeerbordenhuren.be", true },
  { "parkefficient.de", true },
  { "parkercs.tech", true },
  { "parkeren.in", true },
  { "parkerforum.cf", true },
  { "parkerforum.tk", true },
  { "parkerplumbingcompany.com.au", true },
  { "parkers.co.uk", true },
  { "parket.gq", true },
  { "parketdoska.ua", true },
  { "parkettdielen.net", true },
  { "parkinginparis.fr", true },
  { "parkingparisnord.fr", true },
  { "parkinsplasticsurgery.com", true },
  { "parkrocker.com", true },
  { "parkrunstats.servehttp.com", true },
  { "parkscandles.com", true },
  { "parkvetgroup.com", true },
  { "parkviewmotorcompany.com", true },
  { "parkwayminyan.org", true },
  { "parlamento.gub.uy", true },
  { "parleamonluc.fr", true },
  { "parleur.net", true },
  { "parltrack.org", true },
  { "parmels.com.br", true },
  { "parnassys.net", true },
  { "parnizaziteksasko.cz", true },
  { "parodesigns.com", true },
  { "paroisses-theix-surzur.com", true },
  { "parolu.io", true },
  { "parquettista.milano.it", true },
  { "parquettista.roma.it", true },
  { "parrilladasparaeventos.com", true },
  { "parrocchiadimeana.tk", true },
  { "parrocchiamontevecchia.it", true },
  { "parry.org", true },
  { "pars.work", true },
  { "parsdev.ir", true },
  { "parsemail.org", true },
  { "parser.nu", true },
  { "parsonsfamilyhomes.com", true },
  { "parsuv.ir", true },
  { "part-of-that-world.com", true },
  { "part.la", true },
  { "partage-noir.fr", true },
  { "parteaga.com", true },
  { "parteaga.net", true },
  { "partecipa.tn.it", true },
  { "partenopei.net", true },
  { "parthkolekar.me", true },
  { "partii.tk", true },
  { "partin.nl", true },
  { "partiono.com", true },
  { "partner.sh", true },
  { "partnercardservices.com", true },
  { "partnermobil.de", true },
  { "partnersofprc.com", true },
  { "partnerwerk.de", true },
  { "partoenagua.org", true },
  { "partou.de", true },
  { "partridge.tech", true },
  { "parts4phone.com", false },
  { "partsestore.com", true },
  { "partshop.be", true },
  { "parturi-manner.fi", false },
  { "partusedtyres.net", true },
  { "party-and-play.co.uk", true },
  { "party-kneipe-bar.com", true },
  { "party-time-inflatables-durham.co.uk", true },
  { "partyausstatter24.de", true },
  { "partybounceplay.co.uk", true },
  { "partycentrumopenhuis.nl", true },
  { "partyhireisleofwight.co.uk", true },
  { "partyhireliverpool.co.uk", true },
  { "partypearl.de", true },
  { "partyrocksbounce.co.uk", true },
  { "partyschnaps.com", true },
  { "partyspaces.co.uk", true },
  { "partytime-uk.co.uk", true },
  { "partytimeltd.ie", true },
  { "partytownireland.co.uk", true },
  { "partytownmarquees.co.uk", true },
  { "partyyy.io", true },
  { "partyzone.ie", true },
  { "parvaneh.fr", true },
  { "parys.org", true },
  { "pasadenapooch.org", true },
  { "pasalt.com", true },
  { "pasarella.eu", true },
  { "pasarkoin.co", true },
  { "pascal-bourhis.com", true },
  { "pascal-wittmann.de", true },
  { "pascal90.de", true },
  { "pascalchristen.ch", true },
  { "pascaline-jouis.fr", true },
  { "pascalleguern.com", true },
  { "pascalmathis.com", true },
  { "pascalmathis.me", true },
  { "pascalmathis.net", true },
  { "pascualinmuebles.com", true },
  { "pasearch.nl", true },
  { "pashminacachemire.com", true },
  { "pasito.se", true },
  { "pasnederland.tk", true },
  { "pasquinelli-truebag.ch", true },
  { "pass.org.my", true },
  { "passabook.com", true },
  { "passau-webdesign.com", true },
  { "passbolt.com", true },
  { "passcod.name", true },
  { "passengertravelportal.com", true },
  { "passfilesafe.com", true },
  { "passfindr.com", true },
  { "passhojao.com", true },
  { "passieposse.nl", true },
  { "passionandbalance.com", true },
  { "passionate.org.nz", true },
  { "passionatefoodie.co.uk", true },
  { "passionatehorsemanship.com", true },
  { "passionatelife.com.au", true },
  { "passiondesigns.web.id", true },
  { "passionebenessere.com", true },
  { "passionfiat.fr", true },
  { "passionpictures.eu", true },
  { "passmefaster.net", true },
  { "passover-fun.com", true },
  { "passport.yandex.by", true },
  { "passport.yandex.com", true },
  { "passport.yandex.com.tr", true },
  { "passport.yandex.kz", true },
  { "passport.yandex.ru", true },
  { "passport.yandex.ua", true },
  { "passports.govt.nz", true },
  { "passporttrails.com", true },
  { "passthepopcorn.me", true },
  { "passumpsicbank.com", true },
  { "passvanille-reservation.fr", true },
  { "passvau.lt", true },
  { "passwd.one", true },
  { "passwd.org", true },
  { "password-checker.de", true },
  { "passwordhashing.com", true },
  { "passwordkeeperbooks.com", true },
  { "passwords.google.com", false },
  { "passwordscon.org", true },
  { "passwordsecurity.info", true },
  { "passworks.io", true },
  { "pasta-factory.co.il", true },
  { "pastaenprosecco.nl", true },
  { "paste.fedoraproject.org", true },
  { "paste.gg", true },
  { "paste.to", true },
  { "pastebin.co.za", true },
  { "pasteht.ml", true },
  { "pasternok.org", true },
  { "pasticcerialorenzetti.com", true },
  { "pastimeproject.com", true },
  { "pasztor.at", true },
  { "patatbesteld.nl", true },
  { "pataterosviajeros.com", true },
  { "patbatesremodeling.com", false },
  { "patchofabsence.com", true },
  { "patchyvideo.com", true },
  { "patdorf.com", true },
  { "patechmasters.com", true },
  { "patentados.com", true },
  { "patentchallenges.com", true },
  { "patentfamily.de", true },
  { "pathagoras.com", true },
  { "pathsha.re", true },
  { "patika-biztositas.hu", true },
  { "patikabiztositas.hu", true },
  { "patineteselectricosbaratos.net", true },
  { "patioroof.cf", true },
  { "patlis.com", true },
  { "patric-lenhart.de", true },
  { "patriciaandpaul.com", true },
  { "patriciaramos.pt", true },
  { "patrick-othmer.de", true },
  { "patrick-robrecht.de", true },
  { "patrick.my-gateway.de", true },
  { "patrick21.ch", true },
  { "patrickaudley.ca", true },
  { "patrickaudley.com", true },
  { "patrickbrosi.de", true },
  { "patrickcurl.com", true },
  { "patrickhoefler.net", true },
  { "patricklynch.xyz", true },
  { "patrickschneider.me", true },
  { "patrikgarten.de", true },
  { "patriksima.cz", true },
  { "patriksimek.cz", true },
  { "patrikzk.eu", true },
  { "patrocinio.com.br", true },
  { "patrol-x.com", true },
  { "patryk.cf", true },
  { "patrz.eu", true },
  { "patsyforyou.ch", false },
  { "patsytoforyou.ch", false },
  { "pattayafruitgarden.tk", true },
  { "pattuka.com", true },
  { "pattyliao.com", true },
  { "patystation.com", true },
  { "paudley.ca", true },
  { "paudley.com", true },
  { "paudley.org", true },
  { "paul-barton.co.uk", true },
  { "paul-online.tech", true },
  { "paul-sitarz.com", true },
  { "paul.reviews", true },
  { "pauladamsmith.com", true },
  { "paulalutz.com", false },
  { "paulbdelaat.nl", true },
  { "paulbramhall.uk", true },
  { "paulchen.at", false },
  { "paulcoldren.org", true },
  { "paulcooper.me.uk", true },
  { "pauld.codes", true },
  { "pauld.digital", true },
  { "paulerhof.com", true },
  { "paulgerberrealtors.com", true },
  { "paulinewesterman.nl", true },
  { "paullockaby.com", true },
  { "paulmarc.org", true },
  { "paulmeier.com", false },
  { "pauloalcobianeves.pt", true },
  { "paulocolacino.tk", true },
  { "paulomonteiro.pt", true },
  { "paulov.com", true },
  { "paulov.info", true },
  { "paulov.ru", true },
  { "paulrobertlloyd.com", true },
  { "paulrotter.de", true },
  { "paulschreiber.com", true },
  { "paulscustomauto.com", true },
  { "paulsitarz.com", true },
  { "paulsnar.lv", true },
  { "paulswartz.net", true },
  { "paulus-foto.pl", true },
  { "paulward.net", true },
  { "paulwatabe.com", true },
  { "paulwendelboe.com", true },
  { "pauly-stahlhandel.com", true },
  { "pauly-stahlhandel.de", true },
  { "pauspam.net", true },
  { "pautadiaria.com", true },
  { "pavamtio.cz", true },
  { "pavando.com", false },
  { "pavelfojt.cz", true },
  { "pavelfucik.com", true },
  { "pavelfucik.cz", true },
  { "pavelfucik.eu", true },
  { "pavelitus.tk", true },
  { "pavelrebrov.com", true },
  { "pavelstriz.cz", true },
  { "pavernosmatao.tk", true },
  { "paw.cloud", true },
  { "paw.pt", true },
  { "pawel-international.com", true },
  { "pawelurbanek.com", true },
  { "pawgearlab.com", true },
  { "pawserv.pw", true },
  { "pawspuppy.com", false },
  { "pawsr.us", true },
  { "pawsru.org", true },
  { "paxchecker.com", true },
  { "paxer.com", true },
  { "paxerahealth.com", true },
  { "pay-online.in", true },
  { "pay.gov", true },
  { "paya.cat", true },
  { "payboy.biz", true },
  { "payboy.rocks", true },
  { "paybro.eu", true },
  { "payexpresse.com", true },
  { "payfazz.com", true },
  { "payjunction.com", true },
  { "payjunctionlabs.com", true },
  { "paylike.io", true },
  { "paylike.se", true },
  { "payloc.io", true },
  { "payme.uz", true },
  { "payment-express.net", true },
  { "payment.ac.cn", true },
  { "paymentaccuracy.gov", true },
  { "payments.google.com", true },
  { "paymerang.com", true },
  { "paymongo.com", true },
  { "paynet.com.co", true },
  { "payoff.com", true },
  { "paypal.com", true },
  { "paypaq.com", true },
  { "paypro.nl", false },
  { "payps.ru", true },
  { "payroll.myftp.org", true },
  { "paysbuy.net", true },
  { "paysera.com", true },
  { "payslipview.com", true },
  { "payssaintgilles.fr", false },
  { "paystack.com", true },
  { "paytm.in", true },
  { "paytonmoledor.com", true },
  { "payupay.ru", true },
  { "pazerandepstein.com", true },
  { "pb.ax", false },
  { "pbcables.tk", true },
  { "pbdigital.org", true },
  { "pborn.eu", true },
  { "pbosquet.com", false },
  { "pbourhis.me", true },
  { "pbr.so", true },
  { "pbrb.gov", false },
  { "pbren.com", true },
  { "pbrumby.com", true },
  { "pbwebdev.com", true },
  { "pbz.im", true },
  { "pc-rescue.me", false },
  { "pc-warriors.com", true },
  { "pc28yc.com", true },
  { "pcatv.org", true },
  { "pcbmarketing.gq", true },
  { "pcccthicongcungcap.com", true },
  { "pcdbank.com", true },
  { "pcdn.cf", true },
  { "pcdocjim.com", true },
  { "pcel.com", true },
  { "pcexpress.tk", true },
  { "pcf-frankfurt.de", true },
  { "pcf92.fr", true },
  { "pcgamingfreaks.at", true },
  { "pchancs.com", true },
  { "pchelpforum.net", true },
  { "pci-e.net", true },
  { "pciconcursos.com.br", true },
  { "pcisecuritystandards.org", true },
  { "pcissc.org", true },
  { "pckurzypd.sk", true },
  { "pclaeuft.de", true },
  { "pclob.gov", true },
  { "pcloud.com", true },
  { "pcmkrembangan.or.id", true },
  { "pcmobile.tech", true },
  { "pcmr.info", true },
  { "pcnotdienst-oldenburg-rastede.de", true },
  { "pcprkolo.pl", true },
  { "pcr24.ru", true },
  { "pcrab.ml", true },
  { "pcrabme.com", true },
  { "pcrypt.org", true },
  { "pcsetting.com", true },
  { "pctonic.net", true },
  { "pctrouble.net", true },
  { "pculiar.com", true },
  { "pcunderground.com.ar", true },
  { "pcw.gov.ph", true },
  { "pdc.wales", true },
  { "pdf-archive.com", true },
  { "pdfconvert.me", true },
  { "pdfget.com", true },
  { "pdfmint.com", true },
  { "pdfpassword.org", true },
  { "pdfpasswort.de", true },
  { "pdfresizer.com", true },
  { "pdfsearches.com", true },
  { "pdox.net", true },
  { "pdxdeli.com", true },
  { "pdxtowncar.net", true },
  { "pe-bank.jp", true },
  { "pe.search.yahoo.com", false },
  { "peabodytile.com", true },
  { "peaceandjava.com", true },
  { "peacedivorce.com", true },
  { "peaceispossible.cc", true },
  { "peacekeeper.tk", true },
  { "peaceloveandlabor.com", true },
  { "peakhomeloan.com", true },
  { "peakslead.com", true },
  { "peaksloth.com", true },
  { "peakvets.co.uk", true },
  { "peanutbase.org", true },
  { "peanutproductionsnyc.com", true },
  { "pear2pear.de", true },
  { "pearbloom.com", true },
  { "pearcom.co.uk", true },
  { "pearlsonly.ca", true },
  { "pearlsonly.com", true },
  { "pearlsonly.com.au", true },
  { "pearlsonly.de", true },
  { "peatsbeast.com", false },
  { "peawo.com", true },
  { "pebbleparents.com", false },
  { "pebblepointapartmentsstl.com", true },
  { "pebbles.net.in", true },
  { "pebmarketing.nl", true },
  { "pecheneg.tk", true },
  { "pechonova.com", true },
  { "pecker-johnson.com", true },
  { "peda.net", true },
  { "pedago.it", true },
  { "pedaleuse.be", true },
  { "pedalsbarcelona.com", true },
  { "peddy.dyndns.org", true },
  { "pediatersucha.sk", true },
  { "pedicurean.nl", true },
  { "pedicureduiven.nl", true },
  { "pedigreetechnologies.com", true },
  { "pedikura-vitu.cz", true },
  { "pedimanie.cz", true },
  { "pedimoda.com.br", true },
  { "pedro.com.es", true },
  { "pedrosaurus.com", true },
  { "pedroventura.com", false },
  { "peeekaaabooo.com", true },
  { "peekier.com", true },
  { "peenor.xyz", true },
  { "peep.gq", true },
  { "peepsfoundation.org", false },
  { "peer.travel", true },
  { "peerbanking.com.au", true },
  { "peercraft.at", true },
  { "peercraft.be", true },
  { "peercraft.biz", true },
  { "peercraft.ch", true },
  { "peercraft.cn", true },
  { "peercraft.co.uk", true },
  { "peercraft.com", true },
  { "peercraft.de", true },
  { "peercraft.dk", true },
  { "peercraft.es", true },
  { "peercraft.eu", true },
  { "peercraft.fr", true },
  { "peercraft.info", true },
  { "peercraft.it", true },
  { "peercraft.net", true },
  { "peercraft.nl", true },
  { "peercraft.org", true },
  { "peercraft.pl", true },
  { "peercraft.pt", true },
  { "peercraft.se", true },
  { "peercraft.us", true },
  { "peerigon.com", true },
  { "peername.com", true },
  { "peernode.net", true },
  { "peers.cloud", true },
  { "peertube.social", true },
  { "peerweb.com", true },
  { "peetah.com", true },
  { "peeters.io", true },
  { "peev.io", true },
  { "pefricea.com", true },
  { "pegas-studio.net", true },
  { "peifi.de", false },
  { "peippo.at", true },
  { "pekarstvivetvrzi.cz", true },
  { "pekinet.com", true },
  { "pekkapleppanen.fi", true },
  { "pekoe.se", true },
  { "pelachim.com.br", true },
  { "pelanucto.cz", true },
  { "pelican.ie", true },
  { "pelion.com", true },
  { "pellet.pordenone.it", true },
  { "pelletizermill.com", true },
  { "pelletsprice.com", true },
  { "pelopogrund.com", false },
  { "pelopoplot.com", false },
  { "pelosanimais.org", true },
  { "pelotonimports.com", true },
  { "peluqueriaalcobendas.com", true },
  { "peluqueriaalcobendas.es", true },
  { "pems.gov.au", true },
  { "pen-sec.de", true },
  { "penaugustin.com", true },
  { "pencepay.com", true },
  { "pencil2d.org", true },
  { "pencillab.cn", true },
  { "penconsultants.com", true },
  { "pendriveapps.com", true },
  { "pendrivelinux.com", true },
  { "penetrationstest.se", true },
  { "penfold.fr", true },
  { "pengepung.com", true },
  { "penguinbits.net", true },
  { "penguindrum.moe", true },
  { "penguinprotocols.com", true },
  { "penguinworld.co", true },
  { "penholder.ga", true },
  { "peniarth.cymru", true },
  { "peninsuladoctor.com", true },
  { "penispumpen.se", true },
  { "pennergold.net", true },
  { "pennington.io", true },
  { "pennyparkerpaper.com", true },
  { "penrithapartments.com.au", true },
  { "pens.com", true },
  { "pensacolawinterfest.org", true },
  { "pensador.com", true },
  { "pensador.info", true },
  { "pensioenfonds-ey.nl", true },
  { "pension-am-alten-waschhaus.de", true },
  { "pensionecani.roma.it", true },
  { "pensioner-1000.tk", true },
  { "pensiunea-paco.ro", true },
  { "pensiunealido.ro", true },
  { "penslabyrinth.com", true },
  { "pentagram.me", true },
  { "pentamexicali.tk", true },
  { "pentandra.com", true },
  { "pentatec.de", true },
  { "pentechealth.com", false },
  { "pentest.blog", true },
  { "pentest.nl", true },
  { "pentesterlab.com", true },
  { "pentestit.com", true },
  { "pentofun.ch", true },
  { "pentoo.ch", true },
  { "pentools.org", true },
  { "penz.media", true },
  { "penza-on-line.tk", true },
  { "penza-today.tk", true },
  { "penzaonline.cf", true },
  { "penzionvzahrade.cz", true },
  { "peoplelikemeapp.com", true },
  { "peoplescu.com", true },
  { "peoplesdecade.org", true },
  { "pepeelektro.sk", true },
  { "pepegym.cz", true },
  { "pepemodelismo.com.br", true },
  { "pepfar.gov", false },
  { "pepgrid.net", true },
  { "pepime.com", true },
  { "pepkey.net", true },
  { "peplog.nl", true },
  { "pepme.net", true },
  { "pepperandpartner.com", true },
  { "pepstaff.net", true },
  { "pequenosfavoritos.com.br", false },
  { "per-olsson.se", true },
  { "perala.me", true },
  { "peraparker.cz", true },
  { "perceptivemeded.com", true },
  { "percolate.com", true },
  { "percraft.com", true },
  { "percy.io", true },
  { "perd.re", true },
  { "pereceh.eu.org", true },
  { "perecraft.com", true },
  { "peredoz.tk", true },
  { "perevedi.org", true },
  { "perevedut.cf", true },
  { "perevirka.net", true },
  { "perewall.tk", true },
  { "perez-marrero.com", true },
  { "perezdecastro.org", true },
  { "perf1.com", true },
  { "perfect-carstyle.de", true },
  { "perfect-privacy.com", true },
  { "perfect.in.th", true },
  { "perfectbalance.tech", true },
  { "perfectcloud.org", true },
  { "perfectfocuseyecare.com", true },
  { "perfectgarden.es", true },
  { "perfectoparty.co.uk", true },
  { "perfectsnap.co.uk", true },
  { "perfectstreaming.systems", true },
  { "perfektesgewicht.de", true },
  { "perfmatters.io", true },
  { "perfmed.ro", true },
  { "performancegate.com", true },
  { "performancehealth.com", false },
  { "performancepiers.com", true },
  { "performing-art-schools.com", true },
  { "performio.co", true },
  { "perfumes.com.br", true },
  { "perfumestudio.in", true },
  { "perini.com.au", true },
  { "periodex.co", true },
  { "periodic-drinking.com", true },
  { "periscope.tv", true },
  { "perishablepress.com", true },
  { "perka.com", true },
  { "perlbanjo.com", true },
  { "perm-avia.ru", true },
  { "perm4.com", true },
  { "permaculture.cf", true },
  { "permaculture.co.uk", true },
  { "permajackofstlouis.com", true },
  { "permaseal.net", true },
  { "permeance108.com", true },
  { "permis-apoints.com", true },
  { "permiscoderoute.fr", true },
  { "permisecole.com", true },
  { "permistheorique.be", true },
  { "permistheoriqueenligne.be", true },
  { "perniciousgames.com", false },
  { "perot.me", true },
  { "perpetual.ga", true },
  { "perpetualemotion.com", true },
  { "perron.ml", true },
  { "perroquet-passion.ch", false },
  { "pers-hr.tk", true },
  { "persefonne.com", true },
  { "persephone.gr", true },
  { "persiennkompaniet.se", true },
  { "personadecoded.com", true },
  { "personal-genome.com", true },
  { "personalidadmagnetica.com", true },
  { "personalityjunkie.com", true },
  { "personalitymax.com", true },
  { "personaljokes.ml", true },
  { "personalnames.net.ru", true },
  { "personaltrainer-senti.de", true },
  { "personskadeadvokater.no", true },
  { "personvernnemnda.no", true },
  { "perspectivum.com", true },
  { "perspektivwechsel-coaching.de", true },
  { "persson.me", true },
  { "perthhillsarmadale.com.au", true },
  { "perthtrains.net", true },
  { "perubusca.nl", true },
  { "perulinks.tk", true },
  { "perun.wiki", true },
  { "pervoklass.cf", true },
  { "perzeidi.hr", true },
  { "pescadorcomunicacao.com.br", true },
  { "pescco.com.br", true },
  { "pestcontrol.co.uk", true },
  { "pestici.de", true },
  { "pestpilis.hu", true },
  { "pet-hotel-mura.net", true },
  { "petabits.de", true },
  { "petalkr.com", true },
  { "petbooking.it", true },
  { "petburial.cf", true },
  { "petcarvers.com", true },
  { "petdesign.pet", true },
  { "petech.ro", true },
  { "petelew.is", true },
  { "peter-hurtenbach.de", false },
  { "peter-r.co.uk", true },
  { "peter.org.ua", true },
  { "peterandjoelle.co.uk", true },
  { "peterbarrett.ca", true },
  { "peterboers.info", true },
  { "peterborgapps.com", true },
  { "peterboweycomputerservices.com.au", true },
  { "peterbruceharvey.com", true },
  { "peterdavehello.org", true },
  { "peterfiorella.com", true },
  { "peterheery.me", true },
  { "peterhons.com.au", true },
  { "peterhuetz.at", true },
  { "peterhuetz.com", true },
  { "peterjin.org", true },
  { "peterjohnson.io", true },
  { "peterkrivanek.com", true },
  { "peterlew.is", true },
  { "petermaar.com", true },
  { "peterslavik.com", true },
  { "petersontoscano.com", true },
  { "petervaldesii.com", false },
  { "petervaldesii.io", false },
  { "petfa.ga", true },
  { "petherwick.co.uk", true },
  { "petherwick.com", true },
  { "petherwicks.co.uk", true },
  { "petherwicks.com", true },
  { "pethood.com.au", true },
  { "pethub.com", true },
  { "petit-archer.com", true },
  { "petite-maison.ch", true },
  { "petitsfrenchies.com", true },
  { "petitu.mx", true },
  { "petja.me", false },
  { "petlife.vet", true },
  { "petmall.bg", true },
  { "petnow.gr", true },
  { "peto.nl", true },
  { "petofiprogram.hu", true },
  { "petos.tk", true },
  { "petplus.com", true },
  { "petpost.co.nz", false },
  { "petpower.eu", true },
  { "petr.as", true },
  { "petrachuk.ru", true },
  { "petrasestakova.cz", true },
  { "petravdbos.nl", true },
  { "petresort.pt", true },
  { "petroleum-schools.com", true },
  { "petrologisticsllc.com", true },
  { "petrotranz.com", true },
  { "petrotrustlibya.com", true },
  { "petrovich.pro", true },
  { "petrovitch.tk", true },
  { "petrsvec.cz", true },
  { "petrucciresidential.com", true },
  { "petruzz.net", true },
  { "petschnighof.at", true },
  { "petstoredog.com", true },
  { "petto.com.co", true },
  { "peturnashes.ga", true },
  { "petwatchersnj.com", true },
  { "pew.ninja", true },
  { "pewnews.org", true },
  { "pex.digital", false },
  { "pexxi.eu", true },
  { "peyote.com", true },
  { "peyote.org", true },
  { "pf.dk", true },
  { "pfa.or.jp", true },
  { "pfadfinder-aurich.de", true },
  { "pfadfinder-grossauheim.de", true },
  { "pfarre-kremsmuenster.at", true },
  { "pfarreiengemeinschaft-neuerburg.de", true },
  { "pfcafeen.dk", true },
  { "pfd-nz.com", false },
  { "pfefferkuchen-shop.de", true },
  { "pfefferkuchenprinzessin-dresden.de", true },
  { "pferdesportclub-chiemgau.de", true },
  { "pfeuffer-elektro.de", true },
  { "pfft.net", true },
  { "pfk.org.pl", true },
  { "pflan.dk", true },
  { "pflanzen-shop.ch", true },
  { "pflanzenshop-emsland.de", true },
  { "pfmeasure.com", true },
  { "pfotentour-berlin.de", true },
  { "pfrost.me", true },
  { "pfstaging.xyz", true },
  { "pg-forum.de", true },
  { "pg-mana.net", true },
  { "pgh-art.com", true },
  { "pgmann.cf", true },
  { "pgnetwork.net", true },
  { "pgpmail.cc", true },
  { "pgregg.com", true },
  { "ph-blog.de", true },
  { "ph.search.yahoo.com", false },
  { "ph3r3tz.net", true },
  { "phantastikon.de", true },
  { "phantomfund.ml", true },
  { "pharma-display.com", true },
  { "pharmaabsoluta.com.br", true },
  { "pharmaboard.de", true },
  { "pharmaboard.org", true },
  { "pharmaceuticalcannabis.org", true },
  { "pharmacieplusfm.ch", false },
  { "pharmacistinfo.ru", true },
  { "pharmacy.org.pk", true },
  { "pharmapolitics.com", true },
  { "pharmasana.co.uk", true },
  { "pharmasana.de", true },
  { "pharmasana.ru", true },
  { "pharmica.co.uk", true },
  { "pharmica.uk", true },
  { "pharside.dyndns.org", true },
  { "pharynks.com", true },
  { "phasme-2016.com", true },
  { "phaux.uno", true },
  { "phbits.com", true },
  { "phc-sa.com", true },
  { "phcimages.com", true },
  { "phcnetworks.net", false },
  { "phcorner.net", true },
  { "pheasantrunpress.com", true },
  { "phellowseven.com", true },
  { "phelx.de", true },
  { "phenixairsoft.com", true },
  { "phenq.com", true },
  { "pheramoan.com", true },
  { "pheramoans.com", true },
  { "phero.com", true },
  { "pheroforce.com", true },
  { "pherologie.com", true },
  { "pherology.com", true },
  { "pheromeon.com", true },
  { "pheromeons.com", true },
  { "pheromoans.com", true },
  { "pheromoen.com", true },
  { "pheromoens.com", true },
  { "pheromonez.com", true },
  { "pheronome.com", true },
  { "pheronomes.com", true },
  { "pheros.com", true },
  { "pheroz.com", true },
  { "phget.com", true },
  { "phi-works.com", true },
  { "phibureza.com", true },
  { "phil-dirt.com", true },
  { "phil.red", true },
  { "phil.tw", true },
  { "philadelphia.com.mx", true },
  { "philanima.com", true },
  { "philarmonic-abaza.tk", true },
  { "phildonaldson.com", true },
  { "phileas-psychiatrie.be", true },
  { "philia-sa.com", false },
  { "philipdb.com", true },
  { "philipdb.nl", true },
  { "philipdeussen.com", true },
  { "philipdeussen.de", true },
  { "philiperiksson.se", true },
  { "philipkobelt.ch", true },
  { "philipp-winkler.de", true },
  { "philippbirkholz.de", true },
  { "philippe-metayer-platrier.fr", true },
  { "philippe-mignotte.fr", true },
  { "philippebonnard.fr", true },
  { "philipperoose.be", false },
  { "philippestudiopro.com", true },
  { "philippheenen.de", false },
  { "philippinedroneassociation.org", true },
  { "philippinegreenparty.tk", true },
  { "philippinenewsvanguard.tk", true },
  { "philippkeschl.at", true },
  { "philipssupportforum.com", true },
  { "philipzhan.tk", true },
  { "phillippe-lemarc.ch", true },
  { "philna.sh", true },
  { "philo.shop", true },
  { "philosoftware.com.br", true },
  { "philosophers.tk", true },
  { "philosopherswool.com", true },
  { "philosophy-colleges.com", true },
  { "philosophyguides.org", true },
  { "philphonic.de", true },
  { "phils1990.com", true },
  { "philslab.cloud", true },
  { "philslab.ninja", true },
  { "philsown.de", true },
  { "philsturgeon.uk", true },
  { "philux.ch", false },
  { "phinphanatic.com", true },
  { "phive.eu", true },
  { "phoenixnest.ltd", true },
  { "phoenixnow.org", true },
  { "phoenixurbanspaces.com", true },
  { "phographer.com", true },
  { "pholder.com", true },
  { "phone-service-center.de", true },
  { "phone888.cn", true },
  { "phonedoc.it", true },
  { "phonemore.com", true },
  { "phonenumber-info.co.uk", true },
  { "phonenumberfind.tk", true },
  { "phonetikos.com", true },
  { "phongthuyanthinh.vn", false },
  { "phongthuyhoangmanh.vn", true },
  { "phongthuytaitam.vn", true },
  { "phormance.com", true },
  { "phosagro.biz", false },
  { "phosagro.com", false },
  { "phosagro.ru", false },
  { "phosphene.io", true },
  { "photistic.org", true },
  { "photo-castings.com", true },
  { "photo-livesearch.com", true },
  { "photo-paysage.com", true },
  { "photo.org.il", true },
  { "photoancestry.com", true },
  { "photoartelle.com", true },
  { "photobooth.id", true },
  { "photodeal.fr", true },
  { "photographe-reims.com", false },
  { "photographerforwedding.tk", true },
  { "photography-workshops.net", true },
  { "photolessya.by", true },
  { "photomodelcasting.com", true },
  { "photosafari.com.my", true },
  { "photosafaribg.com", true },
  { "photosaloncontest.com", true },
  { "photosgaia.ch", true },
  { "photoshop-tipps-und-tricks.de", true },
  { "phototravel.uk", true },
  { "photoutils.com", true },
  { "phoxden.net", true },
  { "phoxmeh.com", true },
  { "php-developer.org", true },
  { "php-tuning.de", true },
  { "php.watch", true },
  { "phparcade.com", true },
  { "phpartners.org", true },
  { "phpbbchinese.com", true },
  { "phpcrudgenerator.com", true },
  { "phpdorset.co.uk", true },
  { "phpfashion.com", true },
  { "phpkoru.com", true },
  { "phpliteadmin.org", true },
  { "phpmyadmin.net", true },
  { "phpmynewsletter.com", true },
  { "phpprime.com", true },
  { "phpsecure.info", true },
  { "phpstan.org", true },
  { "phpunit.de", true },
  { "phuductms.com", true },
  { "phuket-idc.com", true },
  { "phuket-idc.de", true },
  { "phuket-nash.ga", true },
  { "phukienchanh.com", true },
  { "phulyshop.com", true },
  { "phuoctran.com", true },
  { "phuoctran.com.vn", true },
  { "phuoctran.me", true },
  { "phuoctran.org", true },
  { "phuoctran.vn", true },
  { "phurl.de", true },
  { "phurl.io", true },
  { "phyley.com", true },
  { "phyllischerry.com", true },
  { "physicalism.com", true },
  { "physicalist.com", true },
  { "physicpezeshki.com", false },
  { "physics-schools.com", true },
  { "physik.hu", true },
  { "physiobiggerawaters.com.au", true },
  { "physiotherapie-seiwald.de", true },
  { "physiovesenaz.ch", false },
  { "pi-control.de", true },
  { "pi-dash.com", true },
  { "pi-net.dedyn.io", true },
  { "pi-supply.com", true },
  { "pi3kum.com", true },
  { "pianetaottica.com", false },
  { "pianetatatuaggi.it", true },
  { "pianomover.co.uk", true },
  { "pianos.de", true },
  { "pianyigou.com", true },
  { "piata.com.br", true },
  { "piataborrachas.com.br", true },
  { "piatabrasil.com.br", true },
  { "piatatem.com.br", true },
  { "piatika.com", true },
  { "piazzafrancesco.com", true },
  { "piboubes.me", true },
  { "pic.gov", false },
  { "pic2map.com", true },
  { "picchietti.io", true },
  { "piccirello.com", true },
  { "piccolo-parties.co.uk", true },
  { "pick.aw", true },
  { "pick150.hu", true },
  { "picka.gift", true },
  { "pickabrain.fr", true },
  { "pickaw.click", true },
  { "pickaw.com", true },
  { "pickaw.link", true },
  { "pickelhaubes.com", true },
  { "picklinik.id", true },
  { "pickormix.co.uk", true },
  { "picksin.club", true },
  { "pickupenc.ru", true },
  { "piclect.com", true },
  { "picom365.com", true },
  { "piconepress.com", true },
  { "picr.ws", true },
  { "picsto.re", true },
  { "pictorial.com.sg", true },
  { "pictoriastudios.com", true },
  { "pictorista.com", true },
  { "pictr.nl", true },
  { "picture.team", true },
  { "pictureguy.de", true },
  { "picturingjordan.com", true },
  { "pidginhost.com", true },
  { "pidibagrik.cz", true },
  { "pidjipi.com", true },
  { "pidmanager.de", true },
  { "pie-express.xxx", true },
  { "pieces-or.com", true },
  { "piedrasblancas.gov", true },
  { "piekacz.eu.org", true },
  { "piekacz.net", true },
  { "piekacz.tel", true },
  { "piektraining.com", true },
  { "pieland.eu", true },
  { "piem.org", true },
  { "piening.ddns.net", true },
  { "piepermail.nl", true },
  { "pieq.eu", true },
  { "pieq.eu.org", true },
  { "pier1url.com", true },
  { "pier28.com", true },
  { "piercing.hu", true },
  { "piercraft.com", true },
  { "pierre-denoblens.net", true },
  { "pierre-schmitz.com", true },
  { "pierreau.fr", true },
  { "pierrefv.com", false },
  { "pierreterrien.fr", true },
  { "pierreyvesdick.fr", true },
  { "pierrickdeniel.fr", true },
  { "pieter-verweij.nl", true },
  { "pieterbamps.tk", true },
  { "pieterbos.nl", true },
  { "pieterdev.net", true },
  { "pietermaene.be", false },
  { "pietz.uk", true },
  { "pif.email", true },
  { "piferdal.pt", true },
  { "piffer.ind.br", true },
  { "pigb.net", true },
  { "pigliadesigns.com", true },
  { "pijuice.com", true },
  { "pijusmagnificus.com", true },
  { "pik.bzh", true },
  { "pikafederation.ca", true },
  { "pikboxstore.com", true },
  { "piken.eu", true },
  { "pikio.pl", true },
  { "pilani.ch", false },
  { "pilarguineagil.com", true },
  { "pilatescenteraz.com", true },
  { "pilatespt.nl", true },
  { "pildat.org", true },
  { "pileofgarbage.net", true },
  { "pill.id", true },
  { "pillitteriobgyn.com", true },
  { "pillowfort.pub", true },
  { "pilot-colleges.com", true },
  { "pilotgrowth.com", true },
  { "pilsoncontracting.com", true },
  { "pilvi.pw", true },
  { "pilvin.pl", true },
  { "pimanta.com", true },
  { "pimhaarsma.nl", true },
  { "pimhaarsmamedia.nl", true },
  { "pimichi.com", true },
  { "pimpmymac.ru", true },
  { "pimpmypaper.com", true },
  { "pimpmyperf.fr", false },
  { "pimylifeup.com", true },
  { "pin.net.au", true },
  { "pinceaux.org", true },
  { "pinchuk.tk", true },
  { "pincodeit.com", true },
  { "pincong.rocks", true },
  { "pindanutjes.be", false },
  { "pinellaslaser.com", true },
  { "pinemountainnursery.com.au", true },
  { "pinemountbaptistchurch.org", true },
  { "pinetopazrealestate.com", true },
  { "pingworks.com", true },
  { "pingworks.de", true },
  { "pingworks.eu", true },
  { "pingworks.net", true },
  { "pinhadigital.com", true },
  { "pinheirofrio.pt", true },
  { "pinimg.com", true },
  { "pinkapple.com", true },
  { "pinkbike.com", true },
  { "pinkbikecycle.com", true },
  { "pinkbuff.com", true },
  { "pinkerton.io", true },
  { "pinklecfest.org", true },
  { "pinklittlenotebook.com", true },
  { "pinkoi.com", true },
  { "pinksec.com.au", true },
  { "pinkwalk.co.nz", true },
  { "pinkylam.me", true },
  { "pinnaclelife.co.nz", true },
  { "pinnakl.com", true },
  { "pinot.it", true },
  { "pinoydailytvshow.net", true },
  { "pinoyonlinetv.com", true },
  { "pinoytech.ph", true },
  { "pinpayments.com", true },
  { "pinpointengineer.co.uk", true },
  { "pinpromosisemarang.com", true },
  { "pinskupakki.fi", true },
  { "pinster.com", true },
  { "pinterest.at", true },
  { "pinterest.co.uk", true },
  { "pinterest.com", true },
  { "pinterest.de", true },
  { "pinterest.engineering", true },
  { "pinterest.ie", true },
  { "pinterest.info", true },
  { "pinterest.jp", true },
  { "pinterjann.is", true },
  { "pintiaux.com", true },
  { "pintosbeeremovals.co.za", true },
  { "pintoselectricfencing.co.za", true },
  { "pintoselectrician.co.za", true },
  { "pintosplumbing.co.za", true },
  { "pioneer-car.eu", true },
  { "pioneer-rus.ru", true },
  { "pionieren.tk", true },
  { "pipenav.gq", true },
  { "pipenny.net", true },
  { "pipeuro.com", true },
  { "pippenainteasy.com", true },
  { "pipscprd.ca", true },
  { "piraeuspress.gr", true },
  { "piramalglassusa.com", true },
  { "piranhaattack.tk", true },
  { "piraten-basel.ch", true },
  { "piraten-bv-nord.de", true },
  { "pirateparty.org.uk", true },
  { "pirateproxy.bet", true },
  { "pirateproxy.cam", true },
  { "pirateproxy.cat", true },
  { "pirateproxy.cc", true },
  { "pirateproxy.ch", true },
  { "pirateproxy.gdn", true },
  { "pirateproxy.id", true },
  { "pirateproxy.ist", true },
  { "pirateproxy.la", true },
  { "pirateproxy.lat", true },
  { "pirateproxy.one", true },
  { "pirateproxy.onl", true },
  { "pirateproxy.pl", true },
  { "pirateproxy.pw", true },
  { "pirateproxy.red", true },
  { "pirateproxy.sh", true },
  { "pirateproxy.tv", true },
  { "pirateproxy.vc", true },
  { "pirateproxy.vet", true },
  { "pirates-comic.com", true },
  { "piratesbrewcoffee.net", true },
  { "piratesforums.co", true },
  { "pircher.co.uk", true },
  { "pircher.tk", true },
  { "pires.ovh", true },
  { "pirman.es", true },
  { "piroleikki.co.jp", true },
  { "pirscapital.com", true },
  { "piruchita.com", true },
  { "pirxpilot.me", true },
  { "pis.eu.com", true },
  { "pisanpeikot.tk", true },
  { "piscine.roma.it", true },
  { "piseach.be", true },
  { "pisf.in", true },
  { "pishifu.org", true },
  { "piskenfuerwehr.de", true },
  { "pisquettes.fr", true },
  { "pissblau.com", true },
  { "pissflaps.co.uk", true },
  { "pistonkandidatu.tk", true },
  { "pistonpowered.com", true },
  { "pisupp.ly", true },
  { "pitaiabank.com", true },
  { "pitaiatrade.com", true },
  { "pitbooks.ga", true },
  { "pitbullsecuritysolutions.ca", true },
  { "pitchup.com", true },
  { "pitchupp.com", true },
  { "pitot-rs.org", true },
  { "pitoufi.fr", true },
  { "pitshift.com", true },
  { "piu.moe", true },
  { "piucellulare.it", true },
  { "pivbar.tk", true },
  { "pivniraj.com", true },
  { "pivotaltracker.com", true },
  { "pivotanimation.org", true },
  { "pivotanimation.tk", true },
  { "pivovarcunak.cz", true },
  { "pix5.de", true },
  { "pixael.com", true },
  { "pixe2019.org", true },
  { "pixel.facebook.com", false },
  { "pixel.google.com", true },
  { "pixelabs.fr", true },
  { "pixelcatproductions.net", true },
  { "pixelcomunicacion.com", true },
  { "pixelcubed.com", true },
  { "pixelecommerce.com", true },
  { "pixelmedianetwork.com", true },
  { "pixelminers.net", true },
  { "pixelsquared.us", true },
  { "pixelurbia.com", true },
  { "pixelution.at", true },
  { "pixelz.cc", true },
  { "pixiin.com", true },
  { "pixiv.cat", true },
  { "pixiv.moe", true },
  { "pixivimg.me", true },
  { "pixlfox.com", true },
  { "pixloc.fr", true },
  { "pixshop.fr", true },
  { "pizza-calzone.com", true },
  { "pizza-show.fr", true },
  { "pizzabesteld.nl", true },
  { "pizzafest.ddns.net", true },
  { "pizzagigant.hu", true },
  { "pizzahut.ru", true },
  { "pizzariapartiupizza.com.br", true },
  { "pizzeria-mehrhoog.de", true },
  { "pizzeriaamadeus.hr", true },
  { "pizzeriacolore.com", true },
  { "pizzeriasmallorca.com", true },
  { "pj11018.com", false },
  { "pj21299.com", false },
  { "pj21399.com", false },
  { "pj21499.com", false },
  { "pj21599.com", false },
  { "pj21677.com", false },
  { "pj21678.com", false },
  { "pj21877.com", false },
  { "pj21992.com", false },
  { "pj21994.com", false },
  { "pj21995.com", false },
  { "pj21aa.com", false },
  { "pj21g.com", false },
  { "pj21gg.com", false },
  { "pj21kk.com", false },
  { "pj21n.com", false },
  { "pj21s.com", false },
  { "pj21t.com", false },
  { "pj21z.com", false },
  { "pj4488.cc", false },
  { "pj5588.cc", true },
  { "pjentertainments.co.uk", true },
  { "pjgj16.com", true },
  { "pjleisure.co.uk", true },
  { "pjo.no", true },
  { "pjshop.cf", true },
  { "pjuu.com", false },
  { "pjylb.com", true },
  { "pk.search.yahoo.com", false },
  { "pk.wiki", true },
  { "pk6132.com", true },
  { "pk8.com", true },
  { "pk8k.com", true },
  { "pk9.com", true },
  { "pkbjateng.or.id", true },
  { "pkdhungthinh.com", true },
  { "pkeus.de", true },
  { "pkgt.de", false },
  { "pkirwan.com", true },
  { "pkisolutions.com", true },
  { "pkov.cz", true },
  { "pkphotobooths.co.uk", true },
  { "pkvitality.com", true },
  { "pl-cours.ch", false },
  { "pl-trans.tk", true },
  { "pl.search.yahoo.com", false },
  { "placasonline.com.br", true },
  { "placedaffiliate.com", true },
  { "placedapps.com", true },
  { "placedsupport.com", true },
  { "placehold.co", true },
  { "placeitsf.com", true },
  { "placepugs.com", true },
  { "placeralplato.com", true },
  { "placker.com", true },
  { "plae.com.au", true },
  { "plage-les-pirates.fr", false },
  { "plagiarismcheck.org", true },
  { "plainbulktshirts.co.za", true },
  { "plainjs.com", true },
  { "plaintech.net.au", true },
  { "plaintextpledge.com", true },
  { "plaintextpledge.email", true },
  { "plaintextpledge.eu", true },
  { "plaintextpledge.net", true },
  { "plaintextpledge.org", true },
  { "plaisirdumouvement.com", true },
  { "plaisirs-coquins.com", true },
  { "plan-it-events.de", true },
  { "planboardapp.com", true },
  { "planbox.info", true },
  { "plandegralba.net", true },
  { "planecon.nz", true },
  { "planer.me", true },
  { "planet-work.com", true },
  { "planet.live", true },
  { "planeta-deti.org", true },
  { "planeta-remontika.ga", true },
  { "planetadeti.org", true },
  { "planetanim.fr", true },
  { "planetarian.moe", true },
  { "planetarydesign.com", true },
  { "planetasuboficial.com.br", true },
  { "planetau2.com", true },
  { "planetbreath.ch", false },
  { "planetchiropracticga.com", true },
  { "planete-lira.fr", true },
  { "planeteroliste.com", true },
  { "planeteroliste.fr", true },
  { "planetknauer.net", true },
  { "planetloisirs.com", true },
  { "planetofthegames.tv", true },
  { "planetpowershell.com", true },
  { "planetromeo.com", true },
  { "planetromeofoundation.org", true },
  { "planetsoftware.com.au", true },
  { "planettimer.com", true },
  { "planify.io", false },
  { "planisys.net", true },
  { "planitz.com", true },
  { "planitz.net", true },
  { "planitz.org", true },
  { "planktonforhealth.co.uk", true },
  { "planlos.net", true },
  { "planmemberpartners.com", true },
  { "plannedlink.com", true },
  { "planosylicencias.de", true },
  { "planrow.com", true },
  { "plant-gift.jp", true },
  { "plantarportugal.org", true },
  { "plantarum.com.br", true },
  { "plantastique.ch", false },
  { "planteforum.no", true },
  { "plantekno.com", true },
  { "plantes.ch", true },
  { "plantron.gr", true },
  { "plantroon.com", true },
  { "plantsupplement.co.uk", true },
  { "planujemywesele.pl", true },
  { "planungsregion-abw.de", true },
  { "planview.com", true },
  { "plaque-funeraire.fr", true },
  { "plaque-immatriculation-auto.com", true },
  { "plassmann.ws", true },
  { "plastdesign.com.ua", true },
  { "plastic-id.com", true },
  { "plasticbags.co.uk", true },
  { "plasticosbiobasados.com", true },
  { "plasticstare.com", true },
  { "plasticsurgerynola.com", true },
  { "plasticsurgeryservices.com", true },
  { "plastischechirurgie-linz.at", true },
  { "plastovelehatko.cz", true },
  { "plateformecandidature.com", true },
  { "platform161.com", true },
  { "platform39.com", true },
  { "platformadmin.com", true },
  { "platformlms.org", true },
  { "platinapump.com", true },
  { "platomania.eu", true },
  { "platomania.nl", true },
  { "platten-nach-mass.de", true },
  { "platter.ga", true },
  { "platypiduses.com", true },
  { "plavdoma.com.ua", true },
  { "play-casino-japan.com", true },
  { "play-charades.com", true },
  { "play-the-furyu.com", true },
  { "play.cash", true },
  { "play.google.com", true },
  { "playandwin.co.uk", true },
  { "playanka.com", true },
  { "playawaycastles.co.uk", true },
  { "playcollect.net", true },
  { "playdaysparties.co.uk", true },
  { "playelephant.com", true },
  { "playerdb.co", true },
  { "playfinder.com", true },
  { "playinfinity.com", true },
  { "playinfinityvr.com", true },
  { "playlisten.radio.br", true },
  { "playmytime.com", true },
  { "playnation.io", true },
  { "playnow.com", true },
  { "playnuganug.com", true },
  { "playocean.net", true },
  { "playpirates.com", true },
  { "playreal.city", true },
  { "playsawdust.com", true },
  { "playsharp.com", true },
  { "playsnake.org", true },
  { "playsprout.industries", true },
  { "playstationtrophies.org", true },
  { "playtictactoe.org", true },
  { "playtimebouncycastles.co.uk", true },
  { "playtopia.com", true },
  { "playtopia.fr", true },
  { "playtopia.nl", true },
  { "playtopia.no", true },
  { "playtzolk.in", true },
  { "playviolinmusic.com", true },
  { "plazasummerlin.com", true },
  { "plcgurus.net", true },
  { "pldx.org", true },
  { "pleasantonmobilenotary.com", true },
  { "pleasure-science.com", true },
  { "plegro.com", true },
  { "pleier-it.de", false },
  { "pleier.it", false },
  { "pleine-conscience.ch", false },
  { "plekker.be", true },
  { "plenigo.com", true },
  { "plenkanaotrez.ml", true },
  { "plesse.pl", true },
  { "plexa.de", true },
  { "plexhome13.ddns.net", true },
  { "plezantforum.net", true },
  { "plgr.cc", true },
  { "pliosoft.com", true },
  { "plissee-experte.de", true },
  { "plitu.de", true },
  { "plixer.com", true },
  { "plny.eu", true },
  { "plob.org", true },
  { "ploegleiderbhv.nl", true },
  { "ploi.io", true },
  { "plokko.com", true },
  { "plongee-phuket.fr", true },
  { "plot.ly", true },
  { "plotbubble.com", true },
  { "ploxel.com", true },
  { "plr4wp.com", true },
  { "plsboop.me", true },
  { "pluga.co", true },
  { "plugcubed.net", false },
  { "plugin-planet.com", true },
  { "pluginfactory.io", true },
  { "plugins-telechargement.com", true },
  { "pluginsetemaswp.com", true },
  { "pluginsloaded.com", true },
  { "pluimveeplanner.nl", true },
  { "plumber-in-sandton.co.za", true },
  { "plumbercincoranch.com", true },
  { "plumberlewisvilletexas.com", true },
  { "plumbermountedgecombe.co.za", true },
  { "plumberumhlangarocks.co.za", true },
  { "plumbingandheatingspecialistnw.com", true },
  { "plumbingbenoni.co.za", true },
  { "plumbingcentral.com.au", true },
  { "plumbingglenvista.co.za", true },
  { "plumbingkingsllc.com", true },
  { "plumbingofmesquite.com", true },
  { "plumlocosoft.com", true },
  { "plumnet.ch", true },
  { "plur.com.au", true },
  { "plural.cafe", true },
  { "plus-5.com", true },
  { "plus-aliance.ru", true },
  { "plus-immo-neuf.fr", true },
  { "plus.google.com", false },
  { "plus.sandbox.google.com", true },
  { "plus15.ml", true },
  { "pluslink.co.jp", true },
  { "plusmobile.fr", true },
  { "plusreed.com", true },
  { "plusstreamfeed.appspot.com", true },
  { "pluta.net", true },
  { "pluth.org", true },
  { "plutiedev.com", true },
  { "pluto.life", true },
  { "plutokorea.com", true },
  { "plutopia.ch", true },
  { "plymouthbouncycastles.co.uk", true },
  { "plz.report", true },
  { "plzdontpwn.me", true },
  { "plzh4x.me", true },
  { "pm-onboarding-external-dev.azurewebsites.net", true },
  { "pm-partners-management-dev.azurewebsites.net", true },
  { "pm.link", true },
  { "pm.me", true },
  { "pm13.cz", true },
  { "pm13.org", true },
  { "pm25.im", true },
  { "pmaene.be", false },
  { "pmalaty.com", true },
  { "pmarbeid.nl", true },
  { "pmarques.info", true },
  { "pmartin.tech", true },
  { "pmbc.org", true },
  { "pmbsteelbuildings.com", true },
  { "pmcc.net", true },
  { "pmccrystal.com", true },
  { "pmcfarland.space", true },
  { "pmcorganometallix.com", true },
  { "pmcouvrie.com", true },
  { "pmcvinyladditives.com", true },
  { "pmf.gov", true },
  { "pmg-offshore-company.com", true },
  { "pmg-p4p.de", true },
  { "pmg-purchase.com", true },
  { "pmg-purchase.net", true },
  { "pmi.gov", true },
  { "pmklaassen.com", true },
  { "pmnaish.co.uk", true },
  { "pmoreau.org", true },
  { "pmp-art.com", true },
  { "pmp6.fr", true },
  { "pmsf.eu", true },
  { "pmt-documenten.nl", true },
  { "pn.id.lv", true },
  { "pnawrocki.com", true },
  { "pneu01.fr", true },
  { "pneu74.fr", true },
  { "pneuhaus-lemp.ch", true },
  { "pnimmobilier.ch", false },
  { "pnnl.gov", true },
  { "pnona.cz", true },
  { "pnsc.is", true },
  { "pnut.io", false },
  { "po.net", true },
  { "po0k.ie", true },
  { "pocatellonissanparts.com", true },
  { "pochaneko.com", true },
  { "pochoden-praha.cz", true },
  { "pocitacezababku.cz", true },
  { "pocketfruity.com", true },
  { "pocketinsure.com", true },
  { "pocketpasta.com", true },
  { "pocze.ch", true },
  { "podcrto.si", true },
  { "poddr.co", true },
  { "podemos.info", true },
  { "podipod.com", true },
  { "podlibre.org", true },
  { "podobovo.if.ua", true },
  { "podroof.com", true },
  { "podroof.com.au", true },
  { "podshrink.de", true },
  { "podsvojostreho.net", true },
  { "poe.digital", true },
  { "poed.net.au", true },
  { "poemerx.com", true },
  { "poemerx.net", true },
  { "poemlife.com", true },
  { "poemwall.ml", true },
  { "poetenblog.tk", true },
  { "poetry.ge", true },
  { "poezja.com.pl", true },
  { "poffenhouse.ddns.net", true },
  { "pogera.com", true },
  { "pogetback.pl", true },
  { "pogoswine.com", true },
  { "pogotowiekomputeroweolsztyn.pl", true },
  { "pogrebisky.net", true },
  { "pohlednice-tap.cz", true },
  { "pohlmann.io", true },
  { "poinsot.info", true },
  { "pointaction.com", true },
  { "pointforwardinc.net", true },
  { "pointiswunderland.de", true },
  { "pointmaquininha.com", true },
  { "pointsixtyfive.com", true },
  { "pointum.com", true },
  { "pointzip.ml", true },
  { "poisk.kharkov.ua", true },
  { "pojdnafp.cz", true },
  { "pojer.me", true },
  { "pokazy-iluzji.pl", true },
  { "poke.blue", true },
  { "pokedex.mobi", true },
  { "pokefarm.com", true },
  { "pokeforest.io", true },
  { "pokeinthe.io", true },
  { "pokeli.de", true },
  { "pokemonargentina.tk", true },
  { "pokemondb.net", true },
  { "pokemongochamp.com", true },
  { "pokemongostatus.org", true },
  { "pokemonguide.tk", true },
  { "pokemonlab.com", true },
  { "pokemonsimulator.com", true },
  { "pokemontabletopadventures.com", true },
  { "pokemori.jp", true },
  { "poker4all.tk", true },
  { "pokeram.ml", true },
  { "pokerking.club", true },
  { "pokl.cz", true },
  { "pokoleniebar.ru", true },
  { "pokrowcecardo.pl", true },
  { "polaire.org", true },
  { "polan.tk", true },
  { "polanda.com", true },
  { "polar-baer.com", true },
  { "polarauto.pt", true },
  { "pole-emotion.ch", false },
  { "poleacademie.com", false },
  { "poles4pilots.com", true },
  { "polestar.com.tw", true },
  { "police-schools.com", true },
  { "policereferencecheck.com", true },
  { "policesromandesrecrutement.ch", true },
  { "policyreporter.com", false },
  { "polimer39.ml", true },
  { "polinet.de", true },
  { "polis.or.at", true },
  { "polis.to", false },
  { "polis812.ru", true },
  { "polish-dictionary.com", true },
  { "polish-flag.com", true },
  { "polish-translations.com", true },
  { "polish-translator.com", true },
  { "polish-translator.net", true },
  { "polish-translators.net", true },
  { "polishforums.com", false },
  { "polishmarriage.org", true },
  { "polishtranslation.com", true },
  { "polishwomen.com", true },
  { "polisipati.tk", true },
  { "polit.im", true },
  { "political-science-schools.com", true },
  { "politicsandnews.cf", true },
  { "politicsnews.ga", true },
  { "politiezoneriho.be", true },
  { "politik-bei-uns.de", true },
  { "politsei.ee", true },
  { "politvesti.tk", true },
  { "polki.com", true },
  { "pollendine.co.uk", true },
  { "polletmera.com", false },
  { "pollev.com", true },
  { "polleverywhere.com", true },
  { "polliconstruction.com", true },
  { "pollingplace.uk", true },
  { "pollybarks.com", true },
  { "polog.tk", true },
  { "pologalileo.eu", true },
  { "polomack.eu", true },
  { "poloniainfo.com", true },
  { "polska-robota.com.ua", true },
  { "polskiemalzenstwo.org", true },
  { "polskienewsy.tk", true },
  { "polybius.io", true },
  { "polycoise.com", true },
  { "polycraftual.co.uk", true },
  { "polyfluoroltd.com", false },
  { "polygamer.net", true },
  { "polygraphi.ae", true },
  { "polymake.org", true },
  { "polynomapp.com", true },
  { "polypane.rocks", true },
  { "polypet.com.sg", true },
  { "polytarian.com", true },
  { "polytekniskforening.dk", true },
  { "pomar.club", true },
  { "pomdoc.com", true },
  { "pomegranate.productions", true },
  { "pomelo-paradigm.com", true },
  { "pommedepain.fr", true },
  { "pomockypredeti.sk", true },
  { "pomocniczy.eu.org", true },
  { "pomorskibereg.ml", true },
  { "pompeii.tickets", true },
  { "pompiers-martigny.ch", false },
  { "pompoco.info", true },
  { "pomsinoz.com", true },
  { "pomtom.co.nz", true },
  { "poncho-bedrucken.de", true },
  { "ponere.dz", true },
  { "poneypourtous.com", false },
  { "ponga.se", true },
  { "ponio.org", true },
  { "ponnau.com", true },
  { "pony-cl.co.jp", true },
  { "pony.tf", true },
  { "ponychan.net", true },
  { "ponydesignclub.nl", true },
  { "ponyfoo.com", true },
  { "poodleassassin.com", true },
  { "poodlefan.net", true },
  { "poolmans.se", true },
  { "poolsafely.gov", true },
  { "poolsafety.gov", true },
  { "pooltools.net", true },
  { "poolvilla-margarita.net", true },
  { "poon.io", true },
  { "poopjournal.rocks", true },
  { "poopr.ru", true },
  { "poopthereitisla.com", true },
  { "poorclarepa.org", true },
  { "pop-corn.ro", true },
  { "pop.dk", true },
  { "popcat.ru", true },
  { "popcornpalacefundraising.com", true },
  { "popcultureshack.com", true },
  { "popeyes.com", false },
  { "popinga.it", true },
  { "popitsnack.com", true },
  { "popjudge.ml", true },
  { "popmagz.com", true },
  { "popova.tk", true },
  { "popoway.cloud", true },
  { "popoway.me", true },
  { "popoway9.ml", true },
  { "poppetsphere.de", true },
  { "poppincurls.com", true },
  { "populardogs.gq", true },
  { "population-ethics.com", true },
  { "popupbazaar.tk", true },
  { "popvitrin.com", true },
  { "poquiloco.com", true },
  { "poquvi.net", true },
  { "porchdaydreamer.com", true },
  { "porcore.com", true },
  { "porelcorazon.com", true },
  { "porelsam.ml", true },
  { "porevo.tk", true },
  { "porg.es", true },
  { "porinnuotiopojat.tk", true },
  { "pork.org.uk", true },
  { "porkel.de", true },
  { "porkyx.com", true },
  { "porn7.net", true },
  { "porn77.info", true },
  { "pornagent.de", true },
  { "pornalpha.com", true },
  { "pornbay.eu", true },
  { "pornbay.org", true },
  { "porncompanions.com", true },
  { "porndragon.net", true },
  { "pornfacefinder.com", false },
  { "pornflare.net", true },
  { "pornforwomentube.com", true },
  { "porngay.co", true },
  { "pornhubhd.biz", true },
  { "pornimg.net", true },
  { "pornjunkiesxxx.com", true },
  { "pornleg.com", true },
  { "pornless.biz", true },
  { "pornloupe.com", true },
  { "pornmax.net", true },
  { "pornmega.net", true },
  { "pornmixed.com", true },
  { "porno-gif.ru", true },
  { "porno-stars-video.ru", true },
  { "pornofilmovi.us", true },
  { "pornohub.su", true },
  { "pornolab.su", true },
  { "pornolarizlehd.com", true },
  { "pornomens.be", true },
  { "pornopark.nl", true },
  { "pornovk.xxx", true },
  { "pornport.org", true },
  { "pornshop.biz", true },
  { "pornsocket.com", true },
  { "pornstop.net", true },
  { "pornsuper.net", true },
  { "pornteddy.com", true },
  { "pornultra.net", true },
  { "porny.xyz", true },
  { "pors-sw.cz", true },
  { "porsi.pt", true },
  { "port443.hamburg", false },
  { "port443.se", true },
  { "port5060.net", true },
  { "port67.org", true },
  { "port80.hamburg", false },
  { "portable-games.tk", true },
  { "portafoliodenegocios.com.mx", true },
  { "portailevangelique.ca", true },
  { "portal-books.ga", true },
  { "portal-ru.tk", true },
  { "portal.tirol.gv.at", true },
  { "portalaltadefinicao.com", true },
  { "portaleldense.tk", true },
  { "portalexpressservices.com", true },
  { "portaltudoaver.com", true },
  { "portalz.xyz", true },
  { "portamiinpista.it", false },
  { "portatiles-baratos.net", true },
  { "porte.roma.it", true },
  { "portercup.com", true },
  { "porterranchelectrical.com", true },
  { "portesmagistral.com", true },
  { "portiaweb.org.uk", true },
  { "portierato.it", true },
  { "portofala.pt", true },
  { "portofrotterdam.com", false },
  { "portosonline.pl", true },
  { "portsdebalears.gob.es", true },
  { "portsmouthbouncycastles.co.uk", true },
  { "portsolent.com", true },
  { "portugal-a-programar.pt", true },
  { "portugalsko.net", true },
  { "porybox.com", true },
  { "posaunenchor-senden.de", true },
  { "posbank.co.uk", true },
  { "posbich.net", true },
  { "poseidonwaterproofing.com", true },
  { "poshcastles.co.uk", true },
  { "poshlashes.se", true },
  { "poshsecurity.com", true },
  { "positionus.io", true },
  { "positive.com.cy", true },
  { "positiverbeitrag.net", true },
  { "positiverbeitrag.org", true },
  { "positivos.tk", true },
  { "poslusny.com", true },
  { "posobota.cz", true },
  { "post-darwinian.com", true },
  { "post-darwinism.com", true },
  { "post.icu", true },
  { "post.io", true },
  { "post.monster", true },
  { "post4me.at", true },
  { "postal.dk", true },
  { "postal3.es", true },
  { "postandfly.com", true },
  { "postawnasiebie.pl", true },
  { "postblue.info", true },
  { "postcode.nl", true },
  { "postcodeswag.co.uk", true },
  { "postcodeswag.com", true },
  { "postcodeswag.uk", true },
  { "postdarwinian.com", true },
  { "postdarwinism.com", true },
  { "postdeck.de", true },
  { "posteo.de", true },
  { "posterspy.com", true },
  { "postfalls-naturopathic.com", true },
  { "postfinance.ch", true },
  { "postimages.org", true },
  { "postimg.cc", true },
  { "postmatescode.com", true },
  { "postmistress.email", true },
  { "postmusicologia.tk", true },
  { "postn.eu", true },
  { "postoffices.co.in", true },
  { "postoyanstvo.cf", true },
  { "postsubmeta.net", true },
  { "posttigo.com", true },
  { "posyperfume.com", true },
  { "potatiz.com", true },
  { "potato.im", true },
  { "potatopro.com", true },
  { "potatotee.com", true },
  { "potature.it", true },
  { "potature.org", true },
  { "potature.rimini.it", true },
  { "potature.roma.it", true },
  { "potbar.com", true },
  { "potentialproject.com", false },
  { "poterepersonale.it", true },
  { "potgrowersunion.com", true },
  { "pothe.com", true },
  { "pothe.de", true },
  { "potionlabs.de", true },
  { "potolok-brest.tk", true },
  { "potolok.am", true },
  { "potomac.cf", true },
  { "potomacurology.com", true },
  { "potreningu.pl", true },
  { "potterperfect.tk", true },
  { "pottersheartministry.org", true },
  { "potterybroker.ga", true },
  { "pottshome.co.uk", true },
  { "potworowski.de", true },
  { "potz.tk", true },
  { "potzwonen.nl", true },
  { "poudlard.fr", true },
  { "poundgatepark.co.uk", true },
  { "poundwholesale.co.uk", true },
  { "pourlesenfants.info", true },
  { "pouwels-oss.nl", true },
  { "povarchik.com", true },
  { "povareschka.ru", true },
  { "povesham.tk", true },
  { "povmacrostabiliteit.nl", true },
  { "pow-s.com", true },
  { "pow.jp", true },
  { "powch.com", true },
  { "powelljones.co.uk", true },
  { "power-flowengineer.com", true },
  { "powerball.shop", true },
  { "powerbi.istanbul", true },
  { "powerblanket.com", true },
  { "powercloud.technology", true },
  { "poweredbyiris.nl", true },
  { "powerfortunes.com", true },
  { "powergok.com", true },
  { "powerinboxperformance.com", true },
  { "powerlifting.tk", true },
  { "powermeter.at", true },
  { "powerplantmall.com", true },
  { "powerpointschool.com", true },
  { "powersaleskc.com", true },
  { "powersergdatasystems.com", true },
  { "powersergdynamic.com", true },
  { "powersergemployeesonly.com", true },
  { "powersergholdings.com", true },
  { "powerwellness-korecki.de", true },
  { "pozarevac.tk", true },
  { "pozd.tk", true },
  { "pozemedicale.org", true },
  { "pozharnyi.tk", true },
  { "pozitiffchik.ml", true },
  { "pozitive.pl", true },
  { "pozlife.net", true },
  { "poznaj-siebie.pl", true },
  { "poznajrynek.pl", true },
  { "pp-server.com", true },
  { "pp3345.net", true },
  { "ppcrestaurants.com", true },
  { "ppipe.net", true },
  { "pplsoft.nl", true },
  { "pplsvc.com", true },
  { "ppmathis.ch", true },
  { "ppmathis.com", true },
  { "ppmoon.com", true },
  { "ppoozl.com", true },
  { "ppro.com", true },
  { "ppy.la", true },
  { "ppy.sh", true },
  { "pqgruber.com", true },
  { "pr-news.spb.ru", true },
  { "pr.search.yahoo.com", false },
  { "pr1sm.com", true },
  { "pr2studio.com", true },
  { "pr3.space", true },
  { "prac.to", true },
  { "pracevjihlave.cz", true },
  { "pracownia-porta.pl", true },
  { "practicalbytes.de", true },
  { "practicalhomes.com.au", true },
  { "practicallabs.com", true },
  { "practicalprogrammer.tech", true },
  { "practiceflow.nl", true },
  { "practicepanther.com", true },
  { "practisforms.com", true },
  { "practo.com", true },
  { "practodev.com", true },
  { "pradeek.tk", true },
  { "prado.it", true },
  { "praeparation-keppner.de", true },
  { "praerien-racing.com", true },
  { "praetzlich-hamburg.de", true },
  { "pragata.id", true },
  { "pragma-solution.com", true },
  { "pragmatist.nl", true },
  { "prague-swim.cz", true },
  { "praguemakeover.com", true },
  { "praguepsychology.com", true },
  { "praguepsychology.cz", true },
  { "pragueswim.cz", true },
  { "praha-9.eu", true },
  { "prajwalkoirala.com", true },
  { "prakhar.uk", true },
  { "prakharprasad.com", true },
  { "praktijkdevecht.nl", true },
  { "praktijkpassepartout.nl", true },
  { "praktiker.hu", true },
  { "praladofuturo.blog", true },
  { "praleria.com", true },
  { "pranita-schals.de", true },
  { "pranita.cz", true },
  { "pranita.sk", true },
  { "pranksearch.ml", true },
  { "prankstercompany.com", true },
  { "pratemarkets.com", true },
  { "praticienmedecinechinoise.be", true },
  { "pratorotoli.it", true },
  { "pravaha-elixirs.com", true },
  { "pravnisistem.rs", true },
  { "pravo911.tk", true },
  { "pravoslavie.tk", true },
  { "pravoslavnayarus.tk", true },
  { "pravosudie.tk", true },
  { "prawnikdlaanglii.co.uk", true },
  { "praxino.de", false },
  { "praxis-familienglueck.de", true },
  { "praxistipp24.com", true },
  { "prayercentric.com", true },
  { "prayerrequest.com", true },
  { "prc.gov", true },
  { "precedencemedia.com", true },
  { "precept.uk.com", true },
  { "preciouslife.fr", true },
  { "preciscx.com", true },
  { "preciseassemblies.com", true },
  { "precision-tops.com", true },
  { "precision.st", true },
  { "precisionclan.com", true },
  { "precisiondigital-llc.com", true },
  { "precisionhealthpilot.org", true },
  { "precisionhockey.net", true },
  { "precisionicerinks.com", true },
  { "precisionmachineservice.com", true },
  { "precisionvaccinations.com", true },
  { "precode.eu", true },
  { "predkosci.pl", true },
  { "predoiu.ro", true },
  { "predskazanie.tk", true },
  { "preference.ga", true },
  { "preferredreverse.com", true },
  { "prefix.eu", true },
  { "prefontaine.name", true },
  { "pregunteleakaren.gov", true },
  { "preigu.de", true },
  { "preis-reifen.de", true },
  { "preisser-it.de", true },
  { "preisser.it", true },
  { "preissler.co.uk", true },
  { "preload.link", true },
  { "preloaded-hsts.badssl.com", true },
  { "preludes.org", true },
  { "prelved.com", true },
  { "prelved.es", true },
  { "prelved.fi", true },
  { "prelved.fr", true },
  { "prelved.it", true },
  { "prelved.nl", true },
  { "prelved.pl", true },
  { "prelved.se", true },
  { "prematureacceleration.club", true },
  { "preme.name", true },
  { "premierbb.com", true },
  { "premierbouncycastles.co.uk", true },
  { "premierdisco.co.uk", true },
  { "premiereco.com.sg", true },
  { "premieresloges.ca", false },
  { "premierevents.ie", true },
  { "premierheart.com", true },
  { "premierjewelersjax.com", true },
  { "premiermaldives.com", true },
  { "premiermortgageservices.com", true },
  { "premierrange.co.uk", true },
  { "premiership-predictors.co.uk", true },
  { "premioambiente.it", true },
  { "premiovapozicovna.sk", true },
  { "premised.land", true },
  { "premium-computer.fr", true },
  { "premiumcredit.am", true },
  { "premiumdeal.org", true },
  { "premiumhosting.com.hr", true },
  { "premiumiptvplus.com", true },
  { "premiumplusiptv.com", true },
  { "premiumweb.co.id", true },
  { "premiumwebdesign.it", true },
  { "premkumar.net", true },
  { "premtech.nl", true },
  { "prenatalgeboortekaartjes.nl", true },
  { "prepadefi.fr", true },
  { "prepagosyescortforyou.com", true },
  { "prepaid-cards.xyz", true },
  { "prepaid-voip.nl", true },
  { "prepaidgirl.com", true },
  { "prepaidkredietkaart.be", true },
  { "prepare-job-hunting.com", true },
  { "preparetheword.com", true },
  { "prepavesale.fr", true },
  { "prepfba.com", true },
  { "prepperswill.com", true },
  { "presbee.com", true },
  { "presbvm.org", true },
  { "presbyterian-colleges.com", true },
  { "prescotonline.co.uk", true },
  { "presdesdunes.com", true },
  { "present-m.com", true },
  { "presentationmedia.com", true },
  { "preserveourhillcountry.org", true },
  { "president.bg", true },
  { "presidentdirectory.ga", true },
  { "presidentialserviceawards.org", true },
  { "presidio.gov", true },
  { "prespanok.sk", true },
  { "pressakey.com", true },
  { "presscenter.jp", true },
  { "presscuozzo.com", true },
  { "presseagrume.net", true },
  { "pressertech.com", true },
  { "presses.ch", false },
  { "pressplayandrelax.com", true },
  { "pressrush.com", true },
  { "pressspace2hack.com", true },
  { "pressspacetohack.com", true },
  { "pressup.it", true },
  { "pressureradio.com", true },
  { "prestige-car-location.ch", false },
  { "prestige-portal.com", true },
  { "prestigebouncycastles.co.uk", true },
  { "prestigerepairs.com.au", true },
  { "prestigesoundandlight.co.uk", true },
  { "prestonandsons.com.au", true },
  { "prestonbrant.com", true },
  { "prestonetwork.eu", true },
  { "prethost.com", true },
  { "pretix.eu", true },
  { "pretor.com.pl", true },
  { "pretor.eu", true },
  { "pretor.pl", true },
  { "pretorcup.pl", true },
  { "pretty.hu", true },
  { "prettycities.ga", true },
  { "prettygirlcheats.com", true },
  { "pretzelx.com", true },
  { "prevenir.ch", false },
  { "preventfalls.com", true },
  { "preview-it-now.com", true },
  { "previousmagazine.com", true },
  { "prexxorvita.com", true },
  { "prgrmmr.nl", true },
  { "pricegg.com", true },
  { "priceremoval.net", true },
  { "pricesim.com", true },
  { "pricesniffer.co", true },
  { "prideindomination.com", true },
  { "pridnestrovye.gq", true },
  { "prielwurmjaeger.de", true },
  { "primaconsulting.net", true },
  { "primaflorafloristaccrington.co.uk", true },
  { "primalbase.com", true },
  { "primalinea.pro", true },
  { "primalshop.dk", true },
  { "primananda.com", true },
  { "primates.com", true },
  { "primecursos.com.br", true },
  { "primeequityproperties.com", true },
  { "primegiftindia.com", true },
  { "primelogistics.cf", true },
  { "primetrial.co.uk", true },
  { "primetrialfree.co.uk", true },
  { "primglaz.ru", true },
  { "primoloyalty.com", true },
  { "primopan.org", true },
  { "primorus.lt", true },
  { "princefamilylaw.co.uk", true },
  { "princelishan.com", true },
  { "princelishan.com.tw", true },
  { "princesparktouch.com", true },
  { "princessefoulard.com", true },
  { "princetonnassaupediatrics.com", true },
  { "princezna.club", true },
  { "principalstest.com", true },
  { "principalstest.review", true },
  { "principaltoolbox.com", true },
  { "principia-journal.de", true },
  { "principia-magazin.de", true },
  { "principia-online.de", true },
  { "princovi.cz", true },
  { "prinice.org", true },
  { "printeknologies.com", true },
  { "printerleasing.be", true },
  { "printerpoint.co.in", true },
  { "printfn.com", false },
  { "printler.com", true },
  { "printmet.com", true },
  { "printmet.ru", true },
  { "printmijn3dmodel.be", true },
  { "printus.de", true },
  { "prior-it.be", true },
  { "priorite-education.com", true },
  { "priorityelectric-agourahills.com", true },
  { "priorityelectric-calabasas.com", true },
  { "priorityelectric-camarillo.com", true },
  { "priorityelectric-dosvientos.com", true },
  { "priorityelectric-hiddenhills.com", true },
  { "priorityelectric-lakesherwood.com", true },
  { "priorityelectric-malibu.com", true },
  { "priorityelectric-moorpark.com", true },
  { "priorityelectric-newburypark.com", true },
  { "priorityelectric-oakpark.com", true },
  { "priorityelectric-simivalley.com", true },
  { "priorityelectric-thousandoaks.com", true },
  { "priorityelectric-westlakevillage.com", true },
  { "priorityelectric.biz", true },
  { "priorityelectric.info", true },
  { "priorityelectric.mobi", true },
  { "priorityelectric.net", true },
  { "priorityessays.com", true },
  { "priorityfakes.com", true },
  { "prioritylawyers.com.au", true },
  { "prioritynissannewportnewsparts.com", true },
  { "prismacloud.com", true },
  { "prismacloud.xyz", true },
  { "prisminfosys.com", true },
  { "prismintl.org", true },
  { "pristal.eu", true },
  { "pristinegreenlandscaping.com", true },
  { "pritchi.tk", true },
  { "priv.gc.ca", true },
  { "priv.im", true },
  { "privacy-week-vienna.at", true },
  { "privacy-week.at", true },
  { "privacy.com", true },
  { "privacybadger.org", true },
  { "privacybydesign.foundation", true },
  { "privacychick.com", true },
  { "privacychick.io", true },
  { "privacyforjournalists.org.au", true },
  { "privacyget.tk", true },
  { "privacyinsights.nl", true },
  { "privacyinternational.org", true },
  { "privacynow.eu", true },
  { "privacyscore.org", true },
  { "privacytools.io", true },
  { "privacyweek.at", true },
  { "privacyweek.de", true },
  { "privacyweek.eu", true },
  { "privacyweek.wien", true },
  { "privacyweekvienna.at", true },
  { "privaday.de", false },
  { "privasphere.com", true },
  { "private-diary-taka.com", true },
  { "privatebanks.uk", true },
  { "privatebin.info", true },
  { "privatecapsecurity.org", true },
  { "privateger.me", true },
  { "privateideas.de", true },
  { "privateimarketing.com", true },
  { "privatemediaserver.tech", true },
  { "privatenebula.eu", true },
  { "privatepropertymallorca.com", true },
  { "privateservice.cz", true },
  { "privatestatic.com", false },
  { "privatevoid.net", true },
  { "privatfrei.de", true },
  { "privatislauga.lt", true },
  { "privatpatient-krankenhaus.de", true },
  { "privc.io", true },
  { "privea.fr", true },
  { "priverify.com", true },
  { "privorot-taro.com", true },
  { "privy-staging.com", true },
  { "privy.com", true },
  { "prix-pneus.fr", true },
  { "prizehometickets.com.au", true },
  { "prizelink.com.au", true },
  { "prjktruby.com", false },
  { "prknje.co", true },
  { "prlved.co.uk", true },
  { "prnav.com", true },
  { "pro-ben.sk", true },
  { "pro-bike.ro", true },
  { "pro-clean.org", true },
  { "pro-co.at", true },
  { "pro-esb.com", true },
  { "pro-kemerovo.ml", true },
  { "pro-lq.at", true },
  { "pro-lq.ch", true },
  { "pro-lq.com", true },
  { "pro-lq.de", true },
  { "pro-lq.hu", true },
  { "pro-lq.it", true },
  { "pro-lq.net", true },
  { "pro-lq.ro", true },
  { "pro-mile.pl", true },
  { "pro-taucher.com", true },
  { "pro-taucher.de", true },
  { "pro-wiert.pl", true },
  { "pro100systems.com.ua", true },
  { "proactivenews.ml", true },
  { "proactivestructuresolutions.com", true },
  { "proadvanced.com", true },
  { "proastec.com.br", true },
  { "probano.com", true },
  { "probazen.com", true },
  { "probely.com", true },
  { "probiv.biz", true },
  { "probiv.cc", true },
  { "procabinetrefinishers.com", true },
  { "procar-rheinland.de", true },
  { "procarservices.com", true },
  { "procarswoking.com", true },
  { "procensus.com", true },
  { "procert.ch", false },
  { "procesadorafenix.com.mx", true },
  { "processesinmotion.com", true },
  { "procharter.com", true },
  { "procinorte.net", true },
  { "proclassifieds.in", true },
  { "proclib.org", true },
  { "procrastinatingengineer.uk", true },
  { "procrastinationland.com", true },
  { "proctorauth.com", true },
  { "proctorio.com", true },
  { "proctorio.net", true },
  { "prodampro.ru", true },
  { "prodatalabs.com", true },
  { "prodct.info", true },
  { "prodentalsantacruz.es", true },
  { "prodesigntools.com", true },
  { "prodietix.cz", true },
  { "prodigyhq.io", true },
  { "prodinger.com", true },
  { "prodsim.ninja", true },
  { "producentbalustrad.pl", true },
  { "producepromotions.com", true },
  { "producertools.io", true },
  { "productbarcodes.com", true },
  { "productboard.com", true },
  { "productdesignsoftware.com.au", true },
  { "production.vn", true },
  { "productionscime.com", true },
  { "productlondon.com", true },
  { "productosfitness.com", true },
  { "productpeo.pl", true },
  { "products4more.at", true },
  { "products88.com", true },
  { "productsblockbuster.com", true },
  { "productsbrandleader.com", true },
  { "productscastle.com", true },
  { "productsmansion.com", true },
  { "produkt.cf", true },
  { "produkttest-online.com", true },
  { "produra.nl", true },
  { "prodwa.re", true },
  { "prodware.fr", true },
  { "prodware.nl", true },
  { "proeflokaalbakker.nl", true },
  { "proefteksten.nl", false },
  { "proesb.com", true },
  { "proeski.com", true },
  { "proevlifecycle.eu", true },
  { "prof-toplivo.ru", true },
  { "prof.ch", false },
  { "profection.biz", true },
  { "profession.email", true },
  { "professionalbeautyshop.it", true },
  { "professionallawyer.tk", true },
  { "professors.ee", true },
  { "profidea.cz", true },
  { "profile.tf", true },
  { "profiles.google.com", true },
  { "profiservis.info", true },
  { "profitablewebprojects.com", true },
  { "profitopia.de", true },
  { "profits.fund", true },
  { "profloorstl.com", true },
  { "profootballnetwork.com", true },
  { "profritual.ru", true },
  { "profsaranya.com", true },
  { "proft.eu", true },
  { "profumeria.roma.it", true },
  { "profuntime.tk", true },
  { "profvideo.kharkov.ua", true },
  { "progarm.org", true },
  { "progaudio.be", true },
  { "progenda.be", true },
  { "progeon.nl", true },
  { "progeste.pt", true },
  { "proggersession.com", true },
  { "proggersession.de", true },
  { "progiscad.com", false },
  { "prognoshealth.com", true },
  { "prograce.info", true },
  { "programador-web-freelance.es", true },
  { "programadorwp.com", true },
  { "programarya.com", true },
  { "programistka.com", true },
  { "programmaticmagic.com", true },
  { "programmatv.tk", true },
  { "programme-phenix.com", true },
  { "programming-solutions.tk", true },
  { "programsareproofs.com", true },
  { "programtracker.net", true },
  { "programyburian.cz", true },
  { "progresivoptic.ro", true },
  { "progreso.pl", true },
  { "progress-linux.org", true },
  { "progress.photos", true },
  { "progressive.work", true },
  { "progressiveplanning.com", true },
  { "progressnet.nl", true },
  { "progresswww.nl", true },
  { "prohrcloud.com", true },
  { "proibidoler.com", true },
  { "proimpact.it", true },
  { "project-novis.org", true },
  { "projectarmy.net", false },
  { "projectbotticelli.com", true },
  { "projectemail.co", true },
  { "projectforge.org", true },
  { "projectfreehosting.ga", true },
  { "projectgrimoire.com", true },
  { "projectinnovation.org", true },
  { "projectlinuseasttn.org", true },
  { "projectmailext.co", true },
  { "projectmaka.io", true },
  { "projectmakeit.com", true },
  { "projectnom.com", true },
  { "projectobs.com", true },
  { "projectsafechildhood.gov", true },
  { "projectsecretidentity.com", true },
  { "projectsecretidentity.org", true },
  { "projectxparis.com", true },
  { "projectxyz.eu", true },
  { "projektarbeit-projektplanung.de", true },
  { "projektzentrisch.de", true },
  { "projest.ch", false },
  { "projet-fly.ch", true },
  { "projet-saara.com", true },
  { "prolan.pw", true },
  { "prolearningcentre.com", true },
  { "proledwall.nl", true },
  { "prolinos.de", true },
  { "prolinq.in", true },
  { "promax.nl", true },
  { "promedyczny.pl", true },
  { "prometheanfire.net", true },
  { "prometheanfire.org", true },
  { "promexbol.com.bo", true },
  { "promiflash.de", true },
  { "promisesaplus.com", true },
  { "prommontag.com", true },
  { "promo-brille.at", true },
  { "promo-brille.ch", true },
  { "promo-brille.de", true },
  { "promo-computers.nl", true },
  { "promo-matelas.com", true },
  { "promobo.fr", true },
  { "promocjedladzieci.pl", true },
  { "promocodius.com", true },
  { "promodafinil.com", true },
  { "promodance.cz", true },
  { "promods.cn", true },
  { "promods.download", true },
  { "promods.net", true },
  { "promods.store", true },
  { "promods.web.tr", true },
  { "promoglisse.com", true },
  { "promohulp.nl", true },
  { "promolover.com", true },
  { "promopony.com", true },
  { "promoqueen.nl", true },
  { "promorder.ru", true },
  { "promoscuola.net", true },
  { "promotech.pro", true },
  { "promoterms.com.au", true },
  { "promotioncentre.co.uk", true },
  { "promtechosnastka.ru", true },
  { "promuovi.tv", true },
  { "prontocleaners.co.uk", true },
  { "prontointerventoimmediato.it", true },
  { "prontossl.com", true },
  { "proofwiki.org", true },
  { "proos.nl", true },
  { "proovn.com", true },
  { "propagandablog.de", true },
  { "propagationtools.com", true },
  { "propanesale.cf", true },
  { "propelgrowth.com", true },
  { "propermatches.com", true },
  { "properticons.com", true },
  { "property-catalogue.eu", true },
  { "propertyauctionaction.co.uk", true },
  { "propertyflare.com", true },
  { "propertygroup.pl", true },
  { "propertyinside.id", true },
  { "propertyone.mk", true },
  { "propertysales-almeria.com", true },
  { "propertysold.ca", true },
  { "prophiler.de", true },
  { "propipesystem.com", true },
  { "propiteer.com", true },
  { "proporcer.tk", true },
  { "proposalonline.com", true },
  { "propr.no", true },
  { "proprietairesmaisons.fr", true },
  { "propseller.com", true },
  { "propshub.com", true },
  { "prosafilosofica.com.br", true },
  { "proseandleprechauns.com", true },
  { "prosecomgdl.com", true },
  { "proseo4u.com", true },
  { "proservices.vip", true },
  { "proshow.com.ua", true },
  { "prosony.es", true },
  { "prospecto.com.au", true },
  { "prospecto.ee", true },
  { "prospecto.hr", true },
  { "prospecto.lt", true },
  { "prosperbot.com", true },
  { "prosperfit.com", true },
  { "prosperity-textile.com", true },
  { "prosperontheweb.com", true },
  { "prosperops.com", true },
  { "prospo.co", true },
  { "prostitutki-narvskaja.ga", true },
  { "prosto-dengi.tk", true },
  { "prostohobby.ru", true },
  { "prostoskidki.ml", true },
  { "prostye-recepty.com", true },
  { "prosurveillancegear.com", true },
  { "protech.ge", true },
  { "proteco.sk", true },
  { "protectedpayments.net", true },
  { "protectedreport.com", true },
  { "protectem.de", true },
  { "protectionformula.com.ua", true },
  { "protectoraanimalesalicante.org", true },
  { "protectorlando.com", true },
  { "protectr.de", false },
  { "protectwrap.ml", true },
  { "protege.moi", true },
  { "protegetudescanso.com", true },
  { "proteh.com.ua", true },
  { "protein-riegel-test.de", true },
  { "protek.tk", true },
  { "protempore.fr", true },
  { "proteogenix-products.com", true },
  { "proteogenix.science", true },
  { "proteus-eretes.nl", true },
  { "proteus-tech.com", true },
  { "protic.online", true },
  { "protic.pt", true },
  { "protiksana.gr", true },
  { "protobetatest.com", true },
  { "protocol.ai", true },
  { "protocol.co.il", true },
  { "protogenbrainbooster.tk", true },
  { "protonmail.ch", true },
  { "protonmail.com", true },
  { "protonvpn.com", true },
  { "prototypefund.de", true },
  { "prototyping-computer.ml", true },
  { "protracks.ca", true },
  { "proudplus.com", true },
  { "proust.ch", false },
  { "proust.media", false },
  { "proustmedia.de", false },
  { "provakil.com", true },
  { "prove-uru.co.uk", true },
  { "prove.no", true },
  { "provent.io", true },
  { "provereno-rabotaet.gq", true },
  { "provereno-rabotaet.tk", true },
  { "provide-your-image.de", true },
  { "providential.be", true },
  { "providentins.com", true },
  { "providerlijst.com", true },
  { "providerlijst.ml", true },
  { "providerlijst.nl", true },
  { "provinciaotlavoro.it", true },
  { "provision-isr.nl", true },
  { "provitec.com", true },
  { "provitec.de", true },
  { "provlas.se", true },
  { "prowebcenter.com", false },
  { "prowindow.sk", true },
  { "prowise.com", true },
  { "prowise.me", true },
  { "prowpcare.com", true },
  { "proximoconcurso.com.br", true },
  { "proxirealtime.com", true },
  { "proxybay.bet", true },
  { "proxybay.bz", true },
  { "proxybay.cc", true },
  { "proxybay.co", true },
  { "proxybay.info", true },
  { "proxybay.ist", true },
  { "proxybay.la", true },
  { "proxybay.lat", true },
  { "proxybay.ltd", true },
  { "proxybay.one", true },
  { "proxybay.red", true },
  { "proxybay.tv", true },
  { "proxyportal.eu", true },
  { "proxyportal.org", true },
  { "proyectafengshui.com", true },
  { "proyectosx.net", true },
  { "prpferrara.it", true },
  { "prpr.cloud", true },
  { "prsnlafk.com", true },
  { "prt.in.th", true },
  { "prtimes.com", true },
  { "prtpe.com", true },
  { "prtscloud.ddns.net", true },
  { "pru.com.hk", true },
  { "pru.hk", true },
  { "pruna.org", true },
  { "prvcy.one", true },
  { "prvikvadrat.hr", true },
  { "prvnirodinna.cz", true },
  { "prylarprylar.se", true },
  { "prynhawn.com", true },
  { "prynhawn.net", true },
  { "prynhawn.org", true },
  { "prytkov.com", true },
  { "przemas.pl", true },
  { "przerabianiezdjec.pl", true },
  { "ps-sale.ru", true },
  { "ps2911.com", true },
  { "psa-travel-care.com", true },
  { "psabrowse.com", true },
  { "psasines.pt", true },
  { "psb1.org", true },
  { "psb1911.com", true },
  { "psb4ukr.org", true },
  { "psbarrett.com", true },
  { "psc.gov", true },
  { "pschierl.com", true },
  { "pscp.tv", true },
  { "pscr.gov", false },
  { "psdreams.com", true },
  { "psdsfn.com", true },
  { "psdsuc.com", true },
  { "pseek.com", true },
  { "pservicer.com.mx", true },
  { "pseta.ru", true },
  { "psg-calw.de", true },
  { "psg.bg", true },
  { "pshostpk.com", true },
  { "psici.eu", true },
  { "psicologajanainapresotto.com.br", true },
  { "psicologasandrabernal.es", true },
  { "psicologo-especialista-barcelona.com", true },
  { "psicologo-infantil-barcelona.com", true },
  { "psihotest.tk", true },
  { "psinergy.info", true },
  { "psinergyhealth.com", true },
  { "psinergytech.com", true },
  { "psitarz.com", true },
  { "psixotest.tk", true },
  { "psixotesty.tk", true },
  { "psm.org.ph", true },
  { "psono.pw", true },
  { "pspbar.com", true },
  { "pssgcsim.org", true },
  { "pst.moe", true },
  { "psu.je", true },
  { "psw-consulting.de", true },
  { "psw-group.de", true },
  { "psw-training.de", true },
  { "psw.net", true },
  { "psyao.ch", false },
  { "psychedelia.com", true },
  { "psychedelics.org", true },
  { "psychiatrie-ricany.cz", true },
  { "psychic-healer-mariya-i-petrova-boyankinska-b-borovan-bg.com", true },
  { "psychintervention.com", true },
  { "psychiq.com", true },
  { "psychoactive.com", true },
  { "psychoco.net", false },
  { "psychologbruksela.be", true },
  { "psychologi.cf", true },
  { "psychometrictest.ca", true },
  { "psychopathtest.com", true },
  { "psychopersonnalite.com", true },
  { "psychotechnique.africa", true },
  { "psychotechnique.be", true },
  { "psychotechnique.ch", true },
  { "psychotechniquetest.fr", true },
  { "psychotherapie-kp.de", true },
  { "psychotherapy-vienna.com", true },
  { "psycolleges.com", true },
  { "psylab.re", true },
  { "psylab.vip", true },
  { "psytrance-pro.com", true },
  { "pt-d.ru", true },
  { "pt-server.de", true },
  { "pt.im", true },
  { "ptal.eu", true },
  { "ptasiepodroze.eu", true },
  { "ptbi.org.pl", true },
  { "ptbx.co", true },
  { "ptcbooks.gq", true },
  { "pteceng.com", true },
  { "pterodactyl.org.cn", true },
  { "pterodactylus.cz", true },
  { "ptfiber.com", true },
  { "ptfiber.ru", true },
  { "ptfiber.spb.ru", true },
  { "ptgoldensun.com", true },
  { "ptk-svarka.ru", true },
  { "ptm.ro", true },
  { "ptmarquees.ie", true },
  { "ptmp.net", true },
  { "ptrbrs.nl", true },
  { "ptrl.ws", true },
  { "ptron.org", true },
  { "ptrt.xyz", true },
  { "ptupapers.tk", true },
  { "puac.de", true },
  { "pubclub.com", true },
  { "pube.tk", true },
  { "pubg-tournament.com", true },
  { "pubi.me", true },
  { "pubkit.io", true },
  { "publanda.nl", true },
  { "publi-all.be", true },
  { "public-g.de", true },
  { "public-measures.com", true },
  { "public-projects.com", true },
  { "public-projects.de", true },
  { "public-vocals.de", true },
  { "publicard.es", true },
  { "publiccarauctionscalifornia.com", true },
  { "publicholidays.im", true },
  { "publicintegrity.org", true },
  { "publicintelligence.net", true },
  { "publicrea.com", true },
  { "publicsuffix.org", true },
  { "publiq.space", true },
  { "publishedpaper.ga", true },
  { "publisherservices.co", true },
  { "publivate.ca", true },
  { "pubmire.com", false },
  { "pubreview.com.au", true },
  { "pucchi.net", true },
  { "pucogid.ga", true },
  { "pucssa.org", true },
  { "puddis.de", true },
  { "pudro.com", true },
  { "puer.eu.org", true },
  { "puestifiestas.mx", true },
  { "puestosdeferia.mx", true },
  { "puetter.eu", true },
  { "pugetsoundspas.com", true },
  { "puggan.se", true },
  { "pugovka72.ru", true },
  { "puissancemac.ch", false },
  { "puiterwijk.org", true },
  { "pukeking.com", true },
  { "pukfalkenberg.dk", true },
  { "pukkapilatesandpt.com", true },
  { "pulcinella.tk", true },
  { "pulizia.roma.it", true },
  { "pulizieuffici.milano.it", true },
  { "pulizievap.it", true },
  { "pulpproject.org", true },
  { "pulser.stream", true },
  { "pulsnitzer-lebkuchen-shop.de", true },
  { "pulsnitzer-lebkuchen.de", true },
  { "pulsnitzer-lebkuchen.shop", true },
  { "pulsnitzer-pfefferkuchen-shop.de", true },
  { "pulsnitzer-pfefferkuchen.shop", true },
  { "pulsr.ml", true },
  { "pump19.eu", true },
  { "pumperszene.com", true },
  { "pumpn.net", true },
  { "punchadragon.com", true },
  { "punchlinetheatre.co.uk", true },
  { "punchlinetheatre.com", true },
  { "punchunique.com", true },
  { "punematka.com", true },
  { "punikonta.de", true },
  { "punjabprime.com", true },
  { "punkapoule.fr", true },
  { "punkart.tk", true },
  { "puntacananetwork.com", true },
  { "puntacanatransporte.com", true },
  { "puntaprop.com", true },
  { "puntasiho.com", true },
  { "puntcunts.com", true },
  { "punte-juwelier.nl", true },
  { "puntoestadodemexico.com", true },
  { "puntonium.hu", true },
  { "pupboss.com", true },
  { "pupok.cf", true },
  { "puppet.pl", true },
  { "pupset.net", true },
  { "pupsikstudio.com", true },
  { "puralps.ch", true },
  { "puravida-estate.com", true },
  { "purchasescooters.ga", true },
  { "pure-gmbh.com", true },
  { "pure-host.de", true },
  { "purecbdvapors.com", true },
  { "puredayshop.com.tw", true },
  { "puredns.org", true },
  { "purefkh.xyz", false },
  { "purepest.com", true },
  { "purevapeofficial.com", true },
  { "purexis.ch", true },
  { "puripia.com", true },
  { "purityclothing.co.uk", true },
  { "purple.tech", true },
  { "purplebooth.co.uk", false },
  { "purplebricks.co.uk", true },
  { "purplebricks.com.au", true },
  { "purplebricksplc.com", true },
  { "purplemet.com", true },
  { "purplemoon.ch", true },
  { "purplemoon.mobi", true },
  { "purplepr.bg", true },
  { "purplestar.ch", true },
  { "purplestar.com", true },
  { "purplestar.mobi", true },
  { "purpletech.com.br", true },
  { "purplewindows.net", true },
  { "purplscientific.com", true },
  { "purrfectboudoir.com", true },
  { "purrfectcams.com", true },
  { "purrfectlove.net", true },
  { "purrfectmembersclub.com", true },
  { "purrfectswingers.com", true },
  { "pursuedtirol.com", true },
  { "pursuehappiness.tk", true },
  { "pursuingoutdoors.com", true },
  { "puryearlaw.com", true },
  { "pusehusetkattehotell.no", true },
  { "pusehusetmalvik.no", true },
  { "pushers.com.mx", true },
  { "pushoflove.com", true },
  { "pushpanel.io", true },
  { "pussr.com", true },
  { "pussylickingnow.com", true },
  { "put.moe", true },
  { "put.re", true },
  { "putana.gq", true },
  { "putany.tk", true },
  { "putanypitera.ml", true },
  { "putasdelporno.com", true },
  { "putatara.net", true },
  { "puteulanus.xyz", true },
  { "putin.red", true },
  { "putman-it.nl", true },
  { "putnamcollision.com", true },
  { "putney.io", true },
  { "putomani.rs", true },
  { "putrawijayatours.com", true },
  { "putrock.be", true },
  { "puxlit.net", true },
  { "puyallupnissanparts.com", true },
  { "puyblanc.info", true },
  { "puzzlage.com", true },
  { "puzzle-welt.ch", true },
  { "puzzlegames.com", true },
  { "puzzlepoint.ch", true },
  { "pv-paderborn-now.de", true },
  { "pvamg.org", true },
  { "pvc-stolarija.co", false },
  { "pvcvoordeel.nl", false },
  { "pvda.nl", true },
  { "pvhe.pl", true },
  { "pvmotorco.com", true },
  { "pvpcraft.ca", true },
  { "pvpctutorials.de", true },
  { "pvpheroes.no", true },
  { "pvphs98.com", true },
  { "pvtschlag.com", true },
  { "pwdsafe.com", false },
  { "pwg-see.de", true },
  { "pwnies.dk", true },
  { "pwolk.com", true },
  { "pxetech.com", true },
  { "pxgamer.xyz", true },
  { "pxl-mailtracker.com", true },
  { "pxl.cl", true },
  { "pxx.io", true },
  { "py-amf.org", true },
  { "py.search.yahoo.com", false },
  { "pya.org.tr", true },
  { "pybtex.org", true },
  { "pycrc.org", true },
  { "pycrypto.org", true },
  { "pycycle.info", true },
  { "pygarage.com", false },
  { "pyhello.world", true },
  { "pylon.bot", true },
  { "pymenetica.com", true },
  { "pymescentro.net", true },
  { "pymesvalencia.es", true },
  { "pymeup.org", true },
  { "pypa.io", true },
  { "pypi.io", true },
  { "pypi.org", true },
  { "pypi.python.org", true },
  { "pyramid-it.co.uk", true },
  { "pyrenees.io", true },
  { "pyro.works", true },
  { "pyroballpcbs.com", true },
  { "pyrohandel.de", true },
  { "pyrotechnologie.de", true },
  { "pysays.net", true },
  { "pyspace.org", true },
  { "python-hyper.org", true },
  { "python.org", false },
  { "pythonatrix.com", true },
  { "pytradebot.com.br", true },
  { "pyzlnar.com", true },
  { "pzpittsburgh.com", true },
  { "pzsearch.nl", true },
  { "q-inn.com", true },
  { "q-inn.nl", true },
  { "q-m.design", true },
  { "q-m.space", true },
  { "q-technologies.com.au", true },
  { "q01.us", true },
  { "q1000.nl", true },
  { "q365.vip", false },
  { "q36594.com", true },
  { "q88588.com", false },
  { "q8igh228tq.tk", true },
  { "qa-brandywineglobal.com", true },
  { "qa.fedoraproject.org", true },
  { "qa.stg.fedoraproject.org", true },
  { "qaconstrucciones.com", true },
  { "qambarraza.com", true },
  { "qani.me", true },
  { "qaq.cloud", true },
  { "qarea.com", true },
  { "qarto.com", true },
  { "qaz.cloud", true },
  { "qaz.link", true },
  { "qbiju.com.br", true },
  { "qbiltrade.com", true },
  { "qbtechs.com", true },
  { "qbus.pl", false },
  { "qc.search.yahoo.com", false },
  { "qcbrna.qa", true },
  { "qccareerschool.com", false },
  { "qcdesignschool.com", false },
  { "qceventplanning.com", false },
  { "qclt.com", true },
  { "qcmakeupacademy.com", false },
  { "qcmlw.com", true },
  { "qcstudentcenter.com", true },
  { "qcstyleacademy.com", false },
  { "qctravelschool.com", true },
  { "qcuarto.com.py", true },
  { "qdabogados.com", true },
  { "qdon.space", true },
  { "qdrat.ml", true },
  { "qdstationary.co.uk", true },
  { "qdstationery.co.uk", true },
  { "qe-lab.at", true },
  { "qed.ai", true },
  { "qedcon.org", false },
  { "qei.org.au", true },
  { "qelectrotech.org", true },
  { "qetesh.de", true },
  { "qetic.co.jp", true },
  { "qewc.com", true },
  { "qhse-professionals.nl", true },
  { "qi0.de", true },
  { "qianalysis.com", true },
  { "qianmo.com", true },
  { "qiannews.net", true },
  { "qianqiao.me", true },
  { "qiaohong.org", true },
  { "qicsystems.com", true },
  { "qifu.me", true },
  { "qihl.gg", true },
  { "qiliang.wang", true },
  { "qingly.me", true },
  { "qingpei.me", true },
  { "qionouu.cn", true },
  { "qipei8.com", true },
  { "qis.fr", true },
  { "qitarabutrans.com", true },
  { "qiuby.de", true },
  { "qiuri.org", false },
  { "qivonline.pt", true },
  { "qixi.biz", true },
  { "qkka.org", true },
  { "qkmortgage.com", true },
  { "ql.tc", true },
  { "qlarititech.io", true },
  { "qlcvea.com", true },
  { "qlcvea.it", true },
  { "qldcarwreckers.com.au", true },
  { "qldconservation.org.au", true },
  { "qldformulaford.org", true },
  { "qliving.com", true },
  { "qlix.pl", true },
  { "qlrace.com", false },
  { "qm-marzahnnordwest.de", true },
  { "qmee.com", true },
  { "qnected.nl", true },
  { "qnome.eu", true },
  { "qochealth.com", true },
  { "qoml.net", true },
  { "qonto.eu", true },
  { "qoor.io", false },
  { "qoptalk.com", true },
  { "qosmoschools.edu.my", true },
  { "qotw.net", true },
  { "qp666d.com", true },
  { "qpaypro.com", true },
  { "qpcna.org", true },
  { "qponverzum.hu", true },
  { "qq6177.com", true },
  { "qq6177.net", true },
  { "qqiao.me", true },
  { "qqq6.com", true },
  { "qqq67.com", true },
  { "qqrss.com", true },
  { "qr-city.org", true },
  { "qr.cl", true },
  { "qr1.at", true },
  { "qr70.com", true },
  { "qrara.net", true },
  { "qrbird.com", true },
  { "qrcontagion.com", true },
  { "qrd.by", true },
  { "qristianuliarkhi.ge", true },
  { "qrpatrol.com", true },
  { "qrpth.eu", true },
  { "qruiser.com", true },
  { "qryo.nl", true },
  { "qrz.one", true },
  { "qscloud.de", true },
  { "qtacairsoft.com", true },
  { "qtl.me", true },
  { "qtmsheep.com", true },
  { "qtn.net", true },
  { "qto.net", true },
  { "qtpass.org", true },
  { "qtpower.co.uk", true },
  { "qtpower.net", true },
  { "qtpower.org", true },
  { "qttransformation.com", true },
  { "qtvr.com", true },
  { "qtxh.net", true },
  { "quackerswaterproofing.com", true },
  { "quadra.srl", true },
  { "quagga.me", true },
  { "quaggan.co", true },
  { "quai10.org", false },
  { "qualbe.com", true },
  { "qualiacomputers.com", true },
  { "qualite-ecole-et-formation.ch", false },
  { "quality-life.gr", true },
  { "qualityhomesystems.com", true },
  { "qualityhvacservices.com", true },
  { "qualityofcourse.com", true },
  { "qualitypropertycare.co.uk", true },
  { "qualitywaterproofing.com", true },
  { "qualpay.com", true },
  { "qualtrics.com", true },
  { "qualyven.com", true },
  { "quant-labs.de", true },
  { "quantaloupe.tech", true },
  { "quanterra.ch", false },
  { "quantifiedcommerce.com", true },
  { "quantolytic.de", true },
  { "quantoras.com", true },
  { "quanttydesignweb.com.br", true },
  { "quantum-evolution.jp", true },
  { "quantum-mechanics.com", true },
  { "quantum2.xyz", true },
  { "quantumcrypto.nl", true },
  { "quantumfinance.com.au", true },
  { "quantumpair.net", true },
  { "quareal.ru", true },
  { "quarim.cz", true },
  { "quarkdose.de", true },
  { "quarterfull.com", true },
  { "quarticon.com", true },
  { "quartix.com", true },
  { "quasarelectronics.co.uk", true },
  { "quasiproxy.com", true },
  { "quasseldroid.info", true },
  { "quatrefoiscent.fr", true },
  { "quatulo.net", true },
  { "quaxio.com", true },
  { "quay.net", true },
  { "qubes-os.org", true },
  { "qubhockey.tk", true },
  { "qubyte.codes", true },
  { "que-debo-regalar.es", true },
  { "quebajelagasolina.com", true },
  { "quebec.casa", true },
  { "quecomo.cl", true },
  { "quedos.com.au", true },
  { "queenbeer.com", true },
  { "queencomplex.net", true },
  { "queene.eu", true },
  { "queensfactory.it", true },
  { "queensrdapartments.com.au", true },
  { "queer.party", true },
  { "queercoders.com", false },
  { "queextensiones.com", true },
  { "queirozmiotto.adv.br", true },
  { "queirozmiotto.com.br", true },
  { "quelle-catalog.tk", true },
  { "quelle.at", true },
  { "quelle.ch", true },
  { "quelle.de", true },
  { "quelleformation.net", true },
  { "quemadoresdegrasa.org", true },
  { "quemmeliga.com", true },
  { "quenecesitopara.com", true },
  { "quenotejodan.cl", true },
  { "quentin-sauvetre.fr", true },
  { "quentinchevre.ch", true },
  { "quera.ir", true },
  { "querenciavirtual.com.br", true },
  { "queropescar.net", true },
  { "query-massage.com", false },
  { "queryquinton.com", true },
  { "questdairy.com", true },
  { "question.com", true },
  { "questionscafe.org", true },
  { "questsocial.it", true },
  { "quevisiongrafica.com", true },
  { "quhyu.xyz", true },
  { "quic.network", true },
  { "quic.stream", true },
  { "quichante.com", true },
  { "quiche-quic.cf", true },
  { "quickassortments.com", true },
  { "quickformspro.com", true },
  { "quickinfosystem.com", true },
  { "quickrelations.de", true },
  { "quicksell.store", true },
  { "quicksupplies.us", true },
  { "quieoltre.it", true },
  { "quieroserbombero.org", true },
  { "quieroserdoula.com", true },
  { "quieroserdoula.es", true },
  { "quieroserdoula.org", true },
  { "quiet-waters.org", true },
  { "quietapple.org", true },
  { "quik.legal", true },
  { "quikchange.net", true },
  { "quikpay.com.au", true },
  { "quimatic.com.br", true },
  { "quinmedia.tk", true },
  { "quinoa24.com", true },
  { "quintenbraakman.com", true },
  { "quintenbraakman.nl", true },
  { "quintenehb.be", true },
  { "quinterorealestate.com", true },
  { "quintessa.org", true },
  { "quiq-api.com", true },
  { "quiq-cdn.com", true },
  { "quiq-uri.com", true },
  { "quiq-url.com", true },
  { "quiq.com", true },
  { "quiq.us", true },
  { "quiqd.com", true },
  { "quiqstatus.com", true },
  { "quiqurl.com", true },
  { "quiqurls.com", true },
  { "quire.io", true },
  { "quirkytravelguy.com", true },
  { "quiz4math.gr", true },
  { "quizhub.co", true },
  { "quizz.biz", true },
  { "qul.link", true },
  { "qunix.net", true },
  { "quote.gq", false },
  { "quotedtale.com", true },
  { "quoteidiot.com", true },
  { "quotev.com", true },
  { "quovadisaustria.com", true },
  { "quppa.net", true },
  { "quprop.com", true },
  { "quranliveonline.com", true },
  { "qurplus.nl", true },
  { "quuck.eu", true },
  { "quuck.nl", true },
  { "quuz.org", true },
  { "qvg.company", true },
  { "qvggroup.com", true },
  { "qvq.cloud", true },
  { "qwant.com", true },
  { "qwantjunior.com", true },
  { "qwd.no", true },
  { "qwdqwd.de", true },
  { "qwe7002.com", true },
  { "qwertee.com", true },
  { "qwerty.work", true },
  { "qwikdash.com", true },
  { "qwq.moe", true },
  { "qwq2333.top", true },
  { "qx.fi", true },
  { "qx.se", true },
  { "qxzg.xyz", true },
  { "qzhou.ddns.net", true },
  { "r-ay.cn", true },
  { "r-rwebdesign.com", true },
  { "r-t-b.fr", true },
  { "r102.ch", true },
  { "r18.moe", true },
  { "r1a.eu", true },
  { "r1ch.net", true },
  { "r1h3.nl", true },
  { "r2d2pc.com", true },
  { "r33.space", true },
  { "r36533.com", true },
  { "r36594.com", true },
  { "r3s1stanc3.me", true },
  { "r3t.io", true },
  { "r40.us", true },
  { "r6-team.ru", true },
  { "r7.com.au", true },
  { "r7h.at", true },
  { "ra-joergensen.de", true },
  { "ra-jurochnik.de", false },
  { "ra-micro-koeln.de", true },
  { "ra-schaal.de", true },
  { "ra.co.ke", true },
  { "ra3y.xyz", true },
  { "raadgiverborsen.com", true },
  { "raah.co", true },
  { "raailto.com", true },
  { "raaynk.com", true },
  { "raballder.tk", true },
  { "rabbit.finance", true },
  { "rabbitcallcenter.com", true },
  { "rabbitfinance.com", true },
  { "rabbitinternet.com", true },
  { "rabica.de", true },
  { "rabis.co", true },
  { "rabitfordarcy.org", true },
  { "rabotaescort.com", false },
  { "racaliz.tk", true },
  { "raccoltarifiuti.com", true },
  { "raccoon.fun", true },
  { "racermaster.xyz", true },
  { "racesimscoring.com", true },
  { "raceviewcycles.com", true },
  { "racevinyl.es", true },
  { "racheldiensthuette.de", true },
  { "rachelmoorelaw.com", true },
  { "rachelreagan.com", true },
  { "racing-planet.cz", true },
  { "racius.com", true },
  { "rackerlab.com", true },
  { "raclet.co.uk", true },
  { "raconconsulting.co.uk", true },
  { "racoo.net", true },
  { "racunovodstvo-prina.si", true },
  { "radar.sx", true },
  { "radaravia.ru", true },
  { "radarbanyumas.co.id", true },
  { "radarequation.com", true },
  { "radartatska.se", true },
  { "radartek.com", true },
  { "radcube.hu", true },
  { "radegundisfest.de", true },
  { "radfieldhomecare.co.uk", true },
  { "radfieldhomecarefranchising.co.uk", true },
  { "radiantweb.co.za", true },
  { "radicaldream.tk", true },
  { "radicalepil-haguenau.fr", true },
  { "radicaloptimism.org", true },
  { "radicalsub.com.br", true },
  { "radio-brest.tk", true },
  { "radio-pulsar.eu", true },
  { "radio-utopie.de", true },
  { "radio1.ie", true },
  { "radioborges.tk", true },
  { "radiobox.net", true },
  { "radiocartel.tk", true },
  { "radiocommande-industrielle.fr", true },
  { "radiocommg.com.br", true },
  { "radiocomsaocarlos.com.br", true },
  { "radiodeutsch.com", true },
  { "radiodiagonal.tk", true },
  { "radioduepuntozero.it", true },
  { "radioelectronic.tk", true },
  { "radiofmimagen.net", true },
  { "radioheteroglossia.com", true },
  { "radiohub.ru", true },
  { "radioilusion.es", true },
  { "radioldpr.ru", true },
  { "radiolla.com", true },
  { "radiom.fr", true },
  { "radiomercure.net", true },
  { "radiomodem.dk", true },
  { "radiomontebianco.it", true },
  { "radionrg.tk", true },
  { "radiopharereims.tk", true },
  { "radiopleer.net", true },
  { "radioradicchio.it", true },
  { "radiorainbow.tk", true },
  { "radiosendungen.com", true },
  { "radiowakeup.tk", true },
  { "radiozetta.tk", true },
  { "radis-adopt.com", true },
  { "radiumone.io", true },
  { "radiumtree.com", true },
  { "radixsalon.tk", true },
  { "radlina.com", true },
  { "radomir-online.ru", true },
  { "radondetectionandcontrol.com", true },
  { "radreisetraumtreibstoff.de", true },
  { "radyabkhodro.net", true },
  { "radyn.com", true },
  { "radyodinle.mobi", true },
  { "radyodinle.us", true },
  { "radzikow.ski", true },
  { "raeder-test.azurewebsites.net", true },
  { "raelto.com", true },
  { "raeu.me", true },
  { "raeven.nl", true },
  { "raevinnd.com", true },
  { "raewardfresh.co.nz", true },
  { "rafaelmagalhaesweb.com", true },
  { "rafas.com.tr", true },
  { "rafey.xyz", true },
  { "raffaellaosti.com", true },
  { "raffleoftheday.com", true },
  { "raffleshospital.co.id", false },
  { "rafleatherdesign.com", true },
  { "rafsurveys.co.uk", true },
  { "rafting-japan.com", true },
  { "ragasto.nl", true },
  { "rage4.com", true },
  { "raghuspeaks.com", true },
  { "raginggaming.ga", true },
  { "ragingserenity.com", true },
  { "ragu.co.uk", true },
  { "rahulpnath.com", true },
  { "raid-runners.fr", true },
  { "raidemeraude.com", true },
  { "raidensnakesden.co.uk", true },
  { "raidensnakesden.com", true },
  { "raidensnakesden.net", true },
  { "raidstone.net", true },
  { "raiffeisen-kosovo.com", true },
  { "raiffeisenleasing-kosovo.com", true },
  { "raiilto.com", true },
  { "raiito.com", true },
  { "rail-o-rama.nl", true },
  { "rail-to.com", true },
  { "rail24.nl", true },
  { "rail360.nl", true },
  { "railbird.nl", true },
  { "railduction.eu", true },
  { "railgun.ac", true },
  { "railgun.com.cn", true },
  { "raillto.com", true },
  { "railorama.nl", true },
  { "railot.com", true },
  { "railpassie.nl", true },
  { "railto-sucks.com", true },
  { "railto.cm", true },
  { "railto.co", true },
  { "railto.com.de", true },
  { "railto.com.se", true },
  { "railto.exchange", true },
  { "railto.llc", true },
  { "railto.net", true },
  { "railto.org", true },
  { "railtocom.com", true },
  { "railtoe.com", true },
  { "railtoexchange.com", true },
  { "railtoh.com", true },
  { "railtollc.com", true },
  { "railtoo.com", true },
  { "railtosucks.com", true },
  { "railtow.com", true },
  { "railtp.com", true },
  { "railtto.com", true },
  { "railvideo.co.uk", true },
  { "railvideo.net", true },
  { "railvideo.nl", true },
  { "rain.bz", true },
  { "rainbow-web.com", true },
  { "rainbowbay.org", true },
  { "rainbowflowers.co.uk", true },
  { "rainbowinflatables.co.uk", true },
  { "rainbowloompattern.com", true },
  { "rainbowloompatterns.com", true },
  { "rainbowsmoothies.win", true },
  { "rainbowstore.com.au", true },
  { "rainbowstore.com.ua", true },
  { "rainbowswingers.net", true },
  { "raincoat.systems", true },
  { "rainel.at", true },
  { "rainforest.engineering", true },
  { "raingoc.com", true },
  { "rainiv.com", true },
  { "rainmanzone.com", true },
  { "rainpaper.com", true },
  { "rainstormsinjuly.co", true },
  { "rainville.me", true },
  { "rainway.com", true },
  { "rainway.io", true },
  { "raisecorp.com", true },
  { "raiseyourflag.com", true },
  { "raissarobles.com", true },
  { "raistrick.it", true },
  { "raitlo.com", true },
  { "raivis.com", true },
  { "rajaealhoceima.tk", true },
  { "rajasatour.id", true },
  { "rak-business-service.com", true },
  { "raketa.travel", true },
  { "raketaro.de", true },
  { "raketenwolke.de", true },
  { "raku.bzh", true },
  { "rakugokai.net", true },
  { "raleto.com", true },
  { "ralfs-zusizone.de", true },
  { "ralimtek.com", false },
  { "ralix.net", true },
  { "rallto.com", true },
  { "rally-base.com", true },
  { "rally-base.cz", true },
  { "rally-base.eu", true },
  { "rally-results.eu", true },
  { "rally-vysledky.cz", true },
  { "rallybase.cz", true },
  { "rallybase.eu", true },
  { "rallycycling.com", true },
  { "rallypodium.be", true },
  { "raltha.com", true },
  { "ram-it.nl", true },
  { "ram.nl", true },
  { "rama.ovh", true },
  { "ramarka.de", true },
  { "rambedjeans.com", true },
  { "rambo.codes", true },
  { "ramdigital.xyz", true },
  { "ramirezpeluqueria.com", true },
  { "ramitan.com", true },
  { "rammstein-portugal.com", true },
  { "rammsteinzone.tk", true },
  { "rampestyuma.com", true },
  { "ramrecha.com", false },
  { "ramsaver.com.br", true },
  { "ramsdensforcash.co.uk", true },
  { "ramsdensplc.com", true },
  { "ramsor-gaming.de", true },
  { "ramtechmodular.com", true },
  { "ran-drunken.tk", true },
  { "ranalawassociates.com", true },
  { "ranasinha.com", true },
  { "randc.org", true },
  { "randolf.ca", true },
  { "random-samplings.org", true },
  { "random.org", true },
  { "randomadversary.com", true },
  { "randombit.eu", false },
  { "randomcategory.com", true },
  { "randomcode.org", true },
  { "randomdata.sh", true },
  { "randomkoalafacts.com", true },
  { "randomprecision.co.uk", true },
  { "randomquotesapp.com", true },
  { "randomsearching.ml", true },
  { "randomserver.pw", true },
  { "randstalker.ovh", true },
  { "ranfurlychambers.co.nz", true },
  { "rangde.org", true },
  { "rangercollege.edu", true },
  { "rangsmo.se", true },
  { "rank-net.de", true },
  { "rankgiants.com", true },
  { "ranking-deli.jp", true },
  { "rannamoisaaiasalong.ee", true },
  { "ranthambhorenationalpark.net", true },
  { "ranwest.com", true },
  { "rany.eu.org", true },
  { "ranyeh.com", true },
  { "ranzbak.nl", true },
  { "raoul-kieffer.net", true },
  { "rap4ever.org", true },
  { "rapenroer.com", true },
  { "rapenroer.nl", true },
  { "raphael.li", true },
  { "raphaelcasazza.ch", false },
  { "raphrfg.com", true },
  { "rapidapp.io", true },
  { "rapidoo.com.br", true },
  { "rapidstone.com", true },
  { "raportdnia.pl", true },
  { "rapport.link", true },
  { "rapportdecoracoes.com.br", true },
  { "raptorsrapture.com", true },
  { "rapwoyska.tk", true },
  { "raqoo.jp", true },
  { "raquelmolinacases.tk", true },
  { "raraflora.com.au", true },
  { "rarece.cf", true },
  { "rarename.tk", true },
  { "raryosu.info", true },
  { "rasagiline.com", true },
  { "rascahan.org", true },
  { "rascals-castles.co.uk", true },
  { "rascals.ga", true },
  { "rascalscastles.co.uk", true },
  { "rascalscastlesdoncaster.co.uk", true },
  { "rasebo.ro", true },
  { "raspberid.com.es", true },
  { "raspii.tech", true },
  { "rassadacvetov.com", true },
  { "rasset.ie", true },
  { "rassro.sk", true },
  { "rastabooks.ga", true },
  { "rasty.cz", true },
  { "ratajczak.one", true },
  { "ratd.net", true },
  { "ratebridge.com", true },
  { "ratelimited.me", true },
  { "ratgeber-guide.de", true },
  { "rathbonesonline.com", true },
  { "rathgeb.org", true },
  { "rationalcreation.com", true },
  { "rationalism.com", true },
  { "ratirl.be", true },
  { "rattattees.com", true },
  { "rattenkot.io", true },
  { "ratujemyzwierzaki.net", true },
  { "ratul.me", true },
  { "raucris.ro", true },
  { "raulrivero.es", true },
  { "rauros.net", true },
  { "rauschenbach.de", true },
  { "ravanalk.com", true },
  { "ravchat.com", true },
  { "ravelin.com", true },
  { "raven.dog", true },
  { "ravencoin.com", true },
  { "ravencoin.org", true },
  { "ravenger.net", true },
  { "ravenrockrp.com", true },
  { "ravensbuch.de", true },
  { "ravhaaglanden.org", true },
  { "ravindran.me", true },
  { "ravis.org", true },
  { "rawcbd.shop", true },
  { "rawdamental.com", true },
  { "rawdutch.nl", true },
  { "rawinfosec.com", true },
  { "rawpearls.com", true },
  { "rawsec.net", true },
  { "ray-home.de", true },
  { "ray-works.de", true },
  { "raya.io", true },
  { "rayadventure.com", true },
  { "raydius.de", true },
  { "raydolapfiyat.com", true },
  { "rayfalling.com", true },
  { "rayiris.com", true },
  { "raykitchenware.com", true },
  { "raymcbride.com", true },
  { "raymd.de", true },
  { "raymondelooff.nl", true },
  { "raynersorchard.com.au", true },
  { "raynis.net", true },
  { "raysei.com", true },
  { "raystark.com", true },
  { "raywin168.com", true },
  { "raywin168.net", true },
  { "raywin88.net", true },
  { "rayworks.de", true },
  { "raza.gr", true },
  { "razalabs.com", true },
  { "razalabs.gr", true },
  { "razborpoletov.cf", true },
  { "razborpoletov.ml", true },
  { "razborpoletov.tk", true },
  { "razeencheng.com", true },
  { "razgon.ga", true },
  { "razrabo.tk", true },
  { "razrsec.uk", true },
  { "razvlekuha.cf", true },
  { "razvlekuhablog.tk", true },
  { "rbensch.com", true },
  { "rbflote.lv", true },
  { "rbh.co.uk", true },
  { "rbiacademylms.org", true },
  { "rbltracker.com", true },
  { "rblx.red", true },
  { "rbmland.com", true },
  { "rbnet.xyz", true },
  { "rbran.com", true },
  { "rbs.com", true },
  { "rbt.sx", true },
  { "rbtvshitstorm.de", true },
  { "rbuddenhagen.com", true },
  { "rbunews.tk", true },
  { "rbx.com", true },
  { "rc-offi.net", true },
  { "rc-shop.ch", true },
  { "rca.fr", true },
  { "rcd.cz", true },
  { "rcdocuments.com", true },
  { "rcgoncalves.pt", true },
  { "rcjescrow.uk", true },
  { "rclaywilliamsdo.com", true },
  { "rclsm.net", true },
  { "rcmstream.com", true },
  { "rcmurphy.com", true },
  { "rcnitrotalk.com", true },
  { "rcpdesign.cl", true },
  { "rcraigmurphy.com", true },
  { "rct.sk", true },
  { "rct.uk", true },
  { "rctalk.com", true },
  { "rdap.co.il", true },
  { "rdcdesign.com", true },
  { "rddjapan.info", true },
  { "rdfproject.it", true },
  { "rdh.asia", true },
  { "rdjb2b.com", true },
  { "rdl.at", true },
  { "rdmc.fr", true },
  { "rdmrotterdam.nl", true },
  { "rdmtaxservice.com", true },
  { "rdns.cc", false },
  { "rdr2natives.com", true },
  { "rdv-cni.fr", true },
  { "rdv-prefecture.com", true },
  { "re-crawl.com", true },
  { "re-engines.com", true },
  { "re-inspect.com", true },
  { "re-security.com", true },
  { "reach-on.de", true },
  { "reachhead.com", true },
  { "reachout-ghana.com", true },
  { "reachrss.com", true },
  { "reaconverter.com", true },
  { "react-db.com", true },
  { "reactions.ai", false },
  { "reactive-press.com", true },
  { "reactivemarkets.com", true },
  { "reactpwa.com", true },
  { "readabilitychecker.com", true },
  { "reades.co.uk", true },
  { "reades.uk", true },
  { "readify.net", true },
  { "readifycloud.com", true },
  { "readingrats.de", true },
  { "readmusiccoleman.com", true },
  { "readonly.de", true },
  { "readouble.com", false },
  { "reads.wang", false },
  { "ready4bf.tk", true },
  { "readybetwin.com", true },
  { "readyrowan.com", true },
  { "readyrowan.org", true },
  { "readysell.net", true },
  { "readytongue.com", true },
  { "reaganlibrary.gov", true },
  { "reaksi.id", true },
  { "real-digital.co.uk", true },
  { "real-it.nl", true },
  { "real-neo.me", true },
  { "realcapoeira.ru", true },
  { "realestate-in-uruguay.com", true },
  { "realestate-lidl.at", true },
  { "realestate-lidl.be", true },
  { "realestate-lidl.bg", true },
  { "realestate-lidl.ch", true },
  { "realestate-lidl.co.uk", true },
  { "realestate-lidl.com", true },
  { "realestate-lidl.cz", true },
  { "realestate-lidl.dk", true },
  { "realestate-lidl.fr", true },
  { "realestate-lidl.gr", true },
  { "realestate-lidl.it", true },
  { "realestate-lidl.lt", true },
  { "realestate-lidl.lu", true },
  { "realestate-lidl.lv", true },
  { "realestate-lidl.pl", true },
  { "realestate-lidl.pt", true },
  { "realestate-lidl.ro", true },
  { "realestate-lidl.rs", true },
  { "realestate-lidl.se", true },
  { "realestate-lidl.sk", true },
  { "realestatecentralcoast.info", true },
  { "realestatemarketingblog.org", true },
  { "realestateonehowell.com", true },
  { "realestateradioshow.com", true },
  { "realfood.space", true },
  { "realgogo.com", true },
  { "realhypnosistraining.com.au", true },
  { "reality.news", true },
  { "reality0ne.com", false },
  { "reall.uk", true },
  { "reallifeforums.com", true },
  { "realloc.me", true },
  { "really-simple-ssl.com", true },
  { "reallytrusted.com", true },
  { "reallywild.tk", true },
  { "realm-of-shade.com", true },
  { "realme.govt.nz", true },
  { "realmofaesir.com", true },
  { "realmofespionage.xyz", true },
  { "realneo.me", true },
  { "realoteam.ddns.net", true },
  { "realpaella.com", true },
  { "realpropertyprofile.gov", true },
  { "realtygroup-virginia.com", true },
  { "realtyink.net", true },
  { "realum.com", true },
  { "realum.de", true },
  { "realum.eu", true },
  { "realum.net", true },
  { "realvnc.help", true },
  { "realwaycome.com", true },
  { "realwildart.com", true },
  { "realworldholidays.co.uk", true },
  { "ream.lu", true },
  { "reancos.report", true },
  { "reanimated.eu", true },
  { "reath.xyz", true },
  { "reavaninc.com", true },
  { "reaven.nl", true },
  { "rebane2001.com", true },
  { "rebeagle.com", true },
  { "rebeccawendlandt.com", true },
  { "rebelbranding.nl", true },
  { "rebelessex.com", true },
  { "rebelko.de", true },
  { "rebellionbrewing.com.au", true },
  { "rebelonline.nl", true },
  { "rebelz.se", true },
  { "rebirthia.me", true },
  { "reboxetine.com", true },
  { "reboxonline.com", true },
  { "rebtoor.com", true },
  { "reby.cf", true },
  { "reby.ga", true },
  { "reby.gq", true },
  { "reby.tk", true },
  { "recalls.gov", true },
  { "recantoshop.com", true },
  { "recantoshop.com.br", true },
  { "recapp.ch", true },
  { "recaptcha-demo.appspot.com", true },
  { "recebersms.com", true },
  { "receptionpoint.com", true },
  { "recetin.com", true },
  { "recettemedievale.fr", true },
  { "recherchegruppe.tk", true },
  { "recht.us", true },
  { "rechtsanwaeltin-vollmer.de", true },
  { "rechtsanwalt-koeppen-feucht.de", true },
  { "rechtschreibpruefung24.de", true },
  { "recipea.com", true },
  { "recipeapproved.ca", true },
  { "recipesmadeeasy.co.uk", true },
  { "recipex.ru", true },
  { "recipeyak.com", true },
  { "reckontalk.com", true },
  { "reclametoolz.nl", true },
  { "reclusiam.net", true },
  { "reco-studio.de", true },
  { "recoba3d.com", true },
  { "recolic.net", true },
  { "recolic.org", true },
  { "recommended.reviews", true },
  { "recompiled.org", false },
  { "recon-networks.com", true },
  { "reconexion.life", true },
  { "recordmeeting.jp", true },
  { "recoveringspirit.com", true },
  { "recoveryonline.org", true },
  { "recoveryunplugged.com", true },
  { "recoveryunpluggedtreatment.com", true },
  { "recrea.pl", true },
  { "recreatieftotaal.nl", true },
  { "recreation.gov", true },
  { "recruit.net", true },
  { "recruitmade.jp", true },
  { "recruitnow.nl", true },
  { "rectecforum.com", true },
  { "recuperodatiraidfastec.it", true },
  { "recurly.com", true },
  { "recurrentmeningitis.org", true },
  { "recursionrecursion.co.uk", true },
  { "recursosdeautoayuda.com", true },
  { "recycling.tk", true },
  { "recyclingisland.com", true },
  { "red-button.hu", true },
  { "red-dead-rp.de", true },
  { "red-t-shirt.ru", true },
  { "red-trigger.net", true },
  { "red031000.com", true },
  { "red2fred2.com", true },
  { "redable.hosting", true },
  { "redable.nl", true },
  { "redactieco.nl", true },
  { "redb.cz", true },
  { "redballoonsecurity.com", true },
  { "redburn.com", true },
  { "redcarpetmonday.com", true },
  { "redcatrampageforum.com", true },
  { "redchip.com.au", true },
  { "redcoded.com", true },
  { "redcorus.com", true },
  { "redd.it", true },
  { "reddevilarmada.com", true },
  { "reddingo.at", true },
  { "reddingo.be", true },
  { "reddingo.ch", true },
  { "reddingo.com", true },
  { "reddingo.com.au", true },
  { "reddingo.de", true },
  { "reddingo.es", true },
  { "reddingo.eu", true },
  { "reddingo.fr", true },
  { "reddingo.it", true },
  { "reddingo.jp", true },
  { "reddingo.nl", true },
  { "reddingo.nz", true },
  { "reddingsbrigade-zwolle.nl", true },
  { "reddingsbrigadeveghel.nl", true },
  { "reddit.com", true },
  { "reddit2kindle.com", true },
  { "reddraggone9.com", true },
  { "reddyai.com", true },
  { "rede-reim.de", true },
  { "rede-t.com", true },
  { "redecsirt.pt", true },
  { "redeemingbeautyminerals.com", true },
  { "redeshoprural.com.br", true },
  { "redeyeguatemala.tk", true },
  { "redflare.com.au", true },
  { "redfox-infosec.de", true },
  { "redfoxmarketiing.com", true },
  { "redgatesoftware.co.uk", true },
  { "redgoose.ca", true },
  { "redgravity.net", true },
  { "redhandedsecurity.com.au", true },
  { "redhawkwa.com", true },
  { "redheadfuck.com", true },
  { "redicals.com", true },
  { "redinational.com", true },
  { "redion.me", true },
  { "redir.me", true },
  { "redirect.fedoraproject.org", true },
  { "redirect.stg.fedoraproject.org", true },
  { "rediske.me", true },
  { "redivis.com", true },
  { "redjuice.co.uk", true },
  { "redkiwi.nl", true },
  { "redleslie.com", true },
  { "redlinelap.com", true },
  { "redlink.de", true },
  { "redmangallpsychologists.com.au", true },
  { "redmind.se", true },
  { "redmondtea.com", true },
  { "redmoon.cloud", true },
  { "redmore.me", true },
  { "redneragenturen.org", true },
  { "rednsx.org", true },
  { "rednumberone.com", true },
  { "redpatronus.com", true },
  { "redpen.gr", true },
  { "redray.org", true },
  { "redrowcareers.co.uk", true },
  { "redscan.com", true },
  { "redsequence.com", true },
  { "redshoeswalking.net", true },
  { "redsicom.com", true },
  { "redstarpictures.tk", true },
  { "redstarsurf.com", true },
  { "redstoner.com", true },
  { "redteam-pentesting.de", true },
  { "redunion.tk", true },
  { "redwater.co.uk", true },
  { "redwaterhost.com", true },
  { "redweek.com", true },
  { "redwiki.tk", true },
  { "redworks.nl", true },
  { "reecewindows.com", true },
  { "reed-sensor.com", true },
  { "reedloden.com", true },
  { "reedyforkfarm.com", true },
  { "reeftrip.com", true },
  { "reegle.com", true },
  { "reening.net", true },
  { "rees-carter.net", true },
  { "reesmichael1.com", true },
  { "reevaappliances.co.uk", true },
  { "reeves-family.com", true },
  { "ref1oct.nl", true },
  { "refactor.zone", false },
  { "refer.codes", true },
  { "referat.club", true },
  { "referat.me", true },
  { "referdell.com", true },
  { "refinansiering.no", true },
  { "refinedroomsllc.com", true },
  { "refjob.jp", true },
  { "reflectiondentallasvegas.com", true },
  { "reflectores.net", true },
  { "refletindosaude.com.br", true },
  { "reflets.info", true },
  { "reflexions.co", true },
  { "reflexionspain.tk", true },
  { "refluxogastroesofagico.ga", true },
  { "refood-cascaiscpr.eu", true },
  { "reformation.financial", true },
  { "refreshcartridges.co.uk", true },
  { "refreshliving.us", true },
  { "refrigeracionpeinado.com.mx", true },
  { "refu.net", true },
  { "refundo.cz", true },
  { "refundo.sk", true },
  { "reg.place", true },
  { "regalcapitalwi.com", true },
  { "regalopublicidad.com", true },
  { "regalosymuestrasgratis.com", true },
  { "reganclassics.co.uk", true },
  { "reganclassics.com", true },
  { "reganparty.com", true },
  { "regar42.fr", false },
  { "regata2015.tk", true },
  { "regazofotografia.com", true },
  { "regeneo.cz", true },
  { "regeneracjalamp.eu", true },
  { "regenerapoint.it", true },
  { "regenerescence.com", true },
  { "regenpod.com", true },
  { "regensburg-repariert.de", true },
  { "reginaclinic.jp", true },
  { "reginfo.gov", true },
  { "regiobeveland.nl", true },
  { "region-vologda.tk", true },
  { "regionalbasementandcrawlspacerepair.com", true },
  { "regionalgrowth.com", true },
  { "regiosalland.nl", true },
  { "regiovertrieb.de", false },
  { "regis.tech", true },
  { "regisearch.co.uk", true },
  { "register.to", true },
  { "registerex.me", true },
  { "registerforevent.co.uk", true },
  { "registerra.nl", true },
  { "registr.io", true },
  { "registrarplus.net", true },
  { "registrarplus.nl", true },
  { "registry.google", true },
  { "registryplus.net", true },
  { "registryplus.nl", true },
  { "regmyr.se", true },
  { "regnr.info", true },
  { "regolithmedia.com", true },
  { "regon.hu", true },
  { "regraph.de", true },
  { "regularflolloping.com", true },
  { "regulations.gov", true },
  { "reha-honpo.jp", true },
  { "rehabili-shigoto.com", true },
  { "rehabthailand.com", true },
  { "rehabthailand.org", true },
  { "rei.ki", true },
  { "reichardt-home.goip.de", true },
  { "reichel-steinmetz.de", true },
  { "reichelt-cloud.de", true },
  { "reichl-online.net", true },
  { "reiciunas.lt", true },
  { "reidasbombas.com", true },
  { "reifr.net", true },
  { "reiki-france.fr", true },
  { "reilly.io", true },
  { "reimaginebelonging.de", true },
  { "reimaginebelonging.org", true },
  { "reimann.me", true },
  { "reimers.de", true },
  { "rein.kr", true },
  { "reinaertvandecruys.com", true },
  { "reinaldudras.ee", true },
  { "reinaldudrasfamily.ee", true },
  { "reinascba.com.ar", true },
  { "reindersfoodfashion.nl", true },
  { "reinencaressa.be", true },
  { "reinfer.io", true },
  { "reinhardtsgrimma.de", true },
  { "reinhart-auto.cz", true },
  { "reinierjonker.nl", true },
  { "reinotools.com", true },
  { "reinout.nu", true },
  { "reinouthoornweg.nl", true },
  { "reinventetoi.com", false },
  { "reinventfit.ro", true },
  { "reirei.cc", true },
  { "reisenbauer.ee", true },
  { "reiseversicherung-werner-hahn.de", true },
  { "reishunger.de", true },
  { "reissnehme.com", true },
  { "reitmeier.me", true },
  { "reitoracle.com", true },
  { "reitstall-goettingen.de", true },
  { "reittherapie-tschoepke.de", true },
  { "rejahrehim.com", true },
  { "rejects.email", true },
  { "rejido.tk", true },
  { "rekisuta.com", true },
  { "reklamjog.hu", true },
  { "rekorsanat.com.tr", true },
  { "rekurasi.com", true },
  { "relaispourlavie.net", true },
  { "relax.hn", true },
  { "relaxdom.net", true },
  { "relaxhavefun.com", true },
  { "relaxpointhyncice.cz", true },
  { "release-monitoring.org", true },
  { "releasepoint.com", true },
  { "releasingarchive.org", true },
  { "reliablemaids.co.uk", true },
  { "reliableremovals-blackpool.co.uk", true },
  { "reliancebank.bank", true },
  { "relitas.cz", true },
  { "relojeriajoyeria.com", true },
  { "relojes-online.com", true },
  { "relsak.cz", true },
  { "rem0te.net", true },
  { "remaimodern.org", true },
  { "remambo.jp", true },
  { "remarketable.org", true },
  { "remax.at", true },
  { "remeb.de", true },
  { "remedi.tokyo", true },
  { "remedionaturales.com", true },
  { "rememberthemilk.com", false },
  { "remetall.cz", true },
  { "remi-saurel.com", true },
  { "remiafon.com", true },
  { "remilner.co.uk", true },
  { "remini.cz", true },
  { "reminisceaudio.com", true },
  { "remirampin.com", true },
  { "remissan.com", true },
  { "remitano.com", true },
  { "remmik.com", true },
  { "remny.com", true },
  { "remodeus.com", true },
  { "remonline.ru", true },
  { "remont-kvartirvmoskve.ga", true },
  { "remont-naushnikov.tk", true },
  { "remont-p.com", true },
  { "remont-warszawa.pl", true },
  { "remonti.info", true },
  { "remotedesktop.corp.google.com", true },
  { "remoteham.com", true },
  { "remoteoffice.ga", true },
  { "remoteutilities.com", true },
  { "remptmotors.com", true },
  { "remrol.ru", true },
  { "rena.cloud", true },
  { "renaissanceplasticsurgery.net", true },
  { "renanoliveira.design", true },
  { "renaultclubticino.ch", false },
  { "rendall.tv", true },
  { "render.com", true },
  { "renderloop.com", true },
  { "rene-eizenhoefer.de", true },
  { "rene-schwarz.com", true },
  { "rene-stolp.de", true },
  { "renearends.nl", true },
  { "renedekoeijer.com", true },
  { "renehsz.com", true },
  { "reneleu.ch", true },
  { "renem.net", false },
  { "renemayrhofer.com", false },
  { "reneschmidt.de", true },
  { "renewablefreedom.org", true },
  { "renewablemaine.org", true },
  { "renewed.technology", true },
  { "renewmedispa.com", true },
  { "renewpfc.com", true },
  { "renezuo.com", true },
  { "renkenlaw.com", true },
  { "renlen.nl", true },
  { "rennes-bachata.com", true },
  { "rennes-danse-africaine.com", true },
  { "rennes-danses-en-ligne.com", true },
  { "rennes-hip-hop.com", true },
  { "rennes-lindy-hop.com", true },
  { "rennes-reggaeton.com", true },
  { "rennes-rock-6-temps.com", true },
  { "rennes-tango.com", true },
  { "rennes-yoga.com", true },
  { "renoovodesign.ltd", true },
  { "renov8sa.co.za", true },
  { "renovablesverdes.com", true },
  { "renovum.es", true },
  { "renrenche.com", false },
  { "rens.nu", true },
  { "rensa-datorn.se", true },
  { "rent-a-c.io", true },
  { "rent-a-coder.de", true },
  { "rentacaramerica.com", true },
  { "rentandamiosycasetas.com", true },
  { "rentandgo.it", true },
  { "rentasweb.gob.ar", true },
  { "renthelper.us", true },
  { "rentinsingapore.com.sg", true },
  { "rentourhomeinprovence.com", true },
  { "rentsbg.com", true },
  { "renuo.ch", true },
  { "renyiyou.com", true },
  { "reorz.com", false },
  { "reox.at", false },
  { "repaik.com", true },
  { "repairguy.dk", true },
  { "repairit.support", true },
  { "repalcateia.com.br", true },
  { "repaper.org", true },
  { "reparacionesdecalefones.com", true },
  { "reparacionmovilesmurcia.com", true },
  { "reparizy.com", true },
  { "repauto.com.ua", true },
  { "repceszentgyorgy.hu", true },
  { "repin.in.ua", true },
  { "replenology.com", true },
  { "repliksword.com", true },
  { "repo.ml", true },
  { "repology.org", true },
  { "report-uri.com", true },
  { "report2psb.online", true },
  { "reportband.gov", true },
  { "reporting.gov", true },
  { "reproduciblescience.org", true },
  { "reproductive-revolution.com", true },
  { "reproductiverevolution.com", true },
  { "reprogramming-predators.com", true },
  { "reprogrammingpredators.com", true },
  { "reprozip.org", true },
  { "repsltd.co.uk", true },
  { "repsomelt.com", true },
  { "reptrax.com", true },
  { "reptv.online", true },
  { "republic.gr", true },
  { "republicanleader.gov", false },
  { "republicghana.com", true },
  { "republictelecom.net", true },
  { "republique.org", true },
  { "repuestosmedellin.com", true },
  { "repugnant-conclusion.com", true },
  { "repugnantconclusion.com", true },
  { "reputationweaver.com", true },
  { "requestr.co.uk", true },
  { "requezmc.net", true },
  { "require.software", false },
  { "reroboto.com", true },
  { "reroboto.eu", true },
  { "reroboto.net", true },
  { "reroboto.org", true },
  { "resama.eu", true },
  { "resanebartar.tk", true },
  { "resch.io", true },
  { "rescms-secure.com", true },
  { "rescuer.gq", true },
  { "resdon.cn", true },
  { "research-panel.jp", true },
  { "research.facebook.com", false },
  { "researchchempro.nl", true },
  { "researchgate.net", true },
  { "researchstory.com", true },
  { "reseausyndic.ca", true },
  { "reservar-un-hotel.com", true },
  { "reserve-duchenier.com", true },
  { "reshka.ga", true },
  { "residence-donatello.be", true },
  { "residence-simoncelli.com", true },
  { "residentiallocksmithdallas.com", true },
  { "resilientlives.com", true },
  { "resilienzatropical.it", true },
  { "resine.roma.it", true },
  { "resinflooringcompany.com", true },
  { "resist.ca", true },
  { "resize2fs.de", true },
  { "resnickandnash.com", true },
  { "resolve-portal.it", true },
  { "resolvefa.co.uk", true },
  { "resolvefa.com", true },
  { "resolving.com", true },
  { "resoplus.ch", false },
  { "resort-islands.net", true },
  { "resortafroditatucepi.com", true },
  { "resortohshima.com", true },
  { "resorts.ru", true },
  { "resourceconnect.com", true },
  { "resourceguruapp.com", true },
  { "resources.flowfinity.com", true },
  { "resourcesmanagementcorp.com", true },
  { "respectmyprivacy.eu", true },
  { "respectmyprivacy.net", true },
  { "respectmyprivacy.nl", true },
  { "respecttheflame.com", true },
  { "respiranto.de", true },
  { "respon.jp", false },
  { "responer.com", true },
  { "respons.je", true },
  { "respons.me", true },
  { "respons.mobi", true },
  { "respons.us", true },
  { "respons.ws", true },
  { "responscode.eu", true },
  { "responscode.info", true },
  { "responscode.mobi", true },
  { "responscode.nl", true },
  { "responsecode.info", true },
  { "responsecode.mobi", true },
  { "responsecode.nl", true },
  { "responsepartner.com", true },
  { "responsibledisclosure.nl", false },
  { "responsive-shop.com", true },
  { "responsivepaper.com", true },
  { "respostas.com.br", true },
  { "resqdesk.com", true },
  { "ressl.ch", true },
  { "ressupply.com", true },
  { "restaurant-de-notenkraker.be", true },
  { "restaurant-eatenjoy.be", true },
  { "restaurant-fujiyama.fr", true },
  { "restaurant-oregano.de", true },
  { "restaurantedonono.com.br", true },
  { "restaurantepepeyestrella.es", true },
  { "restauranttester.at", true },
  { "restauriedili.roma.it", true },
  { "restoran-radovce.me", true },
  { "restoran.cf", true },
  { "restorethegulf.gov", true },
  { "restoringhopeberks.org", true },
  { "restoruns.com", true },
  { "restoruns.xyz", true },
  { "restrealitaet.de", true },
  { "restrito.org", true },
  { "resultsatretail.com", true },
  { "resume4dummies.com", true },
  { "resumelab.com", true },
  { "resumeprofessionalwriters.com", true },
  { "resumeshoppe.com", true },
  { "resursedigitale.ro", true },
  { "resveratrolsupplement.co.uk", true },
  { "retailcybersolutions.com", true },
  { "retailing.cf", true },
  { "retefarmaciecostadamalfi.it", true },
  { "retetop95.it", true },
  { "reticket.me", true },
  { "reticon.de", true },
  { "retinacv.es", true },
  { "retireearlyandtravel.com", true },
  { "retirementsolutionva.com", true },
  { "retirest.com", true },
  { "retmig.dk", true },
  { "reto.ch", false },
  { "reto.com", false },
  { "reto.io", true },
  { "retokromer.ch", false },
  { "retornaz.com", true },
  { "retornaz.eu", true },
  { "retornaz.fr", true },
  { "retractableawningssydney.com.au", true },
  { "retraitebysaulsplace.nl", true },
  { "retro-game.org", true },
  { "retro.camp", true },
  { "retro.sx", true },
  { "retroarms.com", true },
  { "retroarms.cz", true },
  { "retrocdn.net", true },
  { "retrofitlab.com", true },
  { "retroity.net", true },
  { "retropack.org", true },
  { "retroride.cz", true },
  { "retroroundup.com", true },
  { "retrotown.ws", true },
  { "retrotracks.net", true },
  { "retrovideospiele.com", true },
  { "rettig.xyz", false },
  { "retzer.me", true },
  { "reucon.com", true },
  { "reupo.com", true },
  { "reussirsavie.info", true },
  { "reut42.de", true },
  { "reuter-profishop.de", true },
  { "reuter.de", true },
  { "reuzenplaneten.nl", true },
  { "revamed.com", false },
  { "revampweb-development.azurewebsites.net", true },
  { "revampweb-staging.azurewebsites.net", true },
  { "revapost.fr", true },
  { "revayd.net", true },
  { "revealdata.com", true },
  { "revensoftware.com", true },
  { "reverencestudios.com", true },
  { "reverseaustralia.com", true },
  { "reversecanada.com", true },
  { "reverseloansolutions.com", true },
  { "reverselookupphone.us", true },
  { "reversesouthafrica.com", true },
  { "review.jp", true },
  { "reviewbestseller.com", true },
  { "reviewcenter.in", true },
  { "reviewgeek.com", true },
  { "reviewinteriors.com.au", true },
  { "reviewninja.net", true },
  { "reviews.anime.my", false },
  { "revirt.global", true },
  { "revisionnotes.xyz", true },
  { "revisit.date", true },
  { "revisores.pt", true },
  { "revisoronline.ml", true },
  { "revista-programar.info", true },
  { "revistabifrontal.com", true },
  { "revistadiscover.com", true },
  { "revitalisierungs-akademie.de", true },
  { "revivalinhisword.com", true },
  { "revivalprayerfellowship.com", true },
  { "revivemoment.com", true },
  { "reviveplumbingmelbourne.com.au", true },
  { "revivingtheredeemed.org", true },
  { "revizor-online.gq", true },
  { "revizor-online.tk", true },
  { "revlect.com", true },
  { "revolutionaryaim-vienna.tk", true },
  { "revolware.com", true },
  { "revworld.org", true },
  { "rewardingexcellence.com", true },
  { "rex.tc", true },
  { "rexdf.net", true },
  { "rexfinland.fi", true },
  { "rexskz.info", true },
  { "rexxworld.com", true },
  { "reyna.cc", true },
  { "reyrubi.com", true },
  { "rezept-planer.de", true },
  { "rezio.io", true },
  { "rezka-burenie.cf", true },
  { "rezultant.ru", true },
  { "rezun.cloud", true },
  { "rfid-basis.de", true },
  { "rfid-grundlagen.de", true },
  { "rfid-schutz.de", true },
  { "rfid-schutz.org", true },
  { "rfid-sicherheit.com", true },
  { "rfxanalyst.com", true },
  { "rga.sh", true },
  { "rgbinnovation.com", true },
  { "rgbpty.com", true },
  { "rgcomportement.fr", false },
  { "rggraphics.mx", true },
  { "rgiohio.com", true },
  { "rgpdkit.io", true },
  { "rgraph.net", true },
  { "rgz.ee", true },
  { "rhaegal.me", true },
  { "rhamzeh.com", true },
  { "rhaniegghe.be", true },
  { "rhaniegghesoftwaresecurity.be", true },
  { "rhd-instruments.com", true },
  { "rhd-instruments.de", true },
  { "rhees.nl", true },
  { "rheijmans.io", true },
  { "rheijmans.nl", true },
  { "rhein-liebe.de", true },
  { "rheinneckarmetal.com", true },
  { "rhese.net", true },
  { "rhetorical.ml", false },
  { "rhetthenckel.com", true },
  { "rhevelo.com", true },
  { "rhhfoamsystems.com", true },
  { "rhinecho.com", true },
  { "rhinelander.ca", true },
  { "rhinobase.net", false },
  { "rhinoceroses.org", true },
  { "rhodenmanorcattery.co.uk", true },
  { "rhodos.fr", true },
  { "rhodri.io", true },
  { "rhowell.io", true },
  { "rhubarb.land", true },
  { "rhumblineadvisers.com", true },
  { "rhyme.com", true },
  { "rhymeswithmogul.com", true },
  { "rhymix.org", true },
  { "rhynl.io", true },
  { "riajenaka.com", true },
  { "riaki.net", true },
  { "rial.space", true },
  { "riaucybersolution.net", false },
  { "riba-lov.ga", true },
  { "ribella.net", true },
  { "ribtours.co", true },
  { "ricardo.nu", true },
  { "ricardobalk.nl", true },
  { "ricardojsanchez.com.ar", true },
  { "ricardopq.com", true },
  { "ricardotaakehb.tk", true },
  { "ricaribeiro.com.br", true },
  { "ricaud.me", true },
  { "riccardopiccioni.it", true },
  { "riccy.org", true },
  { "rice.id.au", true },
  { "riceadvice.info", true },
  { "richadams.me", true },
  { "richardbloomfield.blog", true },
  { "richardcrosby.co.uk", true },
  { "richardharpur.com", true },
  { "richardhicks.us", true },
  { "richardinesrolltop.com", true },
  { "richardjgreen.net", true },
  { "richardlangham.plumbing", true },
  { "richardlangworth.com", true },
  { "richardlevinmd.com", true },
  { "richardlugten.nl", true },
  { "richardrblocker.net", true },
  { "richardschut.nl", true },
  { "richardson.cam", true },
  { "richardson.engineering", true },
  { "richardson.pictures", true },
  { "richardson.software", true },
  { "richardson.systems", true },
  { "richardson.tw", true },
  { "richardstonerealestate.com", true },
  { "richardvd.nl", true },
  { "richardwarrender.com", true },
  { "richbutler.co.uk", true },
  { "richcat.tw", true },
  { "richecommecresus.com", true },
  { "richelelahaise.nl", true },
  { "richeyweb.com", true },
  { "richie.cloud", true },
  { "richie.fi", true },
  { "richie.network", true },
  { "richie.one", true },
  { "richie.pm", true },
  { "richieheijmans.cloud", true },
  { "richieheijmans.com", true },
  { "richieheijmans.email", true },
  { "richieheijmans.eu", true },
  { "richieheijmans.network", true },
  { "richieheijmans.nl", true },
  { "richieheijmans.one", true },
  { "richieheijmans.xyz", true },
  { "richlj.net", true },
  { "richviajero.com", true },
  { "ricketyspace.net", true },
  { "ricki-z.com", true },
  { "rickmakes.com", true },
  { "rickrongen.nl", true },
  { "rickscastles.co.uk", true },
  { "ricksfamilycarpetcleaning.com", true },
  { "rickvanderzwet.nl", true },
  { "rickweijers.nl", true },
  { "rickyromero.com", true },
  { "ricobaldegger.ch", true },
  { "ricochet.im", true },
  { "ricomp.com.br", true },
  { "ricordisiciliani.it", true },
  { "ricoydesign.com", true },
  { "ridadihouse.com", true },
  { "riddimsworld.com", true },
  { "riddler.com.ar", true },
  { "rideapart.com", true },
  { "rident-estetic.ro", true },
  { "rides-japan.jp", true },
  { "rideyourdamn.bike", true },
  { "ridgarou.no-ip.org", true },
  { "ridhaan.co", true },
  { "ridingboutique.de", true },
  { "rido.ml", true },
  { "riesenweber.id.au", true },
  { "riesheating.com", true },
  { "rievo.net", true },
  { "riffelhaus.ch", true },
  { "riffreporter.de", true },
  { "rift.pictures", true },
  { "rigabeerbike.com", true },
  { "riggosrag.com", true },
  { "righettod.eu", true },
  { "righini.ch", false },
  { "rightbrain.training", true },
  { "rightlaw.nz", true },
  { "rightmovecanada.com", true },
  { "rightnetworks.com", true },
  { "rightoncorpus.com", true },
  { "rightreview.co.uk", true },
  { "rights.ninja", true },
  { "rightsolutionplumbing.com.au", true },
  { "rightstuff.link", false },
  { "righttobuy.gov.uk", true },
  { "rigintegrity.com", true },
  { "rigsalesaustralia.com", true },
  { "riho.moe", true },
  { "riight.online", true },
  { "riimihaku.fi", true },
  { "rijk-catering.nl", false },
  { "rijschoolrichardschut.nl", true },
  { "rijschoolsafetyfirst.nl", true },
  { "rijsinkunst.nl", true },
  { "rik.onl", true },
  { "riklewis.com", true },
  { "riku.pw", true },
  { "rikunori.com.tw", true },
  { "rikuras.cl", true },
  { "rile5.com", true },
  { "rilish.cf", true },
  { "rimax.vn", true },
  { "rimcountrymuseum.org", true },
  { "rime.com.hr", true },
  { "rimeto.io", true },
  { "rimkereso.hu", true },
  { "rimo.site", true },
  { "rimorrecherche.nl", true },
  { "ringingliberty.com", true },
  { "ringjewellery.co.uk", true },
  { "ringofglory.gq", true },
  { "ringtune.ir", true },
  { "rinkhill.com", true },
  { "rinsepimp.com", true },
  { "rinvex.com", true },
  { "rinzler.io", true },
  { "rio-weimar.de", true },
  { "riograndesurgeons.com", true },
  { "rioxmarketing.pt", true },
  { "rioxmarketing.us", true },
  { "rip-sport.cz", true },
  { "ripa.io", true },
  { "ripaton.fr", true },
  { "ripcorddesign.com", true },
  { "ripcordsandbox.com", true },
  { "ripley.red", true },
  { "ripmixmake.org", true },
  { "ripp-it.com", true },
  { "riproduzionichiavi.it", true },
  { "riptidetech.io", true },
  { "ripuree.com", true },
  { "ris-bad-wurzach.de", true },
  { "ris.fi", true },
  { "risada.nl", true },
  { "risaphuketproperty.com", false },
  { "riscascape.net", true },
  { "rischard.org", true },
  { "rise-technologies.com", true },
  { "rise.global", true },
  { "riselab.com.ua", true },
  { "riseup.net", true },
  { "rishabh.me", true },
  { "rishikeshyoga.in", true },
  { "risiinfo.com", true },
  { "risoscotti.es", true },
  { "risounokareshi.com", true },
  { "risparmiare.info", true },
  { "ristioja.ee", true },
  { "ristisanat.fi", true },
  { "ristoarea.it", true },
  { "ristorantefattoamano.it", true },
  { "ristorantelittleitaly.com", true },
  { "ristorantesamarkand.it", true },
  { "ristrutturazioneappartamenti.milano.it", true },
  { "ristrutturazioneappartamento.roma.it", true },
  { "ristrutturazioniappartamentinapoli.it", true },
  { "risxx.com", true },
  { "rit.space", true },
  { "ritel.nl", true },
  { "ritirocalcinacci.viterbo.it", true },
  { "rittau.biz", true },
  { "rittau.org", true },
  { "rivaforum.de", true },
  { "rivalsa.cn", true },
  { "rivastation.de", true },
  { "riverbanktearooms.co.uk", true },
  { "riverbendroofingnd.com", true },
  { "riverford.co.uk", true },
  { "rivermist.com.au", true },
  { "riveroacessorios.com", true },
  { "riveroflifegifts.com", true },
  { "riverotravel.cl", true },
  { "riverridgecc.com", true },
  { "rivers.gov", true },
  { "riversidebaptistchurch.net", true },
  { "riversideradio.nl", true },
  { "riversmeet.co.uk", true },
  { "riverviewurologic.com", true },
  { "riverweb.gr", true },
  { "rivierasaints.ch", false },
  { "riviere.pro", true },
  { "rivingtongreenwich.co.uk", true },
  { "rivoflor.it", true },
  { "rivus.net", true },
  { "riwick.com", false },
  { "rix.ninja", true },
  { "riyono.com", true },
  { "rizarus.com", true },
  { "rizospastis.gr", true },
  { "rj-onderneemt.nl", true },
  { "rjan.nl", true },
  { "rjrplay.com", true },
  { "rkbegraafplaats.com", true },
  { "rkfp.cz", true },
  { "rkmns.edu.in", true },
  { "rlahaise.nl", true },
  { "rlalique.com", true },
  { "rld.org", true },
  { "rlds.ch", false },
  { "rleeden.servehttp.com", true },
  { "rleh.de", true },
  { "rlove.org", true },
  { "rm-it.de", true },
  { "rmb.li", true },
  { "rmc.edu", true },
  { "rmcbs.de", true },
  { "rmdscreen.com", true },
  { "rmeuropean.com", true },
  { "rmm-i.com", true },
  { "rmmanfredi.com", true },
  { "rmrig.org", true },
  { "rmstudio.tw", true },
  { "rmsupply.nl", true },
  { "rnag.ie", true },
  { "rnbjunk.com", true },
  { "rngmeme.com", true },
  { "rnoax.com", true },
  { "ro.search.yahoo.com", false },
  { "roach.nz", true },
  { "roachesofficial.com", true },
  { "roaddoc.de", true },
  { "roadguard.nl", false },
  { "roadtochina.tk", true },
  { "roadtripusa.tk", true },
  { "roalogic.com", true },
  { "roamfreun.tk", true },
  { "roams.es", true },
  { "roams.mx", true },
  { "roar.com.br", true },
  { "rob006.net", true },
  { "robandjanine.com", true },
  { "robbiecrash.me", true },
  { "robbinsgaragedoorwenatchee.com", true },
  { "robbysmets.be", true },
  { "robdavidson.network", true },
  { "robert-flynn.de", true },
  { "robert-reisemobil.de", true },
  { "robertattfield.com", true },
  { "robertbln.com", true },
  { "robertglastra.com", true },
  { "roberthurlbut.com", true },
  { "robertkotlermd.com", true },
  { "robertkrueger.de", true },
  { "robertlysik.com", true },
  { "robertnankervis.com", true },
  { "robertnemec.com", true },
  { "robertoentringer.com", false },
  { "robertof.ovh", true },
  { "robertopazeller.ch", true },
  { "robertoullan.tk", true },
  { "robertreiser.photography", true },
  { "robertrijnders.nl", true },
  { "robertsmits.be", false },
  { "robgorman.ie", true },
  { "robhorstmanshof.nl", true },
  { "robicue.com", true },
  { "robigalia.org", false },
  { "robin.co.kr", true },
  { "robin.info", true },
  { "robinevandenbos.nl", true },
  { "robinflikkema.nl", true },
  { "robinhoodbingo.com", true },
  { "robinlinden.eu", true },
  { "robinsonyu.com", true },
  { "robinwill.de", true },
  { "robinwinslow.uk", true },
  { "robison.pro", true },
  { "robisonweb.net", true },
  { "robjager-fotografie.nl", true },
  { "robocop.no", true },
  { "robodeal.cc", true },
  { "robodeidentidad.gov", true },
  { "robohash.org", true },
  { "robokits.co.in", true },
  { "robot.car", true },
  { "robotattack.org", true },
  { "robotenmihogar.com", true },
  { "robotkvarnen.se", true },
  { "robots-ju.ch", true },
  { "robotsbigdata.com", true },
  { "robotstxt.com", true },
  { "robpol86.com", true },
  { "robspc.repair", true },
  { "robspeed.rocks", true },
  { "robsutter.com", true },
  { "robtex.com", true },
  { "robu.in", true },
  { "robud.info", true },
  { "robustac.com", true },
  { "rochakhand-knitcraft.com.np", true },
  { "rochesterglobal.com", true },
  { "rocis.gov", true },
  { "rocka.me", true },
  { "rockagogo.com", true },
  { "rockcanyonbank.com", true },
  { "rockefellergroup.info", true },
  { "rockernj.com", true },
  { "rocket-resume.com", true },
  { "rocketevents.com.au", true },
  { "rocketmill.co.uk", true },
  { "rocketr.net", true },
  { "rocketsandtutus.com", true },
  { "rockfax.com", true },
  { "rockfordtow.com", true },
  { "rockfordtowing.com", true },
  { "rockinronniescastles.co.uk", true },
  { "rockitinflatables.co.uk", true },
  { "rocknwater.com", true },
  { "rockpesado.com.br", true },
  { "rockslideengineering.com", true },
  { "rockthebabybump.com", true },
  { "rockymountainspice.com", true },
  { "rockypest.com.au", true },
  { "rocmartialartsacademy.com", true },
  { "rocsole.com", true },
  { "rocssti.net", true },
  { "rod.run", false },
  { "rodchapman.com", true },
  { "rodelstein.eu", true },
  { "rodeobull.biz", true },
  { "rodeohire.com", true },
  { "rodeoimport.com", true },
  { "rodeosales.co.uk", true },
  { "rodest.net", true },
  { "rodevlaggen.nl", true },
  { "rodichi.net", true },
  { "rodinka.tk", true },
  { "rodinnebyvanie.eu", true },
  { "rodkidesings.com", true },
  { "rodolfo.gs", true },
  { "rodomonte.org", true },
  { "rodrigoacevedo.com.uy", true },
  { "rodrigocarvalho.blog.br", true },
  { "rody-design.com", true },
  { "rodykossen.com", true },
  { "roeckx.be", true },
  { "roed.gg", true },
  { "roeden.dk", true },
  { "roeitijd.nl", false },
  { "roelenscitynews.ml", true },
  { "roelhollander.eu", true },
  { "roelof.io", true },
  { "roelsworld.eu", true },
  { "roemhild.de", true },
  { "roerstaafjes.nl", true },
  { "rofl.com.ua", true },
  { "rogagym.com", true },
  { "rogard.fr", true },
  { "rogerhub.com", true },
  { "rogerkunz.ch", true },
  { "rogerriendeau.ca", true },
  { "rogersaam.ch", false },
  { "rogersnowing.cn", true },
  { "rogersremovals.co.uk", true },
  { "rogersvilleumc.org", true },
  { "rognhaugen.no", true },
  { "rogoff.xyz", true },
  { "roguefortgame.com", true },
  { "roguenation.space", true },
  { "roguenetworks.me", true },
  { "roguerocket.com", true },
  { "roguesignal.net", true },
  { "roh.one", true },
  { "rohde.de", true },
  { "rohedaten.de", true },
  { "rohitagr.com", true },
  { "rohlik.cz", true },
  { "rohrle.com", true },
  { "roi.ovh", true },
  { "rointe.online", true },
  { "roircop.info", true },
  { "roiscroll.com", true },
  { "roisu.org", true },
  { "roka9.de", true },
  { "rokass.nl", true },
  { "rokki.ch", true },
  { "roko-foto.de", true },
  { "rokort.dk", true },
  { "rokudenashi.de", true },
  { "roland.io", true },
  { "rolandlips.nl", true },
  { "rolandoredi.com", true },
  { "rolandozarate.tk", true },
  { "rolandreed.cn", true },
  { "rolandszabo.com", true },
  { "rolandvanipenburg.com", true },
  { "rolecontj.com", true },
  { "roleplaybdsm.com", true },
  { "roll-bakery.com.tw", true },
  { "rolleyes.org", true },
  { "rollforadventure.com.au", true },
  { "rollingbarge.com", true },
  { "rolob.io", true },
  { "rolodato.com", true },
  { "roma-servizi.it", true },
  { "romab.com", true },
  { "romacoffee.co.nz", true },
  { "romail.ml", true },
  { "romain-arias.fr", true },
  { "romaindepeigne.fr", true },
  { "romainlapoux.com", true },
  { "romainlapoux.fr", true },
  { "roman-pavlik.cz", true },
  { "roman.systems", true },
  { "romancloud.com", true },
  { "romancoinsforsale.org", false },
  { "romande-entretien.ch", true },
  { "romanian.cam", true },
  { "romanmichel.de", true },
  { "romanpavlodar.kz", true },
  { "romantelychko.com", true },
  { "romantica-hotel.de", true },
  { "romanticschemer.com", true },
  { "romanticsexshopguatemala.com", true },
  { "romanticvillas.com.au", false },
  { "romapa.com", true },
  { "romarin.es", true },
  { "romaservicegroup.it", true },
  { "romatrip.it", true },
  { "rome.dating", true },
  { "rommelhuntermusic.tk", true },
  { "rommelwood.de", true },
  { "romo-holidays.de", true },
  { "romo-holidays.dk", true },
  { "romsey.org", true },
  { "romtex.co.uk", true },
  { "romun.net", true },
  { "ronan-hello.fr", true },
  { "ronbyrne.com", true },
  { "roncallijets.net", true },
  { "rondommen.nl", true },
  { "rondouin.fr", true },
  { "rondreis-amerika.be", true },
  { "rondreis-schotland.nl", true },
  { "ronem.com.au", true },
  { "roninf.ch", true },
  { "roninitconsulting.com", true },
  { "ronniegane.kiwi", true },
  { "ronnylindner.de", true },
  { "ronomon.com", true },
  { "ronsguideservice.com", true },
  { "ronvil.com", true },
  { "roodfruit.studio", true },
  { "roodhealth.co.uk", true },
  { "roof.ai", false },
  { "roofconsultants-inc.com", true },
  { "roofer.cf", true },
  { "roofingandconstructionllc.com", true },
  { "roofingomaha.com", true },
  { "roofsandbasements.com", true },
  { "rook-playz.net", true },
  { "rookiehpc.com", true },
  { "rookvrij.nl", true },
  { "room-composite.com", true },
  { "room208.org", true },
  { "room3b.eu", true },
  { "roombase.nl", true },
  { "roomee.tk", true },
  { "roomhub.jp", true },
  { "roomkey.com", true },
  { "roomlab.cl", true },
  { "roomsatevents.eu", true },
  { "rooneytours.nl", true },
  { "roopakv.com", true },
  { "roopakvenkatakrishnan.com", true },
  { "roosabels.nl", false },
  { "root-books.gq", true },
  { "root-books.ml", true },
  { "root-couture.de", true },
  { "root-space.eu", true },
  { "root.bg", true },
  { "root.cz", true },
  { "root.eu.org", true },
  { "root.vg", true },
  { "rootcamp.net", true },
  { "rootcommand.com", true },
  { "rootear.com", true },
  { "rootedlifemontessori.com", true },
  { "rootetsy.com", true },
  { "rootie.de", true },
  { "rootkea.me", true },
  { "rootlair.com", true },
  { "rootonline.de", true },
  { "rootpigeon.com", true },
  { "roots-example-project.com", true },
  { "roots.io", true },
  { "rootsandrain.com", true },
  { "rootscope.co.uk", false },
  { "rootsskininstitute.com", true },
  { "rootstation.de", true },
  { "rootswitch.com", false },
  { "rootusers.com", true },
  { "rootze.com", true },
  { "ropd.info", true },
  { "rory.best", true },
  { "roryneville.com", true },
  { "rosa-spain.tk", true },
  { "rosabellas.co.uk", true },
  { "rosahijab.com", true },
  { "rosalindgreenllc.com", true },
  { "rosalindturner.co.uk", true },
  { "rosaquest.ru", true },
  { "rosbass.ru", true },
  { "rosbiznes.tk", true },
  { "rose-prism.org", true },
  { "rosebankplumber24-7.co.za", true },
  { "roseberyvenues.co.uk", true },
  { "rosecrance.org", true },
  { "rosehosting.reviews", true },
  { "roseitsolutions.co.uk", true },
  { "roseitsolutions.uk", true },
  { "roseliere.ch", false },
  { "roseliere.com", false },
  { "roseluna.com", true },
  { "rosenheim-wladiwostok.de", true },
  { "rosenheimsingles.de", true },
  { "rosenkeller.org", true },
  { "roseon.net", true },
  { "roseparkhouse.com", true },
  { "rosesciences.com", true },
  { "rosevillefacialplasticsurgery.com", true },
  { "roshhashanahfun.com", true },
  { "rosi-royal.com", true },
  { "rosiervandenbosch.nl", true },
  { "roslynpad.net", true },
  { "rosnertexte.at", true },
  { "rosrabota.tk", true },
  { "rosset.me", true },
  { "rosset.net", true },
  { "rossfrance.com", true },
  { "rossiworld.com", true },
  { "rossmacphee.com", true },
  { "rossome.org", true },
  { "rosstroj-balashiha.ml", true },
  { "rosswilson.co.uk", true },
  { "rostclub.ro", true },
  { "rostov-avia.ru", true },
  { "rot47.net", true },
  { "rotamap.net", true },
  { "rotaractclubtucuman.tk", true },
  { "rotate4all.com", true },
  { "rotek.at", true },
  { "roten.email", true },
  { "rothbruederlein.tk", true },
  { "rothe.io", true },
  { "rothkranz.net", true },
  { "rothwellgornthomes.com", true },
  { "rotkreuzshop.de", true },
  { "rotol.me", true },
  { "rotring.com", true },
  { "rottamazioni.it", true },
  { "rottweil-hilft.de", true },
  { "rotunneling.net", true },
  { "rouair.com", true },
  { "rougechocolat.fr", true },
  { "roughcopy.com.au", true },
  { "roughgrain.com", true },
  { "roughtime.se", true },
  { "roulettecarnival.com", true },
  { "roulinfo.ch", false },
  { "roulons-autrement.com", true },
  { "rounda.it", true },
  { "roundaboutweb.net", true },
  { "roundcube.mayfirst.org", false },
  { "roundrock-locksmith.com", true },
  { "roundtablekzn.co.za", true },
  { "roundtheme.com", false },
  { "roundtoprealestate.com", true },
  { "roussos.cc", true },
  { "roussosmanos.gr", true },
  { "route-wird-berechnet.de", true },
  { "routerclub.ru", true },
  { "roverglobal.ga", true },
  { "rovota.com", true },
  { "rowancasting.com", true },
  { "rowancasting.ie", true },
  { "rowancounty911.com", true },
  { "rowancounty911.org", true },
  { "rowancountyairport.com", true },
  { "rowancountync.gov", true },
  { "rowankaag.nl", true },
  { "rowanpubliclibrary.com", true },
  { "rowansheriff.com", true },
  { "rowansheriff.org", true },
  { "rowantransit.com", true },
  { "rowantransit.org", true },
  { "rowlog.com", true },
  { "roxburytech.tk", true },
  { "roxiesbouncycastlehire.co.uk", true },
  { "roxtri.cz", true },
  { "roy-buehring.de", true },
  { "roya-holding.com", true },
  { "royal-rangers.de", true },
  { "royal818.com", true },
  { "royal833.com", true },
  { "royal88.com", true },
  { "royal929.com", true },
  { "royalacademy.org.uk", true },
  { "royalasianescorts.co.uk", true },
  { "royalaubar.com", true },
  { "royalbluewa3.cc", true },
  { "royalcavaliers.tk", true },
  { "royaleagletourism.com", true },
  { "royalfitnesschennai.in", true },
  { "royalkitchensandfurniture.co.ug", true },
  { "royalmarinesassociation.org.uk", true },
  { "royalmech.tk", true },
  { "royalnissanparts.com", true },
  { "royaloz.ma", true },
  { "royalpainters.co", true },
  { "royalpratapniwas.com", true },
  { "royalrangers.fi", true },
  { "royalstylefit.com", true },
  { "royaltube.net", true },
  { "royalvortex.co", true },
  { "royaume-smoke.com", true },
  { "royceandsteph.com", true },
  { "roycewilliams.net", true },
  { "roygerritse.nl", true },
  { "roystowingrockford.com", true },
  { "royveenendaal.com", true },
  { "rozar.eu", true },
  { "rozhodce.cz", true },
  { "rpadonline.com", true },
  { "rpadovani.com", false },
  { "rpattisonroofing.co.uk", true },
  { "rpgcampaign.website", true },
  { "rpgmaker.es", true },
  { "rpherbig.com", true },
  { "rphyncice.cz", true },
  { "rpine.net", true },
  { "rpmdrivingschool.com.au", true },
  { "rpoplus.nl", true },
  { "rps-auto.com", true },
  { "rpus.co", true },
  { "rpy.xyz", true },
  { "rq-labo.jp", true },
  { "rraesthetics.com", true },
  { "rrailto.com", true },
  { "rrbt.eu", true },
  { "rrbt.net", true },
  { "rrbts.org", true },
  { "rrdesignsuisse.com", false },
  { "rrg-partner.ch", false },
  { "rrssww.space", true },
  { "rrudnik.com", true },
  { "rrvmz.cf", true },
  { "rrwolfe.com", true },
  { "rs-aktuell.net", true },
  { "rs-maschinenverleih.de", true },
  { "rs-solution.ch", true },
  { "rs.wiki", true },
  { "rs200.org", true },
  { "rs2ap33.com", true },
  { "rsa-erp.com", true },
  { "rsanahuano.com", true },
  { "rsap.ca", true },
  { "rsarchive.net", true },
  { "rsarchive.org", true },
  { "rscturmoil.com", true },
  { "rsdisedezzari.it", true },
  { "rsec.kr", true },
  { "rsingermd.com", true },
  { "rsl.gd", true },
  { "rslnd.com", true },
  { "rsmith.io", true },
  { "rsp-blogs.de", true },
  { "rsquare.nl", true },
  { "rsridentassist.com", true },
  { "rss.sh", false },
  { "rssfeedblast.com", true },
  { "rssfeedonline.tk", true },
  { "rssl.me", true },
  { "rssr.se", true },
  { "rsttraining.co.uk", true },
  { "rswebsols.com", true },
  { "rswow.ru", true },
  { "rsync.eu", false },
  { "rt22.ch", true },
  { "rtcx.net", true },
  { "rte.mobi", true },
  { "rte.radio", true },
  { "rte1.ie", true },
  { "rteaertel.ie", true },
  { "rtechservices.io", true },
  { "rteguide.ie", true },
  { "rteinternational.ie", true },
  { "rtejr.ie", true },
  { "rtenews.eu", true },
  { "rteone.ie", true },
  { "rteplayer.co.uk", true },
  { "rteplayer.com", true },
  { "rteplayer.ie", true },
  { "rteplayer.org", true },
  { "rtesport.eu", true },
  { "rteworld.com", true },
  { "rtfch.ru", true },
  { "rtgnews.cf", true },
  { "rtho.me", true },
  { "rthsoftware.cn", false },
  { "rtmoran.org", true },
  { "rtrappman.com", true },
  { "rtsak.com", true },
  { "rtsr.ch", false },
  { "rttvip.com", true },
  { "rttvvip.com", true },
  { "rtveen.nl", true },
  { "rtwcourse.com", true },
  { "ru-music.com", false },
  { "ru-sprachstudio.ch", true },
  { "ru.search.yahoo.com", false },
  { "ruaneattorneys.com", true },
  { "ruanmi.de", true },
  { "rubbaduckee.tk", true },
  { "rubberfurs.org", true },
  { "rubberlegscastles.co.uk", true },
  { "rubbermaidoutlet.com", true },
  { "rubbleremovalhillcrest.co.za", true },
  { "rubbleremovalsbenoni.co.za", true },
  { "rubblerock.com", true },
  { "rubenbaer.ch", true },
  { "rubenbarbero.com", true },
  { "rubenbrito.net", true },
  { "rubenkruisselbrink.nl", true },
  { "rubenmamo.com", true },
  { "rubenpeeters.ml", true },
  { "rubenroy.com", true },
  { "rubenruiz.org", true },
  { "rubens.cloud", true },
  { "rubia.ca", true },
  { "rubidium.ml", true },
  { "rubixstudios.com.au", true },
  { "rublacklist.net", true },
  { "ruby-auf-schienen.de", true },
  { "rubyist.today", true },
  { "rubylabs.am", true },
  { "rubymartin.com.au", true },
  { "rubymediagroup.com", true },
  { "rubyonline.tk", true },
  { "rubyquincunx.com", true },
  { "rubyquincunx.org", true },
  { "rubytune.com", false },
  { "ruchka-mashinka.gq", true },
  { "rucksack-rauf-und-weg.de", true },
  { "ruckzuck-privatpatient.de", true },
  { "ruconsole.com", true },
  { "rud.is", true },
  { "rudating.tk", true },
  { "rudd-o.com", true },
  { "ruddick.org.uk", true },
  { "ruddick.uk", true },
  { "rudewiki.com", true },
  { "rudloff.pro", true },
  { "rudnikas.com", true },
  { "rudolph.life", true },
  { "rudolphmarketing.com", true },
  { "rudrastyh.com", true },
  { "rue-de-la-vieille.fr", true },
  { "ruediger-voigt.eu", true },
  { "ruedigervoigt.de", true },
  { "rueduverre.com", true },
  { "rueegger.me", true },
  { "rueg.eu", true },
  { "ruerte.net", true },
  { "ruexpert.cf", true },
  { "ruf888.com", true },
  { "rufartabs.ml", true },
  { "ruffbeatz.com", true },
  { "ruffinstorage.com", true },
  { "ruffnecks.tk", true },
  { "rugcleaninglondon.co.uk", true },
  { "rugeley-vets.co.uk", true },
  { "rugk.dedyn.io", true },
  { "rugsandmore.co.nz", true },
  { "ruh-veit.de", true },
  { "ruha.co.in", true },
  { "ruhnke.cloud", true },
  { "ruhproject.kz", true },
  { "ruhrmobil-e.de", true },
  { "ruhrnalist.de", true },
  { "ruicore.cn", true },
  { "ruiming.me", false },
  { "ruin.one", true },
  { "ruitershoponline.nl", true },
  { "ruk.ca", true },
  { "rukminicarrentals.com", true },
  { "ruknguk.tk", true },
  { "rulu.co", true },
  { "rulu.tv", true },
  { "rulutv.com", true },
  { "rumahminimalisoi.com", true },
  { "rumartinez.es", true },
  { "rumbasguayaquil.com", true },
  { "rumlager.de", true },
  { "rummage4property.co.uk", true },
  { "rummey.co.uk", true },
  { "rumplesinflatables.co.uk", true },
  { "rumtaste.de", true },
  { "run-it-direct.co.uk", true },
  { "run4gameplay.net", true },
  { "runagain.ch", false },
  { "runame.ml", true },
  { "rundesign.it", true },
  { "runebet.com", true },
  { "runefake.com", true },
  { "runescape.wiki", true },
  { "runetracker.org", true },
  { "runfitcoaching.com", true },
  { "rungutan.com", true },
  { "runicspells.com", true },
  { "runklesecurity.com", true },
  { "runner.az", true },
  { "runningrabb.it", true },
  { "runreport.fr", true },
  { "runrocknroll.com", true },
  { "runvs.io", true },
  { "ruobiyi.com", true },
  { "ruobr.ru", true },
  { "ruoskachile.tk", true },
  { "rupeevest.com", true },
  { "rupostel.com", true },
  { "ruquay.com", true },
  { "ruralink.com.ar", true },
  { "ruralsoba.com", true },
  { "ruralsuppliesdirect.co.uk", true },
  { "ruri.io", true },
  { "rusdigisolutions.com", true },
  { "rusexmany.ml", true },
  { "rushball.net", true },
  { "rushiiworks.com", true },
  { "rushpoppershop.co.uk", true },
  { "rushter.com", true },
  { "rushyo.com", true },
  { "rusi-ns.ca", true },
  { "ruska-modra.cz", true },
  { "ruskamodra.cz", true },
  { "rusmolotok.ru", true },
  { "russelljohn.net", true },
  { "russellupevents.co.uk", true },
  { "russia-rp.tk", true },
  { "russia.dating", true },
  { "russia.wtf", true },
  { "russiaeconomy.org", true },
  { "russiahunting.tk", true },
  { "russian-page.tk", true },
  { "russianbearsmotorsport.tk", true },
  { "russianbristol.tk", true },
  { "russianescortsmumbai.com", false },
  { "russianpunkrock.tk", true },
  { "russianrandom.com", true },
  { "russianrandom.ru", true },
  { "russstudios.com", true },
  { "russt.me", true },
  { "rust-lang.codes", true },
  { "rust.cf", true },
  { "rust.mn", true },
  { "rustable.com", true },
  { "rustfu.rs", true },
  { "rusticpathways.com.au", true },
  { "rustikalwallis.ch", true },
  { "rustls.com", true },
  { "rustls.org", true },
  { "rustpedia.net", true },
  { "rustyrambles.com", true },
  { "rusxakep.com", true },
  { "rutgerschimmel.nl", true },
  { "ruthbarrettmusic.com", true },
  { "ruthbellgrahammemorial.org", true },
  { "ruthmontenegro.com", false },
  { "rutiger.com", true },
  { "rutika.ru", true },
  { "rutracker.appspot.com", true },
  { "rutten.me", false },
  { "ruudkoot.nl", true },
  { "ruurdboomsma.nl", true },
  { "ruwhof.net", true },
  { "ruya.com", true },
  { "ruyatabirleri.com", true },
  { "ruzaevka.tk", true },
  { "ruzzll.com", true },
  { "rv-jpshop.com", true },
  { "rva-asbestgroep.nl", true },
  { "rvdbict.nl", true },
  { "rvender.cz", true },
  { "rvfit.dk", true },
  { "rvnoel.net", false },
  { "rvoigt.eu", true },
  { "rvpoweroutlet.com", true },
  { "rvsa2bevestigingen.nl", true },
  { "rvsa4bevestigingen.nl", true },
  { "rvsbevestigingen.nl", true },
  { "rvsuitlaatdelen.nl", true },
  { "rw-invest.com", true },
  { "rw.search.yahoo.com", false },
  { "rw2.de", true },
  { "rwky.net", true },
  { "rws-vertriebsportal.de", true },
  { "rwx.ovh", true },
  { "rwx.work", true },
  { "rxbn.de", true },
  { "rxbusiness.com", true },
  { "rxguide.nl", true },
  { "rxight.com", true },
  { "rxyz.rocks", true },
  { "ryabinushka.tk", true },
  { "ryan-gehring.com", true },
  { "ryan-goldstein.com", true },
  { "ryan.cafe", true },
  { "ryanbritton.com", true },
  { "ryanfamily.net.au", true },
  { "ryanhowell.io", true },
  { "ryankearney.com", false },
  { "ryanmcdonough.co.uk", false },
  { "ryanparman.com", true },
  { "ryansmithphotography.com", true },
  { "ryanteck.uk", true },
  { "ryazan-region.ru", true },
  { "rylandgoldman.com", true },
  { "rynekpierwotny.pl", true },
  { "rynkebo.dk", true },
  { "ryois.me", true },
  { "rys.pw", true },
  { "rythm.es", true },
  { "ryu22e.org", true },
  { "ryuanerin.kr", true },
  { "ryuu.es", true },
  { "ryzhov.me", true },
  { "rzegocki.pl", true },
  { "rzentarzewski.net", true },
  { "s-c.se", true },
  { "s-cubed.net", true },
  { "s-gong.com", true },
  { "s-huset.dk", true },
  { "s-ip-media.de", true },
  { "s-kanbanya.com", true },
  { "s-mainte.com", true },
  { "s-pegasus.com", true },
  { "s-pro.io", true },
  { "s-s-paint.com", true },
  { "s-u.pw", true },
  { "s-yuz.com", true },
  { "s007.co", true },
  { "s10y.eu", true },
  { "s1128.com", true },
  { "s13d.fr", true },
  { "s2i.ch", true },
  { "s2member.com", true },
  { "s2t.net", true },
  { "s36533.com", true },
  { "s36594.com", true },
  { "s3cur3.it", true },
  { "s3dservices.io", true },
  { "s3gfault.com", true },
  { "s3robertomarini.it", true },
  { "s404.de", true },
  { "s44.eu", true },
  { "s4db.net", true },
  { "s4q.me", true },
  { "s4tips.com", true },
  { "s4ur0n.com", true },
  { "s550.cc", true },
  { "s551.cc", true },
  { "s552.cc", true },
  { "s553.cc", true },
  { "s554.cc", true },
  { "s556.cc", true },
  { "s557.cc", true },
  { "s558.cc", true },
  { "s559.cc", true },
  { "s64.cz", true },
  { "s6o.de", true },
  { "s88.com", true },
  { "s8a.us", true },
  { "s92.cloud", true },
  { "s92.io", true },
  { "s92.me", true },
  { "s95.de", true },
  { "sa-mp.ro", true },
  { "sa.net", true },
  { "sa68.cc", true },
  { "sa88.cc", true },
  { "saabpartsdistribution.com", true },
  { "saalfrank.at", true },
  { "saalfrank.de", true },
  { "saamhorigheidsfonds.nl", false },
  { "saas.de", true },
  { "saatchiart.com", true },
  { "saathi.asia", true },
  { "saba-piserver.info", true },
  { "sabbat-wildfire.tk", true },
  { "sabbottlabs.com", true },
  { "sabedinovski.tk", true },
  { "saberhortifruti.com.br", true },
  { "sabghijewelers.com", true },
  { "sabians.tk", true },
  { "sabine-forschbach.de", true },
  { "sabkappers.nl", true },
  { "sabrinajoias.com.br", true },
  { "sabrinajoiasprontaentrega.com.br", true },
  { "sabworldtricks.tk", true },
  { "sac.moe", true },
  { "sacadura.pt", true },
  { "sacaentradas.com", true },
  { "sacaleches.net", true },
  { "saccani.net", true },
  { "sachk.com", true },
  { "sachse.info", true },
  { "sacians.tk", true },
  { "sackmesser.ch", true },
  { "saclier.at", true },
  { "sacprincesse.com", true },
  { "sacred-knights.net", true },
  { "sacredheart-cliftonheights.net", true },
  { "sacrome.com", true },
  { "sad-berezka.ru", true },
  { "sadbox.org", true },
  { "sadbox.xyz", true },
  { "sadeghian.us", true },
  { "sadev.co.za", true },
  { "sadhana.cz", true },
  { "sadhawkict.org", true },
  { "sadiejewellery.co.uk", true },
  { "sadkodesign.com.ua", true },
  { "sadmansh.com", true },
  { "sadou.kyoto.jp", true },
  { "sadoun.com", true },
  { "sadsu.com", true },
  { "saechsischer-christstollen.shop", true },
  { "saeder-krupp.de", true },
  { "saengsook.com", true },
  { "saengsuk.com", true },
  { "saevor.com", true },
  { "saf.earth", true },
  { "safar.sk", true },
  { "safara.host", true },
  { "safarimasaimara.com", true },
  { "safaritenten.nl", true },
  { "safc.tk", true },
  { "safcstore.com", true },
  { "safearth.training", true },
  { "safebaseflorida.com", true },
  { "safebasements.com", true },
  { "safebasementsnorthdakota.com", true },
  { "safebasementsofindiana.com", true },
  { "safebuyerscheme.co.uk", true },
  { "safecar.gov", false },
  { "safefreehost.gq", true },
  { "safegold.ca", true },
  { "safegroup.pl", true },
  { "safeguardcommerce.com", true },
  { "safeguardhosting.ca", true },
  { "safehero.com", true },
  { "safeitup.se", true },
  { "safejourney.education", true },
  { "safematix.com", true },
  { "safenetwork.it", true },
  { "safeocs.gov", true },
  { "safercar.gov", true },
  { "saferequest.net", true },
  { "saferproduct.gov", true },
  { "saferproducts.gov", true },
  { "safersurfing.eu", false },
  { "safertruck.gov", true },
  { "safescan.com", true },
  { "safesoundcounselingllc.com", true },
  { "safestore.io", true },
  { "safethishome.com", true },
  { "safetycloud.me", true },
  { "safetymp3.com", true },
  { "safetynames.com", true },
  { "safetynetwork.me", true },
  { "safetyrange.com", true },
  { "safetysite.tips", true },
  { "safeui.com", false },
  { "safevault.org", true },
  { "safewaysecurityscreens.com.au", true },
  { "safire.ac.za", true },
  { "sagaenterprizes.com", true },
  { "sagagardencentre.co.uk", true },
  { "sagan.tk", true },
  { "sagargandecha.com.au", false },
  { "sagedocumentmanager.com", true },
  { "sagenesykkel.com", true },
  { "sagerus.com", true },
  { "saggiocc.com", true },
  { "sagitta.hr", true },
  { "saglikhaber.tk", true },
  { "sagnette.xyz", true },
  { "sahajbooks.com", true },
  { "sahar.io", true },
  { "saharacloud.com", true },
  { "saharmassachi.com", true },
  { "sahb.dk", true },
  { "sahibinden.com", true },
  { "sahkotyot.eu", true },
  { "said.id", true },
  { "said.it", true },
  { "said.my.id", true },
  { "saier.me", true },
  { "saifonvillas.com", true },
  { "saifoundation.in", true },
  { "saigaocy.moe", true },
  { "saigonflowers.com", true },
  { "saikarra.com", true },
  { "saikou.moe", true },
  { "saikouji.tokushima.jp", true },
  { "sail-nyc.com", true },
  { "sailanitours.com", true },
  { "sailing-yacht.club", true },
  { "sailingonward.com", true },
  { "sailormoonevents.org", true },
  { "sailormoongallery.org", true },
  { "sailormoonlibrary.org", true },
  { "sailwiz.com", true },
  { "saimatravels.in", true },
  { "saimoe.moe", true },
  { "saimoe.org", true },
  { "sainetworks.net", true },
  { "sainformatica.com.es", true },
  { "sainshand.tk", true },
  { "saint-bernard-gouesch.fr", true },
  { "saint-cyril.com", true },
  { "saint-peterburg.tk", true },
  { "saint-petersburg.cf", true },
  { "saint-petersburg.gq", true },
  { "saint-petersburg.ml", true },
  { "saintaardvarkthecarpeted.com", true },
  { "saintanne.net", true },
  { "saintanthonylakin.org", true },
  { "saintanthonyscorner.com", true },
  { "sainteugenechurch.net", true },
  { "sainteugeneschurch.com", true },
  { "saintfrancescabrini.net", true },
  { "saintfrancisdesales.net", true },
  { "sainth.de", true },
  { "sainthedwig-saintmary.org", true },
  { "sainthelena-centersquare.net", true },
  { "sainthelenas.org", true },
  { "saintisidorecyo.com", true },
  { "saintjamestheapostle.org", true },
  { "saintjohn-bocaraton.com", true },
  { "saintjosephschurch.net", true },
  { "saintleochurch.net", true },
  { "saintmarkchurch.net", true },
  { "saintmaryna.com", true },
  { "saintmaryscathedral-trenton.org", true },
  { "saintpatrick-norristown.net", true },
  { "saintpeterchurch.net", true },
  { "saintpetersburg.cf", true },
  { "saintpetersburg.ga", true },
  { "saintpetersburg.gq", true },
  { "saintphilipneri.org", true },
  { "saintpius.net", true },
  { "saintpolycarp.org", true },
  { "sainzderozas.com", true },
  { "saipariwar.com", true },
  { "saiputra.com", true },
  { "sairadio.net", true },
  { "saisecure.net", true },
  { "sait.at", true },
  { "saitapovan.com", true },
  { "saito-koken.co.jp", true },
  { "saitrance.com", true },
  { "saitv.org", true },
  { "saityvkaluge.ru", true },
  { "saiyans.com.ve", true },
  { "sajamstudija.info", true },
  { "sajdowski.de", true },
  { "sajjadzaidi.com", true },
  { "sajtoskal.hu", false },
  { "sajtr.ga", true },
  { "sakaki.anime.my", false },
  { "sakenohana.com", true },
  { "sakerhetskopiering.nu", true },
  { "sakostacloud.de", true },
  { "saksonski-szlak-parowozow.pl", true },
  { "sakura-paris.org", true },
  { "sakura.zone", true },
  { "sakuracommunity.com", true },
  { "sakuraplay.com", true },
  { "sakuraz.net", true },
  { "saladgo.id", true },
  { "salaire-minimum.com", true },
  { "salaminos.no-ip.org", true },
  { "salamon-it.de", false },
  { "salandalairconditioning.com", true },
  { "salariominimo.com.co", true },
  { "salde.net", true },
  { "saleduck.at", true },
  { "saleduck.ch", true },
  { "saleduck.co.id", true },
  { "saleduck.co.th", true },
  { "saleduck.com.my", true },
  { "saleduck.com.ph", true },
  { "saleduck.com.sg", true },
  { "saleduck.com.vn", true },
  { "saleduck.dk", true },
  { "saleduck.fi", true },
  { "saleduck.se", true },
  { "saledump.nl", true },
  { "salemedia.pro", true },
  { "salensmotors-usedcars.be", false },
  { "salentocab.com", true },
  { "salesflare.com", true },
  { "saletzki.de", true },
  { "salexy.kz", true },
  { "salidaswap.com", true },
  { "salland1.nl", true },
  { "salle-quali.fr", false },
  { "sallydowns.name", true },
  { "salmanravoof.com", true },
  { "salmododia.net", true },
  { "salmonella.co.uk", true },
  { "salmonvision.com.tw", true },
  { "salnet.wf", true },
  { "salon-claudia.ch", true },
  { "salon-hinata.biz", true },
  { "salon-minipli.de", true },
  { "salon.io", false },
  { "salon1.ee", true },
  { "salonasymetria.com", true },
  { "salonasymetria.pl", true },
  { "salonderecepcionessjl.com", true },
  { "salonsantebienetre.ch", true },
  { "salrosadohimalaia.com", true },
  { "salsa-straubing.de", true },
  { "saltaranuncios.com", true },
  { "saltbythesea.com", true },
  { "saltedfish.network", true },
  { "saltercane.com", false },
  { "saltstack.cz", true },
  { "saltsugarlove.de", true },
  { "saltyfish.tech", true },
  { "salud.top", false },
  { "saluddecalidad.com", true },
  { "saludmas.site", true },
  { "saluels.servemp3.com", true },
  { "salutethefish.com", true },
  { "salutethegrains.com", true },
  { "salutethepig.com", true },
  { "salva.re", true },
  { "salvadorinfantil.tk", true },
  { "salvagedfurnitureparlour.com", true },
  { "salvandoalocombia.com", true },
  { "sam-football.fr", true },
  { "sam66.cc", true },
  { "samalderson.co.uk", true },
  { "samanacafe.com", true },
  { "samandcatonline.tk", true },
  { "samandej.ir", true },
  { "samandroscosrestaurant.com", true },
  { "samanthasgeckos.com", true },
  { "samappleton.com", true },
  { "samara-avia.ru", true },
  { "samaritainsmeyrin.ch", false },
  { "samatva-yogalaya.com", true },
  { "samba.org", true },
  { "sambaash.com", true },
  { "sambeso.net", true },
  { "sambot22.tk", true },
  { "sambuchanan.tk", true },
  { "sambus.com", true },
  { "samdev.io", true },
  { "samdrewtakeson.com", true },
  { "samegoal.com", true },
  { "samegoal.org", true },
  { "samel.de", true },
  { "samenwerkingsportaal.nl", true },
  { "samenwerkingsportaal.tk", true },
  { "samesound.ru", true },
  { "sameworks.com", true },
  { "samfreaks.de", true },
  { "samhuri.net", true },
  { "samiamelikian.com.br", true },
  { "samifar.in", true },
  { "samindgroup.com", true },
  { "samiratv.tk", true },
  { "samisoft.ir", true },
  { "samiysok.cf", true },
  { "samizdat.cz", true },
  { "samkelleher.com", true },
  { "samkoandmikotoywarehouse.com", true },
  { "saml-gateway.org", true },
  { "samlaw.co.nz", true },
  { "sammamish--locksmith.com", true },
  { "sammyjohnson.com", true },
  { "sammyservers.com", true },
  { "sammyservers.net", true },
  { "samodding.com", true },
  { "samorazvitie.ru", true },
  { "samotorsporttyres.com.au", true },
  { "sampaguide.com", true },
  { "sampatjewelers.com", true },
  { "sample-site.click", true },
  { "samplefashion.nl", true },
  { "samri.pt", true },
  { "sams.wtf", true },
  { "samsebe.tk", true },
  { "samshouseofspaghetti.net", true },
  { "samtalen.nl", true },
  { "samuelebencini.it", true },
  { "samuelkeeley.com", true },
  { "samuellaulhau.fr", false },
  { "samui-samui.de", false },
  { "samuidiving.net", true },
  { "samusil.org", true },
  { "samvanderkris.xyz", true },
  { "samwilberforce.com", true },
  { "samwrigley.co.uk", true },
  { "samwu.tw", true },
  { "samystic.com", true },
  { "san.ac.th", true },
  { "sana-store.com", true },
  { "sana-store.cz", true },
  { "sana-store.sk", true },
  { "sanabproperties.com", true },
  { "sanael.net", true },
  { "sanalaile.tk", true },
  { "sanantoniolocksmithinc.com", true },
  { "sanantoniolocksmithtx.com", true },
  { "sanasport.cz", true },
  { "sanasport.sk", true },
  { "sanates.cz", true },
  { "sanatorii-sverdlovskoy-oblasti.ru", true },
  { "sanatorionosti.com.ar", true },
  { "sanbornteam.com", true },
  { "sancaktepehaber.tk", true },
  { "sanctum.geek.nz", true },
  { "sanctumwealth.com", true },
  { "sand-islets.de", true },
  { "sand-stoneinc.com", true },
  { "sand66.cc", true },
  { "sand66.com", true },
  { "sandalj.com", true },
  { "sandboxfp.com", true },
  { "sandburner.net", true },
  { "sander.sh", true },
  { "sanderdorigo.nl", true },
  { "sanderkoenders.eu", true },
  { "sanderkoenders.nl", true },
  { "sanderpoppe.com", true },
  { "sanderstech.solutions", true },
  { "sandervanderstap.nl", true },
  { "sandervankasteel.nl", false },
  { "sandgatebaysidedental.com.au", true },
  { "sandhaufen.tk", true },
  { "sandiegoopticas.com", true },
  { "sandiegotown.com", true },
  { "sandmanintel.com", true },
  { "sandmarc.cz", true },
  { "sandor.wtf", true },
  { "sandr0.tk", true },
  { "sandra-perlbach.de", true },
  { "sandrabernardo.com", true },
  { "sandrainden.nl", true },
  { "sandraindenfotografie.nl", true },
  { "sandrocorapi.com", true },
  { "sandrolittke.de", true },
  { "sandrproperty.com", true },
  { "sandstroh.network", true },
  { "sandtears.com", true },
  { "sandtohand.com", true },
  { "sandton-plumbing.co.za", true },
  { "sandtonescorts.com", true },
  { "sandtonplumber24-7.co.za", true },
  { "sandwichcouncil.tk", true },
  { "sandyrobsonhypnotherapy.co.uk", true },
  { "sanepsychologen.nl", true },
  { "sanex.ca", true },
  { "sanfranciscopersonalinjuryattorney.us", true },
  { "sangen.ml", true },
  { "sanglierhurlant.fr", true },
  { "sangyoui.health", true },
  { "sanierungskonzept.pro", true },
  { "sanipousse.com", true },
  { "sanitairwinkel.be", true },
  { "sanitairwinkel.com", true },
  { "sanitairwinkel.nl", true },
  { "sanix.org", true },
  { "sanjosecolorectal.com", true },
  { "sanketsu.ml", false },
  { "sanluisdequillota.tk", true },
  { "sanmuding.com", true },
  { "sannefoltz.com", true },
  { "sannesfotklinikk.no", true },
  { "sanogym.com", true },
  { "sanovnik.at", true },
  { "sanpei-design.com", true },
  { "sanqianssr.com", true },
  { "sans-hotel.com", true },
  { "sanskritiyoga.com", true },
  { "sansonehowell.com", true },
  { "santaijia.com", false },
  { "santamonicapost123.org", true },
  { "santegra.tk", true },
  { "santevie.ch", false },
  { "santi-club.de", true },
  { "santiagogarza.co", true },
  { "santibanezdetera.tk", true },
  { "santippolito-borgo.tk", true },
  { "santjoandevilassar.tk", true },
  { "santo.fi", true },
  { "sanvitolocapobus.com", true },
  { "sanych-msk.ru", true },
  { "saol.eu", true },
  { "saorsa.fr", true },
  { "saorsat.com", true },
  { "saorsat.ie", true },
  { "saorsat.net", true },
  { "saorsat.tv", true },
  { "saorview.com", true },
  { "saorview.ie", true },
  { "saorview.net", true },
  { "saorviewconnect.ie", true },
  { "saorviewconnected.ie", true },
  { "sap-inc.co.jp", true },
  { "sapac.es", true },
  { "sapancavillalari.com", true },
  { "sapibatam.com", true },
  { "sapien-ci.com", true },
  { "sapience.com", true },
  { "sapindus.pl", true },
  { "sapiperelining.com.au", true },
  { "saplumbers.com.au", true },
  { "sapphi.st", true },
  { "sapphirepearl.com.sg", true },
  { "sapphireservicesga.com", true },
  { "sapporobeer.com", true },
  { "sapprendre.ch", false },
  { "saprima.de", false },
  { "sapuseven.com", true },
  { "saputra.org", true },
  { "saq.com", true },
  { "sarah-jane.nl", true },
  { "sarahbeckettharpist.com", true },
  { "sarahjanecreates.co.uk", true },
  { "sarahlicity.co.uk", true },
  { "sarahlicity.me.uk", true },
  { "sarahplusdrei.de", true },
  { "sarahsecret.de", true },
  { "sarahwellington.com", true },
  { "sarahwikeley.co.uk", true },
  { "saraleebread.com", false },
  { "sarariman.com", true },
  { "sarasotadentistry.com", true },
  { "sarasotaroboticurology.com", true },
  { "sarasturdivant.com", true },
  { "saratov24.tk", true },
  { "saratovlive.tk", true },
  { "saratovnews.ml", true },
  { "saratovtime.tk", true },
  { "sarbash.ee", true },
  { "sard.ro", true },
  { "sardacompost.it", true },
  { "sardinianvillas.co.uk", true },
  { "sardinianvillas.com", true },
  { "sardinianvillas.ru", true },
  { "sarella.org", true },
  { "sarhua.tk", true },
  { "sarink.eu", true },
  { "sarjakuvakauppa.fi", true },
  { "sarkisianbuilders.com", true },
  { "sarkoziadam.hu", true },
  { "sarny.at", true },
  { "saro.me", true },
  { "saronikos.city", true },
  { "saronikos.guide", true },
  { "saropa.com", true },
  { "sarpsb.org", true },
  { "sartoria.roma.it", true },
  { "sarumtechnologies.com", true },
  { "sascha.io", true },
  { "sascha.is", true },
  { "saschaeggenberger.ch", true },
  { "saschaeggenberger.com", true },
  { "sash.pw", true },
  { "sashaokun.com", true },
  { "sashascollections.com", true },
  { "sashleighaust.com", true },
  { "sasioglu.co.uk", true },
  { "saskadoodle.com", true },
  { "sasquatt.com.br", true },
  { "sasrobotics.xyz", true },
  { "sassandbelle.co.uk", true },
  { "sassandbelle.com", true },
  { "sassandbelletrade.co.uk", true },
  { "sassandbelletrade.com", true },
  { "sastd.com", true },
  { "sasyabapi.com", true },
  { "sat-kw.net", true },
  { "sat4all.com", true },
  { "satai.dk", true },
  { "satal.in", true },
  { "satania.moe", true },
  { "satanspowers.tk", true },
  { "satario.vn", true },
  { "satellite-prof.com", true },
  { "satellites.hopto.me", true },
  { "satellitetv-deal.com", true },
  { "satimagingcorp.com", true },
  { "satinn.pl", true },
  { "satmali.az", true },
  { "satmd.de", true },
  { "satoshinumbers.com", true },
  { "satserwis.xyz", true },
  { "sattamatkamobi.mobi", false },
  { "sattaresult.net", true },
  { "saturn.pl", true },
  { "satyanarayana.xyz", true },
  { "saudenoclique.com.br", true },
  { "sauerbrey.eu", true },
  { "sauerland-schnittgruen.de", true },
  { "saulchristie.com", true },
  { "saulsplace.com", true },
  { "saulsplacehealth.com", true },
  { "saulsplacewebdesign.com", true },
  { "saultdefencelaw.ca", true },
  { "saulvanderbijl.com", true },
  { "saumon-de-france.com", false },
  { "saumon-france.com", false },
  { "saumondefrance.fr", false },
  { "saumonfrance.fr", false },
  { "saunafahrten.ch", true },
  { "saunahats.eu", true },
  { "saunas.fr", true },
  { "saunatime.jp", true },
  { "sauvagebridge.nl", true },
  { "savaari.com", true },
  { "savageorgiev.com", true },
  { "savanna.io", true },
  { "savatha.tk", true },
  { "savbus.com", true },
  { "savbus.ws", true },
  { "save-me-aachen.de", true },
  { "savebees.org", true },
  { "savecrypto.org", true },
  { "savejobsshoplocal.com", true },
  { "saveoney.ca", true },
  { "saveonkitchens.com", true },
  { "savetheinternet.eu", true },
  { "saveusfromavril.tk", true },
  { "savic.com", false },
  { "saviezvousque.net", true },
  { "savilleassessment.com", true },
  { "savin.ga", true },
  { "savingrecipe.com", true },
  { "savingsoftheyear.com", true },
  { "savingsomegreen.com", true },
  { "savorvip.ir", true },
  { "sawyerroofing.com", true },
  { "saxeandthecity.com", true },
  { "saxis.dk", true },
  { "saxojoe.de", true },
  { "saxoncreative.com", true },
  { "saxonsink.com", true },
  { "saxotex.de", true },
  { "saxowert.de", true },
  { "saxwereld.nl", true },
  { "say-it-loud.com", true },
  { "sayrodigital.com", true },
  { "sayura.net", true },
  { "saz.sh", true },
  { "saz9001.com", true },
  { "sazavafest.cz", true },
  { "sazuz.cz", true },
  { "sb-group.dk", true },
  { "sb-sd.org", true },
  { "sb-tuning.ru", true },
  { "sb.im", true },
  { "sb.sb", true },
  { "sb0.io", true },
  { "sbanken.no", true },
  { "sbaten.nl", true },
  { "sbblog.cn", true },
  { "sbbz-bad-wurzach.de", true },
  { "sbcargo.com", true },
  { "sbconstrucciones.com", true },
  { "sber.us", true },
  { "sberbank.ch", true },
  { "sberna-fotofast.cz", true },
  { "sbf888.com", true },
  { "sbiewald.de", true },
  { "sbir.gov", true },
  { "sbirecruitment.co.in", true },
  { "sbivc.jp", true },
  { "sbo-dresden.de", true },
  { "sbrouwer.org", true },
  { "sbrownbourne.com", true },
  { "sbsavings.bank", true },
  { "sbscyber.com", true },
  { "sbsrv.ml", true },
  { "sbssoft.ru", true },
  { "sbytes.info", true },
  { "sc-artworks.co.uk", false },
  { "sc019.com", true },
  { "sc5.jp", true },
  { "scaarus.com", true },
  { "scaffalature.roma.it", true },
  { "scaffoldhireeastrand.co.za", true },
  { "scaffoldhirefourways.co.za", true },
  { "scaffoldhiremidrand.co.za", true },
  { "scaffoldhirerandburg.co.za", true },
  { "scaffoldhiresandton.co.za", true },
  { "scag9.com", true },
  { "scalaire.com", true },
  { "scalaire.fr", true },
  { "scale.roma.it", true },
  { "scalesbiolab.com", true },
  { "scaling.solutions", true },
  { "scallywagsbouncycastles.co.uk", true },
  { "scallywagskids.co.uk", true },
  { "scalpel.com", true },
  { "scan.co.uk", true },
  { "scan2key.com", true },
  { "scandalindo.ml", true },
  { "scandicom.fi", true },
  { "scandinavia.dating", true },
  { "scandinaviancorner.tk", true },
  { "scangeo.net", true },
  { "scanmailx.com", true },
  { "scanpay.dk", true },
  { "scapdoors.ca", true },
  { "scarabcoder.com", true },
  { "scarafaggio.it", true },
  { "scarinex.tk", true },
  { "scatsbouncingcastles.ie", true },
  { "scatters.com", true },
  { "scatterscasino.com", true },
  { "scbdh.org", true },
  { "sccd.co.uk", true },
  { "sccimo.com", true },
  { "scde.ventures", true },
  { "sceenfox.de", true },
  { "scelec.com.au", true },
  { "scenari-community.org", true },
  { "scenari.eu", true },
  { "scenari.ovh", true },
  { "scenariossecuritygroup.com", true },
  { "scenastu.pl", true },
  { "scene.mx", true },
  { "scenester.tv", true },
  { "scenicbyways.info", true },
  { "scepticism.com", true },
  { "scevity.com", true },
  { "scfpensante.ca", true },
  { "schachburg.de", true },
  { "schachtelhalm-tee.de", true },
  { "schack.dk", true },
  { "schadevergoedingen.eu", true },
  { "schaffensdrang.at", true },
  { "schafgarbe-tee.de", true },
  { "schafzwitschern.blog", false },
  { "schamlosharmlos.de", true },
  { "schastie.ml", true },
  { "schat.top", true },
  { "schatzibaers.de", true },
  { "schawe.me", true },
  { "schbebtv.fr", true },
  { "scheervergelijker.nl", true },
  { "schefczyk.com", true },
  { "schefczyk.de", true },
  { "schefczyk.eu", true },
  { "schefczyk.net", true },
  { "scheidingspuntlansingerland.nl", true },
  { "scheidsrechtersinfo.nl", true },
  { "scheinerhaus.at", true },
  { "scheinlichter.de", true },
  { "schellebelle.tk", true },
  { "schellenberger.biz", true },
  { "schellevis.net", true },
  { "schemingmind.com", true },
  { "schenkes.de", false },
  { "scherfke.de", true },
  { "schermkapot.nl", true },
  { "scheuchenstuel.at", true },
  { "schiau.co", true },
  { "schier.info", true },
  { "schil.li", true },
  { "schildbach.de", true },
  { "schillers-friedberg.de", true },
  { "schipholwatch.nl", true },
  { "schippendale.de", true },
  { "schizoids.net", true },
  { "schizomatrix.tk", true },
  { "schlachter.ca", true },
  { "schlaf.guru", true },
  { "schlagenhauf.info", true },
  { "schlagma.de", false },
  { "schlarb.eu", true },
  { "schlarp.com", true },
  { "schlechtewitze.com", true },
  { "schlick.network", true },
  { "schlick.wedding", true },
  { "schlossereieder.at", true },
  { "schluesseldienst-berlin.de", true },
  { "schlueter-software.de", true },
  { "schmaeh-coaching.ch", true },
  { "schmatloch.cloud", true },
  { "schmelle.me", false },
  { "schmidthomes.com", true },
  { "schmidtlohwasser.de", true },
  { "schmidtplasticsurgery.com", true },
  { "schmitt-etienne.fr", true },
  { "schmitt-max.com", true },
  { "schmuggelware.de", false },
  { "schnapke.name", true },
  { "schneckenhilfe.de", false },
  { "schnegg.name", false },
  { "schneidr.de", true },
  { "schneids.me", true },
  { "schnellno.de", true },
  { "schnitzel-und-co.de", true },
  { "schnouki.net", true },
  { "schnuckenhof-wesseloh.de", true },
  { "schnyder-werbung.ch", true },
  { "schoeller.click", true },
  { "schoenstatt-fathers.link", true },
  { "schoenstatt-fathers.us", true },
  { "schoenstatt.link", true },
  { "schoepski.de", true },
  { "schoknecht.net", true },
  { "schoknecht.one", true },
  { "schoko-ferien.de", true },
  { "schokoferien.de", true },
  { "schokofoto.de", true },
  { "schokokeks.org", true },
  { "schokoladensouffle.eu", true },
  { "scholar.group", true },
  { "scholar.site", true },
  { "scholareducation.tk", true },
  { "scholarnet.cn", true },
  { "scholarshipplatform.com", true },
  { "scholarshipsplatform.com", true },
  { "scholarstyle.com", false },
  { "scholieren.com", true },
  { "scholtensupport.nl", true },
  { "scholz-kallies.de", true },
  { "schonstedt.com", true },
  { "schont.org", true },
  { "school-register.co.za", true },
  { "schoolantwoorden.tk", true },
  { "schoolcafe.com", true },
  { "schoolofphilosophy.org.au", true },
  { "schoolroom.ga", true },
  { "schoolsafety.gov", true },
  { "schorelweb.nl", true },
  { "schorers.org", true },
  { "schoring.com", true },
  { "schottenland.de", true },
  { "schrader-institute.de", true },
  { "schrauger.com", true },
  { "schrauger.info", true },
  { "schrauger.net", true },
  { "schrauger.org", true },
  { "schreibers.ca", true },
  { "schreinerei-jahreis.de", true },
  { "schreinerei-schweikl.de", true },
  { "schrenkinzl.at", true },
  { "schritt4fit.de", true },
  { "schrodingersscat.com", true },
  { "schrodingersscat.org", true },
  { "schroepfi.de", true },
  { "schrolm.de", true },
  { "schsrch.xyz", true },
  { "schtiehve.duckdns.org", true },
  { "schubergphilis.com", true },
  { "schubertgmbh-ingelheim.de", true },
  { "schuetzen-ehrenbreitstein.de", true },
  { "schuhbedarf.de", true },
  { "schuhwerkstatt.at", true },
  { "schuhzoo.de", true },
  { "schul-bar.de", true },
  { "schulderinsky.de", true },
  { "schule.wtf", true },
  { "schuler.st", true },
  { "schulfotograf-deinfoto.ch", true },
  { "schull.ch", false },
  { "schultzflorists.com", true },
  { "schumanandmonnet.eu", true },
  { "schunako.ch", true },
  { "schuppentier.org", true },
  { "schutterijschinveld.nl", true },
  { "schutz-vor-schmutz.de", true },
  { "schutznetze24.de", false },
  { "schutzwerk.com", true },
  { "schwabenhaus-ka.de", true },
  { "schwalliers.com", true },
  { "schwano-dent.at", true },
  { "schwarz-gelbe-fuechse.de", true },
  { "schwarzegar.de", true },
  { "schwarzenberg.tk", true },
  { "schwarzer.it", true },
  { "schwarzer.wang", true },
  { "schwarzes-muenchen.de", true },
  { "schwarzhenri.ch", false },
  { "schwarztrade.cz", true },
  { "schwarzwald-flirt.de", true },
  { "schweingehabt.expert", true },
  { "schweizerbanken.tk", true },
  { "schwerkraftlabor.de", true },
  { "schwinabart.com", true },
  { "schwinger.me", true },
  { "schwinnbike.ru", true },
  { "schwuppengrillen.de", false },
  { "scicomm.xyz", true },
  { "science-network.ch", true },
  { "science-texts.de", true },
  { "science.gov", true },
  { "sciencebase.gov", true },
  { "scienceexploits.com", true },
  { "scienceminnesota.com", true },
  { "scienceofpeople.com", true },
  { "sciencesolutions.eu", true },
  { "sciencetram.tk", true },
  { "sciencex.com", true },
  { "scigov.xyz", true },
  { "sciguyryan.com", true },
  { "scijinks.gov", true },
  { "scilifebiosciences.com", true },
  { "scintilla.nl", true },
  { "scip.ch", true },
  { "scislowcy.pl", true },
  { "scistarter.com", true },
  { "scitheory.com", true },
  { "scitopia.net", true },
  { "scity88.com", true },
  { "scoach475k.net", true },
  { "scohetal.de", true },
  { "scolasti.co", true },
  { "scom.org.uk", true },
  { "scoolcode.com", true },
  { "scoop6.co.uk", true },
  { "scootaloo.co.uk", true },
  { "scooter-experts.com", true },
  { "scooterinaustralia.tk", true },
  { "scooterservis.com", true },
  { "scorp13.com", true },
  { "scottdunn.com", true },
  { "scottgalvin.com", true },
  { "scotthelme.co.uk", true },
  { "scotthelmesucks.com", true },
  { "scottipc.com", true },
  { "scottishcca.co.uk", true },
  { "scottishcu.org", true },
  { "scottishseniorsgolf.com", true },
  { "scottlanderkingman.com", true },
  { "scottmay.id.au", true },
  { "scottrae.me.uk", true },
  { "scotts-restaurant.com", true },
  { "scottseditaacting.com", true },
  { "scottshorter.com.au", true },
  { "scottspainting.com", true },
  { "scouting-wageningen.nl", true },
  { "scoutingridderkerk.nl", true },
  { "scoutingtheworld.co.uk", true },
  { "scoutingtungelroy.nl", true },
  { "scoutnet.de", true },
  { "scouttrails.com", true },
  { "scp-079.org", true },
  { "scp-trens.notaires.fr", true },
  { "scp500.com", true },
  { "scpi-is.fr", true },
  { "scpslgame.com", true },
  { "scqpw.com", true },
  { "scrabble-solver.com", true },
  { "scrabble123.co.uk", true },
  { "scrabble123.com", true },
  { "scrabble123.de", true },
  { "scrabble123.fr", true },
  { "scrabble123.pl", true },
  { "scrambox.com", true },
  { "scramget.com", true },
  { "scramsoft.com", true },
  { "scrap.photos", true },
  { "scrap.tf", true },
  { "scrapbookdecorations.ga", true },
  { "scratchzeeland.nl", true },
  { "scrayos.net", true },
  { "screefox.de", true },
  { "screen-fox.de", true },
  { "screenfax.de", true },
  { "screenfox.de", true },
  { "screenfox.eu", true },
  { "screenfox.info", true },
  { "screenfox.net", true },
  { "screenlight.tv", true },
  { "screenmachine.com", true },
  { "screenpublisher.com", true },
  { "screentocloud.com", true },
  { "scripo-bay.com", true },
  { "script.google.com", true },
  { "scripter.co", true },
  { "scriptgates.ru", true },
  { "scriptic.xyz", true },
  { "scriptjunkie.us", true },
  { "scriptomania.tk", true },
  { "scriptslug.com", true },
  { "scriptum.gr", true },
  { "scrivito.com", true },
  { "scrod.me", true },
  { "scroll.in", true },
  { "scrumplex.net", true },
  { "scrumpus.com", true },
  { "scrumstack.co.uk", true },
  { "scryfall.com", true },
  { "scsd.si", true },
  { "scswam.com", false },
  { "sctiger.me", true },
  { "sctiger.ml", true },
  { "sctrainingllc.com", true },
  { "scubadiving-phuket.com", true },
  { "scubaland.hu", true },
  { "scul.net", true },
  { "sculpture.support", true },
  { "sculpturos.com", true },
  { "scungioborst.com", true },
  { "scuolaguidalame.ch", false },
  { "scuolamazzini.livorno.it", true },
  { "scurtam.tk", true },
  { "sd.af", true },
  { "sd4u.be", true },
  { "sda.one", true },
  { "sdcardrecovery.de", true },
  { "sdebitati.it", true },
  { "sdeu.fr", true },
  { "sdg-tracker.org", true },
  { "sdgllc.com", true },
  { "sdho.org", true },
  { "sdis-trib.fr", true },
  { "sdn.cz", true },
  { "sdns.fr", true },
  { "sds-marburg.de", true },
  { "sdsi.us", true },
  { "sdsk.one", true },
  { "sdsmt.engineering", true },
  { "sduconnect.nl", true },
  { "sdvigpress.org", false },
  { "sdxcentral.com", true },
  { "sdyzmun.club", true },
  { "se-booster.com", true },
  { "se-live.org", true },
  { "se-theories.org", true },
  { "se.com", true },
  { "se.gg", true },
  { "se.search.yahoo.com", false },
  { "se86.us", true },
  { "seabehind.me", true },
  { "seabrooklocksmith.com", true },
  { "seac.me", true },
  { "seachef.it", true },
  { "seadus.ee", true },
  { "seaelba.com", true },
  { "seafood.co.nz", true },
  { "seaholmwines.com", true },
  { "sealaw.com", true },
  { "sealbaker.com", true },
  { "sealoffantasy.de", true },
  { "sealtitebasement.com", true },
  { "seamester.com", true },
  { "seamoo.se", true },
  { "seamus.party", true },
  { "sean-wright.com", true },
  { "seandawson.info", true },
  { "seanholcroft.co.uk", true },
  { "seanrodda.com", true },
  { "seanstaffiery.com", true },
  { "seaplayhomes.com", true },
  { "search-job-in.com", true },
  { "search-one.de", true },
  { "search.gov", true },
  { "search.yahoo.com", false },
  { "searchcandy.nl", true },
  { "searchcandy.uk", true },
  { "searchdatalogy.com", true },
  { "searchforbeer.com", true },
  { "searchfox.org", true },
  { "searchmore.dk", true },
  { "searchpartners.dk", true },
  { "searchshops.com", true },
  { "seareytraining.com", true },
  { "searsucker.com", true },
  { "searx.be", true },
  { "searx.one", true },
  { "searx.rocks", true },
  { "searx.ru", true },
  { "searx.run", true },
  { "searx.xyz", true },
  { "seasidestudios.co.uk", true },
  { "season.moe", true },
  { "seasons-vintage.com", true },
  { "seasons.nu", false },
  { "seatbeltpledge.com", true },
  { "seattle-life.net", true },
  { "seattledevicerepair.com", true },
  { "seattlefabrication.com", true },
  { "seattlemesh.net", true },
  { "seattleprivacy.org", true },
  { "seattleshadeandawning.com", true },
  { "seattlewalkinbathtubs.com", true },
  { "seavancouver.com", true },
  { "seaviewkohchang.com", true },
  { "seb-mgl.de", true },
  { "seb-net.com", true },
  { "sebald.com", true },
  { "sebald.org", true },
  { "sebandroid.com", true },
  { "sebascelis.com", true },
  { "sebastiaandouma.com", true },
  { "sebastiaanwijnimport.nl", true },
  { "sebastian-janich.de", true },
  { "sebastian-kuhnert.de", true },
  { "sebastian-walla.com", true },
  { "sebastianblade.com", true },
  { "sebastianboegl.de", true },
  { "sebastianungureanu.com", true },
  { "sebastiaperis.com", true },
  { "sebasveeke.nl", true },
  { "seberova.cz", true },
  { "sebi.org", true },
  { "sebjacobs.com", true },
  { "seblod.com", true },
  { "sebster.com", true },
  { "seby.io", true },
  { "sec-mails.de", true },
  { "sec-research.com", true },
  { "sec-wiki.com", true },
  { "sec.ec", true },
  { "sec.gd", true },
  { "sec.gov", true },
  { "sec30.com", true },
  { "sec3ure.co.uk", true },
  { "sec455.com", true },
  { "sec530.com", true },
  { "secapp.fi", true },
  { "seccom.ch", false },
  { "secctexasgiving.org", false },
  { "secgui.de", true },
  { "sech.me", true },
  { "secinto.at", true },
  { "secinto.com", true },
  { "secnews.gr", true },
  { "secomo.org", true },
  { "second-life-partner-ichien.com", true },
  { "secondchancejobsforfelons.com", true },
  { "secondmileservice.com", true },
  { "seconfig.sytes.net", true },
  { "secoseal.de", true },
  { "secpatrol.de", true },
  { "secretagentclub.tk", true },
  { "secretary-schools.com", true },
  { "secrethub.io", true },
  { "secretpanties.com", true },
  { "secretsdujeu.com", true },
  { "secretserveronline.com", true },
  { "secretum.tech", true },
  { "secrium.io", true },
  { "sectelligence.nl", true },
  { "sectember.com", true },
  { "sectember.events", true },
  { "secthirty.com", true },
  { "sectio-aurea.org", true },
  { "section-31.org", true },
  { "section.io", true },
  { "section215.com", true },
  { "section508.gov", true },
  { "section77.de", true },
  { "sector.zone", true },
  { "sector5.xyz", true },
  { "sectun.com", true },
  { "secumailer.com", true },
  { "secumailer.nl", true },
  { "secundity.nl", true },
  { "secur3.us", true },
  { "securai.de", true },
  { "secure-computing.net", true },
  { "secure-graphic.de", true },
  { "secure-gw.de", true },
  { "secure-server-hosting.com", true },
  { "secure.advancepayroll.com.au", true },
  { "secure.co.hu", true },
  { "secure.facebook.com", false },
  { "securecloudplatform.nl", true },
  { "securedrop.org", true },
  { "secureenduserconnection.se", true },
  { "secureesolutions.com", true },
  { "securefiletransfer.nl", true },
  { "securegovernment.us", true },
  { "secureheaders.com", true },
  { "secureim.de", true },
  { "securelect-inspection.com", true },
  { "securelogin.nu", true },
  { "securemailbox.com", true },
  { "securemantra.net", true },
  { "securemessage.nl", true },
  { "securemind.ch", true },
  { "securenets.nl", true },
  { "secureobscure.com", true },
  { "secureonline.co", true },
  { "securepress.io", true },
  { "securesense.nl", true },
  { "securesystems.de", true },
  { "securethe.news", true },
  { "securetrustbank.com", true },
  { "securevideo.com", true },
  { "securewebcomputing.com", true },
  { "secureworks.com", true },
  { "secureyourerp.nl", true },
  { "securi-tay.co.uk", true },
  { "securify.nl", true },
  { "securist.nl", true },
  { "securitelandry.com", true },
  { "security-24-7.com", true },
  { "security-brokers.com", true },
  { "security.gives", true },
  { "security.google.com", true },
  { "security.love", true },
  { "security.pl", true },
  { "security201.co.uk", true },
  { "security201.com", true },
  { "securitybrief.asia", true },
  { "securitybrief.co.nz", true },
  { "securitybrief.com.au", true },
  { "securitybrief.eu", true },
  { "securitybsides.pl", false },
  { "securitydriver.com", true },
  { "securityescrownews.com", true },
  { "securityfest.com", true },
  { "securitygladiators.com", true },
  { "securityhandbook.cz", true },
  { "securityheaders.com", true },
  { "securityheaders.io", true },
  { "securityheaders.nl", true },
  { "securitykey.co", true },
  { "securitypluspro.com", true },
  { "securityprimes.in", true },
  { "securitypuppy.com", true },
  { "securityrussia.com", true },
  { "securitysense.co.uk", true },
  { "securitysnobs.com", false },
  { "securitystreak.com", true },
  { "securitytrails.com", true },
  { "securitywithoutborders.org", true },
  { "securview.ch", true },
  { "secutrans.com", true },
  { "secuvera.de", false },
  { "secvault.io", true },
  { "secwall.me", true },
  { "secyourity.se", true },
  { "sedlakovalegal.com", true },
  { "sedlex.fr", true },
  { "sedmicka.sk", false },
  { "sedoexpert.nl", true },
  { "sedoexperts.nl", true },
  { "see.asso.fr", true },
  { "see.wtf", true },
  { "seedandleisure.co.uk", true },
  { "seedboite.ovh", true },
  { "seedcoworking.es", true },
  { "seedisclaimers.com", true },
  { "seedno.de", true },
  { "seednode.co", true },
  { "seekfirstthekingdom.ca", true },
  { "seekthe.net", true },
  { "seemeagain.com", true },
  { "seemomclick.com", true },
  { "seerainer.com", true },
  { "seewang.me", true },
  { "seewhatididhere.com", true },
  { "seewines.com", true },
  { "seeworkdone.com", true },
  { "sefru.de", true },
  { "seg-leipzig.org", true },
  { "segaretro.org", true },
  { "segitz.de", true },
  { "segmetic.com", true },
  { "segnalabullo.com", true },
  { "segnalabullo.eu", true },
  { "segnalabullo.it", true },
  { "segnidisegni.eu", true },
  { "seguimosganando.com", true },
  { "segulink.com", true },
  { "seguridadconsumidor.gov", true },
  { "seguridadsistem.tech", true },
  { "seguridadsistemtienda.tech", true },
  { "seguridadysaludeneltrabajo.com.co", true },
  { "seguros-de-salud-y-vida.com", true },
  { "segurosbalboa.com.ec", false },
  { "segurosocial.gov", false },
  { "seguroviagem.srv.br", false },
  { "sehd.top", true },
  { "sehnenweh.org", true },
  { "seibert.ninja", true },
  { "seibu-kikaku.co.jp", true },
  { "seicochimica.it", true },
  { "seidel-immobilienberatung.de", true },
  { "seifried.org", true },
  { "seikatu-navi.com", true },
  { "seinfeldquote.com", true },
  { "seirei.ne.jp", true },
  { "seisansei.net", true },
  { "seishinchuo-lawoffice.com", true },
  { "seitai-nabejun.jp", true },
  { "seitai-taiyou.com", true },
  { "seitenwaelzer.de", true },
  { "sejageek.com", true },
  { "sek.ai", true },
  { "sekainokokki.jp", true },
  { "sekfung.me", true },
  { "sekisonn.com", true },
  { "sekoya.org", true },
  { "sektor41.com", true },
  { "sekurak.pl", true },
  { "selber-coden.de", true },
  { "selbys.net.au", true },
  { "selcusters.nl", true },
  { "seldax.com", true },
  { "selea.se", true },
  { "selebrita.ml", true },
  { "selected-properties.com", false },
  { "selectel.com", false },
  { "selectel.ru", true },
  { "selectionengine.ca", true },
  { "selectionengine.com", true },
  { "selectionengine.net", true },
  { "selectionengine.org", true },
  { "selectra.pt", true },
  { "selegiline.com", true },
  { "selekzo.com", true },
  { "self-business.tk", true },
  { "self-evident.org", true },
  { "self-xss.info", true },
  { "selfassess.govt.nz", true },
  { "selfdestruct.net", true },
  { "selfici.com", true },
  { "selfici.cz", true },
  { "selfiehome.cz", true },
  { "selfishness.com", true },
  { "selfloath.in", true },
  { "selfmade4u.de", true },
  { "selfrealize.ga", true },
  { "selfretire.cf", true },
  { "selfycheck.it", true },
  { "selimcerkezi.tk", true },
  { "sellajoch.com", true },
  { "sellcoins.top", true },
  { "selldorado.com", true },
  { "selldurango.com", true },
  { "sellguard.pl", true },
  { "sellingsherpa.com", true },
  { "sellme.biz", true },
  { "sellmymobile.com", true },
  { "sellmyphone.co.uk", true },
  { "sellorbuy.uk", true },
  { "sellorbuy.us", true },
  { "selltous.com.au", true },
  { "sellwithsquare.com", true },
  { "selo-cer.tk", true },
  { "seloc.org", true },
  { "seltendoof.de", true },
  { "semacode.com", true },
  { "semaflex.it", true },
  { "semantica.cz", false },
  { "semaphore-studios.com", true },
  { "sembyotic.com", true },
  { "semdynamics.com", true },
  { "semenov.ml", true },
  { "semerkhet.com", true },
  { "semesur.com", true },
  { "seminariosvip.com", true },
  { "seminariruum.ee", true },
  { "seminarraum-isny.de", true },
  { "semiocast.com", true },
  { "semiotical.com", false },
  { "semiotika.tk", true },
  { "semiread.com", true },
  { "semjonov.de", true },
  { "semobr.cf", true },
  { "semops.gq", true },
  { "semox.de", true },
  { "semplicementelight.com", true },
  { "semps-2fa.de", true },
  { "semps-threema.de", true },
  { "semps.de", true },
  { "semriscos.pt", true },
  { "semsec.net", true },
  { "sen.bo", true },
  { "senarius.de", true },
  { "sendai-sisters.com", true },
  { "sendaiouji.com", true },
  { "sendbox.cz", true },
  { "sender.services", true },
  { "sendingbee.com", true },
  { "sendmeback.de", false },
  { "sendonce.io", true },
  { "sendthisfile.com", true },
  { "sendtrix.nl", true },
  { "sendway.com", true },
  { "sendya.me", true },
  { "sendzik.eu", true },
  { "senego.com", true },
  { "senekalstorageman.co.za", true },
  { "senergyconsultants.com", true },
  { "senhost.tk", true },
  { "seniorem.eu", true },
  { "seniorhost.net", true },
  { "seniors.singles", true },
  { "senjukannonreiki.com", true },
  { "senmendai-reform.com", true },
  { "senneeeraerts.be", true },
  { "senobio.com", true },
  { "sens2lavie.com", true },
  { "sensebridge.net", true },
  { "senseonline.co.il", true },
  { "sensepixel.com", true },
  { "senshot.com", true },
  { "senshudo.tv", true },
  { "sensivo.eu", true },
  { "sensor-dream.ru", true },
  { "sensorville.com.br", true },
  { "sensualism.com", true },
  { "sensuality-models.com", true },
  { "sentandsecure.com", true },
  { "sentencing.net", true },
  { "sentenza.tk", true },
  { "sentidosdelatierra.org", true },
  { "sentinel.gov", true },
  { "sentinelproject.io", true },
  { "sentry.io", true },
  { "sentry.nu", true },
  { "sentworks.com", true },
  { "senu.pro", true },
  { "senzaparole.de", true },
  { "seo-analyse.com", true },
  { "seo-dr-it.com", true },
  { "seo-forum.nu", true },
  { "seo-linz.at", true },
  { "seo-obmen.tk", true },
  { "seo-phpbb.cf", true },
  { "seo-piar.tk", true },
  { "seo-portal.de", true },
  { "seo-reality.cf", true },
  { "seo-website.ru", true },
  { "seo.london", true },
  { "seoagentur2go.de", true },
  { "seoankara.name.tr", true },
  { "seobutler.com", true },
  { "seodayo.com", true },
  { "seoexpert.com.br", true },
  { "seogeek.nl", true },
  { "seohackers.fr", true },
  { "seohouston.com", true },
  { "seoinc.com", true },
  { "seoium.com", true },
  { "seojames.com", true },
  { "seolab.amsterdam", true },
  { "seolabuitest.azurewebsites.net", true },
  { "seolotsen.de", true },
  { "seomarketing.bg", true },
  { "seomaton.com", true },
  { "seomaton.org", true },
  { "seon.me", true },
  { "seoonline.cf", true },
  { "seorus.cf", true },
  { "seoserfing.tk", true },
  { "seosof.com", true },
  { "seoul.dating", true },
  { "seovision.se", true },
  { "seoviziti50.tk", true },
  { "seowebexpert.co.uk", true },
  { "seowerkz.com", true },
  { "seowork.tk", true },
  { "seozel.tk", true },
  { "sepalandseed.com", true },
  { "septakkordeon.de", true },
  { "septentrionalist.org", true },
  { "septfinance.ch", false },
  { "septicrepairspecialists.com", true },
  { "septonol.tk", true },
  { "septs.blog", true },
  { "sequachee.com", true },
  { "sequencing.com", true },
  { "sequiturs.com", true },
  { "sera.jp", true },
  { "seraph.tokyo", true },
  { "serban.ro", true },
  { "serbanpaun.ro", true },
  { "serbianclimbing.com", false },
  { "serdarwork.com", true },
  { "sereema.com", true },
  { "serele.fr", true },
  { "serenaden.at", true },
  { "serenascreations.com", true },
  { "serenavilage.net", true },
  { "serenavillage.net", true },
  { "serenavillageresidence.com", true },
  { "serendeputy.com", true },
  { "serf.io", true },
  { "serfas.gr", true },
  { "serge-design.ch", true },
  { "sergeemond.ca", true },
  { "sergefonville.nl", true },
  { "sergeyreznikov.com", true },
  { "sergije-stanic.me", true },
  { "sergio.me", true },
  { "sergiozygmunt.com", true },
  { "serialexperiments.co.uk", true },
  { "serienstream.to", true },
  { "seriesdatv.pt", true },
  { "seriesfeed.com", true },
  { "serigraphs.co.uk", true },
  { "serinamusic.com", true },
  { "seriousaboutsecurity.com", true },
  { "seriousclimbing.com", true },
  { "serkanyarbas.com", true },
  { "serkanyarbas.com.tr", true },
  { "sermasvital.com", true },
  { "sernate.com", true },
  { "serotiuk.com", false },
  { "serpenteq.com", true },
  { "serpic.photo", true },
  { "serrande.roma.it", true },
  { "serrano-chris.ch", false },
  { "serrature.roma.it", true },
  { "seru.eu", true },
  { "servcom.net.au", true },
  { "servepublic.com", true },
  { "servepublic.org", true },
  { "server-daten.de", true },
  { "server-essentials.com", true },
  { "serveradium.com", true },
  { "serverco.com", true },
  { "serverd.de", true },
  { "serverexpose.com", true },
  { "serverfrog.de", true },
  { "serverhost.no", true },
  { "serverhunter.com", true },
  { "servermacher.de", true },
  { "servermaster.sk", true },
  { "serverninja.tk", true },
  { "serveroffline.net", false },
  { "serverpedia.de", true },
  { "serversfrom.space", true },
  { "serversftw.com", true },
  { "serverstuff.info", true },
  { "serversuit.com", true },
  { "servertastic.com", true },
  { "servertutorial.eu", true },
  { "servethecity-karlsruhe.de", true },
  { "servetten-groothandel.nl", true },
  { "serveur.nl", true },
  { "serveursminecraft.org", true },
  { "servgate.jp", true },
  { "service.gov.uk", true },
  { "servicebeaute.fr", true },
  { "serviceboss.de", true },
  { "serviceinconstanta.ro", true },
  { "servicerequesthub.io", true },
  { "servicestechnologiquesam.ca", true },
  { "serviciales.com", true },
  { "servicios-electricos.com", true },
  { "servida.ch", true },
  { "servietten-grosshandel.at", true },
  { "servietten-grosshandel.be", true },
  { "servietten-grosshandel.ch", true },
  { "servietten-grosshandel.de", true },
  { "serviettenhaus.de", true },
  { "serviettes-et-plus.com", true },
  { "servilletas-de-papel.es", true },
  { "servilletas-de-papel.mx", true },
  { "servingbaby.com", true },
  { "servious.org", true },
  { "servitek.de", true },
  { "serviziourgente.it", true },
  { "servo.org", true },
  { "servtraq-staging.azurewebsites.net", true },
  { "servtraqazure.com", true },
  { "serw.org", true },
  { "serwetki-papierowe.pl", true },
  { "seryox.com", true },
  { "sesam-biotech.com", true },
  { "sesamecare.com", true },
  { "sesrdcem.cz", true },
  { "sessile-oak.co.uk", true },
  { "session.bbc.co.uk", true },
  { "session.bbc.com", true },
  { "sessionslogning.dk", true },
  { "sesslerimmo.ch", true },
  { "sestra.in", true },
  { "sesturizm.com.tr", true },
  { "setasgourmet.es", true },
  { "setenforce.one", true },
  { "setesat.com.br", true },
  { "setevik.tk", true },
  { "sethcaplan.com", true },
  { "sethjust.com", true },
  { "sethlmatarassomd.com", true },
  { "sethriedel.com", true },
  { "sethvargo.com", true },
  { "setphaserstostun.org", false },
  { "setptusa.com", true },
  { "settberg.de", true },
  { "settimanadellascienza.it", true },
  { "settleapp.co", true },
  { "setuid.io", true },
  { "setuid0.kr", true },
  { "setuplog.io", true },
  { "setxrm.com", true },
  { "seutens.be", true },
  { "seutens.eu", true },
  { "seva.fashion", true },
  { "sevastopol.tk", true },
  { "sevathian.com", true },
  { "seven-purple.com", true },
  { "sevencooks.com", true },
  { "sevenhillsapartments.com.au", true },
  { "sevenicealimentos.com.br", true },
  { "seventwentynine.com", true },
  { "severntrentinsuranceportal.com", true },
  { "sevilinux.es", true },
  { "sevocomm.com", true },
  { "sevsey.ru", true },
  { "sewa.nu", true },
  { "sewafineseam.com", true },
  { "sewamobilperdana.com", true },
  { "sewatec.com", true },
  { "sewfarsewgood.co.uk", true },
  { "sewfarsewgood.uk", true },
  { "sewing-machines.com.ua", true },
  { "sewing-world.ru", true },
  { "sewinginsight.com", true },
  { "sewoo.co.uk", true },
  { "sex-education.com", true },
  { "sex-sex-cam.com", true },
  { "sex5.com", true },
  { "sexdocka.nu", true },
  { "sexedquickies.com", true },
  { "sexedrescue.com", true },
  { "sexflare.net", true },
  { "sexgarage.de", true },
  { "sexmobil.de", true },
  { "sexocomgravidas.com", true },
  { "sexologist.cf", true },
  { "sexonosalao.com", true },
  { "sexoyrelax.com", true },
  { "sexplicit.co.uk", true },
  { "sextop1.pro", true },
  { "sexy-store.nl", true },
  { "sexyblonds.net", true },
  { "sexyfish.com", true },
  { "sexyfotosvandep.nl", true },
  { "sexymassageoil.com", true },
  { "sexytagram.com", true },
  { "seyfarth.de", true },
  { "seyhanlar.com", true },
  { "seyr.me", true },
  { "sfa.sk", true },
  { "sfaparish.org", true },
  { "sfaturiit.ro", true },
  { "sfbao.com", true },
  { "sfdev.ovh", true },
  { "sfg-net.com", true },
  { "sfg-net.eu", true },
  { "sfg-net.net", true },
  { "sfg-net.org", true },
  { "sfg-nordholz.de", true },
  { "sfil.fr", true },
  { "sfile.eu", true },
  { "sfirat-haomer.com", true },
  { "sfleisure.com", true },
  { "sfo-fog.ch", false },
  { "sfpebblesstones.com", true },
  { "sft-framework.org", true },
  { "sftool.gov", true },
  { "sfvonline.nl", true },
  { "sg-elektro.de", true },
  { "sg.search.yahoo.com", false },
  { "sg1.tech", true },
  { "sgb.co", true },
  { "sgcaccounts.co.uk", true },
  { "sgcy.vip", true },
  { "sgdementia.ca", true },
  { "sggame990.com", true },
  { "sgi.org", true },
  { "sgitc.de", true },
  { "sglibellen.de", true },
  { "sglorch.me", false },
  { "sglynp.com", true },
  { "sgombero.it", true },
  { "sgrossi.it", true },
  { "sgrub.xyz", true },
  { "sgs-systems.de", true },
  { "sgs.camera", true },
  { "sgs.systems", true },
  { "sgsp.nl", true },
  { "sgtcodfish.com", true },
  { "sgtt.ch", false },
  { "sgutranscripts.org", true },
  { "sh-heppelmann.de", true },
  { "sh0rt.zone", true },
  { "sh0shin.org", true },
  { "sh0uld.net", true },
  { "sh11.pp.ua", true },
  { "sha.bi", true },
  { "sha2017.org", true },
  { "shaadithailand.com", true },
  { "shabiwangyou.com", true },
  { "shachang.com", true },
  { "shad.waw.pl", true },
  { "shadedesign.cz", true },
  { "shadesofgrayadr.com", true },
  { "shadesofgraylaw.com", true },
  { "shadex.net", true },
  { "shadigee.org", true },
  { "shadikhan.tk", true },
  { "shadowcp.eu", true },
  { "shadowfight2.tk", true },
  { "shadowkingdomrecords.com", true },
  { "shadowkitsune.net", true },
  { "shadowlurker.com.au", true },
  { "shadowsing.com", true },
  { "shadowsocks.com", true },
  { "shadowsocks.com.au", true },
  { "shadowsocks.com.hk", true },
  { "shadowsocks.fr", false },
  { "shadowsocks.la", true },
  { "shadowsocks.se", true },
  { "shadowsocks.to", true },
  { "shadowsocks.wiki", true },
  { "shadowvolt.net", true },
  { "shadwe.com", true },
  { "shadynook.net", true },
  { "shahar.cc", false },
  { "shahpurjat.xyz", true },
  { "shahrsazan.tk", true },
  { "shahzaibm.com", true },
  { "shaicoleman.com", true },
  { "shajol.com", true },
  { "shakan.ch", false },
  { "shaken110.com", true },
  { "shakerwebdesign.net", true },
  { "shakespearevet.com", true },
  { "shakingthehabitual.com", true },
  { "shakthifacility.com", true },
  { "shaloc.site", true },
  { "shalott.org", true },
  { "shalyapin.by", true },
  { "sham-group.fr", true },
  { "shamans.ga", true },
  { "shamara.info", true },
  { "shampoo63.ru", true },
  { "shan.io", false },
  { "shan.si", true },
  { "shanahanstrategy.com", true },
  { "shanefagan.com", true },
  { "shanesofos.com", true },
  { "shanesofos.info", true },
  { "shanetully.com", true },
  { "shanewadleigh.com", true },
  { "shanhay.tk", true },
  { "shanju.tk", true },
  { "shannapeeples.com", true },
  { "shanoviyam.in", true },
  { "shansen-online.de", true },
  { "shanshushu.com", true },
  { "shansing.cn", true },
  { "shansing.com", true },
  { "shansing.net", true },
  { "shansing.space", true },
  { "shapediver.com", true },
  { "shapin.tv", true },
  { "sharanyamunsi.net", true },
  { "shard.vc", true },
  { "sharedgoals.co", true },
  { "shareeri.xyz", true },
  { "sharefox.eu", true },
  { "sharefox.nl", true },
  { "sharejoy.cn", false },
  { "sharekey.com", false },
  { "shareoffice.ch", true },
  { "sharer.link", true },
  { "sharerotic.com", true },
  { "sharescope.co.uk", false },
  { "shareselecttools.com", true },
  { "sharevari.com", true },
  { "shareworks.com", true },
  { "sharik-msk.ga", true },
  { "sharik.ml", true },
  { "sharing-kyoto.com", true },
  { "sharingphotos.co", false },
  { "sharisharpe.com", true },
  { "shark.cat", true },
  { "shark5060.net", true },
  { "sharking.gq", true },
  { "sharpe.systems", true },
  { "sharu.me", true },
  { "sharvey.ca", true },
  { "shaun.net", true },
  { "shaunandamyswedding.com", true },
  { "shaunc.com", true },
  { "shavegazette.com", true },
  { "shavit.space", true },
  { "shawiah.tk", true },
  { "shawnalucey.com", true },
  { "shawnhogan.com", true },
  { "shawnow.com", true },
  { "shawnwilkerson.com", true },
  { "shawnz.org", true },
  { "shaytan.tk", true },
  { "shazzlemd.com", true },
  { "shazzlepro.com", true },
  { "shcode.de", true },
  { "shdw.cc", true },
  { "she.tw", true },
  { "shearcomfort.com", true },
  { "shearin.pro", true },
  { "sheaspire.com", true },
  { "shechipin.ml", true },
  { "shee.org", true },
  { "sheehyinfinitioftysonsparts.com", true },
  { "sheenveininstitutestl.com", true },
  { "sheepfriends.com", true },
  { "sheepproductions.com", true },
  { "sheerchain.com", true },
  { "sheet.host", true },
  { "sheffield-wednesday-fc.tk", true },
  { "shehaal.com", true },
  { "shehata.com", true },
  { "sheilasdrivingschool.com", true },
  { "shejutu.com", true },
  { "shek.zone", true },
  { "shekareyehospital.com", true },
  { "shelbymunsch.com", true },
  { "shelehov.tk", true },
  { "shelfordsandstaplefordscouts.org.uk", true },
  { "shelfplanner.com", true },
  { "shelike.me", true },
  { "shellcon.io", true },
  { "shellday.cc", true },
  { "shelleystoybox.com", true },
  { "shellfire.de", true },
  { "shellgame.io", true },
  { "shellj.me", true },
  { "shellta.com", true },
  { "shellta.net", true },
  { "sheltieplanet.com", true },
  { "shelvacu.com", true },
  { "shenderman.ml", true },
  { "shenghaiautoparts.com", true },
  { "shenghaiautoparts.net", true },
  { "shenpei.net", true },
  { "shenyuqi.com", false },
  { "shepherdsfriendly.co.uk", true },
  { "sherbers.de", true },
  { "sheremetka.com", true },
  { "shermantank.biz", true },
  { "sherpa.blog", true },
  { "sherpnortheast.com", true },
  { "sherrikehoetherapy.com", true },
  { "sherrikelley.com", true },
  { "sherut.net", true },
  { "shevet-achim.tk", true },
  { "shft.cl", true },
  { "shfzzz.org", true },
  { "shg-pornographieabhaengigkeit.de", false },
  { "shgroup.xyz", true },
  { "shgt.jp", true },
  { "shgw186.com", false },
  { "shh.sh", true },
  { "shiawasedo.co.jp", true },
  { "shibbydex.com", true },
  { "shibuya-rin.kr", true },
  { "shichibukai.net", true },
  { "shico.org", true },
  { "shielddagger.com", true },
  { "shielder.it", true },
  { "shieldofachilles.in", true },
  { "shifaat.com", true },
  { "shift-record.com", true },
  { "shift-to.co.jp", true },
  { "shift.email", true },
  { "shiftdevices.com", true },
  { "shiftj.is", true },
  { "shiftleft.org", true },
  { "shiftsixth.com", true },
  { "shiga1.jp", true },
  { "shigaben.or.jp", true },
  { "shiganmartialarts.com", true },
  { "shihadwiki.com", true },
  { "shiji.info", true },
  { "shijing.me", true },
  { "shikimori.org", true },
  { "shikiryu.com", true },
  { "shilpaonline.tk", true },
  { "shimi.blog", true },
  { "shimi.guru", true },
  { "shimi.net", true },
  { "shimmy1996.com", true },
  { "shimo.im", true },
  { "shin-yo.de", true },
  { "shinghoi.com", true },
  { "shinglereplacementlv.com", true },
  { "shining.gifts", true },
  { "shiningbright.co.id", true },
  { "shinnyosangha.org", false },
  { "shinomiya.group", false },
  { "shinsyo.com", true },
  { "shintoism.com", true },
  { "shinuytodaati.co.il", true },
  { "shinyuu.net", true },
  { "shipard.com", true },
  { "shipard.cz", true },
  { "shipcloud.io", true },
  { "shipito.kg", true },
  { "shipmonk.com", true },
  { "shippercenter.info", true },
  { "shippinglabel.de", true },
  { "shiqi.ca", true },
  { "shiqi.lol", true },
  { "shiqi.one", true },
  { "shiqi.online", true },
  { "shiqi.se", true },
  { "shiqi.tv", true },
  { "shiqi1.com", true },
  { "shiqishidai.cc", true },
  { "shiqisifu.cc", true },
  { "shirao.jp", true },
  { "shiresvets.com", true },
  { "shirevirtual.tk", true },
  { "shiriforum.tk", true },
  { "shiroanime.es", true },
  { "shirt2go.shop", true },
  { "shirtsdelivered.com", true },
  { "shirtsofholland.com", true },
  { "shishadenbosch.nl", true },
  { "shishkin.us", true },
  { "shishlik.net", true },
  { "shitagi-shop.com", true },
  { "shitbeast.institute", true },
  { "shitcountries.org", true },
  { "shitmybradsays.com", false },
  { "shitnikovo.tk", true },
  { "shitposts.se", true },
  { "shitproductions.org", true },
  { "shitsta.in", true },
  { "shiva-temple.tk", true },
  { "shivamber.com", true },
  { "shivammathur.com", true },
  { "shivamohanam.com", true },
  { "shixuen.com", true },
  { "shkololo.ml", true },
  { "shlmail.info", true },
  { "shock.ee", true },
  { "shockercityservices.com", true },
  { "shodan.io", true },
  { "shoejitsu.co", true },
  { "shoemakerywc.com", true },
  { "shoeracks.uk", true },
  { "shoestringeventing.co.uk", true },
  { "shokola.com", true },
  { "shokureach.jp", true },
  { "shooter.dog", true },
  { "shop-hellsheadbangers.com", true },
  { "shop-s.net", true },
  { "shop-slivki.tk", true },
  { "shop4d.com", true },
  { "shopadvies.nl", true },
  { "shopalike.cz", true },
  { "shopalike.dk", true },
  { "shopalike.es", true },
  { "shopalike.fi", true },
  { "shopalike.fr", true },
  { "shopalike.hu", true },
  { "shopalike.it", true },
  { "shopalike.nl", true },
  { "shopalike.pl", true },
  { "shopalike.se", true },
  { "shopalike.sk", true },
  { "shopandworld.net", false },
  { "shopapi.cz", true },
  { "shoparbonne.co.uk", true },
  { "shopatkei.com", true },
  { "shopbakersnook.com", true },
  { "shopcoupon.co.za", true },
  { "shopcoupons.co.id", true },
  { "shopcoupons.my", true },
  { "shopcoupons.ph", true },
  { "shopcoupons.sg", true },
  { "shopfazz.com", true },
  { "shopfinale.com", true },
  { "shopific.com", true },
  { "shopifycloud.com", true },
  { "shopikal.com", true },
  { "shopkini.com", true },
  { "shoplandia.co", true },
  { "shopmacher.de", true },
  { "shopminut.com", true },
  { "shoponlinedeals.tk", true },
  { "shopperexpertss.com", true },
  { "shopping24.de", true },
  { "shoppingandreviews.it", true },
  { "shoppingicarai.com", true },
  { "shoppingvrimini.ru", true },
  { "shopregional.com.br", true },
  { "shopstart.dk", true },
  { "shopstasy.com", true },
  { "shoptec.sk", true },
  { "shopteq.hu", true },
  { "shoptio.cz", true },
  { "shopunilever.com", true },
  { "shopwebhue.com", true },
  { "shorebreaksecurity.com", true },
  { "shorehamfort.co.uk", true },
  { "shorifart.com", true },
  { "short-biography.com", false },
  { "short-term-plans.com", true },
  { "short.cm", true },
  { "short.wtf", true },
  { "shortcut.pw", true },
  { "shortdiary.me", true },
  { "shorten.ninja", true },
  { "shoshin-aikido.de", true },
  { "shoshin.technology", true },
  { "shossain.tk", true },
  { "shost.ga", true },
  { "shota-sekkotsuin.com", true },
  { "shota.soy", true },
  { "shota.vip", true },
  { "shotbow.net", true },
  { "shotsleeve.com", true },
  { "shouttag.com", true },
  { "shovonhasan.com", true },
  { "showbits.net", true },
  { "shower.im", true },
  { "showersnet.com", true },
  { "showfom.sb", true },
  { "showmax.com", true },
  { "showmethegadgets.com", true },
  { "showmethemoney.ru", true },
  { "showpassword.net", false },
  { "showroom.co.uk", true },
  { "showroom.uk", true },
  { "showsonar.com", true },
  { "shoxmusic.net", false },
  { "shrapnel.ga", true },
  { "shred.ch", false },
  { "shredoptics.ch", false },
  { "shredriteservices.com", true },
  { "shrelief.org", true },
  { "shrike.me", false },
  { "shrimpcam.pw", true },
  { "shrinidhiclinic.in", true },
  { "shrub.ca", true },
  { "shrug.ml", false },
  { "shsh.host", true },
  { "sht.life", true },
  { "shtaiman.com", true },
  { "shtaiman.net", true },
  { "shtaiman.org", true },
  { "shtaketnik-metall.ru", true },
  { "shtaketniki.kz", true },
  { "shtaketniki.ru", true },
  { "shteiman.com", true },
  { "shteiman.net", true },
  { "shteiman.org", true },
  { "shu-fu.net", true },
  { "shuax.com", true },
  { "shuffleradio.nl", true },
  { "shugo.net", true },
  { "shugua.com.tw", true },
  { "shuhacksoc.co.uk", true },
  { "shunliandongli.com", true },
  { "shuomingshu88.com", true },
  { "shura.eu.org", true },
  { "shuro.de", true },
  { "shuset.dk", true },
  { "shushu.media", true },
  { "shutter-shower.com", true },
  { "shutupbabyiknowit.party", true },
  { "shux.pro", true },
  { "shyuka.me", true },
  { "si-benelux.nl", true },
  { "si.to", true },
  { "si2b.fr", true },
  { "siaggiusta.com", true },
  { "siamericas.com", true },
  { "siamrehab.com", true },
  { "siamsnus.com", true },
  { "sianbryn.co.uk", true },
  { "siava.ru", true },
  { "siberas.de", true },
  { "siberia.gq", true },
  { "siberiactiva.com", true },
  { "siberkulupler.com", true },
  { "sibertakvim.com", true },
  { "sibrenvasse.nl", true },
  { "siccardisport.it", true },
  { "sice-si.org", true },
  { "sich-fight.club", true },
  { "siciliadisinfestazioni.it", true },
  { "siciliamconsulting.com", true },
  { "sicilianbalm.com", true },
  { "siciliapulizie.it", true },
  { "sickplanet.cf", true },
  { "sicurezza24.info", true },
  { "sicurezzalavoro24.com", true },
  { "sicurled.com", true },
  { "sicz.de", true },
  { "siddigsami.com", true },
  { "sideleau.com", true },
  { "sidelka-tver.ru", true },
  { "sidema.be", true },
  { "sidemount-forum.com", true },
  { "sidemount-tauchen.com", true },
  { "sidepodcast.com", true },
  { "sidepodcastdaily.com", true },
  { "sidepodcastextra.com", true },
  { "sideshowbarker.net", true },
  { "sidi-smotri.ru", true },
  { "sidium.de", true },
  { "sidnicio.us", true },
  { "sidonge.com", true },
  { "sidongkim.com", true },
  { "sidpod.ru", true },
  { "sidsun.com", true },
  { "siecledigital.fr", true },
  { "siegemund-frankfurt.de", true },
  { "siel.nl", true },
  { "sielsystems.nl", true },
  { "sientemendoza.com.ar", true },
  { "siepomaga.net", true },
  { "sierpinska.co", true },
  { "sierramusic.tk", true },
  { "sietejefes.com.ar", true },
  { "sieumod.com", true },
  { "sieuthithangmay.com", true },
  { "sift-tool.org", false },
  { "sifuondemand.com", true },
  { "sig6.org", true },
  { "siga.com", true },
  { "sigabrt.org", true },
  { "sigcafe.net", true },
  { "siggerudklatreklubb.no", true },
  { "siggi.io", true },
  { "sight-sound.com", true },
  { "sightcure.jp", true },
  { "sighup.nz", true },
  { "sigismonda.ch", false },
  { "sigma-signalisation.com", true },
  { "sigma957.net", true },
  { "sigmalux.sarl", true },
  { "sigmasensors.com.br", true },
  { "sigmaweb.co.uk", true },
  { "sign.dog", true },
  { "sign.io", true },
  { "signaconsultoria.com.br", true },
  { "signage.red", true },
  { "signal.org", false },
  { "signaletique-inox.fr", true },
  { "signalmaps.co.uk", true },
  { "signaturechannel.com", true },
  { "signaturedallas.com", true },
  { "significados.com", true },
  { "significados.com.br", true },
  { "significantbanter.com", true },
  { "signing-milter.org", false },
  { "signix.net", true },
  { "signpath.io", true },
  { "signtul.com", false },
  { "sigsrv.net", true },
  { "sigterm.sh", true },
  { "sigurnost.online", true },
  { "siikaflix.tv", true },
  { "siirtutkusu.com", false },
  { "sijbesmaverhuizingen.nl", true },
  { "sik-it.nl", true },
  { "sikademy.com", true },
  { "sikaranbrotherhood.tk", true },
  { "sikayetvar.com", false },
  { "sikevux.se", true },
  { "sikko.biz", true },
  { "siku-shop.ch", true },
  { "silashes.com", true },
  { "silashes.ru", true },
  { "silaslova-ekb.ru", true },
  { "silent-clean.de", true },
  { "silent-yachts.com", true },
  { "silentexplosion.de", true },
  { "silentkernel.fr", true },
  { "silentundo.org", true },
  { "silesianlawyer.pl", true },
  { "silesianus.pl", true },
  { "silica-project.com", true },
  { "silica-project.jp", true },
  { "silicanetworks.com", true },
  { "silicon-north.com", true },
  { "silicon-vision.com", true },
  { "silkebaekken.no", true },
  { "silken-madame.tk", true },
  { "sillisalaatti.fi", true },
  { "sillysnapz.co.uk", true },
  { "silo.org.br", true },
  { "siloportem.net", true },
  { "silsha.me", true },
  { "silv.me", true },
  { "silver-heart.co.uk", true },
  { "silverartcollector.com", true },
  { "silverblog.org", true },
  { "silverbowflyshop.com", true },
  { "silverdragonart.com", true },
  { "silvergoldbull.be", true },
  { "silvergoldbull.by", true },
  { "silvergoldbull.ca", true },
  { "silvergoldbull.co.il", true },
  { "silvergoldbull.co.no", true },
  { "silvergoldbull.co.uk", true },
  { "silvergoldbull.com", true },
  { "silvergoldbull.com.ar", true },
  { "silvergoldbull.com.au", true },
  { "silvergoldbull.cr", true },
  { "silvergoldbull.cz", true },
  { "silvergoldbull.de", true },
  { "silvergoldbull.ec", true },
  { "silvergoldbull.ee", true },
  { "silvergoldbull.es", true },
  { "silvergoldbull.fi", true },
  { "silvergoldbull.gd", true },
  { "silvergoldbull.gl", true },
  { "silvergoldbull.gr", true },
  { "silvergoldbull.gt", true },
  { "silvergoldbull.hk", true },
  { "silvergoldbull.hn", true },
  { "silvergoldbull.hu", true },
  { "silvergoldbull.in", true },
  { "silvergoldbull.is", true },
  { "silvergoldbull.it", true },
  { "silvergoldbull.kr", true },
  { "silvergoldbull.li", true },
  { "silvergoldbull.lt", true },
  { "silvergoldbull.lv", true },
  { "silvergoldbull.ma", true },
  { "silvergoldbull.nz", true },
  { "silvergoldbull.pl", true },
  { "silvergoldbull.pt", true },
  { "silvergoldbull.qa", true },
  { "silvergoldbull.rs", true },
  { "silvergoldbull.se", true },
  { "silvergoldbull.si", true },
  { "silvergoldbull.sv", true },
  { "silvergoldbull.tt", true },
  { "silvergoldbull.tw", true },
  { "silvergoldbull.uy", true },
  { "silvergoldbull.uz", true },
  { "silvergoldbull.ws", true },
  { "silverkingalaska.com", true },
  { "silverlinkz.net", true },
  { "silvernight.social", true },
  { "silvershadow.cc", true },
  { "silverspottrading.com", true },
  { "silvertorrents.cf", true },
  { "silverwind.io", true },
  { "silvesrom.ro", true },
  { "silvester-mitterschida.de", true },
  { "silvine.xyz", true },
  { "silvobeat.blog", true },
  { "silvobeat.com", true },
  { "sim-karten.net", true },
  { "sim-minaoshi.jp", true },
  { "sim-mobile.ml", true },
  { "sim-usa.mobi", true },
  { "sim4seed.org", true },
  { "simam.de", true },
  { "simark.ca", true },
  { "simbamail.de", true },
  { "simbeton.nl", true },
  { "simcoecurlingclub.ca", true },
  { "simcongroup.ir", true },
  { "simeonoff.ninja", true },
  { "simetal.ch", false },
  { "simfdr.com", true },
  { "simfed.org", true },
  { "simivalleyelectrical.com", true },
  { "simivalleyexteriorlighting.com", true },
  { "simivalleylandscapelighting.com", true },
  { "simivalleylighting.com", true },
  { "simivalleyoutdoorlighting.com", true },
  { "simkova-reality.cz", true },
  { "simlau.net", true },
  { "simmtronic.com", true },
  { "simnovo.net", true },
  { "simoesgoulart.com.br", true },
  { "simon-agozzino.fr", true },
  { "simon-hofmann.org", true },
  { "simon-mueller.de", true },
  { "simon3k.moe", true },
  { "simonastallone.com", true },
  { "simonberard.garden", true },
  { "simonbondo.dk", true },
  { "simoncommunity.org.uk", true },
  { "simoncook.org", true },
  { "simonevans.uk", true },
  { "simonfischer.info", true },
  { "simonhirscher.de", true },
  { "simonholst.dk", true },
  { "simonkjellberg.com", true },
  { "simonkjellberg.se", true },
  { "simonlyabonnement.nl", true },
  { "simonmaddox.com", true },
  { "simonmanuel.com", true },
  { "simonreich.de", true },
  { "simonsmh.cc", true },
  { "simonspeich.ch", true },
  { "simonsreich.de", true },
  { "simonssh.ddns.net", true },
  { "simontaite.com", true },
  { "simonweil.com", true },
  { "simonwessel.net", true },
  { "simonwoodside.com", true },
  { "simosol.de", true },
  { "simosol.dk", true },
  { "simpbx.net", true },
  { "simpel.be", true },
  { "simpeo.org", true },
  { "simphony.cz", true },
  { "simpip.com", true },
  { "simple.com", false },
  { "simplecmsdemo.com", true },
  { "simplecoding.click", true },
  { "simplecontacts.com", true },
  { "simplecryptoconvert.com", true },
  { "simplednscrypt.org", true },
  { "simplegoodhealth.com", true },
  { "simpleinout.com", true },
  { "simpleinvoices.io", true },
  { "simpleit.services", true },
  { "simplelinux.tk", true },
  { "simplemining.net", true },
  { "simpleprojects.net", true },
  { "simplertrading.com", true },
  { "simpleshirts.us", true },
  { "simpletax.ca", true },
  { "simplewire.de", true },
  { "simplia.cz", true },
  { "simplicitypvp.net", true },
  { "simplidesigns.nl", true },
  { "simplifyengineering.co.uk", true },
  { "simplifylivelove.com", true },
  { "simplixos.org", true },
  { "simplosoft.co.uk", true },
  { "simply.scot", true },
  { "simplycateringequipment.co.uk", true },
  { "simplycharlottemason.com", true },
  { "simplyfixit.co.uk", true },
  { "simplyhelen.de", true },
  { "simplyml.com", true },
  { "simplymozzo.se", true },
  { "simplyowners.net", true },
  { "simplyregister.net", true },
  { "simplysmartgardening.com", true },
  { "simplytiles.com", true },
  { "simpte.com", true },
  { "simrail.nl", true },
  { "simsimi.ml", true },
  { "simsnieuws.nl", true },
  { "simulfund.com", true },
  { "simulise.com", true },
  { "simulping.com", true },
  { "simyayayinlari.com", true },
  { "sin-el-fil.com", true },
  { "sin.swiss", false },
  { "sinalizeweb.com.br", false },
  { "sinanaydemir.com.tr", true },
  { "sinaryuda.web.id", true },
  { "sinavyo.ml", true },
  { "sincemydivorce.com", true },
  { "sinclairinat0r.com", true },
  { "sincordones.net", true },
  { "sindarina.com", true },
  { "sindarina.eu", true },
  { "sindarina.net", true },
  { "sinde.ru", true },
  { "sindicatoburgos.org", true },
  { "sindlerova.com", true },
  { "sindlerova.cz", true },
  { "sindominio.net", true },
  { "sinergy.ch", false },
  { "sinews.tk", true },
  { "sinfonietta-meridiana.de", true },
  { "sinfully.gq", true },
  { "sinfulthrills.co.uk", true },
  { "singapurfirma.com", true },
  { "singel.ch", true },
  { "singer.ru", true },
  { "singhpackersmovers.com", true },
  { "single-in-stuttgart.de", true },
  { "singleproduction.com", true },
  { "singles-aus-hamburg.de", true },
  { "singles-berlin.de", true },
  { "singleuse.link", true },
  { "singlu10.org", false },
  { "sinhnhatbaby.com", true },
  { "sinluzvenezuela.tk", true },
  { "sinmik.com", true },
  { "sinnersprojects.ro", true },
  { "sinog.si", true },
  { "sinomod.com", true },
  { "sinonimos.com.br", true },
  { "sinonimosonline.com", true },
  { "sinonimosonline.com.br", true },
  { "sinquin.eu", true },
  { "sinronet.com", true },
  { "sint-joris.nl", true },
  { "sintaxis.org", true },
  { "sinterama.biz", true },
  { "sinuelovirtual.com.br", true },
  { "sinusitis-bronchitis.ch", true },
  { "sioeckes.hu", true },
  { "siogyumolcs.hu", true },
  { "sion-colony.tk", true },
  { "sion.info", true },
  { "sipa.nc", true },
  { "sipa.pf", true },
  { "sipc.org", true },
  { "sipstix.co.za", true },
  { "sirandorung.tk", true },
  { "siraweb.org", true },
  { "sirbouncealotcastles.co.uk", true },
  { "sirbouncelot.co.uk", true },
  { "sirchuk.net", true },
  { "sircon.no", true },
  { "sirena.co.jp", true },
  { "sirencallofficial.com", true },
  { "sirenslove.com", true },
  { "sirg.fr", true },
  { "sirihouse.com", true },
  { "siriuspup.com", true },
  { "sirtaptap.com", true },
  { "sirtuins.com", true },
  { "sirvoy.ca", true },
  { "sirvoy.co.nz", true },
  { "sirvoy.co.uk", true },
  { "sirvoy.co.za", true },
  { "sirvoy.com", true },
  { "sirvoy.com.au", true },
  { "sirvoy.de", true },
  { "sirvoy.dk", true },
  { "sirvoy.es", true },
  { "sirvoy.fi", true },
  { "sirvoy.fr", true },
  { "sirvoy.ie", true },
  { "sirvoy.jp", true },
  { "sirvoy.nl", true },
  { "sirvoy.no", true },
  { "sirvoy.se", true },
  { "sis.net.sa", true },
  { "siscompt.com", true },
  { "siselectrom.com", true },
  { "sisirbatu.tk", true },
  { "sismit.com", true },
  { "sismit.es", true },
  { "sissden.eu", true },
  { "sisseastumine.ee", true },
  { "sistel.es", true },
  { "sistem-maklumat.com", true },
  { "sistem-maklumat.com.my", true },
  { "sistemy48.ru", false },
  { "sistimiki-anaparastasi.gr", true },
  { "sistov.it", true },
  { "sisu.ai", true },
  { "sisv.eu", true },
  { "sisver.host", true },
  { "sit-brn.ru", true },
  { "sit.ec", true },
  { "sit.moe", true },
  { "sitahk.org", true },
  { "sitak.fi", true },
  { "sitanleta.de", true },
  { "sitatravel.gr", true },
  { "sitc.sk", true },
  { "site-helper.com", true },
  { "site-ua.tk", true },
  { "site2002.tk", true },
  { "sitebuilderreport.com", true },
  { "sitecentre.com.au", true },
  { "sitedebelezaemoda.com.br", true },
  { "sitedrive.fi", true },
  { "sitefactory.com.br", true },
  { "sitehoster.org", true },
  { "sitekatalog.tk", true },
  { "sitelmexico.com", true },
  { "sitemai.eu", true },
  { "sitempro.com.mx", true },
  { "sitenv.org", true },
  { "siterencontre.me", true },
  { "sites.google.com", true },
  { "sitesdesign.tk", true },
  { "sitesko.de", true },
  { "sitevandaag.nl", true },
  { "siteweb-seo.fr", true },
  { "sithijaya.tk", true },
  { "sitischu.com", true },
  { "sitiweb.nl", true },
  { "sito-online.ch", true },
  { "sittogether.club", true },
  { "sittogether.tw", true },
  { "siulam-wingchun.org", true },
  { "siusto.com", true },
  { "sivale.mx", true },
  { "sivers.org", true },
  { "sivyerge.com", true },
  { "siw64.com", true },
  { "six-o-one.com", true },
  { "sixcolors.lu", true },
  { "sixnines.net", true },
  { "sj-leisure.com", true },
  { "sjaakgilsingfashion.nl", true },
  { "sjamaan.nl", false },
  { "sjbwoodstock.org", true },
  { "sjd.is", false },
  { "sjdaws.com", true },
  { "sjenkins.net", true },
  { "sjleisure.co.uk", true },
  { "sjnp.org", true },
  { "sjoorm.com", true },
  { "sjorsvanweert.nl", true },
  { "sjrcommercialfinance.co.uk", true },
  { "sjttt.com", true },
  { "sjwheel.net", true },
  { "sjyachting.com", true },
  { "sk.tl", true },
  { "sk33t.cf", true },
  { "sk33t.ga", true },
  { "sk33t.gq", true },
  { "sk33t.ml", true },
  { "sk33t.tk", true },
  { "skagen-feriebolig.dk", true },
  { "skaginn.tv", true },
  { "skaiman.ga", true },
  { "skalar.sk", true },
  { "skalec.org", true },
  { "skalis-portage.com", true },
  { "skatclub-beratzhausen.de", true },
  { "skateaustria.at", true },
  { "skatesins.ch", true },
  { "skatingchina.com", true },
  { "skatn.de", true },
  { "skazka.ml", true },
  { "skazka.ru", true },
  { "skday.com", true },
  { "skedda.com", true },
  { "skedr.io", false },
  { "skeeley.com", true },
  { "skei.org", true },
  { "skelleypiano.com", true },
  { "skepticalsports.com", true },
  { "skeriv.com", true },
  { "sketch.jpn.com", true },
  { "sketchbox.tk", true },
  { "skgzberichtenbox.nl", true },
  { "skhaz.io", true },
  { "skhire.co.uk", true },
  { "skhoop.cz", true },
  { "skiblandford.com", true },
  { "skid.church", true },
  { "skiddle.com", true },
  { "skifairview.com", true },
  { "skifttiljutlanderbank.dk", true },
  { "skigebied.nl", true },
  { "skigebiete-test.de", true },
  { "skiingnewsletter.cf", true },
  { "skiinstructor.services", true },
  { "skiley.net", true },
  { "skill.moe", true },
  { "skillmoe.at", true },
  { "skilloutlook.com", true },
  { "skills2services.com", true },
  { "skillside.net", true },
  { "skin-cosmetic.eu", true },
  { "skincare-note.com", true },
  { "skincareagent.cf", true },
  { "sking.io", true },
  { "skinmodo.com", true },
  { "skinseries.cf", true },
  { "skinstyleglobal.com", true },
  { "skipbounce.com", true },
  { "skipfault.com", true },
  { "skippy.dog", true },
  { "skirts.tk", true },
  { "skischule-wildewiese.de", true },
  { "skizzen-zeichnungen.de", true },
  { "skjt.co.jp", true },
  { "skk.moe", true },
  { "sklep-majster.pl", true },
  { "sklepvoip.tel", true },
  { "sklotechnik.cz", true },
  { "sknclinics.co.uk", true },
  { "skol.bzh", true },
  { "skolagatt.is", true },
  { "skolakrizik.cz", true },
  { "skolappar.nu", true },
  { "skolebil.dk", true },
  { "skolem.de", true },
  { "skolnilogin.cz", true },
  { "skooks.fr", false },
  { "skoolergraph.azurewebsites.net", true },
  { "skorepova.info", true },
  { "skorovsud.ru", true },
  { "skorpil.cz", true },
  { "skortekaas.nl", false },
  { "skory.us", true },
  { "skpk.de", true },
  { "skpracta.info", true },
  { "skpracta.tk", true },
  { "skram.de", true },
  { "skremovals.co.uk", true },
  { "sktan.com", true },
  { "sktorrent.org", true },
  { "sku-partei.de", true },
  { "skuizy.ddns.net", true },
  { "skulblaka.ch", true },
  { "skulblaka.cloud", true },
  { "skuldwyrm.no", true },
  { "skullnet.co.uk", true },
  { "skutry-levne.cz", true },
  { "skutry.cz", true },
  { "skux.ch", true },
  { "skwile-cafe.com", true },
  { "skwitko.com", true },
  { "skwlkrs.com", true },
  { "skxpl.eu.org", true },
  { "sky-coach.com", true },
  { "sky-coach.nl", true },
  { "sky-live.fr", true },
  { "sky-torch.com", true },
  { "skyanchor.com", false },
  { "skyartsfake.com", true },
  { "skyautorental.com", true },
  { "skybloom.com", true },
  { "skyblue.co.jp", true },
  { "skycmd.net", true },
  { "skyderby.ru", true },
  { "skydiverapp.com", true },
  { "skydiverecuador.com", true },
  { "skydragoness.com", true },
  { "skydrive.live.com", false },
  { "skyem.co.uk", false },
  { "skyfone.cz", true },
  { "skyger.cz", true },
  { "skylarker.org", true },
  { "skylgenet.nl", true },
  { "skylightcreative.com.au", true },
  { "skylinertech.com", true },
  { "skylineservers.com", true },
  { "skyloisirs.ch", false },
  { "skyn3t.in", true },
  { "skynet-research.us", true },
  { "skynet233.ch", false },
  { "skynet800.goip.de", true },
  { "skynetnetwork.eu.org", true },
  { "skynetstores.ae", true },
  { "skyntalent.com", true },
  { "skyoy.com", true },
  { "skype.com", true },
  { "skypech.com", true },
  { "skypefr.com", true },
  { "skyportcloud.com", true },
  { "skyquid.co.uk", true },
  { "skyros.us", true },
  { "skys-entertainment.com", true },
  { "skyscanner.com", true },
  { "skyscanner.gg", true },
  { "skyscanner.net", true },
  { "skyscanner.pt", true },
  { "skyscanner.ru", true },
  { "skyscapecanopies.com", true },
  { "skyscnr.com", true },
  { "skysoftbg.com", true },
  { "skytec.host", true },
  { "skywalkers.net", true },
  { "skywt.cn", true },
  { "skyynet.de", true },
  { "skyzimba.com.br", true },
  { "sl-bildermacher.de", true },
  { "slab.com", false },
  { "slack-files.com", true },
  { "slack.com", true },
  { "sladic.si", false },
  { "slainvet.net", true },
  { "slamdjapan.com", true },
  { "slamix.nl", true },
  { "slangbellor.com", true },
  { "slanterns.net", true },
  { "slapen17.nl", true },
  { "slash32.co.uk", true },
  { "slashcam.de", true },
  { "slashcrypto.org", true },
  { "slate.to", true },
  { "slatemc.com", true },
  { "slaughter.com", true },
  { "slaughterhouse.fr", true },
  { "slavasoloviev.com", true },
  { "slavasveta.info", true },
  { "sld08.com", true },
  { "sldlcdn.com", true },
  { "sleep-go.info", true },
  { "sleepawaycampseries.tk", true },
  { "sleepet.tw", true },
  { "sleeplessbeastie.eu", true },
  { "sleepmap.de", true },
  { "sleeps.jp", true },
  { "sleepstar.co.uk", true },
  { "sleepstar.com.mt", true },
  { "sleepstar.de", true },
  { "sleepstar.fr", true },
  { "sleestak.net", true },
  { "sleio.com", true },
  { "slepsluzbabeograd.org", true },
  { "sletat.ru", true },
  { "slevermann.de", true },
  { "slevomat.cz", true },
  { "slicklines.co.uk", true },
  { "slidebatch.com", true },
  { "slim-planet.com", true },
  { "slim-slender.com", true },
  { "slimspots.com", true },
  { "slink.hr", true },
  { "slipknot-site.tk", true },
  { "sliptrickrecords.com", true },
  { "slite.com", true },
  { "slneighbors.org", true },
  { "slo-net.net", true },
  { "slo-tech.com", true },
  { "sloancom.com", true },
  { "sloanestreetdeli.com", true },
  { "sloanrealtygroup.com", true },
  { "slobrowink.com", true },
  { "slogan.tk", true },
  { "sloneczni.pl", true },
  { "slonep.net", true },
  { "slopeedge.com", true },
  { "slopeedge.net", true },
  { "slotarazzi.com", true },
  { "slotcar.com", false },
  { "slotfara.com", true },
  { "slotfara.net", true },
  { "slothless.com", true },
  { "sloths.org", true },
  { "slotlist.info", true },
  { "slotmad.com", true },
  { "slovenskycestovatel.sk", true },
  { "slow.social", true },
  { "slow.zone", false },
  { "slowb.ro", true },
  { "slowcookingperfected.com", true },
  { "slowgames.xyz", true },
  { "slownik123.pl", true },
  { "slowsocial.email", true },
  { "slowsocial.eu", true },
  { "slowsocial.net", true },
  { "slowsocial.org", true },
  { "slpm.com", true },
  { "slpower.com", true },
  { "slrpancreaticsurgery.org", true },
  { "sluciaconstruccion.com", true },
  { "sluhockey.com", true },
  { "sluimann.de", true },
  { "slunecnice.cz", true },
  { "sluo.org", true },
  { "slusham.com", true },
  { "slushpool.com", true },
  { "slutty-girls.cf", true },
  { "slvh.fr", true },
  { "slwilde.ca", true },
  { "slxh.eu", true },
  { "slxh.nl", true },
  { "slymak.com", true },
  { "slytech.ch", false },
  { "slyvon.com", true },
  { "sm-kyoushitsu.com", true },
  { "sm.link", true },
  { "sm.ms", true },
  { "sma-gift.com", true },
  { "smackhappy.com", true },
  { "smakassen.no", true },
  { "smakoszwegrzynka.pl", true },
  { "smaksbanken.no", true },
  { "smallbytedesign.co", true },
  { "smallcloudsolutions.co.za", true },
  { "smalldata.tech", true },
  { "smalle-voet.de", true },
  { "smallhadroncollider.com", true },
  { "smalltalkconsulting.com", true },
  { "smaltimento-rifiuti.com", true },
  { "smaltimento-rifiuti.org", true },
  { "smaltimento.caserta.it", true },
  { "smaltimento.milano.it", true },
  { "smaltimento.napoli.it", true },
  { "smaltimento.roma.it", true },
  { "smaltimento.salerno.it", true },
  { "smaltimentoamianto.campania.it", true },
  { "smaltimentoamianto.frosinone.it", true },
  { "smaltimentoamianto.latina.it", true },
  { "smaltimentorifiuti.firenze.it", true },
  { "smaltimentorifiuti.livorno.it", true },
  { "smaltimentorifiuti.milano.it", true },
  { "smaltimentorifiuti.napoli.it", true },
  { "smaltimentorifiuti.prato.it", true },
  { "smaltimentorifiuti.roma.it", true },
  { "smaltimentorifiuti.veneto.it", true },
  { "smamunir.is", true },
  { "smares.de", true },
  { "smarntrading.com", true },
  { "smart-informatics.com", true },
  { "smart-wohnen.net", true },
  { "smart.gov", true },
  { "smartacademy.ge", true },
  { "smartacademy.pro", true },
  { "smartairkey.com", true },
  { "smartandcom.ch", false },
  { "smartandhappychild.ro", false },
  { "smartass0027.com", true },
  { "smartcheck.gov", true },
  { "smartcleaningcenter.nl", true },
  { "smartcover.tk", true },
  { "smartcpa.ca", true },
  { "smartdb.jp", true },
  { "smartedg.io", true },
  { "smartfit.cz", true },
  { "smartftp.com", true },
  { "smartgrid.gov", true },
  { "smarthdd.com", true },
  { "smarthealthinnovationlab.com", true },
  { "smarthinking.nl", true },
  { "smarthouse.de", true },
  { "smartime.com.ar", true },
  { "smartjoin.style", true },
  { "smartleads.tk", true },
  { "smartlink.sk", true },
  { "smartlocksmith.com", true },
  { "smartlogreturns.com", true },
  { "smartlogstock.com", true },
  { "smartlogtower.com", true },
  { "smartlybuy.com", true },
  { "smartmachine.com", true },
  { "smartmeal.ru", true },
  { "smartmessages.net", true },
  { "smartminibushire.co.uk", true },
  { "smartmomsmartideas.com", true },
  { "smartmones.com", true },
  { "smartpanelsmm.com", true },
  { "smartpatika.hu", true },
  { "smartpheromones.com", true },
  { "smartphone-blog.de", true },
  { "smartphonechecker.co.uk", true },
  { "smartphones-baratos.com", true },
  { "smartphonesolution.tk", true },
  { "smartplace.ro", true },
  { "smartpolicingplatform.com", true },
  { "smartproductguide.com", true },
  { "smartpti.net", true },
  { "smartrise.us", true },
  { "smartservices.nl", true },
  { "smartshiftme.com", true },
  { "smartship.co.jp", true },
  { "smartshoppers.es", true },
  { "smartsitio.com", true },
  { "smartsparrow.com", true },
  { "smartstep.pt", true },
  { "smartthursday.hu", true },
  { "smartweb.ge", true },
  { "smartwoodczech.cz", true },
  { "smartwritingservice.com", true },
  { "smartwurk.nl", false },
  { "smatch.com", true },
  { "smb445.com", true },
  { "smcj.xyz", true },
  { "smdavis.us", true },
  { "smdcn.net", true },
  { "smdtk.com", true },
  { "sme-gmbh.net", true },
  { "smeetsengraas.com", true },
  { "smelly.cloud", true },
  { "smesitel-online.ru", true },
  { "smeso.it", true },
  { "smexpt.com", true },
  { "smh.me", true },
  { "smiatek.name", true },
  { "smiblog.tk", true },
  { "smilecon.cf", true },
  { "smilenwa.com", true },
  { "smilesatlakewood.com", true },
  { "smilessoftplay.co.uk", true },
  { "smileytechguy.com", true },
  { "smileywoodflooring.com", true },
  { "smime.io", true },
  { "smimea.info", true },
  { "smipty.cn", true },
  { "smipty.com", true },
  { "smit.com.ua", true },
  { "smith.co", false },
  { "smithandcanova.co.uk", false },
  { "smithchung.eu", true },
  { "smithf.red", true },
  { "smithsanchez.com", true },
  { "smits.frl", true },
  { "smkw.com", false },
  { "smlk.org", true },
  { "smm.im", true },
  { "smmpanelweb.com", true },
  { "smokeandmirrors.agency", true },
  { "smokefree.gov", true },
  { "smokefreerowan.org", true },
  { "smokeping.pl", true },
  { "smokeus.dk", true },
  { "smokinghunks.com", true },
  { "smoo.st", true },
  { "smoothcomp.com", true },
  { "smoothgesturesplus.com", true },
  { "smoothiecriminals.com", true },
  { "smoothtalker.com", true },
  { "smoqerhome.ddns.net", true },
  { "smrtrpck.com", true },
  { "sms-go.ru", true },
  { "sms-pro.tk", true },
  { "sms.storage", true },
  { "sms72.tk", true },
  { "smsappointment.com", true },
  { "smsbrana.cz", true },
  { "smsinger.com", true },
  { "smsk.email", true },
  { "smsk.io", true },
  { "smskmail.com", true },
  { "smsprivacy.org", true },
  { "smspujcka24.eu", true },
  { "smtenants.cn", true },
  { "smtp.in.th", true },
  { "smtparish.org", true },
  { "smuncensored.com", true },
  { "smuns.ch", true },
  { "smutek.net", true },
  { "smvcm.com", true },
  { "smx.net.br", true },
  { "sn0int.com", true },
  { "snabbare-dator.se", true },
  { "snabbit-support.nu", true },
  { "snabbit-support.se", true },
  { "snabblim.tk", true },
  { "snackbesteld.nl", true },
  { "snafu.cz", true },
  { "snakafya.com", true },
  { "snap.com", true },
  { "snapappointments.com", true },
  { "snapintegrations.net", true },
  { "snapserv.ch", true },
  { "snapserv.net", true },
  { "snargol.com", true },
  { "snatch-note.tk", true },
  { "snatch.com.ua", true },
  { "snazel.co.uk", true },
  { "sncdn.com", true },
  { "sndbouncycastles.co.uk", true },
  { "snea-kers.tk", true },
  { "sneak.berlin", true },
  { "sneakersmexs.com", true },
  { "sneakpod.de", true },
  { "sneakycode.net", true },
  { "sneakynote.com", true },
  { "sneakypaw.com", true },
  { "sneberger.cz", false },
  { "sneed.it", true },
  { "sneedit.com", true },
  { "sneedit.de", true },
  { "snegozaderzhatel.ru", true },
  { "snel4u.nl", true },
  { "snelbv.nl", true },
  { "snelshops.nl", true },
  { "snelwebshop.nl", true },
  { "snelxboxlivegold.nl", true },
  { "snerith.com", true },
  { "snfdata.com", false },
  { "sngeo.com", true },
  { "sngnews.tk", true },
  { "snh48live.org", true },
  { "sniderman.eu.org", true },
  { "sniderman.org", true },
  { "sniderman.us", true },
  { "sniep.net", true },
  { "sniffing.gq", true },
  { "snille.com", true },
  { "snipermarkettiming.com", true },
  { "snipl.io", true },
  { "snippet.host", true },
  { "snippet.wiki", false },
  { "snipr.gg", true },
  { "snizl.com", true },
  { "snj.pt", true },
  { "snl.no", true },
  { "sno-kingroofing-gutters.com", true },
  { "snoerendevelopment.nl", true },
  { "snohomishsepticservice.com", true },
  { "snoopyfacts.com", true },
  { "snoot.club", true },
  { "snopyta.org", true },
  { "snortfroken.net", true },
  { "snote.io", true },
  { "snoupon.com", true },
  { "snoutsandpaws.com", true },
  { "snow-online.com", true },
  { "snow-service.it", true },
  { "snow.dog", true },
  { "snowalerts.nl", true },
  { "snowboardforum.tk", true },
  { "snowchamps.nl", true },
  { "snowdy.dk", true },
  { "snowhaze.ch", true },
  { "snowhaze.com", true },
  { "snoworld.one", true },
  { "snowpak.com", true },
  { "snowparties.com", true },
  { "snowpaws.de", true },
  { "snowplane.net", true },
  { "snowraven.de", true },
  { "snowrippers.ro", false },
  { "snowy.land", true },
  { "snroth.de", true },
  { "snrub.co", true },
  { "snsirius.cf", true },
  { "sntravel.co.uk", true },
  { "snuff.porn", true },
  { "snuverma.com", true },
  { "snwsjz.com", true },
  { "sny.no", true },
  { "so.is-a-cpa.com", true },
  { "soakgames.com", true },
  { "soap-teco.com", true },
  { "soapitup.com.au", true },
  { "soaringdownsouth.com", true },
  { "soaringtoglory.com", true },
  { "sobakasite.tk", true },
  { "sobaya-gohei.com", true },
  { "sobczakdesign.de", true },
  { "sobeau.com", true },
  { "sobersys.com", true },
  { "sobie.ch", true },
  { "sobieray.dyndns.org", true },
  { "soblaznenie.ru", true },
  { "soblaznenie2.ru", true },
  { "sobotkama.eu", true },
  { "sobreporcentagem.com", true },
  { "soc.net", true },
  { "socal-babes.com", true },
  { "socaliente.fr", true },
  { "soccers.fr", true },
  { "socheat.net", true },
  { "sochi-sochno.ru", true },
  { "sochionline.tk", true },
  { "sociability.dk", true },
  { "social-events.net", false },
  { "social-media-strategies.it", true },
  { "social-work-colleges.com", true },
  { "socialair.tk", true },
  { "socialclimb.com", true },
  { "socialhams.net", true },
  { "socialief.com", true },
  { "socializam.com", true },
  { "socializam.ro", true },
  { "sociallyunited.net", true },
  { "socialmarketingday.nl", true },
  { "socialmedia-manager.gr", true },
  { "socialnitro.com", true },
  { "socialnous.co", true },
  { "socialrank.com", true },
  { "socialsecurity.gov", false },
  { "socialsecurityhelpcenters.com", true },
  { "socialstrata.com", true },
  { "socialsurvivalist.net", true },
  { "socialtrends.pl", true },
  { "socialz.nl", true },
  { "sociedadsostenible.tk", true },
  { "societe-chablaisienne-de-revetements.com", true },
  { "societe-chablaisienne-de-revetements.fr", true },
  { "societyhilldance.com", true },
  { "sociobiology.com", true },
  { "sociology-schools.com", true },
  { "sociopathy.org", true },
  { "sockeye.io", true },
  { "sockfetish.net", true },
  { "sockscap64.com", true },
  { "socoastal.com", true },
  { "socost.net", true },
  { "socreates.cn", true },
  { "soczu.duckdns.org", true },
  { "sodadigital.com.au", true },
  { "sodafilm.de", true },
  { "sodexam.pro", true },
  { "sodi.nl", true },
  { "sodiao.cc", true },
  { "sodo.top", true },
  { "sodomojo.com", true },
  { "soe-server.com", true },
  { "sofa-rockers.org", true },
  { "sofabedshop.de", true },
  { "sofaclean.co.uk", true },
  { "sofacleanerslondon.co.uk", true },
  { "soffit.com", true },
  { "sofgen.com", true },
  { "sofiadaoutza.gr", true },
  { "sofiaestado.com", true },
  { "sofialobocera.com", true },
  { "sofiavanmoorsel.com", true },
  { "sofiawestergren.com", true },
  { "sofiesteinfeld.de", true },
  { "sofoco.us", true },
  { "sofortimplantate-muenchen.de", true },
  { "soft41.ru", true },
  { "softandbouncy.co.uk", true },
  { "softanka.com", true },
  { "softbit.pt", true },
  { "softblinds.co.uk", true },
  { "softchin.ir", true },
  { "softcreatr.com", true },
  { "softcreatr.de", false },
  { "softfay.com", true },
  { "softlan.com.py", true },
  { "softly.sk", true },
  { "softonic.com", true },
  { "softonic.jp", true },
  { "softonic.pl", true },
  { "softplay4hire.co.uk", true },
  { "softplaynation.co.uk", true },
  { "softprayog.in", true },
  { "softskills.tech", true },
  { "softtennis-zenei.com", true },
  { "softw.net", true },
  { "software-search.com", true },
  { "softwarecloud.ml", true },
  { "softwaredesign.foundation", false },
  { "softwarepara.net", true },
  { "softwaresecurityandradefernando.be", true },
  { "softwarevoortherapeuten.nl", true },
  { "softwaylancing.com", true },
  { "softweb-dev.de", true },
  { "softwerk-edv.de", true },
  { "softwing.de", true },
  { "softwsabri.be", true },
  { "sogola.com", true },
  { "sogravatas.com.br", true },
  { "sogutma.com.tr", true },
  { "sohamroy.me", true },
  { "sointelcom.com.co", true },
  { "sojournindica.com", true },
  { "sojournsaffairs.com", true },
  { "sokaissues.info", true },
  { "sokak-sanati.tk", true },
  { "soket.ee", true },
  { "sokietech.com", true },
  { "sokkenhoek.nl", true },
  { "soko.nl", true },
  { "sokolkarvina.cz", true },
  { "sokouchousa.net", true },
  { "sol-3.de", false },
  { "sol-computers.es", true },
  { "sol24.net", true },
  { "solacyre.ch", false },
  { "solar-aydinlatma.com", true },
  { "solar-ec.com", true },
  { "solar-floodlight.ca", true },
  { "solar-systems.ca", true },
  { "solar-window.ca", true },
  { "solarfever.ga", true },
  { "solarloon.com", true },
  { "solarplan-berlin.de", true },
  { "solarstrom.net", true },
  { "soldarizona.ga", true },
  { "solden.be", true },
  { "soldesduck.be", true },
  { "soldesduck.ch", true },
  { "soldierangels.tk", true },
  { "soldout-app.com", false },
  { "sole-erdwaermetauscher.de", true },
  { "soledadpenades.com", true },
  { "soleil.space", true },
  { "solemare-hotel.it", true },
  { "solentbasketball.co.uk", true },
  { "solentbubblesandbounce.co.uk", true },
  { "solepurposetest.com", true },
  { "soleria.eu", true },
  { "soleus.nu", false },
  { "solfegiator.ch", false },
  { "soli.cafe", true },
  { "solicafe.at", true },
  { "solidarita-kosovo.net", true },
  { "solidnetwork.org", true },
  { "solidrop.net", true },
  { "solidshield.com", true },
  { "solidsteel.tk", true },
  { "solihullcarnival.co.uk", true },
  { "solihullinflatables.com", true },
  { "solihulllionsclub.org.uk", true },
  { "solihullpcrepairs.co.uk", true },
  { "solipym.net", true },
  { "solit.systems", true },
  { "solitairenetwork.com", true },
  { "solitaryride.com", true },
  { "solmek.co.uk", true },
  { "sologoc.com", true },
  { "sologstrand.com", true },
  { "sologstrand.dk", true },
  { "sologstrand.nl", true },
  { "sologstrand.no", true },
  { "sologstrand.se", true },
  { "soloinfo.it", true },
  { "solomisael.com", true },
  { "solomonsklash.io", true },
  { "solonotizie24.it", true },
  { "soloparati.cf", true },
  { "solos.im", true },
  { "solsocog.de", true },
  { "solucionespicadelly.com", true },
  { "solucionupsperu.com", true },
  { "solulan.com", true },
  { "solutions-marquagedelignes.com", true },
  { "solutiontestbank.com", true },
  { "solvation.de", true },
  { "solved.tips", true },
  { "solvemethod.com", true },
  { "solvewebmedia.com", true },
  { "solvingproblems.com.au", true },
  { "solvops.com", true },
  { "solxsys.com", true },
  { "solyplaya.info", true },
  { "soma.com.au", true },
  { "somaini.li", true },
  { "somali-derp.com", true },
  { "somaliagenda.com", true },
  { "somaliaonline.com", true },
  { "somanao.com", true },
  { "sombemerchant.com", true },
  { "somecrazy.com", true },
  { "somefe.pt", true },
  { "somehsara.tk", true },
  { "someog.com", true },
  { "somersetscr.nhs.uk", true },
  { "somethingsketchy.net", true },
  { "somethingsomething.work", true },
  { "soml.best", true },
  { "sommefeldt.com", true },
  { "sommeilsante.com", true },
  { "sommerhusudlejning.com", true },
  { "somnomedics.eu", true },
  { "somogyivar.hu", true },
  { "somosbrujas.com", true },
  { "somoshuemul.cl", true },
  { "sompani.com", true },
  { "somuchbetterwithage.com", true },
  { "somweyr.de", true },
  { "son-onlajn.tk", true },
  { "son-tolkovatel.gq", true },
  { "sona-gaming.com", true },
  { "sonacupalova.cz", true },
  { "sonaraamat.com", true },
  { "sonarqube.com", false },
  { "sonate.jetzt", true },
  { "sonavankova.cz", true },
  { "sondebase.com", true },
  { "sonderfloral.com", true },
  { "sondergaard.de", true },
  { "sonderkomission.ch", true },
  { "sondersobk.dk", true },
  { "songdew.com", true },
  { "songesdeplumes.fr", true },
  { "songshuzuoxi.com", true },
  { "songsmp3.com", true },
  { "songsmp3.cool", true },
  { "songsmp3.online", true },
  { "songsterr.com", true },
  { "songtianyi.com", true },
  { "songun.ml", true },
  { "songyang.cn", true },
  { "songzhuolun.com", true },
  { "sonia.ai", true },
  { "sonia.com", true },
  { "sonia.com.au", true },
  { "soniaai.com", true },
  { "soniaferrer.tk", true },
  { "sonic.studio", true },
  { "sonicdoe.com", true },
  { "sonicrainboom.rocks", true },
  { "sonicseo.co.uk", true },
  { "sonictonic.cloud", true },
  { "sonix.dk", true },
  { "sonixonline.com", true },
  { "sonnenta.de", true },
  { "sonneundstrand.de", true },
  { "sonodrom.tk", true },
  { "sonoecoracao.com.br", true },
  { "sonofsunart.com", true },
  { "sonomacountywriterscamp.com", true },
  { "sony-psvita.ru", true },
  { "sonyunlock.nu", true },
  { "soohealthy.nl", true },
  { "soomee.be", true },
  { "soomee1.be", true },
  { "soontm.de", true },
  { "soontm.net", true },
  { "soopure.nl", true },
  { "soora.jp", true },
  { "sooscreekdental.com", true },
  { "soph.jp", true },
  { "sophiaandmatt.co.uk", true },
  { "sophiahatstudio.com", true },
  { "sophiakligys.com", true },
  { "sophiebbeauty.co.uk", true },
  { "sopo.me", true },
  { "soprabalao.com.br", true },
  { "soptq.me", false },
  { "sor.so", true },
  { "soraharu.com", true },
  { "sorakumo.jp", true },
  { "sorcix.com", true },
  { "sorenstudios.com", true },
  { "sorever.online", true },
  { "sorincocorada.ro", true },
  { "sormeyli.com", true },
  { "sorrowfulunfounded.com", true },
  { "sort.land", true },
  { "sortesim.com.br", true },
  { "soruly.moe", true },
  { "sorz.org", true },
  { "sos-elettricista.it", true },
  { "sos-fabbro.it", true },
  { "sos-falegname.it", true },
  { "sos-idraulico.it", true },
  { "sos-muratore.it", true },
  { "sos.vg", true },
  { "sos.yt", true },
  { "sosko.in.rs", true },
  { "soslsd.org", true },
  { "sosoftplay.co.uk", true },
  { "sospeed.net", true },
  { "sostacancun.com", true },
  { "sosteam.jp", true },
  { "sosteric.si", true },
  { "sot.blue", true },
  { "sot.red", true },
  { "sotar.us", true },
  { "sotayhoctap.com", true },
  { "sotaytienganh.com", true },
  { "soterdev.com", true },
  { "sotoasobi.net", true },
  { "sottilealimentos.com.br", true },
  { "soufastnet.com.br", true },
  { "souked.com", true },
  { "souki.cz", true },
  { "soukodou.jp", true },
  { "soul-source.co.uk", true },
  { "soulcasa.com.br", true },
  { "souletter.com", true },
  { "souleymanecamara.com", true },
  { "soulike.tech", true },
  { "soulmate.dating", true },
  { "soulmating.de", true },
  { "soulogic.com", true },
  { "soulshinecreators.com", true },
  { "soumikghosh.com", true },
  { "soumya.xyz", true },
  { "soumya92.me", true },
  { "sounavholidays.com", true },
  { "sound.as", true },
  { "soundabout.nl", true },
  { "soundclick.com", true },
  { "soundeo.com", true },
  { "soundeo.net", true },
  { "soundforsound.co.uk", true },
  { "soundgasm.net", true },
  { "soundprotectionllc.com", true },
  { "sounds-familiar.info", true },
  { "soundscrate.com", true },
  { "soundtruckandautorepair.com", true },
  { "soundtube.tk", true },
  { "soundviz.fr", true },
  { "soungui.cm", true },
  { "soungui.com", true },
  { "soungui.net", true },
  { "soupbuahtaza.id", true },
  { "soupcafe.org", true },
  { "sour.is", true },
  { "sourcebox.be", true },
  { "sourcecode.tw", true },
  { "sourceway.de", true },
  { "sourcitec.com", false },
  { "sourdough.vc", true },
  { "souris.ch", false },
  { "sous-surveillance.net", false },
  { "souspind.com.br", true },
  { "southafrican.dating", true },
  { "southambouncycastle.co.uk", true },
  { "southamerican.dating", true },
  { "southbankregister.com.au", true },
  { "southbendflooring.com", true },
  { "southcountyplumbing.com", true },
  { "southdakotahealthnetwork.com", true },
  { "southeastradiology.com", true },
  { "southeastvalleyurology.com", true },
  { "southernlights.xyz", true },
  { "southernmost.us", true },
  { "southernsurgicalga.com", true },
  { "southernutahinfluencers.com", true },
  { "southflanewsletter.com", true },
  { "southlakenissanparts.com", true },
  { "southlandurology.com", true },
  { "southmill.com", true },
  { "southmorangtownhouses.com.au", true },
  { "southpointcollision.com", true },
  { "southside-crew.com", true },
  { "southside-digital.co.uk", true },
  { "southside-tuning-day.de", true },
  { "southsideshowdown.com", true },
  { "southwestrda.org.uk", true },
  { "souzanabellydance.com", true },
  { "sovendus.com", true },
  { "sovendus.de", true },
  { "soverin.net", false },
  { "sowlutions.com", true },
  { "soybase.org", true },
  { "soydemac.com", true },
  { "soyfanonline.com", true },
  { "soyladani.com", true },
  { "soyvigilante.com", true },
  { "sozai-good.com", true },
  { "sozialstation-ritterhude.de", true },
  { "sozialy.com", true },
  { "sozon.ca", true },
  { "sp-sites.com.au", true },
  { "sp.com.pl", true },
  { "sp8ce.co", true },
  { "space-inc.co.jp", true },
  { "space-it.de", true },
  { "spaceanimalnutrition.com", true },
  { "spaceapi.io", true },
  { "spacebaseapp.com", true },
  { "spacebear.ee", true },
  { "spacebestnews.tk", true },
  { "spacecaps.xyz", true },
  { "spacedots.net", true },
  { "spacehighway.ms", true },
  { "spacehighways.net", true },
  { "spacehost.de", true },
  { "spacestation13.com", true },
  { "spaceunique.de", true },
  { "spaceunique.eu", true },
  { "spacinov.com", true },
  { "spacivox.com", true },
  { "spackova.cz", true },
  { "spaconnection.com", true },
  { "spaenny.tf", true },
  { "spaghettiphreakers.tk", true },
  { "spaghettiwesterns.tk", true },
  { "spahireleeds.co.uk", true },
  { "spaid.xyz", false },
  { "spakurort.eu", true },
  { "spaldingwall.com", true },
  { "spalnobelyo.com", true },
  { "spamdrain.com", true },
  { "spamloco.net", true },
  { "spamwc.de", true },
  { "spanier.es", true },
  { "spanishfox.com", true },
  { "spanjeflydrive.nl", true },
  { "spanner.works", true },
  { "spanyolul.hu", true },
  { "sparanoid.com", true },
  { "sparanoidstatus.com", true },
  { "sparkar.com", true },
  { "sparkasse.de", true },
  { "sparkforautism.org", true },
  { "sparklebastard.com", true },
  { "sparklesdelivery.com", true },
  { "sparklesvt.com", true },
  { "sparklingessentials.ga", true },
  { "sparklingloungecampiglio.it", true },
  { "sparkstack.co", true },
  { "sparmedo.de", true },
  { "sparta-en.org", true },
  { "spartacuslife.com", true },
  { "spartaermelo.nl", true },
  { "spartancoin.ooo", true },
  { "spartatowing.com", true },
  { "sparumzuege.de", true },
  { "spasicilia.it", true },
  { "spaysy.com", true },
  { "spaziobenedetti.com.br", true },
  { "spaziopervoi.com.br", true },
  { "spazturtle.co.uk", true },
  { "spazzacamino.roma.it", true },
  { "spbet99.com", true },
  { "spboot.net", true },
  { "spd-porta-westfalica.eu", true },
  { "spdepartamentos.com.br", true },
  { "spdf.net", true },
  { "spdillini.com", true },
  { "spe.org.co", true },
  { "speak-polish.com", true },
  { "speakersbusiness.com", true },
  { "spearfishingmx.com", true },
  { "specdrones.us", true },
  { "speciale.cf", true },
  { "specialproperties.com", true },
  { "specialtyalloys.ca", true },
  { "speciesism.com", true },
  { "spectrum-markets.com", true },
  { "spectrum.gov", true },
  { "spectrumelectrical-brisbane.com.au", true },
  { "spediscifiori.com", true },
  { "speech-balloon.com", true },
  { "speechdrop.net", true },
  { "speechmate.com", true },
  { "speechmore.ml", true },
  { "speechndraw.com", false },
  { "speeddate.it", false },
  { "speeder.best", true },
  { "speeder.im", true },
  { "speederss.best", true },
  { "speedof.me", true },
  { "speedracer.ca", true },
  { "speedsportofhull.co.uk", true },
  { "speedtailors.com", true },
  { "speedtemplate.de", true },
  { "speedtest-russia.com", true },
  { "speedwaybusinesspark.com", true },
  { "speedwp.ch", true },
  { "speedychat.it", true },
  { "speedyjanes.com", true },
  { "speeltoneel.nl", true },
  { "speerpunt.info", true },
  { "speets.ca", true },
  { "speich.net", true },
  { "speights-law.com", true },
  { "spek.tech", true },
  { "speletrodomesticos.com.br", true },
  { "spellcheck24.net", true },
  { "spellcheckci.com", true },
  { "spellchecker.net", true },
  { "spellic.com", true },
  { "speme-design.com", true },
  { "spenglerei-shop.de", true },
  { "spenny.tf", true },
  { "sperandii.it", true },
  { "spero.solutions", true },
  { "sperrstun.de", true },
  { "spesys-services.fr", true },
  { "speventos.es", true },
  { "spewingmews.moe", true },
  { "spha.info", true },
  { "sphacks.io", true },
  { "sphardy.com", true },
  { "sphere-realty.com", true },
  { "sphericalvision.cz", true },
  { "sphido.org", false },
  { "spicejungle.com", true },
  { "spicemoney.com", true },
  { "spicydog.org", true },
  { "spicymatch.com", true },
  { "spidercrabs.tk", true },
  { "spideroak.com", true },
  { "spiders.org.ua", true },
  { "spielezar.ch", true },
  { "spielland.ch", true },
  { "spielmit.com", true },
  { "spieltexte.de", true },
  { "spiet.nl", true },
  { "spiff.eu", true },
  { "spiga.ch", false },
  { "spikar.gr", true },
  { "spikejeon.tk", true },
  { "spikelands.com", true },
  { "spilka-dyplomativ.tk", true },
  { "spillforum.no", true },
  { "spillmaker.no", false },
  { "spilnu.dk", true },
  { "spinalien.net", false },
  { "spingenie.com", true },
  { "spins.fedoraproject.org", true },
  { "spinspin.wtf", true },
  { "spira.kiev.ua", true },
  { "spirella-shop.ch", true },
  { "spirit-hunters-germany.de", false },
  { "spirit55555.dk", true },
  { "spiritous.cf", true },
  { "spiritual.dating", true },
  { "spiritualife.net", true },
  { "spiritualites.ch", true },
  { "spiritualityrise.com", true },
  { "spiroduct.gr", true },
  { "spisbilligt.dk", true },
  { "spitfiredialers.com", true },
  { "spittank.info", true },
  { "spittersberger.recipes", true },
  { "splarty.net", true },
  { "splendidspoon.com", true },
  { "splendorservizi.it", true },
  { "splikity.com", true },
  { "splintermail.com", true },
  { "splitdna.com", true },
  { "splitreflection.com", true },
  { "splnk.net", true },
  { "sploch.com", true },
  { "splopp.com", true },
  { "splunk.net", true },
  { "spmax.design", true },
  { "spmax.top", true },
  { "spnitalianfestival.com", true },
  { "spodelime.com", true },
  { "spofia.nu", true },
  { "spokaneexteriors.com", true },
  { "spokanepolebuildings.com", true },
  { "spokeo.com", true },
  { "spokesly.com", true },
  { "spoluck.ca", true },
  { "spolwind.de", true },
  { "spom.net", true },
  { "sponc.de", true },
  { "spongepowered.org", true },
  { "spontex.org", true },
  { "spoofhaus.com", true },
  { "spookbook.net", true },
  { "spookquest.com", true },
  { "spoopy.link", true },
  { "spoorcam.nl", true },
  { "sporemasters.com", true },
  { "sporki.fun", true },
  { "spornkuller.de", true },
  { "sport-decouverte.com", true },
  { "sport-in-sundern.de", true },
  { "sport-potreby.cz", true },
  { "sport-potreby.sk", true },
  { "sport-socken.net", true },
  { "sportabee.com", false },
  { "sportbetuwe.nl", false },
  { "sportboot.mobi", true },
  { "sportchirp.com", true },
  { "sporter.com", true },
  { "sportingpontenova.es", true },
  { "sportmundschutz-info.de", true },
  { "sportnesia.com", true },
  { "sportovnidum.cz", true },
  { "sportpal.net", true },
  { "sportparks.com", true },
  { "sportparks.org", true },
  { "sports-colleges.com", true },
  { "sports-online.cf", true },
  { "sports-sites.ml", true },
  { "sports.dating", true },
  { "sportsdrobe.com", true },
  { "sportsjaw.com", true },
  { "sportsmansblog.com", true },
  { "sportstreetstyle.com", true },
  { "sportswear.by", true },
  { "sportticino.ch", true },
  { "sporttomorrow.com", true },
  { "sporttown.it", true },
  { "sportugalia.ru", true },
  { "sportvereine.online", true },
  { "sportxt.ru", true },
  { "spot-lumiere-led.com", true },
  { "spot.su", true },
  { "spot9.com", true },
  { "spotfake.news", true },
  { "spotlabs.uk", true },
  { "spotrebitelskecentrum.sk", true },
  { "spotsee.io", true },
  { "spotswoodvet.com", true },
  { "spottedpenguin.co.uk", true },
  { "spotty.tech", true },
  { "spotupload.com", true },
  { "spotworld.co", true },
  { "spotypal.com", true },
  { "sppin.fr", true },
  { "sprachenlernen24.org", true },
  { "sprachfreudehoch3.de", true },
  { "sprax2013.de", true },
  { "spreadsheetgear.com", true },
  { "spreadsheets.google.com", true },
  { "spreed.me", true },
  { "spreenauto.com", true },
  { "spricknet.de", true },
  { "springboardsandmore.com", true },
  { "springerundpartner.de", true },
  { "springfield-ohio-post.com", true },
  { "springhillmaine.com", true },
  { "springhow.com", true },
  { "springtxcarpetcleaning.com", true },
  { "sprintkitchen.com", true },
  { "spritmonitor.de", true },
  { "spritsail.io", true },
  { "spron.in", true },
  { "sprossenwand.de", true },
  { "sproutways.com", true },
  { "sprucecreekclubs.com", true },
  { "sprucecreekgcc.com", true },
  { "spruijtparket.nl", true },
  { "sps-lehrgang.de", true },
  { "spsidahoinc.com", true },
  { "spslawoffice.com", true },
  { "spsnewengland.org", true },
  { "spstaticfiles.com", true },
  { "spt.re", true },
  { "spteam.net", true },
  { "sptk.org", true },
  { "spuffin.com", true },
  { "spufpowered.com", true },
  { "spur.com.br", true },
  { "spurghi.roma.it", true },
  { "spydar007.com", true },
  { "spydar007.net", true },
  { "spydar007.wiki", true },
  { "spydersec.com", true },
  { "spyfone.com", true },
  { "spyprofit.ru", true },
  { "sqap.pt", true },
  { "sqclick.com", true },
  { "sqdll.com", true },
  { "sqills.com", true },
  { "sql-und-xml.de", true },
  { "sql.bi", true },
  { "sqlapius.net", true },
  { "sqlbi.com", true },
  { "sqlfeatures.com", false },
  { "sqlwrapper.com", true },
  { "sqprod.co", true },
  { "sqr-training.com", true },
  { "sqreemtech.com", true },
  { "sqroot.eu", true },
  { "sqsd.xyz", true },
  { "squadlinx.com", true },
  { "squadronprotectiveservices.net", true },
  { "square-gaming.org", true },
  { "square-src.de", false },
  { "square.com", true },
  { "square.com.mx", true },
  { "square.engineering", true },
  { "square.it", true },
  { "square.ly", true },
  { "square.mx", true },
  { "square.site", true },
  { "squarefootllcconstruction.com", true },
  { "squareforums.com", true },
  { "squaregift.com", true },
  { "squaregift.net", true },
  { "squaregift.org", true },
  { "squareinstallments.com", true },
  { "squareinvite.com", true },
  { "squareinvoices.com", true },
  { "squaremktg.com", true },
  { "squaremktgstaging.com", true },
  { "squareoffer.com", true },
  { "squareregister.com", true },
  { "squaresolutions.com", true },
  { "squarestagingexternal.com", true },
  { "squareup.com", true },
  { "squareupsandbox.com", true },
  { "squattra.com", true },
  { "squeezemetrics.com", true },
  { "squido.ch", true },
  { "squidparty.com", true },
  { "squirex2.com", true },
  { "sr-33.com", true },
  { "sr33.com", true },
  { "sr88.co.uk", true },
  { "sr88.me.uk", true },
  { "srae.me.uk", true },
  { "srandom.com", true },
  { "sranje.rocks", true },
  { "srb.help", true },
  { "srbija-nekretnine.org", false },
  { "src-el-main.com", true },
  { "src.fedoraproject.org", true },
  { "srchub.org", true },
  { "srcprivatesecurity.com", true },
  { "srdmarketingservice.com", true },
  { "srfloki.com", true },
  { "srife.net", true },
  { "srigc.com", true },
  { "srihash.org", false },
  { "srilankan-hope-for-children.nl", true },
  { "srimakc.com", true },
  { "sriravana.tk", true },
  { "sritalaska.tk", true },
  { "sritcities.tk", true },
  { "srithunters.tk", true },
  { "sritidaho.tk", true },
  { "sritspanish.tk", true },
  { "sritvermont.tk", true },
  { "srkarra.com", true },
  { "srkb.net", true },
  { "sro.center", true },
  { "srochnozaim.gq", true },
  { "srpx.de", true },
  { "srqpedals.com", true },
  { "srrdb.com", true },
  { "srroddy.com", true },
  { "srsforward.email", true },
  { "srsfwd.com", true },
  { "srsfwd.email", true },
  { "srsfwd.eu", true },
  { "srsfwd.net", true },
  { "srsfwd.org", true },
  { "srv.so", true },
  { "ss-news.tk", true },
  { "ss.com", true },
  { "ss.lazio.it", true },
  { "ss.lt", true },
  { "ss.lv", true },
  { "ss.systems", true },
  { "ss.ua", true },
  { "ss09.com", true },
  { "ss64.com", true },
  { "ss64.org", true },
  { "ss88.uk", true },
  { "ss9188.com", true },
  { "ss9288.com", true },
  { "ss9721.com", false },
  { "ssa.gov", false },
  { "ssab.gov", true },
  { "ssbgportal.net", true },
  { "ssbkk.ru", true },
  { "ssbrm.ch", true },
  { "ssc.vg", true },
  { "ssc8689.com", true },
  { "ssc8689.net", true },
  { "ssccp.in", true },
  { "sschd.cc", true },
  { "ssdax.com", true },
  { "ssdpalermo.it", true },
  { "ssenberg.nl", true },
  { "ssfbank.no", true },
  { "ssh-vault.com", true },
  { "ssky.cn", true },
  { "ssl-zertifikate.de", true },
  { "ssl.do", true },
  { "ssl.google-analytics.com", true },
  { "ssl.md", true },
  { "ssl24.pl", true },
  { "ssl247.co.uk", true },
  { "ssl247.com.mx", true },
  { "ssl247.de", true },
  { "ssl247.dk", true },
  { "sslbrain.com", true },
  { "sslcertificaten.nl", true },
  { "sslcheck.nl", true },
  { "sslmate.com", true },
  { "sslok.com", false },
  { "sslping.com", true },
  { "sslpoint.com", true },
  { "ssls.cz", true },
  { "sslsecurity.ooo", true },
  { "sslsurvey.de", true },
  { "ssmca.com", true },
  { "ssmic.com", true },
  { "ssmpuc.com", true },
  { "ssmut.be", true },
  { "ssone.ee", true },
  { "sspanel.host", true },
  { "ssr.llc", true },
  { "ssready.io", true },
  { "ssready.org", true },
  { "ssrr.xyz", true },
  { "sssldurban.co.za", true },
  { "sssppp.gq", true },
  { "sstaging.com", true },
  { "ssuiteoffice.com", true },
  { "ssuitesoft.com", true },
  { "st-bede.org", true },
  { "st-innovationcup.com", true },
  { "st-kilian-markt-erlbach.de", true },
  { "st-news.de", true },
  { "st-shakyo.jp", true },
  { "st-steuern.de", true },
  { "st-tir-pln.fr", true },
  { "st42.fr", true },
  { "staatschutz.at", true },
  { "staatsschutz.at", true },
  { "staatsschutzgesetz.at", true },
  { "stabilimento.it", true },
  { "stable.network", true },
  { "stablelib.com", true },
  { "stackpath.com", true },
  { "stackptr.com", true },
  { "stackunderflow.com", true },
  { "staddlestonesbowness.co.uk", true },
  { "stadiumexperience.com", true },
  { "stadlwirt.at", true },
  { "stadm.com", false },
  { "stadsbos013.nl", true },
  { "stadsbygd.info", true },
  { "stadtbauwerk.at", false },
  { "stadtbuecherei-bad-wurzach.de", true },
  { "stadterneuerung-hwb.de", true },
  { "stadtkapelle-oehringen.de", true },
  { "stadtplan-ilmenau.de", true },
  { "stadtundbaum.de", true },
  { "staer.ro", true },
  { "staff.direct", true },
  { "staffexcellence.com", true },
  { "staffordlabour.org.uk", true },
  { "stage-recuperation-points-bordeaux.com", true },
  { "stage-recuperation-points-lille.com", true },
  { "stage-recuperation-points-lyon.com", true },
  { "stage-recuperation-points-marseille.com", true },
  { "stage-recuperation-points-montpellier.com", true },
  { "stage-recuperation-points-nantes.com", true },
  { "stage-recuperation-points-nice.com", true },
  { "stage-recuperation-points-paris.com", true },
  { "stage-recuperation-points-reims.com", true },
  { "stage-recuperation-points-rennes.com", true },
  { "stage-recuperation-points-strasbourg.com", true },
  { "stage-recuperation-points-toulouse.com", true },
  { "stage.wepay.com", false },
  { "stage4.ch", true },
  { "stageirites.com", true },
  { "stageirites.fr", true },
  { "stageirites.org", true },
  { "stagelectrical.com.au", true },
  { "stagemaster.cz", true },
  { "stagespediatrics.com", true },
  { "stahlfors.com", true },
  { "stainedglass.net.au", true },
  { "stainhaufen.de", true },
  { "stair.ch", true },
  { "stairfallgames.com", true },
  { "stairlin.com", true },
  { "stajka.tk", true },
  { "staklim-malang.info", true },
  { "stako.jp", true },
  { "staktrace.com", true },
  { "stal-rulon.ru", true },
  { "stalder.work", true },
  { "staljedevledder.nl", true },
  { "stalker-eyes.ga", true },
  { "stalker-shop.com", true },
  { "stalkerteam.pl", true },
  { "stalkr.net", true },
  { "stalkthe.net", true },
  { "stamboomforum.nl", true },
  { "stamboomgids.nl", true },
  { "stameystreet.com", true },
  { "stamkassa.nl", true },
  { "stammtisch.domains", true },
  { "stamparmakarije.me", true },
  { "stampsbar.co.uk", true },
  { "standagainstspying.org", true },
  { "standard.co.uk", true },
  { "standardequipment.com", true },
  { "standards.gov", true },
  { "standartgost.ru", true },
  { "standheizung-shop.de", true },
  { "stangeland.tk", true },
  { "stanmed24.pl", true },
  { "stannri.org", true },
  { "stanron.com", true },
  { "stansweather.net", true },
  { "stantabler.com", true },
  { "stanthony-hightstown.net", true },
  { "stanthonymaryclaret.org", true },
  { "staparishgm.org", true },
  { "stapvoorstapduurzaam.nl", true },
  { "star-citizen.wiki", true },
  { "star-clean.it", true },
  { "star-darom.co.il", true },
  { "star-killer.net", true },
  { "star.garden", true },
  { "star.watch", true },
  { "starb.in", true },
  { "starbaese.de", true },
  { "starcoachservices.ca", true },
  { "starcomproj.com", true },
  { "stardam.net", true },
  { "stardanceacademy.net", true },
  { "stardawg.co.uk", true },
  { "starease.net", true },
  { "stareplanymiast.pl", true },
  { "starfishconstruction.com", true },
  { "starflix.uk", true },
  { "starfriend.ru", true },
  { "stargate365.com", true },
  { "stargatelrp.co.uk", true },
  { "stargazer.de", true },
  { "stariders.com", true },
  { "starina.ru", true },
  { "starinc.xyz", true },
  { "starka.st", true },
  { "starkbim.com", true },
  { "starkvilleurgentcareclinic.com", true },
  { "starlightentertainmentdevon.co.uk", true },
  { "starlim.co.in", true },
  { "starlim.org", true },
  { "starlux.cz", true },
  { "starmtech.fr", true },
  { "starorusing.com", true },
  { "starover.tk", true },
  { "starpeak.org", true },
  { "starpoles.com", true },
  { "starreview.tk", true },
  { "starryvoid.com", true },
  { "starsandmanifolds.xyz", true },
  { "starsguru.com", true },
  { "starskim.cn", true },
  { "starsoft.io", true },
  { "starstreak.net", false },
  { "startablog.tv", true },
  { "startachim.eu", true },
  { "startaninflatablebusiness.com", true },
  { "startanull.ru", true },
  { "startersiteweb.com", true },
  { "startlab.sk", true },
  { "startle.cloud", true },
  { "startle.studio", true },
  { "startlemusic.com", true },
  { "startliste.info", true },
  { "startmail.com", true },
  { "startpage.com", true },
  { "startpage.info", true },
  { "startrek.in", true },
  { "startstunter.com", true },
  { "starttls-everywhere.org", true },
  { "starttraffic.uk", true },
  { "startupisland.tw", true },
  { "startupstack.tech", true },
  { "startw.cf", true },
  { "starvizyon.com", true },
  { "stasiniewicz.com", true },
  { "stassi.ch", true },
  { "stastka.ch", true },
  { "stat.ink", true },
  { "statecollegemortgages.com", true },
  { "static-myfxee-808795.c.cdn77.org", true },
  { "static-myfxoau-808795.c.cdn77.org", true },
  { "static-myfxouk-808795.c.cdn77.org", true },
  { "static.wepay.com", false },
  { "statically.io", true },
  { "staticfury.com", true },
  { "stationa.ch", false },
  { "stationary-traveller.eu", true },
  { "stationcharlie.co.za", true },
  { "statistik-seminare.de", true },
  { "statistikian.com", true },
  { "statnevlajky.sk", true },
  { "statnivlajky.cz", true },
  { "statofus.com", true },
  { "stats.do", true },
  { "stats.g.doubleclick.net", true },
  { "statusboard.eu", true },
  { "statuscode.ch", true },
  { "statusmachine.com", true },
  { "statuswatch.io", true },
  { "stau-a.de", true },
  { "stavanger.kommune.no", true },
  { "stavnager.net", true },
  { "stavros.ovh", true },
  { "staycurrent.eu", true },
  { "staycurrent.nl", true },
  { "stayme.cz", true },
  { "stayokay.com", true },
  { "stayschemingco.com", true },
  { "stb-lemke.de", true },
  { "stb-schefczyk.de", true },
  { "stb-timmler.de", true },
  { "stb.gov", true },
  { "stbarnabashospice.co.uk", true },
  { "stbartholomewmanchester.org", true },
  { "stbennett.org", true },
  { "stbl.org", true },
  { "stbridgeteastfalls.org", true },
  { "stc-istok.com.ua", true },
  { "stcable.net", true },
  { "stcatharine-stmargaret.org", true },
  { "stceciliakearny.org", true },
  { "stclairvet.co.uk", true },
  { "stclementmatawan.org", true },
  { "stclementreligioused.org", true },
  { "stcplasticsurgery.com", true },
  { "std-home-test.com", true },
  { "stderr.cc", true },
  { "stdrc.cc", false },
  { "steakovercooked.com", true },
  { "stealingheather.com", true },
  { "stealsaga.net", true },
  { "stealthmodel.fi", true },
  { "steam-rewards.tk", true },
  { "steam-route-saxony.com", true },
  { "steamdb.info", true },
  { "steamerrors.com", true },
  { "steamgifts.com", true },
  { "steamhours.com", false },
  { "steamosaic.com", true },
  { "steampress.io", true },
  { "steamsprays.tk", true },
  { "steamstat.us", true },
  { "steamtrades.com", true },
  { "steamwhale.com", true },
  { "stebenkov.tk", true },
  { "stebet.net", true },
  { "stedb.eu", true },
  { "steef389.eu", true },
  { "steel-roses.de", true },
  { "steelbeasts.org", true },
  { "steelephys.com.au", true },
  { "steelmounta.in", true },
  { "steelpoint.com.pl", true },
  { "steelsoldiers.com", true },
  { "steemit.com", true },
  { "steemyy.com", true },
  { "steeple-claydon.org", true },
  { "steering-wheel.tk", true },
  { "steerty.com", true },
  { "steevels.nl", true },
  { "stefan-bayer.eu", true },
  { "stefan-rothe.ch", true },
  { "stefan-schlueter.de", true },
  { "stefan-schmid.com", true },
  { "stefan.de", true },
  { "stefanbayer.de", true },
  { "stefancosma.xyz", true },
  { "stefanengineering.com", true },
  { "stefanfriedli.ch", true },
  { "stefanknobel.ch", true },
  { "stefanorossi.it", true },
  { "stefanvanburen.xyz", false },
  { "stefanvd.net", true },
  { "stefanviehbacher.de", true },
  { "stefany.eu", true },
  { "stefchapman.tk", true },
  { "steffenmeister.com", true },
  { "steffentreeservice.com", true },
  { "steffi-knorn.de", true },
  { "stefpastoor.nl", true },
  { "stehlik.co.uk", true },
  { "stehlik.sk", true },
  { "steidlewirt.de", true },
  { "steigerlegal.ch", true },
  { "steinbergmedia.de", true },
  { "steiner.sh", true },
  { "steinibox.de", true },
  { "steklein.de", true },
  { "stekosouthamerica.com", true },
  { "stelfox.net", true },
  { "steliosmanousakis.gr", true },
  { "stella-artis-ensemble.at", true },
  { "stella-shop.eu", true },
  { "stellarguard.me", true },
  { "stellarium-gornergrat.ch", true },
  { "stellarx.com", true },
  { "stellatusstudios.com", true },
  { "stelleninserate.de", true },
  { "stellenticket.de", true },
  { "stellmacher.name", true },
  { "stembureauledenindenhaag.nl", true },
  { "stemcellclinic.club", true },
  { "stemcellclinic.design", true },
  { "stemcellclinic.digital", true },
  { "stemcellclinic.life", true },
  { "stemcellclinic.live", true },
  { "stemcellclinic.ltd", true },
  { "stemcellclinic.network", true },
  { "stemcellclinic.online", true },
  { "stemcellclinic.services", true },
  { "stemcellclinic.store", true },
  { "stemcellclinic.tech", true },
  { "stemcellclinic.vip", true },
  { "stemcellclinic.website", true },
  { "stemcellclinic.world", true },
  { "stemkit4kids.com", true },
  { "stemmayhem.com", true },
  { "stenaro.ch", true },
  { "stenhojmedia.dk", true },
  { "stening.co", true },
  { "steno.nl", true },
  { "stenzhorn-cloud.de", true },
  { "step2web-cms.info", true },
  { "stepanvanek.cz", true },
  { "steph.ninja", true },
  { "stephan-matthiesen.de", true },
  { "stephanao.tk", true },
  { "stephaniecalahan.com", true },
  { "stephaniedeady.ie", true },
  { "stephanieleonidasfan.tk", true },
  { "stephanieschreiber.com", true },
  { "stephansurgicalarts.com", true },
  { "stephencreilly.com", true },
  { "stephengeorge.co.uk", true },
  { "stephenhaunts.com", true },
  { "stephenhorler.com.au", true },
  { "stephenj.co.uk", true },
  { "stephenjvoiceovers.com", true },
  { "stephenlam.ca", true },
  { "stephenperreira.com", true },
  { "stephenreescarter.com", true },
  { "stephenreescarter.net", true },
  { "stephenschrauger.com", true },
  { "stephenschrauger.info", true },
  { "stephenschrauger.net", true },
  { "stephenschrauger.org", true },
  { "stephenskory.com", true },
  { "stephensol.is", true },
  { "stephensolis.com", true },
  { "stephsolis.net", true },
  { "stephspace.net", true },
  { "stephycom.com", true },
  { "steponedanceclub.co.uk", true },
  { "steppingoutinstyleonline.com", true },
  { "stepstone.dk", true },
  { "stepsweb.com", true },
  { "ster-enzo.nl", true },
  { "sterchi-fromages.ch", false },
  { "stereo.lu", true },
  { "stereochro.me", false },
  { "sterlinx.de", true },
  { "stern-freunde.de", true },
  { "stern.koeln", true },
  { "sternadel.pl", true },
  { "sternen-sitzberg.ch", true },
  { "sternenbund.info", true },
  { "sternplastic.com", true },
  { "sternsinus.com", true },
  { "sterohouse.com", true },
  { "stesti.cz", true },
  { "stetson.edu", true },
  { "steuer-voss.de", true },
  { "steuerberater-bayreuth.com", true },
  { "steuerberater-hopfner.de", true },
  { "steuerkanzlei-edel.de", true },
  { "steuern-recht-wirtschaft.de", true },
  { "steuertipps-sonderausgaben.de", true },
  { "steveborba.com", true },
  { "stevebuck.tk", true },
  { "stevecostar.com", true },
  { "stevedesmond.ca", true },
  { "stevedoggett.com", true },
  { "stevegellerhomes.com", true },
  { "stevegrav.es", true },
  { "stevehaid.com", true },
  { "stevejobsfollowers.tk", true },
  { "steven-bennett.com", true },
  { "steven-klix.de", true },
  { "stevenapate.com", true },
  { "stevenbolgartersnakes.com", true },
  { "stevengrech.com", true },
  { "stevenkendypierre.com", true },
  { "stevenpilger.com", true },
  { "stevens.se", false },
  { "stevenselectricllc.com", true },
  { "steventress.com", true },
  { "stevenuniverse.xyz", true },
  { "stevenwooding.com", true },
  { "stevenz.net", true },
  { "stevenz.science", true },
  { "stevenz.xyz", true },
  { "stevepacheco.com", true },
  { "stevereedmp.co.uk", true },
  { "stevesdrivingschooltyneside.com", true },
  { "stevezheng.cf", true },
  { "stewartswines.com", true },
  { "stewpolley.com", false },
  { "steyaert.be", false },
  { "stfrancisnaugatuck.org", true },
  { "stfw.info", true },
  { "stgabrielavondalepa.org", true },
  { "stgabrielstowepa.org", true },
  { "stgeorgecomfortinn.com", true },
  { "stgeorgegolfing.com", true },
  { "stghv.com", true },
  { "sth.sh", true },
  { "sthenryrc.org", true },
  { "stian.net", true },
  { "stichtingdemuziekkamer.nl", true },
  { "stichtingliab.nl", true },
  { "stichtingsticky.nl", true },
  { "stick2bike.de", true },
  { "stickandpoketattookit.com", true },
  { "stickeramoi.com", true },
  { "stickergiant.com", true },
  { "stickertuningfetzt.de", true },
  { "stickies.io", true },
  { "stickstueb.de", true },
  { "sticky.ai", true },
  { "stickypassword.com", true },
  { "stickyricelove.com", true },
  { "stiebel-eltron.co.nz", true },
  { "stiebel-eltron.com.au", true },
  { "stiebelmedia.co.nz", true },
  { "stiebelmedia.com.au", true },
  { "stiff.wang", true },
  { "stift-kremsmuenster.at", true },
  { "stiftemaskinen.no", true },
  { "stiftung-lq.ch", true },
  { "stiftung-lq.com", true },
  { "stiftung-lq.net", true },
  { "stiftunglq.com", true },
  { "stigharder.com", true },
  { "stigviewer.com", true },
  { "stijnbelmans.be", true },
  { "stijndv.com", true },
  { "stijnodink.nl", true },
  { "stikic.me", true },
  { "stilartmoebel.de", true },
  { "stilecop.com", true },
  { "stiliankasimov.com", true },
  { "stilingavonia.lt", true },
  { "stilmobil.se", true },
  { "stilsvadba.tk", true },
  { "stiltmedia.com", true },
  { "stimmgabel.lu", true },
  { "stin.hr", true },
  { "stina-vino.hr", true },
  { "stinaspiegelberg.com", true },
  { "stingraybook.com", true },
  { "stinkefingereinhorn.de", true },
  { "stinsky.com", true },
  { "stintup.com", true },
  { "stipsan.me", true },
  { "stirblaut.de", true },
  { "stirling.co", true },
  { "stirlingpoon.com", true },
  { "stisaac.org", true },
  { "stisidores.org", true },
  { "stitch.money", true },
  { "stitchfiddle.com", true },
  { "stitchinprogress.com", true },
  { "stivesbouncycastlehire.co.uk", true },
  { "stjohncamden.com", true },
  { "stjohnin.com", true },
  { "stjohnnepomucene.com", true },
  { "stjohnsottsville.org", true },
  { "stjoseph-stcatherine.org", true },
  { "stjosephri.org", true },
  { "stjosephsoswego.com", true },
  { "stjosephspringcity.com", true },
  { "stjosephtheworker.net", true },
  { "stjscatholicchurch.org", true },
  { "stjustin.org", true },
  { "stkevin-stbenedict.org", true },
  { "stkildaosteopathy.com.au", true },
  { "stleonardmn.org", true },
  { "stlouisinsuranceco.com", true },
  { "stlouisnativeflute.com", true },
  { "stlu.de", true },
  { "stluciastar.com", true },
  { "stlukenh.org", true },
  { "stlukesbrandon.org", true },
  { "stm-net.de", true },
  { "stma.is", true },
  { "stmariagoretti.net", true },
  { "stmarkseagirt.com", true },
  { "stmarthachurch.com", true },
  { "stmarysnutley.org", true },
  { "stmaryswestwarwick.org", true },
  { "stmatthewri.org", true },
  { "stmattsparish.com", true },
  { "stmichaellvt.com", true },
  { "stmichaelunion.org", true },
  { "stmlearning.com", true },
  { "stmohrael.org", true },
  { "stmsolutions.pl", true },
  { "stmsouthcoventry.com", true },
  { "stneotsbouncycastlehire.co.uk", true },
  { "stock-solution.de", true },
  { "stockholmpride.org", true },
  { "stockpile.com", true },
  { "stockportpyramid.co.uk", true },
  { "stockstuck.com", true },
  { "stocktrader.com", true },
  { "stocp.org", true },
  { "stodieck.com", true },
  { "stoebermehl.at", true },
  { "stoerevrouwensporten.nl", true },
  { "stoffelnet.de", true },
  { "stoicatedy.ovh", true },
  { "stoildaaliyski.com", true },
  { "stoinov.com", true },
  { "stokl.com.au", true },
  { "stokvistrading.nl", true },
  { "stolarka.tk", true },
  { "stolin.info", true },
  { "stolina.de", false },
  { "stolkpotplanten.nl", true },
  { "stollen-wurm.de", true },
  { "stollenwurm.de", true },
  { "stolpi.is", false },
  { "stomt.com", true },
  { "stoneagehealth.com.au", true },
  { "stonearm.com", true },
  { "stonechatjewellers.ie", true },
  { "stonedwarf5.net", true },
  { "stonedworms.de", false },
  { "stoneedgeconcrete.com", true },
  { "stonegateapartmentsstl.com", true },
  { "stonehammerhead.org", true },
  { "stonehurstcap.com", true },
  { "stoneproperty.ie", true },
  { "stonesfamilyrestaurant.com", true },
  { "stonetribute.tk", true },
  { "stony.com", true },
  { "stonystratford.org", true },
  { "stoomstichting.nl", true },
  { "stop-activ.ga", true },
  { "stopbullying.gov", true },
  { "stopforumspam.com", true },
  { "stopfraud.gov", true },
  { "stoplossoff.tk", true },
  { "stopoverconnections.com", true },
  { "stoppage.cf", true },
  { "stopthethyroidmadness.com", true },
  { "stopthinkconnect.jp", true },
  { "stopyhrdinu.cz", true },
  { "storageideas.uk", true },
  { "stordbatlag.no", true },
  { "storedsafe.com", true },
  { "storefront.gq", true },
  { "storeit.co.uk", true },
  { "storeplus.ml", true },
  { "storey-lines.com", true },
  { "storgaarddieu.com", true },
  { "storiesbysign.com", true },
  { "storillo.com", true },
  { "storingdesk.com", true },
  { "stormboost.cz", true },
  { "stormhub.ml", true },
  { "stormi.io", true },
  { "stormingbrain.com", true },
  { "stormylegions.tk", true },
  { "stortiservices.com", true },
  { "storvann.net", true },
  { "storvann.no", true },
  { "storycollective.film", true },
  { "storycollective.nl", true },
  { "storyland.ie", true },
  { "storyoneforty.com", true },
  { "storysift.news", true },
  { "storytell.com", true },
  { "storytellingforbusiness.com.au", true },
  { "storytime.hu", true },
  { "stoutassociates.com", true },
  { "stouter.nl", true },
  { "stoxford.com", true },
  { "stpatrickbayshore.org", true },
  { "stpatrickkennettsquare.org", true },
  { "stpatrickri.org", true },
  { "stpatricks-pelham.com", true },
  { "stpatsschool.org", true },
  { "stpaulcatholicchurcheastnorriton.net", true },
  { "stphilipneripreschool.com", true },
  { "straatderzotten.nl", true },
  { "strafensau.de", true },
  { "strafvollzugsgesetze.de", true },
  { "strahlende-augen.info", true },
  { "straightnude.com", true },
  { "strajnar.si", true },
  { "straka.name", true },
  { "strandbyfysio.dk", true },
  { "strandedinotter.space", true },
  { "strandhaus-claassen.de", true },
  { "strandhaus-hinter-der-duene.de", true },
  { "strandom.ru", true },
  { "strandschnuppern.de", true },
  { "strangelandrecording.com", true },
  { "strangelandrecordingstudios.com", true },
  { "strangelandsoundstage.com", true },
  { "strangelane.com", true },
  { "strangelanerecords.com", true },
  { "strangemusicbox.com", true },
  { "strangemusichollywood.com", true },
  { "strangemusicinc.com", true },
  { "strangemusicinc.net", true },
  { "strangevip.com", true },
  { "strangeways.ca", false },
  { "strangeworksinc.com", true },
  { "strangeworldmerch.com", true },
  { "strangeworldmerchandising.com", true },
  { "straphael-holyangels.com", true },
  { "strate.io", true },
  { "strategiccapital.com", true },
  { "strategiclivingblog.com", true },
  { "strategie-zone.de", true },
  { "stratforge.com", true },
  { "strathewerd.de", true },
  { "strathspeycrown.com", true },
  { "stratmann-b.de", true },
  { "stratuscloud.co.za", true },
  { "stratuscloudconsulting.net", true },
  { "straubis.org", true },
  { "strauser.com", true },
  { "stravers.shoes", true },
  { "strawberries.tk", true },
  { "strawberry-laser.gr", true },
  { "strd.co", true },
  { "streamchan.org", true },
  { "streamelements.com", true },
  { "streaming-download.net", true },
  { "streaminginternacional.net", true },
  { "streamkit.gg", true },
  { "streampanel.net", true },
  { "streamspouredout.com", true },
  { "streathamfoodfestival.com", true },
  { "streemprn.xyz", true },
  { "streepjesenstipjes.nl", true },
  { "street-medics.fr", true },
  { "street-tek.com", true },
  { "streetboards.lt", true },
  { "streetdancecenter.com", true },
  { "streetlightdata.com", true },
  { "streetmarket.ru", true },
  { "streets.mn", true },
  { "streetshirts.co.uk", true },
  { "streetspotr.com", true },
  { "streetview.wien", true },
  { "strefapi.com", true },
  { "strelnicesmirice.cz", true },
  { "stremio.com", true },
  { "strengthinyoufitness.com", true },
  { "strengthroots.com", true },
  { "stretchmarkdestroyer.com", true },
  { "stretchmyan.us", true },
  { "striata.com", true },
  { "striata.mobi", true },
  { "striata.org", true },
  { "striatadev.com", true },
  { "strick-welt.de", true },
  { "stricted.net", true },
  { "strictlyguitar.de", true },
  { "strijkshop.be", true },
  { "stringtoolbox.com", true },
  { "stripe.com", true },
  { "stripe.network", true },
  { "stripecdn.com", true },
  { "striped.horse", true },
  { "stripehype.com", true },
  { "strippersondemand.com", true },
  { "strivephysmed.com", false },
  { "strl-tunis.tk", true },
  { "strm.hu", true },
  { "strm.pl", true },
  { "strobeltobias.de", true },
  { "strobeto.de", true },
  { "strobotti.com", true },
  { "stroccounioncity.org", true },
  { "stroeder.com", true },
  { "stroeerdigital.de", true },
  { "stroginohelp.ru", true },
  { "stroifenix.ru", true },
  { "stroimvse.ml", true },
  { "stroiproect.tk", true },
  { "stroke-of-luck.com", true },
  { "stromaci.sk", true },
  { "stromak.cz", true },
  { "stromkomfort.cz", true },
  { "stromzivota.sk", true },
  { "strongpassword.club", true },
  { "strongrandom.com", false },
  { "strongsalpinesucculents.com", true },
  { "strongtieinsurance.com", true },
  { "stronku-gaming.de", true },
  { "stroomacties.nl", true },
  { "strosemausoleum.com", true },
  { "stroseoflima.com", true },
  { "strotmann.de", true },
  { "strousberg.net", true },
  { "strozik.de", true },
  { "structuralfix.com", true },
  { "structurally.net", true },
  { "strugee.net", true },
  { "strydom.me.uk", true },
  { "ststanislaus.com", true },
  { "ststanstrans.org", true },
  { "stt.wiki", true },
  { "sttammanyurology.com", true },
  { "sttg.com.au", true },
  { "stthomasbrigantine.org", true },
  { "sttl-topographie.com", true },
  { "stuartbeard.com", true },
  { "stuartbell.co.uk", true },
  { "stuartbell.uk", true },
  { "stuartcrawford.co.nz", true },
  { "stuarteggerton.com", true },
  { "stuartmorris.id.au", true },
  { "stuartmorris.me", true },
  { "stuartmorris.name", true },
  { "stuartmorris.tel", true },
  { "stuckateur-bruno.de", false },
  { "stucki-bagger.ch", true },
  { "stucydee.nl", true },
  { "studay.fr", true },
  { "studenckiemetody.pl", true },
  { "student-eshop.cz", true },
  { "student-eshop.sk", true },
  { "studentaid.gov", true },
  { "studenterguiden.dk", true },
  { "studentfinancecountdown.com", true },
  { "studentforums.biz", true },
  { "studenti.tk", true },
  { "studentklinikk.no", true },
  { "studentpop.com", true },
  { "studentse.fr", true },
  { "studenttenant.com", true },
  { "studiebegeleiding-haegeman.be", true },
  { "studiekort.se", true },
  { "studiekortet.com", true },
  { "studiekortet.eu", true },
  { "studiekortet.net", true },
  { "studiekortet.nu", true },
  { "studiekortet.org", true },
  { "studiekortet.se", true },
  { "studio-637.com", true },
  { "studio-abok.com", true },
  { "studio-architetto.com", true },
  { "studio-happyvalley.com", true },
  { "studio-n.pl", true },
  { "studio-satellite.com", true },
  { "studio413.net", true },
  { "studio678.com", true },
  { "studioadevents.com", true },
  { "studioavvocato.roma.it", true },
  { "studioavvocato24.it", true },
  { "studiobergaminloja.com.br", true },
  { "studiobrandano.com", true },
  { "studiodentisticomasi.com", true },
  { "studiodewit.nl", true },
  { "studiodpe.com", true },
  { "studiogavioli.com", true },
  { "studiogears.com", true },
  { "studiograou.com", true },
  { "studiohelder.fr", false },
  { "studiohomebase.amsterdam", true },
  { "studiokicca.com", true },
  { "studiolegalepaternostro.it", true },
  { "studiomarcella.com", true },
  { "studionowystyl.pl", true },
  { "studiopirrate.com", true },
  { "studioproapp.com", true },
  { "studioriehl.com", true },
  { "studioscherp.nl", true },
  { "studiosql.ml", true },
  { "studiostawki.com", true },
  { "studiostudio.net", true },
  { "studiosus-gruppenreisen.com", true },
  { "studiosus.com", true },
  { "studiotheatrestains.fr", true },
  { "studiotres.com.br", true },
  { "studiovaud.com", false },
  { "studiovictorialimited.com", true },
  { "studioxii.com", true },
  { "studipad.de", true },
  { "studipro-formation.fr", true },
  { "studipro-marketing.fr", true },
  { "studium.cz", true },
  { "study-support-beans.com", true },
  { "studyin.jp", true },
  { "studyportal.net", true },
  { "studyspy.ac.nz", true },
  { "studytactics.com", true },
  { "stuermer.me", true },
  { "stuetzredli.ch", true },
  { "stuff-fibre.co.nz", true },
  { "stuffi.fr", true },
  { "stugor-danmark.com", true },
  { "stuka-art.de", true },
  { "stumeta.de", true },
  { "stumeta2019.de", true },
  { "stuntmen.xyz", true },
  { "stupendous.net", false },
  { "stupidest.org", true },
  { "stupidthoughts.tk", true },
  { "stupino-stroy.cf", true },
  { "stutelage.com", true },
  { "stuudium-mail.ee", true },
  { "stuudium.com", true },
  { "stuudium.net", true },
  { "stuudium.org", true },
  { "stuudium.pro", true },
  { "stuvel.eu", true },
  { "stuvus.de", true },
  { "stuvus.uni-stuttgart.de", true },
  { "stview.me", true },
  { "stw-group.at", true },
  { "stygium.net", false },
  { "stylebeat.tk", true },
  { "styleci.io", true },
  { "stylecollective.us", true },
  { "styledandcomposed.com", true },
  { "styledbysally.com.au", true },
  { "styleelite.tk", true },
  { "styleetvieperfumes.com", true },
  { "styletron.org", true },
  { "stylett.ru", true },
  { "stylewish.me", true },
  { "stypr.com", true },
  { "su1ph3r.io", true },
  { "suaudeau.fr", true },
  { "suaudeau.org", true },
  { "suayslim.com", true },
  { "sub-net.at", true },
  { "sub.media", true },
  { "subastasdecarros.net", true },
  { "subdev.org", true },
  { "subdimension.org", true },
  { "subdivider.tk", true },
  { "subjektzentrisch.de", true },
  { "sublocale.com", true },
  { "submedia.tv", true },
  { "submelon.tech", true },
  { "subohm.com", true },
  { "suborbital.io", true },
  { "subrad.io", true },
  { "subsistence.wiki", true },
  { "substitutealert.com", true },
  { "suburban-landscape.net", true },
  { "suburbaninfinitioftroyparts.com", true },
  { "suburbansites.com", true },
  { "subven.com", true },
  { "subversive-tech.com", true },
  { "succesprojekter.dk", true },
  { "successdeliv.com", true },
  { "successemails.ml", true },
  { "sucessclick.gq", true },
  { "suche.org", true },
  { "suchem.com", true },
  { "suchmaschinen-werkstatt.de", true },
  { "suckmyan.us", false },
  { "sucretown.net", true },
  { "sudametrica.tk", true },
  { "sudanell.tk", true },
  { "sudanindependent.com", true },
  { "sudanindependent.net", true },
  { "sudaraka.org", false },
  { "sudmotor-occasions.be", false },
  { "sudo.ws", true },
  { "sudokian.io", true },
  { "sudosaveclimate.com", true },
  { "sudoschool.com", true },
  { "suecaunitedfc.tk", true },
  { "suelyonjones.com", true },
  { "suessdeko.de", true },
  { "suevia-ka.de", true },
  { "suffix.ru", true },
  { "sufix.cz", true },
  { "sugarbrother.com", false },
  { "sugarlandurology.com", true },
  { "sugarpiano.com", true },
  { "sugarshin.net", true },
  { "sugatime.tk", true },
  { "suggea.com", true },
  { "suggestim.ch", false },
  { "sugos.ml", true },
  { "suhaildawood.com", true },
  { "suicide.gq", true },
  { "suisui.stream", true },
  { "suitesapp.com", true },
  { "sujal.com", true },
  { "sujblog.com", true },
  { "sujoydhar.in", true },
  { "suka.moe", true },
  { "suke3.jp", true },
  { "sukherchador.org", true },
  { "suki.moe", true },
  { "sukiu.net", true },
  { "sukoyaka-labo.com", true },
  { "sukrie.net", true },
  { "suksit.com", true },
  { "sulabs.org", true },
  { "sulavius.tech", true },
  { "sulek.eu", true },
  { "sulian.me", true },
  { "suluvir.com", true },
  { "sulytics-tool.com", true },
  { "sumatphoto.com", true },
  { "sumatrabarat.ml", true },
  { "sumatrautara.ml", true },
  { "sumatriptan365.tk", true },
  { "sumcrevillent.tk", true },
  { "sumguy.com", true },
  { "sumiko.moe", true },
  { "sumit.me", true },
  { "sumitchahal.com", true },
  { "summa.eu", false },
  { "summarized.gq", true },
  { "summerbo.at", true },
  { "summercampthailand.com", true },
  { "summit-level.ru", true },
  { "summitbankofkc.com", true },
  { "summiteyekc.com", true },
  { "summitlighthousela.org", true },
  { "summusglobal.com", true },
  { "sun-beach.com.ua", true },
  { "sun-wellness-online.com.vn", true },
  { "sun1218.com", true },
  { "sun1245.com", true },
  { "sun1338.com", true },
  { "sun1345.com", true },
  { "sun1378.com", true },
  { "sun668.asia", true },
  { "sun668.co", true },
  { "sunbritetv.com", true },
  { "sunbury.xyz", true },
  { "sunchasercats.com", true },
  { "suncity288.com", true },
  { "suncity288.net", true },
  { "suncity8118.cn", true },
  { "suncity8118.com", true },
  { "suncity818.cn", true },
  { "suncity818.com", true },
  { "suncity818.net", true },
  { "suncity8338.cn", true },
  { "suncity8338.com", true },
  { "suncity858.cn", true },
  { "suncity858.com", true },
  { "suncity8668.com", true },
  { "suncity8998.com", true },
  { "sundaycooks.com", true },
  { "sundayfundayjapan.com", true },
  { "sundragon.se", true },
  { "sunfiregold.com", true },
  { "sunfox.cz", true },
  { "sungreen.info", true },
  { "sunhaoxiang.net", true },
  { "sunjaydhama.com", true },
  { "sunjiutuo.com", true },
  { "sunlit.cloud", true },
  { "sunn.ie", true },
  { "sunny.co.uk", true },
  { "sunnysidechurchofchrist.org", true },
  { "sunnysideups.co", true },
  { "sunoikisis.org", true },
  { "sunpig.com.my", true },
  { "sunpig.com.sg", true },
  { "sunpig.fit", true },
  { "sunpig.my", true },
  { "sunpig.sg", true },
  { "sunred.info", true },
  { "sunred.org", true },
  { "sunrichtec.com", true },
  { "sunsdesign.net", true },
  { "sunsetdentalhenderson.com", true },
  { "sunsetwx.com", true },
  { "sunshilin.tk", true },
  { "sunshine-cleaners.com.au", true },
  { "sunshinecoastplumbingcompany.com.au", true },
  { "sunshinelife.tk", true },
  { "sunshinesf.org", true },
  { "sunsong.org", true },
  { "sunsquare.cz", true },
  { "sunstar.bg", true },
  { "sunwolf.studio", true },
  { "suomenkielisetnettikasinot.com", true },
  { "suomika.pl", true },
  { "supa.sexy", true },
  { "supedio.com", true },
  { "super-erotica.ru", true },
  { "superaficionados.com", true },
  { "superbart.nl", true },
  { "superbdistribute.com", true },
  { "superbestpalsclub.tk", true },
  { "superbintel.com", true },
  { "superbomsupermercado.com.br", true },
  { "superbouncebouncycastles.com", true },
  { "supercalorias.com", true },
  { "supercarrot.tk", true },
  { "supercastlesadelaide.com.au", true },
  { "supercastlesbrisbane.com.au", true },
  { "supercastlessunshinecoast.com.au", true },
  { "supercentenarian.com", true },
  { "supercharged.co.uk", true },
  { "supercinebattle.fr", true },
  { "superdrillers.tk", true },
  { "superdroni.com", true },
  { "superenduro.net", true },
  { "superglidewardrobes.co.uk", true },
  { "supergmtransport.com.au", true },
  { "superguide.com.au", true },
  { "superhappiness.com", true },
  { "superhappyfun.club", true },
  { "superhome.com.au", true },
  { "superidropulitrice.com", true },
  { "superiordetail.tk", true },
  { "superlandnetwork.de", true },
  { "superlisa.nl", true },
  { "supermagna.tk", true },
  { "supermarx.nl", true },
  { "supermercadosdia.com.ar", true },
  { "supermercato24.it", true },
  { "supermil.ch", true },
  { "supermustang.tk", true },
  { "supern0va.net", false },
  { "supernaut.info", true },
  { "superpi.noip.me", true },
  { "supersahnetorten.de", true },
  { "supersandro.de", true },
  { "supersonnig-festival.de", true },
  { "supersonnigfestival.de", true },
  { "superstargossip.com", true },
  { "superstarhost.tk", true },
  { "supersteosbouncycastles.com", true },
  { "superstropdas.nl", true },
  { "supersu.kr", true },
  { "superswingtrainer.com", true },
  { "supertasker.org", true },
  { "supertrade.tk", true },
  { "supertutorial.com.br", true },
  { "supervets.com.au", true },
  { "supervisionassist.com", true },
  { "supeuro.com", true },
  { "supmil.net", true },
  { "supplies24.at", true },
  { "supplies24.es", true },
  { "supplynation.org.au", true },
  { "support-ticino.ch", true },
  { "support.mayfirst.org", false },
  { "supportdesk.nu", true },
  { "supportericking.org", true },
  { "supra.tf", true },
  { "supracube.com", true },
  { "suprem.biz", false },
  { "suprem.ch", false },
  { "supremestandards.com", true },
  { "supremumseo.pl", true },
  { "supriville.com.br", true },
  { "sur-v.com", true },
  { "suranganet.tk", true },
  { "surasak.tk", true },
  { "sure-it.de", true },
  { "surefit-oms.com", true },
  { "surefleet.com.au", true },
  { "surfnetkids.com", true },
  { "surfnetparents.com", true },
  { "surfocal.com", true },
  { "surgeholdinggroup.com", true },
  { "surgeongeneral.gov", true },
  { "surgicalassociateswny.com", true },
  { "suricate.ru", true },
  { "surnet.io", true },
  { "surnganet.tk", true },
  { "suroil.com", true },
  { "surpreem.com", true },
  { "surreyheathyc.org.uk", false },
  { "surthriveak.com", true },
  { "suruifu.com", true },
  { "survature.com", true },
  { "surveer.com", true },
  { "surveil.site", true },
  { "surveillance104.com", true },
  { "surveyhealthcare.com", true },
  { "surveymill.co.uk", true },
  { "survivebox.fr", true },
  { "survivingmesothelioma.com", true },
  { "susanbpilates.com", true },
  { "susann-kerk.de", true },
  { "susanna-komischke.de", true },
  { "susanvelez.com", true },
  { "susc.org.uk", true },
  { "suseki.ga", true },
  { "sush.us", true },
  { "sushi.roma.it", true },
  { "sushibesteld.nl", true },
  { "susosudon.com", true },
  { "suspect.id", true },
  { "suspension-shop.com", true },
  { "sussexheart.com", true },
  { "sustainability.gov", true },
  { "sustainabilityknowledgegroup.com", true },
  { "sustainabilitysociety.hk", true },
  { "sustainoss.org", true },
  { "sustc.ac.cn", true },
  { "sustsol.com", true },
  { "sutas.market", true },
  { "suts.co.uk", true },
  { "suttacentral.net", true },
  { "suuria.de", true },
  { "suzi3d.com", true },
  { "suziekovner.com", true },
  { "suzikogsm.tk", true },
  { "suzukikenichi.com", true },
  { "suzukimarinepress.com", true },
  { "sv-bachum-bergheim.de", true },
  { "sv-schody.cz", true },
  { "sv-turm-hohenlimburg.de", true },
  { "sv.search.yahoo.com", false },
  { "sv1880-lichtenau.de", true },
  { "svager.cz", true },
  { "svak-gutachter.de", true },
  { "svanstrom.com", true },
  { "svanstrom.org", true },
  { "svantner.sk", true },
  { "svarnyjunak.cz", true },
  { "svatbamisiaviti.tk", true },
  { "svc-sitec.com.mx", true },
  { "svc-sitec.mx", true },
  { "svc-sitec.org", true },
  { "svc1.xyz", true },
  { "svdb.co", false },
  { "svdesign.su", true },
  { "svedalataxi.com", true },
  { "sveinerik.org", true },
  { "svendubbeld.nl", true },
  { "sveneckelmann.de", true },
  { "svenluijten.com", false },
  { "svenmuller.nl", true },
  { "svennd.be", true },
  { "svenskapsalmer.se", true },
  { "svenskmediabevakning.se", true },
  { "svetandroida.cz", true },
  { "svetila.com", true },
  { "svetlilo.com", true },
  { "svia.nl", true },
  { "svijet-medija.hr", true },
  { "svinformatica.es", true },
  { "svm-basketball.de", true },
  { "svo-intranet.de", true },
  { "svobodnyblog.cz", true },
  { "svodjapan.info", true },
  { "svorcikova.cz", true },
  { "svorkmofotball.tk", true },
  { "svpoa.org.uk", true },
  { "svrx.one", true },
  { "svsb-live.azurewebsites.net", false },
  { "svtr.de", true },
  { "sw-servers.net", true },
  { "sw33tp34.com", true },
  { "swaenenburg.be", true },
  { "swagfuli.com", true },
  { "swagger.london", true },
  { "swallowgateway.com", true },
  { "swankism.com", true },
  { "swansdoor.org", true },
  { "swap.gg", true },
  { "swapfin.com", true },
  { "swaptaxdata.com", true },
  { "swarfarm.com", true },
  { "swarlys-server.de", true },
  { "swat4stats.com", true },
  { "swatee.com", true },
  { "swattransport.ae", true },
  { "sway-cdn.com", true },
  { "sway.com", true },
  { "swaz.co.uk", true },
  { "swc-cfc.gc.ca", true },
  { "swcloud.io", true },
  { "swd.agency", true },
  { "swdiscount.ru", true },
  { "sweak.net", true },
  { "sweat-shirts.tk", true },
  { "swedentelugucommunity.com", true },
  { "swedishhost.com", true },
  { "swedishhost.se", true },
  { "sweep-me.net", true },
  { "sweepay.ch", false },
  { "sweepy.pw", true },
  { "sweet-as.co.uk", true },
  { "sweet-spatula.com", true },
  { "sweetbabyjesus.com", true },
  { "sweetbridge.com", true },
  { "sweetcalculus.ru", true },
  { "sweetdata.io", true },
  { "sweetenedcondensed.com", true },
  { "sweetgood.de", true },
  { "sweethomesnohomishrenovations.com", true },
  { "sweets-mimatsu.com", true },
  { "sweetspot.co.kr", true },
  { "sweetydecor.ru", true },
  { "sweharris.org", true },
  { "swetrust.com", true },
  { "swfmax.com", true },
  { "swgenetx.com", true },
  { "swhw.io", true },
  { "swi.sytes.net", true },
  { "swid.co.uk", true },
  { "swiftbonds.com", true },
  { "swiftcashforcars.com.au", true },
  { "swiftcom.co.za", true },
  { "swifteh.net", true },
  { "swiftpak.co.uk", true },
  { "swiftpcbassembly.com", true },
  { "swiftqueue.com", true },
  { "swilly.org", true },
  { "swimminglessons.com.sg", true },
  { "swimwear365.co.uk", true },
  { "swindontennisclub.azurewebsites.net", true },
  { "swindontennisclub.org", true },
  { "swineson.me", true },
  { "swing-belleville.de", true },
  { "swingmonkey.com", true },
  { "swingtimeinthegardens.com", true },
  { "swingular.com", true },
  { "swipedon.com", true },
  { "swipetv.ie", true },
  { "swiss-apartments.com", true },
  { "swiss-connection.net", false },
  { "swiss-vanilla.ch", true },
  { "swiss-vanilla.com", true },
  { "swisscypher.com", true },
  { "swissdojo.ch", false },
  { "swisselement365.com", false },
  { "swisservers.com", true },
  { "swissid.ch", true },
  { "swissinternationalva.com", true },
  { "swissj.com", true },
  { "swisslinux.org", true },
  { "swisstacticaldevelopment.ch", true },
  { "swisstechassociation.ch", true },
  { "swissurf.tk", true },
  { "swissvanilla.ch", true },
  { "swissvanilla.com", true },
  { "swit.io", true },
  { "switch-trader.com", true },
  { "switcheo.exchange", true },
  { "switcheo.rocks", true },
  { "swivells.com", true },
  { "swkdevserver.tk", true },
  { "swlabs.org", true },
  { "swmlink.com", true },
  { "swn-nec.de", true },
  { "swrpgitems.com", true },
  { "swtun.com", true },
  { "swvaux.com", true },
  { "swxtd.com", true },
  { "swy.cz", true },
  { "swyn.net", true },
  { "swynwyr.com", true },
  { "sx8.ovh", true },
  { "sxistolithos.gr", true },
  { "sy-anduril.de", true },
  { "sy24.ru", true },
  { "syajvo.if.ua", false },
  { "syakonavi.com", true },
  { "sycamorememphis.org", true },
  { "sycca.com", true },
  { "sychov.pro", true },
  { "sydney-sehen.com", true },
  { "sydney.dating", true },
  { "sydneychillies.com.au", true },
  { "sydneyexperiences.com", true },
  { "sydneyhelicopters.com.au", true },
  { "sydneylawnandturf.com.au", true },
  { "syenar.net", true },
  { "syezd.com.au", true },
  { "syha.org.uk", true },
  { "sykepleien.no", false },
  { "sylaps.com", true },
  { "syleam.in", true },
  { "sylfie.net", true },
  { "syllogi.xyz", true },
  { "sylvainboudou.com", true },
  { "sylvaindurand.fr", true },
  { "sylvaindurand.org", true },
  { "sylvaloir.fr", true },
  { "sylvan.me", true },
  { "sylve.ch", false },
  { "sym01.com", true },
  { "symb.ch", false },
  { "symbiose-com.ch", false },
  { "symbiose-immobilier.ch", false },
  { "symbiose.com", true },
  { "symbiosecom.ch", false },
  { "symbo.tech", true },
  { "symdevinc.com", true },
  { "symeda.de", true },
  { "symeonchen.com", true },
  { "symetrix.tk", true },
  { "symfora-meander.nl", true },
  { "symlnk.de", true },
  { "sympletrade.com", true },
  { "symplexia.com.br", true },
  { "sympmarc.com", true },
  { "sympraxisconsulting.com", true },
  { "symptome-erklaert.de", true },
  { "synabi.com", true },
  { "synackrst.net", true },
  { "synapsepain.com", true },
  { "sync-it.no", true },
  { "synccentre.com", true },
  { "syncevolution.org", true },
  { "synchrocube.com", true },
  { "synchrolarity.com", true },
  { "synchronicity.cz", true },
  { "synchronyse.com", true },
  { "synchtu.be", false },
  { "syncmindglobal.com", true },
  { "syncplay.pl", true },
  { "syncrise.co.jp", true },
  { "synd.io", true },
  { "syneart.com", true },
  { "synecek11.cz", true },
  { "synedat.com", true },
  { "synergyfitness.com.au", true },
  { "synergyflare.com", true },
  { "synergyworkingdogclub.com", true },
  { "synerionagile.com", true },
  { "synfin.org", true },
  { "synicalsyntax.com", true },
  { "synony.me", true },
  { "synotna.eu", true },
  { "synrestaccounting.com", true },
  { "syntaxnightmare.com", true },
  { "syntheticgrassliving.com.au", true },
  { "synthetik.com", true },
  { "synthv.fun", true },
  { "syogainenkin119.com", true },
  { "syonix.ru", true },
  { "syplasticsurgery.com", true },
  { "syquel-systems.de", true },
  { "sys-tm.com", true },
  { "sys21.info", true },
  { "sysadm.guru", true },
  { "sysadmins.ro", true },
  { "syscoon.com", true },
  { "sysctl.se", true },
  { "sysdb.io", true },
  { "sysgap-gsci.com", true },
  { "syskit.com", true },
  { "sysmike.de", true },
  { "sysrq.tech", false },
  { "systea.fr", true },
  { "systea.net", true },
  { "system-admin-girl.com", true },
  { "system-m.de", false },
  { "system.cf", true },
  { "system.is", true },
  { "system4travel.com", true },
  { "systemadmin.uk", true },
  { "systematic-momo.com", true },
  { "systematic-momo.dk", true },
  { "systemausfall.org", true },
  { "systemchile.com", true },
  { "systemd.ch", false },
  { "systemd.eu.org", true },
  { "systemdynamics.net", true },
  { "systemeprod.fr", false },
  { "systemintegra.ru", true },
  { "systemisbusy.info", true },
  { "systemli.org", true },
  { "systemups.com", true },
  { "systemweb.no", true },
  { "systime.dk", true },
  { "syswiki.org", true },
  { "syuez.com", true },
  { "syuez.org", true },
  { "syy.im", true },
  { "syzdev.com", true },
  { "syzygy-tables.info", true },
  { "sz-lessgym-kamenz.de", true },
  { "szafkirtv.pl", true },
  { "szamitogepdepo.com", true },
  { "szasz.me", true },
  { "szclsya.me", true },
  { "szechenyi2020.hu", true },
  { "szentistvanpt.sk", true },
  { "szeptylasu.eu", true },
  { "szetowah.org.hk", true },
  { "szkolajazdykaleta.pl", true },
  { "szs.space", true },
  { "sztoriboljeles.hu", true },
  { "szuecs.net", true },
  { "szurgot.eu", true },
  { "szww99.cc", true },
  { "szybkiebieganie.pl", true },
  { "szymczak.at", true },
  { "szyndler.ch", true },
  { "szzsivf.com", true },
  { "t-hawk.com", true },
  { "t-m.me", true },
  { "t-net.org.hu", true },
  { "t-nice.com", true },
  { "t-pc.org", true },
  { "t-shirts4less.nl", true },
  { "t-stonegroup.com", true },
  { "t.facebook.com", false },
  { "t00228.com", false },
  { "t00ts.com", true },
  { "t060.com", true },
  { "t070.com", true },
  { "t0ny.name", true },
  { "t1208.com", false },
  { "t1209.com", false },
  { "t12u.com", true },
  { "t1316.com", false },
  { "t1317.com", false },
  { "t1318.com", false },
  { "t1319.com", false },
  { "t2181.com", false },
  { "t2182.com", false },
  { "t2183.com", false },
  { "t2881.com", false },
  { "t2i.nl", true },
  { "t3.ie", true },
  { "t36533.com", true },
  { "t36594.com", true },
  { "t39.com", true },
  { "t3hty.fr", true },
  { "t449.com", true },
  { "t47.io", true },
  { "t4c.link", true },
  { "t4cc0.re", true },
  { "t4w.me", true },
  { "t51365.com", true },
  { "t5880.com", false },
  { "t5881.com", false },
  { "t59970.com", true },
  { "t59971.com", true },
  { "t59972.com", true },
  { "t59973.com", true },
  { "t59974.com", true },
  { "t59981.com", true },
  { "t59982.com", true },
  { "t59983.com", true },
  { "t59984.com", true },
  { "t59985.com", true },
  { "t59986.com", true },
  { "t6354.com", false },
  { "t6360.com", false },
  { "t6364.com", false },
  { "t6370.com", false },
  { "t6371.com", false },
  { "t6381.com", false },
  { "t68000.com", true },
  { "t6801.com", true },
  { "t6810.com", true },
  { "t68100.com", true },
  { "t6820.com", true },
  { "t68200.com", true },
  { "t6830.com", true },
  { "t68300.com", true },
  { "t68400.com", true },
  { "t6850.com", true },
  { "t68500.com", true },
  { "t6860.com", true },
  { "t68600.com", true },
  { "t6870.com", true },
  { "t68700.com", true },
  { "t6880.com", false },
  { "t68800.com", true },
  { "t6881.com", false },
  { "t68900.com", true },
  { "t68app.com", true },
  { "t7009.com", false },
  { "t7035.com", true },
  { "t7119.com", false },
  { "t776633.com", false },
  { "t7802.com", false },
  { "t7805.com", false },
  { "t7807.com", false },
  { "t7808.com", false },
  { "t7809.com", false },
  { "t7880.com", false },
  { "t7e.de", false },
  { "t8003.com", false },
  { "t8006.com", false },
  { "t8070.com", false },
  { "t8110.com", false },
  { "t8119.com", false },
  { "t8250.com", false },
  { "t8803.com", true },
  { "t8805.com", true },
  { "t8807.com", true },
  { "t8809.com", true },
  { "t8815.com", true },
  { "t8817.com", true },
  { "t8819.com", true },
  { "t8830.com", true },
  { "t88gg.com", true },
  { "t88jj.com", true },
  { "t88mm.com", true },
  { "t88nn.com", true },
  { "t88oo.com", true },
  { "t88ss.com", true },
  { "t88vip0.com", true },
  { "t88vip1.com", true },
  { "t88vip2.com", true },
  { "t88vip3.com", true },
  { "t88vip4.com", true },
  { "t88vip5.com", true },
  { "t88vip6.com", true },
  { "t88vip7.com", true },
  { "t9i.in", true },
  { "ta-65.com", true },
  { "ta-nuth.nl", true },
  { "ta-soest.nl", true },
  { "ta65.com", true },
  { "taabe.net", true },
  { "taalcursusvolgen.nl", true },
  { "taalmeisje.nl", true },
  { "taanishsaifu.gq", true },
  { "taartbesteld.nl", true },
  { "tabacundo.tk", true },
  { "tabarnak.ga", true },
  { "tabegamisama.com", true },
  { "tabhui.com", true },
  { "tabi-news.com", true },
  { "tabi-runrun.com", true },
  { "tabithawebb.co.uk", true },
  { "tableandhearth.com", true },
  { "tabledusud.be", true },
  { "tabledusud.nl", true },
  { "tablemagnet.com", true },
  { "tableres.com", true },
  { "tablerocksbestrealtors.com", true },
  { "tablescraps.com", true },
  { "tablet.facebook.com", false },
  { "tabletd.com", true },
  { "tabletsbaratasya.com", true },
  { "tableturnrms.com", true },
  { "tablotv.com", false },
  { "taborsky.cz", true },
  { "tac-volley.com", false },
  { "tachi.uk", true },
  { "tackleyourfeelings.com", true },
  { "tacomafia.net", true },
  { "tactical.zone", true },
  { "tacticalavocado.com", true },
  { "tacticalvote.co.uk", true },
  { "tadalafilindia.gq", true },
  { "tadamstudio.ca", true },
  { "taddiestales.com", true },
  { "tadeo.ca", true },
  { "tadiranbatteries.de", true },
  { "tadjikistan.tk", true },
  { "tadluedtke.com", true },
  { "tadtadya.com", true },
  { "tadu.de", true },
  { "taffe-elec.com", true },
  { "tagabrand.co.uk", true },
  { "tagderinspiration.ch", true },
  { "tagdocumentary.com", true },
  { "taggedpdf.com", false },
  { "taggigkaktus.tk", true },
  { "taginet.com", true },
  { "taglioepiega.com", true },
  { "taglioepiega.eu", true },
  { "taglioepiega.it", true },
  { "tagnull.de", true },
  { "tagtoys.com", true },
  { "taguette.com", true },
  { "taguette.fr", true },
  { "taguette.org", true },
  { "tagungsraum-usedom.de", true },
  { "tagungsraum-zinnowitz.de", true },
  { "tagungsstaette-usedom.de", true },
  { "tagungsstaette-zinnowitz.de", true },
  { "taherian.me", true },
  { "tahhan-tech.com", true },
  { "tai-in.com", true },
  { "tai-in.net", true },
  { "taichichuanyang.com", true },
  { "taihesy.tk", true },
  { "taiklus.lt", true },
  { "tail.id.lv", true },
  { "tail.ml", true },
  { "tails.boum.org", true },
  { "tailwag.party", true },
  { "taimane.com", true },
  { "taiphanmem.net", true },
  { "taishokudaiko.com", true },
  { "taishon.nagoya", true },
  { "taitmacleod.com", true },
  { "taiwan.dating", true },
  { "taiwanhotspring.net", true },
  { "taiwania.capital", true },
  { "taiwania.vc", true },
  { "taiwaniacapital.com", true },
  { "taiwaniacapital.com.tw", true },
  { "taiwaniacapital.tw", true },
  { "taiwantour.info", true },
  { "taiyouko-hatuden.net", true },
  { "taizegroep.nl", true },
  { "tajper.pl", true },
  { "tajr.shop", true },
  { "take1give1.com", false },
  { "takeaimnow.org", true },
  { "takemoto-ped.com", true },
  { "taken.cf", true },
  { "taken.pl", true },
  { "takeomi.jp", true },
  { "takeshifujimoto.com", false },
  { "taki.sh", true },
  { "taki.to", true },
  { "takipone.com", true },
  { "takk.pl", true },
  { "takkaaaaa.com", true },
  { "takkguitar.net", true },
  { "taktak.co.uk", true },
  { "takuhai12.com", true },
  { "takumi-s.net", true },
  { "takuto.de", false },
  { "talendipank.ee", true },
  { "talentcast.nl", true },
  { "talentcast.org", true },
  { "talentos.pt", true },
  { "talentwall.io", true },
  { "taler.net", true },
  { "talesbazaar.com", true },
  { "talichi.com", true },
  { "talideon.com", false },
  { "talis-bs.com", true },
  { "talk.google.com", true },
  { "talkaboutdesign.com", true },
  { "talkgadget.google.com", true },
  { "talking12.com", true },
  { "talkingmoose.net", true },
  { "talkmojang.club", true },
  { "talkreal.net", true },
  { "talktech.com", true },
  { "talkwithyourbaby.org", true },
  { "tallcraft.com", true },
  { "talldude.net", true },
  { "tallgrasslegal.com", true },
  { "tallinnsec.ee", true },
  { "tallinnsex.ee", true },
  { "tallship.cz", true },
  { "tallyfy.com", true },
  { "talroo.com", true },
  { "talun.de", true },
  { "talusan.tk", true },
  { "talxis.com", true },
  { "tamada.expert", true },
  { "tamarimolhem.com", true },
  { "tambayology.com", true },
  { "tambo.es", true },
  { "tambov.tk", true },
  { "tambre.ee", true },
  { "tamersunion.org", true },
  { "tamindir.com", true },
  { "tammy.pro", true },
  { "tamoxifen-citrate.ml", true },
  { "tampabaybusinesslistings.com", true },
  { "tampabayhometours.info", true },
  { "tampacific.net", true },
  { "tampacific.vn", true },
  { "tamposign.fr", true },
  { "tamriel-rebuilt.org", true },
  { "tamtowild.com", true },
  { "tanacio.com", true },
  { "tancredi.nl", true },
  { "tandakutip.com", true },
  { "tandarts-ict.nl", true },
  { "tandartsen-ict.nl", true },
  { "tandartszilverschoon.nl", true },
  { "tandemexhibits.com", true },
  { "tandempartnerships.com", true },
  { "tandoanh.vn", true },
  { "tandzorg.link", true },
  { "tangel.me", true },
  { "tangemann.org", true },
  { "tangle-teezer.net", true },
  { "tangledmeditations.com", true },
  { "tango-ouest.com", false },
  { "tangoalpha.co.uk", true },
  { "tanhit.com", true },
  { "taniafitness.co.uk", true },
  { "taniafitness.com", true },
  { "tanie-uslugi-ksiegowe.pl", true },
  { "taniku-succulent.com", true },
  { "tankpassen-vergelijken.nl", true },
  { "tanks.je", true },
  { "tankski.co.uk", true },
  { "tannenhof-moelln.de", true },
  { "tannerdewitt.com", true },
  { "tannerryan.ca", true },
  { "tannerwilliamson.com", true },
  { "tannerwj.com", true },
  { "tanovar.com", true },
  { "tansuya.jp", true },
  { "tantalos.nl", true },
  { "tantei100.net", true },
  { "tantetilli.de", false },
  { "tanto259.name", true },
  { "tantravoorlichting.nl", true },
  { "tanveersingh.tk", true },
  { "tanyanama.com", true },
  { "tanyatate.xyz", true },
  { "tanz.info", true },
  { "tanzhijun.com", true },
  { "tanzo.io", true },
  { "taoaworld.com", true },
  { "taoburee.com", true },
  { "taotic.eu", true },
  { "taowa.ca", true },
  { "tapchiphaidep.info", true },
  { "tapissier-schall.fr", true },
  { "taprix.org", true },
  { "tapsnapp.co", true },
  { "taptoweb.com", true },
  { "taquilla.com", true },
  { "tar-mag.com", true },
  { "tara.ai", true },
  { "tarakan-klopik.tk", true },
  { "taranagar.tk", true },
  { "tarasecurity.co.uk", true },
  { "tarasecurity.com", true },
  { "tarasevich.by", true },
  { "tarba-schluesseldienst-duesseldorf.de", true },
  { "tardis.io", true },
  { "tarek.wtf", true },
  { "tarfin.com", true },
  { "targetbuilding.com", true },
  { "targetx.pl", true },
  { "targimieszkaniowe.net", true },
  { "tarife.at", true },
  { "tariff.cc", true },
  { "tarija.tk", true },
  { "tarik.io", true },
  { "tarkov-database.com", true },
  { "tarmexico.com", true },
  { "taron.top", true },
  { "tarotistasvidentes.es", true },
  { "tarotsgratuits.com", true },
  { "tarsan.cz", true },
  { "tartaneagle.org.uk", true },
  { "tartanhamedshop.com.br", true },
  { "taruntarun.net", false },
  { "tarzanka.ml", true },
  { "tas.best", true },
  { "tas2580.net", false },
  { "tasadar.net", true },
  { "tasadordecoches.com", true },
  { "tasarimgazetesi.com", true },
  { "tascuro.com", true },
  { "taskhorizon.audio", true },
  { "taskotron.fedoraproject.org", true },
  { "taskotron.stg.fedoraproject.org", true },
  { "tasks.org", true },
  { "taskstream.com", true },
  { "taskulu.com", true },
  { "taskulu.ir", true },
  { "taskutark.ee", true },
  { "taskworld.com", true },
  { "tasogarenoinori.net", true },
  { "tass.nu", true },
  { "tastycake.net", false },
  { "tastystakes.com", true },
  { "tat2grl85.com", true },
  { "tatara.ne.jp", true },
  { "tatard.fr", true },
  { "tateishi-ip.com", true },
  { "tathanhson.com", false },
  { "tatiana-kpb.tk", true },
  { "tatildekirala.com", true },
  { "tatler.com", true },
  { "tato.noip.me", true },
  { "tatsidou.gr", true },
  { "tattoo-art.tk", true },
  { "tattoo.dating", true },
  { "tattooli.com", true },
  { "tattvaayoga.com", true },
  { "tatuantes.com", true },
  { "taubin.cc", true },
  { "tauedu.org", true },
  { "tauflight.com", true },
  { "taunusstein.net", true },
  { "tauran.net", true },
  { "tauriscia.tk", true },
  { "tavolaquadrada.com.br", true },
  { "tavsys.net", true },
  { "tax-brain.net", true },
  { "tax-guard.com", true },
  { "taxaroo.com", true },
  { "taxationweb.co.uk", true },
  { "taxce.com", true },
  { "taxedesejour-airbnb.fr", true },
  { "taxhawk.com", true },
  { "taxhunter.com.au", true },
  { "taxi-chamonix.fr", false },
  { "taxi-collectif.ch", false },
  { "taxi-domzale.tk", true },
  { "taxi-edessas.gr", true },
  { "taxi-jihlava.cz", true },
  { "taxi-legroux.com", true },
  { "taxi-puck.pl", true },
  { "taxi-waregem.be", true },
  { "taxi-zakaz.ml", true },
  { "taxicab4you.com", true },
  { "taxichic.com", true },
  { "taxicollectif.ch", false },
  { "taxid-k.be", true },
  { "taximinvody.ml", true },
  { "taxis-collectifs.ch", false },
  { "taxisaeropuertomadrid.com", true },
  { "taxiscollectifs.ch", false },
  { "taxlab.co.nz", true },
  { "taxo.fi", true },
  { "taxpackagesupport.com", true },
  { "taxsquirrel.com", true },
  { "taylorfry.com.au", true },
  { "taylorgalleries.com", true },
  { "taylorpearson.me", false },
  { "taylors-castles.co.uk", true },
  { "taylorshillsamoan.org", true },
  { "taylorstauss.com", true },
  { "tazarelax.es", true },
  { "tb-devel.de", true },
  { "tb-itf.de", true },
  { "tba.bm", true },
  { "tbb2020.com", true },
  { "tbbvip1.com", true },
  { "tbejos.com", true },
  { "tbfocus.com", true },
  { "tbitc.ch", true },
  { "tbonejs.org", true },
  { "tbpchan.cz", true },
  { "tbrindus.ca", true },
  { "tbs-certificates.co.uk", true },
  { "tbspace.de", true },
  { "tbtech.cz", true },
  { "tbuchloh.de", true },
  { "tc-st-leonard.ch", false },
  { "tc.nz", true },
  { "tcdw.net", true },
  { "tcf.org", true },
  { "tcgpraktijk.nl", true },
  { "tcgrepublic.com", true },
  { "tchannels.tv", true },
  { "tche.digital", true },
  { "tchealers.com", true },
  { "tchebb.me", true },
  { "tchebotarev.com", true },
  { "tchnics.de", true },
  { "tchoukball.ch", false },
  { "tchverheul.nl", true },
  { "tcit.fr", true },
  { "tcj.ir", true },
  { "tcksolutions.com", true },
  { "tcl.sh", true },
  { "tclb.ga", true },
  { "tcmwellnessclinic.com", true },
  { "tcnapplications.com", true },
  { "tcpride.org", true },
  { "tcpweb.net", true },
  { "tcvvip.com", true },
  { "tcwis.com", true },
  { "tdchrom.com", false },
  { "tddos.pw", true },
  { "tdfbfoundation.org", true },
  { "tdr.today", true },
  { "tdrcartuchos.com.br", true },
  { "tdrs.info", true },
  { "tdsinflatables.co.uk", true },
  { "tdstoragebay.com", true },
  { "tdude.co", true },
  { "tdvg.nl", true },
  { "tdyx-china.com.cn", true },
  { "tea-empire.co.uk", true },
  { "tea.in.th", true },
  { "teachbiz.net", true },
  { "teachercreatedmaterials.com", true },
  { "teacherph.com", true },
  { "teacherpowered.org", true },
  { "teachersasap.info", true },
  { "teachmeplease.ru", true },
  { "teachpeople.org", true },
  { "teachwithouttears.com", true },
  { "teahut.net", true },
  { "tealdotsinanorangeworld.com", true },
  { "team-azerty.com", true },
  { "team-io.net", true },
  { "team005helpdesk.ddns.net", true },
  { "team3482.com", true },
  { "teamacadia.org", true },
  { "teambeam.at", true },
  { "teambeam.ch", true },
  { "teambeam.com", true },
  { "teambeam.de", true },
  { "teambim.eu", true },
  { "teambition.com", true },
  { "teamfilm.tk", true },
  { "teamkoncert.pl", true },
  { "teamliquid.com", true },
  { "teamliquidpro.com", true },
  { "teammateworld.com", true },
  { "teamninjaapp.com", true },
  { "teamnissannorthparts.com", true },
  { "teampaddymurphy.ch", true },
  { "teampaddymurphy.ie", true },
  { "teamrevolution.tk", true },
  { "teams.microsoft.com", true },
  { "teamsimplythebest.com", true },
  { "teamspeak-serverlist.xyz", true },
  { "teamsuccess.io", true },
  { "teamtouring.net", true },
  { "teamtrack.uk", true },
  { "teamup.com", true },
  { "teamup.rocks", true },
  { "teamupturn.com", true },
  { "teamupturn.org", true },
  { "teamwpsekure.com", true },
  { "teamx-gaming.de", true },
  { "tearoomlints.be", true },
  { "tease.email", true },
  { "teasenetwork.com", true },
  { "teaser-trailer.com", true },
  { "teatr-dva-kryla.ru", true },
  { "teatrarium.com", true },
  { "teazer.tk", true },
  { "teb-akademia.pl", true },
  { "tebebo.com", true },
  { "tebodental.com", true },
  { "teboorthodontics.com", true },
  { "tec3000.ch", false },
  { "tecart-cloud.de", true },
  { "tecart-system.de", true },
  { "tecartcrm.de", true },
  { "tecfleet.com", true },
  { "tech-banker.com", false },
  { "tech-blogger.net", true },
  { "tech-clips.com", false },
  { "tech-essential.com", true },
  { "tech-info.jp", true },
  { "tech-leaders.jp", true },
  { "tech-ninja.de", true },
  { "tech-rat.com", true },
  { "tech-seminar.jp", true },
  { "tech-value.eu", true },
  { "tech-zealots.com", true },
  { "tech4arab.net", true },
  { "tech4greece.gr", true },
  { "techableme.com", true },
  { "techace.jp", true },
  { "techamigo.in", true },
  { "techaraby.com", true },
  { "techassist.io", false },
  { "techaulogy.com", true },
  { "techbrown.com", true },
  { "techcentral.my", false },
  { "techcenturion.com", true },
  { "techchip.com", true },
  { "techcracky.com", true },
  { "techcu.lt", true },
  { "techcultivation.de", false },
  { "techcultivation.net", false },
  { "techcultivation.org", false },
  { "techdatapark.com", true },
  { "techday.asia", true },
  { "techday.co.nz", true },
  { "techday.com.au", true },
  { "techday.eu", true },
  { "techday.network", true },
  { "techdirt.com", true },
  { "techdroid.eu", true },
  { "techendeavors.com", true },
  { "techfishnews.com", true },
  { "techformator.pl", true },
  { "techgadgetry.in", true },
  { "techhappy.ca", true },
  { "techinet.pl", true },
  { "techinsurance.com", true },
  { "techjobplaybook.nyc", true },
  { "techjoe.co", true },
  { "techlovers.com", true },
  { "techlr.de", true },
  { "techmagus.icu", true },
  { "techmajesty.com", true },
  { "techmanstan.com", true },
  { "techmasters.io", true },
  { "techmoviles.com", true },
  { "techmunchies.net", true },
  { "techni-grav.com", true },
  { "technic3000.com", true },
  { "technicabv.nl", true },
  { "technicallyeasy.net", true },
  { "technicaloffice.gr", true },
  { "technicalproblem.tk", true },
  { "technicalramblings.com", true },
  { "technicalsystemsprocessing.com", true },
  { "technik-boeckmann.de", true },
  { "technochat.in", true },
  { "technogps.com", true },
  { "technogroup.cz", true },
  { "technokicks.com", true },
  { "technologie-innovation.fr", true },
  { "technology.cx", true },
  { "technologyhound.org", true },
  { "technologysi.com", true },
  { "technorely.com", true },
  { "technosapien.ml", true },
  { "technoscoots.com", true },
  { "technosorcery.net", true },
  { "technospeakco.com", true },
  { "technowise.tk", true },
  { "techold.ru", false },
  { "techorbiter.com", true },
  { "techosmarcelo.com.ar", true },
  { "techpilipinas.com", true },
  { "techpit.us", true },
  { "techpivot.net", true },
  { "techpoint.org", true },
  { "techraptor.net", true },
  { "techserve.ml", true },
  { "techshift.eu", true },
  { "techshift.nl", true },
  { "techshift.se", true },
  { "techsmartstore.com", true },
  { "techsolvency.com", true },
  { "techsys.cz", true },
  { "techsystemsa.com", true },
  { "techtalks.no", true },
  { "techtrader.ai", true },
  { "techtrader.io", true },
  { "techusers.de", true },
  { "techvalue.gr", true },
  { "techview.link", true },
  { "techviewforum.com", true },
  { "techvrse.com", true },
  { "techwalker.cf", true },
  { "techwayz.com", true },
  { "techwhisperer.ca", true },
  { "techwords.io", true },
  { "techy360.com", true },
  { "techzero.cn", true },
  { "techzhou.com", true },
  { "teckgeekz.com", true },
  { "teckids.org", true },
  { "tecknobox.fr", true },
  { "tecma.com", true },
  { "tecnaa.com", true },
  { "tecnasa.com", true },
  { "tecne.ws", true },
  { "tecnicoelettrodomestici.roma.it", true },
  { "tecnikan.com.ar", true },
  { "tecnoarea.com.ar", true },
  { "tecnoblog.net", true },
  { "tecnobrasilloja.com.br", true },
  { "tecnocomp-systems.com", true },
  { "tecnodritte.it", true },
  { "tecnogazzetta.it", true },
  { "tecnologiasurbanas.com", true },
  { "tecon.co.at", true },
  { "tecyt.com", true },
  { "ted.do", true },
  { "tedb.us", true },
  { "teddy.ch", true },
  { "teddybradford.com", true },
  { "teddykatz.com", true },
  { "teddylu.info", true },
  { "teddyss.com", false },
  { "tedsdivingsystem.com", true },
  { "teeautomat-teemaschine.de", true },
  { "teemperor.de", true },
  { "teemulintula.fi", true },
  { "teen-porno-video.ru", true },
  { "teenerotic.net", true },
  { "teengirl.pub", true },
  { "teenportal.net", true },
  { "teenpussypornvid.com", true },
  { "teensexgo.com", true },
  { "teensybows.hu", true },
  { "teeqq.com", true },
  { "teetoptens.com", true },
  { "teeworlds-friends.de", true },
  { "teextee.com", true },
  { "tefek.cz", true },
  { "teganlaw.ca", true },
  { "teganlaw.com", true },
  { "tege-elektronik.hu", true },
  { "tegel-schoonmaken.nl", true },
  { "tehden.com", true },
  { "tehniss.rs", true },
  { "tehrabbitt.com", false },
  { "tehranlittmann.com", true },
  { "teichroeb.net", true },
  { "teixobactin.com", true },
  { "teka.ro", true },
  { "tekingb.com", true },
  { "teknemodus.com.au", true },
  { "teknik.io", true },
  { "tekniksnack.se", true },
  { "tekniskakustik.se", true },
  { "tekno.de", true },
  { "teknoforums.com", true },
  { "teknoroit.com", true },
  { "tekstschrijvers.net", true },
  { "tektouch.net", true },
  { "telamon.eu", true },
  { "telco.at", true },
  { "telcodb.net", true },
  { "tele-online.com", true },
  { "tele-points.net", true },
  { "telecamera.pro", false },
  { "telecomwestland.nl", true },
  { "teledivi.com", true },
  { "telefon.report", true },
  { "telefonabonnement.dk", true },
  { "telefonkonferenz.ch", true },
  { "telefonni-ustredna.cz", true },
  { "telefonseelsorge-paderborn.de", true },
  { "telefoon.nl", true },
  { "telefoonabonnement.nl", true },
  { "telegenisys.com", true },
  { "telegra.ph", true },
  { "telegram-sms.com", true },
  { "telegram.hk", true },
  { "telegram.org", true },
  { "telehealthventures.com", false },
  { "telekothonbd.com", true },
  { "teleogistic.net", true },
  { "telephonedirectories.us", true },
  { "telephoni-cdma.tk", true },
  { "telepok.com", true },
  { "teleport.com.br", true },
  { "teleportweb.com.br", true },
  { "teleradio.tk", true },
  { "telestepina.ru", true },
  { "teletexto.com", true },
  { "teletxt.me", true },
  { "televizeseznam.cz", true },
  { "televotia.ch", true },
  { "telework.gov", true },
  { "telford.codes", true },
  { "telhabrasil.com.br", true },
  { "telling.xyz", true },
  { "tellingua.com", false },
  { "tellthemachines.com", true },
  { "tellusaboutus.com", true },
  { "telly.site", true },
  { "tellygames.com", true },
  { "tellyourtale.com", true },
  { "telnet.dk", true },
  { "teloo.pl", true },
  { "telos-analytics.com", true },
  { "telsu.fi", true },
  { "teltru.com", true },
  { "tem.li", true },
  { "temariogratis.com", true },
  { "temariopolicianacional.es", true },
  { "temariosdeoposiciones.es", true },
  { "tematicas.org", true },
  { "temdu.com", true },
  { "temizmama.com", true },
  { "temnacepel.cz", true },
  { "temp.pm", true },
  { "tempa.com.ua", true },
  { "tempdomain.ml", true },
  { "tempdomain.tk", true },
  { "templars.army", true },
  { "template-parks.com", true },
  { "templateinvaders.com", true },
  { "templetattoo.co.za", true },
  { "templete.tk", true },
  { "templum.com.br", true },
  { "tempmail.ninja", true },
  { "temporarysanity.tk", true },
  { "temtekco.com", true },
  { "tenable.com.au", true },
  { "tenber.ge", true },
  { "tenbos.ch", true },
  { "tendance-et-accessoires.com", true },
  { "tende.roma.it", true },
  { "tendermaster.com.ua", true },
  { "tenderplan.ru", true },
  { "tenderstem.co.uk", true },
  { "tenelco.net", true },
  { "tenenz.com", true },
  { "tenfeetsquare.net", true },
  { "tenisservis.eu", true },
  { "tenkofx.com", true },
  { "tenniscourtsjoburg.com", true },
  { "tennismindgame.com", true },
  { "tennisportal.com.ua", true },
  { "tenno.tools", true },
  { "tenpo-iku.com", true },
  { "tenpolab.com", true },
  { "tenshoku-hanashi.com", true },
  { "tenta.com", true },
  { "tentabrowser.com", true },
  { "tentacletank.com", true },
  { "tentations-voyages.com", false },
  { "tenthousandcoffees.com", true },
  { "tenyx.de", true },
  { "tenzer.dk", true },
  { "teodorpravicky.com", true },
  { "teoleonie.com", false },
  { "tepid.org", true },
  { "tepitus.de", true },
  { "teplofom.ru", true },
  { "teplohod.kharkov.ua", true },
  { "teq-automotive.com", true },
  { "tequilazor.com", true },
  { "terabyte.services", true },
  { "terabyteit.co.uk", true },
  { "teracloud.at", true },
  { "teramind.co", true },
  { "teranacreative.com", true },
  { "teraservice.eu", true },
  { "terass.com", true },
  { "terengganudaily.tk", true },
  { "teriyakisecret.com", true },
  { "termbackti.me", true },
  { "terme.viterbo.it", true },
  { "termee.com", true },
  { "termin-online.com", true },
  { "terminalhrd.com", true },
  { "terminalvelocity.co.nz", true },
  { "termino.eu", true },
  { "terminsrakning.se", true },
  { "termitinitus.org", true },
  { "termografiranje.si", true },
  { "termoidraulica.roma.it", true },
  { "termoidraulico.roma.it", true },
  { "termux.com", true },
  { "terra-24.ru", true },
  { "terra.by", true },
  { "terrab.de", false },
  { "terracloud.de", false },
  { "terracom.gr", true },
  { "terraelectronica.ru", true },
  { "terraform.io", true },
  { "terragni-sarasin.ch", true },
  { "terrainator.com", true },
  { "terraluna.space", true },
  { "terranova.fi", true },
  { "terrapay.com", true },
  { "terrasoverkappingvillage.be", true },
  { "terrastaffinggroup.com", false },
  { "terraweb.net", true },
  { "terres-et-territoires.com", true },
  { "terresmagiques.com", false },
  { "terrorbilly.com", true },
  { "terrorblast.tk", true },
  { "terrty.net", true },
  { "terrybutler.co.uk", true },
  { "terryjohnsononline.com", true },
  { "tervemaja.ee", true },
  { "tes.com", true },
  { "tesche.biz", true },
  { "teschenhausen.com", true },
  { "tescoirelandpayslips.com", true },
  { "tescolide.cz", true },
  { "tescoludia.sk", true },
  { "tesdrole.tk", true },
  { "teskalabs.com", true },
  { "teslamagician.com", true },
  { "tessai.ga", true },
  { "tesseractinitiative.org", true },
  { "test-greavesindia.pantheonsite.io", true },
  { "test-iq.gq", true },
  { "test-online.tk", true },
  { "test-school.ml", true },
  { "test-textbooks.com", true },
  { "test.de", true },
  { "test.support", true },
  { "tested.email", true },
  { "testeri.fi", true },
  { "testeveonline.com", true },
  { "testforce.tk", true },
  { "testfra.me", true },
  { "testgeomed.ro", true },
  { "testingbot.com", true },
  { "testmx.email", true },
  { "testmx.eu", true },
  { "testmx.org", true },
  { "testmy.net", true },
  { "testomato.com", true },
  { "testoon.com", true },
  { "testpornsite.com", true },
  { "testsuite.org", true },
  { "testthis.cf", true },
  { "testuje.net", true },
  { "tetedelacourse.ch", true },
  { "teto.nu", true },
  { "tetr.io", true },
  { "tetraetc.com", true },
  { "tetraktus.org", true },
  { "tetrarch.co", true },
  { "tetsai.net", true },
  { "tetsugakunomichi.jp", true },
  { "tetsumaki.net", true },
  { "teulon.eu", true },
  { "teusink.eu", true },
  { "tewarilab.co.uk", true },
  { "tewkesburybouncycastles.co.uk", true },
  { "tewkesburyyoga.com", true },
  { "texasabrasiveblasting.com", true },
  { "texasbluesalley.com", true },
  { "texasholdemevents.net", true },
  { "texashomesandland.com", true },
  { "texasllcpros.com", false },
  { "texasonesource.com", true },
  { "texaspaintingandgutters.com", true },
  { "texasparkinglotstriping.com", true },
  { "texastwostepdivorce.com", true },
  { "texasurodoc.com", true },
  { "texasvolunteerattorneys.org", true },
  { "texaswinetrail.com", true },
  { "texby.com", true },
  { "texhnolyze.net", true },
  { "texiafinishing.com", true },
  { "texier.mx", true },
  { "text-shirt.com", false },
  { "textburst.com", true },
  { "texteditor.co", true },
  { "texter-linz.at", true },
  { "texter.at", true },
  { "texterseo.at", true },
  { "texterseo.de", true },
  { "textonly.email", true },
  { "textpattern.com", true },
  { "textualapp.com", true },
  { "textundblog.de", true },
  { "texture.net.au", true },
  { "texus.me", true },
  { "texy.info", true },
  { "teysens.com", true },
  { "tezwifi.com", true },
  { "tf2b.com", true },
  { "tf2calculator.com", true },
  { "tfb.az", true },
  { "tferdinand.net", true },
  { "tfg-bouncycastles.com", true },
  { "tfle.xyz", true },
  { "tflite.com", true },
  { "tfnapps.de", true },
  { "tfreeman.org", true },
  { "tfx.com.br", true },
  { "tfx.pt", true },
  { "tfxstartup.com", true },
  { "tfxstartup.com.br", true },
  { "tgamobility.co.uk", true },
  { "tgb.org.uk", true },
  { "tgbabyzoo.com", true },
  { "tgbyte.de", true },
  { "tgexport.eu", true },
  { "tgo3333.com", false },
  { "tgo4444.com", false },
  { "tgo5555.com", false },
  { "tgtv.tn", true },
  { "tgtw.cc", true },
  { "tgui.eu", true },
  { "tgui.net", true },
  { "tgw.com", true },
  { "tgwork.com", true },
  { "th.search.yahoo.com", false },
  { "thablubb.de", true },
  { "thaedal.net", true },
  { "thai.dating", true },
  { "thai369.com", true },
  { "thaicurry.net", true },
  { "thaicyberpoint.com", true },
  { "thaiforest.ch", false },
  { "thaiforexfamily.com", true },
  { "thaihomecooking.com", true },
  { "thaihong.co.th", true },
  { "thaihotmodels.tk", true },
  { "thailandpharmacy.net", true },
  { "thailandpropertylisting.com", true },
  { "thaimega.club", true },
  { "thaiportal.gq", true },
  { "thaiwaterbirds.com", true },
  { "thajskyraj.com", true },
  { "thalgo-cz.cz", true },
  { "thalhammer.it", true },
  { "thalia.nu", true },
  { "thalita-reload.com", true },
  { "thallgordleyrealtor.com", true },
  { "thalmann.fr", false },
  { "thambaru.com", true },
  { "thanatoid.net", true },
  { "thanhthinhbui.com", true },
  { "thanhtrungmobile.vn", true },
  { "thaqfni.com", true },
  { "tharuka-app.de", true },
  { "tharuka.com", true },
  { "tharuka.de", true },
  { "thatdarkplace.com", true },
  { "thatguyalex.com", true },
  { "thatquiz.org", true },
  { "thatshayini-sivananthan.fr", true },
  { "thavmacode.gr", true },
  { "thc-stadvdzon.nl", true },
  { "thca.ca", true },
  { "thcdev.de", true },
  { "thconsulting.co.uk", true },
  { "thcpbees.co.uk", true },
  { "the-alan-parsons-project.com", true },
  { "the-archimedeans.org.uk", true },
  { "the-archive.ml", true },
  { "the-azad.com", true },
  { "the-big-bang-theory.com", true },
  { "the-body-shop.hu", false },
  { "the-digitale.com", false },
  { "the-fermenter.com", true },
  { "the-forgotten.net", true },
  { "the-hemingway-code.de", true },
  { "the-jeuxflash.com", true },
  { "the-kuusatu.com", true },
  { "the-medium-dolphore.com", false },
  { "the-mystery.org", true },
  { "the-nash-education-program.com", true },
  { "the-pack.nl", true },
  { "the-pcca.org", true },
  { "the-red.pp.ua", true },
  { "the-train.de", true },
  { "the-trophy-company.com", true },
  { "the-woods.org.uk", true },
  { "the-zenti.de", true },
  { "the1way.net", true },
  { "the2f.de", true },
  { "the3musketeers.biz", true },
  { "the51news.ga", true },
  { "the5th.nl", true },
  { "the8rules.co.uk", true },
  { "thea-team.net", true },
  { "theaccountingcompanyleeds.co.uk", true },
  { "theactuary.ninja", true },
  { "theadelaideshow.com.au", true },
  { "theadultswiki.com", true },
  { "theafleo.ga", true },
  { "thealchemistatelier.com", true },
  { "theallmanteam.com", true },
  { "thealonas.cf", true },
  { "thealonas.ga", true },
  { "thealonas.gq", true },
  { "thealonas.ml", true },
  { "thealonas.tk", true },
  { "theandroidsoul.com", true },
  { "theangelfishfoundation.org", true },
  { "theantarticx.com", true },
  { "theantisocialengineer.com", true },
  { "theappliancedepot.co.uk", false },
  { "theaps.net", true },
  { "theartistjournal.ca", true },
  { "theasianshooter.com", true },
  { "theastrocoach.com", true },
  { "theaterreichenhall.tk", true },
  { "theatre-schools.com", true },
  { "theaustinsevenworkshop.com", true },
  { "theaviationagency.com", true },
  { "theawesomemuse.com", true },
  { "thebabypassport.com", true },
  { "thebacteriafight.gq", true },
  { "thebakers.com.br", false },
  { "thebakery2go.de", true },
  { "thebannerstore.com", true },
  { "thebarrens.nu", true },
  { "thebarrypatch.com", true },
  { "thebasebk.org", true },
  { "thebasicstudio.com", true },
  { "thebcm.co.uk", true },
  { "thebeardedrapscallion.com", true },
  { "thebeginningviolinist.com", true },
  { "thebestfun.co.uk", true },
  { "thebestlaos.ga", true },
  { "thebigbitch.nl", true },
  { "thebigdatacompany.com", true },
  { "thebiglaskowski.com", true },
  { "thebigwave.de", true },
  { "thebikeinsurer.co.uk", true },
  { "thebimhub.com", true },
  { "thebinarys.com", true },
  { "thebirchwoods.com", true },
  { "thebit.link", true },
  { "theblackboard.gr", true },
  { "theblacklock.com", true },
  { "theblondeabroad.com", true },
  { "theblueroofcottage.ca", true },
  { "theboatmancapital.com", true },
  { "theboats.agency", true },
  { "theboats.club", true },
  { "theboats.com", true },
  { "theboats.de", true },
  { "theboats.online", true },
  { "theboats.pro", true },
  { "theboats.site", true },
  { "thebodyprinciple.com", true },
  { "thebonerking.com", true },
  { "thebotanicalstore.com.au", true },
  { "theboulders.com", true },
  { "thebouncedepartment.co.uk", true },
  { "theboxofcarlos.com", true },
  { "thebrainfactory.eu", true },
  { "thebreakroom.org", true },
  { "thebridalcollection.com", true },
  { "thebrightons.co.uk", true },
  { "thebrightons.uk", true },
  { "thebroadcastknowledge.com", true },
  { "thebulletin.io", true },
  { "thebusinessofgoodfilm.com", true },
  { "thebuttongame.io", true },
  { "thecamels.org", true },
  { "thecameradivision.com", true },
  { "thecandidforum.com", true },
  { "thecarolingconnection.com", true },
  { "thecarpenters.tk", true },
  { "thecavalries.com", true },
  { "thechallenge.fit", true },
  { "thechargertimes.com", true },
  { "thecherryship.ch", false },
  { "theclonker.de", true },
  { "thecloudshelter.com", true },
  { "thecluster.xyz", true },
  { "thecoffeecamp.com", true },
  { "thecompany.pl", true },
  { "thecomparativist.com", true },
  { "thecondobuyers.com", true },
  { "theconverter.net", true },
  { "thecr3ative.tk", true },
  { "thecraftingstrider.net", true },
  { "thecrazytravel.com", true },
  { "thecreativeedgeinc.com", true },
  { "thecrescentchildcarecenter.com", true },
  { "thecskr.in", true },
  { "thecuriousdev.com", true },
  { "thecurvyfashionista.com", true },
  { "thecustomdroid.com", true },
  { "theda.co.za", true },
  { "thedailyshirts.com", true },
  { "thedanceacademybuckscounty.com", true },
  { "thedark1337.com", true },
  { "thedarkfusion.tk", true },
  { "thederminstitute.com", true },
  { "thedhs.com", true },
  { "thediamondcenter.com", true },
  { "thediaryofadam.com", true },
  { "thedigitaleconomist.com", true },
  { "thediscovine.com", true },
  { "thedocumentrefinery.com", true },
  { "thedronechart.com", true },
  { "thedroneely.com", true },
  { "thedword.xyz", true },
  { "theedisoncapital.com", true },
  { "theeducationchannel.info", true },
  { "theeducationdirectory.org", true },
  { "theeffingyogablog.com", true },
  { "theeighthbit.com", false },
  { "theel0ja.info", true },
  { "theel0ja.ovh", true },
  { "theemasphere.com", true },
  { "theencounter.nu", true },
  { "theentertainmentcontractor.com", true },
  { "theepiclounge.com", true },
  { "theepicsponge.co.uk", true },
  { "theeverycompany.com", true },
  { "theeyeopener.com", true },
  { "thefairieswantmedead.com", true },
  { "thefamilygarrison.com", true },
  { "thefanimatrix.net", true },
  { "thefasterweb.com", true },
  { "thefengshuioffice.com", true },
  { "theferrarista.com", false },
  { "thefestivals.uk", true },
  { "thefizz.uk", true },
  { "theflightsdesk.com", true },
  { "theflowerbasketonline.com", true },
  { "theflowershopdeddington.com", true },
  { "theflyingbear.net", false },
  { "thefnafarchive.org", true },
  { "thefoodellers.com", true },
  { "thefootinstitutela.com", true },
  { "theforkedspoon.com", true },
  { "thefranknews.com", true },
  { "thefreebay.tk", true },
  { "thefreemail.com", true },
  { "thefriedzombie.com", true },
  { "thefriedzombie.nl", true },
  { "thefriedzombie.online", true },
  { "thefrk.pw", true },
  { "thefuckingtide.com", true },
  { "thefuelcardpeople.co.uk", true },
  { "thefunfirm.co.uk", true },
  { "thefurnitureco.uk", true },
  { "thefurniturefamily.com", true },
  { "thefusion.net.in", true },
  { "thefussyeater.ie", true },
  { "thegarrowcompany.com", true },
  { "thegatheringocala.com", true },
  { "thegaucompany.healthcare", true },
  { "thegeekdiary.com", true },
  { "thegerwingroup.com", true },
  { "thegioidulich.com.vn", true },
  { "thegioinano.com", true },
  { "thegreatcommissionpodcast.com", true },
  { "thegreatplains.com", true },
  { "thegreenpark.co.uk", true },
  { "thegroovecartel.com", true },
  { "thegrowhouse.ca", true },
  { "thehackerblog.com", true },
  { "thehairrepublic.net", true },
  { "thehairstandard.com", true },
  { "thehamiltoncoblog.com", true },
  { "thehardylawfirm.com", true },
  { "thehasty.com", true },
  { "thehaxbys.co.uk", true },
  { "theheatingoilclub.co.uk", true },
  { "thehobincompany.com", true },
  { "thehoff.ddnss.de", true },
  { "thehomeicreate.com", true },
  { "thehonorguard.org", true },
  { "thehookup.be", true },
  { "thehub.ai", false },
  { "thehullbeekeeper.co.uk", true },
  { "theidiotboard.com", true },
  { "theig.co", true },
  { "theilluminatisociety.org", true },
  { "theillustrationstudio.com.au", true },
  { "theimaginationagency.com", true },
  { "theinboxpros.com", true },
  { "theindiantrip.com", false },
  { "theinflatables-ni.co.uk", true },
  { "theinitium.com", false },
  { "theinnerprism.com", true },
  { "theintercept.com", true },
  { "theinternationalgeekconspiracy.eu", true },
  { "theissen.io", true },
  { "theitsage.com", false },
  { "thejimmyw.uk", true },
  { "thejoneshub.com", true },
  { "thejunkfiles.com", true },
  { "thekev.in", true },
  { "thekeytobusiness.co.uk", true },
  { "thekiddz.com", true },
  { "thekingofhate.com", false },
  { "theknockout.tk", true },
  { "thekodester.ca", true },
  { "thekonsulthub.tk", true },
  { "thekovnerfoundation.org", true },
  { "thekuwayama.net", true },
  { "thelaimlife.com", true },
  { "thelakedistrict.tk", true },
  { "thelanscape.com", true },
  { "thelbc.io", true },
  { "thelearningenterprise.co.uk", true },
  { "thelegionshirley.co.uk", true },
  { "thelencystore.com", true },
  { "thelevelman.com", true },
  { "thelicagency.com", true },
  { "thelifeofmala.com", true },
  { "thelinuxtree.net", true },
  { "thelittlecraft.com", true },
  { "thelittlejewel.com", true },
  { "thelocals.ru", true },
  { "thelonelyones.co.uk", true },
  { "thelonious.nl", true },
  { "thelostyankee.com", true },
  { "thelounge.chat", true },
  { "themallards.info", true },
  { "themarshallproject.org", true },
  { "themaster.site", true },
  { "themasterplan.com.au", true },
  { "themathscentre.com", true },
  { "themattresswarehouse.co.za", true },
  { "themecraft.studio", true },
  { "themegteam.com", true },
  { "themenzentrisch.de", true },
  { "themerchandiser.net", false },
  { "themeridianway.com", true },
  { "themiddle.co", true },
  { "themigraineinstitute.com", true },
  { "theminiacs.com", true },
  { "themist.cz", true },
  { "themoneyconverter.com", true },
  { "themonkeytrail.co.uk", true },
  { "themonthly.com.au", true },
  { "themostexpensiveworkofart.com", true },
  { "themusecollaborative.org", true },
  { "themusic.cloud", true },
  { "themusicinnoise.net", true },
  { "thenerdic.com", true },
  { "thenest.se", true },
  { "thenetw.org", true },
  { "thenextasset.com", true },
  { "thenexwork.com", true },
  { "thenine.info", true },
  { "theninenine.com", true },
  { "thenocman.com", true },
  { "thenowheremen.com", true },
  { "theo-andreou.org", true },
  { "theobg.co", true },
  { "theobora.fr", true },
  { "theobromos.fr", true },
  { "theoc.co", true },
  { "theocg.co", true },
  { "theocratic.cf", true },
  { "theodeboer.nl", true },
  { "theodorahome.co", true },
  { "theodorahome.com.br", true },
  { "theofleck.com", false },
  { "theojellis.com", true },
  { "theokouzelis.com", true },
  { "theolivetreerestaurants.com", true },
  { "theologyz.com", true },
  { "theonegroup.co.uk", true },
  { "theonethaimassage.de", true },
  { "theoosmetalart.nl", true },
  { "theoptechnation.com", true },
  { "theoriginalbit.com", true },
  { "theoriginalmarkz.com", true },
  { "theorioncorrelation.com", true },
  { "theory-test-online.co.uk", true },
  { "theory.org", true },
  { "theoscure.eu", true },
  { "theoutline.com", true },
  { "theoutsiders.stream", true },
  { "thepartner.co.uk", true },
  { "thepartydoctors.co.uk", true },
  { "thepasteb.in", true },
  { "thepathsofdiscovery.com", true },
  { "thepaulagcompany.com", false },
  { "thepavilionbanbury.co.uk", true },
  { "thepaymentscompany.com", true },
  { "thepb.in", true },
  { "theperry.group", true },
  { "thepharm.co.nz", true },
  { "thephp.cc", true },
  { "thepieslicer.com", true },
  { "thepillclub.com", true },
  { "thepiratesociety.org", true },
  { "theplasticsurgerycenterofnashville.com", true },
  { "theplayspot.co.uk", true },
  { "theploughharborne.co.uk", true },
  { "thepoplarswines.com.au", true },
  { "thepriorybandbsyresham.co.uk", true },
  { "theprojectx.tk", true },
  { "thepromisemusic.com", true },
  { "theptclist.tk", true },
  { "thepurplemaids.com", true },
  { "theralino.de", true },
  { "theramo.re", true },
  { "therandombits.com", false },
  { "therapiemi.ch", true },
  { "therapyclient.com", true },
  { "therapyconnects.co.uk", true },
  { "therapynotes.com", true },
  { "therapypartner.com", true },
  { "therapyportal.com", true },
  { "therapysxm.com", false },
  { "therealchamps.com", true },
  { "therealcost.gov", true },
  { "thereaper.net.au", true },
  { "theredsgazette.tk", true },
  { "theregoesbrian.com", true },
  { "thereisnocloud.fr", true },
  { "therepublicofliverpool.com", true },
  { "theresa-mayer.eu", true },
  { "therevenge.me", true },
  { "therhetorical.ml", false },
  { "thermalbad-therme.de", true },
  { "thermalflowtech.com", true },
  { "thermia.co.nz", true },
  { "thermia.com.au", true },
  { "thermique.ch", false },
  { "thermity.com", true },
  { "thermolamina.nl", true },
  { "thermorecetas.com", true },
  { "thermowood-bkh.ru", true },
  { "theroks.com", false },
  { "theroyalmarinescharity.org.uk", true },
  { "therudeworkout.com", true },
  { "therugswarehouse.co.uk", true },
  { "theruleslawyer.net", true },
  { "therumfordcitizen.com", true },
  { "therworth.com", true },
  { "therworth.eu", true },
  { "therworth.net", true },
  { "therworth.org", true },
  { "thesalonthing.com", false },
  { "thesandboxchicago.com", true },
  { "thesanta.biz", true },
  { "thesarogroup.com", true },
  { "thesassynut.com", true },
  { "thesaturdaypaper.com.au", true },
  { "thesaurus.net", true },
  { "theschool.jp", true },
  { "thescientists.nl", true },
  { "thesecondsposts.com", false },
  { "thesecurityvault.com", true },
  { "theseed.io", true },
  { "theseoframework.com", true },
  { "theseoplatform.co.uk", true },
  { "theseosystem.com", true },
  { "theserviceyouneed.com", true },
  { "thesession.org", false },
  { "thesetwohands864.com", true },
  { "theshaker.com.au", true },
  { "thesharedbrain.ch", false },
  { "thesharedbrain.com", false },
  { "theshine.pl", false },
  { "theshopally.com", false },
  { "theshots.cz", true },
  { "thesignalco.com.au", true },
  { "thesimplewebcompany.com", true },
  { "thesisgeek.com", true },
  { "thesishelp.net", true },
  { "theskingym.co.uk", true },
  { "thesmallbusinesswebsiteguy.com", true },
  { "thesmokingcuban.com", true },
  { "thesnellvilledentist.com", false },
  { "thesoundstageatstrangeland.com", true },
  { "thesplashlab.com", true },
  { "thesslonline.com", true },
  { "thesslstore.com", true },
  { "thestatementjewelry.com", true },
  { "thestationatwillowgrove.com", true },
  { "thesteamrooms.com", true },
  { "thesteins.org", false },
  { "thestockoasis.com", true },
  { "thestoneage.de", true },
  { "thestory.ie", true },
  { "thestoryshack.com", true },
  { "thestrategyagency.com.au", true },
  { "thestreamable.com", true },
  { "thestudioslucan.com", true },
  { "thestylebouquet.com", true },
  { "thesunshinecoasttourcompany.com.au", true },
  { "thesuppercircle.com", true },
  { "theswimdoctors.com", true },
  { "theswissbay.ch", true },
  { "theta.eu.org", true },
  { "thetassos.com", true },
  { "thetechbasket.com", true },
  { "thetechieflutist.com", true },
  { "thethoughttrainer.com", true },
  { "thethreadofhope.org", true },
  { "thethreadsmiths.com.tw", true },
  { "thethreepercent.marketing", true },
  { "thetiedyelab.com", true },
  { "thetinylife.com", true },
  { "thetipo01.tk", true },
  { "thetomatosoup.com", true },
  { "thetomharling.com", true },
  { "thetopmovie.gq", true },
  { "thetradinghall.com", false },
  { "thetravelhack.com", true },
  { "thetree.ro", true },
  { "thetrendspotter.net", true },
  { "thetuco.fr", true },
  { "thetuxkeeper.de", false },
  { "thetvtraveler.com", true },
  { "thetwistedrabbit.com", true },
  { "theundefeated.com", true },
  { "thevacweb.com", true },
  { "thevalentineconstitution.com", true },
  { "thevalueofarchitecture.com", true },
  { "thevanishedvoyager.ml", true },
  { "theveils.net", true },
  { "thevenueofhollywood.com", true },
  { "thevenuevr.com", true },
  { "theverybusyoffice.co.uk", true },
  { "thevgg.com", false },
  { "theviolenceofdevelopment.com", true },
  { "thevirtualbookkeepers.com", true },
  { "thevisasofoz.com", true },
  { "thevoya.ga", false },
  { "thewagesroom.co.uk", true },
  { "thewayofthedojo.com", true },
  { "thewebflash.com", true },
  { "thewebsitedoctors.co.uk", true },
  { "thewebsitemarketingagency.com", true },
  { "thewehmeiers.com", true },
  { "thewhitehat.club", true },
  { "thewhitneypaige.com", true },
  { "thewizardsmanse.com", true },
  { "thewoodkid.com.au", true },
  { "theworkingeye.nl", true },
  { "theworldbattle.com", true },
  { "theworldexchange.com", true },
  { "theworldexchange.net", true },
  { "theworldexchange.org", true },
  { "theworldsend.eu", true },
  { "thexme.de", true },
  { "theyakshack.co.uk", true },
  { "theycallmefox.net", true },
  { "theyear199x.org", true },
  { "theyearinpictures.co.uk", true },
  { "theyosh.nl", false },
  { "thezero.org", true },
  { "thezillersathenshotel.com", true },
  { "thiagohersan.com", true },
  { "thienteakee.com", true },
  { "thiepcuoidep.com", true },
  { "thiepxinh.net", true },
  { "thierry-daellenbach.com", false },
  { "thierrybasset.ch", false },
  { "thietbithoathiem.net", true },
  { "thietkegianhangtttm.com", true },
  { "thijmenmathijs.nl", true },
  { "thijs.amsterdam", true },
  { "thijs.fr", true },
  { "thijsbekke.nl", true },
  { "thijsenarjan.nl", true },
  { "thijsslop.com", true },
  { "thijsslop.eu", true },
  { "thijsslop.nl", true },
  { "thijsvanderveen.net", true },
  { "thilobuchholz.de", true },
  { "thimbros.tk", true },
  { "thinair.co", true },
  { "thinairsolutions.com", true },
  { "thincats.com", true },
  { "thinegen.de", true },
  { "thing.vn", false },
  { "thing4everyone.com", true },
  { "thingies.site", true },
  { "thingsandcode.com", true },
  { "thingsimplied.com", false },
  { "thingswithstuff.llc", false },
  { "think-asia.org", true },
  { "think-pink.info", true },
  { "think-positive-watches.de", true },
  { "thinkbot.de", true },
  { "thinkheaddesign.com", true },
  { "thinkindifferent.net", true },
  { "thinkingandcomputing.com", true },
  { "thinkingliberty.com", true },
  { "thinkmarketing.ca", true },
  { "thinkrealty.com", true },
  { "thinktac.com", true },
  { "thinktux.net", true },
  { "thirdbearsolutions.com", true },
  { "thirdgenphoto.co.uk", true },
  { "thirdwaverevenue.com", true },
  { "thiry-automobiles.net", false },
  { "thisbrownman.com", true },
  { "thiscloudiscrap.com", false },
  { "thiscode.works", true },
  { "thisdot.site", true },
  { "thisfreelife.gov", true },
  { "thisgrowth.com", true },
  { "thisishugo.com", true },
  { "thisistechtoday.com", true },
  { "thisistranquility.life", true },
  { "thismatter.com", true },
  { "thisoldearth.com", true },
  { "thisphone.us", true },
  { "thisserver.dontexist.net", true },
  { "thistleandleaves.com", true },
  { "thitruongsi.com", true },
  { "thmail.ml", true },
  { "thmpartners.com", true },
  { "thoe.xyz", true },
  { "thoitrangsikimanh.com", true },
  { "tholcomb.com", true },
  { "thole.org", true },
  { "thom4s.info", true },
  { "thomalaudan.de", true },
  { "thomas-sammut.com", true },
  { "thomas-schmittner.de", true },
  { "thomas-steel.com", true },
  { "thomas-suchon.fr", true },
  { "thomas.computer", true },
  { "thomas.love", false },
  { "thomasbeckers.be", true },
  { "thomasbreads.com", false },
  { "thomascauquil.fr", true },
  { "thomasduerlund.com", true },
  { "thomasduerlund.dk", true },
  { "thomasecookedds.com", true },
  { "thomasetsophie.fr", true },
  { "thomaseyck.com", true },
  { "thomasfoster.co", true },
  { "thomashunter.name", false },
  { "thomaskoscheck.de", true },
  { "thomasmcfly.com", true },
  { "thomasmerritt.de", true },
  { "thomaspluschris.com", true },
  { "thomassen.sh", true },
  { "thomastestor.tk", true },
  { "thomastimepieces.com.au", true },
  { "thomasvochten.com", true },
  { "thomien.de", true },
  { "thompsonfamily.cloud", true },
  { "thomsons.com", true },
  { "thomsonscleaning.co.uk", true },
  { "thomspooren.nl", true },
  { "thomwiggers.nl", true },
  { "thooka.com", true },
  { "thor.edu", true },
  { "thor.re", true },
  { "thoroughbreddiesel.com", true },
  { "thorsten-schaefer.com", false },
  { "thorstenschaefer.name", true },
  { "thosci.com", true },
  { "thotpublicidad.com", true },
  { "thouni.de", true },
  { "thouqi.com", true },
  { "thousandoakselectrical.com", true },
  { "thousandoaksexteriorlighting.com", true },
  { "thousandoakslandscapelighting.com", true },
  { "thousandoakslighting.com", true },
  { "thousandoaksoutdoorlighting.com", true },
  { "thoxyn.com", true },
  { "thpay.com", true },
  { "threatcon.io", true },
  { "threatmarket.com", true },
  { "threatmonitor.io", true },
  { "threatnix.io", true },
  { "threatworking.com", true },
  { "threedpro.me", true },
  { "threefours.net", false },
  { "threelions.ch", true },
  { "threema.ch", true },
  { "threexxx.ch", true },
  { "threit.de", true },
  { "thriftdiving.com", true },
  { "thrillernyc.com", true },
  { "thriveafterabuse.com", true },
  { "thriveta.com", true },
  { "thriveweb.com.au", true },
  { "thrivewellnesshub.co.za", true },
  { "throttlerz.in", true },
  { "throughtheglass.photo", true },
  { "throwaway.link", true },
  { "throwmails.com", true },
  { "throwpass.com", true },
  { "thrush.com", true },
  { "thrw.ml", true },
  { "thsc.us", true },
  { "thscpac.org", true },
  { "thsecurity.cz", true },
  { "thues.eu", true },
  { "thuisverpleging-meerdael.be", true },
  { "thullbery.com", true },
  { "thummer.net", true },
  { "thunderfield-boat.co.uk", true },
  { "thunderkeys.net", true },
  { "thundr.eu", true },
  { "thunraz.com", true },
  { "thuongtravel.com", true },
  { "thurn.net", true },
  { "thusoy.com", true },
  { "thuthuatios.com", true },
  { "thutucxuatnhapkhau.net", true },
  { "thuviensoft.com", true },
  { "thuybich.com", true },
  { "thuyetphapmoi.com", true },
  { "thw-bernburg.de", true },
  { "thwiki.cc", true },
  { "thxandbye.de", true },
  { "thycotic.ru", true },
  { "thyngster.com", true },
  { "thynx.io", true },
  { "thyrex.fr", true },
  { "ti-pla.net", true },
  { "ti-planet.org", true },
  { "tiagonunes.pt", true },
  { "tiagosimao.com", true },
  { "tiaki.org", true },
  { "tiamarcia.com.br", true },
  { "tian123.com", true },
  { "tian888.com", true },
  { "tianbaobo05.com", true },
  { "tianbaobo06.com", true },
  { "tianbaobo07.com", true },
  { "tianbaobo08.com", true },
  { "tianbaobo09.com", true },
  { "tianeptine.com", true },
  { "tianshili.me", true },
  { "tib1.com", true },
  { "tibicinagarricola.com", true },
  { "tibipg.com", true },
  { "ticfleet.com", true },
  { "ticinoscout.ch", true },
  { "ticketassist.nl", true },
  { "ticketcity.com", true },
  { "ticketdriver.com", true },
  { "ticketpro.ca", false },
  { "ticketpro.com.my", true },
  { "ticketrunway.com", true },
  { "ticketslover.com", true },
  { "ticketsmate.com", true },
  { "ticketsource.co.uk", true },
  { "ticketsource.eu", true },
  { "ticketsource.io", true },
  { "ticketsource.us", true },
  { "ticketsvergleichen.de", true },
  { "tickettailor.com", true },
  { "tickit.ca", false },
  { "tid.jp", true },
  { "tidy.chat", true },
  { "tidych.at", true },
  { "tiekoetter.com", true },
  { "tiendadecosplay.es", true },
  { "tiendadolca.com", true },
  { "tiendaengeneral.com", true },
  { "tiendafetichista.com", true },
  { "tiener-herentals.be", true },
  { "tiens-ib.cz", true },
  { "tierarzt-karlsruhe-durlach.de", true },
  { "tierarztpraxis-bogenhausen.de", true },
  { "tierarztpraxis-illerwinkel.de", true },
  { "tierarztpraxis-weinert.de", true },
  { "tiergear.com.au", true },
  { "tieronegraphics.com", true },
  { "tierradeayala.com", true },
  { "ties.com", true },
  { "tiew.pl", true },
  { "tifan.net", true },
  { "tifaware.com", true },
  { "tiffanywatson.xyz", true },
  { "tiffnix.com", true },
  { "tigerdile.com", true },
  { "tigerfishingzambia.com", true },
  { "tigernode.com", true },
  { "tigernode.net", true },
  { "tigerscu.org", true },
  { "tiggeriffic.com", true },
  { "tiglitub.com", true },
  { "tiihosen.fi", true },
  { "tiim.technology", true },
  { "tijden.nu", true },
  { "tik.edu.ee", true },
  { "tik.help", true },
  { "tilde.institute", true },
  { "tilde.link", true },
  { "tildes.net", true },
  { "tildesnyder.com", true },
  { "tilesbay.com", true },
  { "tilikum.io", true },
  { "till.im", true },
  { "tillberg.us", true },
  { "tilleysbouncycastles.co.uk", true },
  { "tillseasyscore.com", true },
  { "tillwalldrug.com", true },
  { "tilman.ninja", true },
  { "tilosp.de", true },
  { "tiltedwindmillcrafts.com", true },
  { "tim-demisch.de", true },
  { "timacdonald.me", true },
  { "timatooth.com", true },
  { "timawesomeness.com", true },
  { "timbarlotta.com", true },
  { "timberkel.com", true },
  { "timbers.space", true },
  { "timbishopartist.com", true },
  { "timbrado.com", true },
  { "timbrust.de", true },
  { "timco.cloud", true },
  { "timdoug.com", true },
  { "time-craft.su", true },
  { "time.gov", true },
  { "time.sh", true },
  { "time100.ru", true },
  { "time2060.ru", true },
  { "time22.com", true },
  { "time2choose.com", true },
  { "timeai.io", true },
  { "timebutler.de", true },
  { "timeclub24.ru", true },
  { "timeglass.de", true },
  { "timeless-photostudio.com", true },
  { "timeless-spirit.com", true },
  { "timelimit.io", true },
  { "timelockstash.com", true },
  { "timelyapp.com", true },
  { "timeserver0.de", true },
  { "timetastic.co.uk", true },
  { "timetech.io", true },
  { "timetotrade.com", true },
  { "timetrade.com", true },
  { "timewasters.nl", true },
  { "timeworld.su", true },
  { "timi-matik.hu", true },
  { "timich.ga", true },
  { "timing.com.br", true },
  { "timjk.de", false },
  { "timmersgems.com", true },
  { "timmi6790.de", true },
  { "timmy.im", true },
  { "timmyrs.de", true },
  { "timnash.co.uk", true },
  { "timonengelke.de", true },
  { "timoso.de", true },
  { "timothy.tk", true },
  { "timowi.de", true },
  { "timoxbrow.com", true },
  { "timroes.de", true },
  { "timsayedmd.com", true },
  { "timseverien.com", true },
  { "timtaubert.de", true },
  { "timtelfer.com", true },
  { "timtj.ca", true },
  { "timvandekamp.nl", true },
  { "timvivian.ca", true },
  { "timweb.ca", true },
  { "timwestdesigns.com", true },
  { "timx.uk", true },
  { "timysewyn.be", false },
  { "tina-zander.de", true },
  { "tina.media", true },
  { "tinapoethe.com", true },
  { "tinastahlschmidt.de", true },
  { "tindallriley.co.uk", true },
  { "tinekevanurk.nl", true },
  { "tinf.de", true },
  { "tinfoilsecurity.com", false },
  { "tinfoleak.com", true },
  { "tinhbotnghegold.com", true },
  { "tinhchattrangda.vn", true },
  { "tinkerers-trunk.co.za", true },
  { "tinkertry.com", true },
  { "tinlc.org", true },
  { "tinminnow.me", true },
  { "tinnhanhvietnam.tk", true },
  { "tinte24.de", true },
  { "tintencenter.com", true },
  { "tintenfix.net", true },
  { "tintenfux.de", true },
  { "tintenland.de", true },
  { "tintenprofi.de", true },
  { "tintoria.roma.it", true },
  { "tiny.ee", true },
  { "tinycat99.click", true },
  { "tinycrm.pl", true },
  { "tinyhousefinance.com.au", true },
  { "tinylan.com", true },
  { "tinyppt.com", true },
  { "tinyspeck.com", true },
  { "tinyssh.com", true },
  { "tinyssh.org", true },
  { "tinytownsoftplay.co.uk", true },
  { "tinyurl.com", true },
  { "tio.run", true },
  { "tipaki.gr", true },
  { "tipe.io", true },
  { "tiplanet.org", true },
  { "tipoftheday.tips", true },
  { "tippytoad.com", true },
  { "tipranks.com", true },
  { "tips4india.tk", true },
  { "tipsacademicos.com", true },
  { "tipsmake.com", true },
  { "tipsport.cz", true },
  { "tipstersweb.com", true },
  { "tipsypresent.com", true },
  { "tipulnagish.co.il", true },
  { "tir-mauperthuis.fr", true },
  { "tirionnetwork.de", true },
  { "tirlins.com", true },
  { "tiroler-kupferschmiede.com", true },
  { "tirs4ne.ch", false },
  { "tirteafuera.tk", true },
  { "tirupatinightwear.co.in", true },
  { "tis.ph", true },
  { "tischlerei-klettke.de", true },
  { "tisgroup.com.my", true },
  { "tishopsv.com", true },
  { "tissot-mayenfisch.com", false },
  { "tissus-paris.com", true },
  { "tisvapo.it", true },
  { "tit-cdn.de", true },
  { "tit-dev.de", true },
  { "tit-dns.de", true },
  { "tit-mail.de", true },
  { "tit.systems", true },
  { "titanandco.com", true },
  { "titandirect.co.uk", true },
  { "titansized.com", true },
  { "titantax.com", true },
  { "titanwaterproofing.com.au", true },
  { "titelseite.ch", true },
  { "titouan.co", false },
  { "tittelbach.at", true },
  { "titusetcompagnies.net", false },
  { "tiwag.at", true },
  { "tixeconsulting.com", true },
  { "tixel.com", true },
  { "tixify.com", true },
  { "tixio.de", true },
  { "tjampoer.com", true },
  { "tjian.info", true },
  { "tjl.rocks", true },
  { "tjp.ch", false },
  { "tjxxzy.com", true },
  { "tk-its.net", true },
  { "tk-smart.ru", true },
  { "tk2net.com", true },
  { "tkacz.pro", true },
  { "tkanemoto.com", true },
  { "tkat.ch", true },
  { "tkbuilders.net", true },
  { "tkcafe.net", true },
  { "tkgpm.com", true },
  { "tkirch.de", true },
  { "tkjg.fi", true },
  { "tkmr-gyouseishosi.com", true },
  { "tkn.me", true },
  { "tkrn.de", true },
  { "tksainc.com", true },
  { "tkusano.jp", true },
  { "tkw01536.de", false },
  { "tl.gg", true },
  { "tlca.org", true },
  { "tlcnet.info", true },
  { "tld-list.com", true },
  { "tldtattoo.com", true },
  { "tlehseasyads.com", true },
  { "tleng.de", true },
  { "tlo.xyz", true },
  { "tloxygen.com", true },
  { "tls-proxy.de", true },
  { "tls.care", true },
  { "tls1914.org", true },
  { "tlthings.net", true },
  { "tlumaczenie.com", true },
  { "tlyphed.net", true },
  { "tlys.de", false },
  { "tm-t.ca", true },
  { "tm80plus.com", true },
  { "tmachinery.cz", true },
  { "tmadev.com.au", true },
  { "tmas.dk", true },
  { "tmbergtmberg.cf", true },
  { "tmbergtmberg.ga", true },
  { "tmbergtmberg.gq", true },
  { "tmbergtmberg.ml", true },
  { "tmbergtmberg.tk", true },
  { "tmcjobs.com", true },
  { "tmcreationweb.com", true },
  { "tmdb.biz", true },
  { "tmf.ru", true },
  { "tmf22.ru", true },
  { "tmhanoi.com", true },
  { "tmheatingcooling.com", true },
  { "tmi-products.eu", true },
  { "tmi-produkter.se", true },
  { "tmm.cx", true },
  { "tmpraider.net", true },
  { "tmpsantos.com.br", true },
  { "tmsdiesel.com", true },
  { "tmtopup.com", true },
  { "tn-bb.com", true },
  { "tn0.club", true },
  { "tncentro.com", true },
  { "tnd.com.ar", true },
  { "tndentalwellness.com", true },
  { "tniad.mil.id", false },
  { "tnonline.net", true },
  { "tnrf.eu", true },
  { "tntmobi.com", true },
  { "tntware.com", true },
  { "tnwgrc.com", true },
  { "to-med.ru", true },
  { "to-riktari.gr", true },
  { "toad.ga", true },
  { "toast.al", false },
  { "tobaccolocker.com", true },
  { "tobefree.eu", true },
  { "tober-cpag.de", true },
  { "tobevictorious.com", true },
  { "tobi-mayer.de", true },
  { "tobi-server.goip.de", true },
  { "tobiaalberti.com", true },
  { "tobias-bauer.de", true },
  { "tobias-bauer.eu", true },
  { "tobias-bauer.fr", true },
  { "tobias-bauer.net", true },
  { "tobias-kleinmann.de", true },
  { "tobias.gr", true },
  { "tobias4.ddns.net", true },
  { "tobiasbrunner.net", true },
  { "tobiasconradi.com", true },
  { "tobiase.de", true },
  { "tobiasfischer.info", true },
  { "tobiashorvath.com", true },
  { "tobiashorvath.de", true },
  { "tobiaskorf.de", true },
  { "tobiassachs.de", true },
  { "tobiassattler.com", true },
  { "tobiaswiese.com", true },
  { "tobiaswiese.eu", true },
  { "tobiaswiese.net", true },
  { "tobiaswiese.org", true },
  { "tobiefornerod.ch", true },
  { "tobiemilford.com", true },
  { "tobimi.com", true },
  { "tobis-rundfluege.de", true },
  { "tobis.cloud", true },
  { "tobischo.de", true },
  { "tobisworld.ch", true },
  { "tobyalden.com", true },
  { "tobyx.cc", true },
  { "tobyx.co", true },
  { "tobyx.com", true },
  { "tobyx.de", true },
  { "tobyx.eu", true },
  { "tobyx.is", true },
  { "tobyx.me", true },
  { "tobyx.net", true },
  { "tobyx.org", true },
  { "tocaro.im", true },
  { "tocasoft.co.uk", true },
  { "toccoig.com", true },
  { "todacarreira.com", true },
  { "todamateria.com.br", true },
  { "todapolitica.com", true },
  { "todasaslojas.com.br", true },
  { "todaymeow.com", true },
  { "todaysbestinsurance.com", true },
  { "todayupdates.ga", true },
  { "toddcullumresearch.com", true },
  { "toddexler.com", true },
  { "toddfry.com", true },
  { "toddlerleaf.com", true },
  { "toddmath.com", true },
  { "todo-anime.com", true },
  { "todoereaders.com", true },
  { "todoescine.com", true },
  { "todon.fr", true },
  { "todoporjesus.net", true },
  { "todoscheduler.de", true },
  { "todoscheduler.org", true },
  { "todoscomciro.com", true },
  { "toeightycountries.com", true },
  { "toekomstperspectief.be", true },
  { "toerschaatsenknsb.nl", true },
  { "toerschaatsenoverijssel.nl", true },
  { "toest.bg", true },
  { "tofe.io", true },
  { "tofliving.nl", true },
  { "togech.jp", true },
  { "togetter.com", true },
  { "togtider.dk", true },
  { "toheb.de", false },
  { "tohfalaya.com", true },
  { "tohochofu-sportspark.com", true },
  { "tohofc.co.jp", true },
  { "tohokinemakan.tk", true },
  { "toihoctiengtrung.com", true },
  { "toila.best", true },
  { "toiletable.com", true },
  { "toirereform.com", true },
  { "tokaido-kun.jp", true },
  { "tokaido.com", true },
  { "tokainafb.net", true },
  { "tokainakurasi.net", true },
  { "tokenmarket.net", true },
  { "tokens.net", true },
  { "tokinoha.net", true },
  { "tokio.fi", true },
  { "tokitover.com", true },
  { "tokka.com", true },
  { "tokke.dk", true },
  { "tokkee.org", true },
  { "tokky.be", true },
  { "tokky.eu", true },
  { "tokky.fr", true },
  { "tokototech.com", true },
  { "tokugai.com", true },
  { "tokyo-onkyo.jp", true },
  { "tokyo-powerstation.com", true },
  { "tokyo.dating", true },
  { "tokyoadultguide.com", true },
  { "tokyobarbershop.com", true },
  { "tokyomakino.com", true },
  { "tokyotimeline.com", true },
  { "tokyovipper.com", true },
  { "tolboe.com", true },
  { "toldositajuba.com", true },
  { "tolerance-zero.tk", true },
  { "toleressea.fr", true },
  { "toles-sur-mesure.fr", true },
  { "tolle-wolke.de", true },
  { "tollerunterricht.com", true },
  { "tolmaidis.com", true },
  { "tolnavar.hu", true },
  { "tom-geiger.de", true },
  { "tom-kunze.de", true },
  { "tom-kurka.cz", true },
  { "tom.horse", true },
  { "tom.je", true },
  { "tom.ro", true },
  { "tom94.net", true },
  { "tomabrafix.de", true },
  { "tomahawk.ca", true },
  { "tomandmara.com", true },
  { "tomandsonya.net", true },
  { "tomandsonya.org", true },
  { "tomarnarede.pt", true },
  { "tomartv.pt", true },
  { "tomashouzvicka.com", true },
  { "tomasjacik.cz", true },
  { "tomaskavalek.cz", false },
  { "tomasmoberg.org", true },
  { "tomaspatera.cz", true },
  { "tomasvecera.cz", true },
  { "tomasz.com", true },
  { "tomaszdwornicki.net", true },
  { "tomatenaufdenaugen.de", true },
  { "tomatis-nantes.com", true },
  { "tomaz.eu", true },
  { "tombaker.me", true },
  { "tomberek.info", true },
  { "tomboy.org", true },
  { "tombrossman.com", true },
  { "tombu.biz", true },
  { "tombu.info", true },
  { "tombu.org", true },
  { "tombu.xyz", true },
  { "tomd.ai", true },
  { "tomershemesh.me", true },
  { "tomgaechter.ch", true },
  { "tomharling.uk", true },
  { "tomi.cc", true },
  { "tomica.me", false },
  { "tomik.fun", true },
  { "tomjans.nl", true },
  { "tomjepp.uk", true },
  { "tomjn.com", true },
  { "tomkempers.nl", true },
  { "tomkunze.de", true },
  { "tomlowenthal.com", true },
  { "tomm.yt", true },
  { "tommic.eu", true },
  { "tommihynynen.com", true },
  { "tommy-bordas.fr", false },
  { "tommyemo.com", true },
  { "tommyemo.net", true },
  { "tommymoya.tv", true },
  { "tomnatt.com", true },
  { "tomo.gr", false },
  { "tomoradexpert.ro", true },
  { "tomorrowmuseum.com", true },
  { "tomosm.net", true },
  { "tomravinmd.com", true },
  { "tomrei.com", true },
  { "tomrichards.net", true },
  { "tomschlick.com", true },
  { "tomsherakmshope.org", true },
  { "tomsoft.hr", true },
  { "tomspdblog.com", true },
  { "tomssl.com", true },
  { "tomstew.art", true },
  { "tomthorogood.co.uk", true },
  { "tomthorogood.uk", false },
  { "tomticket.com", true },
  { "tomudding.nl", true },
  { "tomvanlaer.be", true },
  { "tomvote.com", true },
  { "tomvst.net", true },
  { "tomwassenberg.com", true },
  { "tomwassenberg.nl", true },
  { "tomwellington.design", true },
  { "tomwilson.io", true },
  { "tonabor.ru", true },
  { "tonage.de", true },
  { "tonalaw.com", true },
  { "tonarinoliusan.com", true },
  { "toncusters.nl", true },
  { "tondles.com", true },
  { "tonegidoarchief.nl", true },
  { "toner24.at", true },
  { "toner24.co.uk", true },
  { "toner24.es", true },
  { "toner24.fr", true },
  { "toner24.it", true },
  { "toner24.nl", true },
  { "toner24.pl", true },
  { "tonerdepot.de", true },
  { "tonerjet.at", true },
  { "tonerklick.de", true },
  { "tonerkurier.de", true },
  { "tonermaus.de", true },
  { "tonermonster.de", true },
  { "tonex.de", true },
  { "tongli.eu.org", true },
  { "tonight.de", true },
  { "tonkayagran.com", true },
  { "tonkayagran.ru", true },
  { "tonkinwilsonvillenissanparts.com", true },
  { "tonnycat.com", true },
  { "tonnygaric.com", true },
  { "tono.us", true },
  { "tonorosario.tk", true },
  { "tonsit.com", true },
  { "tonsit.org", true },
  { "tontonnews.net", true },
  { "tonyarcieri.com", true },
  { "tonymanning.com", true },
  { "tonytan.io", true },
  { "tonytron.com.br", true },
  { "tonyw.xyz", true },
  { "tonywebster.com", true },
  { "too.gy", true },
  { "toobug.net", true },
  { "tool.lu", true },
  { "toolbox-bodensee.de", true },
  { "toolbox.ninja", false },
  { "toolineo.de", true },
  { "toolroomrecords.com", true },
  { "tools.pro", true },
  { "toolsense.io", true },
  { "toolset.com", true },
  { "toolshero.com", true },
  { "toolspain.tk", true },
  { "toom.io", true },
  { "toomy.pri.ee", true },
  { "toon.style", true },
  { "toonpool.com", true },
  { "toonsburgh.com", true },
  { "toontownrewritten.com", true },
  { "toool.nl", true },
  { "toool.nyc", true },
  { "toool.org", true },
  { "toopopular.ga", true },
  { "toot.center", true },
  { "toothdoc.ca", true },
  { "toothpique.tk", true },
  { "tooti.biz", true },
  { "top-esb.com", true },
  { "top-frog.com", true },
  { "top-mining.tk", true },
  { "top-obaly.cz", true },
  { "top-opakowania.pl", true },
  { "top-rensner.de", true },
  { "top-russian.tk", true },
  { "top-zdrave.bg", true },
  { "top10media.tk", true },
  { "top2servers.tv", true },
  { "top4shop.de", true },
  { "top6casinos.com", true },
  { "top9.fr", true },
  { "topanimecharacters.com", true },
  { "topappandroid.com", true },
  { "topaxi.ch", true },
  { "topaxi.codes", true },
  { "topbestsellerproduct.com", true },
  { "topcarehvac.ca", true },
  { "topciderska-crkva.rs", true },
  { "topclassfun.ie", true },
  { "topdesk.net", true },
  { "topdogsinflatables.co.uk", true },
  { "topeducationhelp.co", true },
  { "topekafoundationpros.com", true },
  { "topeng-emas.com", true },
  { "topesb.com", true },
  { "topfivepercent.co.uk", true },
  { "topgshop.ru", true },
  { "tophat.studio", true },
  { "tophr.kz", true },
  { "topicalnet.de", true },
  { "topicdesk.com", true },
  { "topicit.net", true },
  { "topirishcasinos.com", true },
  { "topjobs.ch", true },
  { "topknot.gq", true },
  { "topkorea.ml", true },
  { "toplist.cz", true },
  { "toplist.eu", true },
  { "toplist.sk", true },
  { "topmmogames.org", true },
  { "topnotepad.com", true },
  { "topodin.com", true },
  { "toponlinecasinosites.co.uk", true },
  { "topophile.net", true },
  { "topprice.ua", true },
  { "topproductidea.com", true },
  { "topproductsanalysis.com", true },
  { "toprelatos.com", true },
  { "topservercccam.tv", true },
  { "topshelfcommercial.com", true },
  { "topspin.tk", true },
  { "topsteroidsonline.com", true },
  { "toptec.net.br", true },
  { "toptenthebest.com", true },
  { "toptexture.com", true },
  { "toptranslation.com", true },
  { "topvision.se", true },
  { "topwindowcleaners.co.uk", true },
  { "topwoodltd.co.uk", true },
  { "topyachts-shop.com.ua", true },
  { "topyachts.com.ua", true },
  { "tor.us", true },
  { "toracon.org", true },
  { "torchantifa.org", true },
  { "toreni.us", true },
  { "toretame.jp", true },
  { "torfbahn.de", true },
  { "torlinnhe.com", true },
  { "torlock.com", true },
  { "torlock.host", true },
  { "torlock.icu", true },
  { "torlock.pw", true },
  { "torlock2.com", true },
  { "tormakristof.eu", true },
  { "tormentedradio.com", false },
  { "tormox.ml", true },
  { "torn1.se", true },
  { "tornadotwistar.com", true },
  { "torneobottacin.it", true },
  { "torngalaxy.com", true },
  { "torogroups.com", true },
  { "torontoaccesscontrol.com", true },
  { "torontostarts.com", true },
  { "toros.co", true },
  { "toros2.com", true },
  { "torproject.org", false },
  { "torprojects.com", true },
  { "torrance.gq", true },
  { "torreconta.pt", true },
  { "torremarsalou.com", true },
  { "torrent.fedoraproject.org", true },
  { "torrent.is", true },
  { "torrent.tm", true },
  { "torrentfunk.com", true },
  { "torrentfunk.host", true },
  { "torrentfunk.icu", true },
  { "torrentfunk.pw", true },
  { "torrentfunk2.com", true },
  { "torrentgalaxy.to", true },
  { "torrenttop100.net", true },
  { "torrentz2.eu", true },
  { "torresdocaribe.com.br", true },
  { "torresdocariberesidence.com.br", true },
  { "torresshop.es", true },
  { "torresygutierrez.com", true },
  { "torretzalam.com", true },
  { "torservers.net", true },
  { "torsquad.com", true },
  { "torsten-schmitz.net", true },
  { "torstens-buecherecke.de", true },
  { "torstensenf.de", true },
  { "torte.roma.it", true },
  { "tortoises-turtles.com", true },
  { "tortugan.com.br", true },
  { "tosatopsicologabologna.com", true },
  { "toscer.me", false },
  { "toschool.com.br", true },
  { "toshen.com", true },
  { "toshkov.com", true },
  { "tosolini.info", true },
  { "tosostav.cz", true },
  { "tosteberg.se", true },
  { "tostu.de", true },
  { "totaku.ru", false },
  { "totalbike.com.br", true },
  { "totalcarcheck.co.uk", true },
  { "totalchecklist.com", true },
  { "totalclean.co.uk", true },
  { "totalforcegym.com", false },
  { "totalhost.gq", true },
  { "totallylegitimatehosting.ru", true },
  { "totalofficeclean.co.uk", true },
  { "totalpackers.com", true },
  { "totalpahire.com", true },
  { "totalparts.com.au", true },
  { "totalprint.hu", true },
  { "totalsport-bg.com", true },
  { "totaltriathlon.com", true },
  { "totalwebmedia.nl", true },
  { "totem-international.com", true },
  { "totobetty.com", true },
  { "totodil.es", true },
  { "tottoya.com", true },
  { "totvs.com", true },
  { "toucan-informatique.fr", true },
  { "touch.facebook.com", false },
  { "touch.mail.ru", true },
  { "touchdown.co", true },
  { "touchezlebouddha.com", true },
  { "touchka.ga", true },
  { "touchoflife.in", true },
  { "touchscreentills.com", true },
  { "touchstone.io", true },
  { "touchtable.nl", true },
  { "touchweb.fr", true },
  { "touchwoodtrees.com.au", true },
  { "toudum.com", true },
  { "tough.email", true },
  { "toughlife.info", true },
  { "touhou.ac.cn", true },
  { "touhou.fm", true },
  { "touhou.tw", true },
  { "touhouwiki.net", true },
  { "toujour.top", true },
  { "toujours-actif.com", true },
  { "tourdatenarchiv.de", true },
  { "tourdewestwoud.nl", true },
  { "tourgest.net", true },
  { "tourism-exegetai.tk", true },
  { "tourismwithme.com", true },
  { "tournamentmgr.com", true },
  { "tournevis.ch", false },
  { "tourtransferitaly.it", true },
  { "tourtrektrip.com", true },
  { "tourx.co.nz", true },
  { "tous-travaux.ch", true },
  { "toushi-exe.com", true },
  { "toushi-shakkin.com", true },
  { "touslesdrivers.com", true },
  { "tout-a-fait.fr", true },
  { "tout-art.ch", true },
  { "toutart.ch", true },
  { "toutelathailande.fr", true },
  { "toutmonexam.fr", true },
  { "toutvendre.be", true },
  { "toutvendre.ch", true },
  { "toutvendre.cm", true },
  { "toutvendre.es", true },
  { "toutvendre.fr", true },
  { "toutvendre.lu", true },
  { "toutvendre.pics", true },
  { "toutvendre.uk", true },
  { "toutvendre.us", true },
  { "tovaglioli-di-carta.it", true },
  { "tovare.com", true },
  { "tovarypochtoj.tk", true },
  { "toverland-tickets.nl", true },
  { "tovp.org", true },
  { "towandalibrary.org", true },
  { "towellconstruction.ca", true },
  { "tower.land", true },
  { "townandcountryus.com", true },
  { "townhouseregister.com.au", true },
  { "townofbridgewater.ca", true },
  { "townofmineral.net", true },
  { "towsonpediatrics.com", true },
  { "towsonroofers.com", true },
  { "towtruck.website", true },
  { "towywebdesigns.uk", true },
  { "towzone.co.uk", true },
  { "tox21.gov", false },
  { "toxoproject.com", true },
  { "toycu.de", true },
  { "toymagazine.com.br", true },
  { "toyokawa-fan.com", true },
  { "toyopac.com", true },
  { "toyota-kinenkan.com", true },
  { "toys-robots.cf", true },
  { "toyschina.cf", true },
  { "toysperiod.com", true },
  { "toysplace.ml", true },
  { "tozdev.com", true },
  { "tp-iryuubun.com", true },
  { "tp-kabushiki.com", true },
  { "tp-kyouyufudousan.com", true },
  { "tp-law.jp", true },
  { "tpark.jp", true },
  { "tpastream.com", true },
  { "tpbproxy.co", true },
  { "tpidg.us", true },
  { "tpolemis.com", true },
  { "tpp.chat", true },
  { "tppleague.me", false },
  { "tpress.tk", true },
  { "tpro.rocks", true },
  { "tproger.ru", true },
  { "tq.rs", true },
  { "tqdev.com", true },
  { "tqm1.sk", true },
  { "tr.search.yahoo.com", false },
  { "traas.org", true },
  { "trabajaenvitamina.cl", true },
  { "trabbel.org", true },
  { "trace.guru", true },
  { "trace.moe", true },
  { "traceheatinguk.co.uk", true },
  { "traceroute.guru", true },
  { "traceroute.link", true },
  { "traceroute.network", true },
  { "tracesteps.ga", true },
  { "tracetracker.no", true },
  { "tracewind.top", true },
  { "tracfinancialservices.com", true },
  { "tracinsurance.com", true },
  { "trackchair.com", true },
  { "tracker.com.ar", true },
  { "trackersimulator.org", true },
  { "trackeye.dk", true },
  { "trackify.tk", true },
  { "tracking-app.tk", true },
  { "tracking.best", true },
  { "trackrecordpro.co.uk", true },
  { "tracksa.com.ar", true },
  { "trackyourlogs.com", true },
  { "tractorfan.nl", true },
  { "tractorpumps.com", true },
  { "trad-n-vo.com", true },
  { "tradavenue.com", true },
  { "trade-arcade.com", true },
  { "trade-platform.tk", true },
  { "trade.gov", true },
  { "trade.gov.uk", true },
  { "trade247.exchange", true },
  { "tradebotcompany.ml", true },
  { "tradecloud.sg", true },
  { "tradeinvent.co.uk", true },
  { "tradeonfx.com", true },
  { "traderbot.com.br", true },
  { "traderinside.ga", true },
  { "tradersclub.com.br", true },
  { "tradesafe.co.za", true },
  { "tradesmance.com", true },
  { "tradie.com", true },
  { "tradik.com", true },
  { "tradinews.com", true },
  { "tradinews.fr", true },
  { "tradinghelper.be", true },
  { "tradingview.com", true },
  { "traditions.nl", true },
  { "traditionskapperscollege.nl", true },
  { "tradlost-natverk.se", true },
  { "tradreams.com", true },
  { "traducir.win", true },
  { "trafarm.ro", true },
  { "trafas.nl", true },
  { "traff1k.net", true },
  { "trafficmanager.com", true },
  { "trafficmanager.ltd", true },
  { "trafficmanager.xxx", true },
  { "trafficmgr.net", true },
  { "trafficologyblueprint.com", true },
  { "trafficpixel.tk", true },
  { "trafficsafetymarketing.gov", true },
  { "traffixdevices.com", true },
  { "trafic-wap.tk", true },
  { "traficmusik.net", true },
  { "tragmi.ch", true },
  { "traha.org", true },
  { "trailerparty.com", true },
  { "trailforks.com", true },
  { "trainex.org", true },
  { "trainhornforums.com", true },
  { "trainiac.com.au", true },
  { "traininghamburg.de", true },
  { "trainingswiese.at", true },
  { "trainline.at", true },
  { "trainline.cn", true },
  { "trainline.com.br", true },
  { "trainline.com.pt", true },
  { "trainline.cz", true },
  { "trainline.de", true },
  { "trainline.dk", true },
  { "trainline.es", true },
  { "trainline.eu", true },
  { "trainline.fr", true },
  { "trainline.it", true },
  { "trainline.nl", true },
  { "trainline.no", true },
  { "trainline.pl", true },
  { "trainline.se", true },
  { "trainmagazine.be", true },
  { "trainmagazine.de", true },
  { "trainmagazine.nl", true },
  { "trainme.nl", true },
  { "trainoclock.com", true },
  { "trainplaza.be", true },
  { "trainplaza.net", true },
  { "trainplaza.nl", true },
  { "trainsgoodplanesbad.com", false },
  { "traintimes.fi", true },
  { "traintimes.ie", true },
  { "traintimes.nl", true },
  { "traintimes.se", true },
  { "trainyourtribe.com.au", true },
  { "traista.ru", true },
  { "traiteurpapillonevents.be", true },
  { "trajano.net", true },
  { "trajectfoto.nl", true },
  { "trajectvideo.nl", true },
  { "tramclub-basel.ch", true },
  { "tramikshop.ml", true },
  { "tran.pw", true },
  { "tranceattic.com", true },
  { "trancehost.com", true },
  { "trancetronic.com", true },
  { "trangcongnghe.com", true },
  { "trangell.com", true },
  { "tranquillity.se", true },
  { "transacid.de", true },
  { "transappealrights.com", true },
  { "transcend.org", true },
  { "transcontrol.com.ua", true },
  { "transdevbus.co.uk", true },
  { "transes.com.tr", true },
  { "transeshairtransplant.com", true },
  { "transette.com", true },
  { "transfer.pw", true },
  { "transferbags.com", true },
  { "transfers.com.jm", true },
  { "transfers.do", true },
  { "transfers.mx", true },
  { "transferserver.at", true },
  { "transfersummit.com", true },
  { "transfersw.com", true },
  { "transferwiseturkiye.com.tr", true },
  { "transfigurewizard.com", true },
  { "transformaniatime.com", true },
  { "transformations-magazin.com", true },
  { "transforumation.com", true },
  { "transfurrmation.town", true },
  { "transgendergedenkdag.nl", true },
  { "transgenderinfo.nl", true },
  { "transgendernetwerk.nl", true },
  { "transgendernetwerk.org", true },
  { "transglobaltravel.com", true },
  { "transhumanism.co.uk", true },
  { "transhumanist.co.uk", true },
  { "transhumanist.com", true },
  { "transhumanist.net", true },
  { "transhumanist.org", true },
  { "transhumanist.uk", true },
  { "transitmoe.io", true },
  { "transitownplaza.com", true },
  { "transitpoint.us", true },
  { "translate.googleapis.com", true },
  { "translationge.com", true },
  { "transmarttouring.com", true },
  { "transmisjeonline.pl", true },
  { "transmute.review", true },
  { "transnexus.com", true },
  { "transoil.co.uk", true },
  { "transpak-cn.com", true },
  { "transparentpng.com", true },
  { "transporta.it", true },
  { "transporterlock.com", true },
  { "transservice.net.ua", true },
  { "transumption.com", true },
  { "transvolando.es", true },
  { "trappednerve.org", true },
  { "trashnothing.com", true },
  { "traslocare.roma.it", true },
  { "traslocatore.roma.it", true },
  { "traslochi-trasporti-facchinaggio.it", true },
  { "trasloco.milano.it", true },
  { "trastornoevitacion.com", true },
  { "trastornolimite.com", true },
  { "tratamentoparacelulite.net", true },
  { "tratamientodelvitiligo.es", true },
  { "trattamenti.biz", true },
  { "trattamento-cotto.it", true },
  { "trattamentocotto.roma.it", true },
  { "trauer-beileid.de", true },
  { "trauerbegleitung-kudla.de", true },
  { "traumaheilung.net", true },
  { "traumprojekt.com", true },
  { "traumwerker.com", true },
  { "traut.cloud", true },
  { "travador.com", true },
  { "travel-dealz.de", true },
  { "travel2macedonia.com", true },
  { "travel2macedonia.com.mk", true },
  { "travel2macedonia.mk", true },
  { "travel365.it", true },
  { "travelamm.com", true },
  { "travelarmenia.org", true },
  { "travelassist.us.com", true },
  { "travelbuddiesperu.com", true },
  { "travelemy.com", true },
  { "travelepoch.com", true },
  { "travelerofcharleston.com", true },
  { "travelexbiz.com", true },
  { "travelexinternational.com", true },
  { "travelfield.org", true },
  { "travelinc.pk", true },
  { "travelinsurance.co.nz", true },
  { "travellers.dating", true },
  { "travellovers.fr", true },
  { "travelogue.jp", true },
  { "travelphilippines.tk", true },
  { "travelphoto.cc", true },
  { "travelrefund.com", true },
  { "travelround.io", true },
  { "travelshack.com", true },
  { "travelsuperapp.com", true },
  { "traveltomachupichu.com", true },
  { "travelus.nl", true },
  { "travelvisit.cf", true },
  { "travelwithbender.com", true },
  { "travelwithsearats.com", true },
  { "travelzoneshop.com", true },
  { "traverse.com.ua", true },
  { "travi.org", true },
  { "travis.nl", true },
  { "travisf.net", true },
  { "travisforte.io", true },
  { "travisfranck.com", true },
  { "travler.net", true },
  { "trazodononline.gq", true },
  { "trbanka.com", true },
  { "treaslockbox.gov", true },
  { "treasuredandloved.co.uk", true },
  { "treasuredandloved.com", true },
  { "treatmentforkennelcough.com", true },
  { "trebarov.cz", true },
  { "trebek.club", true },
  { "trebnie.nl", true },
  { "trechosemilhas.com.br", true },
  { "tree0.xyz", true },
  { "treefelling-durban.co.za", true },
  { "treehole.life", true },
  { "treehouse.pub", true },
  { "treehousebydesign.com", true },
  { "treehouseresort.nl", true },
  { "treeline.tech", true },
  { "treeoilpot.com", true },
  { "treeschat.com", true },
  { "treestarmarketing.com", true },
  { "treeworkbyjtec.com", true },
  { "treezone.net", true },
  { "trefcon.cz", true },
  { "trefle.io", true },
  { "trefpuntdemeent.nl", true },
  { "treinaweb.com.br", false },
  { "treinmagazine.be", true },
  { "treinmagazine.nl", true },
  { "treintijden.com", true },
  { "trek-planet.ru", true },
  { "trekfriend.com", true },
  { "trekinafrica.com", true },
  { "trekking-friends.ch", true },
  { "trelki.de", true },
  { "trelloparea.com", true },
  { "treml-sturm.com", true },
  { "trendingdeals.ga", true },
  { "trendingeducation.tk", true },
  { "trendparty.net", true },
  { "trendreportdeals.com", true },
  { "trendsettersre.com", true },
  { "trendus.no", true },
  { "trendycrowds.com", true },
  { "trendykids.cz", true },
  { "trenorario.it", true },
  { "trenta.io", true },
  { "trentonmakesnews.com", true },
  { "tresmaistres.com.br", true },
  { "tresor.it", true },
  { "tresorit.com", true },
  { "tresorsecurity.com", true },
  { "tretkowski.de", true },
  { "trezor.io", true },
  { "trhastane.com", true },
  { "triage.ai", true },
  { "triage.clinic", true },
  { "triage.com", true },
  { "triage.md", true },
  { "triageclinic.com", true },
  { "trialandsuccess.nl", true },
  { "trialcentralnet.com", true },
  { "trials.tk", true },
  { "triangle-energie.com", true },
  { "trianglecastles.co.uk", true },
  { "trianglelawngames.com", true },
  { "tribac.de", true },
  { "tribaldos.com", false },
  { "tribaljusticeandsafety.gov", true },
  { "tribe.rs", false },
  { "tribetrails.com", true },
  { "tribly.de", true },
  { "tribut.de", true },
  { "tributh.net", true },
  { "tributh.tk", true },
  { "tricare.mil", true },
  { "tricefy4.com", true },
  { "trichdanhay.com", true },
  { "triciaree.com", true },
  { "trickgsm.com", true },
  { "trickle.works", true },
  { "trico-pigmentazione.it", true },
  { "tricountyathome.com", true },
  { "trident-online.de", true },
  { "triefenbach.com", true },
  { "triefenbach.eu", true },
  { "trietment.com", true },
  { "trigardon-rg.de", true },
  { "triggeredpaintz.com", true },
  { "trigraph.net", true },
  { "trigular.de", true },
  { "trillian.im", true },
  { "trilliumvacationrentals.ca", true },
  { "triluxds.com", true },
  { "trim-a-slab.com", true },
  { "trimage.org", true },
  { "trinary.ca", false },
  { "trindonball.com", true },
  { "trineco.com", true },
  { "trineco.fi", true },
  { "tringavillasyala.com", true },
  { "trinitasgyor.hu", true },
  { "trinitycore.org", true },
  { "trinitycorporateservices.com", true },
  { "trinityradioandvideo.org", true },
  { "trinnes.net", true },
  { "trio.online", true },
  { "triop.se", true },
  { "triozon.hu", true },
  { "triphop.com", true },
  { "triplethreatband.tk", true },
  { "tripolistars.com", true },
  { "tripout.tech", true },
  { "trippen.travel", true },
  { "tripsided.com", true },
  { "tripsinc.com", true },
  { "tripsvia.com", true },
  { "tripsweet.com", true },
  { "trisect.uk", true },
  { "trisolaris.co.uk", true },
  { "tristanhager.i234.me", true },
  { "trit.pro", true },
  { "tritiumdisposal.com", true },
  { "trixati.org.ua", true },
  { "trixexpressweb.nl", true },
  { "trixiebooru.org", true },
  { "trkpuls.tk", true },
  { "trockendock.ch", true },
  { "troedelhannes.at", true },
  { "troi.de", true },
  { "troiaconsultoria.com.br", true },
  { "troianet.com.br", true },
  { "trollingeffects.org", true },
  { "trollmoa.se", true },
  { "trollope-apollo.com", true },
  { "trommelwirbel.com", true },
  { "tronlaserarena.cz", true },
  { "troomcafe.com", true },
  { "troop89medfield.org", true },
  { "troopaid.info", true },
  { "trophee-discount.com", true },
  { "trophies.de", true },
  { "trophy-discount.com", true },
  { "trophy-solution.com", true },
  { "tropicalserver.com", false },
  { "trosell.net", true },
  { "trosinenko.com", true },
  { "trotec.com", true },
  { "trotina.cz", true },
  { "troubles.ru", true },
  { "trousers.co.uk", true },
  { "trouweninoverijssel.nl", true },
  { "trovaprezzi.it", true },
  { "troxal.com", true },
  { "troyfawkes.com", true },
  { "troyhunt.com", true },
  { "troyhuntstress.com", true },
  { "troyhuntstressed.com", true },
  { "troyhuntsucks.com", true },
  { "trs.tn", true },
  { "trtruijens.com", true },
  { "tru.ltd", true },
  { "trucchibellezza.it", true },
  { "truccoshop.com", true },
  { "truckersmp.com", true },
  { "truckshina-plus.com.ua", true },
  { "trucosdescargas.com", true },
  { "trueachievements.com", true },
  { "truebluedriver.com", true },
  { "truecosmeticbeauty.com", false },
  { "trueduality.net", true },
  { "truehempculture.com.au", true },
  { "truekey.com", true },
  { "truelovesakuya.info", true },
  { "truendo.com", true },
  { "truentumvet.it", true },
  { "trueopenlove.org", true },
  { "truerizm.ru", true },
  { "truesplendid.net", true },
  { "truesteamachievements.com", true },
  { "truestor.com", true },
  { "trueteaching.com", true },
  { "truetraveller.com", true },
  { "truetrophies.com", true },
  { "truewateraustralia.com", true },
  { "trueweb.es", true },
  { "trufflepig-forensics.com", true },
  { "truly-madly-happiness.de", true },
  { "trumanlibrary.gov", true },
  { "trumanlibrary.org", true },
  { "trumtrimun.com", true },
  { "trungvien.vn", true },
  { "trunk-show.net", true },
  { "truong.fi", true },
  { "truqu.com", true },
  { "truserve.org", true },
  { "trusitio.com", true },
  { "trustcase.com", true },
  { "trustednetworks.nl", true },
  { "trustfield.ch", false },
  { "trusthook.tk", true },
  { "trustnet.co.il", true },
  { "trustserv.de", true },
  { "truthdancer.com", true },
  { "truthmessages.pw", true },
  { "truthserum.co", true },
  { "trutopoffer.com", true },
  { "truvisory.com", true },
  { "truyenfull.net", true },
  { "truyenfull.vn", true },
  { "trw-reseller.com", true },
  { "try2admin.pw", true },
  { "try2services.cm", true },
  { "try2services.vc", true },
  { "trybooking.com", true },
  { "trycaviar.com", true },
  { "tryhard.cz", true },
  { "tryhexadecimal.com", true },
  { "tryitonline.net", true },
  { "tryndraze.com", true },
  { "trynta.com", true },
  { "trynta.net", true },
  { "tryplo.ca", true },
  { "tryplo.com", true },
  { "tryplo.io", true },
  { "tryplo.net", true },
  { "tryplo.org", true },
  { "tryplo.xyz", true },
  { "tryprime.co.uk", true },
  { "tryti.me", true },
  { "trz.cz", true },
  { "trzepak.pl", true },
  { "tsa-sucks.com", true },
  { "tsab.moe", true },
  { "tsatestprep.com", true },
  { "tschuermans.be", true },
  { "tscinsurance.com", true },
  { "tsedryk.ca", true },
  { "tsgkc1.com", true },
  { "tshirtscapetown.com", true },
  { "tsicons.com", true },
  { "tsironis-olivenoel.de", true },
  { "tslcontractors.co.uk", true },
  { "tsmgroup2.biz", true },
  { "tsmn.com.au", true },
  { "tspdrits.xyz", true },
  { "tsriggingequipment.com", true },
  { "tsrv.pw", false },
  { "tss.am", true },
  { "tstrubberstamp.com", false },
  { "tsueri.cloud", true },
  { "tsukhani.com", true },
  { "tsuki.moe", true },
  { "tsumegumi.com", true },
  { "tsumi.it", true },
  { "tsunami-alarm-system.com", true },
  { "tsunami.gov", true },
  { "tsundere.moe", true },
  { "tsurai.work", true },
  { "tsutawal.com", true },
  { "tszwww.com", true },
  { "tt0766.com", true },
  { "tt0966.com", true },
  { "tt2866.com", true },
  { "tt3699.com", true },
  { "tt3766.com", true },
  { "tt3999.com", true },
  { "tt7199.com", true },
  { "tt7299.com", true },
  { "tt7399.com", true },
  { "tt8166.com", true },
  { "tt8266.com", true },
  { "tt8366.com", true },
  { "tt918.com", true },
  { "tt9799.com", true },
  { "ttbonline.gov", true },
  { "ttc-birkenfeld.de", true },
  { "ttcaarberg.ch", true },
  { "ttcf.ca", true },
  { "ttclub.fr", true },
  { "ttdsevaonline.com", true },
  { "ttlet.com", true },
  { "tts-assessments.com", true },
  { "ttsoft.pl", true },
  { "ttsweb.org", true },
  { "ttt.tt", true },
  { "ttuwiki.ee", true },
  { "ttuwiki.org", true },
  { "ttwoee.com", true },
  { "ttwt.com", true },
  { "tty1.net", true },
  { "tu-immoprojekt.at", true },
  { "tualiadaenlimpieza.com", true },
  { "tuasaude.com", true },
  { "tubanten.nl", true },
  { "tube.tools", true },
  { "tube8.es", true },
  { "tube8.fr", true },
  { "tubebegana.com", true },
  { "tubejack.nl", true },
  { "tubepro.de", true },
  { "tubepro.net", true },
  { "tubs4fun.co.uk", true },
  { "tubul.net", true },
  { "tucepihotelalga.com", true },
  { "tuchile.cl", true },
  { "tucny.com", true },
  { "tucocoon.com", true },
  { "tucsonfcu.com", true },
  { "tucsonpcrepair.com", true },
  { "tucuxi.org", true },
  { "tudienchinhta.com", true },
  { "tudiennhakhoa.com", true },
  { "tudineroasi.com", true },
  { "tudosobrehost.com.br", true },
  { "tuestilo.nl", true },
  { "tuev-hessen.de", true },
  { "tuffclassified.com", true },
  { "tuffmail.com", true },
  { "tuffmail.net", true },
  { "tuffsruffs.se", true },
  { "tugafm.eu.org", true },
  { "tuimprenta.com.ar", true },
  { "tuincentersnaet.be", true },
  { "tuingereedschappen.net", false },
  { "tuitle.com", true },
  { "tuja.hu", true },
  { "tujunfang.com", true },
  { "tukdesigns.com", true },
  { "tulenceria.es", true },
  { "tully.co.uk", true },
  { "tulsaworkshop.org", true },
  { "tulumplayarealestate.com", true },
  { "tumagiri.net", true },
  { "tumblenfun.com", true },
  { "tumblr.com", true },
  { "tumedico.es", true },
  { "tumelum.de", true },
  { "tunaut.com", true },
  { "tune-web.de", true },
  { "tunefish-entertainment.de", true },
  { "tuneotune.com", true },
  { "tuner.cloud", true },
  { "tuning-parts24.de", true },
  { "tuning-werkstatt-nuernberg.de", true },
  { "tuning.energy", true },
  { "tuningblog.eu", false },
  { "tunnelbear.com", true },
  { "tunnelblick.net", true },
  { "tunnelstore.net", true },
  { "tunnelventilation.pro", true },
  { "tunnelwatch.com", true },
  { "tunsbergwhiskyfestival.no", true },
  { "tuntitili.fi", true },
  { "tuoicay.vn", true },
  { "tupa-germania.ru", true },
  { "tupass.pw", true },
  { "tupeuxpastest.ch", false },
  { "tupianku.com", true },
  { "tupizm.com", true },
  { "tuppenceworth.ie", true },
  { "turbomag.pl", true },
  { "turbosuflantecluj.ro", true },
  { "turdnagel.com", true },
  { "turf-experts.com", true },
  { "turi.space", true },
  { "turigum.com", true },
  { "turiscar.pt", true },
  { "turismodubrovnik.com", true },
  { "turismonochile.com.br", true },
  { "turkish.dating", true },
  { "turkishhackers.tk", true },
  { "turkmistress.tk", true },
  { "turkrock.com", true },
  { "turl.pl", true },
  { "turnaroundforum.de", true },
  { "turncircles.com", true },
  { "turnierplanung.com", true },
  { "turnoffthelights.com", true },
  { "turnoffthelights.video", true },
  { "turnonsocial.com", true },
  { "turnout.rocks", true },
  { "turpinpesage.fr", true },
  { "tursiae.org", true },
  { "turtleduckstudios.com", true },
  { "turtlepay.io", true },
  { "turtlepwr.com", true },
  { "turuncu-sepet.com", true },
  { "turunculevye.com", true },
  { "turystyczny-system.pl", true },
  { "tus-kikishinkyo.jp", true },
  { "tuscanyleather.it", true },
  { "tusharwalaskar.com", true },
  { "tusi.co", true },
  { "tusmedicamentos.com", true },
  { "tussier.com", true },
  { "tutanota.com", true },
  { "tutdevki.tk", true },
  { "tuto-craft.com", true },
  { "tutoragency.org", true },
  { "tutorat-tect.org", true },
  { "tutorcruncher.com", true },
  { "tutorialdb.tk", true },
  { "tutorialehtml.com", true },
  { "tutorialseo.com.br", true },
  { "tutorme.com", true },
  { "tuts4you.com", true },
  { "tuttimundi.org", false },
  { "tutu.green", true },
  { "tutu.ro", true },
  { "tuwaner.com", true },
  { "tuxcloud.net", true },
  { "tuxflow.de", false },
  { "tuxie.com", true },
  { "tuxlife.net", true },
  { "tuxone.ch", true },
  { "tuxpi.com", true },
  { "tuxplace.nl", true },
  { "tuxsoul.com", true },
  { "tuxsrv.com", true },
  { "tuxtimo.me", true },
  { "tuxz.net", true },
  { "tuza.com.au", true },
  { "tuzaginside.com", true },
  { "tuzagtcs.com", true },
  { "tuzaijidi.com", true },
  { "tv-programme.be", true },
  { "tv-programme.com", true },
  { "tv-sports.fr", true },
  { "tvaerialsmanchester.com", true },
  { "tvbaratas.net", true },
  { "tvcmarketing.com", true },
  { "tver-msk.ru", true },
  { "tves.gob.ve", true },
  { "tvhshop.be", true },
  { "tvipper.com", true },
  { "tvlanguedoc.com", true },
  { "tvleaks.se", true },
  { "tvlplus.net", true },
  { "tvnow.de", true },
  { "tvoe-delo24.ru", true },
  { "tvoyaknighka.ga", true },
  { "tvoysad.ru", true },
  { "tvplusiptv.com", true },
  { "tvquot.es", true },
  { "tvs-virtual.cz", true },
  { "tvseries.info", true },
  { "tvsheerenhoek.nl", true },
  { "tvteam.nl", true },
  { "tvtion.com", true },
  { "tvzahist.com.ua", true },
  { "tvzr.com", false },
  { "tw.search.yahoo.com", false },
  { "twainhartehotels.com", true },
  { "twaka.com", true },
  { "twalter.de", true },
  { "twatspot.com", true },
  { "twb.berlin", true },
  { "twd2.me", true },
  { "twd2.net", false },
  { "twdreview.com", true },
  { "twdtulelo.hu", true },
  { "tweak.group", true },
  { "tweakers.com.au", true },
  { "tweakers.net", true },
  { "tweaktown.com", true },
  { "twelvecolonies.tk", true },
  { "twelvecornerspediatrics.com", true },
  { "twenty71.com", true },
  { "twentyfournow.com", true },
  { "twilleys.com", true },
  { "twincitynissantxparts.com", true },
  { "twinztech.com", true },
  { "twisata.com", true },
  { "twist.com", true },
  { "twistdevelopment.co.uk", true },
  { "twisted-brains.org", true },
  { "twistedwave.com", true },
  { "twistfix.co.uk", true },
  { "twisto.cz", true },
  { "twisto.pl", true },
  { "twit-guide.com", true },
  { "twitchplaysleaderboard.info", true },
  { "twitcker.com", true },
  { "twitter.com", false },
  { "twitterdriver.io", true },
  { "twitteroauth.com", true },
  { "twizzkidzinflatables.co.uk", true },
  { "twlan.org", true },
  { "twlitek.com.tw", true },
  { "twmartin.codes", true },
  { "twobitbusker.com", true },
  { "twodrinksaway.com", true },
  { "twoef.co.uk", true },
  { "twofactorauth.org", true },
  { "twoguyswhoblog.com", true },
  { "twohandson.com", true },
  { "twohuo.com", true },
  { "twojapogoda.pl", true },
  { "tworaz.net", true },
  { "twtr.email", true },
  { "twwd.de", true },
  { "tx299.com", true },
  { "tx577.com", true },
  { "txcap.org", true },
  { "txdivorce.org", true },
  { "txi.su", true },
  { "txlocksmiththewoodlands.com", true },
  { "txlrs.org", true },
  { "txm.pl", true },
  { "txtecho.com", true },
  { "txtfile.eu", true },
  { "txurologist.com", true },
  { "ty7788.cc", true },
  { "tyc001.cc", true },
  { "tyc923.com", false },
  { "tyche.io", true },
  { "tycho.org", true },
  { "tycom.cz", true },
  { "tycyc88.com", true },
  { "tycycles.co.uk", true },
  { "tykeplay.com", true },
  { "tyler.rs", true },
  { "tylerdavies.net", true },
  { "tylerharcourt.org", true },
  { "tylermade.net", true },
  { "tyleromeara.com", true },
  { "tylerschmidtke.com", true },
  { "tylervigario.com", true },
  { "typeblog.net", true },
  { "typeclasses.com", true },
  { "typecodes.com", true },
  { "typeof.pw", true },
  { "typeonejoe.com", true },
  { "typewolf.com", true },
  { "typewritten.net", true },
  { "typing.com", true },
  { "typist.tech", true },
  { "typo3.com", true },
  { "tyrannize.us", true },
  { "tyres-price.com", true },
  { "tyroremotes.co.uk", true },
  { "tyroremotes.es", true },
  { "tyroremotes.eu", true },
  { "tyroremotes.fr", true },
  { "tyroremotes.nl", true },
  { "tyroremotes.no", true },
  { "tyroremotes.pt", true },
  { "tyroremotes.se", true },
  { "tysonspersonalinjurylawyer.com", true },
  { "tysox.de", true },
  { "tytocare.com", true },
  { "tytod.com", true },
  { "tyuo-keibi.co.jp", true },
  { "tyva.gq", true },
  { "tyva.ml", true },
  { "tzermias.gr", true },
  { "tzonevrakis.gr", true },
  { "u-chan.com", true },
  { "u-grow.gr", true },
  { "u-he.com", true },
  { "u-martfoods.com", true },
  { "u-page.nl", true },
  { "u.nu", true },
  { "u00228.com", false },
  { "u03.fr", true },
  { "u29dc.com", true },
  { "u2fsecuritykeys.com", true },
  { "u32i64.cf", true },
  { "u36533.com", true },
  { "u36594.com", true },
  { "u4mh-dev-accesscontroller.azurewebsites.net", true },
  { "u4mh-dev-portal.azurewebsites.net", true },
  { "u5.re", true },
  { "u51365.com", true },
  { "u5b.de", false },
  { "u5r.nl", true },
  { "u9yy.net", true },
  { "ua-blacklist.info", true },
  { "ua.search.yahoo.com", false },
  { "uae-company-service.com", true },
  { "ualove.tk", true },
  { "uangteman.com", true },
  { "uasmi.com", true },
  { "uastrategy.org", true },
  { "uat-activesg.com", true },
  { "uat-mypfp.co.uk", true },
  { "uatgootax.ru", false },
  { "ub3rk1tten.com", false },
  { "ub889.com", true },
  { "ubanquity.com", false },
  { "ubcani.com", true },
  { "uberboxen.net", true },
  { "uberestimator.com", true },
  { "uberi.fi", true },
  { "ubermail.me", true },
  { "uberpromocodes.us", true },
  { "ubertt.org", true },
  { "uberwald.de", true },
  { "uberwald.ws", true },
  { "ubezpieczenia-poznan.com", true },
  { "ubezpieczeniepsa.com", true },
  { "ubicaciones-vitamina.cl", true },
  { "ubiminds.com", true },
  { "ubineering.de", true },
  { "ubis.company", true },
  { "ubiurbe.com", true },
  { "ublaboo.org", true },
  { "uboratz.org", true },
  { "uborka-812.ru", true },
  { "ubunlog.com", true },
  { "ubuntu18.com", true },
  { "ubytovanihyncice.cz", true },
  { "ucac.nz", false },
  { "ucangiller.com", true },
  { "ucasa.org.au", true },
  { "ucb.com", true },
  { "ucc.edu.gh", true },
  { "ucch.be", false },
  { "uccisme.net.ua", true },
  { "ucdap.com", true },
  { "ucfirst.nl", true },
  { "uchargeapp.com", true },
  { "ucibt.com", true },
  { "uclf.de", true },
  { "ucmjlawyers.com", true },
  { "ucnedu.org", true },
  { "ucngame.com", true },
  { "ucppe.org", true },
  { "ucrdatatool.gov", true },
  { "uctarna.online", true },
  { "uddi.ng", true },
  { "uddin.io", true },
  { "udid.fyi", true },
  { "udien.tk", true },
  { "udiregelverk.no", true },
  { "udo-luetkemeier.de", true },
  { "udomain.net", true },
  { "udp.sh", false },
  { "udruga-point.hr", true },
  { "udvoukocek.eu", true },
  { "ueberdosis.io", true },
  { "ueberwachungspaket.at", true },
  { "uedaviolin.com", true },
  { "ueni.com", true },
  { "uestc.icu", true },
  { "uevan.com", true },
  { "uf-ace.com", true },
  { "ufacesign.in", true },
  { "ufanisi.mx", true },
  { "ufindme.at", true },
  { "ufo-blogger.com", true },
  { "ufob.edu.br", true },
  { "ufocentre.com", true },
  { "ufplanets.com", true },
  { "ufroo.com", true },
  { "ugb-verlag.de", true },
  { "ugeek.tk", true },
  { "uggedal.com", true },
  { "uglycat.com", true },
  { "uglycat.eu", true },
  { "uglycat.net", true },
  { "uglycat.org", true },
  { "ugolsibiri.ru", true },
  { "ugrod.ru", true },
  { "ugtdigiteldocumentos.es", true },
  { "ugx-mods.com", true },
  { "ugy.es", true },
  { "uhc.gg", true },
  { "uhlhosting.ch", true },
  { "uhrenlux.de", true },
  { "ui8.net", true },
  { "uiberlay.cz", true },
  { "uid0.pl", true },
  { "uiop.link", true },
  { "uiterwijk.org", true },
  { "uitgeverij-deviant.nl", true },
  { "uj2008.com", true },
  { "ujiyasu.com", true },
  { "ujob.com.cn", true },
  { "ujvary.eu", true },
  { "uk.dating", true },
  { "uk.search.yahoo.com", false },
  { "ukbc.london", true },
  { "ukchemicalresearch.org", false },
  { "ukclimbing.com", true },
  { "ukdefencejournal.org.uk", true },
  { "ukhas.net", true },
  { "ukhillwalking.com", true },
  { "ukitbs.com", true },
  { "ukmeetandgreet.com", true },
  { "ukooku.com", true },
  { "ukozliku.cz", true },
  { "ukpropertyrescue.com", true },
  { "ukr.media", true },
  { "ukrainians.ch", true },
  { "ukrapak.com.ua", true },
  { "ukriate.com", true },
  { "ukrigging.net", true },
  { "ukrn.io", true },
  { "ukrnet.co.uk", true },
  { "ukrobmen.net", true },
  { "uksb.net", true },
  { "uktw.co.uk", true },
  { "ukuchordnamer.com", true },
  { "ukulelejim.com", true },
  { "ukutabs.com", true },
  { "ukwct.org.uk", true },
  { "ulabox.com", true },
  { "uldsh.de", true },
  { "uleenucks.de", true },
  { "ulen.me", true },
  { "uli-eckhardt.de", true },
  { "ulitroyo.com", true },
  { "ullah.se", true },
  { "ulli.ml", true },
  { "ulmer-schneesport.de", true },
  { "ulovelc88.com", true },
  { "ulrichs.ch", true },
  { "ulrik.moe", true },
  { "ultima-ratio.at", true },
  { "ultimate-fireworks.tk", true },
  { "ultimate-uk.com", true },
  { "ultimateanu.com", true },
  { "ultimateappreviews.co", true },
  { "ultimatebabyshowergifts.ga", true },
  { "ultimatemafia.net", true },
  { "ultimatepaleoguide.com", true },
  { "ultrabeautycream.com", true },
  { "ultrafine.cf", true },
  { "ultramax.biz", true },
  { "ultramookie.com", true },
  { "ultraporn.biz", true },
  { "ultrapure-water.com", true },
  { "ultrasdesign.co.uk", true },
  { "ultraseopro.com", true },
  { "ultratechlp.com", true },
  { "ultrautoparts.com.au", true },
  { "ultravip.com.br", true },
  { "ultspo.net", true },
  { "ulys.ch", true },
  { "um-sachsen-pictures.de", true },
  { "umail2.com", true },
  { "umanityracing.com", true },
  { "umartina.eu", true },
  { "umasstransit.org", true },
  { "umbertheprussianblue.com", true },
  { "umbricht.li", true },
  { "umcpc.org", true },
  { "umenlisam.com", true },
  { "umisonoda.com", true },
  { "umity.com.ua", true },
  { "umlcode.com", true },
  { "ummati.com", true },
  { "ummiabi.id", true },
  { "umniy-dom.tk", true },
  { "umount.net", true },
  { "umsapi.com", true },
  { "umzuege-berlin.com", true },
  { "umzuege-hannover.net", true },
  { "umzuege-wolfsburg.de", true },
  { "umzug-braunschweig24.de", true },
  { "umzugsunternehmenberlin.eu", true },
  { "un-framed.co.za", true },
  { "un-instantpoursoi.com", true },
  { "un-zero-un.fr", true },
  { "un.fo", true },
  { "unapp.me", true },
  { "unatco.noip.me", true },
  { "unausa.com.br", true },
  { "unblock-zh.org", true },
  { "unblocked.at", true },
  { "unblocked.bet", true },
  { "unblocked.bid", true },
  { "unblocked.cam", true },
  { "unblocked.dk", true },
  { "unblocked.earth", true },
  { "unblocked.gdn", true },
  { "unblocked.ink", true },
  { "unblocked.krd", true },
  { "unblocked.lat", true },
  { "unblocked.lc", true },
  { "unblocked.live", true },
  { "unblocked.llc", true },
  { "unblocked.ltda", true },
  { "unblocked.mx", true },
  { "unblocked.nz", true },
  { "unblocked.one", true },
  { "unblocked.pet", true },
  { "unblocked.pl", true },
  { "unblocked.pro", true },
  { "unblocked.pub", true },
  { "unblocked.sh", true },
  { "unblocked.uno", true },
  { "unblocked.vc", true },
  { "unblocked.vet", true },
  { "unblocked.vip", true },
  { "unblocked.win", true },
  { "unblockit.biz", true },
  { "unblockit.ca", true },
  { "unbolt.cf", true },
  { "unboundmoney.com", true },
  { "unboxed.cf", true },
  { "unboxforteams.work", true },
  { "uncarved.com", true },
  { "unccelearn.org", true },
  { "uncensoreddns.dk", true },
  { "uncensoreddns.org", true },
  { "unclebens-specials.gr", true },
  { "undeadpirates.net", true },
  { "undecidable.de", true },
  { "undeductive.media", true },
  { "undef.in", false },
  { "underbridgeleisure.co.uk", true },
  { "undercovercondoms.com", true },
  { "underfloorheating-uk.co.uk", true },
  { "undergrounder.ga", true },
  { "undergroundremains.de", true },
  { "underlined.fr", true },
  { "undernet.uy", false },
  { "undertow.ga", true },
  { "underwearoffer.com", true },
  { "underwoodpatents.com", true },
  { "undev.co", true },
  { "undp.lt", true },
  { "unece-deta.eu", true },
  { "unefleur.be", true },
  { "unefuite.ch", false },
  { "unerosesurlalune.fr", false },
  { "unexpected.nu", true },
  { "unexpectedcompany.com", true },
  { "unfallrechtler.de", true },
  { "unfc.nl", true },
  { "unfuddle.cn", true },
  { "unga.dk", true },
  { "ungaeuropeer.se", true },
  { "ungegamere.dk", true },
  { "unghie.com", true },
  { "unibag.cl", true },
  { "unibo.com", true },
  { "unibusreputation.com", true },
  { "unicef-karten.at", true },
  { "unicef.pl", true },
  { "unicefcards.it", true },
  { "unicefcards.nl", true },
  { "unicefcestitke.rs", true },
  { "unicefkaarten.nl", true },
  { "unicefkartkidlafirm.pl", true },
  { "unicode.website", true },
  { "unicolabo.jp", true },
  { "unicorn-systems.net", true },
  { "unicorn.io", true },
  { "unicorn.melbourne", true },
  { "unicorndesign.ninja", true },
  { "unicorntooling.eu", true },
  { "unicredit.ba", true },
  { "unicredit.ro", true },
  { "unicreditbank.hu", true },
  { "unicreditbank.rs", true },
  { "unicreditbank.ru", false },
  { "unideck.com.ua", true },
  { "unidevgroup.ru", true },
  { "unidostransportes.com.br", true },
  { "unidrogas.com", false },
  { "unieducar.org.br", true },
  { "uniekglas.nl", true },
  { "unifashion.ro", true },
  { "unifestal.com", true },
  { "uniform-agri.com", true },
  { "unijob.com.br", true },
  { "unik.bg", true },
  { "unikalo.com", true },
  { "unikoingold.com", true },
  { "unikrn.com", true },
  { "unikrn.space", true },
  { "unila.edu.br", true },
  { "unimbalr.com", true },
  { "unionlife-net.com", true },
  { "unionplat.ru", true },
  { "unionreports.gov", true },
  { "unionstreetskateboards.com", true },
  { "uniontestprep.com", true },
  { "unipart.digital", false },
  { "unipig.de", true },
  { "uniprimebr.com.br", false },
  { "uniq.site", true },
  { "uniqsys.eu", true },
  { "unique-pathways.ch", false },
  { "unique-pathways.com", false },
  { "unique-tutorials.info", true },
  { "uniquepathways.ch", false },
  { "unit7jazz.com", true },
  { "unit7jazz.org", true },
  { "unite-ka.de", true },
  { "uniteasia.org", true },
  { "united-coders.com", true },
  { "united.com", false },
  { "unitedadmins.com", true },
  { "unitedarmyofentropia.tk", true },
  { "unitedbaby.fr", true },
  { "unitedfitness.com.au", true },
  { "unitedkingdoms-guild.com", true },
  { "unitedmatrix.org", true },
  { "unitedprovinces.nl", true },
  { "unitedpsychological.com", true },
  { "unitel2000.de", true },
  { "unitir.gq", true },
  { "unityconsciousnessbooks.com", true },
  { "unityvox.com", true },
  { "uniuni.info", true },
  { "univate.berlin", true },
  { "univercite.ch", false },
  { "univeril.com", false },
  { "universal-edge.com", true },
  { "universal-tutorial.com", true },
  { "universal-village.org", true },
  { "universal.at", true },
  { "universalcarpetinc.com", true },
  { "universalcarremote.com", true },
  { "universe.horse", true },
  { "universidadperu.com", true },
  { "universogay.com", true },
  { "universoscuola.it", true },
  { "universovalve.net", true },
  { "universrumbacongolaise.com", true },
  { "univet-veterinaire.com", false },
  { "univetnature.org", false },
  { "univitale.fr", false },
  { "unix.se", true },
  { "unixadm.org", true },
  { "unixforum.org", true },
  { "unixfox.eu", true },
  { "unixhost.ga", true },
  { "unixtime.date", true },
  { "unkn0wncat.net", true },
  { "unknown-player.com", true },
  { "unknown.kyoto", false },
  { "unkrn.com", true },
  { "unlax.com", true },
  { "unli.xyz", true },
  { "unlock-my-sprint.mobi", true },
  { "unlockauthority.com", true },
  { "unlockblackberryfree.co.uk", true },
  { "unlocken.nl", true },
  { "unlocks.co.uk", true },
  { "unlockscheveningen.nl", true },
  { "unlocktalent.gov", true },
  { "unluco.com", true },
  { "unmarkdocs.co", true },
  { "unmonito.red", true },
  { "unn-edu.info", true },
  { "unnamed.download", true },
  { "uno-pizza.ru", true },
  { "uno.fi", true },
  { "uno.uk", true },
  { "unoccupyabq.org", true },
  { "unp.me", true },
  { "unpaismejor.es", true },
  { "unpkg.com", true },
  { "unpleasant.tk", true },
  { "unpluggedjuice.dk", true },
  { "unpossible.xyz", true },
  { "unpr.dk", true },
  { "unquote.li", false },
  { "unrealircd.org", true },
  { "unrelated.net.au", true },
  { "uns.vn", true },
  { "unseen.is", true },
  { "unseen.tw", true },
  { "unser-gartenforum.de", true },
  { "unsourirealecole.fr", true },
  { "unstablewormhole.ltd", true },
  { "unstamps.org", true },
  { "unstoppableunits.com", true },
  { "unsuspicious.click", true },
  { "unterhaltungsbox.com", true },
  { "unternehmensbewertung.pro", true },
  { "unternehmer-radio.de", true },
  { "unternehmerrat-hagen.de", true },
  { "untethereddog.com", true },
  { "untilyouarrive.com", true },
  { "unusedrooms.com", true },
  { "unusualhatclub.com", true },
  { "unveiledgnosis.com", true },
  { "unx.dk", true },
  { "unxcoconsulting.com", true },
  { "unxicdellum.cat", true },
  { "uotomizu.com", true },
  { "up-ai.com", true },
  { "up-stage.info", true },
  { "up-stage.jp", true },
  { "up2mark.com", true },
  { "up2mark.de", true },
  { "up2staff.com", true },
  { "upacores.com", true },
  { "upakweship.ca", true },
  { "upakweship.com", true },
  { "upakweship.eu.com", true },
  { "upakweship.uk.com", true },
  { "upandrunningtutorials.com", true },
  { "upawg.ca", true },
  { "upay.ru", true },
  { "upbad.com", true },
  { "upbatangan.tk", true },
  { "upbeatrobot.com", true },
  { "upbeatrobot.email", true },
  { "upbeatrobot.eu", true },
  { "upbeatrobot.net", true },
  { "upbeatrobot.nl", true },
  { "upbeatrobot.org", true },
  { "upbtrbt.com", true },
  { "upbtrbt.eu", true },
  { "upbtrbt.net", true },
  { "upbtrbt.nl", true },
  { "upbtrbt.org", true },
  { "upcambio.com", true },
  { "upd.jp", true },
  { "upengo.com", true },
  { "upgamerengine.com", true },
  { "upgamerengine.com.br", true },
  { "upgamerengine.net", true },
  { "upgauged.com", true },
  { "upgradedpoints.com", true },
  { "upguard.com", true },
  { "uphabit.io", true },
  { "upholsterycleanerslondon.co.uk", true },
  { "upholsterydesign.com.au", true },
  { "uphuntingland.com", true },
  { "upitnik.rs", true },
  { "uplaqui.com.br", true },
  { "uplead.com", true },
  { "uplinklabs.net", true },
  { "upload.facebook.com", false },
  { "uploadbeta.com", true },
  { "uplotnitel.online", true },
  { "uplr.it", true },
  { "upmon.com", true },
  { "upperbeaconsfield.org.au", true },
  { "uppercap.com", true },
  { "upperroommission.ca", true },
  { "upplevelse.com", true },
  { "upr.com.ua", true },
  { "upr.si", true },
  { "uprint.it", true },
  { "upropay.com", true },
  { "uprospr.com", true },
  { "upscope.io", true },
  { "upstart.com", true },
  { "uptechbrasil.com.br", true },
  { "uptimed.com", true },
  { "uptodateinteriors.com", true },
  { "uptoon.jp", true },
  { "uptoplay.ovh", true },
  { "uptownlocators.com", true },
  { "uptownvintagecafe.com", true },
  { "uptrends.com", true },
  { "uptrends.de", true },
  { "upturn.org", true },
  { "upundit.com", true },
  { "upwork.com", true },
  { "ur-lauber.de", true },
  { "ur.nl", true },
  { "ur2.pw", true },
  { "urabain.com", true },
  { "uradisam.rs", true },
  { "uraimo.com", true },
  { "ural-emal.ga", true },
  { "uraniborg.net", true },
  { "uranius.eu", true },
  { "urb-budex.pl", true },
  { "urbackups.com", true },
  { "urbalex.ch", false },
  { "urban-culture.fr", true },
  { "urban.melbourne", true },
  { "urbancreators.dk", true },
  { "urbanemc.net", true },
  { "urbanesecurity.com", true },
  { "urbanfi.sh", true },
  { "urbanguerillas.de", true },
  { "urbanhotbed.eu", true },
  { "urbanietz-immobilien.de", true },
  { "urbanindustriecoiffure-auray.fr", true },
  { "urbannewsservice.com", true },
  { "urbanwaters.gov", false },
  { "urbanwildlifealliance.org", false },
  { "urbanxdevelopment.com", true },
  { "urbest.io", true },
  { "urbexdk.nl", true },
  { "urbexing.eu", true },
  { "urbizoroofing.com", true },
  { "urcentral.com", true },
  { "urcentral.eu", true },
  { "urcentral.net", true },
  { "urcentral.nl", true },
  { "urcentral.org", true },
  { "ureka.org", true },
  { "urfix.com", true },
  { "urgentcaresouthaven.com", true },
  { "uriports.com", true },
  { "uripura.de", true },
  { "urist1011.ru", true },
  { "urkult.se", true },
  { "url.fi", true },
  { "url.fm", true },
  { "url.rw", false },
  { "urlakite.com", true },
  { "urlaub-busreisen.de", true },
  { "urlaub-leitner.at", true },
  { "urlfly.tk", true },
  { "urlgot.com", true },
  { "urlscan.io", true },
  { "urlsimple.tk", true },
  { "urltell.com", true },
  { "urltodomain.com", true },
  { "urnes.org", true },
  { "urologyoklahoma.com", true },
  { "urown.net", true },
  { "urrestarazuserranoabogados.com", true },
  { "ursa-minor-beta.org", true },
  { "urspringer.de", true },
  { "ursuslibris.hu", true },
  { "urth.org", true },
  { "uruguay-experience.com", true },
  { "urukproject.org", true },
  { "us-10.com", true },
  { "us.marketing", true },
  { "usa-10.us", true },
  { "usa-greencard.eu", true },
  { "usa-reisetipps.net", true },
  { "usa-viagra.com", true },
  { "usaa.com", false },
  { "usaautoaz.com", true },
  { "usabackground.com", true },
  { "usability.com.gr", true },
  { "usability.gov", true },
  { "usaestaonline.com", true },
  { "usage.be", true },
  { "usagexchange.com", true },
  { "usagm.gov", true },
  { "usajobs.com", true },
  { "usajobs.gov", true },
  { "usalearning.gov", true },
  { "usamdt.com", true },
  { "usamultimeters.com", true },
  { "usapublicrecords.com", true },
  { "usarp.org", true },
  { "usastaffing.gov", true },
  { "usawireguard.com", true },
  { "usb-lock-rp.com", true },
  { "usbevents.co.uk", true },
  { "uscis.gov", true },
  { "uscloud.nl", true },
  { "uscpaservices.com", true },
  { "usctt.org", true },
  { "uscurrency.gov", true },
  { "usd.de", false },
  { "usdoj.gov", true },
  { "usds.gov", true },
  { "use.be", true },
  { "usebean.com", true },
  { "username.nz", true },
  { "userstation.net", true },
  { "usetypo3.com", true },
  { "useyourloaf.com", true },
  { "usgande.com", true },
  { "ushandbookapp.com", true },
  { "ushare.ch", true },
  { "ushealthpharma.com", true },
  { "usitcolours.bg", true },
  { "usjunkyardsnearme.com", true },
  { "uskaria.com", true },
  { "uslugi-voronezh.tk", true },
  { "usmammy.com.tw", true },
  { "usmiddleclass.net", true },
  { "usmint.gov", true },
  { "usninosnikrcni.eu", true },
  { "usnti.com", true },
  { "uspaacc.com", true },
  { "uspesnyprvnacek.cz", true },
  { "uspesnyprvnacek.herokuapp.com", true },
  { "usphs.gov", true },
  { "ussm.gov", false },
  { "ussst.org", true },
  { "ussuka.com", false },
  { "ustaywell.com", true },
  { "ustensiles-cuisine.boutique", true },
  { "ustr.gov", false },
  { "ustugov.kiev.ua", true },
  { "ustugova.kiev.ua", true },
  { "usuan.net", true },
  { "usweme.info", true },
  { "uswitch.com", true },
  { "utahblackplate.com", true },
  { "utahblackplates.com", true },
  { "utahcanyons.org", true },
  { "utahfanclub.org", true },
  { "utahhomes-realestate.com", true },
  { "utahhydrographics.com", true },
  { "utahrealestatepodcast.com", true },
  { "utahtravelcenter.com", true },
  { "utavatu.mk", true },
  { "utazas-nyaralas.info", true },
  { "utazine.com", true },
  { "utcast-mate.com", true },
  { "utdsgda.com", true },
  { "uteasybooki.com", true },
  { "utensil.org", true },
  { "utepils.de", true },
  { "utevai.tk", true },
  { "utgifter.no", true },
  { "utiars.com", true },
  { "uticagravel.com", true },
  { "utilia.tools", true },
  { "utilitarian.com", true },
  { "utilitarian.net", true },
  { "utilitarian.org", true },
  { "utilitarianism.com", true },
  { "utilitarianism.org", true },
  { "utilitarismo.com", true },
  { "utilitronium.com", true },
  { "utilityapi.com", true },
  { "utonia.ch", true },
  { "utopianhomespa.com", true },
  { "utopianrealms.org", true },
  { "utopicestudios.com", true },
  { "utorg.com.ua", true },
  { "utrace.me", true },
  { "utrantor.org", true },
  { "utterberry.io", true },
  { "utugnn.ru", true },
  { "utw.me", true },
  { "utwente.io", true },
  { "utzon.net", true },
  { "uuit.nl", true },
  { "uurl.ga", true },
  { "uv.uy", true },
  { "uvenuse.cz", true },
  { "uvocorp.com", true },
  { "uvpress.com", true },
  { "uvseh.com", true },
  { "uvtcinemas.com", true },
  { "uvx.io", true },
  { "uwac.co.uk", false },
  { "uwat.cf", true },
  { "uwe-arzt.de", true },
  { "uwe-r.com", true },
  { "uwe.training", true },
  { "uwelilienthal.de", true },
  { "uwmarktspecialist.nl", true },
  { "uwsoftware.be", true },
  { "uwu.lgbt", true },
  { "uwvloereruit.nl", true },
  { "ux-designers.nl", true },
  { "ux-solution.de", true },
  { "uxdesignerjobs.nl", true },
  { "uxp-it.nl", true },
  { "uxsto.com", true },
  { "uxtag.com", true },
  { "uxteam.com", true },
  { "uy.search.yahoo.com", false },
  { "uyen.party", true },
  { "uz.search.yahoo.com", false },
  { "uzay.org", true },
  { "uzayliyiz.biz", true },
  { "uzaymedya.com.tr", true },
  { "uzbekkizlari.tk", true },
  { "uzbektumblers.tk", true },
  { "uze-mobility.at", true },
  { "uze-mobility.ch", true },
  { "uze-mobility.co", true },
  { "uze-mobility.com", true },
  { "uze-mobility.group", true },
  { "uze-mobility.info", true },
  { "uze-mobility.io", true },
  { "uze-mobility.net", true },
  { "uze-mobility.org", true },
  { "uze-store.com", true },
  { "uze.mobi", true },
  { "uzemobility.com", true },
  { "uzemobility.de", true },
  { "uzemobility.eu", true },
  { "uzemobility.org", true },
  { "uzhas-uzhasny.ml", true },
  { "uzsvm.cz", true },
  { "uzzamari.com", true },
  { "v-bank.com", true },
  { "v-d-p.net", true },
  { "v-horus.com", true },
  { "v-novosibirske.tk", true },
  { "v-spin.cz", true },
  { "v-tek.fi", true },
  { "v05666.com", true },
  { "v06999.com", true },
  { "v0ctor.me", true },
  { "v0v.cc", true },
  { "v1.dk", true },
  { "v1081.com", true },
  { "v12555.com", true },
  { "v139.com", true },
  { "v1951.com", false },
  { "v1sit0r.ru", true },
  { "v2bv.net", true },
  { "v2cn.win", true },
  { "v2ex.com", true },
  { "v2x.sk", true },
  { "v33v33.com", true },
  { "v36533.com", true },
  { "v36594.com", true },
  { "v44v44.com", true },
  { "v51365.com", true },
  { "v55510.com", false },
  { "v55520.com", false },
  { "v55v55.com", true },
  { "v6021.com", true },
  { "v6350.com", true },
  { "v637.com", false },
  { "v6506.com", true },
  { "v66.ag", true },
  { "v666.ag", true },
  { "v66618.com", false },
  { "v66619.com", false },
  { "v6752.com", true },
  { "v67555.com", true },
  { "v6791.com", true },
  { "v68777.com", true },
  { "v76555.com", true },
  { "v78555.com", true },
  { "v88.ag", true },
  { "v88158.com", true },
  { "v88559.com", false },
  { "v88656.com", false },
  { "v88799.com", false },
  { "v888.ag", true },
  { "v9823.com", false },
  { "v9831.com", false },
  { "va-reitartikel.com", true },
  { "va.gov", false },
  { "va11hal.la", true },
  { "va1der.ca", true },
  { "vabusinesses.org", true },
  { "vacancyfiller.com", true },
  { "vacati0n.tk", true },
  { "vacation-croatia.com", true },
  { "vaccineskill.biz", true },
  { "vaccinestats.net", true },
  { "vacontractortraining.com", true },
  { "vacuumpump.co.id", true },
  { "vademekum.com", true },
  { "vadennissanofhiltonheadparts.com", true },
  { "vaeplatform.com", true },
  { "vaew.com", true },
  { "vagabond.fr", true },
  { "vagabondgal.com", true },
  { "vagaerg.com", true },
  { "vagaerg.net", true },
  { "vagmour.eu", true },
  { "vagpartsdb.com", true },
  { "vagrantcloud.com", true },
  { "vagrantup.com", true },
  { "vagueetvent.com", true },
  { "vahoshop.cz", true },
  { "vaindil.com", true },
  { "vaioswolke.xyz", false },
  { "vairuok.lt", true },
  { "vakaconsulting.com", true },
  { "vakantiedetective.nl", true },
  { "vakantiehuisschellinkhout.nl", true },
  { "vakantiehuizen-denemarken.nl", true },
  { "vakantienet.nl", true },
  { "vakuutuskanava.fi", true },
  { "valaphee.com", true },
  { "valasi.eu", true },
  { "valcansell.com", true },
  { "valdicass.com", true },
  { "valek.net", true },
  { "valemountchamber.com", true },
  { "valemountmuseum.ca", true },
  { "valenciadevops.me", true },
  { "valencianisme.tk", true },
  { "valencianistas.tk", true },
  { "valeniidemunte.tk", true },
  { "valentin.ml", true },
  { "valentinarosamilia.ch", true },
  { "valentinarosamilia.com", true },
  { "valentinberclaz.com", true },
  { "valentineforpresident.com", true },
  { "valentinesongs.com", true },
  { "valentinoduval.fr", true },
  { "valentinritz.com", false },
  { "valeriansaliou.name", true },
  { "valescaind.com.br", true },
  { "valiant.finance", true },
  { "validator.nu", true },
  { "validbrands.com", true },
  { "valika.ee", true },
  { "valimised.ee", true },
  { "valkohalla.dk", true },
  { "valkohattu.fi", true },
  { "valkova.net", true },
  { "valledeleresma.tk", true },
  { "vallei-veluwe.nl", true },
  { "valleyautofair.com", true },
  { "valleyautoloan.com", true },
  { "valleycode.net", true },
  { "valleydalecottage.com.au", true },
  { "valleystories.ga", true },
  { "vallutaja.eu", true },
  { "valokuva-albumi.fi", true },
  { "valordolarblue.com.ar", true },
  { "valordotrabalho.com.br", true },
  { "valorem-tax.ch", false },
  { "valoremtax.ch", false },
  { "valoremtax.com", false },
  { "valorin.net", true },
  { "valorizofficial.com", true },
  { "valsk.is", false },
  { "valskis.lt", true },
  { "valtlai.fi", true },
  { "valtool.uk", true },
  { "valudo.st", true },
  { "valuecashhomes.com", true },
  { "valuecashoffers.com", true },
  { "valuehost.com.br", true },
  { "valuemyhome.co.uk", true },
  { "valuemyhome.uk", true },
  { "valuemywebsite.net", true },
  { "valueng.com", true },
  { "valueseed.net", true },
  { "valutienda.com", true },
  { "valuuttamuunnin.com", true },
  { "valverdedelcamino.net", true },
  { "valx.jp", true },
  { "vam-podarok.tk", true },
  { "vamosbets.com", true },
  { "vamosbien.com", true },
  { "vampire-studios.tk", true },
  { "vampire142.fr", true },
  { "vampyrium.net", false },
  { "van11y.net", true },
  { "vanbinnenuit.nl", true },
  { "vancityconcerts.com", true },
  { "vancoevents.com", true },
  { "vancouverchess.com", true },
  { "vancouvercosmeticsurgery.ca", true },
  { "vancouverwatowncar.com", true },
  { "vancouverwebsitedesigns.com", true },
  { "vandalfsen.me", true },
  { "vandenbroeck-usedcars.be", false },
  { "vanderkley.it", true },
  { "vanderkrieken.org", true },
  { "vandermeer.frl", true },
  { "vanderrijt.nl", false },
  { "vandijkmaatwerk.nl", true },
  { "vandommelenart.com", true },
  { "vandorenscholars.org", true },
  { "vandortbv.nl", true },
  { "vandortgroep.nl", true },
  { "vandrielschoenen.nl", true },
  { "vandyhacks.org", true },
  { "vaneigenkweek.be", true },
  { "vanessarivas.com", true },
  { "vaneurology.com", true },
  { "vangoghcoaching.nl", true },
  { "vanhoudt-usedcars.be", false },
  { "vanhoutte.be", false },
  { "vanhove.biz", true },
  { "vaniola.com", true },
  { "vanlaanen.com", false },
  { "vanmalland.com", true },
  { "vannaos.net", true },
  { "vanohaker.ru", true },
  { "vanouwerkerk.net", true },
  { "vanspa.vn", true },
  { "vanss.org", true },
  { "vanstoftotleven.nl", true },
  { "vantagepointpreneed.com", true },
  { "vantien.com", true },
  { "vantru.is", true },
  { "vanuithartenziel.nl", true },
  { "vanwa.ch", true },
  { "vanwunnik.com", true },
  { "vap.llc", true },
  { "vape-hit.in", true },
  { "vapecrunch.com", true },
  { "vapeking.co.za", true },
  { "vapekingusa.com", true },
  { "vapensiero.co.uk", true },
  { "vaperion.me", true },
  { "vaperolles.ch", false },
  { "vapesense.co.uk", true },
  { "vapex.pl", true },
  { "vaphone.co", true },
  { "vapingdaily.com", true },
  { "vapor.cloud", false },
  { "vapteke.ru", true },
  { "varcare.jp", true },
  { "varda.nl", true },
  { "vardenafilhcl.gq", true },
  { "vareillefoundation.fr", false },
  { "vareillefoundation.org", false },
  { "varghese.de", true },
  { "variable.dk", true },
  { "variag-group.ru", true },
  { "variag-montazh.ru", true },
  { "varimedoma.com", true },
  { "variomedia.de", true },
  { "varizh.by", true },
  { "varjo.tk", true },
  { "varlex.cl", true },
  { "varshathacker.com", true },
  { "varvy.com", true },
  { "varyrentacar.com", true },
  { "varztupasaulis.com", true },
  { "varztupasaulis.eu", true },
  { "varztupasaulis.lt", true },
  { "varztupasaulis.net", true },
  { "vasastansbygg.se", true },
  { "vascomm.co.id", true },
  { "vase-eroticke-povidky.cz", true },
  { "vasel.de", true },
  { "vasel.eu", true },
  { "vashel.us", true },
  { "vasheradio.tk", true },
  { "vasileruscior.ro", true },
  { "vasilikieleftheriou.com", true },
  { "vaskulitis-info.de", true },
  { "vasports.com.au", true },
  { "vastenotaris.nl", true },
  { "vastgoed-lidl.nl", true },
  { "vasyharan.com", true },
  { "vat-eu.com", true },
  { "vat.direct", true },
  { "vatav.tk", true },
  { "vato.nl", true },
  { "vats.im", true },
  { "vattulainen.fi", true },
  { "vauceri.hr", true },
  { "vaughanrisher.com", true },
  { "vault.investments", true },
  { "vault21.net", true },
  { "vault81.de", true },
  { "vaultproject.io", false },
  { "vaur.fr", true },
  { "vave.men", true },
  { "vavel.com", true },
  { "vawebsite.co", true },
  { "vawlt.io", true },
  { "vawomenshealth.com", true },
  { "vaxxwatch.org", true },
  { "vaygren.com", true },
  { "vazovia.com", true },
  { "vb.media", true },
  { "vbazile.com", true },
  { "vbestproduct.com", true },
  { "vbestseller.com", true },
  { "vbezhenar.com", true },
  { "vbh2o.com", true },
  { "vbsoft.cz", true },
  { "vbwinery.com", true },
  { "vc.gg", false },
  { "vcacursus.nl", true },
  { "vcam.org", true },
  { "vcanederland.nl", true },
  { "vccmurah.net", true },
  { "vcf.gov", true },
  { "vch.moe", true },
  { "vchelyabinske.tk", true },
  { "vcientertainment.com", false },
  { "vcm.ru", true },
  { "vcmi.download", true },
  { "vconstruct.com", true },
  { "vcps.com", true },
  { "vcsjones.codes", true },
  { "vcsjones.com", true },
  { "vcti.cloud", true },
  { "vctor.net", true },
  { "vd42.net", true },
  { "vda.li", true },
  { "vdbongard.com", true },
  { "vdcomp.cz", false },
  { "vdesc.com", true },
  { "vdisk24.de", true },
  { "vdlp.nl", true },
  { "vdmeij.com", true },
  { "vdo-webshop.nl", true },
  { "vdownloader.com", true },
  { "ve.search.yahoo.com", false },
  { "ve3oat.ca", true },
  { "veblr.com", true },
  { "vecchiofornobarletta.it", true },
  { "vecerkaracing.cz", true },
  { "vechainstats.com", true },
  { "vecherka.tk", true },
  { "vecozo.nl", true },
  { "vectomatic.org", true },
  { "vector.solutions", true },
  { "vectordtg.com", true },
  { "vectormagnetics.com", true },
  { "vectortrack.com.au", true },
  { "vectorwish.com", true },
  { "vedatkarabacak.av.tr", true },
  { "vedev.io", true },
  { "vedma-praktik.com", true },
  { "veg-leiden.nl", true },
  { "veg.lv", true },
  { "vega-rumia.pl", true },
  { "vegalitarian.org", true },
  { "vegan-pratique.fr", true },
  { "veganism.co.uk", true },
  { "veganism.com", true },
  { "veganmasterrace.com", true },
  { "veganrecipereviews.com", true },
  { "vegasluxuryestates.com", true },
  { "vegavio.com", true },
  { "vegekoszyk.pl", true },
  { "vegetalvalley.org", true },
  { "vegetariantokyo.net", true },
  { "vegetarier-sind-moerder.tk", true },
  { "vegetus.ua", true },
  { "veggie-einhorn.de", true },
  { "vegoresto.fr", true },
  { "vegtelenchat.tk", true },
  { "vehiclematsuk.com", true },
  { "vehicletransportservices.co", true },
  { "veiergangvermut.dk", true },
  { "veii.de", true },
  { "veil-framework.com", true },
  { "veilofsecurity.com", true },
  { "veincenterbrintonlake.com", true },
  { "veit.zone", true },
  { "vejersferie.de", true },
  { "vejersferie.dk", true },
  { "vektlofting.tk", true },
  { "velacartagena.tk", true },
  { "velassoltas.pt", true },
  { "velen.io", true },
  { "velikijhutir.cherkassy.ua", true },
  { "veliovgroup.com", true },
  { "vellingetaxi.se", true },
  { "velocityfiber.com", true },
  { "veloroute.hamburg", true },
  { "velosipedi.tk", true },
  { "velvetia.no", true },
  { "vendermicasarapido.com.mx", true },
  { "vendi.it", true },
  { "vendigital.com", true },
  { "venditorepoa.com.br", true },
  { "vendorconnect.nyc", true },
  { "vendreacheter.be", true },
  { "vendreacheter.net", true },
  { "veneerssandiego.com", true },
  { "venenum.org", true },
  { "venetkaarsenovart.com", true },
  { "venev.name", true },
  { "venezianischemasken.com", true },
  { "vengriya.tk", true },
  { "venlafaxine.gq", true },
  { "venmail.net", true },
  { "venstar.com", true },
  { "ventajasdesventajas.com", true },
  { "ventassantillan.com", true },
  { "ventesprivees-fr.com", true },
  { "venti-athens.gr", true },
  { "ventilateurs-plafond.com", true },
  { "ventizo.com", true },
  { "ventnose.com", true },
  { "ventriloservers.biz", true },
  { "venturum.com", true },
  { "venturum.de", true },
  { "venturum.eu", true },
  { "venturum.net", true },
  { "venuedriver.com", true },
  { "venusbeautyproducts.in", true },
  { "venzagroup.com", true },
  { "veply.com", true },
  { "ver.ma", true },
  { "veramagazine.jp", true },
  { "verasani.ch", true },
  { "verasani.com", true },
  { "verberne.nu", true },
  { "verbier-lechable.com", true },
  { "verbmaestro.com", true },
  { "verboom.co.nz", true },
  { "verbzilla.com", true },
  { "verdensflag.dk", true },
  { "verdict.gg", true },
  { "verduccies.com", true },
  { "verdugosxerecistas.tk", true },
  { "veredadelaestrella.tk", true },
  { "verein-kiekin.de", true },
  { "verein-zur-pflege-der-geselligkeit.de", true },
  { "vereinlandwege.de", true },
  { "vereinscheck.de", true },
  { "vereinswahl.online", true },
  { "verfassungsklage.at", true },
  { "verge.capital", true },
  { "vergelijksimonly.nl", true },
  { "veri2.com", true },
  { "verifalia.com", true },
  { "verified.eu", true },
  { "verifiedjoseph.com", true },
  { "verifiny.com", true },
  { "verifygroup.com", true },
  { "verifyos.com", true },
  { "verifyyourip.com", true },
  { "veriny.tf", true },
  { "veriomed.com", true },
  { "veritafineviolins.com", true },
  { "veritas-data.de", true },
  { "veritasinvestmentwealth.com", true },
  { "verizonconnect.com", false },
  { "verizonguidelines.com", true },
  { "verkeersschoolrichardschut.nl", true },
  { "verlag-lq.at", true },
  { "verlag-lq.ch", true },
  { "verlag-lq.com", true },
  { "verlag-lq.de", true },
  { "verlag-lq.net", true },
  { "verlagdrkovac.de", false },
  { "verlaglq.com", true },
  { "verliebt-in-bw.de", true },
  { "verliebt-in-niedersachsen.de", true },
  { "verliefde-jongens.nl", true },
  { "verloskundigepraktijktolmiea.nl", true },
  { "vermeerdealers.com", true },
  { "vermiliontaxiservice.com", true },
  { "vermuetje.nl", true },
  { "vernaeve-usedcars.be", false },
  { "vernis-marins.com", true },
  { "vernonatvclub.ca", true },
  { "vernonchan.com", true },
  { "vernonfigureskatingclub.com", true },
  { "vernonfilmsociety.bc.ca", true },
  { "vernonsecureselfstorage.ca", true },
  { "vernonspeedskatingclub.com", true },
  { "vernonwintercarnival.com", true },
  { "veronic.hu", true },
  { "veronicaphotography.com", true },
  { "veronique-schmitz.de", true },
  { "verrerie-mousseline.org", false },
  { "verry.org", true },
  { "vers.one", true },
  { "versagercloud.de", true },
  { "versbesteld.nl", true },
  { "verschoren.com", true },
  { "verschurendegroot.nl", true },
  { "verses.space", true },
  { "versicherungen-blog.net", true },
  { "versicherungen-werner-hahn.de", true },
  { "verspai.de", true },
  { "verstka.cf", true },
  { "verstraetenusedcars.be", false },
  { "versuschat.com", true },
  { "vertebrates.com", true },
  { "verteilergetriebe.info", true },
  { "verticesedge.com", true },
  { "verticrew.com", true },
  { "vertigo-rec.com", true },
  { "vertigo.name", false },
  { "vertner.net", true },
  { "vertretungsplan.io", true },
  { "vertrieb-strategie.de", true },
  { "vervewellness.co.nz", true },
  { "verwandlung.org", true },
  { "verwayen.com", true },
  { "veryapt.com", true },
  { "verybin.com", true },
  { "veryhappy.ru", true },
  { "verymelon.de", true },
  { "verymetal.nl", true },
  { "veryssl.com", true },
  { "veryswing.com", true },
  { "verzekeringencambier.be", true },
  { "ves.vn.ua", true },
  { "vesaviljanen.fi", true },
  { "vescudero.net", true },
  { "veslosada.com", true },
  { "vespacascadia.com", true },
  { "vestasib.ru", true },
  { "vestberry.com", true },
  { "vestd.com", true },
  { "vestibtech.com", true },
  { "vestingbar.nl", true },
  { "vestlundbolargen.tk", true },
  { "vestum.ru", true },
  { "vet4life.co.uk", true },
  { "vetar.ro", true },
  { "vetbits.com", false },
  { "vetcard.info", true },
  { "veteranreservecorps.com", true },
  { "veterinario.milano.it", true },
  { "veterinario.roma.it", true },
  { "veterinarioaltea.com", true },
  { "veterinary-colleges.com", true },
  { "veteriner.name.tr", true },
  { "vetforum.co", true },
  { "vetinte.eu", true },
  { "vetnet.info", true },
  { "veto.fish", true },
  { "vetofish.com", true },
  { "vets.gov", true },
  { "vettenburg.eu", true },
  { "vetustainversion.com", true },
  { "veverusak.cz", true },
  { "vezirecenzii.ro", true },
  { "vfdworld.com", true },
  { "vfmc.vic.gov.au", true },
  { "vg-store.ir", true },
  { "vgchat.us", true },
  { "vgcheat.com", true },
  { "vgerak.com", true },
  { "vglist.co", true },
  { "vgolos.zt.ua", true },
  { "vgorcum.com", true },
  { "vgropp.de", true },
  { "vhrca.com", true },
  { "vhs-bad-wurzach.de", true },
  { "vhummel.nl", true },
  { "vi.photo", true },
  { "via-shire-krug.ru", true },
  { "via.blog.br", true },
  { "viablog.com.br", true },
  { "viacation.co", true },
  { "viacdn.org", true },
  { "viafinance.cz", false },
  { "viaggio-in-cina.it", true },
  { "viaggivistos.com.br", true },
  { "viajandoporelmundo.com.ar", true },
  { "viajaramsterdam.com", true },
  { "viaje-a-china.com", true },
  { "vialibido.com.br", true },
  { "viantours.com", true },
  { "viaprinto.de", true },
  { "viasinc.com", false },
  { "vibgyorhigh.com", true },
  { "vibgyyor.com", true },
  { "vibrant-america.com", true },
  { "vibrato1-kutikomi.com", true },
  { "vicenez.agency", true },
  { "vicentee.com", true },
  { "vichiya.com", true },
  { "vician.cz", true },
  { "vicianovi.cz", true },
  { "vicicode.com", true },
  { "vicioanimal.pt", true },
  { "vicious.space", true },
  { "vicjuris.com", true },
  { "vicjuwelen-annelore.be", true },
  { "vickyflipfloptravels.com", true },
  { "victora.com", true },
  { "victorblomberg.se", true },
  { "victorcanera.com", true },
  { "victorcarrasco.tk", true },
  { "victorcarwasher.com", true },
  { "victoreriksson.co", true },
  { "victoreriksson.com", true },
  { "victoreriksson.es", true },
  { "victoreriksson.eu", true },
  { "victoreriksson.info", true },
  { "victoreriksson.net", true },
  { "victoreriksson.nu", true },
  { "victoreriksson.org", true },
  { "victoreriksson.se", true },
  { "victoreriksson.us", true },
  { "victoreriksson.xyz", true },
  { "victorfiller.com", true },
  { "victorgbustamante.com", true },
  { "victorhawk.com", true },
  { "victorhorta.tk", true },
  { "victoriaartist.ru", true },
  { "victoriastudio.ru", true },
  { "victorjacobs.com", false },
  { "victornet.de", true },
  { "victorpelletmill.com", true },
  { "victorricemill.com", true },
  { "victorunix.com", true },
  { "victory.radio", true },
  { "victoryalliance.us", true },
  { "vicugna.nl", true },
  { "vicyu.com", true },
  { "vid-immobilien.de", true },
  { "vidady.com", true },
  { "vidarity.com", true },
  { "vidassemfronteiras.com", true },
  { "vidbooster.com", false },
  { "vide-greniers.org", false },
  { "video-adult-clips-mobile.com", true },
  { "videobrochuresmarketing.com", true },
  { "videogamecoupons.com", true },
  { "videogamer.com", true },
  { "videogamesartwork.com", true },
  { "videograb.ml", true },
  { "videojuegos.com", true },
  { "videokaufmann.at", true },
  { "videolabsinc.com", true },
  { "videomail.io", true },
  { "videopornoitaliana.com", true },
  { "videoseriesbiblicas.com", true },
  { "videoseyredin.net", true },
  { "videosjust.work", true },
  { "videoskaseros.com", true },
  { "videosparatodos.com", true },
  { "videospornogratis.pt", true },
  { "videosqr.com", true },
  { "videosxgays.com", true },
  { "videoueberwachung-set.de", true },
  { "videownload.com", true },
  { "videozv.tk", true },
  { "vidiobokep.xyz", true },
  { "vidiproject.com", true },
  { "vidister.de", true },
  { "vidracariaespelhosbh.com.br", true },
  { "vieaw.com", true },
  { "vieclam24h.vn", false },
  { "viekelis.lt", false },
  { "viemeister.com", true },
  { "viemontante.be", false },
  { "viennadancecrew.at", true },
  { "viepixel.at", true },
  { "vierpfeile.de", true },
  { "vierpluseins.wtf", true },
  { "vietnam-tours.tk", true },
  { "vietnamese.dating", true },
  { "vietnamluxurytravelagency.com", true },
  { "vietnamphotoblog.com", false },
  { "vietnamwomenveterans.org", true },
  { "view-page-source.com", true },
  { "viewbook.com", true },
  { "viewbykrian.com", true },
  { "viewey.com", true },
  { "viewing.nyc", true },
  { "viewmythoughts.com", true },
  { "viewsea.com", true },
  { "viflores.com", true },
  { "vifranco.cl", true },
  { "vifsoft.com", true },
  { "vigilanciaysalud.com", true },
  { "vigilantnow.com", true },
  { "vigira.com.ar", true },
  { "vigliano.com", true },
  { "vignaud.fr", true },
  { "vignoblesdeletat.ch", true },
  { "vigo-krankenversicherung.de", true },
  { "vigo-tarife.de", true },
  { "vigorspa.it", true },
  { "vigoxatelier.tech", true },
  { "vigrey.com", true },
  { "vijay-international.com", true },
  { "vijoe.org", true },
  { "vijverbenodigdheden.nl", true },
  { "vik.im", true },
  { "vikalbino.com.br", true },
  { "vikalpgupta.com", true },
  { "vikapaula.com", true },
  { "vikashkumar.me", true },
  { "vikaviktoria.com", true },
  { "viking-style.ru", true },
  { "vikings.net", true },
  { "vikramkulkarni.com", true },
  { "viktorbarzin.me", true },
  { "viktorprevaric.eu", true },
  { "viku.fi", true },
  { "vila-eden.cz", true },
  { "vildlaithailand.cf", true },
  { "viljatori.fi", true },
  { "villa-eden.cz", true },
  { "villa-gockel.de", true },
  { "villa-luna.it", true },
  { "villa-romantica-zillertal.at", true },
  { "villablino.tk", true },
  { "villach.at", true },
  { "villadelprado.tk", true },
  { "villafiore.com.br", true },
  { "villagecardshop.co.uk", true },
  { "villagecenterpediatrics.com", true },
  { "villagemagazines.co.uk", true },
  { "villagenscamuria.it", true },
  { "villagephysicians.com", true },
  { "villageunique.com.br", true },
  { "villagockel.de", true },
  { "villakarma.at", true },
  { "villalmanzo.tk", true },
  { "villamariaamalfi.it", true },
  { "villasfinistere.fr", true },
  { "villasforsale-bali.com", true },
  { "villasoasissanur.com", true },
  { "villavaltava.fi", true },
  { "villaville.com", true },
  { "villawirz.it", true },
  { "ville-aime.fr", true },
  { "villehardouin.fr", true },
  { "villek.fi", true },
  { "villekaaria.eu", true },
  { "villenavedornon.fr", true },
  { "villenvinkit.com", true },
  { "villerez.fr", true },
  { "villesalonen.fi", true },
  { "villu.ga", true },
  { "viltsu.net", true },
  { "vim.cx", true },
  { "vima.ch", false },
  { "vimeo.com", true },
  { "vinagro.sk", true },
  { "vinahost.vn", true },
  { "vinarstvimodryhrozen.cz", true },
  { "vinc.me", true },
  { "vincent-haupert.de", true },
  { "vincentcox.com", false },
  { "vincentpancol.com", true },
  { "vincentwathelet.be", true },
  { "vincible.space", true },
  { "vinciladislessia.it", true },
  { "vincitraining.com", true },
  { "vindafrid.nu", true },
  { "vindafrid.se", true },
  { "vindipoker.dk", true },
  { "vinetech.co.nz", true },
  { "vinhodragao.com.br", true },
  { "vinicius.sl", true },
  { "vinifriuli.sk", true },
  { "vinistas.com", true },
  { "vinit.tk", true },
  { "vinktwebdesign.nl", false },
  { "vinmmo.com", true },
  { "vinner.com.au", true },
  { "vinnyandchristina.com", true },
  { "vinnyvidivici.com", true },
  { "vinodoc.cz", true },
  { "vinokurov.tk", true },
  { "vinoshipper.com", true },
  { "vinovum.net", true },
  { "vinsation.com", true },
  { "vintagebandfestival.org", true },
  { "vintagecarparts.co.uk", true },
  { "vintagecaskandbarrel.com", true },
  { "vintagejeeps.net", true },
  { "vintagemakeupguide.com", true },
  { "vintageportgifts.co.uk", true },
  { "vintagesouthernpicks.com", true },
  { "vinticom.ch", false },
  { "vinzite.com", false },
  { "viocleannettoyage.com", true },
  { "violarenate.com", true },
  { "violetraven.co.uk", true },
  { "violin4fun.nl", true },
  { "vionicbeach.com", true },
  { "vionicshoes.co.uk", true },
  { "vionicshoes.com", true },
  { "vip-2132.com", true },
  { "vip-2138.com", true },
  { "vip-6132.com", true },
  { "vip-moda.ga", true },
  { "vip.de", true },
  { "vip00228.com", false },
  { "vip11018.com", false },
  { "vip2132.com", true },
  { "vip22884.com", false },
  { "vip22994.com", false },
  { "vip33138.com", true },
  { "vip5132.com", true },
  { "vip5414.com", true },
  { "vip5424.com", true },
  { "vip6132.com", true },
  { "vip7337.com", true },
  { "vip77018.com", false },
  { "vip8522.com", true },
  { "vip918.net", true },
  { "vipam8.com", true },
  { "vipcards.top", true },
  { "vipd88.net", true },
  { "vipesball.cc", true },
  { "vipesball.info", true },
  { "vipesball.me", true },
  { "vipf88.com", true },
  { "vipfitter.com", true },
  { "viphackers.tk", true },
  { "viplc0.com", true },
  { "viplc08.com", true },
  { "viplc1.com", true },
  { "viplc2.com", true },
  { "viplc3.com", true },
  { "viplc4.com", true },
  { "viplc5.com", true },
  { "viplc6.com", true },
  { "viplc66.net", true },
  { "viplc68.com", true },
  { "viplc7.com", true },
  { "viplc98.com", true },
  { "vipmdh.com.ua", true },
  { "vipom.com.ua", true },
  { "viporiflame.tk", true },
  { "vippclub.be", true },
  { "vips.pl", true },
  { "viptamol.com", true },
  { "vipw6608.com", true },
  { "vir-tec.eu", false },
  { "vir.vn", true },
  { "vir2.me", true },
  { "viraljobs.ga", true },
  { "viraloffer.ga", true },
  { "viralpop.it", false },
  { "viralted.ml", true },
  { "viraltube.my", true },
  { "viralvids.gq", true },
  { "virgontech.tk", true },
  { "virgopolymer.com", true },
  { "viridis-milites.cz", true },
  { "viris.si", true },
  { "virite.net", true },
  { "virostack.com", true },
  { "virtit.fr", true },
  { "virtualbrands.com", true },
  { "virtualbrestby.tk", true },
  { "virtualcommodities.org", true },
  { "virtualcomputer.ml", true },
  { "virtuality4d.com", true },
  { "virtuallifestyle.nl", true },
  { "virtualmemento.tk", true },
  { "virtualmt2.pl", true },
  { "virtualsanity.com", true },
  { "virtualspeech.com", true },
  { "virtualvaults.com", true },
  { "virtualvitrine.com", true },
  { "virtubox.net", true },
  { "virtubox.xyz", true },
  { "virtuebags.com", true },
  { "virtueinfo.com", true },
  { "virtuewisdomfund.com", true },
  { "virtus-group.com", true },
  { "virtusaero.com", true },
  { "virtwen.com", true },
  { "virvum.ch", true },
  { "visalist.io", true },
  { "visalogy.com", true },
  { "visaop.com", true },
  { "visapourailleurs.fr", false },
  { "visarewardprogramplatform.com", true },
  { "visartdecor.com.ua", true },
  { "visasofoz.com", true },
  { "visatitans.ae", true },
  { "visatitans.ca", true },
  { "visatitans.com", true },
  { "visaya.com.co", true },
  { "viscoelastico.com.br", true },
  { "viscopic.com", true },
  { "viseum.co.uk", true },
  { "visibox.nl", true },
  { "visikom.de", true },
  { "visiondetails.ru", true },
  { "visionduweb.fr", true },
  { "visionnissancanandaiguaparts.com", true },
  { "visionofcolour.com", true },
  { "visionxcreative.gq", true },
  { "visit-montenegro.com", true },
  { "visit-thailand.tk", true },
  { "visitbeulah.com", true },
  { "visitcambridgeshirefens.org", true },
  { "visiter-tunis.tk", true },
  { "visitkangaroovalley.com.au", true },
  { "visitmaine.com", true },
  { "visitorguard.com", true },
  { "visitorslist.com", true },
  { "visitrainscounty.com", true },
  { "vismaconnect.nl", true },
  { "visor.ph", true },
  { "vista-research-group.com", true },
  { "vistacampus.gov", true },
  { "vistastylebuilder.com", false },
  { "vistb.me", true },
  { "vistec-support.de", true },
  { "vistodeturista.com.br", true },
  { "visual-cockpit.com", true },
  { "visual-concept.net", true },
  { "visual-design.cf", true },
  { "visualgnome.com", true },
  { "visualideas.org", true },
  { "visualizing.info", true },
  { "visualmarketingdeals.com", true },
  { "visualmasters.nl", true },
  { "visualproyectos.co", true },
  { "visudira.com", true },
  { "visuri.de", true },
  { "visvolunteers.com", true },
  { "visware.com", true },
  { "vitahook.pw", true },
  { "vital-tel.co.uk", true },
  { "vitalastin-sport.de", true },
  { "vitalia.cz", true },
  { "vitalismaatjes.nl", true },
  { "vitalium-therme.de", true },
  { "vitaliyshepotkov.tk", true },
  { "vitalthrills.com", true },
  { "vitalware.com", true },
  { "vitalyzhukphoto.com", true },
  { "vitamina.cl", true },
  { "vitamina.com", true },
  { "vitaminmovie.ga", true },
  { "vitanyi.de", true },
  { "vitapingu.de", true },
  { "vitastic.nl", true },
  { "vitavista.health", true },
  { "vitavista.io", true },
  { "vitkausk.as", true },
  { "vitkutny.cz", true },
  { "vitlproducts.com", true },
  { "vitra-showrooms.co.uk", true },
  { "vitrade.de", true },
  { "vitrado.de", true },
  { "vitsoft.by", true },
  { "viva2000.com", true },
  { "vivaio.roma.it", true },
  { "vivaiocolombo.com", true },
  { "vivalajack.de", true },
  { "vivaldi.club", true },
  { "vivaldi.com", true },
  { "vivaldi.net", true },
  { "vivatv.com.tw", true },
  { "vive.link", true },
  { "vivemedialab.com", true },
  { "vivendi.de", true },
  { "viveport.biz", true },
  { "viveport.co", true },
  { "viveport.com", true },
  { "viveport.io", true },
  { "viveport.life", true },
  { "viveportal.com", true },
  { "viveportchina.com", true },
  { "vivesaludableconomnilife.com", true },
  { "vivianadavila.com", true },
  { "vivid-academy.com", true },
  { "vividinflatables.co.uk", true },
  { "viviennevandenbos.nl", true },
  { "vivirenelmundo.com", true },
  { "vivo.sx", true },
  { "vivo.vn", true },
  { "vivoitaliankitchen.com", true },
  { "vivy.com", true },
  { "vixonline.com.br", true },
  { "vixrapedia.org", true },
  { "viyf.org", true },
  { "vize.ai", false },
  { "vizedia.ga", true },
  { "vizija-nepremicnine.si", true },
  { "vizion.com", true },
  { "vizionnetwork.co.uk", true },
  { "vizzboard.com", true },
  { "vjeff.com", true },
  { "vjeff.net", true },
  { "vjhfoundation.org", true },
  { "vjpatel.me", true },
  { "vk-k.com", true },
  { "vkarpaty.tk", true },
  { "vkino.com", false },
  { "vkirienko.com", true },
  { "vkox.com", true },
  { "vksportphoto.com", true },
  { "vkstream.tk", true },
  { "vkwebsite.ru", true },
  { "vl-grafikdesign.de", true },
  { "vladimir-chanaev.pro", true },
  { "vladimir.ml", true },
  { "vladimiroff.org", true },
  { "vladislavstoyanov.com", true },
  { "vladsfads.com", true },
  { "vlaggen-landen.nl", true },
  { "vlajo.org", true },
  { "vlakem.net", true },
  { "vlcentre.org", true },
  { "vleesbesteld.nl", true },
  { "vleij.com", false },
  { "vleo.me", true },
  { "vliegensvlug.online", true },
  { "vliegensvlug.services", true },
  { "vlndc.org", true },
  { "vloeck.de", true },
  { "vlovgr.se", true },
  { "vlqnc.com", true },
  { "vlvvl.com", true },
  { "vm-0.com", true },
  { "vm-co.ch", false },
  { "vm0.eu", true },
  { "vmagz.ir", true },
  { "vmautorajkot.com", true },
  { "vmf365.tk", true },
  { "vmgirls.com", true },
  { "vmhydro.ru", false },
  { "vmis.nl", true },
  { "vmoe.info", true },
  { "vmug.pl", true },
  { "vn.search.yahoo.com", false },
  { "vnctdj.fr", true },
  { "vnd.cloud", true },
  { "vndb.org", true },
  { "vneftekamske.tk", true },
  { "vnetboard.com", true },
  { "vnfs-team.com", true },
  { "vnministries.org", true },
  { "vnovosibirske.tk", true },
  { "vns377a.com", false },
  { "vns377b.com", false },
  { "vns377c.com", false },
  { "vns377d.com", false },
  { "vns377e.com", false },
  { "vns377f.com", false },
  { "vns377g.com", false },
  { "vns377h.com", false },
  { "vns377i.com", false },
  { "vns377j.com", false },
  { "vns5020.com", true },
  { "vns6610.com", true },
  { "vns89386.com", true },
  { "vnsr112233.com", false },
  { "vnvisa.center", true },
  { "vnvisa.ru", true },
  { "vocaloid.my", true },
  { "vocalviews.com", true },
  { "vocationnetwork.org", true },
  { "vocescruzadasbcs.mx", true },
  { "vocus.aero", true },
  { "vocustest.aero", true },
  { "voda.org.ru", true },
  { "vodb.me", true },
  { "vodb.org", true },
  { "vodicak.info", true },
  { "vodicaknapocitac.sk", true },
  { "voedselbankmoerwijk.nl", true },
  { "voetbalclubinfo.tk", true },
  { "voevm.at", true },
  { "vofy.tech", true },
  { "vogelbus.ch", true },
  { "vogler.name", true },
  { "vogue.cz", true },
  { "voice-of-design.com", true },
  { "voicebrew.com", true },
  { "voicr.nl", true },
  { "voicu.ch", false },
  { "voidancerecords.com", true },
  { "voidbot.ai", true },
  { "voidcore.org", true },
  { "voidma.in", true },
  { "voidpay.com", true },
  { "voidptr.eu", true },
  { "voidshift.com", true },
  { "voipdigit.nl", true },
  { "voipsun.com", true },
  { "voix-bien-etre.com", false },
  { "vokativy.cz", true },
  { "vokeapp.com", true },
  { "vokieciupamokos.lt", true },
  { "vokurka.net", true },
  { "volatile.pw", true },
  { "volatilesystems.org", true },
  { "volatilethunk.com", true },
  { "volchara.tk", true },
  { "volga.us", true },
  { "volgavibes.ru", false },
  { "voliere-info.nl", false },
  { "volker-gropp.de", true },
  { "volkergropp.de", true },
  { "volkerwesselstransfer.nl", false },
  { "vollans.id.au", false },
  { "voloevents.com", true },
  { "voloskova.ru", true },
  { "volqanic.com", true },
  { "voltahurt.pl", true },
  { "volto.io", true },
  { "volubilisplus.fr", true },
  { "volunteeringmatters.org.uk", true },
  { "volvipress.gr", true },
  { "volvoconnect.com", true },
  { "vomitb.in", true },
  { "vonauw.com", false },
  { "vonimus.com", true },
  { "vonkuenheim.de", true },
  { "vonniehudson.com", true },
  { "vonpawn.com", true },
  { "vontainment.com", true },
  { "voodoochile.at", true },
  { "voodoocomedy.com", true },
  { "voodooshaman.com", true },
  { "voordeuren-opmaat.nl", true },
  { "voorjou.com", true },
  { "vop.li", true },
  { "vorbrodt.blog", true },
  { "vorkbaard.nl", true },
  { "vorlage-musterbriefe.de", true },
  { "vorlage-mustervertrag.de", true },
  { "vorlagen-geburtstagsgruesse.de", true },
  { "vorm2.com", true },
  { "vorodevops.com", true },
  { "vorsco.com", true },
  { "voruswebsites.com", true },
  { "vos-systems.com", true },
  { "vos-systems.es", true },
  { "vos-systems.eu", true },
  { "vos-systems.net", true },
  { "vos-systems.org", true },
  { "vosgym.jp", true },
  { "voshod.org", true },
  { "vosn.de", true },
  { "voss-klinik.com", true },
  { "vosselaer.com", true },
  { "vossenack.nrw", true },
  { "vosser.de", true },
  { "vostronet.com", true },
  { "vote2019.appspot.com", true },
  { "vote4.hk", true },
  { "votehamiltoncountyohio.gov", true },
  { "votemate.org", true },
  { "votemoore.us", true },
  { "voter-info.uk", true },
  { "votesandymurman.com", true },
  { "votocek.cz", true },
  { "votockova.cz", true },
  { "votoot.com", true },
  { "votre-avenir.com", false },
  { "votre-hotel.com", true },
  { "vouchinsurance.sg", true },
  { "vovkamagazine.tk", true },
  { "vovladikavkaze.ru", true },
  { "vox.de", true },
  { "voxfilmeonline.net", true },
  { "voxml.com", true },
  { "voxpopuli.com", true },
  { "voyage-martinique.fr", true },
  { "voyageforum.com", true },
  { "voyagesaufildespages.be", false },
  { "voyageschine.com", true },
  { "voyagesdetective.fr", true },
  { "voyagewonders.com", true },
  { "vozami.com", true },
  { "vozhatik.cf", true },
  { "vpc-display.com", true },
  { "vpinball.com", true },
  { "vpn.black", true },
  { "vpn.ht", true },
  { "vpnmag.fr", true },
  { "vpnpro.com", true },
  { "vpnservice.nl", true },
  { "vponline.com.br", true },
  { "vprotect.ga", true },
  { "vpsboard.com", true },
  { "vpsdream.dk", true },
  { "vpsport.ch", true },
  { "vpsproj.dynu.net", true },
  { "vpsrussia.com", true },
  { "vpsvz.co.uk", true },
  { "vpsvz.com", true },
  { "vpsvz.io", true },
  { "vpsvz.net", true },
  { "vpswebs.tk", true },
  { "vqcymsa.com", true },
  { "vqebizconsulting.com", true },
  { "vqeg.org", true },
  { "vragenvanproust.nl", true },
  { "vrandopulo.ru", true },
  { "vrba.org", true },
  { "vrcinvestigations.com", true },
  { "vrcprofile.com", true },
  { "vreeman.com", true },
  { "vremyachko.tk", true },
  { "vremyapervyih-hd.tk", true },
  { "vretmaskin.se", true },
  { "vreviewbestseller.com", true },
  { "vrgamecritic.com", true },
  { "vrgametrailers.net", true },
  { "vriesdonkow.be", false },
  { "vrifox.cc", true },
  { "vrij-links.nl", true },
  { "vrijgezellen-feest.com", true },
  { "vrijgezellenfeestzwolle.com", true },
  { "vrikshamindia.com", true },
  { "vrjetpackgame.com", true },
  { "vrlaid.com", false },
  { "vrnhn.nl", true },
  { "vroedvrouwella.be", true },
  { "vrostove.tk", true },
  { "vrpornmovies.net", true },
  { "vrsystem.com.br", true },
  { "vs106.com", true },
  { "vs107.com", true },
  { "vs301.com", true },
  { "vs302.com", true },
  { "vs313.com", true },
  { "vs601.com", true },
  { "vs680.com", true },
  { "vsactivity.com", true },
  { "vsaratove.tk", true },
  { "vscale.io", true },
  { "vschafer.com", true },
  { "vscodownloader.net", true },
  { "vsd.sk", true },
  { "vse-potolki.ml", true },
  { "vsean.net", true },
  { "vsec.co.il", true },
  { "vseomedia.com", false },
  { "vserus.com", true },
  { "vserver-preis-vergleich.de", true },
  { "vsesrazu-raiffeisen.ru", true },
  { "vsestoki.com", true },
  { "vsl.de", true },
  { "vsoy.co.th", true },
  { "vspin.cz", true },
  { "vsportage.com", true },
  { "vssnederland.nl", true },
  { "vstavropole.tk", true },
  { "vsund.de", true },
  { "vsx.ch", true },
  { "vtaxi.se", true },
  { "vtbs.moe", true },
  { "vthebest9.com", true },
  { "vtt-hautsdefrance.fr", true },
  { "vttnordisere.fr", true },
  { "vtul.io", true },
  { "vtupro.com", true },
  { "vuakhuyenmai.vn", true },
  { "vubey.yt", true },
  { "vuilelakens.be", true },
  { "vulcancycling.ga", true },
  { "vuldb.com", true },
  { "vulgar-teens.tk", true },
  { "vuljespaarpot.nl", true },
  { "vulndetect.com", true },
  { "vulnerability.ch", true },
  { "vulners.com", true },
  { "vulns.sexy", true },
  { "vulnscan.org", true },
  { "vulpine.club", true },
  { "vulpr.com", true },
  { "vulyk-medu.com.ua", true },
  { "vunn.com", true },
  { "vuotila.eu", true },
  { "vuvanhon.com", true },
  { "vux.li", true },
  { "vuzi.fr", true },
  { "vv1234.cn", true },
  { "vvactivia.nl", true },
  { "vvave.net", true },
  { "vvdbronckhorst.nl", true },
  { "vveactiefbeheer.nl", true },
  { "vvild.at", true },
  { "vvoip.org.uk", true },
  { "vvsochenergiteknik.se", true },
  { "vvtv.cc", true },
  { "vvvvbrest.tk", true },
  { "vvzero.com", true },
  { "vvzero.me", true },
  { "vwbusje.com", false },
  { "vwfsrentacar.co.uk", true },
  { "vwh-kunden.de", true },
  { "vwittich.de", true },
  { "vwo.com", false },
  { "vwsoft.de", true },
  { "vx.hn", true },
  { "vxz.me", true },
  { "vybeministry.org", true },
  { "vyber-odhadce.cz", true },
  { "vyberodhadce.cz", true },
  { "vygeja.lt", true },
  { "vyplnto.cz", true },
  { "vysko.cz", true },
  { "vyskocil.eu", true },
  { "vysokoe.tk", true },
  { "vyvod-iz-zapoya.online", true },
  { "vyvygen.org", true },
  { "vyzner.cz", true },
  { "vz.al", true },
  { "vzemisite.com", true },
  { "vzis.org", true },
  { "w-architectes.com", true },
  { "w-p-k.de", true },
  { "w-spotlight.appspot.com", true },
  { "w-surgeryhospital.com", true },
  { "w-w-auto.de", true },
  { "w.wiki", true },
  { "w0102.com", true },
  { "w0185.com", true },
  { "w0191.com", true },
  { "w0195.com", true },
  { "w0198.com", true },
  { "w1717w.com", true },
  { "w1n73r.de", true },
  { "w2design.eu", true },
  { "w2n.me", true },
  { "w3330.com", true },
  { "w365.vip", false },
  { "w36533.com", true },
  { "w36594.com", true },
  { "w3app.nl", true },
  { "w3ctag.org", true },
  { "w3d.io", true },
  { "w3punkt.de", true },
  { "w3scan.nl", true },
  { "w4.no", true },
  { "w4040w.com", true },
  { "w4eg.de", true },
  { "w4nvu.org", true },
  { "w4solutions.de", true },
  { "w4tec.de", true },
  { "w50.co.uk", false },
  { "w5050w.com", true },
  { "w51365.com", true },
  { "w567567.com", false },
  { "w5gfe.org", true },
  { "w61516.com", true },
  { "w61616.com", true },
  { "w66136.com", true },
  { "w66161.com", true },
  { "w661616.com", true },
  { "w6619.com", true },
  { "w66191.com", true },
  { "w663w.com", true },
  { "w6648.com", true },
  { "w666.ag", true },
  { "w66655.com", true },
  { "w66828.com", true },
  { "w668686.com", true },
  { "w668866.net", true },
  { "w668899.com", true },
  { "w668989.com", true },
  { "w66918.com", true },
  { "w66hao.net", true },
  { "w66w66.com", false },
  { "w678678.com", false },
  { "w682w.com", true },
  { "w6969.com", true },
  { "w7355.com", true },
  { "w789789.com", false },
  { "w7k.de", true },
  { "w8093.com", true },
  { "w8094.com", true },
  { "w81519.com", true },
  { "w8605.com", true },
  { "w8609.com", true },
  { "w8620.com", true },
  { "w8626.com", true },
  { "w8628.com", true },
  { "w888.ag", true },
  { "w888011.com", true },
  { "w888022.com", false },
  { "w888033.com", false },
  { "w888044.com", false },
  { "w888055.com", true },
  { "w888077.com", false },
  { "w888088.com", false },
  { "w888099.com", false },
  { "w889-line.com", true },
  { "w889-line.net", true },
  { "w889889.com", true },
  { "w889889.net", true },
  { "w889vip.com", true },
  { "w88info.com", true },
  { "w88info.win", true },
  { "w88xinxi.com", true },
  { "w8less.nl", true },
  { "w9196.com", true },
  { "wa-stromerzeuger.de", false },
  { "wa.io", true },
  { "wa.me", true },
  { "wa7sh-seo.com", true },
  { "waaifu.com", true },
  { "waalderhofje.nl", true },
  { "waaw.tv", true },
  { "wabatam.com", true },
  { "wacky-science.com", true },
  { "wacky.one", true },
  { "wadidi.com", true },
  { "wadsworth.gallery", true },
  { "waehlefamilie.de", true },
  { "waelisch.de", true },
  { "waelti.xxx", true },
  { "waermekabine.org", true },
  { "waf.ninja", true },
  { "waf.sexy", true },
  { "wafelland.be", true },
  { "waffenversand-klausing.de", true },
  { "wafuton.com", true },
  { "wagenmanswonen.nl", true },
  { "wageverify.com", true },
  { "wagonyard.com", true },
  { "wagyu-bader.de", true },
  { "wahlen-bad-wurzach.de", true },
  { "wahrnehmungswelt.de", true },
  { "wahrnehmungswelten.de", true },
  { "wai-in.net", true },
  { "waidfrau.de", true },
  { "waifu-technologies.moe", true },
  { "waigel.org", true },
  { "waimanu.io", true },
  { "waits.io", true },
  { "waiwaisw.com", true },
  { "wajs1.com", true },
  { "wajs2.com", true },
  { "waka-mono.com", true },
  { "waka168.com", true },
  { "waka168.net", true },
  { "waka88.com", true },
  { "waka88.net", true },
  { "wakamiyasumiyosi.com", true },
  { "wakandasun.com", true },
  { "wakatime.com", true },
  { "wakf123.com", true },
  { "wakf123.net", true },
  { "wakf456.com", true },
  { "wakf456.net", true },
  { "wakhanyeza.org", true },
  { "wakiminblog.com", true },
  { "wala-floor.de", true },
  { "waldgourmet.de", true },
  { "waldur.nl", true },
  { "waldvogel.family", true },
  { "walent.in", true },
  { "walk.onl", true },
  { "walkera-fans.de", true },
  { "walkhighlandsandislands.com", true },
  { "walkhisway.co.za", true },
  { "walkingandcycling.org.uk", true },
  { "walkingrehabilitation.com", true },
  { "walkman.cloud", true },
  { "walkman.io", true },
  { "walksedona.com", true },
  { "walksfourpaws.co.uk", true },
  { "wallabet.fr", true },
  { "wallabies.org", true },
  { "wallacehigh.org.uk", true },
  { "wallet.google.com", true },
  { "wallet.pp.ua", true },
  { "walletconnector.cz", true },
  { "walletnames.com", true },
  { "wallinger-online.at", false },
  { "wallingford.cc", true },
  { "wallisch.pro", true },
  { "wallmarketing.cz", true },
  { "wallpaperup.com", true },
  { "walls.de", true },
  { "walls.io", true },
  { "wallsauce.com", true },
  { "walltime.info", true },
  { "wallumai.com.au", true },
  { "wallysmasterblaster.com.au", true },
  { "walma.re", true },
  { "walnus.com", true },
  { "walnutgaming.com", true },
  { "walnutis.net", false },
  { "walpu.ski", true },
  { "walpuski.com", true },
  { "walravensax.nl", true },
  { "walruscode.com", true },
  { "walruses.org", true },
  { "walshbanks.com", true },
  { "waltellis.com", true },
  { "walter.lc", true },
  { "waltercedric.ch", true },
  { "waltercedric.com", true },
  { "waltzmanplasticsurgery.com", true },
  { "wammu.eu", true },
  { "wanda.ch", true },
  { "wandelreizen.eu", true },
  { "wander.al", true },
  { "wandervoll.ch", true },
  { "wanderzoom.co", true },
  { "wandystan.eu", true },
  { "wane.co", true },
  { "wanekat.fr", true },
  { "wanghongfuli.com", true },
  { "wangjun.me", true },
  { "wangqiliang.cn", true },
  { "wangqiliang.com", true },
  { "wangqr.org", true },
  { "wangqr.tk", true },
  { "wangriwu.com", true },
  { "wangshengze.com", true },
  { "wangtanzhang.com", true },
  { "wangyue.blog", true },
  { "wangzhe100.xyz", true },
  { "wangzuan168.cc", true },
  { "wanlieyan.cc", true },
  { "wanlieyan.com", true },
  { "wannapopularnews.cf", true },
  { "wannaridecostarica.com", true },
  { "wanybug.cn", true },
  { "wanybug.com", true },
  { "wanyingge.com", true },
  { "waonui.io", true },
  { "wapa.gov", true },
  { "wapazewddamcdocmanui6001.azurewebsites.net", true },
  { "wapazewrdamcdocmanui6001.azurewebsites.net", true },
  { "wapenon.com", true },
  { "waplumber.com.au", true },
  { "wapnews.tk", true },
  { "wapoolandspa.com", true },
  { "wapspaces.tk", true },
  { "waqood.tech", true },
  { "wardow.com", true },
  { "wardslager.com", true },
  { "warebouncycastles.co.uk", true },
  { "warekit.io", true },
  { "warenits.at", false },
  { "warfield.org.uk", true },
  { "wargameexclusive.com", true },
  { "warhaggis.com", true },
  { "waroengkoe-shop.com", true },
  { "waroengkopigazebo.net", true },
  { "warofelements.de", true },
  { "warp-radio.com", true },
  { "warp-radio.net", true },
  { "warp-radio.tv", true },
  { "warr.ath.cx", true },
  { "warrantynowvoid.com", true },
  { "warringtonkidsbouncycastles.co.uk", true },
  { "warschild.org", true },
  { "warsh.moe", true },
  { "wartimecontracting.gov", true },
  { "wartorngalaxy.com", true },
  { "warupu.com", true },
  { "wasabiwallet.co", true },
  { "wasabiwallet.io", true },
  { "waschmaschinen-dienst.de", true },
  { "waschpark-hantschel.de", true },
  { "wasd.ms", true },
  { "wasema.com", true },
  { "wasfestes.de", true },
  { "wasgigant.nl", true },
  { "wash-house.tk", true },
  { "washabich.ch", true },
  { "washburnenglishschool.tk", true },
  { "washingtonregisteredagent.io", true },
  { "washingtonviews.com", true },
  { "washoedems.org", true },
  { "wasi-net.de", true },
  { "wasielewski.com.de", true },
  { "waskesiuapparel.com", true },
  { "waslh.com", true },
  { "wasserburg.dk", true },
  { "wasserspucker.de", true },
  { "wassibauer.com", true },
  { "wasteman.com", true },
  { "wasticker.ru", true },
  { "wastrel.ch", true },
  { "watch-wiki.org", true },
  { "watchcow.org", false },
  { "watchesonwrist.com", true },
  { "watchface.watch", true },
  { "watchfreeonline.co.uk", true },
  { "watchhentai.co", true },
  { "watchinventory.com", true },
  { "watchlol.live", true },
  { "watchmetech.com", true },
  { "watchmoviesgallery.com", true },
  { "watchparts-and-tools-okayama.co.jp", true },
  { "watchstyle.com", true },
  { "water-addict.com", true },
  { "water-polo.tk", true },
  { "waterbrook.com.au", true },
  { "waterdogsmokedfish.com", true },
  { "waterdrop.tk", true },
  { "waterheaterdallastx.com", true },
  { "waterheaterirvingtx.com", true },
  { "waterheaterleaguecity.com", true },
  { "waterleeftinbeek.nl", true },
  { "watermonitor.gov", true },
  { "wateroutlook.com", true },
  { "watersb.org", true },
  { "waterschaplimburg.nl", true },
  { "waterside-residents.org.uk", true },
  { "waterslide-austria.at", true },
  { "watertorenstraat.tk", true },
  { "watertrails.io", true },
  { "watervillewomenscare.com", true },
  { "watfordjc.uk", true },
  { "watoo.tech", true },
  { "watthasawang.com", true },
  { "wattmaedchen.de", true },
  { "wattnow.io", true },
  { "watzijnmijnkerntalenten.nl", true },
  { "wav-productions.com", true },
  { "wav.tv", true },
  { "wave.is", true },
  { "wave.red", true },
  { "wavengine.com", true },
  { "wavesboardshop.com", true },
  { "waveum.com", true },
  { "wawak.pl", true },
  { "wawapuquy.com", true },
  { "waxdramatic.com", true },
  { "wayfairertravel.com", true },
  { "waynefranklin.com", true },
  { "wayohoo.com", true },
  { "wayohoo.net", true },
  { "waytofreedom.tk", true },
  { "waytt.cf", true },
  { "wb2288.cc", true },
  { "wb256.com", true },
  { "wb6668.net", true },
  { "wba.or.at", true },
  { "wbca.ca", true },
  { "wbci.us", false },
  { "wbcme.co.uk", true },
  { "wbinnssmith.com", true },
  { "wblautomotive.com", true },
  { "wblinks.com", true },
  { "wbt-solutions.ch", true },
  { "wbt-solutions.net", true },
  { "wbudd.com", true },
  { "wbuhs.ac.in", true },
  { "wbuntu.com", true },
  { "wbvb.nl", true },
  { "wca.link", true },
  { "wcbook.ru", false },
  { "wck.com", true },
  { "wcn.life", false },
  { "wcosmeticsurgery.com", true },
  { "wcrca.org", true },
  { "wcscmp.com", true },
  { "wcwcg.net", true },
  { "wd36.cc", true },
  { "wdbflowersevents.co.uk", true },
  { "wdic.org", true },
  { "wdmcheng.cn", true },
  { "wdmg.com.ua", true },
  { "wdodelta.nl", true },
  { "wdol.gov", false },
  { "wdt.cz", false },
  { "we-bb.com", true },
  { "we168168.com", true },
  { "we5688.net", true },
  { "we6668.net", true },
  { "we88fun.com", true },
  { "we8hd.com", true },
  { "weacceptbitcoin.gr", true },
  { "wealthadvisorsmf.com", true },
  { "wealthcreationsolutions.ga", true },
  { "wealthprojector.com", true },
  { "wealthprojector.com.au", true },
  { "wealthreport.com.au", true },
  { "wealthsetsyoufree.com", true },
  { "wealthsimple.com", true },
  { "wear-referrals.co.uk", true },
  { "wearandcare.net", true },
  { "weare1inspirit.com", true },
  { "wearebase.com", true },
  { "wearebfi.co.uk", true },
  { "wearefrantic.com", true },
  { "wearegenki.com", true },
  { "wearepapermill.co", true },
  { "wearepapermill.com", true },
  { "wearetuzag.com", true },
  { "wearvr.com", true },
  { "weather-schools.com", true },
  { "weather.gov", true },
  { "weather.gov.mo", true },
  { "weatherbuzzmedia.com", true },
  { "weathermyway.rocks", true },
  { "weavers.space", true },
  { "web-art.cz", true },
  { "web-design.co.il", true },
  { "web-format.tk", true },
  { "web-hotel.gr", true },
  { "web-jive.com", true },
  { "web-odyssey.com", true },
  { "web-redacteuren.nl", true },
  { "web-siena.it", true },
  { "web-smart.com", true },
  { "web-studio-kzo.ml", true },
  { "web-test.gq", true },
  { "web-wakakusa.jp", true },
  { "web-wave.jp", true },
  { "web.bzh", true },
  { "web.cc", false },
  { "web.de", true },
  { "web2033.com", true },
  { "web2ldap.de", true },
  { "web2screen.tv", true },
  { "web404.net", true },
  { "webaccio.com", true },
  { "webadiccion.net", true },
  { "webadicta.net", true },
  { "webadicto.net", true },
  { "webaholic.co.in", true },
  { "webais.ru", true },
  { "webandmore.de", true },
  { "webandsun.com", true },
  { "webanyti.me", true },
  { "webart-factory.de", true },
  { "webartex.ru", true },
  { "webarxsecurity.com", true },
  { "webbiz.co.uk", true },
  { "webbricks.ru", true },
  { "webcam-model.tk", true },
  { "webcamtoy.com", true },
  { "webcaptive.com", true },
  { "webcaptive.net", true },
  { "webcasinos.com", true },
  { "webcatchers.nl", false },
  { "webcatechism.com", false },
  { "webce.de", true },
  { "webcheck.pt", true },
  { "webclimbers.ch", false },
  { "webcloud.io", true },
  { "webclymber.com", true },
  { "webcollect.org.uk", true },
  { "webcontentspinning.com", true },
  { "webconverge.nl", true },
  { "webcookies.org", true },
  { "webcreativa.tk", true },
  { "webcreatortool.com", true },
  { "webcrm.com", true },
  { "webcurtaincall.com", true },
  { "webdemaestrias.com", true },
  { "webdesign-note.jp", true },
  { "webdesigneauclaire.com", true },
  { "webdesignersinchennai.tk", true },
  { "webdesigngc.com", true },
  { "webdesignlabor.ch", true },
  { "webdesignplayground.io", true },
  { "webdesignsandiego.com", false },
  { "webdev.solutions", true },
  { "webdevinsider.pl", true },
  { "webdevxp.com", true },
  { "webdig.pt", true },
  { "webdl.org", true },
  { "webduck.nl", false },
  { "webeau.com", true },
  { "webeditors.com", true },
  { "webergrillrestaurant.com", true },
  { "webers-webdesign.de", true },
  { "webexample.win", true },
  { "webexp.biz", true },
  { "webexpertsdirect.com.au", true },
  { "webfilings-eu-mirror.appspot.com", true },
  { "webfilings-eu.appspot.com", true },
  { "webfilings-mirror-hrd.appspot.com", true },
  { "webfilings.appspot.com", true },
  { "webfixers.nl", true },
  { "webgap.io", false },
  { "webgarten.ch", true },
  { "webgears.com", true },
  { "webgeneric.com", true },
  { "webgeneric.in", true },
  { "webharvest.gov", true },
  { "webhelyesarcu.hu", true },
  { "webhoffmann.de", true },
  { "webhooks.stream", true },
  { "webhost.guide", true },
  { "webhostingshop.ca", true },
  { "webhostingspace.net", true },
  { "webhostingzzp.nl", true },
  { "webhotelli.website", true },
  { "webhotels.tk", true },
  { "webhotelsoversigt.dk", true },
  { "webia.in.th", true },
  { "webies.ro", true },
  { "webinfotech.com.np", true },
  { "webini.co", true },
  { "webinnovation.ie", true },
  { "webinstit.net", true },
  { "webionite.com", true },
  { "webkam-sex.com", true },
  { "webkef.com", true },
  { "webkindergarten.net", true },
  { "weblagring.se", true },
  { "weblate.com", true },
  { "weblate.cz", true },
  { "weblate.org", true },
  { "webleedpixels.com", false },
  { "weblegion.de", true },
  { "webliberty.ru", true },
  { "weblights.ml", true },
  { "webline.ch", true },
  { "weblogzwolle.nl", true },
  { "webmail.ee", true },
  { "webmail.gigahost.dk", false },
  { "webmail.info", false },
  { "webmail.onlime.ch", false },
  { "webmail.schokokeks.org", false },
  { "webmail.xalqbank.az", true },
  { "webmandesign.eu", true },
  { "webmarketing.hr", true },
  { "webmaster-infographiste-lyon.fr", true },
  { "webmaster16.ml", true },
  { "webmediaprint.at", true },
  { "webmediums.com", true },
  { "webmedpharmacy.co.uk", true },
  { "webmenedzser.hu", true },
  { "webmetering.at", true },
  { "webminders.it", true },
  { "webmotelli.fi", true },
  { "webnames.ca", true },
  { "webnetforce.net", true },
  { "webnexty.com", true },
  { "webpagetest.org", true },
  { "webpc.com.ua", true },
  { "webpcstudio.com", true },
  { "webperformance.io", true },
  { "webpinoytambayan.net", true },
  { "webpinoytv.info", true },
  { "webpixelia.com", true },
  { "webplace4u.nl", true },
  { "webpubsub.com", true },
  { "webqualitat.com.br", true },
  { "webrabbit.at", true },
  { "webrebels.org", false },
  { "webrentcars.com", false },
  { "webreport.fr", true },
  { "webrox.be", true },
  { "websa.nl", true },
  { "webscale.nl", false },
  { "websecurity.is", true },
  { "webseitendesigner.com", false },
  { "webseitenserver.com", true },
  { "websenat.de", true },
  { "webservertalk.com", true },
  { "webshan.ir", true },
  { "webshaped.de", true },
  { "websharks.org", true },
  { "website-engineering.co.za", true },
  { "website-traffic.shop", true },
  { "websiteboost.nl", true },
  { "websitecyber.com", true },
  { "websitedesignersmalappuram.ga", true },
  { "websitedesignprice.ga", true },
  { "websiteenergizers.com", false },
  { "websiteforstudents.com", true },
  { "websiteguider.com", true },
  { "websitelia.com", true },
  { "websitemarketers.tk", true },
  { "websiteout.ca", true },
  { "websiteout.net", true },
  { "websitepromotion.ml", true },
  { "websitesdallas.com", true },
  { "websiteservice.pro", true },
  { "websitesmiths.com", true },
  { "websize.me", true },
  { "webslake.com", true },
  { "websmartmedia.co.uk", true },
  { "webspiral.jp", true },
  { "webspire.tech", true },
  { "webstaff.xyz", true },
  { "webstart.nl", true },
  { "webstijlen.nl", true },
  { "webstore.be", false },
  { "webstu.be", true },
  { "webstudio-n.com", true },
  { "webstylemedia.com", true },
  { "websvetaines.lt", true },
  { "webtasarim.pw", true },
  { "webtaxi.cf", true },
  { "webtex.limited", true },
  { "webtheapp.com", true },
  { "webtoro.com", true },
  { "webtorrent.io", true },
  { "webtrees.net", true },
  { "webtrek.ch", true },
  { "webtrh.cz", true },
  { "webtropia.com", false },
  { "webukhost.com", true },
  { "webwednesday.nl", true },
  { "webwelearn.com", true },
  { "webwinkelexploitatie.nl", true },
  { "webwinkelwestland.nl", true },
  { "webwit.nl", true },
  { "webworkshop.ltd", true },
  { "webx5.pro", true },
  { "webxr.today", true },
  { "webyazilimankara.com", true },
  { "webzoly.com", true },
  { "wechatify.com", true },
  { "wecho.net", true },
  { "weck.alsace", true },
  { "wecleanbins.com", true },
  { "wecobble.com", true },
  { "wed.pw", true },
  { "weddingdays.tv", true },
  { "weddingenvelopes.co.uk", true },
  { "weddingsbynoon.co.uk", true },
  { "weddingwire.ca", true },
  { "weddingwire.com", true },
  { "weddywood.ru", false },
  { "wedenth.com", true },
  { "wedg.uk", true },
  { "wedohair.co", true },
  { "wedovapes.co.uk", true },
  { "weebl.me", true },
  { "weeblr.com", true },
  { "weecarepreschool.ca", true },
  { "weedlife.com", true },
  { "weedupdate.com", true },
  { "weedworthy.com", true },
  { "weedypedia.de", true },
  { "weekdone.com", true },
  { "weekendcandy.com", true },
  { "weekendinitaly.com", true },
  { "weekly-residence.com", true },
  { "weeklydcoupgen.com", true },
  { "weeknummers.be", true },
  { "weeknummers.nl", true },
  { "weekvandemediawijsheid.nl", true },
  { "weemake.fr", false },
  { "weemakers.fr", false },
  { "weepycat.com", true },
  { "weerda.fr", true },
  { "weerstationgiethoorn.nl", true },
  { "weerstatistieken.nl", true },
  { "wefitboilers.com", true },
  { "wefound.com.tw", true },
  { "wegerecht.org", true },
  { "wegonnagetsued.org", true },
  { "wegotcookies.com", true },
  { "wegrzynek.org", true },
  { "wegrzynek.pl", true },
  { "wehmeier.family", true },
  { "wehostdnn.com", true },
  { "weibomiaopai.com", true },
  { "weidmannfibertechnology.com", false },
  { "weien.org", true },
  { "weigelia.nl", true },
  { "weightlossoutcome.com", true },
  { "weihnachten-schenken.de", true },
  { "weiling.clinic", true },
  { "weils.net", true },
  { "weimz.com", true },
  { "wein.cc", true },
  { "wein.co.kr", true },
  { "weinbergerlawgroup.com", true },
  { "weinboxbuilders.co.nz", true },
  { "weinundsein.com", true },
  { "weirdesigns.com", true },
  { "weirdgloop.org", true },
  { "weissborn.me", true },
  { "weissdorntee.de", true },
  { "weisse-liste.de", true },
  { "weissman.agency", true },
  { "weiterbildung-vdz.de", true },
  { "weitergedacht.eu", true },
  { "weitsolutions.nl", true },
  { "weknowhowtodoit.com", true },
  { "welcomescuba.com", true },
  { "welcometoscottsdalehomes.com", true },
  { "weld.io", true },
  { "weldwp.com", true },
  { "welfareness.icu", true },
  { "weliway.com", true },
  { "well-around-the-world.com", true },
  { "wella-download-center.de", true },
  { "wellbeing360.com.au", true },
  { "wellcom.co.il", true },
  { "wellcomemdhealth.com", true },
  { "wellensteyn.ru", true },
  { "weller.pm", true },
  { "wellgreece.com", true },
  { "wellist.com", true },
  { "wellness-bonbon.de", true },
  { "wellness-gutschein.de", true },
  { "wellnesscheck.net", true },
  { "wellnessever.com", true },
  { "wellnesshotel-weimar.de", true },
  { "wellsolveit.com", false },
  { "wellspringsga.com", true },
  { "wellsprung.net", true },
  { "welltycoon.com", true },
  { "welovecatsandkittens.com", true },
  { "weloveliving.it", true },
  { "welovemaira.com", true },
  { "welp-mail.de", true },
  { "welshccf.org.uk", true },
  { "welt-flaggen.de", true },
  { "welteneroberer.de", true },
  { "weltengilde.de", true },
  { "weltenhueter.de", true },
  { "weltverschwoerung.de", true },
  { "welzijnkoggenland.nl", true },
  { "wem.hr", true },
  { "wemajin.com", true },
  { "wemakeit.mx", true },
  { "wemakemenus.com", true },
  { "wemakeonlinereviews.com", true },
  { "wemovemountains.co.uk", true },
  { "wen-in.com", true },
  { "wen-in.net", true },
  { "wenceslas.org.uk", true },
  { "wenchieh.com", true },
  { "wendepunkt-betreuung.de", true },
  { "wendlberger.net", true },
  { "wenge-murphy.com", true },
  { "wenger-shop.ch", true },
  { "wenhelpdesk.tk", true },
  { "wenjs.me", true },
  { "wenjulebu.cc", true },
  { "wensing-und-koenig.de", true },
  { "wenta.de", true },
  { "wepay.com", false },
  { "wepay.in.th", true },
  { "wepay.vn", true },
  { "wepbiz.com", true },
  { "weplaynaked.dk", true },
  { "wer-kommt-her.de", true },
  { "werally.com", true },
  { "werbe-markt.de", true },
  { "werbe-sonnenbrillen.de", true },
  { "werbeagentur.de", true },
  { "werbedesign-tauber.de", true },
  { "werbefotograf-leitner.de", true },
  { "werbefotografie-leitner.de", true },
  { "werbetopshop.de", true },
  { "werbezentrum-stiebler.de", true },
  { "werbik.at", true },
  { "wercat.net", true },
  { "werd.pw", true },
  { "werehub.org", true },
  { "wereldkoffie.eu", true },
  { "wereoutthere.nl", true },
  { "werk-34.de", true },
  { "werkemotion.com", true },
  { "werkenbijdfzs.nl", true },
  { "werkenbijsherpa.nl", true },
  { "werkenbijwierda.nl", true },
  { "werkeninwesterveld.nl", true },
  { "werkenvoorphiladelphia.nl", true },
  { "werkgroepderdewereld.nl", true },
  { "werkgroeppaleisparkhetloo.nl", true },
  { "werkinc.de", true },
  { "werkkrew.xyz", true },
  { "werkslimreisslim.nl", true },
  { "werkstattkinder.de", true },
  { "wermeester.com", true },
  { "wermuttee.de", true },
  { "werner-ema.de", true },
  { "werpo.com.ar", true },
  { "wertheimer-burgrock.de", true },
  { "wervingenselectieamsterdam.nl", true },
  { "werwolf-live.de", true },
  { "werxus.eu", true },
  { "wesecom.com", true },
  { "wesell.asia", true },
  { "weserv.nl", true },
  { "wesleycabus.be", true },
  { "wesleywarnell.com", true },
  { "wesoco.de", true },
  { "west-contemporary.com", true },
  { "west-nerica.de", true },
  { "west-raptors.tk", true },
  { "west-wind.net", true },
  { "westcanal.net", true },
  { "westcarrollton.org", true },
  { "westcentralaor.org", true },
  { "westcoastcastles.com", true },
  { "westcoastheatingair.com", true },
  { "westcoastmarineadvisor.com", true },
  { "westcoastmotors.co.uk", true },
  { "westcode.de", true },
  { "westcommunitycu.org", true },
  { "westcountrystalking.com", true },
  { "westendwifi.net", true },
  { "westernfrontierins.com", true },
  { "westernpadermatologist.com", true },
  { "westernparts.com", true },
  { "westeros.hu", true },
  { "westhillselectrical.com", true },
  { "westhotel.com.au", true },
  { "westlakevillageelectric.com", true },
  { "westlakevillageelectrical.com", true },
  { "westlakevillageelectrician.com", true },
  { "westlakevillageexteriorlighting.com", true },
  { "westlakevillagelandscapelighting.com", true },
  { "westlakevillagelighting.com", true },
  { "westlakevillageoutdoorlighting.com", true },
  { "westlandplacestudios.com", true },
  { "westlinntowncar.com", true },
  { "westmead.org", true },
  { "westmeadapartments.com.au", true },
  { "westmidlandsbouncycastlehire.co.uk", true },
  { "westmidlandsinflatables.co.uk", true },
  { "westmidlandslettings.com", true },
  { "westondenning.com", true },
  { "westpointrealtors.com", true },
  { "westside-pediatrics.com", true },
  { "westsuburbanbank.com", true },
  { "wesupportthebadge.org", true },
  { "weswitch4u.com", true },
  { "wetofu.top", true },
  { "wetravel.company", true },
  { "wetrepublic.com", true },
  { "wetter.de", true },
  { "wevg.org", true },
  { "wew881.com", true },
  { "wew882.com", true },
  { "wew888.com", true },
  { "wewin88.com", true },
  { "wewin88.net", true },
  { "wewin889.com", true },
  { "wewitro.de", true },
  { "wewitro.net", true },
  { "wexfordbouncycastles.ie", true },
  { "weydu.eu", true },
  { "weyhmueller.de", true },
  { "weyland-yutani.org", true },
  { "weymouthslowik.com", true },
  { "wezartt.com", true },
  { "wezl.net", true },
  { "wf-bigsky-master.appspot.com", true },
  { "wf-demo-eu.appspot.com", true },
  { "wf-demo-hrd.appspot.com", true },
  { "wf-dogfood-hrd.appspot.com", true },
  { "wf-hosting.de", true },
  { "wf-pentest.appspot.com", true },
  { "wf-staging-hr.appspot.com", true },
  { "wf-training-hrd.appspot.com", true },
  { "wf-training-master.appspot.com", true },
  { "wf-trial-hrd.appspot.com", true },
  { "wfcp1010.com", true },
  { "wfh.ovh", true },
  { "wfh.se", true },
  { "wforum.nl", true },
  { "wfschicago.com", true },
  { "wft-portfolio.nl", true },
  { "wg-smue.de", true },
  { "wg-steubenstrasse.de", true },
  { "wg3k.us", false },
  { "wgcaobgyn.com", true },
  { "wgcp.com", true },
  { "wgdp.gov", true },
  { "wgec-fegc.gc.ca", true },
  { "wgom.org", true },
  { "wgplatform.co.uk", true },
  { "wgraphics.ru", true },
  { "wgtrm.com", true },
  { "wh-guide.de", true },
  { "wh36.net", true },
  { "wh966.com", true },
  { "whafs.de", true },
  { "what-wood.servehttp.com", true },
  { "what.tf", true },
  { "whatagreatwebsite.net", true },
  { "whatarepatentsfor.com", true },
  { "whatclinic.co.uk", true },
  { "whatclinic.com", true },
  { "whatclinic.com.ph", true },
  { "whatclinic.de", true },
  { "whatclinic.ie", true },
  { "whatclinic.ru", true },
  { "whatisapassword.com", true },
  { "whatismycountry.com", true },
  { "whatismyip.net", false },
  { "whatismyipv6.info", true },
  { "whatisthe.cloud", true },
  { "whatisthebestflag.com", true },
  { "whatnot.ai", true },
  { "whatsahoy.com", true },
  { "whatsmychaincert.com", true },
  { "whatsthisword.com", true },
  { "whatsupgold.com.tw", true },
  { "whatsupoutdoor.com", false },
  { "whatthefile.info", true },
  { "whatthingsweigh.com", true },
  { "whattodo.com", true },
  { "whattominingrigrentals.com", true },
  { "whatusb.com", true },
  { "whatwebcando.today", true },
  { "whatwg.org", true },
  { "whd-guide.de", true },
  { "wheatbagslove.com.au", true },
  { "wheatgra.in", true },
  { "wheatley.nl", true },
  { "wheelsmaestro.com", true },
  { "wheelwork.org", false },
  { "where2trip.com", true },
  { "whereapp.social", true },
  { "wheredoi.click", true },
  { "wheresbuzz.com.au", true },
  { "wheretogomyanmar.com", true },
  { "whey-protein.ch", true },
  { "whi.tw", true },
  { "whichgender.today", true },
  { "whing.org", true },
  { "whipnic.com", true },
  { "whirlpool-luboss.de", true },
  { "whirlpool.net.au", true },
  { "whisky-circle.info", true },
  { "whisky.my", true },
  { "whiskygentle.men", true },
  { "whiskyglazen.nl", false },
  { "whiskynerd.ca", true },
  { "whisp.ly", false },
  { "whispeer.de", true },
  { "whisperinghoperanch.org", true },
  { "whisperlab.org", true },
  { "whistleb.com", true },
  { "whistleblower.gov", true },
  { "whistleblowing.it", true },
  { "whitby-brewery.com", true },
  { "white-ibiza.com", true },
  { "whitealps.at", false },
  { "whitealps.be", false },
  { "whitealps.ch", false },
  { "whitealps.de", false },
  { "whitealps.fr", false },
  { "whitealps.net", false },
  { "whitebear.cloud", true },
  { "whitebirdclinic.org", true },
  { "whitefm.ch", false },
  { "whitehathackers.com.br", true },
  { "whitehats.nl", true },
  { "whitehouse.gov", true },
  { "whitehouse.org", true },
  { "whitehouseconferenceonaging.gov", true },
  { "whitehousedrugpolicy.gov", true },
  { "whiteink.com", true },
  { "whitejaguars.com", true },
  { "whiteknightsafelockinc.com", true },
  { "whitelabelcashback.nl", true },
  { "whitelabeltickets.com", false },
  { "whitemountainnaturalcreations.com", true },
  { "whitepack.ru", false },
  { "whitepen.tk", true },
  { "whitepharmacy.co.uk", true },
  { "whiterabbit.group", true },
  { "whiterabbit.org", true },
  { "whiterose.goip.de", true },
  { "whitesoxbestteaminbaseball.com", true },
  { "whitespace.se", true },
  { "whitevpn.cz", true },
  { "whitewinterwolf.com", true },
  { "whitkirk.com", true },
  { "whitkirkartsguild.com", true },
  { "whitkirkchurch.org.uk", true },
  { "whittome.com", true },
  { "whitworth.nyc", true },
  { "whizdomcenter.com", true },
  { "whizzzbang.co.uk", true },
  { "whm.gc.ca", true },
  { "whmcs.hosting", true },
  { "who-calledme.com", true },
  { "whoami.eu.org", true },
  { "whoami.io", true },
  { "whocalld.com", true },
  { "whocalled.us", true },
  { "whocalledme.xyz", true },
  { "whocybered.me", true },
  { "whodatdish.com", true },
  { "whoimg.com", false },
  { "whojoo.com", true },
  { "wholesomeharvestbread.com", false },
  { "whollyskincare.com", true },
  { "whonix.org", true },
  { "whorepresentsme.us", true },
  { "whotracks.me", true },
  { "whoturgled.com", true },
  { "whowherewhen.net", true },
  { "whqtravel.org", false },
  { "whs-music.org", true },
  { "whta.eu", true },
  { "whta.se", true },
  { "whub.io", true },
  { "why-brexit.uk", true },
  { "why918.com", true },
  { "whymps.com", true },
  { "whynohttps.com", true },
  { "whyopencomputing.ch", false },
  { "whyopencomputing.com", false },
  { "whysoslow.co.uk", true },
  { "whytls.com", true },
  { "whyworldhot.com", true },
  { "whyz1722.tk", true },
  { "wiagencies.com", true },
  { "wibbe.link", true },
  { "wiberg.nu", true },
  { "wibness.com", true },
  { "wicharypawel.com", true },
  { "wichitafoundationpros.com", true },
  { "wick-machinery.com", true },
  { "wickelfischfrance.fr", true },
  { "wickerliving.com", true },
  { "wickrath.net", true },
  { "wicksandwonders.com.au", true },
  { "wicontractortraining.com", true },
  { "wideboxmacau.com", false },
  { "widecontrol.it", true },
  { "widegab.com", false },
  { "wideinfo.org", true },
  { "widejeans.tk", true },
  { "widely.io", true },
  { "widemann.de", true },
  { "widememory.com", true },
  { "widgetmaker.co.uk", true },
  { "widmer.bz", true },
  { "widsl.de", true },
  { "wiebel.org", true },
  { "wieckiewicz.org", true },
  { "wiedmeyer.de", true },
  { "wiedu.net", true },
  { "wiegedaten.de", true },
  { "wiehenkrug.de", true },
  { "wiek.net", true },
  { "wieloswiat.pl", true },
  { "wien52.at", true },
  { "wieneck-bauelemente.de", true },
  { "wiener.hr", true },
  { "wienergyjobs.com", true },
  { "wieobensounten.de", true },
  { "wifi-hack.com", true },
  { "wifi-names.com", true },
  { "wificafehosting.com", true },
  { "wificonnect.cc", true },
  { "wifimask.com", true },
  { "wifimb.cz", true },
  { "wifipineapple.com", true },
  { "wifirst.net", true },
  { "wifree.lv", true },
  { "wigggle.it", true },
  { "wigle.net", true },
  { "wigmore-hall.org.uk", true },
  { "wiimotion.de", true },
  { "wijaya.net", true },
  { "wijaya2u.com", true },
  { "wijnbesteld.nl", true },
  { "wijnlandkroatie.nl", true },
  { "wijnservices.nl", false },
  { "wijwillendit.nl", true },
  { "wijzijnwolf.nl", true },
  { "wiki-books.ga", true },
  { "wiki-play.ru", true },
  { "wiki.python.org", true },
  { "wikibooks.org", true },
  { "wikibuy.com", true },
  { "wikidata.org", true },
  { "wikidsystems.com", false },
  { "wikihow.com", true },
  { "wikihow.com.tr", true },
  { "wikihow.cz", true },
  { "wikihow.fitness", true },
  { "wikihow.it", true },
  { "wikihow.jp", true },
  { "wikihow.life", true },
  { "wikihow.mom", true },
  { "wikihow.pet", true },
  { "wikihow.tech", true },
  { "wikihow.vn", true },
  { "wikijugos.com", true },
  { "wikileaks.ch", true },
  { "wikileaks.com", true },
  { "wikileaks.org", true },
  { "wikilinux.xyz", true },
  { "wikimedia.org", true },
  { "wikimediafoundation.org", true },
  { "wikinews.org", true },
  { "wikipedia.com", true },
  { "wikipedia.org", true },
  { "wikiquote.org", true },
  { "wikisorg.tk", true },
  { "wikisource.org", true },
  { "wikiversity.org", true },
  { "wikiversus.com", true },
  { "wikivisually.com", true },
  { "wikivoyage.org", true },
  { "wikizip.ga", true },
  { "wikpa.com", true },
  { "wiktionary.org", true },
  { "wiktor-imbierski.com", true },
  { "wilane.org", true },
  { "wilcodeboer.me", true },
  { "wild-turtles.com", true },
  { "wildanalysis.ga", true },
  { "wildandisle.com", true },
  { "wildandwonderfulbodycare.com", true },
  { "wildandwonderfulketo.com", true },
  { "wildberries.cf", true },
  { "wildbirds.dk", true },
  { "wildcatproductions.biz", true },
  { "wildcraft.com", true },
  { "wilddogdesign.co.uk", true },
  { "wildercerron.com", true },
  { "wildewood.ca", true },
  { "wildfirechain.xyz", true },
  { "wildfoxlady.com", true },
  { "wildfoxosteopathy.com", true },
  { "wildnisfamilie.net", true },
  { "wildtrip.blog", true },
  { "wildwildtravel.com", true },
  { "wildzoopark.co.uk", true },
  { "wilf1rst.com", true },
  { "wilgo.ga", true },
  { "wilhelm-nathan.de", true },
  { "wili.li", true },
  { "wiliquet.net", false },
  { "wilkinsondigital.com", true },
  { "wilkushka.com", true },
  { "wilkushka.net", true },
  { "willberg.bayern", true },
  { "willekeinden.nl", true },
  { "willems-kristiansen.dk", true },
  { "willfarrell.ca", true },
  { "willi-graf-gymnasium.de", true },
  { "willi-graf-os.de", true },
  { "willi-roth-holzbau.ch", true },
  { "williamboulton.co.uk", true },
  { "williamfeely.info", true },
  { "williamjohngauthier.net", true },
  { "williamle.com", true },
  { "williampuckering.com", true },
  { "williamscomposer.com", true },
  { "williamshomeheat.co.uk", true },
  { "williamsonshore.com", true },
  { "williamsportmortgages.com", true },
  { "williamsroom.com", true },
  { "williamsvillepediatriccenter.com", true },
  { "williamtai.moe", true },
  { "williamtm.com", true },
  { "williamvds.me", true },
  { "williejackson.com", true },
  { "willnorris.com", true },
  { "willow.technology", true },
  { "willowbrook.co.uk", true },
  { "willowdalechurch.ca", true },
  { "wills.co.tt", true },
  { "willstamper.name", true },
  { "willstocks.co.uk", true },
  { "willtc.uk", true },
  { "willvision.com", true },
  { "willywangstory.com", true },
  { "wiloca.it", true },
  { "wils.jp", true },
  { "wilseyrealty.com", true },
  { "wimachtendienk.com", true },
  { "wimpernforyou.de", true },
  { "win365.com", true },
  { "win7stylebuilder.com", false },
  { "win88-line.com", true },
  { "win88-line.net", true },
  { "winall8.com", true },
  { "winancreekbarn.com", true },
  { "winbuzzer.com", true },
  { "wincasinosmoney.com", true },
  { "winch-center.de", true },
  { "winckelmann2020.com", true },
  { "wind.moe", false },
  { "windelnkaufen24.de", true },
  { "windforme.com", true },
  { "windictus.net", true },
  { "windmillart.net", true },
  { "windmyroof.com", true },
  { "windowcleaningexperts.net", true },
  { "windowreplacement.net", true },
  { "windows-support.nu", true },
  { "windows-support.se", true },
  { "windows311.org", true },
  { "windowsdoors.it", true },
  { "windowseatwanderer.com", true },
  { "windowslatest.com", true },
  { "windowsnerd.com", true },
  { "windowsnoticias.com", true },
  { "windscribe.com", true },
  { "windsock-app.com", true },
  { "windsorite.ca", true },
  { "windsorspi.com", true },
  { "wine-route.net", true },
  { "wine-tapa.com", true },
  { "winebid.com", true },
  { "wineparis.com", true },
  { "wineworksonline.com", true },
  { "winfieldchen.me", true },
  { "wing-tsun.ga", true },
  { "wingchunboxtribe.com", true },
  { "winghill.com", true },
  { "wingify.com", true },
  { "wingmin.net", true },
  { "wingsofacow.com", true },
  { "winhistory-forum.net", true },
  { "winkelcentrumputten.nl", true },
  { "winmodels.org", true },
  { "winmodels.ru", true },
  { "winner-ua.com", true },
  { "winningattitudeawards.org", true },
  { "winphonemetro.com", true },
  { "winsome.world", true },
  { "winsposure.com", true },
  { "wint.global", true },
  { "winter-auszeit.de", true },
  { "winter-elektro.de", true },
  { "winterbergwebcams.com", true },
  { "wintercam.nl", true },
  { "wintercorn.com", true },
  { "winterfeldt.de", true },
  { "winterhavenobgyn.com", true },
  { "winterhillbank.com", true },
  { "wintermeyer-consulting.de", true },
  { "wintermeyer.de", true },
  { "winterschoen.nl", true },
  { "wintersportscompany.com", true },
  { "wintodoor.com", true },
  { "winwares.com", true },
  { "wiocha.pl", true },
  { "wippie.se", true },
  { "wipswiss.ch", true },
  { "wir-bewegen.sh", true },
  { "wir-machen-druck.de", true },
  { "wire.com", true },
  { "wiredmedia.co.uk", true },
  { "wireheading.com", true },
  { "wirekeep.com", true },
  { "wireless-emergency-stop.com", true },
  { "wireshark.org", true },
  { "wireshocks.com", true },
  { "wiretime.de", true },
  { "wirhabenspass.de", true },
  { "wirkstoffreich.de", true },
  { "wirkungs-forschung.at", true },
  { "wirkungs-forschung.ch", true },
  { "wirkungs-forschung.com", true },
  { "wirkungs-forschung.de", true },
  { "wirkungs-forschung.net", true },
  { "wirralbouncycastles.co.uk", true },
  { "wirsberg-studios.de", true },
  { "wirsol.com", true },
  { "wiruji.com", true },
  { "wis.no", true },
  { "wisak.me", true },
  { "wisal.org", true },
  { "wischu.com", true },
  { "wisedog.eu", false },
  { "wiseradiology.com.au", true },
  { "wishingyou.co.uk", true },
  { "wiskundeonderzoek.tk", true },
  { "wismile.lu", true },
  { "wispapp.com", false },
  { "wisper.net.au", true },
  { "wispmaeksmusic.tk", true },
  { "wispsuperfoods.com", true },
  { "wispyon.com", true },
  { "wiss.co.uk", true },
  { "wisv.ch", true },
  { "wisweb.no", true },
  { "wit-creations.fr", true },
  { "wit.ai", true },
  { "witch-spells.com", true },
  { "with-environment.com", true },
  { "with-planning.co.jp", true },
  { "wither.cf", true },
  { "withextraveg.net", true },
  { "withgoogle.com", true },
  { "withheld.xyz", true },
  { "withinsecurity.com", true },
  { "withsunglasses.co.uk", true },
  { "withyoutube.com", true },
  { "witneywaterpolo.org.uk", true },
  { "witt-international.co.uk", true },
  { "witte.cloud", true },
  { "wittgen-kfz-technik.de", true },
  { "wittu.fi", true },
  { "witway.nl", false },
  { "wivoc.nl", true },
  { "wiz.at", true },
  { "wiz.biz", true },
  { "wizadjournal.com", true },
  { "wizardbouncycastles.co.uk", true },
  { "wizardschool.tk", true },
  { "wizathon.com", true },
  { "wizbot.tk", true },
  { "wizzair.com", true },
  { "wizzley.com", true },
  { "wizzr.nl", true },
  { "wjb.marketing", true },
  { "wjbolles.com", true },
  { "wjci.com", true },
  { "wje-online.de", true },
  { "wjg.ca", true },
  { "wjg.dk", true },
  { "wjg.se", true },
  { "wjglerum.nl", false },
  { "wjm2038.me", true },
  { "wjr.io", true },
  { "wjsh.com", true },
  { "wk99.net", true },
  { "wkhs.com", true },
  { "wkv.com", true },
  { "wkz.io", true },
  { "wlaws.com", true },
  { "wlci.gov", true },
  { "wlilai.com", true },
  { "wlmhtrecoverycollege.co.uk", true },
  { "wlog.it", true },
  { "wlt.ca", false },
  { "wltix.com", false },
  { "wlx678.com", true },
  { "wlx678a.com", true },
  { "wlx678b.com", true },
  { "wlx678c.com", true },
  { "wlx678d.com", true },
  { "wm-access.com", true },
  { "wm-access.de", true },
  { "wm-talk.net", false },
  { "wmaccess.com", true },
  { "wmaccess.de", true },
  { "wmccancercenter.com", true },
  { "wmcroboticsurgery.com", true },
  { "wmfusercontent.org", true },
  { "wmkowa.de", true },
  { "wmsndorgen.cf", true },
  { "wmsndorgen.ga", true },
  { "wmsndorgen.gq", true },
  { "wmsndorgen.ml", true },
  { "wmsndorgen.tk", true },
  { "wnmed.com.au", true },
  { "wnu.com", true },
  { "wnuq.best", true },
  { "wo2forum.nl", true },
  { "wobble.ninja", true },
  { "wobblywotnotz.co.uk", true },
  { "wobker.co", true },
  { "woblex.cz", true },
  { "wochennummern.de", true },
  { "wodinaz.com", true },
  { "wodka-division.de", true },
  { "wofflesoft.com", true },
  { "wofford-ecs.org", false },
  { "woffs.de", true },
  { "wofox.com", true },
  { "wogo.org", true },
  { "woheni.de", true },
  { "wohlgemuth.rocks", true },
  { "wohlpa.de", true },
  { "wohnbegleitung.ch", true },
  { "wohnsitz-ausland.com", true },
  { "wois.info", true },
  { "wojciechowka.pl", true },
  { "wojciechszyjka.pl", true },
  { "wokinghammotorhomes.com", true },
  { "wolfachtal-alpaka.de", true },
  { "wolfarth.info", true },
  { "wolfcrow.com", true },
  { "wolfermann.org", true },
  { "wolferstetterkeller.de", true },
  { "wolfgang-kerschbaumer.at", true },
  { "wolfgang-kloke.de", true },
  { "wolfgang-ziegler.com", true },
  { "wolfhowl.me", true },
  { "wolfie.ovh", false },
  { "wolflambert.tk", true },
  { "wolfsden.cz", true },
  { "wolfshuegelturm.de", true },
  { "wolftain.com", true },
  { "wolfteam.tk", true },
  { "wolfwings.us", true },
  { "wolfy.design", true },
  { "wolfy1339.com", true },
  { "wolke7.wtf", true },
  { "wolkenbauer.com", true },
  { "wolkoopjes.nl", true },
  { "wollongongbaptist.hopto.org", true },
  { "wollwerk.org", true },
  { "wolszon.me", true },
  { "woltlab-demo.com", true },
  { "wolvesvtc.com", true },
  { "womb.city", true },
  { "wombatalla.com.au", true },
  { "wombatnet.com", true },
  { "wombats.net", true },
  { "wombere.org", true },
  { "womcom.nl", true },
  { "women-femmes.gc.ca", true },
  { "women-only.net", false },
  { "women.gc.ca", true },
  { "womensalespros.com", true },
  { "womensbiz.tk", true },
  { "womenshairlossproject.com", true },
  { "womenshealthadvocate.org", true },
  { "womensmedassoc.com", true },
  { "womenswellnessobgyn.com", true },
  { "woms.top", true },
  { "wonderbill.com", true },
  { "wonderbits.net", true },
  { "wondercris.com", true },
  { "wonderfuleducation.eu", true },
  { "wonderfuleducation.nl", true },
  { "wonderfulworldofwalliams.tk", true },
  { "wonderhowto.com", true },
  { "wonderlab.ml", true },
  { "wonderland.com.ua", true },
  { "wonderlandmovies.de", true },
  { "wondium.nl", true },
  { "wonghome.net", true },
  { "woningverfspuiten.nl", true },
  { "wooc.org", true },
  { "wood-crafted.co.uk", true },
  { "wood-crafted.uk", true },
  { "woodbornekitchens.co.uk", true },
  { "woodbornekitchens.com", true },
  { "woodbury.io", true },
  { "woodcat.net", true },
  { "woodcoin.org", true },
  { "woodenson.com", true },
  { "woodev.us", true },
  { "woodinvillesepticservice.net", true },
  { "woodlandboys.com", true },
  { "woodlandhillselectrical.com", true },
  { "woodlandsmetro.church", false },
  { "woodlandsvale.uk", true },
  { "woodlandwindows.com", true },
  { "woodminsterrealty.com", true },
  { "woodomat.com", true },
  { "woodreface.com", true },
  { "woodsidepottery.ca", true },
  { "woodstocksupply.com", true },
  { "woodwo.se", true },
  { "woodwormtreatment.com", true },
  { "woodyworld.com", true },
  { "woof.gq", true },
  { "woohay.com", true },
  { "woohooyeah.nl", true },
  { "woonboulevardvolendam.nl", true },
  { "woontegelwinkel.nl", true },
  { "woopie.com", true },
  { "woorocket.com", true },
  { "wootware.co.za", true },
  { "wopplan.de", true },
  { "wopr.network", true },
  { "wops.cc", true },
  { "worca.de", true },
  { "worcade.com", true },
  { "worcesterbouncycastlehire.co.uk", true },
  { "worcesterbouncycastles.co.uk", true },
  { "worcesterfestival.co.uk", true },
  { "worcesterpethydrotherapy.com", true },
  { "worcestervets.co.uk", true },
  { "worcestervetsreferrals.com", true },
  { "word-grabber.com", true },
  { "wordcounter.net", true },
  { "wordfence.com", true },
  { "wordher.com", true },
  { "wordops.eu", true },
  { "wordops.io", true },
  { "wordops.net", true },
  { "wordplay.one", true },
  { "wordpress.com", false },
  { "wordpressarequipa.com", true },
  { "wordpressfly.com", true },
  { "wordpressp.com", true },
  { "wordpresssetup.org", true },
  { "wordregistrar.ga", true },
  { "words.codes", true },
  { "wordsmart.it", true },
  { "wordspy.com", true },
  { "wordxtra.net", true },
  { "worf.in", true },
  { "worio.co", true },
  { "work-in-progress.website", true },
  { "workahealthic.de", true },
  { "workathomenoscams.com", true },
  { "workcelerator.com", true },
  { "workcloud.jp", true },
  { "workcost.me", true },
  { "worker.gov", true },
  { "workeria-personal.de", true },
  { "workingclassmedia.com", true },
  { "workinghardinit.work", true },
  { "workinginsync.co.uk", true },
  { "workingon.tech", true },
  { "workinnorway.no", true },
  { "worklinepc.com", true },
  { "worklizard.com", true },
  { "worknrby.com", true },
  { "workoptions.com", true },
  { "workplace.com", true },
  { "workplace.tools", true },
  { "workraw.com", true },
  { "works-ginan.jp", true },
  { "workshop.men", true },
  { "workshopengine.com.au", true },
  { "workshopszwolle.nl", true },
  { "workshopzwolle.com", true },
  { "worksitevr.com", true },
  { "worksmarter.tv", true },
  { "workthings.de", true },
  { "workupapp.com", true },
  { "world-in-my-eyes.com", true },
  { "world-lolo.com", true },
  { "worldcarding.tk", true },
  { "worldcareers.dk", true },
  { "worldcigars.com.br", true },
  { "worldcubeassociation.org", true },
  { "worlddeafarchitecture.com", true },
  { "worldessays.com", true },
  { "worldix.ml", true },
  { "worldmeetings.com", true },
  { "worldofarganoil.com", true },
  { "worldofbelia.de", true },
  { "worldoflegion.ml", true },
  { "worldofparties.co.uk", true },
  { "worldofwobble.co.uk", true },
  { "worldonwheels.com.au", true },
  { "worldrecipes.eu", true },
  { "worldsfree4u.ga", true },
  { "worldsgreatestazuredemo.com", true },
  { "worldsinperil.it", true },
  { "worldsladultplace.info", true },
  { "worldstone777.com", true },
  { "worldsy.com", true },
  { "worldtalk.de", true },
  { "worldvisa.tk", true },
  { "worldvisionsummerfest.com", true },
  { "worldwaterprojects.com", true },
  { "wormate.io", true },
  { "wormbytes.ca", true },
  { "wormdisk.net", true },
  { "wormhol.org", true },
  { "worongarymedical.com.au", true },
  { "worst.horse", false },
  { "wort-suchen.de", true },
  { "wort.lu", true },
  { "woshiluo.com", true },
  { "wossl.com", true },
  { "wossl.net", true },
  { "wot-zadrot.com", true },
  { "woti.dedyn.io", true },
  { "wotsunduk.ru", true },
  { "wotzadrot.com", true },
  { "woudenberg.nl", false },
  { "woudenbergsedrukkerij.nl", true },
  { "wound-doc.co.uk", true },
  { "woutergeraedts.nl", true },
  { "wouterslop.com", true },
  { "wouterslop.eu", true },
  { "wouterslop.nl", true },
  { "wow-foederation.de", true },
  { "wow-screenshots.net", true },
  { "wowaffixes.info", true },
  { "wowbouncycastles.co.uk", true },
  { "wowgenial.com", true },
  { "wowi-ffo.de", true },
  { "wowin88.com", true },
  { "wowjs.co.uk", true },
  { "wowjs.org", true },
  { "wowjs.uk", true },
  { "wowlove.tk", true },
  { "wownmedia.com", true },
  { "wp-cloud.fi", false },
  { "wp-france.com", true },
  { "wp-master.org", true },
  { "wp-mix.com", true },
  { "wp-tao.com", true },
  { "wp-webagentur.de", true },
  { "wpac.de", false },
  { "wpandup.org", true },
  { "wpbeter.nl", true },
  { "wpboot.com", true },
  { "wpbox.cc", true },
  { "wpcanban.com", false },
  { "wpcc.io", true },
  { "wpccu-cdn.org", true },
  { "wpcdn.bid", true },
  { "wpcs.pro", true },
  { "wpdivitheme.nl", true },
  { "wpenhance.com", true },
  { "wpexplorer.com", true },
  { "wpformation.com", true },
  { "wpherc.com", true },
  { "wphlive.tv", true },
  { "wphosting.ovh", true },
  { "wphostingblog.nl", true },
  { "wplibrary.net", true },
  { "wplistings.pro", true },
  { "wpmeetup-berlin.de", true },
  { "wpml.org", true },
  { "wpmu-tutorials.de", true },
  { "wpno.com", false },
  { "wpnuvem.com", true },
  { "wpostats.com", false },
  { "wppeeps.com", true },
  { "wpresscoder.com", true },
  { "wpsermons.com", true },
  { "wpserp.com", true },
  { "wpsharks.com", true },
  { "wpsitemovers.com", true },
  { "wpsmackdown.com", true },
  { "wpsnelheid.nl", true },
  { "wpthaiuser.com", true },
  { "wptorium.com", true },
  { "wptotal.com", true },
  { "wpturnedup.com", true },
  { "wpwebshop.com", true },
  { "wq.ro", true },
  { "wr.su", true },
  { "wrap.in.ua", true },
  { "wrara.org", true },
  { "wrathofgeek.com", true },
  { "wrdcfiles.ca", true },
  { "wrdx.io", true },
  { "wrenwrites.com", true },
  { "wrestling.net.au", true },
  { "wrgms.com", true },
  { "wristreview.com", true },
  { "write-right.net", true },
  { "writeandedit-for-you.com", true },
  { "writecustomessay.com", true },
  { "writemyessay.today", true },
  { "writemyessays.com", true },
  { "writemyestimate.com", true },
  { "writemypaperhub.com", true },
  { "writemytermpapers.com", true },
  { "writeoff.me", true },
  { "writepro.net", true },
  { "writer24.ru", true },
  { "writereditor.com", true },
  { "writers-club.tk", true },
  { "writing-expert.com", true },
  { "writingcities.net", true },
  { "writingtoserve.net", true },
  { "writtenworld.bg", true },
  { "writtit.com", true },
  { "wrmea.org", true },
  { "wrong.wang", true },
  { "wrozbyonline.pl", true },
  { "wrp-timber-mouldings.co.uk", true },
  { "wrp.gov", true },
  { "wsa.poznan.pl", true },
  { "wsadek.ovh", true },
  { "wsave.be", true },
  { "wsb-immo.at", true },
  { "wsb.pl", true },
  { "wsbhvac.com", true },
  { "wscales.com", false },
  { "wscbiolo.id", true },
  { "wsdcapital.com", true },
  { "wselektro.de", true },
  { "wsetech.com", true },
  { "wsgvet.com", true },
  { "wsl.sh", true },
  { "wsldp.com", true },
  { "wso01.com", true },
  { "wsp-center.com", true },
  { "wsspalluto.de", true },
  { "wstudio.ch", false },
  { "wstx.com", true },
  { "wsv-pfeffingen.de", true },
  { "wtfnope.org", true },
  { "wtp.co.jp", true },
  { "wtpdive.jp", true },
  { "wtpmj.com", true },
  { "wtprecife.com.br", true },
  { "wtup.net", true },
  { "wtw.io", true },
  { "wucke13.de", true },
  { "wuerfel.wf", true },
  { "wuerfelmail.de", true },
  { "wug.fun", true },
  { "wug.jp", true },
  { "wug.news", true },
  { "wuji.cz", true },
  { "wulala.us", true },
  { "wulfrun-invicta.tk", true },
  { "wumbo.cf", true },
  { "wumbo.co.nz", true },
  { "wumbo.ga", true },
  { "wumbo.gq", true },
  { "wumbo.ml", true },
  { "wumbo.tk", true },
  { "wunder.io", true },
  { "wunderkarten.de", true },
  { "wunderlist.com", true },
  { "wundernas.ch", true },
  { "wundi.net", true },
  { "wunschzettel.de", true },
  { "wuppertaler-kurrende.com", false },
  { "wuppertaler-kurrende.de", true },
  { "wutianyi.com", true },
  { "wuxiaohen.com", true },
  { "wuz.it", true },
  { "wuzigackl.de", false },
  { "wvg.myds.me", true },
  { "wvpbs.ml", true },
  { "wvpventures.com", true },
  { "ww-design.ch", true },
  { "ww00228.com", false },
  { "ww0512.com", true },
  { "ww8989.com", true },
  { "ww9297.co", true },
  { "wweforums.net", true },
  { "wwgc2011.se", true },
  { "wwin818.com", true },
  { "wwmm.ru", true },
  { "wwtext.com", true },
  { "wwv-8722.com", true },
  { "wwvip88.com", true },
  { "www-8225.com", true },
  { "www-8522.com", true },
  { "www-9822.com", true },
  { "www-pheromone.com", true },
  { "www-pheromones.com", true },
  { "www-railto.com", true },
  { "www.aclu.org", false },
  { "www.airbnb.com", true },
  { "www.amazon.ca", true },
  { "www.amazon.cn", true },
  { "www.amazon.co.jp", true },
  { "www.amazon.co.uk", true },
  { "www.amazon.com", true },
  { "www.amazon.com.au", true },
  { "www.amazon.com.br", true },
  { "www.amazon.com.mx", true },
  { "www.amazon.de", true },
  { "www.amazon.es", true },
  { "www.amazon.fr", true },
  { "www.amazon.it", true },
  { "www.amazon.nl", true },
  { "www.banking.co.at", false },
  { "www.braintreepayments.com", false },
  { "www.capitainetrain.com", false },
  { "www.cloudflare.com", false },
  { "www.cnet.com", true },
  { "www.dropbox.com", true },
  { "www.dropcam.com", false },
  { "www.edu.tw", true },
  { "www.entropia.de", false },
  { "www.eternalgoth.co.uk", true },
  { "www.etsy.com", true },
  { "www.evernote.com", false },
  { "www.facebook.com", false },
  { "www.fastmail.com", true },
  { "www.ft.com", true },
  { "www.g.co", false },
  { "www.gamesdepartment.co.uk", true },
  { "www.getcloak.com", false },
  { "www.gmail.com", false },
  { "www.googlemail.com", false },
  { "www.gov.pl", true },
  { "www.gov.uk", false },
  { "www.govt.nz", true },
  { "www.grc.com", false },
  { "www.healthcare.gov", false },
  { "www.heliosnet.com", true },
  { "www.honeybadger.io", false },
  { "www.hyatt.com", true },
  { "www.irccloud.com", false },
  { "www.linode.com", false },
  { "www.lookout.com", false },
  { "www.messenger.com", true },
  { "www.mylookout.com", false },
  { "www.noisebridge.net", true },
  { "www.opsmate.com", true },
  { "www.paypal.com", false },
  { "www.python.org", true },
  { "www.re", true },
  { "www.rememberthemilk.com", true },
  { "www.sb", true },
  { "www.simple.com", false },
  { "www.techrepublic.com", true },
  { "www.theguardian.com", true },
  { "www.therapynotes.com", true },
  { "www.tinfoilsecurity.com", false },
  { "www.torproject.org", false },
  { "www.tumblr.com", false },
  { "www.twitter.com", false },
  { "www.united.com", true },
  { "www.usaa.com", false },
  { "www.viasinc.com", false },
  { "www.vino75.com", false },
  { "www.wepay.com", false },
  { "www.wordpress.com", false },
  { "www.zdnet.com", true },
  { "www00228a.com", false },
  { "www00228b.com", false },
  { "www00228d.com", false },
  { "www00228e.com", false },
  { "www68277.com", true },
  { "wwweb.be", true },
  { "wwwindows.co.uk", true },
  { "wwwpheromone.com", true },
  { "wwwrailto.com", true },
  { "wwwwnews.tk", true },
  { "wxcafe.net", true },
  { "wxdisco.com", true },
  { "wxforums.com", true },
  { "wxh.jp", true },
  { "wxhbts.com", true },
  { "wxkxsw.com", true },
  { "wxlog.cn", true },
  { "wxster.com", true },
  { "wxw.moe", false },
  { "wy188.cc", true },
  { "wyam.io", true },
  { "wyatttauber.com", true },
  { "wyckoff.pro", true },
  { "wyckoff.vip", true },
  { "wyczaruj.pl", true },
  { "wyday.com", true },
  { "wygibanki.pl", true },
  { "wygodnie.pl", true },
  { "wyhpartnership.co.uk", true },
  { "wyhuesli.ch", true },
  { "wyldfiresignage.com", true },
  { "wyo.cam", true },
  { "wyomingurology.com", true },
  { "wyrickstaxidermy.com", true },
  { "wyrihaximus.net", true },
  { "wyrimaps.net", true },
  { "wyssmuller.ch", false },
  { "wysz.com", true },
  { "wywabmnie.pl", true },
  { "wyydsb.cn", true },
  { "wyydsb.com", true },
  { "wyydsb.xin", true },
  { "wyzphoto.nl", true },
  { "wzilverschoon.nl", true },
  { "wzrd.in", true },
  { "wzxaini9.com", true },
  { "wzyboy.org", true },
  { "x-6.pl", true },
  { "x-charge.uk", true },
  { "x-iweb.ru", true },
  { "x-lan.be", true },
  { "x-minus.me", true },
  { "x-one.co.jp", true },
  { "x.io", true },
  { "x.st", true },
  { "x001.org", true },
  { "x00701.com", true },
  { "x00708.com", true },
  { "x00738.com", true },
  { "x00776.com", true },
  { "x00786.com", true },
  { "x0r.be", true },
  { "x10006.com", false },
  { "x10007.com", false },
  { "x10008.com", false },
  { "x17.cafe", true },
  { "x2816.com", false },
  { "x2d2.de", false },
  { "x3515.com", false },
  { "x3618.com", false },
  { "x36533.com", true },
  { "x36594.com", true },
  { "x378.ch", true },
  { "x3789.com", false },
  { "x3801.com", true },
  { "x3802.com", true },
  { "x3803.com", true },
  { "x3804.com", true },
  { "x3805.com", true },
  { "x3807.com", true },
  { "x3815.com", true },
  { "x3816.com", true },
  { "x3828.com", true },
  { "x3927.com", false },
  { "x5901.com", true },
  { "x5902.com", true },
  { "x5903.com", true },
  { "x5904.com", true },
  { "x5905.com", true },
  { "x5906.com", true },
  { "x5907.com", true },
  { "x5908.com", true },
  { "x59088.com", true },
  { "x5910.com", true },
  { "x59288.com", true },
  { "x59388.com", true },
  { "x59488.com", true },
  { "x59588.com", true },
  { "x59688.com", true },
  { "x59788.com", true },
  { "x59888.com", true },
  { "x59988.com", true },
  { "x69.biz", true },
  { "x69x.net", true },
  { "x6r3p2yjg1g6x7iu.myfritz.net", true },
  { "x7008.com", false },
  { "x7713.com", false },
  { "x7719.com", false },
  { "x7782.com", false },
  { "x7785.com", false },
  { "x7795.com", false },
  { "x77dd.com", false },
  { "x77ee.com", false },
  { "x77hh.com", false },
  { "x77jj.com", false },
  { "x77kk.com", false },
  { "x77mm.com", false },
  { "x77nn.com", false },
  { "x77pp.com", false },
  { "x77qq.com", false },
  { "x77tt.com", false },
  { "x77ww.com", false },
  { "x9015.com", false },
  { "x9017.com", false },
  { "x9297.co", true },
  { "x9701.com", false },
  { "x9718.com", false },
  { "x98d.com", true },
  { "x98e.com", true },
  { "x98f.com", true },
  { "x98g.com", true },
  { "x98h.com", true },
  { "x98i.com", true },
  { "x98k.com", true },
  { "x98l.com", true },
  { "x98m.com", true },
  { "x98n.com", true },
  { "x98o.com", true },
  { "x98p.com", true },
  { "x98q.com", true },
  { "x98r.com", true },
  { "x98s.com", true },
  { "x98w.com", true },
  { "x98y.com", true },
  { "x98z.com", true },
  { "x993.com", true },
  { "xa.search.yahoo.com", false },
  { "xa1.uk", true },
  { "xab123.com", true },
  { "xab4.com", true },
  { "xab456.com", true },
  { "xab678.com", true },
  { "xab678a.com", true },
  { "xab678b.com", true },
  { "xab678c.com", true },
  { "xab678d.com", true },
  { "xab789.com", true },
  { "xab799.com", true },
  { "xab899.com", true },
  { "xaba.tk", true },
  { "xacker.tk", true },
  { "xaffit.com", true },
  { "xahbspl.com", true },
  { "xakepctbo.tk", true },
  { "xamax.co.uk", true },
  { "xanadu-auto.cz", true },
  { "xanadu-catering.cz", true },
  { "xanadu-golf.cz", true },
  { "xanadu-taxi.cz", true },
  { "xanadu-trans.cz", true },
  { "xanderbron.tech", true },
  { "xanhdecor.com", true },
  { "xanimalcaps.com", true },
  { "xants.de", true },
  { "xanyl.de", true },
  { "xarangallomangallo.tk", true },
  { "xatr0z.org", false },
  { "xav.ie", true },
  { "xaver.su", true },
  { "xavita.uk", true },
  { "xaxax.ru", true },
  { "xb052.com", true },
  { "xb053.com", true },
  { "xb056.com", true },
  { "xb057.com", true },
  { "xb058.com", true },
  { "xb83studio.ch", true },
  { "xbb.hk", true },
  { "xbb.li", true },
  { "xbdmov.com", true },
  { "xbertschy.com", true },
  { "xblau.com", true },
  { "xboxachievements.com", true },
  { "xboxdownloadthat.com", true },
  { "xboxlivegoldshop.nl", true },
  { "xboxonex.shop", true },
  { "xbrl.online", true },
  { "xbrlsuccess.appspot.com", true },
  { "xbt.co", true },
  { "xbtce.com", true },
  { "xbtmusic.org", false },
  { "xceedgaming.com", true },
  { "xcentricmold.com", true },
  { "xcharge.uk", true },
  { "xcler8.com", true },
  { "xclirion-support.de", true },
  { "xcorpsolutions.com", true },
  { "xcraftsumulator.ru", true },
  { "xcvb.xyz", true },
  { "xd.cm", true },
  { "xdawn.cn", true },
  { "xdeftor.com", true },
  { "xdos.io", true },
  { "xdown.org", true },
  { "xdtag.com", true },
  { "xdty.org", true },
  { "xecure.zone", true },
  { "xecureit.com", true },
  { "xeedbeam.me", true },
  { "xeerpa.com", true },
  { "xega.org", true },
  { "xehost.com", true },
  { "xeiropraktiki.gr", true },
  { "xelesante.jp", true },
  { "xemcloud.net", true },
  { "xendo.net", true },
  { "xenical.tk", true },
  { "xenomedia.nl", true },
  { "xenon.cloud", true },
  { "xenoncloud.net", true },
  { "xenophile.name", true },
  { "xenoworld.de", true },
  { "xentho.net", true },
  { "xentox.com", true },
  { "xerbo.net", false },
  { "xerdeso.tk", true },
  { "xerezdeportivo.tk", true },
  { "xerhost.de", false },
  { "xerkus.pro", true },
  { "xerownia.eu", true },
  { "xeryus.nl", true },
  { "xetown.com", true },
  { "xfce.space", true },
  { "xfcy.me", true },
  { "xfd3.de", true },
  { "xferion.com", false },
  { "xfive.de", true },
  { "xfix.pw", true },
  { "xfrag-networks.com", true },
  { "xfzhao.com", true },
  { "xgadget.de", true },
  { "xgame.com.tr", true },
  { "xgclan.com", true },
  { "xgn.es", true },
  { "xgwap.com", true },
  { "xgzepto.cn", true },
  { "xh7ooo.com", true },
  { "xh7ppp.com", true },
  { "xh7qqq.com", true },
  { "xh7rrr.com", true },
  { "xh7sss.com", true },
  { "xh7ttt.com", true },
  { "xh7uuu.com", true },
  { "xh7www.com", true },
  { "xh7xxx.com", true },
  { "xh7zzz.com", true },
  { "xhmikosr.io", true },
  { "xho.me", true },
  { "xia.de", true },
  { "xiamenshipbuilding.com", true },
  { "xiamuzi.com", true },
  { "xiangblog.com", true },
  { "xiangweiqing.co.uk", true },
  { "xiangwenquan.me", true },
  { "xiaocg.xyz", true },
  { "xiaojiyoupin.com", true },
  { "xiaololi.best", true },
  { "xiaolong.link", true },
  { "xiaomi.eu", true },
  { "xiaoneijun.cn", true },
  { "xiaoneimao.cn", true },
  { "xiaoxia.li", true },
  { "xiaoyu.net", true },
  { "xiashali.me", true },
  { "xicreative.net", true },
  { "xie38.com", true },
  { "xie91.com", true },
  { "xier.ch", true },
  { "xif.at", true },
  { "xifrem.com", true },
  { "xight.org", true },
  { "xignsys.com", true },
  { "xilef.org", true },
  { "xilo.net", true },
  { "ximble.com", true },
  { "ximbo.net", false },
  { "ximes.com", true },
  { "xin-in.com", true },
  { "xin-in.net", true },
  { "xinetwork.net", false },
  { "xing-in.net", true },
  { "xingganfuli.com", true },
  { "xinnermedia.nl", true },
  { "xinnixdeuren-shop.be", true },
  { "xinsane.com", true },
  { "xinsto.com", true },
  { "xinu.xyz", true },
  { "xinuspeed.com", true },
  { "xinuspeedtest.com", true },
  { "xinuurl.com", true },
  { "xinxin.pl", true },
  { "xinyitour.tw", true },
  { "xiphwork.de", true },
  { "xiumu.org", true },
  { "xiyu.it", false },
  { "xjd.vision", true },
  { "xjf6.com", true },
  { "xjjeeps.com", true },
  { "xjpvictor.info", true },
  { "xkcd.pw", true },
  { "xkviz.net", true },
  { "xkwy2018.cn", true },
  { "xlan.be", true },
  { "xlange.com", true },
  { "xlink.com.pl", true },
  { "xloud.cf", true },
  { "xluxes.jp", true },
  { "xm.digital", true },
  { "xmag.pl", true },
  { "xmedius.ca", true },
  { "xmedius.com", true },
  { "xmedius.eu", true },
  { "xmenrevolution.com", true },
  { "xmgspace.me", true },
  { "xmlbeam.org", true },
  { "xmpp.dk", true },
  { "xmr.to", true },
  { "xmv.cz", true },
  { "xmyy.com", true },
  { "xn-----6kcbjcgl1atjj7aadbkxfxfe7a9yia.xn--p1ai", true },
  { "xn-----7kcbhdpr0asllefq0bjk.com", true },
  { "xn----7sbabrwauchevq0ba.xn--p1ai", true },
  { "xn----7sbarcdvrtr1be.org", true },
  { "xn----7sbbgbr0arxb4a4exa.com.ua", true },
  { "xn----7sbbq5b0a1c.com", true },
  { "xn----8hcdn2ankm1bfq.com", true },
  { "xn----9sbkdigdao0de1a8g.com", true },
  { "xn----ncfb.ws", true },
  { "xn---35-6cdk1dnenygj.xn--p1ai", true },
  { "xn--0iv967ab7w.xn--rhqv96g", true },
  { "xn--0kq33cz5c8wmwrqqw1d.com", true },
  { "xn--12c3bpr6bsv7c.com", true },
  { "xn--12cg9bnm5ci2ag9hbcs17a.com", true },
  { "xn--13-6kc0bufl.xn--p1ai", true },
  { "xn--158h.ml", false },
  { "xn--2sxs9ol7o.com", true },
  { "xn--3st814ec8r.cn", true },
  { "xn--3stv82k.hk", true },
  { "xn--3stv82k.tw", true },
  { "xn--48jwg508p.net", true },
  { "xn--4pv80kkz8auzf.jp", true },
  { "xn--57h.ml", false },
  { "xn--5dbkjqb0d.com", true },
  { "xn--5dbkjqb0d.net", true },
  { "xn--6o8h.cf", true },
  { "xn--6x6a.life", true },
  { "xn--79q87uvkclvgd56ahq5a.net", true },
  { "xn--7ca.co", true },
  { "xn--7or43h.jp", true },
  { "xn--7xa.google.com", true },
  { "xn--80a8aqs.biz.ua", true },
  { "xn--80aafaxhj3c.xn--p1ai", true },
  { "xn--80abwhtbgbedcy6h.com", true },
  { "xn--80acghh.xn--p1ai", true },
  { "xn--80adbevek3air0ee9b8d.com", true },
  { "xn--80adbvdjzhptl1be6j.com", true },
  { "xn--80aebbkaqx6at.xn--p1ai", true },
  { "xn--80aejljbfwxn.xn--p1ai", true },
  { "xn--80ageukloel.xn--p1ai", true },
  { "xn--80ahclcaoccacrhfebi0dcn5c1jh.xn--p1ai", true },
  { "xn--80aihgal0apt.xn--p1ai", true },
  { "xn--80akjfhoqm2h2a.xn--p1ai", true },
  { "xn--80ancacgircb8q.xn--p1ai", true },
  { "xn--80azelb.xn--p1ai", true },
  { "xn--8bi.gq", false },
  { "xn--90accgba6bldkcbb7a.xn--p1acf", true },
  { "xn--90acjfgylpnm.xn--90ais", true },
  { "xn--90aij9af3f.com.ua", true },
  { "xn--95q32l0t6b9cb17l.cn", true },
  { "xn--9xa.fun", true },
  { "xn--agncia-4ua.cat", true },
  { "xn--allgu-biker-o8a.de", true },
  { "xn--anyd-7na.at", true },
  { "xn--aviao-dra1a.pt", true },
  { "xn--b3c4f.xn--o3cw4h", true },
  { "xn--babassul-t4a.de", true },
  { "xn--bachblten-tee-1ob.de", true },
  { "xn--baron-bonzenbru-elb.com", true },
  { "xn--bcher-bestseller-jzb.com", true },
  { "xn--bcherbestseller-zvb.com", true },
  { "xn--bckerei-wohlgemuth-ltb.de", true },
  { "xn--ben-bank-8za.dk", true },
  { "xn--benbank-dxa.dk", true },
  { "xn--bersetzung-8db.cc", true },
  { "xn--berwachungspaket-izb.at", true },
  { "xn--birkenblttertee-7kb.de", true },
  { "xn--brneruhr-0za.ch", true },
  { "xn--brombeerblttertee-zqb.de", true },
  { "xn--bucheckernl-0fb.de", true },
  { "xn--c1adqibibm8i.com", true },
  { "xn--cck4ax91r.com", true },
  { "xn--cck7f515h.com", true },
  { "xn--cckdrt0kwb4g3cnh.com", true },
  { "xn--cctsgy36bnvprwpekc.com", true },
  { "xn--cfa.site", true },
  { "xn--chrysanthemenbltentee-nic.de", true },
  { "xn--cisowcy-pjb5t.pl", true },
  { "xn--detrkl13b9sbv53j.com", true },
  { "xn--detrkl13b9sbv53j.org", true },
  { "xn--dmonenjger-q5ag.net", true },
  { "xn--dragni-g1a.de", true },
  { "xn--dtursfest-72a.dk", true },
  { "xn--durhre-yxa.de", true },
  { "xn--dviz-5qa.com", true },
  { "xn--e1aaavheew.xn--p1ai", true },
  { "xn--e1aaavheewr.xn--p1ai", true },
  { "xn--e1adlfhcdo7h.xn--p1ai", true },
  { "xn--eebao6b.com", true },
  { "xn--eebao6b.net", true },
  { "xn--ehqw04eq6e.jp", true },
  { "xn--erban-e9b.ro", true },
  { "xn--erklderbarenben-slbh.dk", true },
  { "xn--et8h.cf", false },
  { "xn--ex-1b4auld4fn3u3ck2069g.com", true },
  { "xn--f9jh4f4b4993b66s.tokyo", true },
  { "xn--familie-pppinghaus-l3b.de", true },
  { "xn--feuerlscher-arten-4zb.de", true },
  { "xn--fiqwix98h.jp", true },
  { "xn--fischereiverein-mnsterhausen-i7c.de", true },
  { "xn--frankierknig-djb.de", true },
  { "xn--fs5ak3f.com", true },
  { "xn--gfrr-7qa.li", true },
  { "xn--gfrrli-yxa.ch", true },
  { "xn--ggle-qoaa.com", true },
  { "xn--grnderlehrstuhl-0vb.de", true },
  { "xn--gstehaus-leipzig-vnb.de", true },
  { "xn--heidebltentee-2ob.de", true },
  { "xn--heilendehnde-ocb.de", true },
  { "xn--hgbk4a00a.com", true },
  { "xn--hibiskusbltentee-szb.de", true },
  { "xn--hllrigl-90a.at", true },
  { "xn--i2ru8q2qg.com", true },
  { "xn--ikketenkpdet-1cb.no", true },
  { "xn--imker-in-nrnberg-szb.de", true },
  { "xn--ionunica-29c.ro", true },
  { "xn--irr.xn--fiqs8s", true },
  { "xn--is8h6d.gq", false },
  { "xn--j8se.com", true },
  { "xn--jda.tk", true },
  { "xn--jp8hx8f.ws", true },
  { "xn--kda.tk", true },
  { "xn--kkcon-fwab.nz", true },
  { "xn--kl-oja.is", true },
  { "xn--klmek-0sa.com", true },
  { "xn--krpto-lva.de", true },
  { "xn--ktha-kamrater-pfba.se", true },
  { "xn--l8js6h476m.xn--q9jyb4c", true },
  { "xn--labanskllermark-ftb.se", true },
  { "xn--lavendelblten-tee-c3b.de", true },
  { "xn--lckwg.net", true },
  { "xn--lnakuten-9za.com", true },
  { "xn--love-un4c7e0d4a.com", true },
  { "xn--lsaupp-iua.se", true },
  { "xn--lskieradio-3gb44h.pl", true },
  { "xn--lt9h.cf", true },
  { "xn--lti-3qa.lv", true },
  { "xn--manuela-stsser-psb.de", true },
  { "xn--maracujal-77a.de", true },
  { "xn--martnvillalba-zib.com", true },
  { "xn--martnvillalba-zib.net", true },
  { "xn--mein-kchenhelfer-ozb.de", true },
  { "xn--mentaltraining-fr-musiker-uwc.ch", true },
  { "xn--mgbbh2a9fub.xn--ngbc5azd", false },
  { "xn--mgbmmp7eub.com", true },
  { "xn--mgbpkc7fz3awhe.com", true },
  { "xn--mgbuq0c.net", true },
  { "xn--mgi-qla.life", true },
  { "xn--mntsamling-0cb.dk", true },
  { "xn--myrepubic-wub.net", true },
  { "xn--myrepublc-x5a.net", true },
  { "xn--n8j7dygrbu0c31a5861bq8qb.com", true },
  { "xn--n8jp5083dnzs.net", true },
  { "xn--n8jtcugp92n4wc738f.net", true },
  { "xn--nidar-tib.org", true },
  { "xn--nide-loa.ee", true },
  { "xn--oiqt18e8e2a.eu.org", true },
  { "xn--p8j9a0d9c9a.xn--q9jyb4c", true },
  { "xn--pascal-klsch-cjb.de", true },
  { "xn--pbt947am3ab71g.com", true },
  { "xn--pckm3a1bi21a.com", true },
  { "xn--pe-bka.ee", true },
  { "xn--pn1am9c.com", true },
  { "xn--pq1a637b.xn--6qq986b3xl", true },
  { "xn--prfontaine-c7a.name", true },
  { "xn--prt783d.xn--6qq986b3xl", true },
  { "xn--q9jb1h5dvcspke3218b9mn4p0c.com", true },
  { "xn--r8jzaf7977b09e.com", true },
  { "xn--rb-fka.it", true },
  { "xn--rdiger-kuhlmann-zvb.de", true },
  { "xn--reisebro-herrsching-bbc.de", true },
  { "xn--ritmller-95a.de", true },
  { "xn--rlcus7b3d.xn--xkc2dl3a5ee0h", true },
  { "xn--roselire-60a.ch", false },
  { "xn--roselire-60a.com", false },
  { "xn--rosenbltentee-2ob.de", true },
  { "xn--rt-cja.eu", true },
  { "xn--rt-cja.ie", true },
  { "xn--rtter-kva.eu", true },
  { "xn--ruanmller-u9a.com", true },
  { "xn--s-0fa.fi", true },
  { "xn--s-1gaa.fi", true },
  { "xn--schcke-yxa.de", true },
  { "xn--schpski-c1a.de", true },
  { "xn--schsischer-christstollen-qbc.shop", true },
  { "xn--schwarzkmmeloel-6vb.de", true },
  { "xn--solidaritt-am-ort-yqb.de", true },
  { "xn--strandhaus-hinter-der-dne-1wc.de", true },
  { "xn--sz8h.ml", true },
  { "xn--t-oha.lv", true },
  { "xn--t8j4aa4nzg3a5euoxcwee.xyz", true },
  { "xn--t8jo9k1b.com", true },
  { "xn--tagungssttte-usedom-owb.de", true },
  { "xn--tagungssttte-zinnowitz-84b.de", true },
  { "xn--tigreray-i1a.org", true },
  { "xn--u8jvc1drbz972aywbk0by95ffo1aqm1c.com", true },
  { "xn--u8jwd.ga", true },
  { "xn--u9j0ia6hb7347cg8wavz0avb0e.com", true },
  { "xn--u9j920h4sbt5ex10f.online", true },
  { "xn--u9jv84l7ea468b.com", true },
  { "xn--uasacrilicas-9gb.net", true },
  { "xn--uist1idrju3i.jp", true },
  { "xn--uisz44m.online", true },
  { "xn--ukasik-2db.pl", true },
  { "xn--underux-0za.eu", true },
  { "xn--v-wfa35g.ro", true },
  { "xn--wby9t.xyz", false },
  { "xn--weidenrschen-tee-swb.de", true },
  { "xn--wq9h.ml", false },
  { "xn--z1tq4ldt4b.com", true },
  { "xn--zettlmeil-n1a.de", true },
  { "xn--zsr042b.fun", true },
  { "xn5.de", true },
  { "xnaas.info", true },
  { "xnativi.pl", true },
  { "xnet-x.net", true },
  { "xninja.xyz", true },
  { "xnode.org", true },
  { "xntrik.wtf", true },
  { "xnu.kr", true },
  { "xo.tc", true },
  { "xoan.cf", true },
  { "xoh.at", true },
  { "xolotto.com", true },
  { "xolphin.nl", true },
  { "xombitgames.com", true },
  { "xombitmusic.com", true },
  { "xone.cz", false },
  { "xonn.de", true },
  { "xoommit.com", true },
  { "xor.cat", true },
  { "xormatic.com", true },
  { "xotictrends.com", true },
  { "xp-ochrona.pl", true },
  { "xp.nsupdate.info", true },
  { "xp2.de", true },
  { "xpa.be", true },
  { "xpbytes.com", true },
  { "xpd.se", true },
  { "xperidia.com", true },
  { "xpertcube.com", true },
  { "xpj000444.com", true },
  { "xpj000555.com", true },
  { "xpj000666.com", true },
  { "xpj090.com", true },
  { "xpj100.com", true },
  { "xpj567088.com", false },
  { "xpj567388.com", false },
  { "xpj678678.com", true },
  { "xpj90.com", true },
  { "xpj909.me", true },
  { "xpjbeting.com", true },
  { "xpjcs.com", true },
  { "xpjiosapp.com", true },
  { "xpletus.nl", true },
  { "xpoc.pro", true },
  { "xpods.sg", true },
  { "xpornoizle.net", true },
  { "xqk7.com", true },
  { "xr.cx", true },
  { "xr1s.me", true },
  { "xrg.cz", true },
  { "xrockx.de", true },
  { "xrp.pp.ua", true },
  { "xrptoolkit.com", true },
  { "xrwracing-france.com", true },
  { "xs00228.com", false },
  { "xs2a.no", true },
  { "xsapp.co", true },
  { "xsec.me", true },
  { "xserownia.com.pl", true },
  { "xserownia.eu", true },
  { "xserownia.net", true },
  { "xserownia.pl", true },
  { "xslim.com.br", true },
  { "xss.sk", true },
  { "xssi.uk", true },
  { "xsteam.eu", true },
  { "xsuper.net", true },
  { "xtaboo3d.com", true },
  { "xtarget.ru", true },
  { "xtom.africa", true },
  { "xtom.al", true },
  { "xtom.amsterdam", true },
  { "xtom.ax", true },
  { "xtom.be", true },
  { "xtom.bg", true },
  { "xtom.by", true },
  { "xtom.ch", true },
  { "xtom.co.uk", true },
  { "xtom.com", true },
  { "xtom.com.de", true },
  { "xtom.com.ee", true },
  { "xtom.com.hk", true },
  { "xtom.cz", true },
  { "xtom.de", true },
  { "xtom.ee", true },
  { "xtom.es", true },
  { "xtom.eu", true },
  { "xtom.fi", true },
  { "xtom.fo", true },
  { "xtom.fr", true },
  { "xtom.ge", true },
  { "xtom.gmbh", true },
  { "xtom.gr", true },
  { "xtom.hr", true },
  { "xtom.hu", true },
  { "xtom.im", true },
  { "xtom.is", true },
  { "xtom.it", true },
  { "xtom.je", true },
  { "xtom.li", true },
  { "xtom.limited", true },
  { "xtom.london", true },
  { "xtom.lt", true },
  { "xtom.ltd", true },
  { "xtom.lu", true },
  { "xtom.lv", true },
  { "xtom.md", true },
  { "xtom.me", true },
  { "xtom.mk", true },
  { "xtom.moscow", true },
  { "xtom.nl", true },
  { "xtom.no", true },
  { "xtom.nu", true },
  { "xtom.paris", true },
  { "xtom.pl", true },
  { "xtom.ro", true },
  { "xtom.ru", true },
  { "xtom.si", true },
  { "xtom.sk", true },
  { "xtom.su", true },
  { "xtom.support", true },
  { "xtom.uk", true },
  { "xtrainsights.com", true },
  { "xtravans.com", true },
  { "xtremebouncepartyhire.com.au", true },
  { "xtremecoatingtechnologies.com", true },
  { "xtrememidlife.nl", true },
  { "xtronics.com", true },
  { "xts3636.net", true },
  { "xtu2.com", true },
  { "xuab.net", true },
  { "xuan-li88.com", true },
  { "xuan-li88.net", true },
  { "xubo666.com", true },
  { "xuc.me", true },
  { "xucha.ml", true },
  { "xueanquan.com", true },
  { "xuedianshang.com", true },
  { "xuehao.net.cn", true },
  { "xuehao.tech", true },
  { "xujan.com", true },
  { "xuming.studio", true },
  { "xunn.io", true },
  { "xuntier.ch", true },
  { "xuonggiaynu.vn", true },
  { "xurl.gq", true },
  { "xuwei.de", true },
  { "xvii.pl", true },
  { "xviimusic.com", true },
  { "xwaretech.info", true },
  { "xwf.fyi", true },
  { "xx0r.eu", true },
  { "xxffo.com", true },
  { "xxiz.com", true },
  { "xxxbunker.com", true },
  { "xxxladyboysporn.com", true },
  { "xxxoopz.com", true },
  { "xxxred.net", true },
  { "xxxsuper.net", true },
  { "xy6161.com", true },
  { "xy6262.com", true },
  { "xy6363.com", true },
  { "xy7171.com", true },
  { "xy7272.com", true },
  { "xy7373.com", true },
  { "xybabyshop.com", true },
  { "xyenon.bid", true },
  { "xyfun.net", false },
  { "xyj22.com", true },
  { "xylerfox.ca", true },
  { "xyloefarmoges.gr", true },
  { "xywing.com", true },
  { "xyz.blue", true },
  { "xyzulu.hosting", true },
  { "xyzyz.xyz", true },
  { "xyzzyyyz.com", true },
  { "xzclip.cn", true },
  { "xzibits.com", true },
  { "xzy.es", false },
  { "y11n.net", true },
  { "y2g.me", true },
  { "y3650.com", true },
  { "y36500.com", true },
  { "y3651.com", true },
  { "y36511.com", true },
  { "y3653.com", true },
  { "y36533.com", true },
  { "y3654.com", true },
  { "y3656.com", true },
  { "y36577.com", true },
  { "y36594.com", true },
  { "y68aa.com", true },
  { "y68cc.com", true },
  { "y68dd.com", true },
  { "y68ee.com", true },
  { "y68ff.com", true },
  { "y68gg.com", true },
  { "y68hh.com", true },
  { "y68ii.com", true },
  { "y68jj.com", true },
  { "y68ll.com", true },
  { "y68oo.com", true },
  { "y68pp.com", true },
  { "y68qq.com", true },
  { "y68rr.com", true },
  { "y68tt.com", true },
  { "y68uu.com", true },
  { "y68yy.com", true },
  { "y68zz.com", true },
  { "y70101.com", false },
  { "y70102.com", false },
  { "y70103.com", false },
  { "y70104.com", false },
  { "y70105.com", false },
  { "y70301.com", false },
  { "y70302.com", false },
  { "y70303.com", false },
  { "y888.ag", true },
  { "y890000.com", true },
  { "y891111.com", true },
  { "y893333.com", true },
  { "y894444.com", true },
  { "y896666.com", true },
  { "y897777.com", true },
  { "y89b.com", true },
  { "y89c.com", true },
  { "y89ccc.com", true },
  { "y89dd.com", true },
  { "y89e.com", true },
  { "y89ee.com", true },
  { "y89fff.com", true },
  { "y89g.com", true },
  { "y89hhh.com", true },
  { "y89i.net", true },
  { "y89iii.com", true },
  { "y89j.com", true },
  { "y89j.net", true },
  { "y89jj.com", true },
  { "y89l.com", true },
  { "y89m.com", true },
  { "y89s.com", true },
  { "y89v.com", true },
  { "y89zz.com", true },
  { "ya.mk", true },
  { "yabuisha.jp", true },
  { "yachigoya.com", true },
  { "yachta.kiev.ua", true },
  { "yachtcita.com", true },
  { "yachtfolio.com", true },
  { "yachtfolio1.com", true },
  { "yachting-home.com", true },
  { "yachtlettering.com", true },
  { "yachtmarket.com.ua", true },
  { "yacineboumaza.fr", true },
  { "yacobo.com", true },
  { "yafuoku.ru", true },
  { "yageys.com", true },
  { "yagmursoft.tk", true },
  { "yagoda-malina.tk", true },
  { "yahan.tv", true },
  { "yaharu.ru", true },
  { "yahvehyireh.com", true },
  { "yak-soap.co", true },
  { "yak.is", true },
  { "yakmade.com", true },
  { "yakmail.tech", true },
  { "yakmoo.se", true },
  { "yalacoins.com", true },
  { "yalcinkaya.ninja", false },
  { "yallamotor.com", true },
  { "yalook.com", true },
  { "yama.su", true },
  { "yamadaya.tv", true },
  { "yamaken.jp", false },
  { "yamal-online.ml", true },
  { "yamashita-clinic.org", true },
  { "yame2.com", true },
  { "yamei1188.com", true },
  { "yamei2233.com", true },
  { "yamei8866.com", true },
  { "yamei98.com", true },
  { "yamei99.com", true },
  { "yamei9922.com", true },
  { "yamei9955.com", true },
  { "yamilafeinart.de", true },
  { "yamm.io", true },
  { "yana-co.ir", true },
  { "yanaduday.com", true },
  { "yanbohon.com", true },
  { "yandere.moe", true },
  { "yangfamily.tw", true },
  { "yangjingwen.cn", true },
  { "yangjingwen.com", true },
  { "yangmaodang.org", true },
  { "yangruixin.com", true },
  { "yanik.info", true },
  { "yann.tw", true },
  { "yanngraf.ch", false },
  { "yanngraf.com", false },
  { "yannic.world", false },
  { "yannick.cloud", true },
  { "yannickb.de", true },
  { "yanniclandsmann.de", true },
  { "yannik-buerkle.de", true },
  { "yannikbloscheck.com", true },
  { "yannyann.site", true },
  { "yanovich.net", true },
  { "yans.io", true },
  { "yanservices.be", true },
  { "yantox.com", true },
  { "yantrasthal.com", true },
  { "yao-in.com", true },
  { "yao-in.net", true },
  { "yao28.com", true },
  { "yap26.cc", true },
  { "yapan008.com", false },
  { "yapan1.com", false },
  { "yapan10.com", false },
  { "yapan11.com", false },
  { "yapan2.com", false },
  { "yapan22.com", false },
  { "yapan222.com", false },
  { "yapan3.com", false },
  { "yapan33.com", false },
  { "yapan333.com", false },
  { "yapan365.net", false },
  { "yapan4.com", false },
  { "yapan44.com", false },
  { "yapan444.com", false },
  { "yapan5.com", false },
  { "yapan55.com", false },
  { "yapan555.com", false },
  { "yapan6.com", false },
  { "yapan66.com", false },
  { "yapan666.com", false },
  { "yapan7.com", false },
  { "yapan77.com", false },
  { "yapan777.com", false },
  { "yapan888.com", false },
  { "yapan9.com", false },
  { "yapan99.com", false },
  { "yapan999.com", false },
  { "yapanwang.com", false },
  { "yapbreak.fr", true },
  { "yapeal.ch", true },
  { "yappy.com", true },
  { "yarcom.ru", false },
  { "yardesign.tk", true },
  { "yardley.digital", true },
  { "yarnsub.com", true },
  { "yarravilletownhouses.com.au", true },
  { "yaru.one", true },
  { "yaseminuzumcu.com", true },
  { "yashik.tv", true },
  { "yashinstore.com", true },
  { "yassine-ayari.com", true },
  { "yatai18.com", true },
  { "yatesun.com", true },
  { "yatorie.net", true },
  { "yatstudios.com", true },
  { "yatsuenpoon.com", true },
  { "yauatcha.com", true },
  { "yaup.tk", true },
  { "yavin4.cf", true },
  { "yavorivanov.com", true },
  { "yawen.me", true },
  { "yaws.cf", true },
  { "yaxim.org", true },
  { "yayl888.com", true },
  { "yayou.ag", true },
  { "ybdh88.com", true },
  { "ybin.me", true },
  { "ybresson.com", true },
  { "ybsul.com", true },
  { "ybti.net", true },
  { "ybvip789.com", true },
  { "ybzhao.com", true },
  { "ycbmdevelopment.com", true },
  { "ycbmstaging.com", true },
  { "ych.art", true },
  { "ychon.com", true },
  { "yclan.net", true },
  { "ycnrg.org", true },
  { "ycwt.com", true },
  { "ydiversa.com", true },
  { "ydraulikos.top", true },
  { "ydyy99.com", true },
  { "yeah-shop.com.ua", true },
  { "yeahwu.com", true },
  { "yeapdata.com", true },
  { "yearli.com", true },
  { "yecl.net", true },
  { "yeesker.com", true },
  { "yellowhawk.nl", true },
  { "yellowparachute.com", true },
  { "yellowtree.co.za", true },
  { "yellsy.com", true },
  { "yelon.hu", true },
  { "yelp.at", true },
  { "yelp.be", true },
  { "yelp.ca", true },
  { "yelp.ch", true },
  { "yelp.cl", true },
  { "yelp.co.jp", true },
  { "yelp.co.nz", true },
  { "yelp.co.uk", true },
  { "yelp.com", true },
  { "yelp.com.ar", true },
  { "yelp.com.au", true },
  { "yelp.com.br", true },
  { "yelp.com.hk", true },
  { "yelp.com.mx", true },
  { "yelp.com.ph", true },
  { "yelp.com.sg", true },
  { "yelp.com.tr", true },
  { "yelp.com.tw", true },
  { "yelp.cz", true },
  { "yelp.de", true },
  { "yelp.dk", true },
  { "yelp.es", true },
  { "yelp.fi", true },
  { "yelp.fr", true },
  { "yelp.ie", true },
  { "yelp.it", true },
  { "yelp.my", true },
  { "yelp.nl", true },
  { "yelp.no", true },
  { "yelp.pl", true },
  { "yelp.pt", true },
  { "yelp.se", true },
  { "yemektarifleri.com", true },
  { "yemenlink.tk", true },
  { "yeniexpo.com", true },
  { "yep-pro.ch", false },
  { "yeptechnology.store", true },
  { "yert.pink", true },
  { "yes.com", true },
  { "yes35.ru", true },
  { "yesh.lk", true },
  { "yesiammaisey.me", true },
  { "yesildiyetisyen.com", true },
  { "yesod.in", true },
  { "yesogovinpetcare.com", true },
  { "yesornut.com", true },
  { "yestees.com", true },
  { "yesteryear-chronicle.cf", true },
  { "yeswehack.com", true },
  { "yeti.gq", true },
  { "yetii.net", true },
  { "yetzt.me", false },
  { "yex.trade", true },
  { "yf128.cc", true },
  { "yfengs.moe", true },
  { "ygm.org.uk", true },
  { "ygobbs.com", true },
  { "ygrene.com", true },
  { "ygreneworks.com", true },
  { "yh12366.com", true },
  { "yh56787.com", true },
  { "yh599.cc", true },
  { "yh811.com", true },
  { "yh98768.com", true },
  { "yhanthydech.com", true },
  { "yhaupenthal.org", true },
  { "yhe.me", true },
  { "yhenke.de", true },
  { "yhfou.com", true },
  { "yhndnzj.com", true },
  { "yhrd.org", true },
  { "yibei-original.com", true },
  { "yicipick.com", true },
  { "yiff.forsale", true },
  { "yify.online", true },
  { "yigujin.cn", true },
  { "yihouse.tw", true },
  { "yijia.support", true },
  { "yikeyong.com", true },
  { "yinduyy.com", true },
  { "yinfor.com", true },
  { "ying518.vip", true },
  { "yingatech.com", true },
  { "yinglinda.love", true },
  { "yinlei.org", true },
  { "yipingguo.com", true },
  { "yiyuanzhong.com", true },
  { "yiz96.com", true },
  { "yjst.cn", true },
  { "ykn.fr", true },
  { "yksityisyydensuoja.fi", true },
  { "yl366.cc", true },
  { "yl369.cc", true },
  { "ylde.de", true },
  { "ylilauta.org", true },
  { "ylinternal.com", true },
  { "ym063.com", true },
  { "ym087.com", true },
  { "ym181.com", true },
  { "ym198.com", true },
  { "ym516.com", true },
  { "ym966.com", true },
  { "ymarion.de", true },
  { "ymatyt.com", true },
  { "ymoah.nl", true },
  { "ymtsonline.org", true },
  { "yn.org.nz", true },
  { "yoa.st", true },
  { "yoast.com", true },
  { "yoba.co.uk", true },
  { "yobai-grouprec.jp", true },
  { "yobasystems.co.uk", true },
  { "yobify.com", true },
  { "yocto.xyz", true },
  { "yodababy.com.tw", true },
  { "yoelelbaz.ch", true },
  { "yoga-alliance-teacher-training.com", true },
  { "yoga-bad-toelz.de", true },
  { "yoga-in-aying.de", true },
  { "yoga-school.xyz", true },
  { "yoga-zentrum-narayani.de", true },
  { "yogacentric.co.uk", true },
  { "yogadeux.nl", true },
  { "yogaemmental.ch", true },
  { "yogahealsinc.org", true },
  { "yogamarlene.ch", true },
  { "yogamaya9.com", true },
  { "yogamea.school", true },
  { "yogamexico.net", true },
  { "yogananda-roma.org", true },
  { "yogaprague.com", true },
  { "yogaschoolrishikesh.com", true },
  { "yogaschule-herzraum.de", true },
  { "yogshrihealing.com", true },
  { "yohanesmario.com", true },
  { "yoitoko.city", true },
  { "yoitsu.moe", true },
  { "yokoda.okinawa", true },
  { "yokohama-legaloffice.jp", true },
  { "yolandgao.me", true },
  { "yolo.jetzt", true },
  { "yolobert.de", true },
  { "yoloboatrentals.com", true },
  { "yolocamgirls.com", true },
  { "yolops.net", true },
  { "yoloyolo.top", true },
  { "yombo.net", true },
  { "yomi.moe", true },
  { "yon.co.il", true },
  { "yongbin.org", true },
  { "yoogirls.com", true },
  { "yoonas.com", true },
  { "yooooex.com", true },
  { "yooptopian.com", true },
  { "yoppoy.com", true },
  { "yoramvandevelde.net", true },
  { "yorcom.nl", false },
  { "yorcool.nl", true },
  { "yordanisp.tk", true },
  { "yorkieloverdiy.com", true },
  { "yorkshiredalesinflatables.co.uk", true },
  { "yorkshiregardensheds.co.uk", true },
  { "yorkshireinflatables.co.uk", true },
  { "yornik.nl", true },
  { "yosakoinight.com", true },
  { "yosbeda.com", true },
  { "yoshibaworks.com", true },
  { "yoshitsugu.net", true },
  { "yosida-dental.com", true },
  { "yosida95.com", true },
  { "yospos.org", true },
  { "yotta-zetta.com", true },
  { "yotubaiotona.net", true },
  { "you.com.br", true },
  { "you2you.fr", true },
  { "youber.cz", true },
  { "youc.ir", true },
  { "youcanmakeit.at", true },
  { "youdamom.com", true },
  { "youdungoofd.com", true },
  { "yougee.ml", true },
  { "youhavewords.com", true },
  { "youhua.ru", true },
  { "youkaryote.com", true },
  { "youkaryote.org", true },
  { "youked.com", true },
  { "youmonit.me", true },
  { "youms.de", true },
  { "youneedfame.com", true },
  { "young-brahmousin.com", true },
  { "young-sheldon.com", true },
  { "youngauthentic.cf", true },
  { "youngdogs.org", true },
  { "youngfree.cn", true },
  { "youngmodelsagency.tk", true },
  { "youngsook.com", true },
  { "youngsook.org", true },
  { "youngvoicesmatter.org", true },
  { "youpark.no", true },
  { "youpickfarms.org", true },
  { "your-erotic-stories.com", true },
  { "your-forum.tk", true },
  { "your-out.com", true },
  { "youracnepro.com", true },
  { "youran.me", false },
  { "yourantiquarian.com", false },
  { "yourazbraces.com", true },
  { "yourbetterkitchen.com", true },
  { "yourbittorrent.host", true },
  { "yourbittorrent.icu", true },
  { "yourbittorrent.pw", true },
  { "yourbittorrent2.com", true },
  { "yourbodyknows.dk", true },
  { "yourbodyknows.is", true },
  { "yourbusinesscommunity.co.uk", true },
  { "yourcareerhost.com", true },
  { "yourciso.com", true },
  { "yourcleaningcompany.net", true },
  { "yourcopywriter.it", true },
  { "yourdailyalerts.net", true },
  { "youreallyneedthis.co", true },
  { "youregeeks.com", true },
  { "yourforex.org", true },
  { "yourfriendlytech.com", true },
  { "yourfuntrivia.com", true },
  { "yourfuturestrategy.com.au", true },
  { "yourgames.tv", true },
  { "yourikeakitcheninstaller.com", true },
  { "yourkrabivilla.com", true },
  { "yourlanguages.de", true },
  { "yourloan.gq", true },
  { "yourmagicstory.tk", true },
  { "yourname.xyz", true },
  { "yourneighborhub.com", true },
  { "youronly.one", true },
  { "yourpalmbeachcountyrealtor.com", true },
  { "yourpersonalfrance.com", true },
  { "yourpocketbook.uk", true },
  { "yourscotlandtour.co.uk", true },
  { "yourskin.nl", true },
  { "yourstake.org", true },
  { "yourticketbooking.com", true },
  { "yourtime.tv", true },
  { "yousei.ne.jp", true },
  { "youth.gov", true },
  { "youthink.jp", true },
  { "youthrules.gov", true },
  { "youtous.me", true },
  { "youtube.com", true },
  { "youtubedownloader.com", true },
  { "youtubekids.com", true },
  { "youtuberis.lt", true },
  { "youwatchporn.com", true },
  { "youyoulemon.com", true },
  { "yovko.net", true },
  { "yoxall.me.uk", true },
  { "yoyoost.duckdns.org", true },
  { "yoyoost.ga", true },
  { "ypart.eu", true },
  { "ypfr.fr", true },
  { "ypid.de", true },
  { "yplanapp.com", true },
  { "yporti.net", true },
  { "ypse.com.br", true },
  { "yqjf68.com", true },
  { "yr166166.com", true },
  { "yr8.com", true },
  { "yrx.me", true },
  { "ys633.cc", true },
  { "ys6888.cc", true },
  { "ysicorp.com", true },
  { "yslbeauty.com", true },
  { "ystream.tv", true },
  { "yt220.com", true },
  { "yt605.com", true },
  { "yt606.com", true },
  { "yt629.com", true },
  { "yt653.com", true },
  { "yt675.com", true },
  { "yt818.com", true },
  { "yt835.com", true },
  { "yt839.com", true },
  { "yt881.com", true },
  { "yt892.com", true },
  { "yt962.com", true },
  { "yt972.com", true },
  { "ytcount.com", true },
  { "ytec.ca", true },
  { "ytreza.fr", true },
  { "ytsdownload.com", true },
  { "ytx588.com", true },
  { "yu-mug.jp", true },
  { "yuan.ga", false },
  { "yuanben.io", true },
  { "yuanjiazhao.com", true },
  { "yubi.co", true },
  { "yubicloud.io", true },
  { "yubico.ae", true },
  { "yubico.at", true },
  { "yubico.be", true },
  { "yubico.biz", true },
  { "yubico.cloud", true },
  { "yubico.co.in", true },
  { "yubico.co.kr", true },
  { "yubico.co.uk", true },
  { "yubico.com", true },
  { "yubico.com.ar", true },
  { "yubico.cz", true },
  { "yubico.dk", true },
  { "yubico.es", true },
  { "yubico.fi", true },
  { "yubico.in", true },
  { "yubico.info", true },
  { "yubico.io", true },
  { "yubico.mobi", true },
  { "yubico.mx", true },
  { "yubico.net", true },
  { "yubico.online", true },
  { "yubico.org", true },
  { "yubico.pe", true },
  { "yubico.se", true },
  { "yubico.sg", true },
  { "yubico.tv", true },
  { "yubico.uk", true },
  { "yubico.us", true },
  { "yubicodemo.com", true },
  { "yubikey.ae", true },
  { "yubikey.asia", true },
  { "yubikey.at", true },
  { "yubikey.cl", true },
  { "yubikey.co", true },
  { "yubikey.co.uk", true },
  { "yubikey.com", true },
  { "yubikey.com.ar", true },
  { "yubikey.com.au", true },
  { "yubikey.dk", true },
  { "yubikey.fi", true },
  { "yubikey.io", true },
  { "yubikey.mx", true },
  { "yubikey.org", true },
  { "yubikey.pe", true },
  { "yubikey.se", true },
  { "yubikey.sg", true },
  { "yubikey.uk", true },
  { "yubikey.us", true },
  { "yubikeys.net", true },
  { "yubikeys.org", true },
  { "yubikeyservices.eu", true },
  { "yubiking.com", true },
  { "yue.la", true },
  { "yugami-lab.com", true },
  { "yugasun.com", true },
  { "yugodi.com", true },
  { "yuhangq.me", true },
  { "yuhindo.com", true },
  { "yuimarukitchen.com", true },
  { "yuisyo.ml", true },
  { "yukari.cafe", true },
  { "yuki-nagato.com", true },
  { "yuki.xyz", true },
  { "yukimochi.com", true },
  { "yukimochi.io", true },
  { "yukimochi.jp", true },
  { "yukimochi.net", true },
  { "yukonconnector.com", true },
  { "yukonlip.com", true },
  { "yukontec.com", true },
  { "yukoslibrary.ga", true },
  { "yukozimo.com", true },
  { "yule.hk", true },
  { "yuleyule88game.com", true },
  { "yulliaschool.co.il", true },
  { "yulsn.com", true },
  { "yumeconcert.com", true },
  { "yumepolo.com", true },
  { "yumiandryan.com", true },
  { "yuncaioo.com", true },
  { "yunhu365.com", true },
  { "yunity.org", true },
  { "yunloc.com", true },
  { "yunzhu.li", false },
  { "yura.cf", true },
  { "yuricarlenzoli.it", true },
  { "yurikirin.me", true },
  { "yurisviridov.com", true },
  { "yusa.me", true },
  { "yusu.org", true },
  { "yusukesakai.com", true },
  { "yutakato.net", true },
  { "yuuki0xff.jp", true },
  { "yuuta.moe", true },
  { "yuvaindia.co.in", true },
  { "yuvibrands.com", true },
  { "yuwei.org", true },
  { "yuweiji.com", true },
  { "yuxiangyuan.com", true },
  { "yuxuan.org", true },
  { "yuyantang.club", true },
  { "yuyiyang.eu.org", true },
  { "yuyo.com", true },
  { "yuzu-tee.de", true },
  { "yuzulia.com", true },
  { "yuzurisa.com", true },
  { "yvb.moe", true },
  { "yvesx.com", true },
  { "yvonnehaeusser.de", true },
  { "yvonnethomet.ch", true },
  { "yvonnewilhelmi.com", true },
  { "ywyz.tech", true },
  { "yxbet43.com", true },
  { "yxt521.com", true },
  { "yxzero.xyz", true },
  { "yy6.ag", true },
  { "yy8.ag", true },
  { "yyc.city", true },
  { "yycbike.info", true },
  { "yyr.im", true },
  { "yyyy.xyz", true },
  { "yz86.cc", true },
  { "yzal.io", true },
  { "yzarul.com", true },
  { "yzh8.cc", true },
  { "yzh8.net", true },
  { "yzh8.vip", true },
  { "yzimroni.net", true },
  { "z-cert.nl", true },
  { "z-latko.info", true },
  { "z-vector.com", true },
  { "z.ai", true },
  { "z.tl", true },
  { "z1.ag", true },
  { "z10.ag", true },
  { "z1h.de", true },
  { "z2.ag", true },
  { "z30365.com", true },
  { "z36533.com", true },
  { "z36594.com", true },
  { "z3u5.net", true },
  { "z4-forum.com", true },
  { "z4.ag", true },
  { "z5.ag", true },
  { "z6.ag", true },
  { "z6.com", true },
  { "z6121.com", true },
  { "z6151.com", true },
  { "z6181.com", true },
  { "z6182.com", true },
  { "z6192.com", true },
  { "z6218.com", true },
  { "z6252.com", true },
  { "z6278.com", true },
  { "z6281.com", true },
  { "z6285.com", true },
  { "z6289.com", true },
  { "z6323.com", true },
  { "z6325.com", true },
  { "z6353.com", true },
  { "z6359.com", true },
  { "z6371.com", true },
  { "z6372.com", true },
  { "z6373.com", true },
  { "z6375.com", true },
  { "z6381.com", true },
  { "z6382.com", true },
  { "z6385.com", true },
  { "z6398.com", true },
  { "z6512.com", true },
  { "z6519.com", true },
  { "z6523.com", true },
  { "z6527.com", true },
  { "z6529.com", true },
  { "z6537.com", true },
  { "z6539.com", true },
  { "z6571.com", true },
  { "z6573.com", true },
  { "z6579.com", true },
  { "z6581.com", true },
  { "z6587.com", true },
  { "z6591.com", true },
  { "z6592.com", true },
  { "z66.ag", true },
  { "z6616.com", true },
  { "z666.ag", true },
  { "z6727.com", true },
  { "z6751.com", true },
  { "z6753.com", true },
  { "z6757.com", true },
  { "z6758.com", true },
  { "z6759.com", true },
  { "z6791.com", true },
  { "z6798.com", true },
  { "z6812.com", true },
  { "z6813.com", true },
  { "z6817.com", true },
  { "z6823.com", true },
  { "z6827.com", true },
  { "z6829.com", true },
  { "z6837.com", true },
  { "z6851.com", true },
  { "z6852.com", true },
  { "z6853.com", true },
  { "z6857.com", true },
  { "z6871.com", true },
  { "z6873.com", true },
  { "z6881.com", true },
  { "z6882.com", true },
  { "z6883.com", true },
  { "z6891.com", true },
  { "z6893.com", true },
  { "z6895.com", true },
  { "z6897.com", true },
  { "z6912.com", true },
  { "z6925.com", true },
  { "z6wang.com", true },
  { "z7.ag", true },
  { "z8.ag", true },
  { "z8017.com", true },
  { "z8023.com", true },
  { "z8078.com", true },
  { "z8106.com", true },
  { "z8109.com", true },
  { "z8132.com", true },
  { "z8168.com", true },
  { "z8171.com", true },
  { "z88.ag", true },
  { "z8857.com", true },
  { "z8861.com", true },
  { "z8862.com", true },
  { "z8870.com", true },
  { "z8871.com", true },
  { "z8872.com", true },
  { "z888.ag", true },
  { "z8907.com", true },
  { "z8908.com", true },
  { "z8909.com", true },
  { "z8917.com", true },
  { "z9.ag", true },
  { "z99944x.xyz", true },
  { "za.search.yahoo.com", false },
  { "za12bxc3.com", true },
  { "zaagbaak.nl", true },
  { "zabbix.tips", true },
  { "zabszk.net", true },
  { "zabukovnik.net", true },
  { "zacarias.com.ar", true },
  { "zacchaeus.co.uk", true },
  { "zach.codes", true },
  { "zacharopoulos.eu", true },
  { "zacharopoulos.org", false },
  { "zacharydubois.me", true },
  { "zacharyschneider.ca", true },
  { "zacharyschneider.com", true },
  { "zacharyseguin.ca", true },
  { "zachaysan.com", true },
  { "zachborboa.com", true },
  { "zachgibbens.org", true },
  { "zachschneider.ca", true },
  { "zackiarfan.ml", true },
  { "zaclys.com", false },
  { "zadrot.tk", true },
  { "zadroweb.com", true },
  { "zaffke.co", true },
  { "zaghyr.org", true },
  { "zagruz.tk", true },
  { "zahe.me", true },
  { "zahnaerzte-bohne.de", false },
  { "zahnarzt-drvogel-rosenheim.de", true },
  { "zahnarzt-drvogel.de", true },
  { "zahnarzt-duempten.de", true },
  { "zahnarzt-hofer.de", true },
  { "zahnarztpraxis-rusch.de", true },
  { "zahnmedizinzentrum.com", true },
  { "zahrowski.com", true },
  { "zaidan.de", true },
  { "zaidan.eu", true },
  { "zaidanfood.com", true },
  { "zaidanfood.eu", true },
  { "zaidanlebensmittelhandel.de", true },
  { "zaija.tk", true },
  { "zaim15min.cf", true },
  { "zaimdengi.tk", true },
  { "zaimexpress.cf", true },
  { "zaixsp.com", true },
  { "zaizaia.cc", true },
  { "zajazd.biz", true },
  { "zajm-pod-raspisku.cf", true },
  { "zajmy-contact.tk", true },
  { "zakariya.blog", true },
  { "zakaz.cf", true },
  { "zakcutner.uk", true },
  { "zakelijkgoedengelsleren.nl", true },
  { "zakladam.cz", true },
  { "zakmccrac.de", true },
  { "zakojifarm.jp", true },
  { "zakonu.net.ru", true },
  { "zakr.es", true },
  { "zakrentus-ostrus.space", true },
  { "zakspartiesandevents.com", true },
  { "zala.ml", true },
  { "zalamea.ph", true },
  { "zaledia.com", true },
  { "zaloghaz.ro", false },
  { "zaltv.com", true },
  { "zalure.com", true },
  { "zalvus.com", true },
  { "zamalektoday.com", true },
  { "zambianewsforum.tk", true },
  { "zamenim.tk", true },
  { "zamow.co", true },
  { "zandcell.com", true },
  { "zander.dk", true },
  { "zandra.cf", true },
  { "zanellidesigns.co.uk", true },
  { "zanjirzanane-shanbeghazan.ir", true },
  { "zanshinkankarate.com", true },
  { "zanthra.com", true },
  { "zanzo.cz", true },
  { "zap-mag.ru", true },
  { "zapier.com", true },
  { "zappbuildapps.com", true },
  { "zappingarahal.tk", true },
  { "zapreaders.cf", true },
  { "zaprefy.com", true },
  { "zarabiaj.com", true },
  { "zaracraft.tk", true },
  { "zaraweb.net", true },
  { "zarbis.tk", true },
  { "zarfinakber.com", true },
  { "zargescases.co.uk", true },
  { "zaruhi.ml", true },
  { "zary.me", true },
  { "zatsepin.by", true },
  { "zaufanatrzeciastrona.pl", true },
  { "zavec.com.ec", false },
  { "zavedu.org", true },
  { "zavetaji.lv", true },
  { "zawo-electric.de", true },
  { "zbib.org", true },
  { "zbp16888.com", true },
  { "zbrane-doplnky.cz", true },
  { "zbtcmu.com", true },
  { "zbut.bg", true },
  { "zby.xyz", true },
  { "zbyga.cz", true },
  { "zbyte.it", true },
  { "zcarot.com", true },
  { "zcarrot.com", true },
  { "zcon.nl", true },
  { "zcore.org", true },
  { "zcrypto.ml", true },
  { "zcwtl.com", false },
  { "zczc.cz", true },
  { "zd1313.com", true },
  { "zd1515.com", true },
  { "zd1717.com", true },
  { "zd202.com", true },
  { "zd203.com", true },
  { "zd205.com", true },
  { "zd206.com", true },
  { "zd207.com", true },
  { "zd208.com", true },
  { "zd209.com", true },
  { "zd232.com", true },
  { "zd235.com", true },
  { "zd236.com", true },
  { "zd237.com", true },
  { "zd239.com", true },
  { "zd252.com", true },
  { "zd253.com", true },
  { "zd257.com", true },
  { "zd258.com", true },
  { "zd259.com", true },
  { "zd262.com", true },
  { "zd265.com", true },
  { "zd267.com", true },
  { "zd270.com", true },
  { "zd2727.com", true },
  { "zd275.com", true },
  { "zd276.com", true },
  { "zd280.com", true },
  { "zd282.com", true },
  { "zd283.com", true },
  { "zd286.com", true },
  { "zd287.com", true },
  { "zd289.com", true },
  { "zd290.com", true },
  { "zd293.com", true },
  { "zd295.com", true },
  { "zd297.com", true },
  { "zd302.com", true },
  { "zd303.com", true },
  { "zd305.com", true },
  { "zd306.com", true },
  { "zd307.com", true },
  { "zd3232.com", true },
  { "zd3939.com", true },
  { "zd4848.com", true },
  { "zd6.ag", true },
  { "zd623.com", true },
  { "zd625.com", true },
  { "zd627.com", true },
  { "zd629.com", true },
  { "zd632.com", true },
  { "zd635.com", true },
  { "zd637.com", true },
  { "zd6464.com", true },
  { "zd652.com", true },
  { "zd653.com", true },
  { "zd6565.com", true },
  { "zd657.com", true },
  { "zd659.com", true },
  { "zd66.ag", true },
  { "zd673.com", true },
  { "zd675.com", true },
  { "zd692.com", true },
  { "zd693.com", true },
  { "zd697.com", true },
  { "zd723.com", true },
  { "zd725.com", true },
  { "zd726.com", true },
  { "zd729.com", true },
  { "zd732.com", true },
  { "zd735.com", true },
  { "zd736.com", true },
  { "zd752.com", true },
  { "zd753.com", true },
  { "zd756.com", true },
  { "zd7575.com", true },
  { "zd759.com", true },
  { "zd762.com", true },
  { "zd763.com", true },
  { "zd792.com", true },
  { "zd793.com", true },
  { "zd795.com", true },
  { "zd796.com", true },
  { "zd8.ag", true },
  { "zd802.com", true },
  { "zd803.com", true },
  { "zd805.com", true },
  { "zd806.com", true },
  { "zd807.com", true },
  { "zd809.com", true },
  { "zd823.com", true },
  { "zd825.com", true },
  { "zd826.com", true },
  { "zd827.com", true },
  { "zd829.com", true },
  { "zd88.ag", true },
  { "zd8829.com", true },
  { "zd8832.com", true },
  { "zd8836.com", true },
  { "zd8853.com", true },
  { "zd8863.com", true },
  { "zd8869.com", true },
  { "zd8882.com", true },
  { "zd8883.com", true },
  { "zd8898.com", true },
  { "zd9090.com", true },
  { "zdbl.de", true },
  { "zdenekpasek.cz", true },
  { "zdenekspacek.cz", true },
  { "zdenekvecera.cz", true },
  { "zdorovayasimya.com", true },
  { "zdravotnikurzy.cz", true },
  { "zdrojak.cz", true },
  { "zdymak.by", true },
  { "ze3kr.com", true },
  { "zeadaniel.com", true },
  { "zeal-and.jp", true },
  { "zeal-interior.com", true },
  { "zealworks.jp", true },
  { "zeanweb.tk", true },
  { "zebbra.ro", true },
  { "zebranolemagicien.net", true },
  { "zeckenhilfe.de", false },
  { "zecuur.nl", true },
  { "zedeko.pl", true },
  { "zeds-official.com", true },
  { "zeebrieshoekvanholland.nl", true },
  { "zeel.com", true },
  { "zeetoppers.nl", true },
  { "zehkae.net", true },
  { "zehrailkeakyildiz.com", false },
  { "zeibekiko-souvlaki.gr", true },
  { "zeidlertechnik.de", true },
  { "zeihsel.com", true },
  { "zeilenmethans.nl", true },
  { "zeilenwind.com", true },
  { "zeit.co", true },
  { "zeit.sh", true },
  { "zeitpunkt-kulturmagazin.de", true },
  { "zekesnider.com", true },
  { "zekinteractive.com", true },
  { "zell-mbc.com", true },
  { "zemlyaki.ga", true },
  { "zen-diez.de", true },
  { "zen-solutions.io", true },
  { "zen-zone.tk", true },
  { "zena.cx", false },
  { "zenassociates.com", true },
  { "zenavita.com", true },
  { "zenchain.com", true },
  { "zenevents.ro", true },
  { "zenghx.tk", true },
  { "zenideen.com", true },
  { "zenideen.net", true },
  { "zenidees.com", true },
  { "zenithmedia.ca", true },
  { "zenk-security.com", true },
  { "zenlogic.com", true },
  { "zenluxuryliving.com", true },
  { "zenofa.co.id", true },
  { "zenown.com", true },
  { "zenti.cloud", true },
  { "zentraler-kreditausschuss.de", true },
  { "zenvite.com", true },
  { "zenways.io", true },
  { "zeocax.com", false },
  { "zephyrbk.com", true },
  { "zephyrbookkeeping.com", true },
  { "zephyretcoraline.com", true },
  { "zeplin.io", true },
  { "zepter.gq", true },
  { "zer0-day.pw", true },
  { "zer0.de", false },
  { "zermatterhof.ch", true },
  { "zero-knigi.ml", true },
  { "zeroanarchy.com", true },
  { "zerobajt.pl", true },
  { "zerobounce.net", true },
  { "zerocash.msk.ru", true },
  { "zerocz.eu", false },
  { "zerofy.de", true },
  { "zerolab.org", true },
  { "zeromedia.co.id", true },
  { "zeronet.io", true },
  { "zeropoint.bg", true },
  { "zeropush.com", true },
  { "zerosector.io", true },
  { "zeroseteatacado.com.br", true },
  { "zerossl.com", true },
  { "zerotoone.de", true },
  { "zerox-security.online", true },
  { "zertitude.com", true },
  { "zeryn.net", true },
  { "zespia.tw", true },
  { "zestadionu.pl", true },
  { "zestylemon.co.uk", true },
  { "zeta.hk", true },
  { "zetamode.com", true },
  { "zetasystem.jp", true },
  { "zetorzeszow.pl", false },
  { "zettaplan.ru", true },
  { "zettlmeissl.de", true },
  { "zety.com", true },
  { "zety.es", true },
  { "zety.fr", true },
  { "zeus.gent", true },
  { "zeusec.co.jp", true },
  { "zevelev.net", true },
  { "zeyi.fan", true },
  { "zf1898.com", true },
  { "zfast.com.br", true },
  { "zfg.li", true },
  { "zfj.hk", true },
  { "zfj.la", true },
  { "zfree.co.nz", true },
  { "zfxhzc.blog", true },
  { "zg-dyw.net", true },
  { "zgrep.org", true },
  { "zh.search.yahoo.com", false },
  { "zhabababa.gq", true },
  { "zhainanyouhuo.com", true },
  { "zhan.moe", true },
  { "zhang-hao.com", true },
  { "zhang.fm", true },
  { "zhang.ge", true },
  { "zhangcheng.org", true },
  { "zhangfangzhou.com", true },
  { "zhanghao.me", true },
  { "zhanghao.org", true },
  { "zhangheda.cf", true },
  { "zhangshuqiao.org", true },
  { "zhangsidan.com", true },
  { "zhangwendao.com", true },
  { "zhangxuhu.com", true },
  { "zhaofeng.li", true },
  { "zhaopage.com", true },
  { "zhaostephen.com", true },
  { "zhaoxixiangban.cc", true },
  { "zhcexo.com", true },
  { "zhen-chen.com", true },
  { "zhendre.com", true },
  { "zhenggangzhao.org", true },
  { "zhengjie.com", true },
  { "zhengzihan.com", true },
  { "zhenic.ir", true },
  { "zhenn.fr", true },
  { "zhestokiemechtyi.tk", true },
  { "zhih.me", true },
  { "zhihe.in", true },
  { "zhihua-lai.com", true },
  { "zhiin.net", true },
  { "zhima.io", true },
  { "zhimingwang.org", true },
  { "zhina.org", true },
  { "zhis.eu", true },
  { "zhis.ltd", true },
  { "zhitanska.com", true },
  { "zhivoj-dom.ru", true },
  { "zhiyuan.cloud", true },
  { "zhl123.cn", true },
  { "zhl123.com", true },
  { "zhost.io", true },
  { "zhouba.cz", true },
  { "zhoushuo.me", false },
  { "zhovner.com", true },
  { "zhuihoude.com", true },
  { "zhuji.com", true },
  { "zhuji.com.cn", true },
  { "zhuji5.com", true },
  { "zhujiceping.com", true },
  { "zhuktrans.msk.ru", true },
  { "zhurnalyu.ga", true },
  { "zhy.us", true },
  { "zi.is", true },
  { "zi5.net", true },
  { "zidanpainting.com", true },
  { "ziegler-heizung-frankfurt.de", true },
  { "zielonakarta.com", true },
  { "ziemlich-zackig.de", true },
  { "ziemlichzackig.de", true },
  { "ziendo.com", true },
  { "zifb.in", true },
  { "zifoapptest.com", true },
  { "zigarn.com", true },
  { "zigi.io", true },
  { "zigottos.fr", true },
  { "zigzagmart.com", true },
  { "zihao.me", false },
  { "zii.bz", true },
  { "zijemvedu.sk", true },
  { "zijinbor.com", true },
  { "zikinf.com", true },
  { "ziledelaultimagafaavioricai.ro", true },
  { "zillertaleralpen.net", true },
  { "zilore.com", true },
  { "zilsen.com", true },
  { "zilv.life", true },
  { "zima.io", true },
  { "zimaoxy.com", true },
  { "zimiao.moe", true },
  { "zimmer-voss.de", true },
  { "zimtoel.de", true },
  { "zinabnews.tk", true },
  { "zinchenko.gq", true },
  { "zindec.com", true },
  { "zingarastore.com", true },
  { "zingjerijk.nl", true },
  { "zinglix.xyz", true },
  { "zinniamay.com", true },
  { "zinniazorgverlening.nl", true },
  { "zinnowitzer-ferienwohnung.de", true },
  { "zinoui.com", true },
  { "ziondrive.com.br", true },
  { "zionnationalpark.net", true },
  { "zionsvillelocksmiths.com", true },
  { "zipextractor.com", true },
  { "zipfworks.com", true },
  { "zipkey.de", true },
  { "zircode.com", true },
  { "ziroh.be", true },
  { "ziroux.net", true },
  { "zirrka.de", true },
  { "zirtek.ie", true },
  { "zirtual.com", true },
  { "zistemo.com", true },
  { "zitronengras-tee.de", true },
  { "zitseng.com", true },
  { "zivava.ge", true },
  { "zivver.be", true },
  { "zivver.com", true },
  { "zivver.de", true },
  { "zivver.eu", true },
  { "zivver.info", true },
  { "zivver.nl", true },
  { "zivver.uk", true },
  { "zivyruzenec.cz", true },
  { "zixiao.wang", true },
  { "zixin.com", true },
  { "zizibook.ml", true },
  { "zjateaucafe.be", true },
  { "zjy7722.ml", true },
  { "zk.gd", true },
  { "zk9.nl", true },
  { "zklokotskehory.cz", true },
  { "zkontrolujsiauto.cz", true },
  { "zkwolf.top", true },
  { "zkzone.net", true },
  { "zl0101.com", true },
  { "zl016.com", true },
  { "zl0303.com", true },
  { "zl056.com", true },
  { "zl0606.com", true },
  { "zl0iu.com", true },
  { "zl0sz.com", true },
  { "zl5151.com", true },
  { "zl6.ag", true },
  { "zl6565.com", true },
  { "zl66.ag", true },
  { "zl666.ag", true },
  { "zl6767.com", true },
  { "zl6xw.com", true },
  { "zl7070.com", true },
  { "zl7373.com", true },
  { "zl7979.com", true },
  { "zl8.ag", true },
  { "zl8282.com", true },
  { "zl850.com", true },
  { "zl8585.com", true },
  { "zl861.com", true },
  { "zl8686.com", true },
  { "zl88.ag", true },
  { "zl8849.com", true },
  { "zl8862.com", true },
  { "zl888.ag", true },
  { "zl9191.com", true },
  { "zl9292.com", true },
  { "zl9696.com", true },
  { "zl9814.com", true },
  { "zl9889.com", true },
  { "zl9898.com", true },
  { "zlatakus.cz", true },
  { "zlatan-ibrahimovic.tk", true },
  { "zlatom.ru", true },
  { "zlatosnadno.cz", true },
  { "zlavomat.sk", true },
  { "zlhuodong.vip", true },
  { "zlima12.com", true },
  { "zlonov.ru", true },
  { "zlotykameleon.tk", true },
  { "zloybot.tk", true },
  { "zmarta.de", true },
  { "zmarta.dk", true },
  { "zmarta.fi", true },
  { "zmarta.no", true },
  { "zmarta.org", true },
  { "zmarta.se", true },
  { "zmartagroup.com", true },
  { "zmartagroup.fi", true },
  { "zmartagroup.no", true },
  { "zmartagroup.se", true },
  { "zmiguel.me", true },
  { "znaj.ua", true },
  { "znakcomstva.ru", true },
  { "znakomim.cf", true },
  { "znanie-sila.tk", true },
  { "znanje.gq", true },
  { "znation.nl", true },
  { "znbr.com", true },
  { "zngay.com", true },
  { "znhglobalresources.com", true },
  { "znich.tk", true },
  { "znidar.org", true },
  { "znn.co.jp", true },
  { "znti.de", true },
  { "zoarcampsite.uk", true },
  { "zobraz.cz", true },
  { "zobworks.com", true },
  { "zoccarato.ovh", true },
  { "zochowskiplasticsurgery.com", true },
  { "zocial.life", true },
  { "zockenbiszumumfallen.de", true },
  { "zodiacohouses.com", true },
  { "zodian-research.ro", true },
  { "zoedale.co.uk", true },
  { "zoeller.me", true },
  { "zoepolitics.cf", true },
  { "zof.kh.ua", true },
  { "zofran-medication.cf", true },
  { "zofrancost.ga", true },
  { "zofranprice.ga", true },
  { "zoftbaby.com", true },
  { "zohair.xyz", true },
  { "zohar.wang", true },
  { "zohra.ninja", true },
  { "zoigl.club", true },
  { "zoisfinefood.com", true },
  { "zoisfinefood.fr", true },
  { "zojadravai.com", true },
  { "zok-ambicija.tk", true },
  { "zoki.art", true },
  { "zoko.tk", true },
  { "zollernalbtour.de", true },
  { "zollihood.ch", true },
  { "zoloftmedication.gq", true },
  { "zoloftpills.tk", true },
  { "zoloftprice.cf", true },
  { "zolotoy-standart.com.ua", true },
  { "zolushka-1950.tk", true },
  { "zom.bi", true },
  { "zombie-40th.com", true },
  { "zombie.cam", true },
  { "zombiesecured.com", true },
  { "zombmage.tk", true },
  { "zomerschoen.nl", true },
  { "zomiac.pp.ua", true },
  { "zonadigital.co", true },
  { "zonaperu.tk", true },
  { "zondervanacademic.com", true },
  { "zone39.com", true },
  { "zonecb.com", true },
  { "zonehomesolutions.com", true },
  { "zonemaster.fr", true },
  { "zonemaster.net", true },
  { "zonesec.org", true },
  { "zonglovani.info", true },
  { "zonky.cz", true },
  { "zonky.de", true },
  { "zonkysetkani.cz", true },
  { "zooforum.tk", true },
  { "zoohaus.de", true },
  { "zooish.net", true },
  { "zook.systems", true },
  { "zoola.io", true },
  { "zoolaboo.de", true },
  { "zoom.earth", true },
  { "zooom.azurewebsites.net", true },
  { "zoop.ml", false },
  { "zooplankton.no", true },
  { "zootime.net", true },
  { "zootime.org", true },
  { "zoowiki.us", true },
  { "zoptiks.com", true },
  { "zopyx.com", true },
  { "zor.com", true },
  { "zorasvobodova.cz", true },
  { "zorgclustertool.nl", true },
  { "zorgenvoorandrea.be", true },
  { "zorig.ch", true },
  { "zorium.org", true },
  { "zormeloandassociates.com", true },
  { "zorntt.fr", true },
  { "zorrobei.cf", false },
  { "zoso.ro", true },
  { "zotero.org", true },
  { "zoubaa.de", true },
  { "zouk.info", true },
  { "zouyaoji.top", true },
  { "zovirax-cream.ml", true },
  { "zowe.ru", true },
  { "zowedo.com", true },
  { "zoyride.com", true },
  { "zozzle.co.uk", true },
  { "zp.do", true },
  { "zp25.ninja", true },
  { "zravyobrazky.cz", true },
  { "zravypapir.cz", true },
  { "zrhdwz.cn", true },
  { "zrinski.tk", true },
  { "zrniecka-pre-sny.sk", true },
  { "zrnieckapresny.sk", true },
  { "zrs-meissen.de", true },
  { "zs-reporyje.cz", true },
  { "zscales.com", false },
  { "zselicivt.hu", true },
  { "zserver.fr", true },
  { "zskomenskeho.cz", true },
  { "zskomenskeho.eu", true },
  { "zsolti.hu", true },
  { "zsoltsandor.me", true },
  { "zsq.im", true },
  { "zstgmnachod.cz", true },
  { "zten.org", true },
  { "ztickerz.nl", true },
  { "ztk.im", true },
  { "ztsns.com", true },
  { "zubar.bg", true },
  { "zubel.it", false },
  { "zubr.net", true },
  { "zug-anwalt.de", false },
  { "zugfahrplan.com", true },
  { "zughilfen-test.de", true },
  { "zuiacg.cc", true },
  { "zuiacg.com", true },
  { "zuim.de", true },
  { "zula.africa", true },
  { "zulu.ro", true },
  { "zum-baur.de", true },
  { "zum-ziegenhainer.de", true },
  { "zumberak.tk", true },
  { "zumtaedanceschool.co.za", true },
  { "zumub.com", true },
  { "zund-app.com", true },
  { "zundapp.one", true },
  { "zundapp529.nl", true },
  { "zundappachterhoek.nl", true },
  { "zunlong0.com", true },
  { "zuolan.me", false },
  { "zupago.pe", true },
  { "zupit.it", true },
  { "zupzup.org", true },
  { "zuralski.net", true },
  { "zurgl.com", false },
  { "zurlin.de", true },
  { "zusjesvandenbos.nl", true },
  { "zusterjansen.nl", true },
  { "zuzannastrycharska.pl", true },
  { "zuzumba.es", true },
  { "zverskij-site.tk", true },
  { "zvps.uk", true },
  { "zvxr.net", true },
  { "zwartendijkstalling.nl", true },
  { "zwergenfeste.ch", true },
  { "zwergenfreiheit.at", true },
  { "zwerimex.com", true },
  { "zwierslanguagetraining.nl", true },
  { "zwilla.de", true },
  { "zwk.de", true },
  { "zwollemag.nl", true },
  { "zwollemagazine.nl", true },
  { "zwy.ch", false },
  { "zx6rninja.de", true },
  { "zx7r.de", true },
  { "zxfiles.tk", true },
  { "zy.md", true },
  { "zy.si", true },
  { "zybbo.com", true },
  { "zyciedlazwierzat.pl", true },
  { "zyciedogorynogami.pl", true },
  { "zydronium.com", true },
  { "zydronium.nl", true },
  { "zyellowbox.com", true },
  { "zylai.com", true },
  { "zymmm.com", true },
  { "zypern-firma.com", true },
  { "zyria.de", true },
  { "zyul.ddns.net", true },
  { "zyzardx.com", true },
  { "zyzsdy.com", true },
  { "zz342.com", true },
  { "zz772.com", true },
  { "zz9297.co", true },
  { "zz993.com", true },
  { "zzekj.net", true },
  { "zzpd.nl", false },
  { "zzpwoerden.nl", true },
  { "zzsec.org", true },
};
